package WebService::NetSuite::Config;

use strict;

sub SearchTypes {

    return {
    
        ShipAddress => {
        },
    
        BillAddress => {
        },
    
        PresentationItem => {
        },
    
        Partners => {
        },
    
        LandedCost => {
            'landedCostDataList' => 'LandedCostDataList',
        },
    
        LandedCostDataList => {
        },
    
        LandedCostData => {
        },
    
        LandedCostSummary => {
        },
    
        CustomerSalesTeam => {
        },
    
        TimeItem => {
        },
    
        InventoryDetail => {
            'inventoryAssignmentList' => 'InventoryAssignmentList',
            'customForm' => 'RecordRef',
        },
    
        RecurrenceDowMaskList => {
        },
    
        InventoryAssignmentList => {
        },
    
        InventoryAssignment => {
        },
    
        InventoryDetailSearchBasic => {
            'binNumber' => 'SearchMultiSelectField',
            'externalId' => 'SearchMultiSelectField',
            'externalIdString' => 'SearchStringField',
            'internalId' => 'SearchMultiSelectField',
            'internalIdNumber' => 'SearchLongField',
            'inventoryNumber' => 'SearchMultiSelectField',
            'quantity' => 'SearchDoubleField',
        },
    
        InventoryDetailSearchRowBasic => {
            'binNumber' => 'SearchColumnSelectField',
            'externalId' => 'SearchColumnSelectField',
            'internalId' => 'SearchColumnSelectField',
            'inventoryNumber' => 'SearchColumnSelectField',
            'quantity' => 'SearchColumnDoubleField',
        },
    
        EntitySearchBasic => {
            'address' => 'SearchStringField',
            'addressee' => 'SearchStringField',
            'addressLabel' => 'SearchStringField',
            'addressPhone' => 'SearchStringField',
            'attention' => 'SearchStringField',
            'city' => 'SearchStringField',
            'comments' => 'SearchStringField',
            'country' => 'SearchEnumMultiSelectField',
            'county' => 'SearchStringField',
            'dateCreated' => 'SearchDateField',
            'email' => 'SearchStringField',
            'entityId' => 'SearchStringField',
            'externalId' => 'SearchMultiSelectField',
            'externalIdString' => 'SearchStringField',
            'fax' => 'SearchStringField',
            'giveAccess' => 'SearchBooleanField',
            'globalSubscriptionStatus' => 'SearchEnumMultiSelectField',
            'image' => 'SearchStringField',
            'internalId' => 'SearchMultiSelectField',
            'internalIdNumber' => 'SearchLongField',
            'isDefaultBilling' => 'SearchBooleanField',
            'isDefaultShipping' => 'SearchBooleanField',
            'isInactive' => 'SearchBooleanField',
            'language' => 'SearchEnumMultiSelectField',
            'lastModifiedDate' => 'SearchDateField',
            'level' => 'SearchEnumMultiSelectField',
            'permission' => 'SearchEnumMultiSelectField',
            'phone' => 'SearchStringField',
            'phoneticName' => 'SearchStringField',
            'state' => 'SearchStringField',
            'subsidiary' => 'SearchMultiSelectField',
            'type' => 'SearchEnumMultiSelectField',
            'zipCode' => 'SearchStringField',
            'customFieldList' => 'SearchCustomFieldList',
        },
    
        EntitySearchRowBasic => {
            'address' => 'SearchColumnStringField',
            'address1' => 'SearchColumnStringField',
            'address2' => 'SearchColumnStringField',
            'address3' => 'SearchColumnStringField',
            'addressee' => 'SearchColumnStringField',
            'addressInternalId' => 'SearchColumnStringField',
            'addressLabel' => 'SearchColumnStringField',
            'addressPhone' => 'SearchColumnStringField',
            'altEmail' => 'SearchColumnStringField',
            'altName' => 'SearchColumnStringField',
            'altPhone' => 'SearchColumnStringField',
            'attention' => 'SearchColumnStringField',
            'billAddress1' => 'SearchColumnStringField',
            'billAddress2' => 'SearchColumnStringField',
            'billAddress3' => 'SearchColumnStringField',
            'billAddressee' => 'SearchColumnStringField',
            'billAttention' => 'SearchColumnStringField',
            'billCity' => 'SearchColumnStringField',
            'billCountry' => 'SearchColumnEnumSelectField',
            'billCountryCode' => 'SearchColumnStringField',
            'billPhone' => 'SearchColumnStringField',
            'billState' => 'SearchColumnStringField',
            'billZipCode' => 'SearchColumnStringField',
            'city' => 'SearchColumnStringField',
            'comments' => 'SearchColumnStringField',
            'country' => 'SearchColumnEnumSelectField',
            'countryCode' => 'SearchColumnStringField',
            'dateCreated' => 'SearchColumnDateField',
            'email' => 'SearchColumnStringField',
            'entityId' => 'SearchColumnStringField',
            'entityNumber' => 'SearchColumnLongField',
            'externalId' => 'SearchColumnSelectField',
            'fax' => 'SearchColumnStringField',
            'globalSubscriptionStatus' => 'SearchColumnEnumSelectField',
            'image' => 'SearchColumnSelectField',
            'internalId' => 'SearchColumnSelectField',
            'isDefaultBilling' => 'SearchColumnBooleanField',
            'isDefaultShipping' => 'SearchColumnBooleanField',
            'isInactive' => 'SearchColumnBooleanField',
            'language' => 'SearchColumnEnumSelectField',
            'lastModifiedDate' => 'SearchColumnDateField',
            'level' => 'SearchColumnEnumSelectField',
            'permission' => 'SearchColumnEnumSelectField',
            'phone' => 'SearchColumnStringField',
            'phoneticName' => 'SearchColumnStringField',
            'shipAddress1' => 'SearchColumnStringField',
            'shipAddress2' => 'SearchColumnStringField',
            'shipAddress3' => 'SearchColumnStringField',
            'shipAddressee' => 'SearchColumnStringField',
            'shipAttention' => 'SearchColumnStringField',
            'shipCity' => 'SearchColumnStringField',
            'shipCountry' => 'SearchColumnEnumSelectField',
            'shipCountryCode' => 'SearchColumnStringField',
            'shipPhone' => 'SearchColumnStringField',
            'shipState' => 'SearchColumnStringField',
            'shipZip' => 'SearchColumnStringField',
            'state' => 'SearchColumnStringField',
            'subscription' => 'SearchColumnSelectField',
            'subscriptionDate' => 'SearchColumnDateField',
            'subscriptionStatus' => 'SearchColumnBooleanField',
            'subsidiary' => 'SearchColumnSelectField',
            'type' => 'SearchColumnEnumSelectField',
            'zipCode' => 'SearchColumnStringField',
            'customFieldList' => 'SearchColumnCustomFieldList',
        },
    
        ContactSearchBasic => {
            'address' => 'SearchStringField',
            'addressee' => 'SearchStringField',
            'addressLabel' => 'SearchStringField',
            'addressPhone' => 'SearchStringField',
            'attention' => 'SearchStringField',
            'availableOffline' => 'SearchBooleanField',
            'category' => 'SearchMultiSelectField',
            'city' => 'SearchStringField',
            'comments' => 'SearchStringField',
            'company' => 'SearchMultiSelectField',
            'contactRole' => 'SearchMultiSelectField',
            'contactSource' => 'SearchMultiSelectField',
            'country' => 'SearchEnumMultiSelectField',
            'county' => 'SearchStringField',
            'dateCreated' => 'SearchDateField',
            'email' => 'SearchStringField',
            'employer' => 'SearchStringField',
            'entityId' => 'SearchStringField',
            'externalId' => 'SearchMultiSelectField',
            'externalIdString' => 'SearchStringField',
            'fax' => 'SearchStringField',
            'firstName' => 'SearchStringField',
            'giveAccess' => 'SearchBooleanField',
            'globalSubscriptionStatus' => 'SearchEnumMultiSelectField',
            'group' => 'SearchMultiSelectField',
            'hasDuplicates' => 'SearchBooleanField',
            'image' => 'SearchStringField',
            'internalId' => 'SearchMultiSelectField',
            'internalIdNumber' => 'SearchLongField',
            'isDefaultBilling' => 'SearchBooleanField',
            'isDefaultShipping' => 'SearchBooleanField',
            'isInactive' => 'SearchBooleanField',
            'isPrivate' => 'SearchBooleanField',
            'language' => 'SearchEnumMultiSelectField',
            'lastModifiedDate' => 'SearchDateField',
            'lastName' => 'SearchStringField',
            'level' => 'SearchEnumMultiSelectField',
            'middleName' => 'SearchStringField',
            'owner' => 'SearchMultiSelectField',
            'permission' => 'SearchEnumMultiSelectField',
            'phone' => 'SearchStringField',
            'phoneticName' => 'SearchStringField',
            'salutation' => 'SearchStringField',
            'state' => 'SearchStringField',
            'subsidiary' => 'SearchMultiSelectField',
            'title' => 'SearchStringField',
            'type' => 'SearchEnumMultiSelectField',
            'zipCode' => 'SearchStringField',
            'customFieldList' => 'SearchCustomFieldList',
        },
    
        ContactSearchRowBasic => {
            'address' => 'SearchColumnStringField',
            'address1' => 'SearchColumnStringField',
            'address2' => 'SearchColumnStringField',
            'address3' => 'SearchColumnStringField',
            'addressee' => 'SearchColumnStringField',
            'addressInternalId' => 'SearchColumnStringField',
            'addressLabel' => 'SearchColumnStringField',
            'addressPhone' => 'SearchColumnStringField',
            'altEmail' => 'SearchColumnStringField',
            'altName' => 'SearchColumnStringField',
            'altPhone' => 'SearchColumnStringField',
            'attention' => 'SearchColumnStringField',
            'availableOffline' => 'SearchColumnBooleanField',
            'billAddress1' => 'SearchColumnStringField',
            'billAddress2' => 'SearchColumnStringField',
            'billAddress3' => 'SearchColumnStringField',
            'billAddressee' => 'SearchColumnStringField',
            'billAttention' => 'SearchColumnStringField',
            'billCity' => 'SearchColumnStringField',
            'billCountry' => 'SearchColumnEnumSelectField',
            'billCountryCode' => 'SearchColumnStringField',
            'billPhone' => 'SearchColumnStringField',
            'billState' => 'SearchColumnStringField',
            'billZipCode' => 'SearchColumnStringField',
            'category' => 'SearchColumnSelectField',
            'city' => 'SearchColumnStringField',
            'comments' => 'SearchColumnStringField',
            'company' => 'SearchColumnSelectField',
            'contactRole' => 'SearchColumnSelectField',
            'contactSource' => 'SearchColumnStringField',
            'country' => 'SearchColumnEnumSelectField',
            'countryCode' => 'SearchColumnStringField',
            'dateCreated' => 'SearchColumnDateField',
            'email' => 'SearchColumnStringField',
            'entityId' => 'SearchColumnStringField',
            'entityNumber' => 'SearchColumnLongField',
            'externalId' => 'SearchColumnSelectField',
            'fax' => 'SearchColumnStringField',
            'firstName' => 'SearchColumnStringField',
            'giveAccess' => 'SearchColumnBooleanField',
            'globalSubscriptionStatus' => 'SearchColumnEnumSelectField',
            'hasDuplicates' => 'SearchColumnBooleanField',
            'homePhone' => 'SearchColumnStringField',
            'image' => 'SearchColumnSelectField',
            'internalId' => 'SearchColumnSelectField',
            'isDefaultBilling' => 'SearchColumnBooleanField',
            'isDefaultShipping' => 'SearchColumnBooleanField',
            'isInactive' => 'SearchColumnBooleanField',
            'language' => 'SearchColumnEnumSelectField',
            'lastModifiedDate' => 'SearchColumnDateField',
            'lastName' => 'SearchColumnStringField',
            'level' => 'SearchColumnEnumSelectField',
            'middleName' => 'SearchColumnStringField',
            'mobilePhone' => 'SearchColumnStringField',
            'owner' => 'SearchColumnSelectField',
            'permission' => 'SearchColumnEnumSelectField',
            'phone' => 'SearchColumnStringField',
            'phoneticName' => 'SearchColumnStringField',
            'salutation' => 'SearchColumnStringField',
            'shipAddress1' => 'SearchColumnStringField',
            'shipAddress2' => 'SearchColumnStringField',
            'shipAddress3' => 'SearchColumnStringField',
            'shipAddressee' => 'SearchColumnStringField',
            'shipAttention' => 'SearchColumnStringField',
            'shipCity' => 'SearchColumnStringField',
            'shipCountry' => 'SearchColumnEnumSelectField',
            'shipCountryCode' => 'SearchColumnStringField',
            'shipPhone' => 'SearchColumnStringField',
            'shipState' => 'SearchColumnStringField',
            'shipZip' => 'SearchColumnStringField',
            'state' => 'SearchColumnStringField',
            'subscription' => 'SearchColumnSelectField',
            'subscriptionDate' => 'SearchColumnDateField',
            'subscriptionStatus' => 'SearchColumnBooleanField',
            'subsidiary' => 'SearchColumnSelectField',
            'title' => 'SearchColumnStringField',
            'type' => 'SearchColumnEnumSelectField',
            'zipCode' => 'SearchColumnStringField',
            'customFieldList' => 'SearchColumnCustomFieldList',
        },
    
        CustomerSearchBasic => {
            'accountNumber' => 'SearchStringField',
            'address' => 'SearchStringField',
            'addressee' => 'SearchStringField',
            'addressLabel' => 'SearchStringField',
            'addressPhone' => 'SearchStringField',
            'attention' => 'SearchStringField',
            'availableOffline' => 'SearchBooleanField',
            'balance' => 'SearchDoubleField',
            'billAddress' => 'SearchStringField',
            'boughtAmount' => 'SearchDoubleField',
            'boughtDate' => 'SearchDateField',
            'buyingReason' => 'SearchMultiSelectField',
            'buyingTimeFrame' => 'SearchMultiSelectField',
            'category' => 'SearchMultiSelectField',
            'ccCustomerCode' => 'SearchStringField',
            'ccDefault' => 'SearchBooleanField',
            'ccExpDate' => 'SearchDateField',
            'ccHolderName' => 'SearchStringField',
            'ccNumber' => 'SearchStringField',
            'ccType' => 'SearchMultiSelectField',
            'city' => 'SearchStringField',
            'classBought' => 'SearchMultiSelectField',
            'comments' => 'SearchStringField',
            'companyName' => 'SearchStringField',
            'consolBalance' => 'SearchDoubleField',
            'consolDaysOverdue' => 'SearchLongField',
            'consolDepositBalance' => 'SearchDoubleField',
            'consolOverdueBalance' => 'SearchDoubleField',
            'consolUnbilledOrders' => 'SearchDoubleField',
            'contact' => 'SearchStringField',
            'contribution' => 'SearchLongField',
            'conversionDate' => 'SearchDateField',
            'country' => 'SearchEnumMultiSelectField',
            'county' => 'SearchStringField',
            'creditHold' => 'SearchEnumMultiSelectField',
            'creditHoldOverride' => 'SearchBooleanField',
            'creditLimit' => 'SearchDoubleField',
            'currency' => 'SearchMultiSelectField',
            'custStage' => 'SearchMultiSelectField',
            'custStatus' => 'SearchMultiSelectField',
            'dateClosed' => 'SearchDateField',
            'dateCreated' => 'SearchDateField',
            'daysOverdue' => 'SearchLongField',
            'defaultOrderPriority' => 'SearchDoubleField',
            'depositBalance' => 'SearchDoubleField',
            'deptBought' => 'SearchMultiSelectField',
            'drAccount' => 'SearchMultiSelectField',
            'email' => 'SearchStringField',
            'emailPreference' => 'SearchEnumMultiSelectField',
            'emailTransactions' => 'SearchBooleanField',
            'endDate' => 'SearchDateField',
            'entityId' => 'SearchStringField',
            'entityStatus' => 'SearchMultiSelectField',
            'estimatedBudget' => 'SearchDoubleField',
            'explicitConversion' => 'SearchBooleanField',
            'externalId' => 'SearchMultiSelectField',
            'externalIdString' => 'SearchStringField',
            'fax' => 'SearchStringField',
            'faxTransactions' => 'SearchBooleanField',
            'firstName' => 'SearchStringField',
            'firstOrderDate' => 'SearchDateField',
            'firstSaleDate' => 'SearchDateField',
            'fxAccount' => 'SearchMultiSelectField',
            'fxBalance' => 'SearchDoubleField',
            'fxConsolBalance' => 'SearchDoubleField',
            'fxConsolUnbilledOrders' => 'SearchDoubleField',
            'fxUnbilledOrders' => 'SearchDoubleField',
            'giveAccess' => 'SearchBooleanField',
            'globalSubscriptionStatus' => 'SearchEnumMultiSelectField',
            'group' => 'SearchMultiSelectField',
            'groupPricingLevel' => 'SearchMultiSelectField',
            'hasDuplicates' => 'SearchBooleanField',
            'image' => 'SearchStringField',
            'internalId' => 'SearchMultiSelectField',
            'internalIdNumber' => 'SearchLongField',
            'isBudgetApproved' => 'SearchBooleanField',
            'isDefaultBilling' => 'SearchBooleanField',
            'isDefaultShipping' => 'SearchBooleanField',
            'isInactive' => 'SearchBooleanField',
            'isPerson' => 'SearchBooleanField',
            'isReportedLead' => 'SearchBooleanField',
            'isShipAddress' => 'SearchBooleanField',
            'itemPricingLevel' => 'SearchMultiSelectField',
            'itemPricingUnitPrice' => 'SearchDoubleField',
            'itemsBought' => 'SearchMultiSelectField',
            'itemsOrdered' => 'SearchMultiSelectField',
            'language' => 'SearchEnumMultiSelectField',
            'lastModifiedDate' => 'SearchDateField',
            'lastName' => 'SearchStringField',
            'lastOrderDate' => 'SearchDateField',
            'lastSaleDate' => 'SearchDateField',
            'leadDate' => 'SearchDateField',
            'leadSource' => 'SearchMultiSelectField',
            'level' => 'SearchEnumMultiSelectField',
            'locationBought' => 'SearchMultiSelectField',
            'manualCreditHold' => 'SearchBooleanField',
            'merchantAccount' => 'SearchMultiSelectField',
            'middleName' => 'SearchStringField',
            'monthlyClosing' => 'SearchEnumMultiSelectField',
            'onCreditHold' => 'SearchBooleanField',
            'orderedAmount' => 'SearchDoubleField',
            'orderedDate' => 'SearchDateField',
            'otherRelationships' => 'SearchEnumMultiSelectField',
            'overdueBalance' => 'SearchDoubleField',
            'parent' => 'SearchMultiSelectField',
            'parentItemsBought' => 'SearchMultiSelectField',
            'parentItemsOrdered' => 'SearchMultiSelectField',
            'partner' => 'SearchMultiSelectField',
            'partnerContribution' => 'SearchLongField',
            'partnerRole' => 'SearchMultiSelectField',
            'partnerTeamMember' => 'SearchMultiSelectField',
            'pec' => 'SearchStringField',
            'permission' => 'SearchEnumMultiSelectField',
            'phone' => 'SearchStringField',
            'phoneticName' => 'SearchStringField',
            'priceLevel' => 'SearchMultiSelectField',
            'pricingGroup' => 'SearchMultiSelectField',
            'pricingItem' => 'SearchMultiSelectField',
            'printTransactions' => 'SearchBooleanField',
            'prospectDate' => 'SearchDateField',
            'pstExempt' => 'SearchBooleanField',
            'receivablesAccount' => 'SearchMultiSelectField',
            'reminderDate' => 'SearchDateField',
            'resaleNumber' => 'SearchStringField',
            'role' => 'SearchMultiSelectField',
            'salesReadiness' => 'SearchMultiSelectField',
            'salesRep' => 'SearchMultiSelectField',
            'salesTeamMember' => 'SearchMultiSelectField',
            'salesTeamRole' => 'SearchMultiSelectField',
            'salutation' => 'SearchStringField',
            'shipAddress' => 'SearchStringField',
            'shipComplete' => 'SearchBooleanField',
            'shippingItem' => 'SearchMultiSelectField',
            'stage' => 'SearchEnumMultiSelectField',
            'startDate' => 'SearchDateField',
            'state' => 'SearchStringField',
            'subsidBought' => 'SearchMultiSelectField',
            'subsidiary' => 'SearchMultiSelectField',
            'taxable' => 'SearchBooleanField',
            'terms' => 'SearchMultiSelectField',
            'territory' => 'SearchMultiSelectField',
            'title' => 'SearchStringField',
            'unbilledOrders' => 'SearchDoubleField',
            'url' => 'SearchStringField',
            'vatRegNumber' => 'SearchStringField',
            'webLead' => 'SearchBooleanField',
            'zipCode' => 'SearchStringField',
            'customFieldList' => 'SearchCustomFieldList',
        },
    
        CustomerSearchRowBasic => {
            'accountNumber' => 'SearchColumnStringField',
            'address' => 'SearchColumnStringField',
            'address1' => 'SearchColumnStringField',
            'address2' => 'SearchColumnStringField',
            'address3' => 'SearchColumnStringField',
            'addressee' => 'SearchColumnStringField',
            'addressInternalId' => 'SearchColumnStringField',
            'addressLabel' => 'SearchColumnStringField',
            'addressPhone' => 'SearchColumnStringField',
            'altContact' => 'SearchColumnStringField',
            'altEmail' => 'SearchColumnStringField',
            'altName' => 'SearchColumnStringField',
            'altPhone' => 'SearchColumnStringField',
            'attention' => 'SearchColumnStringField',
            'availableOffline' => 'SearchColumnBooleanField',
            'balance' => 'SearchColumnDoubleField',
            'billAddress' => 'SearchColumnStringField',
            'billAddress1' => 'SearchColumnStringField',
            'billAddress2' => 'SearchColumnStringField',
            'billAddress3' => 'SearchColumnStringField',
            'billAddressee' => 'SearchColumnStringField',
            'billAttention' => 'SearchColumnStringField',
            'billCity' => 'SearchColumnStringField',
            'billCountry' => 'SearchColumnEnumSelectField',
            'billCountryCode' => 'SearchColumnStringField',
            'billPhone' => 'SearchColumnStringField',
            'billState' => 'SearchColumnStringField',
            'billZipCode' => 'SearchColumnStringField',
            'buyingReason' => 'SearchColumnStringField',
            'buyingTimeFrame' => 'SearchColumnStringField',
            'category' => 'SearchColumnSelectField',
            'ccCustomerCode' => 'SearchColumnStringField',
            'ccDefault' => 'SearchColumnBooleanField',
            'ccExpDate' => 'SearchColumnDateField',
            'ccHolderName' => 'SearchColumnStringField',
            'ccInternalId' => 'SearchColumnStringField',
            'ccNumber' => 'SearchColumnStringField',
            'ccType' => 'SearchColumnSelectField',
            'city' => 'SearchColumnStringField',
            'comments' => 'SearchColumnStringField',
            'companyName' => 'SearchColumnStringField',
            'consolBalance' => 'SearchColumnDoubleField',
            'consolDaysOverdue' => 'SearchColumnLongField',
            'consolDepositBalance' => 'SearchColumnDoubleField',
            'consolOverdueBalance' => 'SearchColumnDoubleField',
            'consolUnbilledOrders' => 'SearchColumnDoubleField',
            'contact' => 'SearchColumnStringField',
            'contribution' => 'SearchColumnDoubleField',
            'contributionPrimary' => 'SearchColumnDoubleField',
            'conversionDate' => 'SearchColumnDateField',
            'country' => 'SearchColumnEnumSelectField',
            'countryCode' => 'SearchColumnStringField',
            'creditHold' => 'SearchColumnEnumSelectField',
            'creditHoldOverride' => 'SearchColumnBooleanField',
            'creditLimit' => 'SearchColumnDoubleField',
            'currency' => 'SearchColumnSelectField',
            'dateClosed' => 'SearchColumnDateField',
            'dateCreated' => 'SearchColumnDateField',
            'daysOverdue' => 'SearchColumnLongField',
            'defaultOrderPriority' => 'SearchColumnDoubleField',
            'depositBalance' => 'SearchColumnDoubleField',
            'drAccount' => 'SearchColumnStringField',
            'email' => 'SearchColumnStringField',
            'emailPreference' => 'SearchColumnEnumSelectField',
            'emailTransactions' => 'SearchColumnBooleanField',
            'endDate' => 'SearchColumnDateField',
            'entityId' => 'SearchColumnStringField',
            'entityNumber' => 'SearchColumnLongField',
            'entityStatus' => 'SearchColumnSelectField',
            'estimatedBudget' => 'SearchColumnDoubleField',
            'explicitConversion' => 'SearchColumnBooleanField',
            'externalId' => 'SearchColumnSelectField',
            'fax' => 'SearchColumnStringField',
            'faxTransactions' => 'SearchColumnBooleanField',
            'firstName' => 'SearchColumnStringField',
            'firstOrderDate' => 'SearchColumnDateField',
            'firstSaleDate' => 'SearchColumnDateField',
            'fxAccount' => 'SearchColumnStringField',
            'fxBalance' => 'SearchColumnDoubleField',
            'fxConsolBalance' => 'SearchColumnDoubleField',
            'fxConsolUnbilledOrders' => 'SearchColumnDoubleField',
            'fxUnbilledOrders' => 'SearchColumnDoubleField',
            'giveAccess' => 'SearchColumnBooleanField',
            'globalSubscriptionStatus' => 'SearchColumnEnumSelectField',
            'groupPricingLevel' => 'SearchColumnStringField',
            'hasDuplicates' => 'SearchColumnBooleanField',
            'homePhone' => 'SearchColumnStringField',
            'image' => 'SearchColumnSelectField',
            'internalId' => 'SearchColumnSelectField',
            'isBudgetApproved' => 'SearchColumnBooleanField',
            'isDefaultBilling' => 'SearchColumnBooleanField',
            'isDefaultShipping' => 'SearchColumnBooleanField',
            'isInactive' => 'SearchColumnBooleanField',
            'isPerson' => 'SearchColumnBooleanField',
            'isShipAddress' => 'SearchColumnBooleanField',
            'itemPricingLevel' => 'SearchColumnStringField',
            'itemPricingUnitPrice' => 'SearchColumnDoubleField',
            'jobEndDate' => 'SearchColumnDateField',
            'jobProjectedEnd' => 'SearchColumnDateField',
            'jobStartDate' => 'SearchColumnDateField',
            'jobType' => 'SearchColumnSelectField',
            'language' => 'SearchColumnEnumSelectField',
            'lastModifiedDate' => 'SearchColumnDateField',
            'lastName' => 'SearchColumnStringField',
            'lastOrderDate' => 'SearchColumnDateField',
            'lastSaleDate' => 'SearchColumnDateField',
            'leadDate' => 'SearchColumnDateField',
            'leadSource' => 'SearchColumnSelectField',
            'level' => 'SearchColumnEnumSelectField',
            'manualCreditHold' => 'SearchColumnBooleanField',
            'middleName' => 'SearchColumnStringField',
            'mobilePhone' => 'SearchColumnStringField',
            'monthlyClosing' => 'SearchColumnEnumSelectField',
            'onCreditHold' => 'SearchColumnBooleanField',
            'overdueBalance' => 'SearchColumnDoubleField',
            'parent' => 'SearchColumnSelectField',
            'partner' => 'SearchColumnSelectField',
            'partnerContribution' => 'SearchColumnDoubleField',
            'partnerRole' => 'SearchColumnStringField',
            'partnerTeamMember' => 'SearchColumnSelectField',
            'pec' => 'SearchColumnStringField',
            'permission' => 'SearchColumnEnumSelectField',
            'phone' => 'SearchColumnStringField',
            'phoneticName' => 'SearchColumnStringField',
            'prefCCProcessor' => 'SearchColumnSelectField',
            'priceLevel' => 'SearchColumnSelectField',
            'pricingGroup' => 'SearchColumnStringField',
            'pricingItem' => 'SearchColumnStringField',
            'printTransactions' => 'SearchColumnBooleanField',
            'prospectDate' => 'SearchColumnDateField',
            'receivablesAccount' => 'SearchColumnStringField',
            'reminderDays' => 'SearchColumnLongField',
            'resaleNumber' => 'SearchColumnStringField',
            'role' => 'SearchColumnStringField',
            'salesReadiness' => 'SearchColumnStringField',
            'salesRep' => 'SearchColumnSelectField',
            'salesTeamMember' => 'SearchColumnSelectField',
            'salesTeamRole' => 'SearchColumnSelectField',
            'salutation' => 'SearchColumnStringField',
            'shipAddress' => 'SearchColumnStringField',
            'shipAddress1' => 'SearchColumnStringField',
            'shipAddress2' => 'SearchColumnStringField',
            'shipAddress3' => 'SearchColumnStringField',
            'shipAddressee' => 'SearchColumnStringField',
            'shipAttention' => 'SearchColumnStringField',
            'shipCity' => 'SearchColumnStringField',
            'shipComplete' => 'SearchColumnBooleanField',
            'shipCountry' => 'SearchColumnEnumSelectField',
            'shipCountryCode' => 'SearchColumnStringField',
            'shipPhone' => 'SearchColumnStringField',
            'shippingItem' => 'SearchColumnSelectField',
            'shipState' => 'SearchColumnStringField',
            'shipZip' => 'SearchColumnStringField',
            'stage' => 'SearchColumnEnumSelectField',
            'startDate' => 'SearchColumnDateField',
            'state' => 'SearchColumnStringField',
            'subscription' => 'SearchColumnSelectField',
            'subscriptionDate' => 'SearchColumnDateField',
            'subscriptionStatus' => 'SearchColumnBooleanField',
            'subsidiary' => 'SearchColumnSelectField',
            'taxable' => 'SearchColumnBooleanField',
            'taxItem' => 'SearchColumnSelectField',
            'terms' => 'SearchColumnSelectField',
            'territory' => 'SearchColumnSelectField',
            'title' => 'SearchColumnStringField',
            'unbilledOrders' => 'SearchColumnDoubleField',
            'url' => 'SearchColumnStringField',
            'vatRegNumber' => 'SearchColumnStringField',
            'webLead' => 'SearchColumnBooleanField',
            'zipCode' => 'SearchColumnStringField',
            'customFieldList' => 'SearchColumnCustomFieldList',
        },
    
        CalendarEventSearchBasic => {
            'attendee' => 'SearchMultiSelectField',
            'calendar' => 'SearchMultiSelectField',
            'completedDate' => 'SearchDateField',
            'createdDate' => 'SearchDateField',
            'externalId' => 'SearchMultiSelectField',
            'externalIdString' => 'SearchStringField',
            'instanceStart' => 'SearchDateField',
            'internalId' => 'SearchMultiSelectField',
            'internalIdNumber' => 'SearchLongField',
            'isUpcomingEvent' => 'SearchBooleanField',
            'lastModifiedDate' => 'SearchDateField',
            'location' => 'SearchStringField',
            'message' => 'SearchStringField',
            'organizer' => 'SearchMultiSelectField',
            'owner' => 'SearchMultiSelectField',
            'resource' => 'SearchMultiSelectField',
            'response' => 'SearchEnumMultiSelectField',
            'startDate' => 'SearchDateField',
            'status' => 'SearchEnumMultiSelectField',
            'title' => 'SearchStringField',
            'customFieldList' => 'SearchCustomFieldList',
        },
    
        CalendarEventSearchRowBasic => {
            'attendee' => 'SearchColumnSelectField',
            'company' => 'SearchColumnSelectField',
            'completedDate' => 'SearchColumnDateField',
            'contact' => 'SearchColumnSelectField',
            'createdDate' => 'SearchColumnDateField',
            'endTime' => 'SearchColumnStringField',
            'externalId' => 'SearchColumnSelectField',
            'instanceEnd' => 'SearchColumnDateField',
            'instanceStart' => 'SearchColumnDateField',
            'internalId' => 'SearchColumnSelectField',
            'lastModifiedDate' => 'SearchColumnDateField',
            'location' => 'SearchColumnStringField',
            'markdone' => 'SearchColumnStringField',
            'message' => 'SearchColumnStringField',
            'organizer' => 'SearchColumnSelectField',
            'owner' => 'SearchColumnSelectField',
            'recurrence' => 'SearchColumnStringField',
            'resource' => 'SearchColumnSelectField',
            'response' => 'SearchColumnEnumSelectField',
            'startDate' => 'SearchColumnStringField',
            'startTime' => 'SearchColumnStringField',
            'status' => 'SearchColumnEnumSelectField',
            'title' => 'SearchColumnStringField',
            'transaction' => 'SearchColumnSelectField',
            'customFieldList' => 'SearchColumnCustomFieldList',
        },
    
        TaskSearchBasic => {
            'actualTime' => 'SearchDoubleField',
            'assigned' => 'SearchMultiSelectField',
            'company' => 'SearchMultiSelectField',
            'completedDate' => 'SearchDateField',
            'contact' => 'SearchMultiSelectField',
            'createdDate' => 'SearchDateField',
            'endDate' => 'SearchDateField',
            'estimatedTime' => 'SearchDoubleField',
            'estimatedTimeOverride' => 'SearchDoubleField',
            'externalId' => 'SearchMultiSelectField',
            'externalIdString' => 'SearchStringField',
            'internalId' => 'SearchMultiSelectField',
            'internalIdNumber' => 'SearchLongField',
            'isJobSummaryTask' => 'SearchBooleanField',
            'isJobTask' => 'SearchBooleanField',
            'isPrivate' => 'SearchBooleanField',
            'lastModifiedDate' => 'SearchDateField',
            'milestone' => 'SearchLongField',
            'owner' => 'SearchMultiSelectField',
            'percentComplete' => 'SearchLongField',
            'percentTimeComplete' => 'SearchLongField',
            'priority' => 'SearchEnumMultiSelectField',
            'startDate' => 'SearchDateField',
            'status' => 'SearchEnumMultiSelectField',
            'timeRemaining' => 'SearchDoubleField',
            'title' => 'SearchStringField',
            'customFieldList' => 'SearchCustomFieldList',
        },
    
        TaskSearchRowBasic => {
            'accessLevel' => 'SearchColumnStringField',
            'actualTime' => 'SearchColumnDoubleField',
            'assigned' => 'SearchColumnSelectField',
            'company' => 'SearchColumnSelectField',
            'completedDate' => 'SearchColumnDateField',
            'contact' => 'SearchColumnSelectField',
            'createdDate' => 'SearchColumnDateField',
            'dueDate' => 'SearchColumnDateField',
            'estimatedTime' => 'SearchColumnDoubleField',
            'estimatedTimeOverride' => 'SearchColumnDoubleField',
            'externalId' => 'SearchColumnSelectField',
            'internalId' => 'SearchColumnSelectField',
            'isJobSummaryTask' => 'SearchColumnBooleanField',
            'isJobTask' => 'SearchColumnBooleanField',
            'lastModifiedDate' => 'SearchColumnDateField',
            'markdone' => 'SearchColumnStringField',
            'message' => 'SearchColumnStringField',
            'milestone' => 'SearchColumnSelectField',
            'order' => 'SearchColumnLongField',
            'owner' => 'SearchColumnSelectField',
            'percentComplete' => 'SearchColumnDoubleField',
            'percentTimeComplete' => 'SearchColumnDoubleField',
            'priority' => 'SearchColumnEnumSelectField',
            'startDate' => 'SearchColumnDateField',
            'startTime' => 'SearchColumnStringField',
            'status' => 'SearchColumnEnumSelectField',
            'timeRemaining' => 'SearchColumnDoubleField',
            'title' => 'SearchColumnStringField',
            'transaction' => 'SearchColumnSelectField',
            'customFieldList' => 'SearchColumnCustomFieldList',
        },
    
        OpportunitySearchBasic => {
            'amount' => 'SearchDoubleField',
            'availableOffline' => 'SearchBooleanField',
            'buyingReason' => 'SearchMultiSelectField',
            'buyingTimeFrame' => 'SearchMultiSelectField',
            'class' => 'SearchMultiSelectField',
            'closeDate' => 'SearchDateField',
            'competitor' => 'SearchMultiSelectField',
            'contribution' => 'SearchLongField',
            'currency' => 'SearchMultiSelectField',
            'custType' => 'SearchMultiSelectField',
            'dateCreated' => 'SearchDateField',
            'daysOpen' => 'SearchLongField',
            'daysToClose' => 'SearchLongField',
            'department' => 'SearchMultiSelectField',
            'entity' => 'SearchMultiSelectField',
            'entityStatus' => 'SearchMultiSelectField',
            'estimatedBudget' => 'SearchDoubleField',
            'expectedCloseDate' => 'SearchDateField',
            'externalId' => 'SearchMultiSelectField',
            'externalIdString' => 'SearchStringField',
            'forecastType' => 'SearchEnumMultiSelectField',
            'foreignProjectedAmount' => 'SearchDoubleField',
            'foreignRangeHigh' => 'SearchDoubleField',
            'foreignRangeLow' => 'SearchDoubleField',
            'fxTranCostEstimate' => 'SearchDoubleField',
            'internalId' => 'SearchMultiSelectField',
            'internalIdNumber' => 'SearchLongField',
            'isBudgetApproved' => 'SearchBooleanField',
            'item' => 'SearchMultiSelectField',
            'lastModifiedDate' => 'SearchDateField',
            'leadSource' => 'SearchMultiSelectField',
            'location' => 'SearchMultiSelectField',
            'memo' => 'SearchStringField',
            'number' => 'SearchLongField',
            'partner' => 'SearchMultiSelectField',
            'partnerContribution' => 'SearchLongField',
            'partnerRole' => 'SearchMultiSelectField',
            'partnerTeamMember' => 'SearchMultiSelectField',
            'postingPeriod' => 'RecordRef',
            'postingPeriodRelative' => 'PostingPeriodDate',
            'probability' => 'SearchLongField',
            'projAltSalesAmt' => 'SearchDoubleField',
            'projectedTotal' => 'SearchDoubleField',
            'rangeHigh' => 'SearchDoubleField',
            'rangeHighAlt' => 'SearchDoubleField',
            'rangeLow' => 'SearchDoubleField',
            'rangeLowAlt' => 'SearchDoubleField',
            'salesReadiness' => 'SearchMultiSelectField',
            'salesRep' => 'SearchMultiSelectField',
            'salesTeamMember' => 'SearchMultiSelectField',
            'salesTeamRole' => 'SearchMultiSelectField',
            'status' => 'SearchEnumMultiSelectField',
            'subsidiary' => 'SearchMultiSelectField',
            'taxPeriod' => 'RecordRef',
            'taxPeriodRelative' => 'PostingPeriodDate',
            'title' => 'SearchStringField',
            'tranCostEstimate' => 'SearchDoubleField',
            'tranDate' => 'SearchDateField',
            'tranEstGrossProfit' => 'SearchDoubleField',
            'tranEstGrossProfitPct' => 'SearchDoubleField',
            'tranFxEstGrossProfit' => 'SearchDoubleField',
            'tranId' => 'SearchStringField',
            'winLossReason' => 'SearchMultiSelectField',
            'wonBy' => 'SearchMultiSelectField',
            'customFieldList' => 'SearchCustomFieldList',
        },
    
        OpportunitySearchRowBasic => {
            'actionItem' => 'SearchColumnStringField',
            'availableOffline' => 'SearchColumnBooleanField',
            'buyingReason' => 'SearchColumnStringField',
            'buyingTimeFrame' => 'SearchColumnStringField',
            'class' => 'SearchColumnSelectField',
            'closeDate' => 'SearchColumnDateField',
            'competitor' => 'SearchColumnSelectField',
            'contribution' => 'SearchColumnDoubleField',
            'contributionPrimary' => 'SearchColumnDoubleField',
            'currency' => 'SearchColumnSelectField',
            'custType' => 'SearchColumnStringField',
            'dateCreated' => 'SearchColumnDateField',
            'daysOpen' => 'SearchColumnLongField',
            'daysToClose' => 'SearchColumnLongField',
            'decisionMaker' => 'SearchColumnSelectField',
            'department' => 'SearchColumnSelectField',
            'entity' => 'SearchColumnSelectField',
            'entityStatus' => 'SearchColumnSelectField',
            'estimatedBudget' => 'SearchColumnDoubleField',
            'expectedCloseDate' => 'SearchColumnDateField',
            'externalId' => 'SearchColumnSelectField',
            'forecastType' => 'SearchColumnEnumSelectField',
            'foreignProjectedAmount' => 'SearchColumnDoubleField',
            'foreignRangeHigh' => 'SearchColumnDoubleField',
            'foreignRangeLow' => 'SearchColumnDoubleField',
            'fxTranCostEstimate' => 'SearchColumnDoubleField',
            'internalId' => 'SearchColumnSelectField',
            'isBudgetApproved' => 'SearchColumnBooleanField',
            'lastModifiedDate' => 'SearchColumnDateField',
            'leadSource' => 'SearchColumnSelectField',
            'location' => 'SearchColumnSelectField',
            'memo' => 'SearchColumnStringField',
            'partner' => 'SearchColumnSelectField',
            'partnerContribution' => 'SearchColumnDoubleField',
            'partnerRole' => 'SearchColumnSelectField',
            'partnerTeamMember' => 'SearchColumnSelectField',
            'period' => 'SearchColumnStringField',
            'probability' => 'SearchColumnDoubleField',
            'projAltSalesAmt' => 'SearchColumnDoubleField',
            'projectedTotal' => 'SearchColumnDoubleField',
            'rangeHigh' => 'SearchColumnDoubleField',
            'rangeHighAlt' => 'SearchColumnDoubleField',
            'rangeLow' => 'SearchColumnDoubleField',
            'rangeLowAlt' => 'SearchColumnDoubleField',
            'salesReadiness' => 'SearchColumnStringField',
            'salesRep' => 'SearchColumnSelectField',
            'salesTeamMember' => 'SearchColumnSelectField',
            'salesTeamRole' => 'SearchColumnSelectField',
            'status' => 'SearchColumnEnumSelectField',
            'subsidiary' => 'SearchColumnSelectField',
            'taxPeriod' => 'SearchColumnSelectField',
            'title' => 'SearchColumnStringField',
            'total' => 'SearchColumnDoubleField',
            'tranCostEstimate' => 'SearchColumnDoubleField',
            'tranDate' => 'SearchColumnDateField',
            'tranEstGrossProfit' => 'SearchColumnDoubleField',
            'tranEstGrossProfitPct' => 'SearchColumnDoubleField',
            'tranFxEstGrossProfit' => 'SearchColumnDoubleField',
            'tranId' => 'SearchColumnStringField',
            'weightedTotal' => 'SearchColumnDoubleField',
            'winLossReason' => 'SearchColumnSelectField',
            'wonBy' => 'SearchColumnSelectField',
            'customFieldList' => 'SearchColumnCustomFieldList',
        },
    
        EmployeeSearchBasic => {
            'address' => 'SearchStringField',
            'addressee' => 'SearchStringField',
            'addressLabel' => 'SearchStringField',
            'addressPhone' => 'SearchStringField',
            'alienNumber' => 'SearchStringField',
            'anniversary' => 'SearchDateField',
            'approvalLimit' => 'SearchDoubleField',
            'approver' => 'SearchMultiSelectField',
            'attention' => 'SearchStringField',
            'authWorkDate' => 'SearchDateField',
            'billAddress' => 'SearchStringField',
            'billingClass' => 'SearchMultiSelectField',
            'birthDate' => 'SearchDateField',
            'birthDay' => 'SearchDateField',
            'cContribution' => 'SearchMultiSelectField',
            'city' => 'SearchStringField',
            'class' => 'SearchMultiSelectField',
            'comments' => 'SearchStringField',
            'commissionPlan' => 'SearchMultiSelectField',
            'concurrentWebServicesUser' => 'SearchBooleanField',
            'country' => 'SearchEnumMultiSelectField',
            'county' => 'SearchStringField',
            'dateCreated' => 'SearchDateField',
            'deduction' => 'SearchMultiSelectField',
            'department' => 'SearchMultiSelectField',
            'earning' => 'SearchMultiSelectField',
            'education' => 'SearchMultiSelectField',
            'eligibleForCommission' => 'SearchBooleanField',
            'email' => 'SearchStringField',
            'employeeStatus' => 'SearchMultiSelectField',
            'employeeType' => 'SearchMultiSelectField',
            'employeeTypeKpi' => 'SearchBooleanField',
            'entityId' => 'SearchStringField',
            'ethnicity' => 'SearchMultiSelectField',
            'expenseLimit' => 'SearchDoubleField',
            'externalId' => 'SearchMultiSelectField',
            'externalIdString' => 'SearchStringField',
            'fax' => 'SearchStringField',
            'firstName' => 'SearchStringField',
            'gender' => 'SearchEnumMultiSelectField',
            'giveAccess' => 'SearchBooleanField',
            'globalSubscriptionStatus' => 'SearchEnumMultiSelectField',
            'group' => 'SearchMultiSelectField',
            'hireDate' => 'SearchDateField',
            'I9Verified' => 'SearchBooleanField',
            'image' => 'SearchStringField',
            'internalId' => 'SearchMultiSelectField',
            'internalIdNumber' => 'SearchLongField',
            'isDefaultBilling' => 'SearchBooleanField',
            'isDefaultShipping' => 'SearchBooleanField',
            'isInactive' => 'SearchBooleanField',
            'isJobResource' => 'SearchBooleanField',
            'isTemplate' => 'SearchBooleanField',
            'jobDescription' => 'SearchStringField',
            'laborCost' => 'SearchDoubleField',
            'language' => 'SearchEnumMultiSelectField',
            'lastModifiedDate' => 'SearchDateField',
            'lastName' => 'SearchStringField',
            'lastPaidDate' => 'SearchDateField',
            'lastReviewDate' => 'SearchDateField',
            'level' => 'SearchEnumMultiSelectField',
            'location' => 'SearchMultiSelectField',
            'maritalStatus' => 'SearchMultiSelectField',
            'middleName' => 'SearchStringField',
            'nextReviewDate' => 'SearchDateField',
            'offlineAccess' => 'SearchBooleanField',
            'payFrequency' => 'SearchEnumMultiSelectField',
            'permChangeDate' => 'SearchDateField',
            'permission' => 'SearchEnumMultiSelectField',
            'permissionChange' => 'SearchEnumMultiSelectField',
            'phone' => 'SearchStringField',
            'phoneticName' => 'SearchStringField',
            'primaryEarningAmount' => 'SearchDoubleField',
            'primaryEarningItem' => 'SearchStringField',
            'primaryEarningType' => 'SearchStringField',
            'purchaseOrderApprovalLimit' => 'SearchDoubleField',
            'purchaseOrderApprover' => 'SearchMultiSelectField',
            'purchaseOrderLimit' => 'SearchDoubleField',
            'releaseDate' => 'SearchDateField',
            'residentStatus' => 'SearchMultiSelectField',
            'role' => 'SearchMultiSelectField',
            'roleChange' => 'SearchMultiSelectField',
            'roleChangeDate' => 'SearchDateField',
            'salesRep' => 'SearchBooleanField',
            'salesRole' => 'SearchMultiSelectField',
            'salutation' => 'SearchStringField',
            'socialSecurityNumber' => 'SearchStringField',
            'state' => 'SearchStringField',
            'subsidiary' => 'SearchMultiSelectField',
            'supervisor' => 'SearchMultiSelectField',
            'supportRep' => 'SearchBooleanField',
            'timeApprover' => 'SearchMultiSelectField',
            'title' => 'SearchStringField',
            'type' => 'SearchMultiSelectField',
            'usePerquest' => 'SearchBooleanField',
            'useTimeData' => 'SearchBooleanField',
            'visaExpDate' => 'SearchDateField',
            'visaType' => 'SearchMultiSelectField',
            'withholding' => 'SearchMultiSelectField',
            'workCalendar' => 'SearchMultiSelectField',
            'workplace' => 'SearchMultiSelectField',
            'zipCode' => 'SearchStringField',
            'customFieldList' => 'SearchCustomFieldList',
        },
    
        EmployeeSearchRowBasic => {
            'accountNumber' => 'SearchColumnStringField',
            'address' => 'SearchColumnStringField',
            'address1' => 'SearchColumnStringField',
            'address2' => 'SearchColumnStringField',
            'address3' => 'SearchColumnStringField',
            'addressee' => 'SearchColumnStringField',
            'addressInternalId' => 'SearchColumnStringField',
            'addressLabel' => 'SearchColumnStringField',
            'addressPhone' => 'SearchColumnStringField',
            'alienNumber' => 'SearchColumnStringField',
            'altEmail' => 'SearchColumnStringField',
            'altName' => 'SearchColumnStringField',
            'altPhone' => 'SearchColumnStringField',
            'approvalLimit' => 'SearchColumnDoubleField',
            'approver' => 'SearchColumnSelectField',
            'attention' => 'SearchColumnStringField',
            'authWorkDate' => 'SearchColumnDateField',
            'billAddress' => 'SearchColumnStringField',
            'billAddress1' => 'SearchColumnStringField',
            'billAddress2' => 'SearchColumnStringField',
            'billAddress3' => 'SearchColumnStringField',
            'billAddressee' => 'SearchColumnStringField',
            'billAttention' => 'SearchColumnStringField',
            'billCity' => 'SearchColumnStringField',
            'billCountry' => 'SearchColumnEnumSelectField',
            'billCountryCode' => 'SearchColumnStringField',
            'billingClass' => 'SearchColumnSelectField',
            'billPhone' => 'SearchColumnStringField',
            'billState' => 'SearchColumnStringField',
            'billZipCode' => 'SearchColumnStringField',
            'birthDate' => 'SearchColumnDateField',
            'birthDay' => 'SearchColumnDateField',
            'city' => 'SearchColumnStringField',
            'class' => 'SearchColumnSelectField',
            'comments' => 'SearchColumnStringField',
            'concurrentWebServicesUser' => 'SearchColumnBooleanField',
            'country' => 'SearchColumnEnumSelectField',
            'countryCode' => 'SearchColumnStringField',
            'dateCreated' => 'SearchColumnDateField',
            'department' => 'SearchColumnSelectField',
            'eligibleForCommission' => 'SearchColumnBooleanField',
            'email' => 'SearchColumnStringField',
            'employeeStatus' => 'SearchColumnSelectField',
            'employeeType' => 'SearchColumnSelectField',
            'entityId' => 'SearchColumnStringField',
            'entityNumber' => 'SearchColumnLongField',
            'ethnicity' => 'SearchColumnSelectField',
            'expenseLimit' => 'SearchColumnDoubleField',
            'externalId' => 'SearchColumnSelectField',
            'fax' => 'SearchColumnStringField',
            'firstName' => 'SearchColumnStringField',
            'gender' => 'SearchColumnEnumSelectField',
            'giveAccess' => 'SearchColumnBooleanField',
            'globalSubscriptionStatus' => 'SearchColumnEnumSelectField',
            'hireDate' => 'SearchColumnDateField',
            'homePhone' => 'SearchColumnStringField',
            'i9Verified' => 'SearchColumnBooleanField',
            'image' => 'SearchColumnSelectField',
            'internalId' => 'SearchColumnSelectField',
            'isDefaultBilling' => 'SearchColumnBooleanField',
            'isDefaultShipping' => 'SearchColumnBooleanField',
            'isInactive' => 'SearchColumnBooleanField',
            'isJobResource' => 'SearchColumnBooleanField',
            'isSalesRep' => 'SearchColumnBooleanField',
            'isSupportRep' => 'SearchColumnBooleanField',
            'isTemplate' => 'SearchColumnBooleanField',
            'laborCost' => 'SearchColumnDoubleField',
            'language' => 'SearchColumnEnumSelectField',
            'lastModifiedDate' => 'SearchColumnDateField',
            'lastName' => 'SearchColumnStringField',
            'lastPaidDate' => 'SearchColumnDateField',
            'lastReviewDate' => 'SearchColumnDateField',
            'level' => 'SearchColumnEnumSelectField',
            'location' => 'SearchColumnSelectField',
            'maritalStatus' => 'SearchColumnSelectField',
            'middleName' => 'SearchColumnStringField',
            'mobilePhone' => 'SearchColumnStringField',
            'nextReviewDate' => 'SearchColumnDateField',
            'offlineAccess' => 'SearchColumnBooleanField',
            'payFrequency' => 'SearchColumnEnumSelectField',
            'permChangeDate' => 'SearchColumnDateField',
            'permChangeLevel' => 'SearchColumnStringField',
            'permission' => 'SearchColumnEnumSelectField',
            'permissionChange' => 'SearchColumnEnumSelectField',
            'phone' => 'SearchColumnStringField',
            'phoneticName' => 'SearchColumnStringField',
            'primaryEarningAmount' => 'SearchColumnDoubleField',
            'primaryEarningItem' => 'SearchColumnStringField',
            'primaryEarningType' => 'SearchColumnStringField',
            'purchaseOrderApprovalLimit' => 'SearchColumnDoubleField',
            'purchaseOrderApprover' => 'SearchColumnSelectField',
            'purchaseOrderLimit' => 'SearchColumnDoubleField',
            'releaseDate' => 'SearchColumnDateField',
            'residentStatus' => 'SearchColumnSelectField',
            'role' => 'SearchColumnSelectField',
            'roleChange' => 'SearchColumnStringField',
            'roleChangeAction' => 'SearchColumnStringField',
            'roleChangeDate' => 'SearchColumnDateField',
            'salesRole' => 'SearchColumnSelectField',
            'salutation' => 'SearchColumnStringField',
            'shipAddress1' => 'SearchColumnStringField',
            'shipAddress2' => 'SearchColumnStringField',
            'shipAddress3' => 'SearchColumnStringField',
            'shipAddressee' => 'SearchColumnStringField',
            'shipAttention' => 'SearchColumnStringField',
            'shipCity' => 'SearchColumnStringField',
            'shipCountry' => 'SearchColumnEnumSelectField',
            'shipCountryCode' => 'SearchColumnStringField',
            'shipPhone' => 'SearchColumnStringField',
            'shipState' => 'SearchColumnStringField',
            'shipZip' => 'SearchColumnStringField',
            'socialSecurityNumber' => 'SearchColumnStringField',
            'state' => 'SearchColumnEnumSelectField',
            'subscription' => 'SearchColumnSelectField',
            'subscriptionDate' => 'SearchColumnDateField',
            'subscriptionStatus' => 'SearchColumnBooleanField',
            'subsidiary' => 'SearchColumnSelectField',
            'supervisor' => 'SearchColumnSelectField',
            'timeApprover' => 'SearchColumnSelectField',
            'title' => 'SearchColumnStringField',
            'type' => 'SearchColumnSelectField',
            'usePerquest' => 'SearchColumnBooleanField',
            'useTimeData' => 'SearchColumnBooleanField',
            'visaExpDate' => 'SearchColumnDateField',
            'visaType' => 'SearchColumnSelectField',
            'workCalendar' => 'SearchColumnStringField',
            'workplace' => 'SearchColumnSelectField',
            'zipCode' => 'SearchColumnStringField',
            'customFieldList' => 'SearchColumnCustomFieldList',
        },
    
        PhoneCallSearchBasic => {
            'assigned' => 'SearchMultiSelectField',
            'company' => 'SearchMultiSelectField',
            'completedDate' => 'SearchDateField',
            'contact' => 'SearchMultiSelectField',
            'createdBy' => 'SearchMultiSelectField',
            'createdDate' => 'SearchDateField',
            'externalId' => 'SearchMultiSelectField',
            'externalIdString' => 'SearchStringField',
            'internalId' => 'SearchMultiSelectField',
            'internalIdNumber' => 'SearchLongField',
            'isPrivate' => 'SearchBooleanField',
            'lastModifiedDate' => 'SearchDateField',
            'owner' => 'SearchBooleanField',
            'phone' => 'SearchStringField',
            'priority' => 'SearchEnumMultiSelectField',
            'startDate' => 'SearchDateField',
            'status' => 'SearchEnumMultiSelectField',
            'title' => 'SearchStringField',
            'customFieldList' => 'SearchCustomFieldList',
        },
    
        PhoneCallSearchRowBasic => {
            'accessLevel' => 'SearchColumnStringField',
            'assigned' => 'SearchColumnSelectField',
            'company' => 'SearchColumnSelectField',
            'completedDate' => 'SearchColumnDateField',
            'contact' => 'SearchColumnSelectField',
            'createdDate' => 'SearchColumnDateField',
            'endDate' => 'SearchColumnDateField',
            'externalId' => 'SearchColumnSelectField',
            'internalId' => 'SearchColumnSelectField',
            'lastModifiedDate' => 'SearchColumnDateField',
            'markdone' => 'SearchColumnStringField',
            'message' => 'SearchColumnStringField',
            'owner' => 'SearchColumnSelectField',
            'phone' => 'SearchColumnStringField',
            'priority' => 'SearchColumnEnumSelectField',
            'startDate' => 'SearchColumnDateField',
            'startTime' => 'SearchColumnDateField',
            'status' => 'SearchColumnEnumSelectField',
            'title' => 'SearchColumnStringField',
            'transaction' => 'SearchColumnSelectField',
            'customFieldList' => 'SearchColumnCustomFieldList',
        },
    
        SupportCaseSearchBasic => {
            'assigned' => 'SearchMultiSelectField',
            'awaitingReply' => 'SearchBooleanField',
            'caseNumber' => 'SearchStringField',
            'category' => 'SearchMultiSelectField',
            'closedDate' => 'SearchDateField',
            'company' => 'SearchStringField',
            'contact' => 'SearchStringField',
            'createdDate' => 'SearchDateField',
            'email' => 'SearchStringField',
            'escalateTo' => 'SearchMultiSelectField',
            'externalId' => 'SearchMultiSelectField',
            'externalIdString' => 'SearchStringField',
            'helpDesk' => 'SearchBooleanField',
            'inboundEmail' => 'SearchStringField',
            'internalId' => 'SearchMultiSelectField',
            'internalIdNumber' => 'SearchLongField',
            'isInactive' => 'SearchBooleanField',
            'issue' => 'SearchMultiSelectField',
            'item' => 'SearchMultiSelectField',
            'lastMessage' => 'SearchBooleanField',
            'lastModifiedDate' => 'SearchDateField',
            'lastReopenedDate' => 'SearchDateField',
            'locked' => 'SearchBooleanField',
            'message' => 'SearchStringField',
            'messageAuthor' => 'SearchMultiSelectField',
            'messageDate' => 'SearchDateField',
            'messageType' => 'SearchBooleanField',
            'module' => 'SearchMultiSelectField',
            'number' => 'SearchLongField',
            'origin' => 'SearchMultiSelectField',
            'priority' => 'SearchMultiSelectField',
            'product' => 'SearchMultiSelectField',
            'serialNumber' => 'SearchStringField',
            'stage' => 'SearchEnumMultiSelectField',
            'startDate' => 'SearchDateField',
            'status' => 'SearchMultiSelectField',
            'subsidiary' => 'SearchMultiSelectField',
            'title' => 'SearchStringField',
            'customFieldList' => 'SearchCustomFieldList',
        },
    
        SupportCaseSearchRowBasic => {
            'assigned' => 'SearchColumnSelectField',
            'awaitingReply' => 'SearchColumnBooleanField',
            'caseNumber' => 'SearchColumnStringField',
            'category' => 'SearchColumnSelectField',
            'company' => 'SearchColumnSelectField',
            'contact' => 'SearchColumnSelectField',
            'createdDate' => 'SearchColumnDateField',
            'customerStage' => 'SearchColumnEnumSelectField',
            'email' => 'SearchColumnStringField',
            'endDate' => 'SearchColumnDateField',
            'escalatee' => 'SearchColumnSelectField',
            'externalId' => 'SearchColumnSelectField',
            'helpDesk' => 'SearchColumnBooleanField',
            'inboundEmail' => 'SearchColumnStringField',
            'internalId' => 'SearchColumnSelectField',
            'isInactive' => 'SearchColumnBooleanField',
            'issue' => 'SearchColumnSelectField',
            'issueNumber' => 'SearchColumnStringField',
            'item' => 'SearchColumnSelectField',
            'lastMessageDate' => 'SearchColumnDateField',
            'lastModifiedDate' => 'SearchColumnDateField',
            'lastReopenedDate' => 'SearchColumnDateField',
            'locked' => 'SearchColumnBooleanField',
            'module' => 'SearchColumnSelectField',
            'origin' => 'SearchColumnSelectField',
            'priority' => 'SearchColumnSelectField',
            'product' => 'SearchColumnSelectField',
            'serialNumber' => 'SearchColumnStringField',
            'stage' => 'SearchColumnEnumSelectField',
            'startDate' => 'SearchColumnDateField',
            'status' => 'SearchColumnSelectField',
            'subsidiary' => 'SearchColumnSelectField',
            'title' => 'SearchColumnStringField',
            'customFieldList' => 'SearchColumnCustomFieldList',
        },
    
        MessageSearchBasic => {
            'author' => 'SearchMultiSelectField',
            'authorEmail' => 'SearchStringField',
            'bcc' => 'SearchStringField',
            'cc' => 'SearchStringField',
            'externalId' => 'SearchMultiSelectField',
            'externalIdString' => 'SearchStringField',
            'hasAttachment' => 'SearchBooleanField',
            'internalId' => 'SearchMultiSelectField',
            'internalIdNumber' => 'SearchLongField',
            'internalOnly' => 'SearchBooleanField',
            'message' => 'SearchStringField',
            'messageDate' => 'SearchDateField',
            'messageType' => 'SearchEnumMultiSelectField',
            'recipient' => 'SearchMultiSelectField',
            'recipientEmail' => 'SearchStringField',
            'subject' => 'SearchStringField',
        },
    
        MessageSearchRowBasic => {
            'author' => 'SearchColumnSelectField',
            'authorEmail' => 'SearchColumnStringField',
            'bcc' => 'SearchColumnStringField',
            'cc' => 'SearchColumnStringField',
            'externalId' => 'SearchColumnSelectField',
            'hasAttachment' => 'SearchColumnBooleanField',
            'internalId' => 'SearchColumnSelectField',
            'internalOnly' => 'SearchColumnBooleanField',
            'isEmailed' => 'SearchColumnBooleanField',
            'isIncoming' => 'SearchColumnBooleanField',
            'message' => 'SearchColumnStringField',
            'messageDate' => 'SearchColumnDateField',
            'messageType' => 'SearchColumnEnumSelectField',
            'recipient' => 'SearchColumnSelectField',
            'recipientEmail' => 'SearchColumnStringField',
            'subject' => 'SearchColumnStringField',
        },
    
        NoteSearchBasic => {
            'author' => 'SearchMultiSelectField',
            'direction' => 'SearchBooleanField',
            'externalId' => 'SearchMultiSelectField',
            'externalIdString' => 'SearchStringField',
            'internalId' => 'SearchMultiSelectField',
            'internalIdNumber' => 'SearchLongField',
            'note' => 'SearchStringField',
            'noteDate' => 'SearchDateField',
            'noteType' => 'SearchMultiSelectField',
            'title' => 'SearchStringField',
        },
    
        NoteSearchRowBasic => {
            'author' => 'SearchColumnSelectField',
            'direction' => 'SearchColumnStringField',
            'externalId' => 'SearchColumnSelectField',
            'internalId' => 'SearchColumnSelectField',
            'note' => 'SearchColumnStringField',
            'noteDate' => 'SearchColumnDateField',
            'noteType' => 'SearchColumnStringField',
            'title' => 'SearchColumnStringField',
        },
    
        CustomRecordSearchBasic => {
            'recType' => 'RecordRef',
            'availableOffline' => 'SearchBooleanField',
            'created' => 'SearchDateField',
            'externalId' => 'SearchMultiSelectField',
            'externalIdString' => 'SearchStringField',
            'id' => 'SearchLongField',
            'internalId' => 'SearchMultiSelectField',
            'internalIdNumber' => 'SearchLongField',
            'isInactive' => 'SearchBooleanField',
            'lastModified' => 'SearchDateField',
            'lastModifiedBy' => 'SearchMultiSelectField',
            'name' => 'SearchStringField',
            'owner' => 'SearchMultiSelectField',
            'customFieldList' => 'SearchCustomFieldList',
        },
    
        CustomRecordSearchRowBasic => {
            'recType' => 'RecordRef',
            'altName' => 'SearchColumnStringField',
            'availableOffline' => 'SearchColumnBooleanField',
            'created' => 'SearchColumnDateField',
            'externalId' => 'SearchColumnSelectField',
            'id' => 'SearchColumnLongField',
            'internalId' => 'SearchColumnSelectField',
            'isInactive' => 'SearchColumnBooleanField',
            'lastModified' => 'SearchColumnDateField',
            'lastModifiedBy' => 'SearchColumnSelectField',
            'name' => 'SearchColumnStringField',
            'owner' => 'SearchColumnSelectField',
            'customFieldList' => 'SearchColumnCustomFieldList',
        },
    
        AccountSearchBasic => {
            'balance' => 'SearchDoubleField',
            'cashFlowRateType' => 'SearchEnumMultiSelectField',
            'category1099Misc' => 'SearchMultiSelectField',
            'description' => 'SearchStringField',
            'externalId' => 'SearchMultiSelectField',
            'externalIdString' => 'SearchStringField',
            'generalRateType' => 'SearchEnumMultiSelectField',
            'internalId' => 'SearchMultiSelectField',
            'internalIdNumber' => 'SearchLongField',
            'isInactive' => 'SearchBooleanField',
            'name' => 'SearchStringField',
            'number' => 'SearchStringField',
            'parent' => 'SearchMultiSelectField',
            'subsidiary' => 'SearchMultiSelectField',
            'type' => 'SearchEnumMultiSelectField',
            'customFieldList' => 'SearchCustomFieldList',
        },
    
        AccountSearchRowBasic => {
            'balance' => 'SearchColumnDoubleField',
            'cashFlowRateType' => 'SearchColumnEnumSelectField',
            'category1099Misc' => 'SearchColumnSelectField',
            'description' => 'SearchColumnStringField',
            'externalId' => 'SearchColumnSelectField',
            'generalRateType' => 'SearchColumnEnumSelectField',
            'internalId' => 'SearchColumnSelectField',
            'isInactive' => 'SearchColumnBooleanField',
            'name' => 'SearchColumnStringField',
            'number' => 'SearchColumnStringField',
            'subsidiary' => 'SearchColumnSelectField',
            'type' => 'SearchColumnEnumSelectField',
            'customFieldList' => 'SearchColumnCustomFieldList',
        },
    
        RevRecScheduleSearchBasic => {
            'amount' => 'SearchDoubleField',
            'defRev' => 'SearchMultiSelectField',
            'entity' => 'SearchStringField',
            'externalId' => 'SearchMultiSelectField',
            'externalIdString' => 'SearchStringField',
            'incomeAcct' => 'SearchMultiSelectField',
            'internalId' => 'SearchMultiSelectField',
            'internalIdNumber' => 'SearchLongField',
            'jeDoc' => 'SearchMultiSelectField',
            'name' => 'SearchMultiSelectField',
            'postPeriod' => 'SearchMultiSelectField',
            'srcDoc' => 'SearchMultiSelectField',
            'srcDocDate' => 'SearchDateField',
            'srcTranPostPeriod' => 'SearchMultiSelectField',
        },
    
        RevRecScheduleSearchRowBasic => {
            'amount' => 'SearchColumnDoubleField',
            'defRev' => 'SearchColumnStringField',
            'entity' => 'SearchColumnStringField',
            'externalId' => 'SearchColumnStringField',
            'incomeAcct' => 'SearchColumnStringField',
            'internalId' => 'SearchColumnSelectField',
            'jeDoc' => 'SearchColumnStringField',
            'jeDocUrl' => 'SearchColumnStringField',
            'name' => 'SearchColumnStringField',
            'nameUrl' => 'SearchColumnStringField',
            'postPeriod' => 'SearchColumnStringField',
            'srcDoc' => 'SearchColumnStringField',
            'srcDocLine' => 'SearchColumnStringField',
        },
    
        RevRecTemplateSearchBasic => {
            'amorMethod' => 'SearchEnumMultiSelectField',
            'amorPeriod' => 'SearchLongField',
            'amorStartOffset' => 'SearchLongField',
            'amorTermSrc' => 'SearchEnumMultiSelectField',
            'amorType' => 'SearchEnumMultiSelectField',
            'contraAccount' => 'SearchMultiSelectField',
            'deferralAccount' => 'SearchMultiSelectField',
            'externalId' => 'SearchMultiSelectField',
            'externalIdString' => 'SearchStringField',
            'internalId' => 'SearchMultiSelectField',
            'internalIdNumber' => 'SearchLongField',
            'isInactive' => 'SearchBooleanField',
            'name' => 'SearchStringField',
            'periodOffset' => 'SearchLongField',
            'targetAccount' => 'SearchMultiSelectField',
            'useForeignAmounts' => 'SearchBooleanField',
        },
    
        RevRecTemplateSearchRowBasic => {
            'amorMethod' => 'SearchColumnStringField',
            'amorPeriod' => 'SearchColumnStringField',
            'amorStartOffset' => 'SearchColumnStringField',
            'amorTermSrc' => 'SearchColumnStringField',
            'amorType' => 'SearchColumnStringField',
            'contraAccount' => 'SearchColumnStringField',
            'deferralAccount' => 'SearchColumnStringField',
            'externalId' => 'SearchColumnStringField',
            'internalId' => 'SearchColumnLongField',
            'isInactive' => 'SearchColumnStringField',
            'name' => 'SearchColumnStringField',
            'periodOffset' => 'SearchColumnStringField',
            'targetAccount' => 'SearchColumnStringField',
            'useForeignAmounts' => 'SearchColumnBooleanField',
        },
    
        BinSearchBasic => {
            'binNumber' => 'SearchStringField',
            'inactive' => 'SearchBooleanField',
            'internalId' => 'SearchMultiSelectField',
            'internalIdNumber' => 'SearchLongField',
            'location' => 'SearchMultiSelectField',
            'memo' => 'SearchStringField',
            'customFieldList' => 'SearchCustomFieldList',
        },
    
        BinSearchRowBasic => {
            'binNumber' => 'SearchColumnStringField',
            'inactive' => 'SearchColumnBooleanField',
            'internalId' => 'SearchColumnSelectField',
            'location' => 'SearchColumnStringField',
            'memo' => 'SearchColumnStringField',
            'customFieldList' => 'SearchColumnCustomFieldList',
        },
    
        DepartmentSearchBasic => {
            'externalId' => 'SearchMultiSelectField',
            'externalIdString' => 'SearchStringField',
            'internalId' => 'SearchMultiSelectField',
            'internalIdNumber' => 'SearchLongField',
            'isInactive' => 'SearchBooleanField',
            'name' => 'SearchStringField',
            'nameNoHierarchy' => 'SearchStringField',
            'subsidiary' => 'SearchMultiSelectField',
            'customFieldList' => 'SearchCustomFieldList',
        },
    
        DepartmentSearchRowBasic => {
            'externalId' => 'SearchColumnSelectField',
            'internalId' => 'SearchColumnSelectField',
            'isInactive' => 'SearchColumnBooleanField',
            'name' => 'SearchColumnStringField',
            'nameNoHierarchy' => 'SearchColumnStringField',
            'subsidiary' => 'SearchColumnSelectField',
            'customFieldList' => 'SearchColumnCustomFieldList',
        },
    
        LocationSearchBasic => {
            'address' => 'SearchStringField',
            'city' => 'SearchStringField',
            'country' => 'SearchEnumMultiSelectField',
            'county' => 'SearchStringField',
            'externalId' => 'SearchMultiSelectField',
            'externalIdString' => 'SearchStringField',
            'internalId' => 'SearchMultiSelectField',
            'internalIdNumber' => 'SearchLongField',
            'isInactive' => 'SearchBooleanField',
            'isOffice' => 'SearchBooleanField',
            'makeInventoryAvailable' => 'SearchBooleanField',
            'makeInventoryAvailableStore' => 'SearchBooleanField',
            'name' => 'SearchStringField',
            'nameNoHierarchy' => 'SearchStringField',
            'phone' => 'SearchStringField',
            'state' => 'SearchStringField',
            'subsidiary' => 'SearchMultiSelectField',
            'tranprefix' => 'SearchStringField',
            'zip' => 'SearchStringField',
            'customFieldList' => 'SearchCustomFieldList',
        },
    
        LocationSearchRowBasic => {
            'address1' => 'SearchColumnStringField',
            'address2' => 'SearchColumnStringField',
            'address3' => 'SearchColumnStringField',
            'city' => 'SearchColumnStringField',
            'country' => 'SearchColumnEnumSelectField',
            'externalId' => 'SearchColumnSelectField',
            'internalId' => 'SearchColumnSelectField',
            'isInactive' => 'SearchColumnBooleanField',
            'isOffice' => 'SearchColumnBooleanField',
            'makeInventoryAvailable' => 'SearchColumnBooleanField',
            'makeInventoryAvailableStore' => 'SearchColumnBooleanField',
            'name' => 'SearchColumnStringField',
            'nameNoHierarchy' => 'SearchColumnStringField',
            'phone' => 'SearchColumnStringField',
            'state' => 'SearchColumnStringField',
            'subsidiary' => 'SearchColumnSelectField',
            'tranPrefix' => 'SearchColumnStringField',
            'zip' => 'SearchColumnStringField',
            'customFieldList' => 'SearchColumnCustomFieldList',
        },
    
        ClassificationSearchBasic => {
            'externalId' => 'SearchMultiSelectField',
            'externalIdString' => 'SearchStringField',
            'internalId' => 'SearchMultiSelectField',
            'internalIdNumber' => 'SearchLongField',
            'isInactive' => 'SearchBooleanField',
            'name' => 'SearchStringField',
            'nameNoHierarchy' => 'SearchStringField',
            'subsidiary' => 'SearchMultiSelectField',
            'customFieldList' => 'SearchCustomFieldList',
        },
    
        ClassificationSearchRowBasic => {
            'externalId' => 'SearchColumnSelectField',
            'internalId' => 'SearchColumnSelectField',
            'isInactive' => 'SearchColumnBooleanField',
            'name' => 'SearchColumnStringField',
            'nameNoHierarchy' => 'SearchColumnStringField',
            'subsidiary' => 'SearchColumnSelectField',
            'customFieldList' => 'SearchColumnCustomFieldList',
        },
    
        TransactionSearchBasic => {
            'account' => 'SearchMultiSelectField',
            'accountType' => 'SearchMultiSelectField',
            'actualShipDate' => 'SearchDateField',
            'altSalesAmount' => 'SearchDoubleField',
            'altSalesNetAmount' => 'SearchDoubleField',
            'amount' => 'SearchDoubleField',
            'amountPaid' => 'SearchDoubleField',
            'amountRemaining' => 'SearchDoubleField',
            'amountUnbilled' => 'SearchDoubleField',
            'anyLineItem' => 'SearchMultiSelectField',
            'appliedToForeignAmount' => 'SearchDoubleField',
            'appliedToIsFxVariance' => 'SearchBooleanField',
            'appliedToLinkAmount' => 'SearchDoubleField',
            'appliedToLinkType' => 'SearchEnumMultiSelectField',
            'appliedToTransaction' => 'SearchMultiSelectField',
            'applyingForeignAmount' => 'SearchDoubleField',
            'applyingIsFxVariance' => 'SearchBooleanField',
            'applyingLinkAmount' => 'SearchDoubleField',
            'applyingLinkType' => 'SearchEnumMultiSelectField',
            'applyingTransaction' => 'SearchMultiSelectField',
            'approvalStatus' => 'SearchEnumMultiSelectField',
            'authCode' => 'SearchStringField',
            'avsStreetMatch' => 'SearchEnumMultiSelectField',
            'avsZipMatch' => 'SearchEnumMultiSelectField',
            'billable' => 'SearchBooleanField',
            'billAddress' => 'SearchStringField',
            'billAddressee' => 'SearchStringField',
            'billAttention' => 'SearchStringField',
            'billCity' => 'SearchStringField',
            'billCountry' => 'SearchEnumMultiSelectField',
            'billCounty' => 'SearchStringField',
            'billedDate' => 'SearchDateField',
            'billingSchedule' => 'SearchMultiSelectField',
            'billingStatus' => 'SearchBooleanField',
            'billingTransaction' => 'SearchMultiSelectField',
            'billPhone' => 'SearchStringField',
            'billState' => 'SearchStringField',
            'billVarianceStatus' => 'SearchEnumMultiSelectField',
            'billZip' => 'SearchStringField',
            'binNumber' => 'SearchStringField',
            'binNumberQuantity' => 'SearchDoubleField',
            'bomQuantity' => 'SearchDoubleField',
            'buildEntireAssembly' => 'SearchBooleanField',
            'buildVariance' => 'SearchDoubleField',
            'built' => 'SearchDoubleField',
            'ccCustomerCode' => 'SearchStringField',
            'ccExpireDate' => 'SearchDateField',
            'ccName' => 'SearchStringField',
            'ccNumber' => 'SearchStringField',
            'chargeType' => 'SearchEnumMultiSelectField',
            'class' => 'SearchMultiSelectField',
            'cleared' => 'SearchBooleanField',
            'closed' => 'SearchBooleanField',
            'closeDate' => 'SearchDateField',
            'cogs' => 'SearchBooleanField',
            'commissionEffectiveDate' => 'SearchDateField',
            'commit' => 'SearchEnumMultiSelectField',
            'componentYield' => 'SearchDoubleField',
            'confirmationNumber' => 'SearchStringField',
            'contribution' => 'SearchLongField',
            'costComponentAmount' => 'SearchDoubleField',
            'costComponentCategory' => 'SearchMultiSelectField',
            'costComponentItem' => 'SearchMultiSelectField',
            'costComponentQuantity' => 'SearchDoubleField',
            'costComponentStandardCost' => 'SearchDoubleField',
            'costEstimate' => 'SearchDoubleField',
            'costEstimateRate' => 'SearchDoubleField',
            'costEstimateType' => 'SearchEnumMultiSelectField',
            'createdBy' => 'SearchMultiSelectField',
            'createdFrom' => 'SearchMultiSelectField',
            'creditAmount' => 'SearchDoubleField',
            'cscMatch' => 'SearchEnumMultiSelectField',
            'currency' => 'SearchMultiSelectField',
            'customerSubOf' => 'SearchMultiSelectField',
            'customForm' => 'SearchMultiSelectField',
            'custType' => 'SearchMultiSelectField',
            'dateCreated' => 'SearchDateField',
            'daysOpen' => 'SearchLongField',
            'daysOverdue' => 'SearchLongField',
            'debitAmount' => 'SearchDoubleField',
            'deferredRevenue' => 'SearchDoubleField',
            'deferRevRec' => 'SearchBooleanField',
            'department' => 'SearchMultiSelectField',
            'depositDate' => 'SearchDateField',
            'depositTransaction' => 'SearchMultiSelectField',
            'drAccount' => 'SearchMultiSelectField',
            'dueDate' => 'SearchDateField',
            'email' => 'SearchStringField',
            'employee' => 'SearchMultiSelectField',
            'endDate' => 'SearchDateField',
            'entity' => 'SearchMultiSelectField',
            'entityStatus' => 'SearchMultiSelectField',
            'estGrossProfit' => 'SearchDoubleField',
            'estGrossProfitPct' => 'SearchDoubleField',
            'exchangeRate' => 'SearchDoubleField',
            'excludeCommission' => 'SearchBooleanField',
            'expectedCloseDate' => 'SearchDateField',
            'expectedReceiptDate' => 'SearchDateField',
            'expenseCategory' => 'SearchMultiSelectField',
            'expenseDate' => 'SearchDateField',
            'externalId' => 'SearchMultiSelectField',
            'externalIdString' => 'SearchStringField',
            'finChrg' => 'SearchBooleanField',
            'forecastType' => 'SearchEnumMultiSelectField',
            'fulfillingTransaction' => 'SearchMultiSelectField',
            'fxAccount' => 'SearchMultiSelectField',
            'fxAmount' => 'SearchDoubleField',
            'fxCostEstimate' => 'SearchDoubleField',
            'fxCostEstimateRate' => 'SearchDoubleField',
            'fxEstGrossProfit' => 'SearchDoubleField',
            'fxTranCostEstimate' => 'SearchDoubleField',
            'fxVsoeAllocation' => 'SearchDoubleField',
            'fxVsoeAmount' => 'SearchDoubleField',
            'fxVsoePrice' => 'SearchDoubleField',
            'gcoAvailabelToCharge' => 'SearchBooleanField',
            'gcoAvailableToRefund' => 'SearchBooleanField',
            'gcoAvsStreetMatch' => 'SearchEnumMultiSelectField',
            'gcoAvsZipMatch' => 'SearchEnumMultiSelectField',
            'gcoBuyerAccountAge' => 'SearchLongField',
            'gcoBuyerIp' => 'SearchStringField',
            'gcoChargeAmount' => 'SearchDoubleField',
            'gcoChargebackAmount' => 'SearchDoubleField',
            'gcoConfirmedChargedTotal' => 'SearchDoubleField',
            'gcoConfirmedRefundedTotal' => 'SearchDoubleField',
            'gcoCreditcardNumber' => 'SearchStringField',
            'gcoCscMatch' => 'SearchEnumMultiSelectField',
            'gcoFinancialState' => 'SearchStringField',
            'gcoFulfillmentState' => 'SearchStringField',
            'gcoOrderId' => 'SearchStringField',
            'gcoOrderTotal' => 'SearchDoubleField',
            'gcoPromotionAmount' => 'SearchDoubleField',
            'gcoPromotionName' => 'SearchStringField',
            'gcoRefundAmount' => 'SearchDoubleField',
            'gcoShippingTotal' => 'SearchDoubleField',
            'gcoStateChangedDetail' => 'SearchStringField',
            'giftCertificate' => 'SearchStringField',
            'grossAmount' => 'SearchDoubleField',
            'includeInForecast' => 'SearchBooleanField',
            'intercoStatus' => 'SearchEnumMultiSelectField',
            'intercoTransaction' => 'SearchMultiSelectField',
            'internalId' => 'SearchMultiSelectField',
            'internalIdNumber' => 'SearchLongField',
            'inVsoeBundle' => 'SearchBooleanField',
            'isAllocation' => 'SearchBooleanField',
            'isBackflush' => 'SearchBooleanField',
            'isGcoChargeback' => 'SearchBooleanField',
            'isGcoChargeConfirmed' => 'SearchBooleanField',
            'isGcoPaymentGuaranteed' => 'SearchBooleanField',
            'isGcoRefundConfirmed' => 'SearchBooleanField',
            'isIntercompanyAdjustment' => 'SearchBooleanField',
            'isMultiShipTo' => 'SearchBooleanField',
            'isPayPalMeth' => 'SearchBooleanField',
            'isReversal' => 'SearchBooleanField',
            'isRevRecTransaction' => 'SearchBooleanField',
            'isScrap' => 'SearchBooleanField',
            'isShipAddress' => 'SearchBooleanField',
            'isTransferPriceCosting' => 'SearchBooleanField',
            'isVsoeAlloc' => 'SearchBooleanField',
            'isWip' => 'SearchBooleanField',
            'item' => 'SearchMultiSelectField',
            'itemRevision' => 'SearchMultiSelectField',
            'itemSubOf' => 'SearchMultiSelectField',
            'landedCostPerLine' => 'SearchBooleanField',
            'lastModifiedDate' => 'SearchDateField',
            'leadSource' => 'SearchMultiSelectField',
            'location' => 'SearchMultiSelectField',
            'mainLine' => 'SearchBooleanField',
            'mainName' => 'SearchMultiSelectField',
            'manufacturingRouting' => 'SearchMultiSelectField',
            'matchBillToReceipt' => 'SearchBooleanField',
            'memo' => 'SearchStringField',
            'memoMain' => 'SearchStringField',
            'memorized' => 'SearchBooleanField',
            'merchantAccount' => 'SearchStringField',
            'message' => 'SearchStringField',
            'multiSubsidiary' => 'SearchBooleanField',
            'nameText' => 'SearchStringField',
            'netAmount' => 'SearchDoubleField',
            'nextApprover' => 'SearchMultiSelectField',
            'nextBillDate' => 'SearchDateField',
            'nonReimbursable' => 'SearchBooleanField',
            'number' => 'SearchLongField',
            'opportunity' => 'SearchMultiSelectField',
            'orderPriority' => 'SearchDoubleField',
            'otherRefNum' => 'SearchTextNumberField',
            'otherRefNumNonDeposit' => 'SearchTextNumberField',
            'overheadParentItem' => 'SearchMultiSelectField',
            'packageCount' => 'SearchLongField',
            'paidTransaction' => 'SearchMultiSelectField',
            'parent' => 'SearchLongField',
            'partner' => 'SearchMultiSelectField',
            'partnerContribution' => 'SearchLongField',
            'partnerRole' => 'SearchMultiSelectField',
            'partnerTeamMember' => 'SearchMultiSelectField',
            'payingTransaction' => 'SearchMultiSelectField',
            'paymentApproved' => 'SearchBooleanField',
            'paymentEventDate' => 'SearchDateField',
            'paymentEventHoldReason' => 'SearchEnumMultiSelectField',
            'paymentEventPurchaseCardUsed' => 'SearchBooleanField',
            'paymentEventPurchaseDataSent' => 'SearchBooleanField',
            'paymentEventResult' => 'SearchEnumMultiSelectField',
            'paymentEventType' => 'SearchEnumMultiSelectField',
            'paymentMethod' => 'SearchMultiSelectField',
            'payPalPending' => 'SearchBooleanField',
            'payPalStatus' => 'SearchStringField',
            'payPalTranId' => 'SearchStringField',
            'pnRefNum' => 'SearchStringField',
            'poAsText' => 'SearchStringField',
            'posting' => 'SearchBooleanField',
            'postingPeriod' => 'RecordRef',
            'postingPeriodRelative' => 'PostingPeriodDate',
            'priceLevel' => 'SearchMultiSelectField',
            'printedPickingTicket' => 'SearchBooleanField',
            'probability' => 'SearchLongField',
            'projectedAmount' => 'SearchDoubleField',
            'promoCode' => 'SearchMultiSelectField',
            'purchaseOrder' => 'SearchMultiSelectField',
            'quantity' => 'SearchDoubleField',
            'quantityBilled' => 'SearchDoubleField',
            'quantityCommitted' => 'SearchDoubleField',
            'quantityPacked' => 'SearchDoubleField',
            'quantityPicked' => 'SearchDoubleField',
            'quantityRevCommitted' => 'SearchDoubleField',
            'quantityShipRecv' => 'SearchDoubleField',
            'recognizedRevenue' => 'SearchDoubleField',
            'recordType' => 'SearchStringField',
            'refNumber' => 'SearchLongField',
            'revCommitStatus' => 'SearchEnumMultiSelectField',
            'revCommittingStatus' => 'SearchBooleanField',
            'revCommittingTransaction' => 'SearchMultiSelectField',
            'revenueStatus' => 'SearchEnumMultiSelectField',
            'reversalDate' => 'SearchDateField',
            'reversalNumber' => 'SearchStringField',
            'revRecEndDate' => 'SearchDateField',
            'revRecOnRevCommitment' => 'SearchBooleanField',
            'revRecStartDate' => 'SearchDateField',
            'revRecTermInMonths' => 'SearchLongField',
            'salesEffectiveDate' => 'SearchDateField',
            'salesOrder' => 'SearchMultiSelectField',
            'salesRep' => 'SearchMultiSelectField',
            'salesTeamMember' => 'SearchMultiSelectField',
            'salesTeamRole' => 'SearchMultiSelectField',
            'serialNumber' => 'SearchStringField',
            'serialNumberCost' => 'SearchDoubleField',
            'serialNumberCostAdjustment' => 'SearchDoubleField',
            'serialNumberQuantity' => 'SearchDoubleField',
            'serialNumbers' => 'SearchStringField',
            'shipAddress' => 'SearchStringField',
            'shipAddressee' => 'SearchStringField',
            'shipAttention' => 'SearchStringField',
            'shipCity' => 'SearchStringField',
            'shipComplete' => 'SearchBooleanField',
            'shipCountry' => 'SearchEnumMultiSelectField',
            'shipCounty' => 'SearchStringField',
            'shipDate' => 'SearchDateField',
            'shipGroup' => 'SearchLongField',
            'shipMethod' => 'SearchMultiSelectField',
            'shipPhone' => 'SearchStringField',
            'shipping' => 'SearchBooleanField',
            'shipRecvStatus' => 'SearchBooleanField',
            'shipRecvStatusLine' => 'SearchBooleanField',
            'shipState' => 'SearchMultiSelectField',
            'shipTo' => 'SearchMultiSelectField',
            'shipZip' => 'SearchStringField',
            'source' => 'SearchEnumMultiSelectField',
            'startDate' => 'SearchDateField',
            'status' => 'SearchEnumMultiSelectField',
            'subsidiary' => 'SearchMultiSelectField',
            'taxItem' => 'SearchMultiSelectField',
            'taxLine' => 'SearchBooleanField',
            'taxPeriod' => 'RecordRef',
            'taxPeriodRelative' => 'PostingPeriodDate',
            'taxRate' => 'SearchDoubleField',
            'terms' => 'SearchMultiSelectField',
            'title' => 'SearchStringField',
            'toBeEmailed' => 'SearchBooleanField',
            'toBePrinted' => 'SearchBooleanField',
            'toSubsidiary' => 'SearchMultiSelectField',
            'totalAmount' => 'SearchDoubleField',
            'trackingNumbers' => 'SearchStringField',
            'tranCostEstimate' => 'SearchDoubleField',
            'tranDate' => 'SearchDateField',
            'tranEstGrossProfit' => 'SearchDoubleField',
            'tranEstGrossProfitPct' => 'SearchDoubleField',
            'tranFxEstGrossProfit' => 'SearchDoubleField',
            'tranId' => 'SearchStringField',
            'tranIsVsoeBundle' => 'SearchBooleanField',
            'transactionDiscount' => 'SearchBooleanField',
            'transactionLineType' => 'SearchEnumMultiSelectField',
            'transferLocation' => 'SearchMultiSelectField',
            'transferOrderQuantityCommitted' => 'SearchDoubleField',
            'transferOrderQuantityPacked' => 'SearchDoubleField',
            'transferOrderQuantityPicked' => 'SearchDoubleField',
            'transferOrderQuantityReceived' => 'SearchDoubleField',
            'transferOrderQuantityShipped' => 'SearchDoubleField',
            'type' => 'SearchEnumMultiSelectField',
            'unit' => 'SearchMultiSelectField',
            'unitCostOverride' => 'SearchDoubleField',
            'vendType' => 'SearchMultiSelectField',
            'visibleToCustomer' => 'SearchBooleanField',
            'voided' => 'SearchBooleanField',
            'vsoeAllocation' => 'SearchDoubleField',
            'vsoeAmount' => 'SearchDoubleField',
            'vsoeDeferral' => 'SearchEnumMultiSelectField',
            'vsoeDelivered' => 'SearchBooleanField',
            'vsoePermitDiscount' => 'SearchEnumMultiSelectField',
            'vsoePrice' => 'SearchDoubleField',
            'webSite' => 'SearchMultiSelectField',
            'customFieldList' => 'SearchCustomFieldList',
        },
    
        TransactionSearchRowBasic => {
            'abbrev' => 'SearchColumnStringField',
            'account' => 'SearchColumnSelectField',
            'accountType' => 'SearchColumnStringField',
            'actualShipDate' => 'SearchColumnDateField',
            'altSalesAmount' => 'SearchColumnDoubleField',
            'altSalesNetAmount' => 'SearchColumnDoubleField',
            'amount' => 'SearchColumnDoubleField',
            'amountPaid' => 'SearchColumnDoubleField',
            'amountRemaining' => 'SearchColumnDoubleField',
            'amountUnbilled' => 'SearchColumnDoubleField',
            'appliedToForeignAmount' => 'SearchColumnDoubleField',
            'appliedToIsFxVariance' => 'SearchColumnBooleanField',
            'appliedToLinkAmount' => 'SearchColumnDoubleField',
            'appliedToLinkType' => 'SearchColumnStringField',
            'appliedToTransaction' => 'SearchColumnSelectField',
            'applyingForeignAmount' => 'SearchColumnDoubleField',
            'applyingIsFxVariance' => 'SearchColumnBooleanField',
            'applyingLinkAmount' => 'SearchColumnDoubleField',
            'applyingLinkType' => 'SearchColumnStringField',
            'applyingTransaction' => 'SearchColumnSelectField',
            'approvalStatus' => 'SearchColumnEnumSelectField',
            'authCode' => 'SearchColumnStringField',
            'avsStreetMatch' => 'SearchColumnEnumSelectField',
            'avsZipMatch' => 'SearchColumnEnumSelectField',
            'billable' => 'SearchColumnBooleanField',
            'billAddress' => 'SearchColumnStringField',
            'billAddress1' => 'SearchColumnStringField',
            'billAddress2' => 'SearchColumnStringField',
            'billAddress3' => 'SearchColumnStringField',
            'billAddressee' => 'SearchColumnStringField',
            'billAttention' => 'SearchColumnStringField',
            'billCity' => 'SearchColumnStringField',
            'billCountry' => 'SearchColumnEnumSelectField',
            'billCountryCode' => 'SearchColumnStringField',
            'billedDate' => 'SearchColumnDateField',
            'billingAmount' => 'SearchColumnDoubleField',
            'billingSchedule' => 'SearchColumnSelectField',
            'billingTransaction' => 'SearchColumnSelectField',
            'billPhone' => 'SearchColumnStringField',
            'billState' => 'SearchColumnStringField',
            'billVarianceStatus' => 'SearchColumnEnumSelectField',
            'billZip' => 'SearchColumnStringField',
            'binNumber' => 'SearchColumnStringField',
            'binNumberQuantity' => 'SearchColumnDoubleField',
            'bomQuantity' => 'SearchColumnDoubleField',
            'buildEntireAssembly' => 'SearchColumnBooleanField',
            'buildVariance' => 'SearchColumnDoubleField',
            'built' => 'SearchColumnDoubleField',
            'ccCustomerCode' => 'SearchColumnStringField',
            'ccExpDate' => 'SearchColumnDateField',
            'ccHolderName' => 'SearchColumnStringField',
            'ccNumber' => 'SearchColumnStringField',
            'ccStreet' => 'SearchColumnStringField',
            'ccZipCode' => 'SearchColumnStringField',
            'class' => 'SearchColumnSelectField',
            'cleared' => 'SearchColumnBooleanField',
            'closed' => 'SearchColumnBooleanField',
            'closeDate' => 'SearchColumnDateField',
            'cogsAmount' => 'SearchColumnDoubleField',
            'commissionEffectiveDate' => 'SearchColumnDateField',
            'commit' => 'SearchColumnEnumSelectField',
            'componentYield' => 'SearchColumnDoubleField',
            'confirmationNumber' => 'SearchColumnStringField',
            'contribution' => 'SearchColumnDoubleField',
            'contributionPrimary' => 'SearchColumnDoubleField',
            'costComponentAmount' => 'SearchColumnDoubleField',
            'costComponentCategory' => 'SearchColumnStringField',
            'costComponentItem' => 'SearchColumnStringField',
            'costComponentQuantity' => 'SearchColumnDoubleField',
            'costComponentStandardCost' => 'SearchColumnDoubleField',
            'costEstimate' => 'SearchColumnDoubleField',
            'costEstimateRate' => 'SearchColumnDoubleField',
            'costEstimateType' => 'SearchColumnEnumSelectField',
            'createdBy' => 'SearchColumnSelectField',
            'createdFrom' => 'SearchColumnSelectField',
            'creditAmount' => 'SearchColumnDoubleField',
            'cscMatch' => 'SearchColumnEnumSelectField',
            'currency' => 'SearchColumnSelectField',
            'customForm' => 'SearchColumnSelectField',
            'custType' => 'SearchColumnSelectField',
            'dateCreated' => 'SearchColumnDateField',
            'daysOpen' => 'SearchColumnLongField',
            'daysOverdue' => 'SearchColumnLongField',
            'debitAmount' => 'SearchColumnDoubleField',
            'deferredRevenue' => 'SearchColumnDoubleField',
            'deferRevRec' => 'SearchColumnBooleanField',
            'department' => 'SearchColumnSelectField',
            'depositDate' => 'SearchColumnDateField',
            'depositTransaction' => 'SearchColumnSelectField',
            'discountAmount' => 'SearchColumnDoubleField',
            'drAccount' => 'SearchColumnStringField',
            'dueDate' => 'SearchColumnDateField',
            'effectiveRate' => 'SearchColumnDoubleField',
            'email' => 'SearchColumnStringField',
            'endDate' => 'SearchColumnDateField',
            'entity' => 'SearchColumnSelectField',
            'entityStatus' => 'SearchColumnSelectField',
            'estGrossProfit' => 'SearchColumnDoubleField',
            'estGrossProfitPct' => 'SearchColumnDoubleField',
            'estGrossProfitPercent' => 'SearchColumnDoubleField',
            'exchangeRate' => 'SearchColumnDoubleField',
            'excludeCommission' => 'SearchColumnBooleanField',
            'expectedCloseDate' => 'SearchColumnDateField',
            'expectedReceiptDate' => 'SearchColumnDateField',
            'expenseCategory' => 'SearchColumnSelectField',
            'expenseDate' => 'SearchColumnDateField',
            'externalId' => 'SearchColumnSelectField',
            'forecastType' => 'SearchColumnEnumSelectField',
            'fulfillingTransaction' => 'SearchColumnSelectField',
            'fxAccount' => 'SearchColumnStringField',
            'fxAmount' => 'SearchColumnDoubleField',
            'fxCostEstimate' => 'SearchColumnDoubleField',
            'fxCostEstimateRate' => 'SearchColumnDoubleField',
            'fxEstGrossProfit' => 'SearchColumnDoubleField',
            'fxTranCostEstimate' => 'SearchColumnDoubleField',
            'fxVsoeAllocation' => 'SearchColumnDoubleField',
            'fxVsoeAmount' => 'SearchColumnDoubleField',
            'fxVsoePrice' => 'SearchColumnDoubleField',
            'gcoAvailabelToCharge' => 'SearchColumnBooleanField',
            'gcoAvailableToRefund' => 'SearchColumnBooleanField',
            'gcoAvsStreetMatch' => 'SearchColumnEnumSelectField',
            'gcoAvsZipMatch' => 'SearchColumnEnumSelectField',
            'gcoBuyerAccountAge' => 'SearchColumnLongField',
            'gcoBuyerIp' => 'SearchColumnStringField',
            'gcoChargeAmount' => 'SearchColumnDoubleField',
            'gcoChargebackAmount' => 'SearchColumnDoubleField',
            'gcoConfirmedChargedTotal' => 'SearchColumnDoubleField',
            'gcoConfirmedRefundedTotal' => 'SearchColumnDoubleField',
            'gcoCreditcardNumber' => 'SearchColumnStringField',
            'gcoCscMatch' => 'SearchColumnEnumSelectField',
            'gcoFinancialState' => 'SearchColumnStringField',
            'gcoFulfillmentState' => 'SearchColumnStringField',
            'gcoOrderId' => 'SearchColumnStringField',
            'gcoOrderTotal' => 'SearchColumnDoubleField',
            'gcoPromotionAmount' => 'SearchColumnDoubleField',
            'gcoPromotionName' => 'SearchColumnStringField',
            'gcoRefundAmount' => 'SearchColumnDoubleField',
            'gcoShippingTotal' => 'SearchColumnDoubleField',
            'gcoStateChangedDetail' => 'SearchColumnStringField',
            'giftCert' => 'SearchColumnStringField',
            'grossAmount' => 'SearchColumnDoubleField',
            'includeInForecast' => 'SearchColumnBooleanField',
            'intercoStatus' => 'SearchColumnEnumSelectField',
            'intercoTransaction' => 'SearchColumnStringField',
            'internalId' => 'SearchColumnSelectField',
            'inVsoeBundle' => 'SearchColumnBooleanField',
            'isAllocation' => 'SearchColumnBooleanField',
            'isBackflush' => 'SearchColumnBooleanField',
            'isGcoChargeback' => 'SearchColumnBooleanField',
            'isGcoChargeConfirmed' => 'SearchColumnBooleanField',
            'isGcoPaymentGuaranteed' => 'SearchColumnBooleanField',
            'isGcoRefundConfirmed' => 'SearchColumnBooleanField',
            'isIntercompanyAdjustment' => 'SearchColumnBooleanField',
            'isMultiShipTo' => 'SearchColumnBooleanField',
            'isReversal' => 'SearchColumnBooleanField',
            'isRevRecTransaction' => 'SearchColumnBooleanField',
            'isScrap' => 'SearchColumnBooleanField',
            'isShipAddress' => 'SearchColumnBooleanField',
            'isTransferPriceCosting' => 'SearchColumnBooleanField',
            'isWip' => 'SearchColumnBooleanField',
            'item' => 'SearchColumnSelectField',
            'itemRevision' => 'SearchColumnSelectField',
            'landedCostPerLine' => 'SearchColumnBooleanField',
            'lastModifiedDate' => 'SearchColumnDateField',
            'leadSource' => 'SearchColumnSelectField',
            'line' => 'SearchColumnLongField',
            'lineSequenceNumber' => 'SearchColumnLongField',
            'location' => 'SearchColumnSelectField',
            'mainLine' => 'SearchColumnBooleanField',
            'mainName' => 'SearchColumnStringField',
            'manufacturingRouting' => 'SearchColumnSelectField',
            'matchBillToReceipt' => 'SearchColumnBooleanField',
            'memo' => 'SearchColumnStringField',
            'memoMain' => 'SearchColumnStringField',
            'memorized' => 'SearchColumnBooleanField',
            'merchantAccount' => 'SearchColumnSelectField',
            'message' => 'SearchColumnStringField',
            'multiSubsidiary' => 'SearchColumnBooleanField',
            'netAmount' => 'SearchColumnDoubleField',
            'netAmountNoTax' => 'SearchColumnDoubleField',
            'nextApprover' => 'SearchColumnSelectField',
            'nextBillDate' => 'SearchColumnDateField',
            'nonReimbursable' => 'SearchColumnBooleanField',
            'opportunity' => 'SearchColumnSelectField',
            'options' => 'SearchColumnStringField',
            'orderPriority' => 'SearchColumnDoubleField',
            'originator' => 'SearchColumnEnumSelectField',
            'otherRefNum' => 'SearchColumnTextNumberField',
            'overheadParentItem' => 'SearchColumnSelectField',
            'packageCount' => 'SearchColumnLongField',
            'paidAmount' => 'SearchColumnDoubleField',
            'paidTransaction' => 'SearchColumnSelectField',
            'partner' => 'SearchColumnSelectField',
            'partnerContribution' => 'SearchColumnDoubleField',
            'partnerRole' => 'SearchColumnSelectField',
            'partnerTeamMember' => 'SearchColumnSelectField',
            'payingAmount' => 'SearchColumnDoubleField',
            'payingTransaction' => 'SearchColumnSelectField',
            'paymentApproved' => 'SearchColumnBooleanField',
            'paymentEventDate' => 'SearchColumnDateField',
            'paymentEventHoldReason' => 'SearchColumnEnumSelectField',
            'paymentEventPurchaseCardUsed' => 'SearchColumnBooleanField',
            'paymentEventPurchaseDataSent' => 'SearchColumnBooleanField',
            'paymentEventResult' => 'SearchColumnEnumSelectField',
            'paymentEventType' => 'SearchColumnEnumSelectField',
            'paymentMethod' => 'SearchColumnSelectField',
            'payPalPending' => 'SearchColumnBooleanField',
            'payPalStatus' => 'SearchColumnStringField',
            'payPalTranId' => 'SearchColumnStringField',
            'payrollBatch' => 'SearchColumnStringField',
            'pnRefNum' => 'SearchColumnStringField',
            'poRate' => 'SearchColumnDoubleField',
            'posting' => 'SearchColumnBooleanField',
            'postingPeriod' => 'SearchColumnSelectField',
            'priceLevel' => 'SearchColumnSelectField',
            'print' => 'SearchColumnStringField',
            'probability' => 'SearchColumnDoubleField',
            'projectedAmount' => 'SearchColumnDoubleField',
            'promoCode' => 'SearchColumnSelectField',
            'purchaseOrder' => 'SearchColumnSelectField',
            'quantity' => 'SearchColumnDoubleField',
            'quantityBilled' => 'SearchColumnDoubleField',
            'quantityCommitted' => 'SearchColumnDoubleField',
            'quantityPacked' => 'SearchColumnDoubleField',
            'quantityPicked' => 'SearchColumnDoubleField',
            'quantityRevCommitted' => 'SearchColumnDoubleField',
            'quantityShipRecv' => 'SearchColumnDoubleField',
            'quantityUom' => 'SearchColumnDoubleField',
            'rate' => 'SearchColumnDoubleField',
            'realizedGainPostingTransaction' => 'SearchColumnStringField',
            'recognizedRevenue' => 'SearchColumnDoubleField',
            'recordType' => 'SearchColumnStringField',
            'refNumber' => 'SearchColumnLongField',
            'revCommitStatus' => 'SearchColumnEnumSelectField',
            'revCommittingTransaction' => 'SearchColumnSelectField',
            'revenueStatus' => 'SearchColumnEnumSelectField',
            'reversalDate' => 'SearchColumnDateField',
            'reversalNumber' => 'SearchColumnStringField',
            'revRecEndDate' => 'SearchColumnDateField',
            'revRecOnRevCommitment' => 'SearchColumnBooleanField',
            'revRecStartDate' => 'SearchColumnDateField',
            'rgAccount' => 'SearchColumnSelectField',
            'rgAmount' => 'SearchColumnDoubleField',
            'salesEffectiveDate' => 'SearchColumnDateField',
            'salesOrder' => 'SearchColumnSelectField',
            'salesRep' => 'SearchColumnSelectField',
            'salesTeamMember' => 'SearchColumnSelectField',
            'salesTeamRole' => 'SearchColumnSelectField',
            'serialNumber' => 'SearchColumnStringField',
            'serialNumberCost' => 'SearchColumnDoubleField',
            'serialNumberCostAdjustment' => 'SearchColumnDoubleField',
            'serialNumberQuantity' => 'SearchColumnDoubleField',
            'serialNumbers' => 'SearchColumnStringField',
            'shipAddress' => 'SearchColumnStringField',
            'shipAddress1' => 'SearchColumnStringField',
            'shipAddress2' => 'SearchColumnStringField',
            'shipAddress3' => 'SearchColumnStringField',
            'shipAddressee' => 'SearchColumnStringField',
            'shipAttention' => 'SearchColumnStringField',
            'shipCity' => 'SearchColumnStringField',
            'shipComplete' => 'SearchColumnBooleanField',
            'shipCountry' => 'SearchColumnEnumSelectField',
            'shipCountryCode' => 'SearchColumnStringField',
            'shipDate' => 'SearchColumnDateField',
            'shipGroup' => 'SearchColumnLongField',
            'shipMethod' => 'SearchColumnSelectField',
            'shipPhone' => 'SearchColumnStringField',
            'shippingAmount' => 'SearchColumnDoubleField',
            'shipRecvStatusLine' => 'SearchColumnBooleanField',
            'shipState' => 'SearchColumnStringField',
            'shipTo' => 'SearchColumnSelectField',
            'shipZip' => 'SearchColumnStringField',
            'signedAmount' => 'SearchColumnDoubleField',
            'source' => 'SearchColumnStringField',
            'startDate' => 'SearchColumnDateField',
            'status' => 'SearchColumnEnumSelectField',
            'subsidiary' => 'SearchColumnSelectField',
            'taxAmount' => 'SearchColumnDoubleField',
            'taxCode' => 'SearchColumnSelectField',
            'taxLine' => 'SearchColumnBooleanField',
            'taxPeriod' => 'SearchColumnSelectField',
            'taxTotal' => 'SearchColumnDoubleField',
            'termInMonths' => 'SearchColumnLongField',
            'terms' => 'SearchColumnSelectField',
            'title' => 'SearchColumnStringField',
            'toBeEmailed' => 'SearchColumnBooleanField',
            'toBePrinted' => 'SearchColumnBooleanField',
            'toSubsidiary' => 'SearchColumnSelectField',
            'total' => 'SearchColumnDoubleField',
            'totalCostEstimate' => 'SearchColumnDoubleField',
            'trackingNumbers' => 'SearchColumnStringField',
            'tranDate' => 'SearchColumnDateField',
            'tranEstGrossProfit' => 'SearchColumnDoubleField',
            'tranFxEstGrossProfit' => 'SearchColumnDoubleField',
            'tranId' => 'SearchColumnStringField',
            'tranIsVsoeBundle' => 'SearchColumnBooleanField',
            'transactionDiscount' => 'SearchColumnBooleanField',
            'transactionLineType' => 'SearchColumnEnumSelectField',
            'transferLocation' => 'SearchColumnSelectField',
            'transferOrderItemLine' => 'SearchColumnStringField',
            'transferOrderQuantityCommitted' => 'SearchColumnDoubleField',
            'transferOrderQuantityPacked' => 'SearchColumnDoubleField',
            'transferOrderQuantityPicked' => 'SearchColumnDoubleField',
            'transferOrderQuantityReceived' => 'SearchColumnDoubleField',
            'transferOrderQuantityShipped' => 'SearchColumnDoubleField',
            'type' => 'SearchColumnEnumSelectField',
            'unit' => 'SearchColumnStringField',
            'unitCostOverride' => 'SearchColumnDoubleField',
            'vendType' => 'SearchColumnSelectField',
            'visibleToCustomer' => 'SearchColumnBooleanField',
            'vsoeAllocation' => 'SearchColumnDoubleField',
            'vsoeAmount' => 'SearchColumnDoubleField',
            'vsoeDeferral' => 'SearchColumnEnumSelectField',
            'vsoeDelivered' => 'SearchColumnBooleanField',
            'vsoePermitDiscount' => 'SearchColumnEnumSelectField',
            'vsoePrice' => 'SearchColumnDoubleField',
            'webSite' => 'SearchColumnStringField',
            'customFieldList' => 'SearchColumnCustomFieldList',
        },
    
        ItemSearchBasic => {
            'account' => 'SearchMultiSelectField',
            'allowedShippingMethod' => 'SearchMultiSelectField',
            'alternateDemandSourceItem' => 'SearchMultiSelectField',
            'atpLeadTime' => 'SearchDoubleField',
            'atpMethod' => 'SearchEnumMultiSelectField',
            'autoLeadTime' => 'SearchBooleanField',
            'autoPreferredStockLevel' => 'SearchBooleanField',
            'autoReorderPoint' => 'SearchBooleanField',
            'availableToPartners' => 'SearchBooleanField',
            'averageCost' => 'SearchDoubleField',
            'backwardConsumptionDays' => 'SearchLongField',
            'binNumber' => 'SearchStringField',
            'binOnHandAvail' => 'SearchDoubleField',
            'binOnHandCount' => 'SearchDoubleField',
            'bomQuantity' => 'SearchDoubleField',
            'buildEntireAssembly' => 'SearchBooleanField',
            'buildTime' => 'SearchDoubleField',
            'buyItNowPrice' => 'SearchDoubleField',
            'caption' => 'SearchStringField',
            'category' => 'SearchMultiSelectField',
            'class' => 'SearchMultiSelectField',
            'component' => 'SearchMultiSelectField',
            'componentOf' => 'SearchMultiSelectField',
            'componentYield' => 'SearchDoubleField',
            'copyDescription' => 'SearchBooleanField',
            'correlatedItem' => 'SearchMultiSelectField',
            'correlatedItemCorrelation' => 'SearchDoubleField',
            'correlatedItemCount' => 'SearchLongField',
            'correlatedItemLift' => 'SearchDoubleField',
            'correlatedItemPurchaseRate' => 'SearchDoubleField',
            'cost' => 'SearchDoubleField',
            'costAccountingStatus' => 'SearchEnumMultiSelectField',
            'costCategory' => 'SearchMultiSelectField',
            'costEstimate' => 'SearchDoubleField',
            'costEstimateType' => 'SearchEnumMultiSelectField',
            'costingMethod' => 'SearchEnumMultiSelectField',
            'countryOfManufacture' => 'SearchEnumMultiSelectField',
            'created' => 'SearchDateField',
            'createJob' => 'SearchBooleanField',
            'dateViewed' => 'SearchDateField',
            'daysBeforeExpiration' => 'SearchDoubleField',
            'defaultReturnCost' => 'SearchDoubleField',
            'defaultShippingMethod' => 'SearchMultiSelectField',
            'demandModifier' => 'SearchDoubleField',
            'demandSource' => 'SearchEnumMultiSelectField',
            'department' => 'SearchMultiSelectField',
            'displayIneBayStore' => 'SearchBooleanField',
            'displayName' => 'SearchStringField',
            'dontShowPrice' => 'SearchBooleanField',
            'eBayItemDescription' => 'SearchStringField',
            'eBayItemSubtitle' => 'SearchStringField',
            'eBayItemTitle' => 'SearchStringField',
            'ebayRelistingOption' => 'SearchEnumMultiSelectField',
            'effectiveBomControl' => 'SearchEnumMultiSelectField',
            'effectiveDate' => 'SearchDateField',
            'effectiveRevision' => 'SearchMultiSelectField',
            'endAuctionsWhenOutOfStock' => 'SearchBooleanField',
            'excludeFromSitemap' => 'SearchBooleanField',
            'externalId' => 'SearchMultiSelectField',
            'externalIdString' => 'SearchStringField',
            'featuredDescription' => 'SearchStringField',
            'feedDescription' => 'SearchStringField',
            'feedName' => 'SearchStringField',
            'fixedLotSize' => 'SearchDoubleField',
            'forwardConsumptionDays' => 'SearchLongField',
            'froogleProductFeed' => 'SearchBooleanField',
            'fxCost' => 'SearchDoubleField',
            'giftCertAuthCode' => 'SearchStringField',
            'giftCertEmail' => 'SearchStringField',
            'giftCertExpDate' => 'SearchDateField',
            'giftCertFrom' => 'SearchStringField',
            'giftCertMsg' => 'SearchStringField',
            'giftCertOrigAmt' => 'SearchStringField',
            'giftCertRecipient' => 'SearchStringField',
            'imageUrl' => 'SearchStringField',
            'internalId' => 'SearchMultiSelectField',
            'internalIdNumber' => 'SearchLongField',
            'inventoryLocation' => 'SearchMultiSelectField',
            'invtClassification' => 'SearchEnumMultiSelectField',
            'invtCountInterval' => 'SearchLongField',
            'isAvailable' => 'SearchBooleanField',
            'isDropShipItem' => 'SearchBooleanField',
            'isFulfillable' => 'SearchBooleanField',
            'isGcoCompliant' => 'SearchBooleanField',
            'isInactive' => 'SearchBooleanField',
            'isLotItem' => 'SearchBooleanField',
            'isOnline' => 'SearchBooleanField',
            'isPreferredVendor' => 'SearchBooleanField',
            'isSerialItem' => 'SearchBooleanField',
            'isSpecialOrderItem' => 'SearchBooleanField',
            'isSpecialWorkOrderItem' => 'SearchBooleanField',
            'issueProduct' => 'SearchMultiSelectField',
            'isTaxable' => 'SearchBooleanField',
            'isVsoeBundle' => 'SearchBooleanField',
            'isWip' => 'SearchBooleanField',
            'itemId' => 'SearchStringField',
            'itemUrl' => 'SearchStringField',
            'lastInvtCountDate' => 'SearchDateField',
            'lastModifiedDate' => 'SearchDateField',
            'lastPurchasePrice' => 'SearchDoubleField',
            'lastQuantityAvailableChange' => 'SearchDateField',
            'leadTime' => 'SearchLongField',
            'listingDuration' => 'SearchEnumMultiSelectField',
            'location' => 'SearchMultiSelectField',
            'locationAtpLeadTime' => 'SearchDoubleField',
            'locationAverageCost' => 'SearchDoubleField',
            'locationBuildTime' => 'SearchDoubleField',
            'locationCost' => 'SearchDoubleField',
            'locationCostAccountingStatus' => 'SearchEnumMultiSelectField',
            'locationDefaultReturnCost' => 'SearchDoubleField',
            'locationDemandSource' => 'SearchEnumMultiSelectField',
            'locationFixedLotSize' => 'SearchDoubleField',
            'locationInventoryCostTemplate' => 'SearchMultiSelectField',
            'locationInvtClassification' => 'SearchEnumMultiSelectField',
            'locationInvtCountInterval' => 'SearchLongField',
            'locationLastInvtCountDate' => 'SearchDateField',
            'locationLeadTime' => 'SearchLongField',
            'locationNextInvtCountDate' => 'SearchDateField',
            'locationPeriodicLotSizeDays' => 'SearchLongField',
            'locationPeriodicLotSizeType' => 'SearchEnumMultiSelectField',
            'locationPreferredStockLevel' => 'SearchDoubleField',
            'locationQuantityAvailable' => 'SearchDoubleField',
            'locationQuantityBackOrdered' => 'SearchDoubleField',
            'locationQuantityCommitted' => 'SearchDoubleField',
            'locationQuantityInTransit' => 'SearchDoubleField',
            'locationQuantityOnHand' => 'SearchDoubleField',
            'locationQuantityOnOrder' => 'SearchDoubleField',
            'locationReorderPoint' => 'SearchDoubleField',
            'locationSafetyStockLevel' => 'SearchDoubleField',
            'locationSupplyLotSizingMethod' => 'SearchEnumMultiSelectField',
            'locationSupplyType' => 'SearchEnumMultiSelectField',
            'locationTotalValue' => 'SearchDoubleField',
            'locBackwardConsumptionDays' => 'SearchLongField',
            'locForwardConsumptionDays' => 'SearchLongField',
            'manufacturer' => 'SearchStringField',
            'manufactureraddr1' => 'SearchStringField',
            'manufacturerCity' => 'SearchStringField',
            'manufacturerState' => 'SearchStringField',
            'manufacturerTariff' => 'SearchStringField',
            'manufacturerTaxId' => 'SearchStringField',
            'manufacturerZip' => 'SearchStringField',
            'manufacturingChargeItem' => 'SearchBooleanField',
            'matchBillToReceipt' => 'SearchBooleanField',
            'matrix' => 'SearchBooleanField',
            'matrixChild' => 'SearchBooleanField',
            'metaTagHtml' => 'SearchStringField',
            'minimumQuantity' => 'SearchLongField',
            'mpn' => 'SearchStringField',
            'multManufactureAddr' => 'SearchBooleanField',
            'nexTagCategory' => 'SearchStringField',
            'nexTagProductFeed' => 'SearchBooleanField',
            'nextInvtCountDate' => 'SearchDateField',
            'numActiveListings' => 'SearchLongField',
            'numberAllowedDownloads' => 'SearchDoubleField',
            'numCurrentlyListed' => 'SearchLongField',
            'obsoleteDate' => 'SearchDateField',
            'obsoleteRevision' => 'SearchMultiSelectField',
            'offerSupport' => 'SearchBooleanField',
            'onlineCustomerPrice' => 'SearchDoubleField',
            'onSpecial' => 'SearchBooleanField',
            'otherVendor' => 'SearchMultiSelectField',
            'outOfStockBehavior' => 'SearchMultiSelectField',
            'overallQuantityPricingType' => 'SearchEnumMultiSelectField',
            'overheadType' => 'SearchEnumMultiSelectField',
            'pageTitle' => 'SearchStringField',
            'parent' => 'SearchMultiSelectField',
            'periodicLotSizeDays' => 'SearchLongField',
            'periodicLotSizeType' => 'SearchEnumMultiSelectField',
            'preferenceCriterion' => 'SearchStringField',
            'preferredBin' => 'SearchBooleanField',
            'preferredLocation' => 'SearchMultiSelectField',
            'preferredStockLevel' => 'SearchDoubleField',
            'preferredStockLevelDays' => 'SearchLongField',
            'price' => 'SearchDoubleField',
            'pricesIncludeTax' => 'SearchBooleanField',
            'pricingGroup' => 'SearchMultiSelectField',
            'primaryCategory' => 'SearchLongField',
            'purchaseUnit' => 'SearchMultiSelectField',
            'quantityAvailable' => 'SearchDoubleField',
            'quantityBackOrdered' => 'SearchDoubleField',
            'quantityCommitted' => 'SearchDoubleField',
            'quantityOnHand' => 'SearchDoubleField',
            'quantityOnOrder' => 'SearchDoubleField',
            'quantityPricingSchedule' => 'SearchMultiSelectField',
            'reorderMultiple' => 'SearchLongField',
            'reorderPoint' => 'SearchDoubleField',
            'reservePrice' => 'SearchDoubleField',
            'revRecSchedule' => 'SearchMultiSelectField',
            'roundUpAsComponent' => 'SearchBooleanField',
            'safetyStockLevel' => 'SearchDoubleField',
            'safetyStockLevelDays' => 'SearchLongField',
            'salesDescription' => 'SearchStringField',
            'saleUnit' => 'SearchMultiSelectField',
            'scheduleBCode' => 'SearchEnumMultiSelectField',
            'scheduleBNumber' => 'SearchStringField',
            'scheduleBQuantity' => 'SearchStringField',
            'searchKeywords' => 'SearchStringField',
            'seasonalDemand' => 'SearchBooleanField',
            'sellOnEBay' => 'SearchBooleanField',
            'serialNumber' => 'SearchStringField',
            'serialNumberLocation' => 'SearchMultiSelectField',
            'shipIndividually' => 'SearchBooleanField',
            'shipPackage' => 'SearchMultiSelectField',
            'shippingCarrier' => 'SearchEnumMultiSelectField',
            'shippingRate' => 'SearchDoubleField',
            'shoppingDotComCategory' => 'SearchStringField',
            'shoppingProductFeed' => 'SearchBooleanField',
            'shopzillaCategoryId' => 'SearchLongField',
            'shopzillaProductFeed' => 'SearchBooleanField',
            'sitemapPriority' => 'SearchEnumMultiSelectField',
            'softDescriptor' => 'SearchMultiSelectField',
            'startingPrice' => 'SearchDoubleField',
            'stockDescription' => 'SearchStringField',
            'stockUnit' => 'SearchMultiSelectField',
            'storeDescription' => 'SearchStringField',
            'subsidiary' => 'SearchMultiSelectField',
            'subType' => 'SearchEnumMultiSelectField',
            'supplyLotSizingMethod' => 'SearchEnumMultiSelectField',
            'supplyReplenishmentMethod' => 'SearchEnumMultiSelectField',
            'supplyType' => 'SearchEnumMultiSelectField',
            'taxCode' => 'SearchMultiSelectField',
            'taxSchedule' => 'SearchMultiSelectField',
            'thumbnailUrl' => 'SearchStringField',
            'totalValue' => 'SearchDoubleField',
            'trackLandedCost' => 'SearchBooleanField',
            'transferPrice' => 'SearchDoubleField',
            'type' => 'SearchEnumMultiSelectField',
            'unitsType' => 'SearchMultiSelectField',
            'upcCode' => 'SearchStringField',
            'urlComponent' => 'SearchStringField',
            'useBins' => 'SearchBooleanField',
            'useComponentYield' => 'SearchBooleanField',
            'useMarginalRates' => 'SearchBooleanField',
            'vendor' => 'SearchMultiSelectField',
            'vendorCode' => 'SearchStringField',
            'vendorCost' => 'SearchDoubleField',
            'vendorCostEntered' => 'SearchDoubleField',
            'vendorName' => 'SearchStringField',
            'vendorPriceCurrency' => 'SearchMultiSelectField',
            'vsoeDeferral' => 'SearchEnumMultiSelectField',
            'vsoeDelivered' => 'SearchBooleanField',
            'vsoePermitDiscount' => 'SearchEnumMultiSelectField',
            'vsoePrice' => 'SearchDoubleField',
            'webSite' => 'SearchMultiSelectField',
            'weight' => 'SearchDoubleField',
            'yahooProductFeed' => 'SearchBooleanField',
            'customFieldList' => 'SearchCustomFieldList',
        },
    
        ItemSearchRowBasic => {
            'allowedShippingMethod' => 'SearchColumnSelectField',
            'alternateDemandSourceItem' => 'SearchColumnStringField',
            'assetAccount' => 'SearchColumnSelectField',
            'atpLeadTime' => 'SearchColumnDoubleField',
            'atpMethod' => 'SearchColumnEnumSelectField',
            'autoLeadTime' => 'SearchColumnBooleanField',
            'autoPreferredStockLevel' => 'SearchColumnBooleanField',
            'autoReorderPoint' => 'SearchColumnBooleanField',
            'availableToPartners' => 'SearchColumnBooleanField',
            'averageCost' => 'SearchColumnDoubleField',
            'backwardConsumptionDays' => 'SearchColumnLongField',
            'basePrice' => 'SearchColumnDoubleField',
            'billExchRateVarianceAcct' => 'SearchColumnSelectField',
            'billPriceVarianceAcct' => 'SearchColumnSelectField',
            'billQtyVarianceAcct' => 'SearchColumnSelectField',
            'binNumber' => 'SearchColumnStringField',
            'binOnHandAvail' => 'SearchColumnDoubleField',
            'binOnHandCount' => 'SearchColumnDoubleField',
            'bomQuantity' => 'SearchColumnDoubleField',
            'buildEntireAssembly' => 'SearchColumnBooleanField',
            'buildTime' => 'SearchColumnDoubleField',
            'buyItNowPrice' => 'SearchColumnDoubleField',
            'category' => 'SearchColumnStringField',
            'categoryPreferred' => 'SearchColumnStringField',
            'class' => 'SearchColumnSelectField',
            'componentYield' => 'SearchColumnDoubleField',
            'copyDescription' => 'SearchColumnBooleanField',
            'correlatedItem' => 'SearchColumnSelectField',
            'correlatedItemCorrelation' => 'SearchColumnDoubleField',
            'correlatedItemCount' => 'SearchColumnLongField',
            'correlatedItemLift' => 'SearchColumnDoubleField',
            'correlatedItemPurchaseRate' => 'SearchColumnDoubleField',
            'cost' => 'SearchColumnDoubleField',
            'costAccountingStatus' => 'SearchColumnEnumSelectField',
            'costCategory' => 'SearchColumnStringField',
            'costEstimate' => 'SearchColumnDoubleField',
            'costEstimateType' => 'SearchColumnEnumSelectField',
            'costingMethod' => 'SearchColumnEnumSelectField',
            'countryOfManufacture' => 'SearchColumnEnumSelectField',
            'created' => 'SearchColumnDateField',
            'createJob' => 'SearchColumnBooleanField',
            'custReturnVarianceAccount' => 'SearchColumnSelectField',
            'dateViewed' => 'SearchColumnDateField',
            'daysBeforeExpiration' => 'SearchColumnStringField',
            'defaultReturnCost' => 'SearchColumnDoubleField',
            'defaultShippingMethod' => 'SearchColumnStringField',
            'deferredExpenseAccount' => 'SearchColumnSelectField',
            'deferredRevenueAccount' => 'SearchColumnSelectField',
            'demandModifier' => 'SearchColumnDoubleField',
            'demandSource' => 'SearchColumnEnumSelectField',
            'department' => 'SearchColumnSelectField',
            'departmentnohierarchy' => 'SearchColumnSelectField',
            'displayIneBayStore' => 'SearchColumnBooleanField',
            'displayName' => 'SearchColumnStringField',
            'dontShowPrice' => 'SearchColumnBooleanField',
            'eBayItemDescription' => 'SearchColumnStringField',
            'eBayItemSubtitle' => 'SearchColumnStringField',
            'eBayItemTitle' => 'SearchColumnStringField',
            'ebayRelistingOption' => 'SearchColumnEnumSelectField',
            'effectiveBomControl' => 'SearchColumnEnumSelectField',
            'effectiveDate' => 'SearchColumnDateField',
            'effectiveRevision' => 'SearchColumnSelectField',
            'endAuctionsWhenOutOfStock' => 'SearchColumnBooleanField',
            'excludeFromSitemap' => 'SearchColumnBooleanField',
            'expenseAccount' => 'SearchColumnSelectField',
            'externalId' => 'SearchColumnSelectField',
            'featuredDescription' => 'SearchColumnStringField',
            'feedDescription' => 'SearchColumnStringField',
            'feedName' => 'SearchColumnStringField',
            'fixedLotSize' => 'SearchColumnDoubleField',
            'forwardConsumptionDays' => 'SearchColumnLongField',
            'froogleProductFeed' => 'SearchColumnBooleanField',
            'fxCost' => 'SearchColumnDoubleField',
            'gainLossAccount' => 'SearchColumnSelectField',
            'giftCertAuthCode' => 'SearchColumnStringField',
            'giftCertEmail' => 'SearchColumnStringField',
            'giftCertExpirationDate' => 'SearchColumnStringField',
            'giftCertFrom' => 'SearchColumnStringField',
            'giftCertMessage' => 'SearchColumnStringField',
            'giftCertOriginalAmount' => 'SearchColumnStringField',
            'giftCertRecipient' => 'SearchColumnStringField',
            'hits' => 'SearchColumnLongField',
            'imageUrl' => 'SearchColumnStringField',
            'incomeAccount' => 'SearchColumnSelectField',
            'internalId' => 'SearchColumnSelectField',
            'inventoryLocation' => 'SearchColumnSelectField',
            'invtClassification' => 'SearchColumnEnumSelectField',
            'invtCountInterval' => 'SearchColumnLongField',
            'isAvailable' => 'SearchColumnBooleanField',
            'isDropShipItem' => 'SearchColumnBooleanField',
            'isFulfillable' => 'SearchColumnBooleanField',
            'isGcoCompliant' => 'SearchColumnBooleanField',
            'isInactive' => 'SearchColumnBooleanField',
            'isLotItem' => 'SearchColumnBooleanField',
            'isOnline' => 'SearchColumnBooleanField',
            'isSerialItem' => 'SearchColumnBooleanField',
            'isSpecialOrderItem' => 'SearchColumnBooleanField',
            'isSpecialWorkOrderItem' => 'SearchColumnBooleanField',
            'issueProduct' => 'SearchColumnSelectField',
            'isTaxable' => 'SearchColumnBooleanField',
            'isVsoeBundle' => 'SearchColumnBooleanField',
            'isWip' => 'SearchColumnBooleanField',
            'itemId' => 'SearchColumnStringField',
            'itemUrl' => 'SearchColumnStringField',
            'lastInvtCountDate' => 'SearchColumnDateField',
            'lastPurchasePrice' => 'SearchColumnDoubleField',
            'lastQuantityAvailableChange' => 'SearchColumnDateField',
            'leadTime' => 'SearchColumnLongField',
            'liabilityAccount' => 'SearchColumnSelectField',
            'listingDuration' => 'SearchColumnEnumSelectField',
            'location' => 'SearchColumnSelectField',
            'locationAtpLeadTime' => 'SearchColumnDoubleField',
            'locationAverageCost' => 'SearchColumnDoubleField',
            'locationBinQuantityAvailable' => 'SearchColumnStringField',
            'locationBuildTime' => 'SearchColumnDoubleField',
            'locationCost' => 'SearchColumnDoubleField',
            'locationCostAccountingStatus' => 'SearchColumnEnumSelectField',
            'locationDefaultReturnCost' => 'SearchColumnDoubleField',
            'locationDemandSource' => 'SearchColumnEnumSelectField',
            'locationFixedLotSize' => 'SearchColumnDoubleField',
            'locationInventoryCostTemplate' => 'SearchColumnStringField',
            'locationInvtClassification' => 'SearchColumnEnumSelectField',
            'locationInvtCountInterval' => 'SearchColumnLongField',
            'locationLastInvtCountDate' => 'SearchColumnDateField',
            'locationLeadTime' => 'SearchColumnLongField',
            'locationNextInvtCountDate' => 'SearchColumnDateField',
            'locationPeriodicLotSizeDays' => 'SearchColumnLongField',
            'locationPeriodicLotSizeType' => 'SearchColumnEnumSelectField',
            'locationPreferredStockLevel' => 'SearchColumnDoubleField',
            'locationQuantityAvailable' => 'SearchColumnDoubleField',
            'locationQuantityBackOrdered' => 'SearchColumnDoubleField',
            'locationQuantityCommitted' => 'SearchColumnDoubleField',
            'locationQuantityInTransit' => 'SearchColumnDoubleField',
            'locationQuantityOnHand' => 'SearchColumnDoubleField',
            'locationQuantityOnOrder' => 'SearchColumnDoubleField',
            'locationReOrderPoint' => 'SearchColumnDoubleField',
            'locationSafetyStockLevel' => 'SearchColumnDoubleField',
            'locationSupplyLotSizingMethod' => 'SearchColumnEnumSelectField',
            'locationSupplyType' => 'SearchColumnEnumSelectField',
            'locationTotalValue' => 'SearchColumnDoubleField',
            'locBackwardConsumptionDays' => 'SearchColumnLongField',
            'locForwardConsumptionDays' => 'SearchColumnLongField',
            'manufacturer' => 'SearchColumnStringField',
            'manufacturerAddr1' => 'SearchColumnStringField',
            'manufacturerCity' => 'SearchColumnStringField',
            'manufacturerState' => 'SearchColumnStringField',
            'manufacturerTariff' => 'SearchColumnStringField',
            'manufacturerTaxId' => 'SearchColumnStringField',
            'manufacturerZip' => 'SearchColumnStringField',
            'manufacturingChargeItem' => 'SearchColumnBooleanField',
            'matchBillToReceipt' => 'SearchColumnBooleanField',
            'memberItem' => 'SearchColumnSelectField',
            'memberQuantity' => 'SearchColumnDoubleField',
            'metaTagHtml' => 'SearchColumnStringField',
            'minimumQuantity' => 'SearchColumnStringField',
            'modified' => 'SearchColumnDateField',
            'mpn' => 'SearchColumnStringField',
            'multManufactureAddr' => 'SearchColumnBooleanField',
            'nextagCategory' => 'SearchColumnStringField',
            'nextagProductFeed' => 'SearchColumnBooleanField',
            'nextInvtCountDate' => 'SearchColumnDateField',
            'noPriceMessage' => 'SearchColumnStringField',
            'numActiveListings' => 'SearchColumnLongField',
            'numberAllowedDownloads' => 'SearchColumnStringField',
            'numCurrentlyListed' => 'SearchColumnLongField',
            'obsoleteDate' => 'SearchColumnDateField',
            'obsoleteRevision' => 'SearchColumnSelectField',
            'offerSupport' => 'SearchColumnBooleanField',
            'onlineCustomerPrice' => 'SearchColumnDoubleField',
            'onlinePrice' => 'SearchColumnDoubleField',
            'onSpecial' => 'SearchColumnBooleanField',
            'otherPrices' => 'SearchColumnDoubleField',
            'otherVendor' => 'SearchColumnSelectField',
            'outOfStockBehavior' => 'SearchColumnStringField',
            'outOfStockMessage' => 'SearchColumnStringField',
            'overallQuantityPricingType' => 'SearchColumnEnumSelectField',
            'overheadType' => 'SearchColumnEnumSelectField',
            'pageTitle' => 'SearchColumnStringField',
            'parent' => 'SearchColumnSelectField',
            'periodicLotSizeDays' => 'SearchColumnLongField',
            'periodicLotSizeType' => 'SearchColumnEnumSelectField',
            'preferenceCriterion' => 'SearchColumnStringField',
            'preferredBin' => 'SearchColumnBooleanField',
            'preferredLocation' => 'SearchColumnSelectField',
            'preferredStockLevel' => 'SearchColumnDoubleField',
            'preferredStockLevelDays' => 'SearchColumnLongField',
            'pricesIncludeTax' => 'SearchColumnBooleanField',
            'pricingGroup' => 'SearchColumnSelectField',
            'primaryCategory' => 'SearchColumnStringField',
            'prodPriceVarianceAcct' => 'SearchColumnSelectField',
            'prodQtyVarianceAcct' => 'SearchColumnSelectField',
            'purchaseDescription' => 'SearchColumnStringField',
            'purchasePriceVarianceAcct' => 'SearchColumnSelectField',
            'purchaseUnit' => 'SearchColumnSelectField',
            'quantityAvailable' => 'SearchColumnDoubleField',
            'quantityBackOrdered' => 'SearchColumnDoubleField',
            'quantityCommitted' => 'SearchColumnDoubleField',
            'quantityOnHand' => 'SearchColumnDoubleField',
            'quantityOnOrder' => 'SearchColumnDoubleField',
            'quantityPricingSchedule' => 'SearchColumnSelectField',
            'reorderMultiple' => 'SearchColumnLongField',
            'reOrderPoint' => 'SearchColumnDoubleField',
            'reservePrice' => 'SearchColumnDoubleField',
            'revRecSchedule' => 'SearchColumnSelectField',
            'roundUpAsComponent' => 'SearchColumnBooleanField',
            'safetyStockLevel' => 'SearchColumnDoubleField',
            'safetyStockLevelDays' => 'SearchColumnLongField',
            'salesDescription' => 'SearchColumnStringField',
            'salesTaxCode' => 'SearchColumnSelectField',
            'saleUnit' => 'SearchColumnSelectField',
            'scheduleBCode' => 'SearchColumnEnumSelectField',
            'scheduleBNumber' => 'SearchColumnStringField',
            'scheduleBQuantity' => 'SearchColumnStringField',
            'scrapAcct' => 'SearchColumnSelectField',
            'searchKeywords' => 'SearchColumnStringField',
            'seasonalDemand' => 'SearchColumnBooleanField',
            'sellOnEBay' => 'SearchColumnBooleanField',
            'serialNumber' => 'SearchColumnStringField',
            'serialNumberLocation' => 'SearchColumnStringField',
            'shipIndividually' => 'SearchColumnBooleanField',
            'shipPackage' => 'SearchColumnSelectField',
            'shippingCarrier' => 'SearchColumnEnumSelectField',
            'shippingRate' => 'SearchColumnDoubleField',
            'shoppingDotComCategory' => 'SearchColumnStringField',
            'shoppingProductFeed' => 'SearchColumnBooleanField',
            'shopzillaCategoryId' => 'SearchColumnLongField',
            'shopzillaProductFeed' => 'SearchColumnBooleanField',
            'sitemapPriority' => 'SearchColumnEnumSelectField',
            'softDescriptor' => 'SearchColumnSelectField',
            'startingPrice' => 'SearchColumnDoubleField',
            'stockDescription' => 'SearchColumnStringField',
            'stockUnit' => 'SearchColumnSelectField',
            'storeDescription' => 'SearchColumnStringField',
            'storeDetailedDescription' => 'SearchColumnStringField',
            'storeDisplayImage' => 'SearchColumnSelectField',
            'storeDisplayName' => 'SearchColumnStringField',
            'storeDisplayThumbnail' => 'SearchColumnSelectField',
            'subsidiary' => 'SearchColumnSelectField',
            'subType' => 'SearchColumnEnumSelectField',
            'supplyLotSizingMethod' => 'SearchColumnEnumSelectField',
            'supplyReplenishmentMethod' => 'SearchColumnEnumSelectField',
            'supplyType' => 'SearchColumnEnumSelectField',
            'taxSchedule' => 'SearchColumnSelectField',
            'thumbNailUrl' => 'SearchColumnStringField',
            'totalValue' => 'SearchColumnDoubleField',
            'trackLandedCost' => 'SearchColumnBooleanField',
            'transferPrice' => 'SearchColumnDoubleField',
            'type' => 'SearchColumnEnumSelectField',
            'unbuildVarianceAccount' => 'SearchColumnSelectField',
            'unitsType' => 'SearchColumnSelectField',
            'upcCode' => 'SearchColumnStringField',
            'urlComponent' => 'SearchColumnStringField',
            'useBins' => 'SearchColumnBooleanField',
            'useComponentYield' => 'SearchColumnBooleanField',
            'useMarginalRates' => 'SearchColumnBooleanField',
            'vendor' => 'SearchColumnSelectField',
            'vendorCode' => 'SearchColumnStringField',
            'vendorCost' => 'SearchColumnDoubleField',
            'vendorCostEntered' => 'SearchColumnDoubleField',
            'vendorName' => 'SearchColumnStringField',
            'vendorPriceCurrency' => 'SearchColumnStringField',
            'vendorSchedule' => 'SearchColumnSelectField',
            'vendReturnVarianceAccount' => 'SearchColumnSelectField',
            'vsoeDeferral' => 'SearchColumnEnumSelectField',
            'vsoeDelivered' => 'SearchColumnBooleanField',
            'vsoePermitDiscount' => 'SearchColumnEnumSelectField',
            'vsoePrice' => 'SearchColumnDoubleField',
            'webSite' => 'SearchColumnSelectField',
            'weight' => 'SearchColumnDoubleField',
            'weightUnit' => 'SearchColumnEnumSelectField',
            'wipAcct' => 'SearchColumnSelectField',
            'wipVarianceAcct' => 'SearchColumnSelectField',
            'yahooProductFeed' => 'SearchColumnBooleanField',
            'customFieldList' => 'SearchColumnCustomFieldList',
        },
    
        PartnerSearchBasic => {
            'address' => 'SearchStringField',
            'addressee' => 'SearchStringField',
            'addressLabel' => 'SearchStringField',
            'addressPhone' => 'SearchStringField',
            'assignTasks' => 'SearchBooleanField',
            'attention' => 'SearchStringField',
            'billAddress' => 'SearchStringField',
            'category' => 'SearchMultiSelectField',
            'city' => 'SearchStringField',
            'class' => 'SearchMultiSelectField',
            'comments' => 'SearchStringField',
            'commissionPlan' => 'SearchMultiSelectField',
            'country' => 'SearchEnumMultiSelectField',
            'county' => 'SearchStringField',
            'dateCreated' => 'SearchDateField',
            'department' => 'SearchMultiSelectField',
            'eligibleForCommission' => 'SearchBooleanField',
            'email' => 'SearchStringField',
            'emailPreference' => 'SearchEnumMultiSelectField',
            'entityId' => 'SearchStringField',
            'externalId' => 'SearchMultiSelectField',
            'externalIdString' => 'SearchStringField',
            'fax' => 'SearchStringField',
            'firstName' => 'SearchStringField',
            'giveAccess' => 'SearchBooleanField',
            'globalSubscriptionStatus' => 'SearchEnumMultiSelectField',
            'group' => 'SearchMultiSelectField',
            'hasDuplicates' => 'SearchBooleanField',
            'image' => 'SearchStringField',
            'internalId' => 'SearchMultiSelectField',
            'internalIdNumber' => 'SearchLongField',
            'isDefaultBilling' => 'SearchBooleanField',
            'isDefaultShipping' => 'SearchBooleanField',
            'isInactive' => 'SearchBooleanField',
            'isPerson' => 'SearchBooleanField',
            'language' => 'SearchEnumMultiSelectField',
            'lastModifiedDate' => 'SearchDateField',
            'lastName' => 'SearchStringField',
            'level' => 'SearchEnumMultiSelectField',
            'location' => 'SearchMultiSelectField',
            'middleName' => 'SearchStringField',
            'otherRelationships' => 'SearchEnumMultiSelectField',
            'parent' => 'SearchMultiSelectField',
            'partnerCode' => 'SearchStringField',
            'permission' => 'SearchEnumMultiSelectField',
            'phone' => 'SearchStringField',
            'phoneticName' => 'SearchStringField',
            'promoCode' => 'SearchMultiSelectField',
            'salutation' => 'SearchStringField',
            'shipAddress' => 'SearchStringField',
            'state' => 'SearchStringField',
            'subsidiary' => 'SearchMultiSelectField',
            'title' => 'SearchStringField',
            'URL' => 'SearchStringField',
            'zipCode' => 'SearchStringField',
            'customFieldList' => 'SearchCustomFieldList',
        },
    
        PartnerSearchRowBasic => {
            'address' => 'SearchColumnStringField',
            'address1' => 'SearchColumnStringField',
            'address2' => 'SearchColumnStringField',
            'address3' => 'SearchColumnStringField',
            'addressee' => 'SearchColumnStringField',
            'addressInternalId' => 'SearchColumnStringField',
            'addressLabel' => 'SearchColumnStringField',
            'addressPhone' => 'SearchColumnStringField',
            'altEmail' => 'SearchColumnStringField',
            'altName' => 'SearchColumnStringField',
            'altPhone' => 'SearchColumnStringField',
            'assignTasks' => 'SearchColumnBooleanField',
            'attention' => 'SearchColumnStringField',
            'billAddress' => 'SearchColumnStringField',
            'billAddress1' => 'SearchColumnStringField',
            'billAddress2' => 'SearchColumnStringField',
            'billAddress3' => 'SearchColumnStringField',
            'billAddressee' => 'SearchColumnStringField',
            'billAttention' => 'SearchColumnStringField',
            'billCity' => 'SearchColumnStringField',
            'billCountry' => 'SearchColumnEnumSelectField',
            'billCountryCode' => 'SearchColumnStringField',
            'billPhone' => 'SearchColumnStringField',
            'billState' => 'SearchColumnStringField',
            'billZipCode' => 'SearchColumnStringField',
            'category' => 'SearchColumnStringField',
            'city' => 'SearchColumnStringField',
            'class' => 'SearchColumnSelectField',
            'comments' => 'SearchColumnStringField',
            'companyName' => 'SearchColumnStringField',
            'country' => 'SearchColumnEnumSelectField',
            'countryCode' => 'SearchColumnStringField',
            'dateCreated' => 'SearchColumnDateField',
            'department' => 'SearchColumnSelectField',
            'eligibleForCommission' => 'SearchColumnBooleanField',
            'email' => 'SearchColumnStringField',
            'emailPreference' => 'SearchColumnEnumSelectField',
            'entityId' => 'SearchColumnStringField',
            'entityNumber' => 'SearchColumnLongField',
            'externalId' => 'SearchColumnSelectField',
            'fax' => 'SearchColumnStringField',
            'firstName' => 'SearchColumnStringField',
            'giveAccess' => 'SearchColumnBooleanField',
            'globalSubscriptionStatus' => 'SearchColumnEnumSelectField',
            'hasDuplicates' => 'SearchColumnBooleanField',
            'homePhone' => 'SearchColumnStringField',
            'image' => 'SearchColumnSelectField',
            'internalId' => 'SearchColumnSelectField',
            'isDefaultBilling' => 'SearchColumnBooleanField',
            'isDefaultShipping' => 'SearchColumnBooleanField',
            'isInactive' => 'SearchColumnBooleanField',
            'isPerson' => 'SearchColumnBooleanField',
            'language' => 'SearchColumnEnumSelectField',
            'lastModifiedDate' => 'SearchColumnDateField',
            'lastName' => 'SearchColumnStringField',
            'level' => 'SearchColumnEnumSelectField',
            'location' => 'SearchColumnSelectField',
            'middleName' => 'SearchColumnStringField',
            'mobilePhone' => 'SearchColumnStringField',
            'parent' => 'SearchColumnSelectField',
            'partnerCode' => 'SearchColumnStringField',
            'permission' => 'SearchColumnEnumSelectField',
            'phone' => 'SearchColumnStringField',
            'phoneticName' => 'SearchColumnStringField',
            'promoCode' => 'SearchColumnStringField',
            'salutation' => 'SearchColumnStringField',
            'shipAddress' => 'SearchColumnStringField',
            'shipAddress1' => 'SearchColumnStringField',
            'shipAddress2' => 'SearchColumnStringField',
            'shipAddress3' => 'SearchColumnStringField',
            'shipAddressee' => 'SearchColumnStringField',
            'shipAttention' => 'SearchColumnStringField',
            'shipCity' => 'SearchColumnStringField',
            'shipCountry' => 'SearchColumnEnumSelectField',
            'shipCountryCode' => 'SearchColumnStringField',
            'shipPhone' => 'SearchColumnStringField',
            'shipState' => 'SearchColumnStringField',
            'shipZip' => 'SearchColumnStringField',
            'state' => 'SearchColumnStringField',
            'subscription' => 'SearchColumnSelectField',
            'subscriptionDate' => 'SearchColumnDateField',
            'subscriptionStatus' => 'SearchColumnBooleanField',
            'subsidiary' => 'SearchColumnSelectField',
            'title' => 'SearchColumnStringField',
            'url' => 'SearchColumnStringField',
            'zipCode' => 'SearchColumnStringField',
            'customFieldList' => 'SearchColumnCustomFieldList',
        },
    
        VendorSearchBasic => {
            'accountNumber' => 'SearchStringField',
            'address' => 'SearchStringField',
            'addressee' => 'SearchStringField',
            'addressLabel' => 'SearchStringField',
            'addressPhone' => 'SearchStringField',
            'attention' => 'SearchStringField',
            'balance' => 'SearchDoubleField',
            'billAddress' => 'SearchStringField',
            'category' => 'SearchMultiSelectField',
            'city' => 'SearchStringField',
            'comments' => 'SearchStringField',
            'contact' => 'SearchStringField',
            'country' => 'SearchEnumMultiSelectField',
            'county' => 'SearchStringField',
            'creditLimit' => 'SearchDoubleField',
            'currency' => 'SearchMultiSelectField',
            'currentExchangeRate' => 'SearchDoubleField',
            'dateCreated' => 'SearchDateField',
            'eligibleForCommission' => 'SearchBooleanField',
            'email' => 'SearchStringField',
            'emailPreference' => 'SearchEnumMultiSelectField',
            'emailTransactions' => 'SearchBooleanField',
            'entityId' => 'SearchStringField',
            'expenseAccount' => 'SearchMultiSelectField',
            'externalId' => 'SearchMultiSelectField',
            'externalIdString' => 'SearchStringField',
            'fax' => 'SearchStringField',
            'faxTransactions' => 'SearchBooleanField',
            'firstName' => 'SearchStringField',
            'fxBalance' => 'SearchDoubleField',
            'fxUnbilledOrders' => 'SearchDoubleField',
            'giveAccess' => 'SearchBooleanField',
            'globalSubscriptionStatus' => 'SearchEnumMultiSelectField',
            'group' => 'SearchMultiSelectField',
            'hasDuplicates' => 'SearchBooleanField',
            'image' => 'SearchStringField',
            'internalId' => 'SearchMultiSelectField',
            'internalIdNumber' => 'SearchLongField',
            'is1099Eligible' => 'SearchBooleanField',
            'isDefaultBilling' => 'SearchBooleanField',
            'isDefaultShipping' => 'SearchBooleanField',
            'isInactive' => 'SearchBooleanField',
            'isJobResourceVend' => 'SearchBooleanField',
            'isPerson' => 'SearchBooleanField',
            'laborCost' => 'SearchDoubleField',
            'language' => 'SearchEnumMultiSelectField',
            'lastModifiedDate' => 'SearchDateField',
            'lastName' => 'SearchStringField',
            'level' => 'SearchEnumMultiSelectField',
            'middleName' => 'SearchStringField',
            'otherRelationships' => 'SearchEnumMultiSelectField',
            'payablesAccount' => 'SearchMultiSelectField',
            'pec' => 'SearchStringField',
            'permission' => 'SearchEnumMultiSelectField',
            'phone' => 'SearchStringField',
            'phoneticName' => 'SearchStringField',
            'printTransactions' => 'SearchBooleanField',
            'salutation' => 'SearchStringField',
            'shipAddress' => 'SearchStringField',
            'state' => 'SearchStringField',
            'subsidiary' => 'SearchMultiSelectField',
            'taxIdNum' => 'SearchStringField',
            'title' => 'SearchStringField',
            'unbilledOrders' => 'SearchDoubleField',
            'url' => 'SearchStringField',
            'vatRegNumber' => 'SearchStringField',
            'workCalendar' => 'SearchMultiSelectField',
            'zipCode' => 'SearchStringField',
            'customFieldList' => 'SearchCustomFieldList',
        },
    
        VendorSearchRowBasic => {
            'accountNumber' => 'SearchColumnStringField',
            'address' => 'SearchColumnStringField',
            'address1' => 'SearchColumnStringField',
            'address2' => 'SearchColumnStringField',
            'address3' => 'SearchColumnStringField',
            'addressee' => 'SearchColumnStringField',
            'addressInternalId' => 'SearchColumnStringField',
            'addressLabel' => 'SearchColumnStringField',
            'addressPhone' => 'SearchColumnStringField',
            'altContact' => 'SearchColumnStringField',
            'altEmail' => 'SearchColumnStringField',
            'altName' => 'SearchColumnStringField',
            'altPhone' => 'SearchColumnStringField',
            'attention' => 'SearchColumnStringField',
            'balance' => 'SearchColumnDoubleField',
            'billAddress' => 'SearchColumnStringField',
            'billAddress1' => 'SearchColumnStringField',
            'billAddress2' => 'SearchColumnStringField',
            'billAddress3' => 'SearchColumnStringField',
            'billAddressee' => 'SearchColumnStringField',
            'billAttention' => 'SearchColumnStringField',
            'billCity' => 'SearchColumnStringField',
            'billCountry' => 'SearchColumnEnumSelectField',
            'billCountryCode' => 'SearchColumnStringField',
            'billPhone' => 'SearchColumnStringField',
            'billState' => 'SearchColumnStringField',
            'billZipCode' => 'SearchColumnStringField',
            'category' => 'SearchColumnSelectField',
            'city' => 'SearchColumnStringField',
            'comments' => 'SearchColumnStringField',
            'companyName' => 'SearchColumnStringField',
            'contact' => 'SearchColumnStringField',
            'country' => 'SearchColumnEnumSelectField',
            'countryCode' => 'SearchColumnStringField',
            'creditLimit' => 'SearchColumnDoubleField',
            'currency' => 'SearchColumnSelectField',
            'currentExchangeRate' => 'SearchColumnDoubleField',
            'dateCreated' => 'SearchColumnDateField',
            'eligibleForCommission' => 'SearchColumnBooleanField',
            'email' => 'SearchColumnStringField',
            'emailPreference' => 'SearchColumnEnumSelectField',
            'emailTransactions' => 'SearchColumnBooleanField',
            'entityId' => 'SearchColumnStringField',
            'entityNumber' => 'SearchColumnLongField',
            'expenseAccount' => 'SearchColumnSelectField',
            'externalId' => 'SearchColumnSelectField',
            'fax' => 'SearchColumnStringField',
            'faxTransactions' => 'SearchColumnBooleanField',
            'firstName' => 'SearchColumnStringField',
            'fxBalance' => 'SearchColumnDoubleField',
            'fxUnbilledOrders' => 'SearchColumnDoubleField',
            'giveAccess' => 'SearchColumnBooleanField',
            'globalSubscriptionStatus' => 'SearchColumnEnumSelectField',
            'hasDuplicates' => 'SearchColumnBooleanField',
            'homePhone' => 'SearchColumnStringField',
            'image' => 'SearchColumnSelectField',
            'internalId' => 'SearchColumnSelectField',
            'is1099Eligible' => 'SearchColumnBooleanField',
            'isDefaultBilling' => 'SearchColumnBooleanField',
            'isDefaultShipping' => 'SearchColumnBooleanField',
            'isInactive' => 'SearchColumnBooleanField',
            'isJobResourceVend' => 'SearchColumnBooleanField',
            'isPerson' => 'SearchColumnBooleanField',
            'laborCost' => 'SearchColumnDoubleField',
            'language' => 'SearchColumnEnumSelectField',
            'lastModifiedDate' => 'SearchColumnDateField',
            'lastName' => 'SearchColumnStringField',
            'level' => 'SearchColumnEnumSelectField',
            'middleName' => 'SearchColumnStringField',
            'mobilePhone' => 'SearchColumnStringField',
            'payablesAccount' => 'SearchColumnSelectField',
            'pec' => 'SearchColumnStringField',
            'permission' => 'SearchColumnEnumSelectField',
            'phone' => 'SearchColumnStringField',
            'phoneticName' => 'SearchColumnStringField',
            'printOnCheckAs' => 'SearchColumnStringField',
            'printTransactions' => 'SearchColumnBooleanField',
            'salutation' => 'SearchColumnStringField',
            'shipAddress' => 'SearchColumnStringField',
            'shipAddress1' => 'SearchColumnStringField',
            'shipAddress2' => 'SearchColumnStringField',
            'shipAddress3' => 'SearchColumnStringField',
            'shipAddressee' => 'SearchColumnStringField',
            'shipAttention' => 'SearchColumnStringField',
            'shipCity' => 'SearchColumnStringField',
            'shipCountry' => 'SearchColumnEnumSelectField',
            'shipCountryCode' => 'SearchColumnStringField',
            'shipPhone' => 'SearchColumnStringField',
            'shipState' => 'SearchColumnStringField',
            'shipZip' => 'SearchColumnStringField',
            'state' => 'SearchColumnStringField',
            'subscription' => 'SearchColumnSelectField',
            'subscriptionDate' => 'SearchColumnDateField',
            'subscriptionStatus' => 'SearchColumnBooleanField',
            'subsidiary' => 'SearchColumnSelectField',
            'taxIdNum' => 'SearchColumnStringField',
            'terms' => 'SearchColumnSelectField',
            'title' => 'SearchColumnStringField',
            'unbilledOrders' => 'SearchColumnDoubleField',
            'url' => 'SearchColumnStringField',
            'vatRegNumber' => 'SearchColumnStringField',
            'workCalendar' => 'SearchColumnSelectField',
            'zipCode' => 'SearchColumnStringField',
            'customFieldList' => 'SearchColumnCustomFieldList',
        },
    
        SiteCategorySearchBasic => {
            'dateViewed' => 'SearchDateField',
            'description' => 'SearchStringField',
            'excludeFromSitemap' => 'SearchBooleanField',
            'externalId' => 'SearchMultiSelectField',
            'externalIdString' => 'SearchStringField',
            'internalId' => 'SearchMultiSelectField',
            'internalIdNumber' => 'SearchLongField',
            'name' => 'SearchMultiSelectField',
            'sitemapPriority' => 'SearchEnumMultiSelectField',
        },
    
        SiteCategorySearchRowBasic => {
            'dateViewed' => 'SearchColumnDateField',
            'description' => 'SearchColumnStringField',
            'excludeFromSitemap' => 'SearchColumnBooleanField',
            'externalId' => 'SearchColumnSelectField',
            'fullName' => 'SearchColumnStringField',
            'hidden' => 'SearchColumnBooleanField',
            'hits' => 'SearchColumnLongField',
            'internalId' => 'SearchColumnSelectField',
            'longDescription' => 'SearchColumnStringField',
            'name' => 'SearchColumnStringField',
            'pageTitle' => 'SearchColumnStringField',
            'sitemapPriority' => 'SearchColumnEnumSelectField',
            'urlComponent' => 'SearchColumnStringField',
        },
    
        TimeBillSearchBasic => {
            'approved' => 'SearchBooleanField',
            'billable' => 'SearchBooleanField',
            'class' => 'SearchMultiSelectField',
            'customer' => 'SearchMultiSelectField',
            'date' => 'SearchDateField',
            'dateCreated' => 'SearchDateField',
            'department' => 'SearchMultiSelectField',
            'duration' => 'SearchDoubleField',
            'employee' => 'SearchMultiSelectField',
            'exempt' => 'SearchBooleanField',
            'externalId' => 'SearchMultiSelectField',
            'externalIdString' => 'SearchStringField',
            'internalId' => 'SearchMultiSelectField',
            'internalIdNumber' => 'SearchLongField',
            'item' => 'SearchMultiSelectField',
            'lastModified' => 'SearchDateField',
            'location' => 'SearchMultiSelectField',
            'memo' => 'SearchStringField',
            'paidByPayroll' => 'SearchBooleanField',
            'paidExternally' => 'SearchBooleanField',
            'payItem' => 'SearchMultiSelectField',
            'productive' => 'SearchBooleanField',
            'status' => 'SearchBooleanField',
            'subsidiary' => 'SearchMultiSelectField',
            'temporaryLocalJurisdiction' => 'SearchMultiSelectField',
            'temporaryStateJurisdiction' => 'SearchMultiSelectField',
            'type' => 'SearchEnumMultiSelectField',
            'utilized' => 'SearchBooleanField',
            'customFieldList' => 'SearchCustomFieldList',
        },
    
        TimeBillSearchRowBasic => {
            'break' => 'SearchColumnStringField',
            'class' => 'SearchColumnSelectField',
            'customer' => 'SearchColumnSelectField',
            'date' => 'SearchColumnDateField',
            'dateCreated' => 'SearchColumnDateField',
            'department' => 'SearchColumnSelectField',
            'durationDecimal' => 'SearchColumnDoubleField',
            'employee' => 'SearchColumnSelectField',
            'endTime' => 'SearchColumnDateField',
            'externalId' => 'SearchColumnStringField',
            'hours' => 'SearchColumnStringField',
            'internalId' => 'SearchColumnSelectField',
            'isBillable' => 'SearchColumnBooleanField',
            'isExempt' => 'SearchColumnBooleanField',
            'isProductive' => 'SearchColumnBooleanField',
            'isUtilized' => 'SearchColumnBooleanField',
            'item' => 'SearchColumnStringField',
            'lastModified' => 'SearchColumnDateField',
            'location' => 'SearchColumnSelectField',
            'memo' => 'SearchColumnStringField',
            'paidExternally' => 'SearchColumnBooleanField',
            'payItem' => 'SearchColumnSelectField',
            'payrollDate' => 'SearchColumnDateField',
            'rate' => 'SearchColumnDoubleField',
            'startTime' => 'SearchColumnDateField',
            'status' => 'SearchColumnStringField',
            'subsidiary' => 'SearchColumnStringField',
            'supervisorApproval' => 'SearchColumnBooleanField',
            'temporaryLocalJurisdiction' => 'SearchColumnStringField',
            'temporaryStateJurisdiction' => 'SearchColumnStringField',
            'type' => 'SearchColumnEnumSelectField',
            'customFieldList' => 'SearchColumnCustomFieldList',
        },
    
        SolutionSearchBasic => {
            'abstract' => 'SearchStringField',
            'assigned' => 'SearchMultiSelectField',
            'caseCount' => 'SearchLongField',
            'code' => 'SearchStringField',
            'createdDate' => 'SearchDateField',
            'description' => 'SearchStringField',
            'externalId' => 'SearchMultiSelectField',
            'externalIdString' => 'SearchStringField',
            'find' => 'SearchStringField',
            'internalId' => 'SearchMultiSelectField',
            'internalIdNumber' => 'SearchLongField',
            'isInactive' => 'SearchBooleanField',
            'isOnline' => 'SearchBooleanField',
            'lastModifiedDate' => 'SearchDateField',
            'number' => 'SearchLongField',
            'status' => 'SearchEnumMultiSelectField',
            'title' => 'SearchStringField',
            'topic' => 'SearchMultiSelectField',
            'customFieldList' => 'SearchCustomFieldList',
        },
    
        SolutionSearchRowBasic => {
            'assigned' => 'SearchColumnSelectField',
            'caseCount' => 'SearchColumnLongField',
            'createdDate' => 'SearchColumnDateField',
            'description' => 'SearchColumnStringField',
            'displayOnline' => 'SearchColumnBooleanField',
            'externalId' => 'SearchColumnStringField',
            'internalId' => 'SearchColumnSelectField',
            'isInactive' => 'SearchColumnBooleanField',
            'lastModifiedDate' => 'SearchColumnDateField',
            'message' => 'SearchColumnStringField',
            'previewref' => 'SearchColumnStringField',
            'solutionCode' => 'SearchColumnStringField',
            'status' => 'SearchColumnEnumSelectField',
            'title' => 'SearchColumnStringField',
            'customFieldList' => 'SearchColumnCustomFieldList',
        },
    
        TopicSearchBasic => {
            'description' => 'SearchStringField',
            'externalId' => 'SearchMultiSelectField',
            'externalIdString' => 'SearchStringField',
            'internalId' => 'SearchMultiSelectField',
            'internalIdNumber' => 'SearchLongField',
            'isInactive' => 'SearchBooleanField',
            'name' => 'SearchStringField',
        },
    
        TopicSearchRowBasic => {
            'description' => 'SearchColumnStringField',
            'externalId' => 'SearchColumnStringField',
            'internalId' => 'SearchColumnSelectField',
            'isInactive' => 'SearchColumnBooleanField',
            'name' => 'SearchColumnStringField',
        },
    
        SubsidiarySearchBasic => {
            'address' => 'SearchStringField',
            'city' => 'SearchStringField',
            'country' => 'SearchEnumMultiSelectField',
            'currency' => 'SearchMultiSelectField',
            'email' => 'SearchStringField',
            'externalId' => 'SearchMultiSelectField',
            'externalIdString' => 'SearchStringField',
            'fax' => 'SearchStringField',
            'internalId' => 'SearchMultiSelectField',
            'internalIdNumber' => 'SearchLongField',
            'isElimination' => 'SearchBooleanField',
            'isInactive' => 'SearchBooleanField',
            'legalName' => 'SearchStringField',
            'name' => 'SearchStringField',
            'nameNoHierarchy' => 'SearchStringField',
            'phone' => 'SearchStringField',
            'state' => 'SearchStringField',
            'taxIdNum' => 'SearchStringField',
            'tranPrefix' => 'SearchStringField',
            'url' => 'SearchStringField',
            'zip' => 'SearchStringField',
            'customFieldList' => 'SearchCustomFieldList',
        },
    
        SubsidiarySearchRowBasic => {
            'address1' => 'SearchColumnStringField',
            'address2' => 'SearchColumnStringField',
            'address3' => 'SearchColumnStringField',
            'anonymousCustomerInboundEmail' => 'SearchColumnStringField',
            'anonymousCustomerOnlineForms' => 'SearchColumnStringField',
            'caseAssignmentTemplate' => 'SearchColumnStringField',
            'caseAutomaticClosureTemplate' => 'SearchColumnStringField',
            'caseCopyEmployeeTemplate' => 'SearchColumnStringField',
            'caseCreationTemplate' => 'SearchColumnStringField',
            'caseEscalationTemplate' => 'SearchColumnStringField',
            'caseUpdateTemplate' => 'SearchColumnStringField',
            'city' => 'SearchColumnStringField',
            'companyNameForSupportMessages' => 'SearchColumnStringField',
            'country' => 'SearchColumnEnumSelectField',
            'currency' => 'SearchColumnSelectField',
            'email' => 'SearchColumnStringField',
            'employeeCaseUpdateTemplate' => 'SearchColumnStringField',
            'externalId' => 'SearchColumnStringField',
            'fax' => 'SearchColumnStringField',
            'internalId' => 'SearchColumnSelectField',
            'isElimination' => 'SearchColumnBooleanField',
            'isInactive' => 'SearchColumnBooleanField',
            'legalName' => 'SearchColumnStringField',
            'mainSupportEmailAddress' => 'SearchColumnStringField',
            'name' => 'SearchColumnStringField',
            'nameNoHierarchy' => 'SearchColumnStringField',
            'phone' => 'SearchColumnStringField',
            'state' => 'SearchColumnStringField',
            'taxIdNum' => 'SearchColumnStringField',
            'tranPrefix' => 'SearchColumnStringField',
            'url' => 'SearchColumnStringField',
            'zip' => 'SearchColumnStringField',
            'customFieldList' => 'SearchColumnCustomFieldList',
        },
    
        GiftCertificateSearchBasic => {
            'amountAvailableBilled' => 'SearchDoubleField',
            'amountRemaining' => 'SearchDoubleField',
            'createdDate' => 'SearchDateField',
            'email' => 'SearchStringField',
            'expirationDate' => 'SearchDateField',
            'giftCertCode' => 'SearchStringField',
            'incomeAccount' => 'SearchMultiSelectField',
            'internalId' => 'SearchMultiSelectField',
            'internalIdNumber' => 'SearchLongField',
            'isActive' => 'SearchBooleanField',
            'item' => 'SearchMultiSelectField',
            'liabilityAccount' => 'SearchMultiSelectField',
            'message' => 'SearchStringField',
            'name' => 'SearchStringField',
            'originalAmount' => 'SearchDoubleField',
            'purchaseDate' => 'SearchDateField',
            'sender' => 'SearchStringField',
            'customFieldList' => 'SearchCustomFieldList',
        },
    
        GiftCertificateSearchRowBasic => {
            'amountRemaining' => 'SearchColumnDoubleField',
            'amtAvailBilled' => 'SearchColumnDoubleField',
            'createdDate' => 'SearchColumnDateField',
            'email' => 'SearchColumnStringField',
            'expirationDate' => 'SearchColumnDateField',
            'gcActive' => 'SearchColumnBooleanField',
            'giftCertCode' => 'SearchColumnStringField',
            'incomeAcct' => 'SearchColumnStringField',
            'internalId' => 'SearchColumnSelectField',
            'item' => 'SearchColumnSelectField',
            'liabilityAcct' => 'SearchColumnStringField',
            'message' => 'SearchColumnStringField',
            'name' => 'SearchColumnStringField',
            'originalAmount' => 'SearchColumnDoubleField',
            'purchaseDate' => 'SearchColumnDateField',
            'sender' => 'SearchColumnStringField',
            'customFieldList' => 'SearchColumnCustomFieldList',
        },
    
        FolderSearchBasic => {
            'class' => 'SearchMultiSelectField',
            'department' => 'SearchMultiSelectField',
            'description' => 'SearchStringField',
            'externalId' => 'SearchMultiSelectField',
            'externalIdString' => 'SearchStringField',
            'group' => 'SearchMultiSelectField',
            'internalId' => 'SearchMultiSelectField',
            'internalIdNumber' => 'SearchLongField',
            'isInactive' => 'SearchBooleanField',
            'isTopLevel' => 'SearchBooleanField',
            'lastModifiedDate' => 'SearchDateField',
            'location' => 'SearchMultiSelectField',
            'name' => 'SearchStringField',
            'numFiles' => 'SearchLongField',
            'owner' => 'SearchMultiSelectField',
            'parent' => 'SearchMultiSelectField',
            'predecessor' => 'SearchMultiSelectField',
            'private' => 'SearchBooleanField',
            'size' => 'SearchLongField',
            'subsidiary' => 'SearchMultiSelectField',
        },
    
        FolderSearchRowBasic => {
            'class' => 'SearchColumnSelectField',
            'department' => 'SearchColumnSelectField',
            'description' => 'SearchColumnStringField',
            'externalId' => 'SearchColumnStringField',
            'folderSize' => 'SearchColumnLongField',
            'group' => 'SearchColumnSelectField',
            'internalId' => 'SearchColumnSelectField',
            'isInactive' => 'SearchColumnBooleanField',
            'lastModifiedDate' => 'SearchColumnDateField',
            'location' => 'SearchColumnSelectField',
            'name' => 'SearchColumnStringField',
            'numFiles' => 'SearchColumnLongField',
            'owner' => 'SearchColumnSelectField',
            'parent' => 'SearchColumnSelectField',
            'subsidiary' => 'SearchColumnSelectField',
        },
    
        FileSearchBasic => {
            'availableWithoutLogin' => 'SearchBooleanField',
            'created' => 'SearchDateField',
            'dateViewed' => 'SearchDateField',
            'description' => 'SearchStringField',
            'documentSize' => 'SearchLongField',
            'externalId' => 'SearchMultiSelectField',
            'externalIdString' => 'SearchStringField',
            'fileType' => 'SearchEnumMultiSelectField',
            'folder' => 'SearchMultiSelectField',
            'internalId' => 'SearchMultiSelectField',
            'internalIdNumber' => 'SearchLongField',
            'isAvailable' => 'SearchBooleanField',
            'isLink' => 'SearchBooleanField',
            'modified' => 'SearchDateField',
            'name' => 'SearchStringField',
            'owner' => 'SearchMultiSelectField',
            'url' => 'SearchStringField',
        },
    
        FileSearchRowBasic => {
            'availableWithoutLogin' => 'SearchColumnBooleanField',
            'created' => 'SearchColumnDateField',
            'dateViewed' => 'SearchColumnDateField',
            'description' => 'SearchColumnStringField',
            'documentSize' => 'SearchColumnLongField',
            'externalId' => 'SearchColumnStringField',
            'fileType' => 'SearchColumnEnumSelectField',
            'folder' => 'SearchColumnSelectField',
            'hits' => 'SearchColumnLongField',
            'hostedPath' => 'SearchColumnStringField',
            'internalId' => 'SearchColumnSelectField',
            'isAvailable' => 'SearchColumnBooleanField',
            'modified' => 'SearchColumnDateField',
            'name' => 'SearchColumnStringField',
            'owner' => 'SearchColumnSelectField',
            'url' => 'SearchColumnStringField',
        },
    
        JobSearchBasic => {
            'accountNumber' => 'SearchStringField',
            'actualTime' => 'SearchDoubleField',
            'address' => 'SearchStringField',
            'addressee' => 'SearchStringField',
            'addressLabel' => 'SearchStringField',
            'addressPhone' => 'SearchStringField',
            'allocatePayrollExpenses' => 'SearchBooleanField',
            'allowAllResourcesForTasks' => 'SearchBooleanField',
            'allowExpenses' => 'SearchBooleanField',
            'allowTime' => 'SearchBooleanField',
            'applyProjectExpenseTypeToAll' => 'SearchBooleanField',
            'attention' => 'SearchStringField',
            'billingSchedule' => 'SearchMultiSelectField',
            'calculatedEndDate' => 'SearchDateField',
            'calculatedEndDateBaseline' => 'SearchDateField',
            'category' => 'SearchMultiSelectField',
            'city' => 'SearchStringField',
            'comments' => 'SearchStringField',
            'contact' => 'SearchStringField',
            'country' => 'SearchEnumMultiSelectField',
            'county' => 'SearchStringField',
            'customer' => 'SearchMultiSelectField',
            'dateCreated' => 'SearchDateField',
            'email' => 'SearchStringField',
            'endDate' => 'SearchDateField',
            'entityId' => 'SearchStringField',
            'estCost' => 'SearchDoubleField',
            'estEndDate' => 'SearchDateField',
            'estimatedGrossProfit' => 'SearchDoubleField',
            'estimatedGrossProfitPercent' => 'SearchDoubleField',
            'estimatedLaborCost' => 'SearchDoubleField',
            'estimatedLaborCostBaseline' => 'SearchDoubleField',
            'estimatedLaborRevenue' => 'SearchDoubleField',
            'estimatedTime' => 'SearchDoubleField',
            'estimatedTimeOverride' => 'SearchDoubleField',
            'estimatedTimeOverrideBaseline' => 'SearchDoubleField',
            'estRevenue' => 'SearchDoubleField',
            'externalId' => 'SearchMultiSelectField',
            'externalIdString' => 'SearchStringField',
            'fax' => 'SearchStringField',
            'giveAccess' => 'SearchBooleanField',
            'globalSubscriptionStatus' => 'SearchEnumMultiSelectField',
            'image' => 'SearchStringField',
            'includeCrmTasksInTotals' => 'SearchBooleanField',
            'internalId' => 'SearchMultiSelectField',
            'internalIdNumber' => 'SearchLongField',
            'isDefaultBilling' => 'SearchBooleanField',
            'isDefaultShipping' => 'SearchBooleanField',
            'isExemptTime' => 'SearchBooleanField',
            'isInactive' => 'SearchBooleanField',
            'isProductiveTime' => 'SearchBooleanField',
            'isUtilizedTime' => 'SearchBooleanField',
            'jobBillingType' => 'SearchEnumMultiSelectField',
            'jobItem' => 'SearchMultiSelectField',
            'jobPrice' => 'SearchDoubleField',
            'jobResource' => 'SearchMultiSelectField',
            'jobResourceRole' => 'SearchMultiSelectField',
            'language' => 'SearchEnumMultiSelectField',
            'lastBaselineDate' => 'SearchDateField',
            'lastModifiedDate' => 'SearchDateField',
            'level' => 'SearchEnumMultiSelectField',
            'limitTimeToAssignees' => 'SearchBooleanField',
            'materializeTime' => 'SearchBooleanField',
            'parent' => 'SearchMultiSelectField',
            'pctComplete' => 'SearchLongField',
            'percentTimeComplete' => 'SearchLongField',
            'permission' => 'SearchEnumMultiSelectField',
            'phone' => 'SearchStringField',
            'phoneticName' => 'SearchStringField',
            'projectedEndDateBaseline' => 'SearchDateField',
            'projectExpenseType' => 'SearchMultiSelectField',
            'startDate' => 'SearchDateField',
            'startDateBaseline' => 'SearchDateField',
            'state' => 'SearchStringField',
            'status' => 'SearchMultiSelectField',
            'subsidiary' => 'SearchMultiSelectField',
            'timeRemaining' => 'SearchDoubleField',
            'type' => 'SearchMultiSelectField',
            'zipCode' => 'SearchStringField',
            'customFieldList' => 'SearchCustomFieldList',
        },
    
        JobSearchRowBasic => {
            'accountNumber' => 'SearchColumnStringField',
            'actualTime' => 'SearchColumnDoubleField',
            'address' => 'SearchColumnStringField',
            'address1' => 'SearchColumnStringField',
            'address2' => 'SearchColumnStringField',
            'address3' => 'SearchColumnStringField',
            'addressee' => 'SearchColumnStringField',
            'addressInternalId' => 'SearchColumnStringField',
            'addressLabel' => 'SearchColumnStringField',
            'addressPhone' => 'SearchColumnStringField',
            'allocatePayrollExpenses' => 'SearchColumnBooleanField',
            'allowAllResourcesForTasks' => 'SearchColumnBooleanField',
            'allowExpenses' => 'SearchColumnBooleanField',
            'allowTime' => 'SearchColumnBooleanField',
            'altContact' => 'SearchColumnStringField',
            'altEmail' => 'SearchColumnStringField',
            'altName' => 'SearchColumnStringField',
            'altPhone' => 'SearchColumnStringField',
            'attention' => 'SearchColumnStringField',
            'billAddress1' => 'SearchColumnStringField',
            'billAddress2' => 'SearchColumnStringField',
            'billAddress3' => 'SearchColumnStringField',
            'billAddressee' => 'SearchColumnStringField',
            'billAttention' => 'SearchColumnStringField',
            'billCity' => 'SearchColumnStringField',
            'billCountry' => 'SearchColumnEnumSelectField',
            'billCountryCode' => 'SearchColumnStringField',
            'billingSchedule' => 'SearchColumnSelectField',
            'billPhone' => 'SearchColumnStringField',
            'billState' => 'SearchColumnStringField',
            'billZipCode' => 'SearchColumnStringField',
            'calculatedEndDate' => 'SearchColumnDateField',
            'calculatedEndDateBaseline' => 'SearchColumnDateField',
            'category' => 'SearchColumnSelectField',
            'city' => 'SearchColumnStringField',
            'comments' => 'SearchColumnStringField',
            'companyName' => 'SearchColumnStringField',
            'contact' => 'SearchColumnStringField',
            'country' => 'SearchColumnEnumSelectField',
            'countryCode' => 'SearchColumnStringField',
            'customer' => 'SearchColumnSelectField',
            'dateCreated' => 'SearchColumnDateField',
            'email' => 'SearchColumnStringField',
            'endDate' => 'SearchColumnDateField',
            'entityId' => 'SearchColumnStringField',
            'entityNumber' => 'SearchColumnLongField',
            'entityStatus' => 'SearchColumnSelectField',
            'estimatedCost' => 'SearchColumnDoubleField',
            'estimatedGrossProfit' => 'SearchColumnDoubleField',
            'estimatedGrossProfitPercent' => 'SearchColumnDoubleField',
            'estimatedLaborCost' => 'SearchColumnDoubleField',
            'estimatedLaborCostBaseline' => 'SearchColumnDoubleField',
            'estimatedLaborRevenue' => 'SearchColumnDoubleField',
            'estimatedRevenue' => 'SearchColumnDoubleField',
            'estimatedTime' => 'SearchColumnDoubleField',
            'estimatedTimeOverride' => 'SearchColumnDoubleField',
            'estimatedTimeOverrideBaseline' => 'SearchColumnDoubleField',
            'externalId' => 'SearchColumnStringField',
            'fax' => 'SearchColumnStringField',
            'globalSubscriptionStatus' => 'SearchColumnEnumSelectField',
            'image' => 'SearchColumnSelectField',
            'includeCrmTasksInTotals' => 'SearchColumnBooleanField',
            'internalId' => 'SearchColumnSelectField',
            'isDefaultBilling' => 'SearchColumnBooleanField',
            'isDefaultShipping' => 'SearchColumnBooleanField',
            'isExemptTime' => 'SearchColumnBooleanField',
            'isInactive' => 'SearchColumnBooleanField',
            'isProductiveTime' => 'SearchColumnBooleanField',
            'isUtilizedTime' => 'SearchColumnBooleanField',
            'jobBillingType' => 'SearchColumnEnumSelectField',
            'jobItem' => 'SearchColumnSelectField',
            'jobPrice' => 'SearchColumnDoubleField',
            'jobResource' => 'SearchColumnSelectField',
            'jobResourceRole' => 'SearchColumnSelectField',
            'language' => 'SearchColumnEnumSelectField',
            'lastBaselineDate' => 'SearchColumnDateField',
            'lastModifiedDate' => 'SearchColumnDateField',
            'level' => 'SearchColumnEnumSelectField',
            'limitTimeToAssignees' => 'SearchColumnBooleanField',
            'materializeTime' => 'SearchColumnBooleanField',
            'percentComplete' => 'SearchColumnDoubleField',
            'percentTimeComplete' => 'SearchColumnDoubleField',
            'permission' => 'SearchColumnEnumSelectField',
            'phone' => 'SearchColumnStringField',
            'phoneticName' => 'SearchColumnStringField',
            'projectedEndDate' => 'SearchColumnDateField',
            'projectedEndDateBaseline' => 'SearchColumnDateField',
            'projectExpenseType' => 'SearchColumnSelectField',
            'shipAddress1' => 'SearchColumnStringField',
            'shipAddress2' => 'SearchColumnStringField',
            'shipAddress3' => 'SearchColumnStringField',
            'shipAddressee' => 'SearchColumnStringField',
            'shipAttention' => 'SearchColumnStringField',
            'shipCity' => 'SearchColumnStringField',
            'shipCountry' => 'SearchColumnEnumSelectField',
            'shipCountryCode' => 'SearchColumnStringField',
            'shipPhone' => 'SearchColumnStringField',
            'shipState' => 'SearchColumnStringField',
            'shipZip' => 'SearchColumnStringField',
            'startDate' => 'SearchColumnDateField',
            'startDateBaseline' => 'SearchColumnDateField',
            'state' => 'SearchColumnStringField',
            'subscription' => 'SearchColumnSelectField',
            'subscriptionDate' => 'SearchColumnDateField',
            'subscriptionStatus' => 'SearchColumnBooleanField',
            'subsidiary' => 'SearchColumnSelectField',
            'timeRemaining' => 'SearchColumnDoubleField',
            'type' => 'SearchColumnSelectField',
            'zipCode' => 'SearchColumnStringField',
            'customFieldList' => 'SearchColumnCustomFieldList',
        },
    
        IssueSearchBasic => {
            'ageInMonths' => 'SearchLongField',
            'assigned' => 'SearchMultiSelectField',
            'buildBroken' => 'SearchMultiSelectField',
            'buildBrokenName' => 'SearchStringField',
            'buildFixed' => 'SearchMultiSelectField',
            'buildFixedName' => 'SearchStringField',
            'buildTarget' => 'SearchMultiSelectField',
            'buildTargetName' => 'SearchStringField',
            'caseCount' => 'SearchLongField',
            'caseNumber' => 'SearchStringField',
            'closedDate' => 'SearchDateField',
            'createdDate' => 'SearchDateField',
            'dateReleased' => 'SearchDateField',
            'details' => 'SearchStringField',
            'duplicateOf' => 'SearchMultiSelectField',
            'eFix' => 'SearchBooleanField',
            'employeeOrTeam' => 'SearchMultiSelectField',
            'eventStatus' => 'SearchEnumMultiSelectField',
            'externalAbstract' => 'SearchStringField',
            'externalDetails' => 'SearchStringField',
            'externalFixedIn' => 'SearchMultiSelectField',
            'externalId' => 'SearchMultiSelectField',
            'externalIdString' => 'SearchStringField',
            'externalStatus' => 'SearchMultiSelectField',
            'fixed' => 'SearchDateField',
            'fixedBy' => 'SearchMultiSelectField',
            'internalId' => 'SearchMultiSelectField',
            'internalIdNumber' => 'SearchLongField',
            'isOwner' => 'SearchBooleanField',
            'isReviewed' => 'SearchBooleanField',
            'isShowStopper' => 'SearchBooleanField',
            'issueAbstract' => 'SearchStringField',
            'issueNumber' => 'SearchStringField',
            'item' => 'SearchMultiSelectField',
            'lastModifiedDate' => 'SearchDateField',
            'module' => 'SearchMultiSelectField',
            'number' => 'SearchLongField',
            'originalFixedIn' => 'SearchStringField',
            'priority' => 'SearchMultiSelectField',
            'product' => 'SearchMultiSelectField',
            'productTeam' => 'SearchMultiSelectField',
            'relatedIssue' => 'SearchMultiSelectField',
            'relationship' => 'SearchEnumMultiSelectField',
            'relationshipComment' => 'SearchStringField',
            'reportedBy' => 'SearchMultiSelectField',
            'reproduce' => 'SearchMultiSelectField',
            'resolved' => 'SearchDateField',
            'resolvedBy' => 'SearchMultiSelectField',
            'reviewer' => 'SearchMultiSelectField',
            'severity' => 'SearchMultiSelectField',
            'source' => 'SearchEnumMultiSelectField',
            'status' => 'SearchMultiSelectField',
            'tags' => 'SearchMultiSelectField',
            'tracking' => 'SearchBooleanField',
            'type' => 'SearchMultiSelectField',
            'userType' => 'SearchMultiSelectField',
            'versionBroken' => 'SearchMultiSelectField',
            'versionFixed' => 'SearchMultiSelectField',
            'versionTarget' => 'SearchMultiSelectField',
            'customFieldList' => 'SearchCustomFieldList',
        },
    
        IssueSearchRowBasic => {
            'ageInMonths' => 'SearchColumnLongField',
            'assigned' => 'SearchColumnSelectField',
            'buildBroken' => 'SearchColumnSelectField',
            'buildFixed' => 'SearchColumnSelectField',
            'buildTarget' => 'SearchColumnSelectField',
            'caseCount' => 'SearchColumnLongField',
            'caseNumber' => 'SearchColumnStringField',
            'closedDate' => 'SearchColumnDateField',
            'createdDate' => 'SearchColumnDateField',
            'dateReleased' => 'SearchColumnDateField',
            'duplicateOf' => 'SearchColumnSelectField',
            'employeeOrTeam' => 'SearchColumnSelectField',
            'eventStatus' => 'SearchColumnEnumSelectField',
            'externalAbstract' => 'SearchColumnStringField',
            'externalDetails' => 'SearchColumnStringField',
            'externalFixedIn' => 'SearchColumnStringField',
            'externalId' => 'SearchColumnSelectField',
            'externalStatus' => 'SearchColumnSelectField',
            'fixed' => 'SearchColumnDateField',
            'fixedBy' => 'SearchColumnSelectField',
            'internalId' => 'SearchColumnSelectField',
            'isOwner' => 'SearchColumnBooleanField',
            'isReviewed' => 'SearchColumnBooleanField',
            'isShowStopper' => 'SearchColumnBooleanField',
            'issueAbstract' => 'SearchColumnStringField',
            'issueStatus' => 'SearchColumnSelectField',
            'item' => 'SearchColumnSelectField',
            'lastModifiedDate' => 'SearchColumnDateField',
            'module' => 'SearchColumnStringField',
            'number' => 'SearchColumnStringField',
            'originalFixedIn' => 'SearchColumnStringField',
            'priority' => 'SearchColumnSelectField',
            'product' => 'SearchColumnSelectField',
            'productTeam' => 'SearchColumnSelectField',
            'relatedIssue' => 'SearchColumnSelectField',
            'relationship' => 'SearchColumnEnumSelectField',
            'relationshipComment' => 'SearchColumnStringField',
            'reportedBy' => 'SearchColumnSelectField',
            'reproduce' => 'SearchColumnSelectField',
            'resolved' => 'SearchColumnDateField',
            'resolvedBy' => 'SearchColumnSelectField',
            'reviewer' => 'SearchColumnSelectField',
            'severity' => 'SearchColumnSelectField',
            'source' => 'SearchColumnEnumSelectField',
            'tags' => 'SearchColumnSelectField',
            'type' => 'SearchColumnStringField',
            'userType' => 'SearchColumnSelectField',
            'versionBroken' => 'SearchColumnSelectField',
            'versionFixed' => 'SearchColumnSelectField',
            'versionTarget' => 'SearchColumnSelectField',
            'customFieldList' => 'SearchColumnCustomFieldList',
        },
    
        GroupMemberSearchBasic => {
            'groupId' => 'SearchMultiSelectField',
        },
    
        CampaignSearchBasic => {
            'audience' => 'SearchMultiSelectField',
            'baseCost' => 'SearchDoubleField',
            'campaignEventType' => 'SearchEnumMultiSelectField',
            'campaignId' => 'SearchStringField',
            'category' => 'SearchMultiSelectField',
            'channel' => 'SearchMultiSelectField',
            'cost' => 'SearchDoubleField',
            'createdDate' => 'SearchDateField',
            'endDate' => 'SearchDateField',
            'event' => 'SearchStringField',
            'expectedRevenue' => 'SearchDoubleField',
            'externalId' => 'SearchMultiSelectField',
            'externalIdString' => 'SearchStringField',
            'family' => 'SearchMultiSelectField',
            'group' => 'SearchMultiSelectField',
            'internalId' => 'SearchMultiSelectField',
            'internalIdNumber' => 'SearchLongField',
            'isInactive' => 'SearchBooleanField',
            'isSalesCampaign' => 'SearchBooleanField',
            'item' => 'SearchMultiSelectField',
            'keyword' => 'SearchStringField',
            'lastModifiedDate' => 'SearchDateField',
            'manager' => 'SearchMultiSelectField',
            'managerRole' => 'SearchMultiSelectField',
            'number' => 'SearchLongField',
            'offer' => 'SearchMultiSelectField',
            'promoCode' => 'SearchMultiSelectField',
            'recipient' => 'SearchMultiSelectField',
            'response' => 'SearchEnumMultiSelectField',
            'responseCategory' => 'SearchEnumMultiSelectField',
            'responseCode' => 'SearchLongField',
            'responseComments' => 'SearchStringField',
            'responseDate' => 'SearchDateField',
            'scheduleDate' => 'SearchDateField',
            'searchEngine' => 'SearchMultiSelectField',
            'startDate' => 'SearchDateField',
            'status' => 'SearchEnumMultiSelectField',
            'subscription' => 'SearchMultiSelectField',
            'template' => 'SearchMultiSelectField',
            'title' => 'SearchStringField',
            'vertical' => 'SearchMultiSelectField',
            'customFieldList' => 'SearchCustomFieldList',
        },
    
        CampaignSearchRowBasic => {
            'audience' => 'SearchColumnSelectField',
            'baseCost' => 'SearchColumnDoubleField',
            'campaignId' => 'SearchColumnStringField',
            'category' => 'SearchColumnSelectField',
            'channel' => 'SearchColumnSelectField',
            'cost' => 'SearchColumnDoubleField',
            'createdDate' => 'SearchColumnDateField',
            'endDate' => 'SearchColumnDateField',
            'event' => 'SearchColumnStringField',
            'executedDate' => 'SearchColumnDateField',
            'expectedRevenue' => 'SearchColumnDoubleField',
            'externalId' => 'SearchColumnSelectField',
            'family' => 'SearchColumnSelectField',
            'internalId' => 'SearchColumnSelectField',
            'isInactive' => 'SearchColumnBooleanField',
            'isSalesCampaign' => 'SearchColumnBooleanField',
            'item' => 'SearchColumnSelectField',
            'keyword' => 'SearchColumnStringField',
            'lastModifiedDate' => 'SearchColumnDateField',
            'managerRole' => 'SearchColumnSelectField',
            'message' => 'SearchColumnStringField',
            'offer' => 'SearchColumnSelectField',
            'owner' => 'SearchColumnSelectField',
            'promoCode' => 'SearchColumnStringField',
            'recipient' => 'SearchColumnSelectField',
            'response' => 'SearchColumnEnumSelectField',
            'responseCategory' => 'SearchColumnEnumSelectField',
            'responseCode' => 'SearchColumnLongField',
            'responseDate' => 'SearchColumnDateField',
            'responseNotes' => 'SearchColumnStringField',
            'revenue' => 'SearchColumnDoubleField',
            'roi' => 'SearchColumnDoubleField',
            'scheduledDate' => 'SearchColumnDateField',
            'searchEngine' => 'SearchColumnSelectField',
            'startDate' => 'SearchColumnDateField',
            'status' => 'SearchColumnEnumSelectField',
            'subscription' => 'SearchColumnSelectField',
            'title' => 'SearchColumnStringField',
            'url' => 'SearchColumnStringField',
            'vertical' => 'SearchColumnSelectField',
            'customFieldList' => 'SearchColumnCustomFieldList',
        },
    
        EntityGroupSearchBasic => {
            'email' => 'SearchStringField',
            'externalId' => 'SearchMultiSelectField',
            'externalIdString' => 'SearchStringField',
            'groupName' => 'SearchStringField',
            'groupOwner' => 'SearchMultiSelectField',
            'groupType' => 'SearchMultiSelectField',
            'internalId' => 'SearchMultiSelectField',
            'internalIdNumber' => 'SearchLongField',
            'isDynamic' => 'SearchBooleanField',
            'isInactive' => 'SearchBooleanField',
            'isManufacturingWorkCenter' => 'SearchBooleanField',
            'isPrivate' => 'SearchBooleanField',
            'laborResources' => 'SearchLongField',
            'lastModifiedDate' => 'SearchDateField',
            'machineResources' => 'SearchLongField',
            'subsidiary' => 'SearchMultiSelectField',
            'customFieldList' => 'SearchCustomFieldList',
        },
    
        EntityGroupSearchRowBasic => {
            'email' => 'SearchColumnStringField',
            'externalId' => 'SearchColumnStringField',
            'groupName' => 'SearchColumnStringField',
            'groupType' => 'SearchColumnStringField',
            'internalId' => 'SearchColumnSelectField',
            'isDynamic' => 'SearchColumnBooleanField',
            'isInactive' => 'SearchColumnBooleanField',
            'isManufacturingWorkCenter' => 'SearchColumnBooleanField',
            'isPrivate' => 'SearchColumnBooleanField',
            'laborResources' => 'SearchColumnLongField',
            'lastModifiedDate' => 'SearchColumnDateField',
            'machineResources' => 'SearchColumnLongField',
            'owner' => 'SearchColumnSelectField',
            'savedSearch' => 'SearchColumnStringField',
            'size' => 'SearchColumnLongField',
            'subsidiary' => 'SearchColumnSelectField',
            'customFieldList' => 'SearchColumnCustomFieldList',
        },
    
        PromotionCodeSearchBasic => {
            'applyDiscountTo' => 'SearchEnumMultiSelectField',
            'code' => 'SearchStringField',
            'description' => 'SearchStringField',
            'discount' => 'SearchMultiSelectField',
            'discountAmount' => 'SearchDoubleField',
            'endDate' => 'SearchDateField',
            'externalId' => 'SearchMultiSelectField',
            'externalIdString' => 'SearchStringField',
            'freeShipItem' => 'SearchMultiSelectField',
            'internalId' => 'SearchMultiSelectField',
            'internalIdNumber' => 'SearchLongField',
            'isInactive' => 'SearchBooleanField',
            'isPublic' => 'SearchBooleanField',
            'item' => 'SearchMultiSelectField',
            'name' => 'SearchStringField',
            'partner' => 'SearchMultiSelectField',
            'startDate' => 'SearchDateField',
            'customFieldList' => 'SearchCustomFieldList',
        },
    
        PromotionCodeSearchRowBasic => {
            'code' => 'SearchColumnStringField',
            'description' => 'SearchColumnStringField',
            'discount' => 'SearchColumnStringField',
            'discountAmount' => 'SearchColumnDoubleField',
            'endDate' => 'SearchColumnDateField',
            'externalId' => 'SearchColumnSelectField',
            'internalId' => 'SearchColumnSelectField',
            'isInactive' => 'SearchColumnBooleanField',
            'isPublic' => 'SearchColumnBooleanField',
            'name' => 'SearchColumnStringField',
            'startDate' => 'SearchColumnDateField',
            'customFieldList' => 'SearchColumnCustomFieldList',
        },
    
        BudgetSearchBasic => {
            'account' => 'SearchMultiSelectField',
            'amount' => 'SearchDoubleField',
            'category' => 'SearchMultiSelectField',
            'class' => 'SearchMultiSelectField',
            'currency' => 'SearchMultiSelectField',
            'customer' => 'SearchMultiSelectField',
            'department' => 'SearchMultiSelectField',
            'global' => 'SearchBooleanField',
            'internalId' => 'SearchMultiSelectField',
            'internalIdNumber' => 'SearchLongField',
            'item' => 'SearchMultiSelectField',
            'location' => 'SearchMultiSelectField',
            'subsidiary' => 'SearchMultiSelectField',
            'year' => 'SearchMultiSelectField',
            'year2' => 'SearchMultiSelectField',
        },
    
        BudgetSearchRowBasic => {
            'account' => 'SearchColumnStringField',
            'amount' => 'SearchColumnDoubleField',
            'category' => 'SearchColumnStringField',
            'class' => 'SearchColumnStringField',
            'classnohierarchy' => 'SearchColumnStringField',
            'currency' => 'SearchColumnStringField',
            'customer' => 'SearchColumnStringField',
            'department' => 'SearchColumnStringField',
            'departmentnohierarchy' => 'SearchColumnStringField',
            'global' => 'SearchColumnBooleanField',
            'internalId' => 'SearchColumnSelectField',
            'item' => 'SearchColumnStringField',
            'location' => 'SearchColumnStringField',
            'locationnohierarchy' => 'SearchColumnStringField',
            'subsidiary' => 'SearchColumnStringField',
            'subsidiarynohierarchy' => 'SearchColumnStringField',
            'year' => 'SearchColumnStringField',
            'year2' => 'SearchColumnStringField',
        },
    
        ProjectTaskSearchBasic => {
            'actualWork' => 'SearchDoubleField',
            'assignee' => 'SearchMultiSelectField',
            'company' => 'SearchMultiSelectField',
            'constraintType' => 'SearchEnumMultiSelectField',
            'contact' => 'SearchMultiSelectField',
            'cost' => 'SearchDoubleField',
            'costBase' => 'SearchDoubleField',
            'costBaseBaseline' => 'SearchDoubleField',
            'costBaseline' => 'SearchDoubleField',
            'costBaseVariance' => 'SearchDoubleField',
            'costVariance' => 'SearchDoubleField',
            'costVariancePercent' => 'SearchDoubleField',
            'createdDate' => 'SearchDateField',
            'endDate' => 'SearchDateField',
            'endDateBaseline' => 'SearchDateField',
            'endDateVariance' => 'SearchDoubleField',
            'estimatedWork' => 'SearchDoubleField',
            'estimatedWorkBaseline' => 'SearchDoubleField',
            'estimatedWorkVariance' => 'SearchDoubleField',
            'estimatedWorkVariancePercent' => 'SearchDoubleField',
            'externalId' => 'SearchMultiSelectField',
            'externalIdString' => 'SearchStringField',
            'finishByDate' => 'SearchDateField',
            'id' => 'SearchLongField',
            'internalId' => 'SearchMultiSelectField',
            'internalIdNumber' => 'SearchLongField',
            'isMilestone' => 'SearchBooleanField',
            'isSummaryTask' => 'SearchBooleanField',
            'lastModifiedDate' => 'SearchDateField',
            'owner' => 'SearchMultiSelectField',
            'parent' => 'SearchMultiSelectField',
            'percentWorkComplete' => 'SearchDoubleField',
            'predecessor' => 'SearchMultiSelectField',
            'predecessors' => 'SearchStringField',
            'priority' => 'SearchEnumMultiSelectField',
            'remainingWork' => 'SearchDoubleField',
            'startDate' => 'SearchDateField',
            'startDateBaseline' => 'SearchDateField',
            'startDateVariance' => 'SearchDoubleField',
            'status' => 'SearchEnumMultiSelectField',
            'successor' => 'SearchMultiSelectField',
            'title' => 'SearchStringField',
            'customFieldList' => 'SearchCustomFieldList',
        },
    
        ProjectTaskSearchRowBasic => {
            'actualWork' => 'SearchColumnDoubleField',
            'company' => 'SearchColumnSelectField',
            'constraintType' => 'SearchColumnEnumSelectField',
            'contact' => 'SearchColumnSelectField',
            'cost' => 'SearchColumnDoubleField',
            'costBase' => 'SearchColumnDoubleField',
            'costBaseBaseline' => 'SearchColumnDoubleField',
            'costBaseline' => 'SearchColumnDoubleField',
            'costBaseVariance' => 'SearchColumnDoubleField',
            'costVariance' => 'SearchColumnDoubleField',
            'costVariancePercent' => 'SearchColumnDoubleField',
            'createdDate' => 'SearchColumnDateField',
            'endDate' => 'SearchColumnDateField',
            'endDateBaseline' => 'SearchColumnDateField',
            'endDateVariance' => 'SearchColumnDoubleField',
            'estimatedWork' => 'SearchColumnDoubleField',
            'estimatedWorkBaseline' => 'SearchColumnDoubleField',
            'estimatedWorkVariance' => 'SearchColumnDoubleField',
            'estimatedWorkVariancePercent' => 'SearchColumnDoubleField',
            'externalId' => 'SearchColumnSelectField',
            'finishByDate' => 'SearchColumnDateField',
            'id' => 'SearchColumnLongField',
            'internalId' => 'SearchColumnSelectField',
            'isMilestone' => 'SearchColumnBooleanField',
            'isSummaryTask' => 'SearchColumnBooleanField',
            'lastModifiedDate' => 'SearchColumnDateField',
            'message' => 'SearchColumnStringField',
            'owner' => 'SearchColumnSelectField',
            'parent' => 'SearchColumnSelectField',
            'percentWorkComplete' => 'SearchColumnDoubleField',
            'predecessor' => 'SearchColumnSelectField',
            'predecessorLagDays' => 'SearchColumnDoubleField',
            'predecessors' => 'SearchColumnStringField',
            'predecessorType' => 'SearchColumnStringField',
            'priority' => 'SearchColumnEnumSelectField',
            'remainingWork' => 'SearchColumnDoubleField',
            'startDate' => 'SearchColumnDateField',
            'startDateBaseline' => 'SearchColumnDateField',
            'startDateVariance' => 'SearchColumnDoubleField',
            'status' => 'SearchColumnEnumSelectField',
            'successor' => 'SearchColumnSelectField',
            'successorType' => 'SearchColumnStringField',
            'title' => 'SearchColumnStringField',
            'customFieldList' => 'SearchColumnCustomFieldList',
        },
    
        ProjectTaskAssignmentSearchBasic => {
            'actualWork' => 'SearchDoubleField',
            'cost' => 'SearchDoubleField',
            'costBase' => 'SearchDoubleField',
            'endDate' => 'SearchDateField',
            'estimatedWork' => 'SearchDoubleField',
            'estimatedWorkBaseline' => 'SearchDoubleField',
            'grossProfit' => 'SearchDoubleField',
            'grossProfitBase' => 'SearchDoubleField',
            'internalId' => 'SearchMultiSelectField',
            'internalIdNumber' => 'SearchLongField',
            'price' => 'SearchDoubleField',
            'priceBase' => 'SearchDoubleField',
            'resource' => 'SearchMultiSelectField',
            'resourceName' => 'SearchStringField',
            'serviceItem' => 'SearchStringField',
            'serviceItemDesc' => 'SearchStringField',
            'startDate' => 'SearchDateField',
            'unitCost' => 'SearchDoubleField',
            'unitCostBase' => 'SearchDoubleField',
            'unitPrice' => 'SearchDoubleField',
            'unitPriceBase' => 'SearchDoubleField',
            'units' => 'SearchDoubleField',
            'workCalendar' => 'SearchMultiSelectField',
        },
    
        ProjectTaskAssignmentSearchRowBasic => {
            'actualWork' => 'SearchColumnDoubleField',
            'cost' => 'SearchColumnDoubleField',
            'costBase' => 'SearchColumnDoubleField',
            'endDate' => 'SearchColumnDateField',
            'estimatedWork' => 'SearchColumnDoubleField',
            'estimatedWorkBaseline' => 'SearchColumnDoubleField',
            'grossProfit' => 'SearchColumnDoubleField',
            'grossProfitBase' => 'SearchColumnDoubleField',
            'internalId' => 'SearchColumnSelectField',
            'price' => 'SearchColumnDoubleField',
            'priceBase' => 'SearchColumnDoubleField',
            'resource' => 'SearchColumnSelectField',
            'resourceName' => 'SearchColumnStringField',
            'serviceItem' => 'SearchColumnStringField',
            'serviceItemDesc' => 'SearchColumnStringField',
            'startDate' => 'SearchColumnDateField',
            'unitCost' => 'SearchColumnDoubleField',
            'unitCostBase' => 'SearchColumnDoubleField',
            'unitPrice' => 'SearchColumnDoubleField',
            'unitPriceBase' => 'SearchColumnDoubleField',
            'units' => 'SearchColumnDoubleField',
            'workCalendar' => 'SearchColumnSelectField',
        },
    
        AccountingPeriodSearchBasic => {
            'allLocked' => 'SearchBooleanField',
            'allowNonGlChanges' => 'SearchBooleanField',
            'apLocked' => 'SearchBooleanField',
            'arLocked' => 'SearchBooleanField',
            'closed' => 'SearchBooleanField',
            'closedOnDate' => 'SearchDateField',
            'endDate' => 'SearchDateField',
            'internalId' => 'SearchMultiSelectField',
            'internalIdNumber' => 'SearchLongField',
            'isAdjust' => 'SearchBooleanField',
            'isInactive' => 'SearchBooleanField',
            'isQuarter' => 'SearchBooleanField',
            'isYear' => 'SearchBooleanField',
            'parent' => 'SearchMultiSelectField',
            'payrollLocked' => 'SearchBooleanField',
            'periodName' => 'SearchStringField',
            'startDate' => 'SearchDateField',
        },
    
        AccountingPeriodSearchRowBasic => {
            'allLocked' => 'SearchColumnBooleanField',
            'allowNonGLChanges' => 'SearchColumnBooleanField',
            'apLocked' => 'SearchColumnBooleanField',
            'arLocked' => 'SearchColumnBooleanField',
            'closed' => 'SearchColumnBooleanField',
            'closedOnDate' => 'SearchColumnDateField',
            'endDate' => 'SearchColumnDateField',
            'internalId' => 'SearchColumnSelectField',
            'isAdjust' => 'SearchColumnBooleanField',
            'isInactive' => 'SearchColumnBooleanField',
            'isQuarter' => 'SearchColumnBooleanField',
            'isYear' => 'SearchColumnBooleanField',
            'parent' => 'SearchColumnSelectField',
            'payrollLocked' => 'SearchColumnBooleanField',
            'periodName' => 'SearchColumnStringField',
            'startDate' => 'SearchColumnDateField',
        },
    
        ContactCategorySearchBasic => {
            'externalId' => 'SearchMultiSelectField',
            'externalIdString' => 'SearchStringField',
            'internalId' => 'SearchMultiSelectField',
            'internalIdNumber' => 'SearchLongField',
            'isInactive' => 'SearchBooleanField',
            'name' => 'SearchStringField',
            'private' => 'SearchBooleanField',
            'sync' => 'SearchBooleanField',
        },
    
        ContactCategorySearchRowBasic => {
            'externalId' => 'SearchColumnSelectField',
            'internalId' => 'SearchColumnSelectField',
            'isInactive' => 'SearchColumnBooleanField',
            'name' => 'SearchColumnStringField',
            'private' => 'SearchColumnBooleanField',
            'sync' => 'SearchColumnBooleanField',
        },
    
        ContactRoleSearchBasic => {
            'description' => 'SearchStringField',
            'externalId' => 'SearchMultiSelectField',
            'externalIdString' => 'SearchStringField',
            'internalId' => 'SearchMultiSelectField',
            'internalIdNumber' => 'SearchLongField',
            'isInactive' => 'SearchBooleanField',
            'name' => 'SearchStringField',
        },
    
        ContactRoleSearchRowBasic => {
            'description' => 'SearchColumnStringField',
            'externalId' => 'SearchColumnSelectField',
            'internalId' => 'SearchColumnSelectField',
            'isInactive' => 'SearchColumnBooleanField',
            'name' => 'SearchColumnStringField',
        },
    
        CustomerCategorySearchBasic => {
            'externalId' => 'SearchMultiSelectField',
            'externalIdString' => 'SearchStringField',
            'internalId' => 'SearchMultiSelectField',
            'internalIdNumber' => 'SearchLongField',
            'isInactive' => 'SearchBooleanField',
            'name' => 'SearchStringField',
        },
    
        CustomerCategorySearchRowBasic => {
            'externalId' => 'SearchColumnSelectField',
            'internalId' => 'SearchColumnSelectField',
            'isInactive' => 'SearchColumnBooleanField',
            'name' => 'SearchColumnStringField',
        },
    
        CustomerStatusSearchBasic => {
            'description' => 'SearchStringField',
            'externalId' => 'SearchMultiSelectField',
            'externalIdString' => 'SearchStringField',
            'includeInLeadReports' => 'SearchBooleanField',
            'internalId' => 'SearchMultiSelectField',
            'internalIdNumber' => 'SearchLongField',
            'isInactive' => 'SearchBooleanField',
            'name' => 'SearchStringField',
            'probability' => 'SearchDoubleField',
        },
    
        CustomerStatusSearchRowBasic => {
            'description' => 'SearchColumnStringField',
            'externalId' => 'SearchColumnSelectField',
            'includeInLeadReports' => 'SearchColumnBooleanField',
            'internalId' => 'SearchColumnSelectField',
            'isInactive' => 'SearchColumnBooleanField',
            'name' => 'SearchColumnStringField',
            'probability' => 'SearchColumnStringField',
        },
    
        ExpenseCategorySearchBasic => {
            'account' => 'SearchMultiSelectField',
            'description' => 'SearchStringField',
            'externalId' => 'SearchMultiSelectField',
            'externalIdString' => 'SearchStringField',
            'internalId' => 'SearchMultiSelectField',
            'internalIdNumber' => 'SearchLongField',
            'isInactive' => 'SearchBooleanField',
            'name' => 'SearchStringField',
            'rateRequired' => 'SearchBooleanField',
            'customFieldList' => 'SearchCustomFieldList',
        },
    
        ExpenseCategorySearchRowBasic => {
            'account' => 'SearchColumnSelectField',
            'description' => 'SearchColumnStringField',
            'externalId' => 'SearchColumnSelectField',
            'internalId' => 'SearchColumnSelectField',
            'isInactive' => 'SearchColumnBooleanField',
            'name' => 'SearchColumnStringField',
            'rateRequired' => 'SearchColumnBooleanField',
            'customFieldList' => 'SearchColumnCustomFieldList',
        },
    
        JobStatusSearchBasic => {
            'description' => 'SearchStringField',
            'externalId' => 'SearchMultiSelectField',
            'externalIdString' => 'SearchStringField',
            'internalId' => 'SearchMultiSelectField',
            'internalIdNumber' => 'SearchLongField',
            'isInactive' => 'SearchBooleanField',
            'name' => 'SearchStringField',
        },
    
        JobStatusSearchRowBasic => {
            'description' => 'SearchColumnStringField',
            'externalId' => 'SearchColumnSelectField',
            'internalId' => 'SearchColumnSelectField',
            'isInactive' => 'SearchColumnBooleanField',
            'name' => 'SearchColumnStringField',
        },
    
        JobTypeSearchBasic => {
            'externalId' => 'SearchMultiSelectField',
            'externalIdString' => 'SearchStringField',
            'internalId' => 'SearchMultiSelectField',
            'internalIdNumber' => 'SearchLongField',
            'isInactive' => 'SearchBooleanField',
            'name' => 'SearchStringField',
            'parent' => 'SearchMultiSelectField',
        },
    
        JobTypeSearchRowBasic => {
            'externalId' => 'SearchColumnSelectField',
            'internalId' => 'SearchColumnSelectField',
            'isInactive' => 'SearchColumnBooleanField',
            'name' => 'SearchColumnStringField',
            'parent' => 'SearchColumnSelectField',
        },
    
        NoteTypeSearchBasic => {
            'description' => 'SearchStringField',
            'externalId' => 'SearchMultiSelectField',
            'externalIdString' => 'SearchStringField',
            'internalId' => 'SearchMultiSelectField',
            'internalIdNumber' => 'SearchLongField',
            'isInactive' => 'SearchBooleanField',
            'name' => 'SearchStringField',
        },
    
        NoteTypeSearchRowBasic => {
            'description' => 'SearchColumnStringField',
            'externalId' => 'SearchColumnSelectField',
            'internalId' => 'SearchColumnSelectField',
            'isInactive' => 'SearchColumnBooleanField',
            'name' => 'SearchColumnStringField',
        },
    
        PartnerCategorySearchBasic => {
            'externalId' => 'SearchMultiSelectField',
            'externalIdString' => 'SearchStringField',
            'internalId' => 'SearchMultiSelectField',
            'internalIdNumber' => 'SearchLongField',
            'isInactive' => 'SearchBooleanField',
            'name' => 'SearchStringField',
            'parent' => 'SearchMultiSelectField',
        },
    
        PartnerCategorySearchRowBasic => {
            'externalId' => 'SearchColumnSelectField',
            'internalId' => 'SearchColumnSelectField',
            'isInactive' => 'SearchColumnBooleanField',
            'name' => 'SearchColumnStringField',
            'parent' => 'SearchColumnSelectField',
        },
    
        PaymentMethodSearchBasic => {
            'account' => 'SearchMultiSelectField',
            'creditCard' => 'SearchBooleanField',
            'externalId' => 'SearchMultiSelectField',
            'externalIdString' => 'SearchStringField',
            'internalId' => 'SearchMultiSelectField',
            'internalIdNumber' => 'SearchLongField',
            'isDebitCard' => 'SearchBooleanField',
            'isInactive' => 'SearchBooleanField',
            'name' => 'SearchStringField',
        },
    
        PaymentMethodSearchRowBasic => {
            'account' => 'SearchColumnSelectField',
            'creditCard' => 'SearchColumnBooleanField',
            'externalId' => 'SearchColumnSelectField',
            'internalId' => 'SearchColumnSelectField',
            'isDebitCard' => 'SearchColumnBooleanField',
            'isInactive' => 'SearchColumnBooleanField',
            'name' => 'SearchColumnStringField',
        },
    
        PriceLevelSearchBasic => {
            'discountPct' => 'SearchDoubleField',
            'externalId' => 'SearchMultiSelectField',
            'externalIdString' => 'SearchStringField',
            'internalId' => 'SearchMultiSelectField',
            'internalIdNumber' => 'SearchLongField',
            'isInactive' => 'SearchBooleanField',
            'isOnline' => 'SearchBooleanField',
            'name' => 'SearchStringField',
        },
    
        PriceLevelSearchRowBasic => {
            'discountPct' => 'SearchColumnDoubleField',
            'externalId' => 'SearchColumnSelectField',
            'internalId' => 'SearchColumnSelectField',
            'isInactive' => 'SearchColumnBooleanField',
            'isOnline' => 'SearchColumnBooleanField',
            'name' => 'SearchColumnStringField',
        },
    
        SalesRoleSearchBasic => {
            'description' => 'SearchStringField',
            'externalId' => 'SearchMultiSelectField',
            'externalIdString' => 'SearchStringField',
            'internalId' => 'SearchMultiSelectField',
            'internalIdNumber' => 'SearchLongField',
            'isInactive' => 'SearchBooleanField',
            'name' => 'SearchStringField',
        },
    
        SalesRoleSearchRowBasic => {
            'description' => 'SearchColumnStringField',
            'externalId' => 'SearchColumnSelectField',
            'internalId' => 'SearchColumnSelectField',
            'isInactive' => 'SearchColumnBooleanField',
            'name' => 'SearchColumnStringField',
        },
    
        TermSearchBasic => {
            'dateDriven' => 'SearchBooleanField',
            'dayDiscountExpires' => 'SearchLongField',
            'dayOfMonthNetDue' => 'SearchLongField',
            'daysUntilExpiry' => 'SearchLongField',
            'daysUntilNetDue' => 'SearchLongField',
            'discountPercent' => 'SearchDoubleField',
            'discountPercentDateDriven' => 'SearchDoubleField',
            'dueNextMonthIfWithinDays' => 'SearchLongField',
            'externalId' => 'SearchMultiSelectField',
            'externalIdString' => 'SearchStringField',
            'internalId' => 'SearchMultiSelectField',
            'internalIdNumber' => 'SearchLongField',
            'isInactive' => 'SearchBooleanField',
            'name' => 'SearchStringField',
            'preferred' => 'SearchBooleanField',
        },
    
        TermSearchRowBasic => {
            'dateDriven' => 'SearchColumnBooleanField',
            'dayDiscountExpires' => 'SearchColumnLongField',
            'dayOfMonthNetDue' => 'SearchColumnLongField',
            'daysUntilExpiry' => 'SearchColumnLongField',
            'daysUntilNetDue' => 'SearchColumnLongField',
            'discountPercent' => 'SearchColumnDoubleField',
            'discountPercentDateDriven' => 'SearchColumnDoubleField',
            'dueNextMonthIfWithinDays' => 'SearchColumnLongField',
            'externalId' => 'SearchColumnSelectField',
            'internalId' => 'SearchColumnSelectField',
            'isInactive' => 'SearchColumnBooleanField',
            'name' => 'SearchColumnStringField',
            'preferred' => 'SearchColumnBooleanField',
        },
    
        VendorCategorySearchBasic => {
            'externalId' => 'SearchMultiSelectField',
            'externalIdString' => 'SearchStringField',
            'internalId' => 'SearchMultiSelectField',
            'internalIdNumber' => 'SearchLongField',
            'isInactive' => 'SearchBooleanField',
            'isTaxAgency' => 'SearchBooleanField',
            'name' => 'SearchStringField',
        },
    
        VendorCategorySearchRowBasic => {
            'externalId' => 'SearchColumnSelectField',
            'internalId' => 'SearchColumnSelectField',
            'isInactive' => 'SearchColumnBooleanField',
            'isTaxAgency' => 'SearchColumnBooleanField',
            'name' => 'SearchColumnStringField',
        },
    
        WinLossReasonSearchBasic => {
            'externalId' => 'SearchMultiSelectField',
            'externalIdString' => 'SearchStringField',
            'internalId' => 'SearchMultiSelectField',
            'internalIdNumber' => 'SearchLongField',
            'isInactive' => 'SearchBooleanField',
            'name' => 'SearchStringField',
        },
    
        WinLossReasonSearchRowBasic => {
            'externalId' => 'SearchColumnSelectField',
            'internalId' => 'SearchColumnSelectField',
            'isInactive' => 'SearchColumnBooleanField',
            'name' => 'SearchColumnStringField',
        },
    
        OriginatingLeadSearchBasic => {
            'accountNumber' => 'SearchStringField',
            'availableOffline' => 'SearchBooleanField',
            'balance' => 'SearchDoubleField',
            'boughtAmount' => 'SearchDoubleField',
            'boughtDate' => 'SearchDateField',
            'buyingReason' => 'SearchMultiSelectField',
            'buyingTimeFrame' => 'SearchMultiSelectField',
            'category' => 'SearchMultiSelectField',
            'ccCustomerCode' => 'SearchStringField',
            'ccDefault' => 'SearchBooleanField',
            'ccExpDate' => 'SearchDateField',
            'ccHolderName' => 'SearchStringField',
            'ccNumber' => 'SearchStringField',
            'ccType' => 'SearchMultiSelectField',
            'classBought' => 'SearchMultiSelectField',
            'companyName' => 'SearchStringField',
            'contact' => 'SearchStringField',
            'contribution' => 'SearchLongField',
            'conversionDate' => 'SearchDateField',
            'creditHoldOverride' => 'SearchBooleanField',
            'creditLimit' => 'SearchDoubleField',
            'currency' => 'SearchMultiSelectField',
            'custStage' => 'SearchMultiSelectField',
            'custStatus' => 'SearchMultiSelectField',
            'dateClosed' => 'SearchDateField',
            'daysOverdue' => 'SearchLongField',
            'depositBalance' => 'SearchDoubleField',
            'deptBought' => 'SearchMultiSelectField',
            'emailTransactions' => 'SearchBooleanField',
            'endDate' => 'SearchDateField',
            'entityStatus' => 'SearchMultiSelectField',
            'estimatedBudget' => 'SearchDoubleField',
            'explicitConversion' => 'SearchBooleanField',
            'faxTransactions' => 'SearchBooleanField',
            'firstName' => 'SearchStringField',
            'firstOrderDate' => 'SearchDateField',
            'firstSaleDate' => 'SearchDateField',
            'group' => 'SearchMultiSelectField',
            'groupPricingLevel' => 'SearchMultiSelectField',
            'hasDuplicates' => 'SearchBooleanField',
            'isBudgetApproved' => 'SearchBooleanField',
            'isPerson' => 'SearchBooleanField',
            'isReportedLead' => 'SearchBooleanField',
            'isShipAddress' => 'SearchBooleanField',
            'itemPricingLevel' => 'SearchMultiSelectField',
            'itemPricingUnitPrice' => 'SearchDoubleField',
            'itemsBought' => 'SearchMultiSelectField',
            'itemsOrdered' => 'SearchMultiSelectField',
            'lastName' => 'SearchStringField',
            'leadDate' => 'SearchDateField',
            'leadSource' => 'SearchMultiSelectField',
            'locationBought' => 'SearchMultiSelectField',
            'manualCreditHold' => 'SearchBooleanField',
            'merchantAccount' => 'SearchMultiSelectField',
            'middleName' => 'SearchStringField',
            'onCreditHold' => 'SearchBooleanField',
            'orderedAmount' => 'SearchDoubleField',
            'orderedDate' => 'SearchDateField',
            'otherRelationships' => 'SearchEnumMultiSelectField',
            'overdueBalance' => 'SearchDoubleField',
            'parent' => 'SearchMultiSelectField',
            'parentItemsBought' => 'SearchMultiSelectField',
            'parentItemsOrdered' => 'SearchMultiSelectField',
            'partner' => 'SearchMultiSelectField',
            'partnerContribution' => 'SearchLongField',
            'partnerRole' => 'SearchMultiSelectField',
            'partnerTeamMember' => 'SearchMultiSelectField',
            'pec' => 'SearchStringField',
            'priceLevel' => 'SearchMultiSelectField',
            'pricingGroup' => 'SearchMultiSelectField',
            'pricingItem' => 'SearchMultiSelectField',
            'printTransactions' => 'SearchBooleanField',
            'prospectDate' => 'SearchDateField',
            'pstExempt' => 'SearchBooleanField',
            'reminderDate' => 'SearchDateField',
            'resaleNumber' => 'SearchStringField',
            'role' => 'SearchMultiSelectField',
            'salesReadiness' => 'SearchMultiSelectField',
            'salesRep' => 'SearchMultiSelectField',
            'salesTeamMember' => 'SearchMultiSelectField',
            'salesTeamRole' => 'SearchMultiSelectField',
            'salutation' => 'SearchStringField',
            'shipComplete' => 'SearchBooleanField',
            'shippingItem' => 'SearchMultiSelectField',
            'stage' => 'SearchMultiSelectField',
            'startDate' => 'SearchDateField',
            'subsidBought' => 'SearchMultiSelectField',
            'taxable' => 'SearchBooleanField',
            'terms' => 'SearchMultiSelectField',
            'territory' => 'SearchMultiSelectField',
            'title' => 'SearchStringField',
            'unbilledOrders' => 'SearchDoubleField',
            'url' => 'SearchStringField',
            'vatRegNumber' => 'SearchStringField',
            'webLead' => 'SearchBooleanField',
            'customFieldList' => 'SearchCustomFieldList',
        },
    
        OriginatingLeadSearchRowBasic => {
            'accountNumber' => 'SearchColumnStringField',
            'altContact' => 'SearchColumnStringField',
            'availableOffline' => 'SearchColumnBooleanField',
            'balance' => 'SearchColumnDoubleField',
            'billAddress' => 'SearchColumnStringField',
            'buyingReason' => 'SearchColumnStringField',
            'buyingTimeFrame' => 'SearchColumnStringField',
            'category' => 'SearchColumnSelectField',
            'ccCustomerCode' => 'SearchColumnStringField',
            'ccDefault' => 'SearchColumnBooleanField',
            'ccExpDate' => 'SearchColumnDateField',
            'ccHolderName' => 'SearchColumnStringField',
            'ccNumber' => 'SearchColumnStringField',
            'ccType' => 'SearchColumnSelectField',
            'companyName' => 'SearchColumnStringField',
            'contact' => 'SearchColumnStringField',
            'contribution' => 'SearchColumnDoubleField',
            'contributionPrimary' => 'SearchColumnDoubleField',
            'conversionDate' => 'SearchColumnDateField',
            'creditHoldOverride' => 'SearchColumnBooleanField',
            'creditLimit' => 'SearchColumnDoubleField',
            'currency' => 'SearchColumnSelectField',
            'dateClosed' => 'SearchColumnDateField',
            'daysOverdue' => 'SearchColumnLongField',
            'depositBalance' => 'SearchColumnDoubleField',
            'emailTransactions' => 'SearchColumnBooleanField',
            'endDate' => 'SearchColumnDateField',
            'entityStatus' => 'SearchColumnSelectField',
            'estimatedBudget' => 'SearchColumnDoubleField',
            'explicitConversion' => 'SearchColumnBooleanField',
            'faxTransactions' => 'SearchColumnBooleanField',
            'firstName' => 'SearchColumnStringField',
            'firstOrderDate' => 'SearchColumnDateField',
            'firstSaleDate' => 'SearchColumnDateField',
            'giveAccess' => 'SearchColumnBooleanField',
            'groupPricingLevel' => 'SearchColumnStringField',
            'hasDuplicates' => 'SearchColumnBooleanField',
            'homePhone' => 'SearchColumnStringField',
            'isBudgetApproved' => 'SearchColumnBooleanField',
            'isPerson' => 'SearchColumnBooleanField',
            'isShipAddress' => 'SearchColumnBooleanField',
            'itemPricingLevel' => 'SearchColumnStringField',
            'itemPricingUnitPrice' => 'SearchColumnDoubleField',
            'jobEndDate' => 'SearchColumnDateField',
            'jobProjectedEnd' => 'SearchColumnDateField',
            'jobStartDate' => 'SearchColumnDateField',
            'jobType' => 'SearchColumnSelectField',
            'lastName' => 'SearchColumnStringField',
            'leadDate' => 'SearchColumnDateField',
            'leadSource' => 'SearchColumnSelectField',
            'manualCreditHold' => 'SearchColumnBooleanField',
            'middleName' => 'SearchColumnStringField',
            'mobilePhone' => 'SearchColumnStringField',
            'onCreditHold' => 'SearchColumnBooleanField',
            'overdueBalance' => 'SearchColumnDoubleField',
            'parent' => 'SearchColumnSelectField',
            'partner' => 'SearchColumnSelectField',
            'partnerContribution' => 'SearchColumnDoubleField',
            'partnerRole' => 'SearchColumnStringField',
            'partnerTeamMember' => 'SearchColumnSelectField',
            'pec' => 'SearchColumnStringField',
            'prefCCProcessor' => 'SearchColumnSelectField',
            'priceLevel' => 'SearchColumnSelectField',
            'pricingGroup' => 'SearchColumnStringField',
            'pricingItem' => 'SearchColumnStringField',
            'printTransactions' => 'SearchColumnBooleanField',
            'prospectDate' => 'SearchColumnDateField',
            'reminderDays' => 'SearchColumnLongField',
            'resaleNumber' => 'SearchColumnStringField',
            'role' => 'SearchColumnStringField',
            'salesReadiness' => 'SearchColumnStringField',
            'salesRep' => 'SearchColumnSelectField',
            'salesTeamMember' => 'SearchColumnSelectField',
            'salesTeamRole' => 'SearchColumnSelectField',
            'salutation' => 'SearchColumnStringField',
            'shipAddress' => 'SearchColumnStringField',
            'shipComplete' => 'SearchColumnBooleanField',
            'shippingItem' => 'SearchColumnSelectField',
            'stage' => 'SearchColumnStringField',
            'startDate' => 'SearchColumnDateField',
            'taxable' => 'SearchColumnBooleanField',
            'taxItem' => 'SearchColumnSelectField',
            'terms' => 'SearchColumnSelectField',
            'territory' => 'SearchColumnSelectField',
            'title' => 'SearchColumnStringField',
            'unbilledOrders' => 'SearchColumnDoubleField',
            'url' => 'SearchColumnStringField',
            'vatRegNumber' => 'SearchColumnStringField',
            'webLead' => 'SearchColumnBooleanField',
            'customFieldList' => 'SearchColumnCustomFieldList',
        },
    
        UnitsTypeSearchBasic => {
            'abbreviation' => 'SearchStringField',
            'baseUnit' => 'SearchBooleanField',
            'conversionRate' => 'SearchStringField',
            'externalId' => 'SearchMultiSelectField',
            'externalIdString' => 'SearchStringField',
            'internalId' => 'SearchMultiSelectField',
            'internalIdNumber' => 'SearchLongField',
            'isInActive' => 'SearchBooleanField',
            'name' => 'SearchStringField',
            'pluralAbbreviation' => 'SearchStringField',
            'pluralName' => 'SearchStringField',
            'unitName' => 'SearchStringField',
        },
    
        UnitsTypeSearchRowBasic => {
            'abbreviation' => 'SearchColumnStringField',
            'baseUnit' => 'SearchColumnBooleanField',
            'conversionRate' => 'SearchColumnStringField',
            'externalId' => 'SearchColumnStringField',
            'internalId' => 'SearchColumnSelectField',
            'isInActive' => 'SearchColumnBooleanField',
            'name' => 'SearchColumnStringField',
            'pluralAbbreviation' => 'SearchColumnStringField',
            'pluralName' => 'SearchColumnStringField',
            'unitName' => 'SearchColumnStringField',
        },
    
        CustomListSearchBasic => {
            'description' => 'SearchStringField',
            'internalId' => 'SearchMultiSelectField',
            'internalIdNumber' => 'SearchLongField',
            'isInactive' => 'SearchBooleanField',
            'isOrdered' => 'SearchBooleanField',
            'name' => 'SearchStringField',
            'owner' => 'SearchMultiSelectField',
            'scriptId' => 'SearchStringField',
        },
    
        CustomListSearchRowBasic => {
            'description' => 'SearchColumnStringField',
            'internalId' => 'SearchColumnSelectField',
            'isInactive' => 'SearchColumnBooleanField',
            'isOrdered' => 'SearchColumnBooleanField',
            'name' => 'SearchColumnStringField',
            'owner' => 'SearchColumnSelectField',
            'scriptId' => 'SearchColumnStringField',
        },
    
        PricingGroupSearchBasic => {
            'externalId' => 'SearchMultiSelectField',
            'externalIdString' => 'SearchStringField',
            'internalId' => 'SearchMultiSelectField',
            'internalIdNumber' => 'SearchLongField',
            'isInactive' => 'SearchBooleanField',
            'name' => 'SearchStringField',
        },
    
        PricingGroupSearchRowBasic => {
            'externalId' => 'SearchColumnSelectField',
            'internalId' => 'SearchColumnSelectField',
            'isInactive' => 'SearchColumnBooleanField',
            'name' => 'SearchColumnStringField',
        },
    
        InventoryNumberSearchBasic => {
            'expirationDate' => 'SearchDateField',
            'externalId' => 'SearchMultiSelectField',
            'externalIdString' => 'SearchStringField',
            'internalId' => 'SearchMultiSelectField',
            'internalIdNumber' => 'SearchLongField',
            'inventoryNumber' => 'SearchStringField',
            'isOnHand' => 'SearchBooleanField',
            'item' => 'SearchMultiSelectField',
            'location' => 'SearchMultiSelectField',
            'memo' => 'SearchStringField',
            'quantityAvailable' => 'SearchDoubleField',
            'quantityInTransit' => 'SearchDoubleField',
            'quantityOnHand' => 'SearchDoubleField',
            'quantityOnOrder' => 'SearchDoubleField',
            'customFieldList' => 'SearchCustomFieldList',
        },
    
        InventoryNumberSearchRowBasic => {
            'expirationDate' => 'SearchColumnDateField',
            'externalId' => 'SearchColumnStringField',
            'internalId' => 'SearchColumnSelectField',
            'inventoryNumber' => 'SearchColumnStringField',
            'isonhand' => 'SearchColumnBooleanField',
            'item' => 'SearchColumnSelectField',
            'location' => 'SearchColumnSelectField',
            'memo' => 'SearchColumnStringField',
            'quantityavailable' => 'SearchColumnDoubleField',
            'quantityintransit' => 'SearchColumnDoubleField',
            'quantityonhand' => 'SearchColumnDoubleField',
            'quantityonorder' => 'SearchColumnDoubleField',
            'customFieldList' => 'SearchColumnCustomFieldList',
        },
    
        InventoryNumberBinSearchBasic => {
            'binNumber' => 'SearchMultiSelectField',
            'inventoryNumber' => 'SearchStringField',
            'location' => 'SearchMultiSelectField',
            'quantityAvailable' => 'SearchDoubleField',
            'quantityOnHand' => 'SearchDoubleField',
        },
    
        InventoryNumberBinSearchRowBasic => {
            'binNumber' => 'SearchColumnSelectField',
            'inventoryNumber' => 'SearchColumnStringField',
            'location' => 'SearchColumnSelectField',
            'quantityAvailable' => 'SearchColumnDoubleField',
            'quantityOnHand' => 'SearchColumnDoubleField',
        },
    
        ItemBinNumberSearchBasic => {
            'binNumber' => 'SearchMultiSelectField',
            'location' => 'SearchMultiSelectField',
            'quantityAvailable' => 'SearchDoubleField',
            'quantityOnHand' => 'SearchDoubleField',
        },
    
        ItemBinNumberSearchRowBasic => {
            'binNumber' => 'SearchColumnSelectField',
            'location' => 'SearchColumnSelectField',
            'quantityAvailable' => 'SearchColumnDoubleField',
            'quantityOnHand' => 'SearchColumnDoubleField',
        },
    
        AppDefinitionSearchBasic => {
            'description' => 'SearchStringField',
            'externalId' => 'SearchMultiSelectField',
            'externalIdString' => 'SearchStringField',
            'internalId' => 'SearchMultiSelectField',
            'internalIdNumber' => 'SearchLongField',
            'name' => 'SearchStringField',
        },
    
        AppDefinitionSearchRowBasic => {
            'description' => 'SearchColumnStringField',
            'externalId' => 'SearchColumnStringField',
            'internalId' => 'SearchColumnSelectField',
            'name' => 'SearchColumnStringField',
        },
    
        AppPackageSearchBasic => {
            'appDefinition' => 'SearchMultiSelectField',
            'description' => 'SearchStringField',
            'externalId' => 'SearchMultiSelectField',
            'externalIdString' => 'SearchStringField',
            'internalId' => 'SearchMultiSelectField',
            'internalIdNumber' => 'SearchLongField',
            'version' => 'SearchStringField',
        },
    
        AppPackageSearchRowBasic => {
            'appDefinition' => 'SearchColumnSelectField',
            'bundle' => 'SearchColumnSelectField',
            'description' => 'SearchColumnStringField',
            'externalId' => 'SearchColumnStringField',
            'internalId' => 'SearchColumnSelectField',
            'packageFile' => 'SearchColumnSelectField',
            'version' => 'SearchColumnStringField',
        },
    
        NexusSearchBasic => {
            'country' => 'SearchEnumMultiSelectField',
            'description' => 'SearchStringField',
            'externalId' => 'SearchMultiSelectField',
            'externalIdString' => 'SearchStringField',
            'internalId' => 'SearchMultiSelectField',
            'internalIdNumber' => 'SearchLongField',
            'state' => 'SearchMultiSelectField',
        },
    
        NexusSearchRowBasic => {
            'country' => 'SearchColumnEnumSelectField',
            'description' => 'SearchColumnStringField',
            'externalId' => 'SearchColumnStringField',
            'internalId' => 'SearchColumnSelectField',
            'state' => 'SearchColumnSelectField',
        },
    
        OtherNameCategorySearchBasic => {
            'externalId' => 'SearchMultiSelectField',
            'externalIdString' => 'SearchStringField',
            'internalId' => 'SearchMultiSelectField',
            'internalIdNumber' => 'SearchLongField',
            'isInactive' => 'SearchBooleanField',
            'name' => 'SearchStringField',
        },
    
        OtherNameCategorySearchRowBasic => {
            'externalId' => 'SearchColumnStringField',
            'internalId' => 'SearchColumnSelectField',
            'isInactive' => 'SearchColumnBooleanField',
            'name' => 'SearchColumnStringField',
        },
    
        CustomerMessageSearchBasic => {
            'description' => 'SearchStringField',
            'externalId' => 'SearchMultiSelectField',
            'externalIdString' => 'SearchStringField',
            'internalId' => 'SearchMultiSelectField',
            'internalIdNumber' => 'SearchLongField',
            'isInactive' => 'SearchBooleanField',
            'name' => 'SearchStringField',
            'preferred' => 'SearchBooleanField',
        },
    
        CustomerMessageSearchRowBasic => {
            'description' => 'SearchColumnStringField',
            'externalId' => 'SearchColumnStringField',
            'internalId' => 'SearchColumnSelectField',
            'isInactive' => 'SearchColumnBooleanField',
            'name' => 'SearchColumnStringField',
            'preferred' => 'SearchColumnStringField',
        },
    
        ItemDemandPlanSearchBasic => {
            'alternateSourceItem' => 'SearchMultiSelectField',
            'analysisDuration' => 'SearchLongField',
            'demandDate' => 'SearchDateField',
            'externalId' => 'SearchMultiSelectField',
            'externalIdString' => 'SearchStringField',
            'internalId' => 'SearchMultiSelectField',
            'internalIdNumber' => 'SearchLongField',
            'item' => 'SearchMultiSelectField',
            'lastModifiedDate' => 'SearchDateField',
            'location' => 'SearchMultiSelectField',
            'memo' => 'SearchStringField',
            'projectionDuration' => 'SearchLongField',
            'projectionInterval' => 'SearchMultiSelectField',
            'projectionMethod' => 'SearchEnumMultiSelectField',
            'projectionStartDate' => 'SearchDateField',
            'quantity' => 'SearchDoubleField',
            'subsidiary' => 'SearchMultiSelectField',
            'units' => 'SearchMultiSelectField',
            'customFieldList' => 'SearchCustomFieldList',
        },
    
        ItemDemandPlanSearchRowBasic => {
            'alternateSourceItem' => 'SearchColumnSelectField',
            'analysisDuration' => 'SearchColumnLongField',
            'demandDate' => 'SearchColumnDateField',
            'externalId' => 'SearchColumnSelectField',
            'internalId' => 'SearchColumnSelectField',
            'item' => 'SearchColumnSelectField',
            'lastModifiedDate' => 'SearchColumnDateField',
            'location' => 'SearchColumnSelectField',
            'memo' => 'SearchColumnStringField',
            'projectionDuration' => 'SearchColumnLongField',
            'projectionInterval' => 'SearchColumnStringField',
            'projectionMethod' => 'SearchColumnStringField',
            'projectionStartDate' => 'SearchColumnDateField',
            'quantity' => 'SearchColumnDoubleField',
            'quantityUom' => 'SearchColumnDoubleField',
            'subsidiary' => 'SearchColumnSelectField',
            'units' => 'SearchColumnSelectField',
            'customFieldList' => 'SearchColumnCustomFieldList',
        },
    
        ItemSupplyPlanSearchBasic => {
            'externalId' => 'SearchMultiSelectField',
            'externalIdString' => 'SearchStringField',
            'internalId' => 'SearchMultiSelectField',
            'internalIdNumber' => 'SearchLongField',
            'item' => 'SearchMultiSelectField',
            'lastModifiedDate' => 'SearchDateField',
            'location' => 'SearchMultiSelectField',
            'memo' => 'SearchStringField',
            'orderCreated' => 'SearchBooleanField',
            'orderDate' => 'SearchDateField',
            'orderType' => 'SearchMultiSelectField',
            'quantity' => 'SearchDoubleField',
            'receiptDate' => 'SearchDateField',
            'subsidiary' => 'SearchMultiSelectField',
            'units' => 'SearchMultiSelectField',
            'customFieldList' => 'SearchCustomFieldList',
        },
    
        ItemSupplyPlanSearchRowBasic => {
            'externalId' => 'SearchColumnSelectField',
            'internalId' => 'SearchColumnSelectField',
            'item' => 'SearchColumnSelectField',
            'lastModifiedDate' => 'SearchColumnDateField',
            'location' => 'SearchColumnSelectField',
            'memo' => 'SearchColumnStringField',
            'orderCreated' => 'SearchColumnBooleanField',
            'orderDate' => 'SearchColumnDateField',
            'orderType' => 'SearchColumnSelectField',
            'quantity' => 'SearchColumnDoubleField',
            'quantityUom' => 'SearchColumnDoubleField',
            'receiptDate' => 'SearchColumnDateField',
            'subsidiary' => 'SearchColumnSelectField',
            'units' => 'SearchColumnSelectField',
            'customFieldList' => 'SearchColumnCustomFieldList',
        },
    
        CurrencyRateSearchBasic => {
            'baseCurrency' => 'SearchMultiSelectField',
            'effectiveDate' => 'SearchDateField',
            'exchangeRate' => 'SearchDoubleField',
            'internalId' => 'SearchMultiSelectField',
            'internalIdNumber' => 'SearchLongField',
            'transactionCurrency' => 'SearchMultiSelectField',
        },
    
        CurrencyRateSearchRowBasic => {
            'baseCurrency' => 'SearchColumnSelectField',
            'effectiveDate' => 'SearchColumnDateField',
            'exchangeRate' => 'SearchColumnDoubleField',
            'internalId' => 'SearchColumnSelectField',
            'transactionCurrency' => 'SearchColumnSelectField',
        },
    
        ItemRevisionSearchBasic => {
            'effectiveDate' => 'SearchDateField',
            'externalId' => 'SearchMultiSelectField',
            'externalIdString' => 'SearchStringField',
            'internalId' => 'SearchMultiSelectField',
            'internalIdNumber' => 'SearchLongField',
            'item' => 'SearchMultiSelectField',
            'name' => 'SearchStringField',
            'obsoleteDate' => 'SearchDateField',
        },
    
        ItemRevisionSearchRowBasic => {
            'effectiveDate' => 'SearchColumnDateField',
            'externalId' => 'SearchColumnStringField',
            'internalId' => 'SearchColumnSelectField',
            'isInactive' => 'SearchColumnBooleanField',
            'item' => 'SearchColumnSelectField',
            'memo' => 'SearchColumnStringField',
            'name' => 'SearchColumnStringField',
            'obsoleteDate' => 'SearchColumnDateField',
        },
    
        CouponCodeSearchBasic => {
            'code' => 'SearchStringField',
            'dateSent' => 'SearchDateField',
            'id' => 'SearchLongField',
            'internalId' => 'SearchMultiSelectField',
            'internalIdNumber' => 'SearchLongField',
            'promotion' => 'SearchMultiSelectField',
            'recipient' => 'SearchMultiSelectField',
            'useCount' => 'SearchLongField',
            'used' => 'SearchBooleanField',
        },
    
        CouponCodeSearchRowBasic => {
            'code' => 'SearchColumnStringField',
            'dateSent' => 'SearchColumnDateField',
            'id' => 'SearchColumnLongField',
            'internalId' => 'SearchColumnSelectField',
            'promotion' => 'SearchColumnStringField',
            'recipient' => 'SearchColumnStringField',
            'useCount' => 'SearchColumnLongField',
            'used' => 'SearchColumnBooleanField',
        },
    
        PayrollItemSearchBasic => {
            'externalId' => 'SearchMultiSelectField',
            'externalIdString' => 'SearchStringField',
            'internalId' => 'SearchMultiSelectField',
            'internalIdNumber' => 'SearchLongField',
            'expenseAccount' => 'SearchMultiSelectField',
            'itemTypeNoHierarchy' => 'SearchEnumMultiSelectField',
            'liabilityAccount' => 'SearchMultiSelectField',
            'name' => 'SearchStringField',
            'subsidiary' => 'SearchMultiSelectField',
            'vendor' => 'SearchMultiSelectField',
            'customFieldList' => 'SearchCustomFieldList',
        },
    
        PayrollItemSearchRowBasic => {
            'externalId' => 'SearchColumnStringField',
            'internalId' => 'SearchColumnSelectField',
            'expenseAccount' => 'SearchColumnStringField',
            'isInactive' => 'SearchColumnBooleanField',
            'itemTypeNoHierarchy' => 'SearchColumnStringField',
            'liabilityAccount' => 'SearchColumnStringField',
            'name' => 'SearchColumnStringField',
            'vendor' => 'SearchColumnStringField',
            'customFieldList' => 'SearchColumnCustomFieldList',
        },
    
        ManufacturingCostTemplateSearchBasic => {
            'externalId' => 'SearchMultiSelectField',
            'externalIdString' => 'SearchStringField',
            'internalId' => 'SearchMultiSelectField',
            'internalIdNumber' => 'SearchLongField',
            'isInactive' => 'SearchBooleanField',
            'item' => 'SearchMultiSelectField',
            'memo' => 'SearchStringField',
            'name' => 'SearchStringField',
            'subsidiary' => 'SearchMultiSelectField',
            'customFieldList' => 'SearchCustomFieldList',
        },
    
        ManufacturingCostTemplateSearchRowBasic => {
            'externalId' => 'SearchColumnStringField',
            'internalId' => 'SearchColumnSelectField',
            'isInactive' => 'SearchColumnBooleanField',
            'item' => 'SearchColumnSelectField',
            'memo' => 'SearchColumnStringField',
            'name' => 'SearchColumnStringField',
            'subsidiary' => 'SearchColumnSelectField',
            'customFieldList' => 'SearchColumnCustomFieldList',
        },
    
        ManufacturingRoutingSearchBasic => {
            'externalId' => 'SearchMultiSelectField',
            'externalIdString' => 'SearchStringField',
            'internalId' => 'SearchMultiSelectField',
            'internalIdNumber' => 'SearchLongField',
            'isDefault' => 'SearchBooleanField',
            'isInactive' => 'SearchBooleanField',
            'subsidiary' => 'SearchMultiSelectField',
            'item' => 'SearchMultiSelectField',
            'location' => 'SearchMultiSelectField',
            'manufacturingCostTemplate' => 'SearchMultiSelectField',
            'manufacturingWorkCenter' => 'SearchMultiSelectField',
            'memo' => 'SearchStringField',
            'name' => 'SearchStringField',
            'operationName' => 'SearchStringField',
            'operationYield' => 'SearchDoubleField',
            'runRate' => 'SearchDoubleField',
            'sequence' => 'SearchLongField',
            'setupTime' => 'SearchDoubleField',
            'customFieldList' => 'SearchCustomFieldList',
        },
    
        ManufacturingRoutingSearchRowBasic => {
            'externalId' => 'SearchColumnStringField',
            'internalId' => 'SearchColumnSelectField',
            'isDefault' => 'SearchColumnBooleanField',
            'isInactive' => 'SearchColumnBooleanField',
            'subsidiary' => 'SearchColumnSelectField',
            'item' => 'SearchColumnSelectField',
            'location' => 'SearchColumnSelectField',
            'manufacturingCostTemplate' => 'SearchColumnSelectField',
            'manufacturingWorkCenter' => 'SearchColumnSelectField',
            'memo' => 'SearchColumnStringField',
            'name' => 'SearchColumnStringField',
            'operationName' => 'SearchColumnStringField',
            'operationYield' => 'SearchColumnDoubleField',
            'runRate' => 'SearchColumnDoubleField',
            'sequence' => 'SearchColumnLongField',
            'setupTime' => 'SearchColumnDoubleField',
            'customFieldList' => 'SearchColumnCustomFieldList',
        },
    
        ManufacturingOperationTaskSearchBasic => {
            'actualRunTime' => 'SearchDoubleField',
            'actualSetupTime' => 'SearchDoubleField',
            'completedQuantity' => 'SearchDoubleField',
            'endDate' => 'SearchDateField',
            'estimatedWork' => 'SearchDoubleField',
            'externalId' => 'SearchMultiSelectField',
            'externalIdString' => 'SearchStringField',
            'id' => 'SearchLongField',
            'inputQuantity' => 'SearchDoubleField',
            'internalId' => 'SearchMultiSelectField',
            'internalIdNumber' => 'SearchLongField',
            'laborResources' => 'SearchLongField',
            'machineResources' => 'SearchLongField',
            'manufacturingCostTemplate' => 'SearchMultiSelectField',
            'manufacturingWorkCenter' => 'SearchMultiSelectField',
            'name' => 'SearchStringField',
            'order' => 'SearchDoubleField',
            'predecessor' => 'SearchMultiSelectField',
            'remainingQuantity' => 'SearchDoubleField',
            'runRate' => 'SearchDoubleField',
            'runTime' => 'SearchDoubleField',
            'sequence' => 'SearchLongField',
            'setupTime' => 'SearchDoubleField',
            'startDate' => 'SearchDateField',
            'status' => 'SearchMultiSelectField',
            'workOrder' => 'SearchMultiSelectField',
            'customFieldList' => 'SearchCustomFieldList',
        },
    
        ManufacturingOperationTaskSearchRowBasic => {
            'actualRunTime' => 'SearchColumnDoubleField',
            'actualSetupTime' => 'SearchColumnDoubleField',
            'completedQuantity' => 'SearchColumnDoubleField',
            'endDate' => 'SearchColumnDateField',
            'estimatedWork' => 'SearchColumnDoubleField',
            'externalId' => 'SearchColumnStringField',
            'id' => 'SearchColumnLongField',
            'inputQuantity' => 'SearchColumnDoubleField',
            'internalId' => 'SearchColumnSelectField',
            'laborResources' => 'SearchColumnLongField',
            'machineResources' => 'SearchColumnLongField',
            'message' => 'SearchColumnStringField',
            'manufacturingCostTemplate' => 'SearchColumnSelectField',
            'manufacturingWorkCenter' => 'SearchColumnSelectField',
            'name' => 'SearchColumnStringField',
            'order' => 'SearchColumnDoubleField',
            'predecessor' => 'SearchColumnSelectField',
            'predecessorLagDays' => 'SearchColumnDoubleField',
            'predecessorType' => 'SearchColumnStringField',
            'remainingQuantity' => 'SearchColumnDoubleField',
            'runRate' => 'SearchColumnDoubleField',
            'runTime' => 'SearchColumnDoubleField',
            'sequence' => 'SearchColumnLongField',
            'setupTime' => 'SearchColumnDoubleField',
            'startDate' => 'SearchColumnDateField',
            'status' => 'SearchColumnSelectField',
            'workOrder' => 'SearchColumnStringField',
            'customFieldList' => 'SearchColumnCustomFieldList',
        },
    
        ResourceAllocationSearchBasic => {
            'allocationType' => 'SearchMultiSelectField',
            'allocationUnit' => 'SearchEnumMultiSelectField',
            'customer' => 'SearchMultiSelectField',
            'endDate' => 'SearchDateField',
            'externalId' => 'SearchMultiSelectField',
            'externalIdString' => 'SearchStringField',
            'internalId' => 'SearchMultiSelectField',
            'internalIdNumber' => 'SearchLongField',
            'notes' => 'SearchStringField',
            'numberHours' => 'SearchDoubleField',
            'percentOfTime' => 'SearchDoubleField',
            'project' => 'SearchMultiSelectField',
            'requestedBy' => 'SearchMultiSelectField',
            'resource' => 'SearchMultiSelectField',
            'startDate' => 'SearchDateField',
            'customFieldList' => 'SearchCustomFieldList',
        },
    
        ResourceAllocationSearchRowBasic => {
            'allocationType' => 'SearchColumnSelectField',
            'allocationUnit' => 'SearchColumnEnumSelectField',
            'customer' => 'SearchColumnSelectField',
            'endDate' => 'SearchColumnDateField',
            'externalId' => 'SearchColumnStringField',
            'internalId' => 'SearchColumnSelectField',
            'notes' => 'SearchColumnStringField',
            'numberHours' => 'SearchColumnDoubleField',
            'percentOfTime' => 'SearchColumnDoubleField',
            'project' => 'SearchColumnSelectField',
            'requestedBy' => 'SearchColumnSelectField',
            'resource' => 'SearchColumnSelectField',
            'startDate' => 'SearchColumnDateField',
            'customFieldList' => 'SearchColumnCustomFieldList',
        },
    
        CustomSearchJoin => {
        },
    
        CustomSearchRowBasic => {
        },
    
        ChargeSearchBasic => {
            'amount' => 'SearchDoubleField',
            'billingItem' => 'SearchMultiSelectField',
            'billTo' => 'SearchMultiSelectField',
            'chargeDate' => 'SearchDateField',
            'chargeType' => 'SearchEnumMultiSelectField',
            'createdDate' => 'SearchDateField',
            'currency' => 'SearchMultiSelectField',
            'externalId' => 'SearchMultiSelectField',
            'externalIdString' => 'SearchStringField',
            'internalId' => 'SearchMultiSelectField',
            'internalIdNumber' => 'SearchLongField',
            'modifiedDate' => 'SearchDateField',
            'postingPeriod' => 'RecordRef',
            'postingPeriodRelative' => 'PostingPeriodDate',
            'quantity' => 'SearchDoubleField',
            'rate' => 'SearchDoubleField',
            'rule' => 'SearchMultiSelectField',
            'runId' => 'SearchStringField',
            'salesOrder' => 'SearchLongField',
            'stage' => 'SearchEnumMultiSelectField',
            'use' => 'SearchEnumMultiSelectField',
            'customFieldList' => 'SearchCustomFieldList',
        },
    
        ChargeSearchRowBasic => {
            'amount' => 'SearchColumnDoubleField',
            'billingItem' => 'SearchColumnSelectField',
            'billTo' => 'SearchColumnSelectField',
            'chargeDate' => 'SearchColumnDateField',
            'chargeType' => 'SearchColumnEnumSelectField',
            'createdDate' => 'SearchColumnDateField',
            'currency' => 'SearchColumnSelectField',
            'externalId' => 'SearchColumnStringField',
            'internalId' => 'SearchColumnSelectField',
            'modifiedDate' => 'SearchColumnDateField',
            'postingPeriod' => 'SearchColumnStringField',
            'quantity' => 'SearchColumnStringField',
            'rate' => 'SearchColumnStringField',
            'rule' => 'SearchColumnSelectField',
            'runId' => 'SearchColumnStringField',
            'salesOrder' => 'SearchColumnStringField',
            'stage' => 'SearchColumnEnumSelectField',
            'use' => 'SearchColumnEnumSelectField',
            'customFieldList' => 'SearchColumnCustomFieldList',
        },
    
    };

}

sub RecordTypes {

    return {
    
        CalendarEventSearch => {
            'basic' => 'CalendarEventSearchBasic',
            'attendeeJoin' => 'EntitySearchBasic',
            'attendeeContactJoin' => 'ContactSearchBasic',
            'attendeeCustomerJoin' => 'CustomerSearchBasic',
            'caseJoin' => 'SupportCaseSearchBasic',
            'fileJoin' => 'FileSearchBasic',
            'opportunityJoin' => 'OpportunitySearchBasic',
            'originatingLeadJoin' => 'OriginatingLeadSearchBasic',
            'transactionJoin' => 'TransactionSearchBasic',
            'userJoin' => 'EmployeeSearchBasic',
            'userNotesJoin' => 'NoteSearchBasic',
            'customSearchJoin' => 'CustomSearchJoin',
        },
    
        TaskSearch => {
            'basic' => 'TaskSearchBasic',
            'caseJoin' => 'SupportCaseSearchBasic',
            'companyCustomerJoin' => 'CustomerSearchBasic',
            'contactJoin' => 'ContactSearchBasic',
            'employeeJoin' => 'EmployeeSearchBasic',
            'fileJoin' => 'FileSearchBasic',
            'jobJoin' => 'JobSearchBasic',
            'opportunityJoin' => 'OpportunitySearchBasic',
            'originatingLeadJoin' => 'OriginatingLeadSearchBasic',
            'timeJoin' => 'TimeBillSearchBasic',
            'transactionJoin' => 'TransactionSearchBasic',
            'userJoin' => 'EmployeeSearchBasic',
            'userNotesJoin' => 'NoteSearchBasic',
            'customSearchJoin' => 'CustomSearchJoin',
        },
    
        PhoneCallSearch => {
            'basic' => 'PhoneCallSearchBasic',
            'caseJoin' => 'SupportCaseSearchBasic',
            'companyCustomerJoin' => 'CustomerSearchBasic',
            'contactJoin' => 'ContactSearchBasic',
            'employeeJoin' => 'EmployeeSearchBasic',
            'fileJoin' => 'FileSearchBasic',
            'opportunityJoin' => 'OpportunitySearchBasic',
            'originatingLeadJoin' => 'OriginatingLeadSearchBasic',
            'participantJoin' => 'EntitySearchBasic',
            'transactionJoin' => 'TransactionSearchBasic',
            'userJoin' => 'EmployeeSearchBasic',
            'userNotesJoin' => 'NoteSearchBasic',
            'customSearchJoin' => 'CustomSearchJoin',
        },
    
        ProjectTaskSearch => {
            'basic' => 'ProjectTaskSearchBasic',
            'jobJoin' => 'JobSearchBasic',
            'predecessorJoin' => 'ProjectTaskSearchBasic',
            'projectTaskAssignmentJoin' => 'ProjectTaskAssignmentSearchBasic',
            'successorJoin' => 'ProjectTaskSearchBasic',
            'timeJoin' => 'TimeBillSearchBasic',
            'userJoin' => 'EmployeeSearchBasic',
            'userNotesJoin' => 'NoteSearchBasic',
            'customSearchJoin' => 'CustomSearchJoin',
        },
    
        ResourceAllocationSearch => {
            'basic' => 'ResourceAllocationSearchBasic',
            'customerJoin' => 'CustomerSearchBasic',
            'employeeJoin' => 'EmployeeSearchBasic',
            'jobJoin' => 'JobSearchBasic',
            'requestedByJoin' => 'EntitySearchBasic',
            'resourceJoin' => 'EntitySearchBasic',
            'userJoin' => 'EmployeeSearchBasic',
            'vendorJoin' => 'VendorSearchBasic',
            'customSearchJoin' => 'CustomSearchJoin',
        },
    
        NoteSearch => {
            'basic' => 'NoteSearchBasic',
            'authorJoin' => 'EmployeeSearchBasic',
            'callJoin' => 'PhoneCallSearchBasic',
            'campaignJoin' => 'CampaignSearchBasic',
            'caseJoin' => 'SupportCaseSearchBasic',
            'contactJoin' => 'ContactSearchBasic',
            'customerJoin' => 'CustomerSearchBasic',
            'employeeJoin' => 'EmployeeSearchBasic',
            'entityJoin' => 'EntitySearchBasic',
            'eventJoin' => 'CalendarEventSearchBasic',
            'issueJoin' => 'IssueSearchBasic',
            'itemJoin' => 'ItemSearchBasic',
            'opportunityJoin' => 'OpportunitySearchBasic',
            'originatingLeadJoin' => 'OriginatingLeadSearchBasic',
            'partnerJoin' => 'PartnerSearchBasic',
            'solutionJoin' => 'SolutionSearchBasic',
            'taskJoin' => 'TaskSearchBasic',
            'transactionJoin' => 'TransactionSearchBasic',
            'userJoin' => 'EmployeeSearchBasic',
            'vendorJoin' => 'VendorSearchBasic',
        },
    
        MessageSearch => {
            'basic' => 'MessageSearchBasic',
            'attachmentsJoin' => 'FileSearchBasic',
            'authorJoin' => 'EntitySearchBasic',
            'campaignJoin' => 'CampaignSearchBasic',
            'caseJoin' => 'SupportCaseSearchBasic',
            'contactJoin' => 'ContactSearchBasic',
            'customerJoin' => 'CustomerSearchBasic',
            'employeeJoin' => 'EmployeeSearchBasic',
            'entityJoin' => 'EntitySearchBasic',
            'opportunityJoin' => 'OpportunitySearchBasic',
            'originatingLeadJoin' => 'OriginatingLeadSearchBasic',
            'partnerJoin' => 'PartnerSearchBasic',
            'recipientJoin' => 'EntitySearchBasic',
            'transactionJoin' => 'TransactionSearchBasic',
            'userJoin' => 'EmployeeSearchBasic',
            'vendorJoin' => 'VendorSearchBasic',
        },
    
        ContactSearch => {
            'basic' => 'ContactSearchBasic',
            'callJoin' => 'PhoneCallSearchBasic',
            'campaignResponseJoin' => 'CampaignSearchBasic',
            'caseJoin' => 'SupportCaseSearchBasic',
            'customerJoin' => 'CustomerSearchBasic',
            'customerPrimaryJoin' => 'CustomerSearchBasic',
            'eventJoin' => 'CalendarEventSearchBasic',
            'fileJoin' => 'FileSearchBasic',
            'jobJoin' => 'JobSearchBasic',
            'jobPrimaryJoin' => 'JobSearchBasic',
            'messagesJoin' => 'MessageSearchBasic',
            'messagesFromJoin' => 'MessageSearchBasic',
            'messagesToJoin' => 'MessageSearchBasic',
            'opportunityJoin' => 'OpportunitySearchBasic',
            'parentCustomerJoin' => 'CustomerSearchBasic',
            'parentJobJoin' => 'JobSearchBasic',
            'parentPartnerJoin' => 'PartnerSearchBasic',
            'parentVendorJoin' => 'VendorSearchBasic',
            'partnerJoin' => 'PartnerSearchBasic',
            'partnerPrimaryJoin' => 'PartnerSearchBasic',
            'purchasedItemJoin' => 'ItemSearchBasic',
            'taskJoin' => 'TaskSearchBasic',
            'transactionJoin' => 'TransactionSearchBasic',
            'upsellItemJoin' => 'ItemSearchBasic',
            'userJoin' => 'EmployeeSearchBasic',
            'userNotesJoin' => 'NoteSearchBasic',
            'vendorJoin' => 'VendorSearchBasic',
            'vendorPrimaryJoin' => 'VendorSearchBasic',
            'customSearchJoin' => 'CustomSearchJoin',
        },
    
        CustomerSearch => {
            'basic' => 'CustomerSearchBasic',
            'callJoin' => 'PhoneCallSearchBasic',
            'campaignResponseJoin' => 'CampaignSearchBasic',
            'caseJoin' => 'SupportCaseSearchBasic',
            'contactJoin' => 'ContactSearchBasic',
            'contactPrimaryJoin' => 'ContactSearchBasic',
            'eventJoin' => 'CalendarEventSearchBasic',
            'fileJoin' => 'FileSearchBasic',
            'hostedPageJoin' => 'FileSearchBasic',
            'jobJoin' => 'JobSearchBasic',
            'leadSourceJoin' => 'CampaignSearchBasic',
            'messagesJoin' => 'MessageSearchBasic',
            'messagesFromJoin' => 'MessageSearchBasic',
            'messagesToJoin' => 'MessageSearchBasic',
            'opportunityJoin' => 'OpportunitySearchBasic',
            'originatingLeadJoin' => 'OriginatingLeadSearchBasic',
            'parentCustomerJoin' => 'CustomerSearchBasic',
            'partnerJoin' => 'PartnerSearchBasic',
            'purchasedItemJoin' => 'ItemSearchBasic',
            'resourceAllocationJoin' => 'ResourceAllocationSearchBasic',
            'salesRepJoin' => 'EmployeeSearchBasic',
            'subCustomerJoin' => 'CustomerSearchBasic',
            'taskJoin' => 'TaskSearchBasic',
            'timeJoin' => 'TimeBillSearchBasic',
            'topLevelParentJoin' => 'CustomerSearchBasic',
            'transactionJoin' => 'TransactionSearchBasic',
            'upsellItemJoin' => 'ItemSearchBasic',
            'userJoin' => 'EmployeeSearchBasic',
            'userNotesJoin' => 'NoteSearchBasic',
            'webSiteCategoryJoin' => 'SiteCategorySearchBasic',
            'webSiteItemJoin' => 'ItemSearchBasic',
            'customSearchJoin' => 'CustomSearchJoin',
        },
    
        PartnerSearch => {
            'basic' => 'PartnerSearchBasic',
            'campaignResponseJoin' => 'CampaignSearchBasic',
            'contactJoin' => 'ContactSearchBasic',
            'contactPrimaryJoin' => 'ContactSearchBasic',
            'customerJoin' => 'CustomerSearchBasic',
            'fileJoin' => 'FileSearchBasic',
            'messagesJoin' => 'MessageSearchBasic',
            'messagesFromJoin' => 'MessageSearchBasic',
            'messagesToJoin' => 'MessageSearchBasic',
            'opportunityJoin' => 'OpportunitySearchBasic',
            'transactionJoin' => 'TransactionSearchBasic',
            'userJoin' => 'EmployeeSearchBasic',
            'userNotesJoin' => 'NoteSearchBasic',
            'customSearchJoin' => 'CustomSearchJoin',
        },
    
        VendorSearch => {
            'basic' => 'VendorSearchBasic',
            'campaignResponseJoin' => 'CampaignSearchBasic',
            'contactJoin' => 'ContactSearchBasic',
            'contactPrimaryJoin' => 'ContactSearchBasic',
            'fileJoin' => 'FileSearchBasic',
            'messagesJoin' => 'MessageSearchBasic',
            'messagesFromJoin' => 'MessageSearchBasic',
            'messagesToJoin' => 'MessageSearchBasic',
            'transactionJoin' => 'TransactionSearchBasic',
            'userJoin' => 'EmployeeSearchBasic',
            'userNotesJoin' => 'NoteSearchBasic',
            'customSearchJoin' => 'CustomSearchJoin',
        },
    
        EntityGroupSearch => {
            'basic' => 'EntityGroupSearchBasic',
            'groupMemberJoin' => 'EntitySearchBasic',
            'userJoin' => 'EmployeeSearchBasic',
            'customSearchJoin' => 'CustomSearchJoin',
        },
    
        JobSearch => {
            'basic' => 'JobSearchBasic',
            'contactPrimaryJoin' => 'ContactSearchBasic',
            'customerJoin' => 'CustomerSearchBasic',
            'projectTaskJoin' => 'ProjectTaskSearchBasic',
            'resourceAllocationJoin' => 'ResourceAllocationSearchBasic',
            'taskJoin' => 'TaskSearchBasic',
            'timeJoin' => 'TimeBillSearchBasic',
            'customSearchJoin' => 'CustomSearchJoin',
        },
    
        CustomerStatusSearch => {
            'basic' => 'CustomerStatusSearchBasic',
            'userJoin' => 'EmployeeSearchBasic',
        },
    
        JobStatusSearch => {
            'basic' => 'JobStatusSearchBasic',
            'userJoin' => 'EmployeeSearchBasic',
        },
    
        JobTypeSearch => {
            'basic' => 'JobTypeSearchBasic',
            'userJoin' => 'EmployeeSearchBasic',
        },
    
        OriginatingLeadSearch => {
            'basic' => 'OriginatingLeadSearchBasic',
            'customSearchJoin' => 'CustomSearchJoin',
        },
    
        SupportCaseSearch => {
            'basic' => 'SupportCaseSearchBasic',
            'contactJoin' => 'ContactSearchBasic',
            'customerJoin' => 'CustomerSearchBasic',
            'employeeJoin' => 'EmployeeSearchBasic',
            'fileJoin' => 'FileSearchBasic',
            'issueJoin' => 'IssueSearchBasic',
            'itemJoin' => 'ItemSearchBasic',
            'messagesJoin' => 'MessageSearchBasic',
            'timeJoin' => 'TimeBillSearchBasic',
            'userJoin' => 'EmployeeSearchBasic',
            'userNotesJoin' => 'NoteSearchBasic',
            'customSearchJoin' => 'CustomSearchJoin',
        },
    
        SolutionSearch => {
            'basic' => 'SolutionSearchBasic',
            'caseJoin' => 'SupportCaseSearchBasic',
            'relatedSolutionJoin' => 'SolutionSearchBasic',
            'topicJoin' => 'TopicSearchBasic',
            'userJoin' => 'EmployeeSearchBasic',
            'userNotesJoin' => 'NoteSearchBasic',
            'customSearchJoin' => 'CustomSearchJoin',
        },
    
        TopicSearch => {
            'basic' => 'TopicSearchBasic',
            'solutionJoin' => 'SolutionSearchBasic',
            'userJoin' => 'EmployeeSearchBasic',
        },
    
        IssueSearch => {
            'basic' => 'IssueSearchBasic',
            'caseJoin' => 'SupportCaseSearchBasic',
            'employeeJoin' => 'EmployeeSearchBasic',
            'fileJoin' => 'FileSearchBasic',
            'userJoin' => 'EmployeeSearchBasic',
            'userNotesJoin' => 'NoteSearchBasic',
            'customSearchJoin' => 'CustomSearchJoin',
        },
    
        AccountSearch => {
            'basic' => 'AccountSearchBasic',
            'userJoin' => 'EmployeeSearchBasic',
            'customSearchJoin' => 'CustomSearchJoin',
        },
    
        DepartmentSearch => {
            'basic' => 'DepartmentSearchBasic',
            'userJoin' => 'EmployeeSearchBasic',
            'customSearchJoin' => 'CustomSearchJoin',
        },
    
        ClassificationSearch => {
            'basic' => 'ClassificationSearchBasic',
            'userJoin' => 'EmployeeSearchBasic',
            'customSearchJoin' => 'CustomSearchJoin',
        },
    
        LocationSearch => {
            'basic' => 'LocationSearchBasic',
            'userJoin' => 'EmployeeSearchBasic',
            'customSearchJoin' => 'CustomSearchJoin',
        },
    
        ItemSearch => {
            'basic' => 'ItemSearchBasic',
            'binNumberJoin' => 'BinSearchBasic',
            'binOnHandJoin' => 'ItemBinNumberSearchBasic',
            'correlatedItemJoin' => 'ItemSearchBasic',
            'effectiveRevisionJoin' => 'ItemRevisionSearchBasic',
            'fileJoin' => 'FileSearchBasic',
            'inventoryDetailJoin' => 'InventoryDetailSearchBasic',
            'inventoryLocationJoin' => 'LocationSearchBasic',
            'inventoryNumberJoin' => 'InventoryNumberSearchBasic',
            'inventoryNumberBinOnHandJoin' => 'InventoryNumberBinSearchBasic',
            'memberItemJoin' => 'ItemSearchBasic',
            'obsoleteRevisionJoin' => 'ItemRevisionSearchBasic',
            'parentJoin' => 'ItemSearchBasic',
            'preferredLocationJoin' => 'LocationSearchBasic',
            'preferredVendorJoin' => 'VendorSearchBasic',
            'shopperJoin' => 'CustomerSearchBasic',
            'transactionJoin' => 'TransactionSearchBasic',
            'userJoin' => 'EmployeeSearchBasic',
            'userNotesJoin' => 'NoteSearchBasic',
            'vendorJoin' => 'VendorSearchBasic',
            'customSearchJoin' => 'CustomSearchJoin',
        },
    
        BinSearch => {
            'basic' => 'BinSearchBasic',
            'userJoin' => 'EmployeeSearchBasic',
            'customSearchJoin' => 'CustomSearchJoin',
        },
    
        SubsidiarySearch => {
            'basic' => 'SubsidiarySearchBasic',
            'userJoin' => 'EmployeeSearchBasic',
            'customSearchJoin' => 'CustomSearchJoin',
        },
    
        GiftCertificateSearch => {
            'basic' => 'GiftCertificateSearchBasic',
            'userJoin' => 'EmployeeSearchBasic',
            'customSearchJoin' => 'CustomSearchJoin',
        },
    
        AccountingPeriodSearch => {
            'basic' => 'AccountingPeriodSearchBasic',
            'userJoin' => 'EmployeeSearchBasic',
            'userNotesJoin' => 'NoteSearchBasic',
        },
    
        ContactCategorySearch => {
            'basic' => 'ContactCategorySearchBasic',
            'userJoin' => 'EmployeeSearchBasic',
        },
    
        ContactRoleSearch => {
            'basic' => 'ContactRoleSearchBasic',
            'userJoin' => 'EmployeeSearchBasic',
        },
    
        CustomerCategorySearch => {
            'basic' => 'CustomerCategorySearchBasic',
            'userJoin' => 'EmployeeSearchBasic',
        },
    
        ExpenseCategorySearch => {
            'basic' => 'ExpenseCategorySearchBasic',
            'userJoin' => 'EmployeeSearchBasic',
            'customSearchJoin' => 'CustomSearchJoin',
        },
    
        NoteTypeSearch => {
            'basic' => 'NoteTypeSearchBasic',
            'userJoin' => 'EmployeeSearchBasic',
        },
    
        PartnerCategorySearch => {
            'basic' => 'PartnerCategorySearchBasic',
            'userJoin' => 'EmployeeSearchBasic',
        },
    
        PaymentMethodSearch => {
            'basic' => 'PaymentMethodSearchBasic',
            'userJoin' => 'EmployeeSearchBasic',
        },
    
        PriceLevelSearch => {
            'basic' => 'PriceLevelSearchBasic',
            'userJoin' => 'EmployeeSearchBasic',
        },
    
        SalesRoleSearch => {
            'basic' => 'SalesRoleSearchBasic',
            'userJoin' => 'EmployeeSearchBasic',
        },
    
        TermSearch => {
            'basic' => 'TermSearchBasic',
            'userJoin' => 'EmployeeSearchBasic',
        },
    
        VendorCategorySearch => {
            'basic' => 'VendorCategorySearchBasic',
            'userJoin' => 'EmployeeSearchBasic',
        },
    
        WinLossReasonSearch => {
            'basic' => 'WinLossReasonSearchBasic',
            'userJoin' => 'EmployeeSearchBasic',
        },
    
        UnitsTypeSearch => {
            'basic' => 'UnitsTypeSearchBasic',
            'userJoin' => 'EmployeeSearchBasic',
        },
    
        PricingGroupSearch => {
            'basic' => 'PricingGroupSearchBasic',
            'userJoin' => 'EmployeeSearchBasic',
        },
    
        InventoryNumberSearch => {
            'basic' => 'InventoryNumberSearchBasic',
            'itemJoin' => 'ItemSearchBasic',
            'userJoin' => 'EmployeeSearchBasic',
            'customSearchJoin' => 'CustomSearchJoin',
        },
    
        RevRecScheduleSearch => {
            'basic' => 'RevRecScheduleSearchBasic',
            'userJoin' => 'EmployeeSearchBasic',
        },
    
        RevRecTemplateSearch => {
            'basic' => 'RevRecTemplateSearchBasic',
            'userJoin' => 'EmployeeSearchBasic',
        },
    
        NexusSearch => {
            'basic' => 'NexusSearchBasic',
            'userJoin' => 'EmployeeSearchBasic',
        },
    
        OtherNameCategorySearch => {
            'basic' => 'OtherNameCategorySearchBasic',
            'userJoin' => 'EmployeeSearchBasic',
        },
    
        CustomerMessageSearch => {
            'basic' => 'CustomerMessageSearchBasic',
            'userJoin' => 'EmployeeSearchBasic',
        },
    
        CurrencyRateSearch => {
            'basic' => 'CurrencyRateSearchBasic',
            'userJoin' => 'EmployeeSearchBasic',
        },
    
        ItemRevisionSearch => {
            'basic' => 'ItemRevisionSearchBasic',
            'itemJoin' => 'ItemSearchBasic',
            'userJoin' => 'EmployeeSearchBasic',
        },
    
        OpportunitySearch => {
            'basic' => 'OpportunitySearchBasic',
            'actualJoin' => 'TransactionSearchBasic',
            'callJoin' => 'PhoneCallSearchBasic',
            'customerJoin' => 'CustomerSearchBasic',
            'decisionMakerJoin' => 'ContactSearchBasic',
            'estimateJoin' => 'TransactionSearchBasic',
            'eventJoin' => 'CalendarEventSearchBasic',
            'fileJoin' => 'FileSearchBasic',
            'itemJoin' => 'ItemSearchBasic',
            'leadSourceJoin' => 'CampaignSearchBasic',
            'messagesJoin' => 'MessageSearchBasic',
            'orderJoin' => 'TransactionSearchBasic',
            'originatingLeadJoin' => 'OriginatingLeadSearchBasic',
            'partnerJoin' => 'PartnerSearchBasic',
            'salesRepJoin' => 'EmployeeSearchBasic',
            'taskJoin' => 'TaskSearchBasic',
            'userNotesJoin' => 'NoteSearchBasic',
            'customSearchJoin' => 'CustomSearchJoin',
        },
    
        TransactionSearch => {
            'basic' => 'TransactionSearchBasic',
            'accountJoin' => 'AccountSearchBasic',
            'accountingPeriodJoin' => 'AccountingPeriodSearchBasic',
            'appliedToTransactionJoin' => 'TransactionSearchBasic',
            'applyingTransactionJoin' => 'TransactionSearchBasic',
            'billingTransactionJoin' => 'TransactionSearchBasic',
            'binNumberJoin' => 'BinSearchBasic',
            'callJoin' => 'PhoneCallSearchBasic',
            'classJoin' => 'ClassificationSearchBasic',
            'cogsPurchaseJoin' => 'TransactionSearchBasic',
            'cogsSaleJoin' => 'TransactionSearchBasic',
            'contactPrimaryJoin' => 'ContactSearchBasic',
            'createdFromJoin' => 'TransactionSearchBasic',
            'customerJoin' => 'CustomerSearchBasic',
            'customerMainJoin' => 'CustomerSearchBasic',
            'departmentJoin' => 'DepartmentSearchBasic',
            'depositTransactionJoin' => 'TransactionSearchBasic',
            'employeeJoin' => 'EmployeeSearchBasic',
            'eventJoin' => 'CalendarEventSearchBasic',
            'expenseCategoryJoin' => 'ExpenseCategorySearchBasic',
            'fileJoin' => 'FileSearchBasic',
            'fulfillingTransactionJoin' => 'TransactionSearchBasic',
            'inventoryDetailJoin' => 'InventoryDetailSearchBasic',
            'itemJoin' => 'ItemSearchBasic',
            'itemNumberJoin' => 'InventoryNumberSearchBasic',
            'jobJoin' => 'JobSearchBasic',
            'jobMainJoin' => 'JobSearchBasic',
            'leadSourceJoin' => 'CampaignSearchBasic',
            'locationJoin' => 'LocationSearchBasic',
            'messagesJoin' => 'MessageSearchBasic',
            'opportunityJoin' => 'OpportunitySearchBasic',
            'paidTransactionJoin' => 'TransactionSearchBasic',
            'partnerJoin' => 'PartnerSearchBasic',
            'payingTransactionJoin' => 'TransactionSearchBasic',
            'payrollItemJoin' => 'PayrollItemSearchBasic',
            'purchaseOrderJoin' => 'TransactionSearchBasic',
            'requestorJoin' => 'EmployeeSearchBasic',
            'revCommittingTransactionJoin' => 'TransactionSearchBasic',
            'revisionJoin' => 'ItemRevisionSearchBasic',
            'rgPostingTransactionJoin' => 'TransactionSearchBasic',
            'salesOrderJoin' => 'TransactionSearchBasic',
            'salesRepJoin' => 'EmployeeSearchBasic',
            'subsidiaryJoin' => 'SubsidiarySearchBasic',
            'taskJoin' => 'TaskSearchBasic',
            'userJoin' => 'EmployeeSearchBasic',
            'userNotesJoin' => 'NoteSearchBasic',
            'vendorJoin' => 'VendorSearchBasic',
            'customSearchJoin' => 'CustomSearchJoin',
        },
    
        ChargeSearch => {
            'basic' => 'ChargeSearchBasic',
            'jobJoin' => 'JobSearchBasic',
            'timeJoin' => 'TimeBillSearchBasic',
            'userJoin' => 'EmployeeSearchBasic',
            'customSearchJoin' => 'CustomSearchJoin',
        },
    
        BudgetSearch => {
            'basic' => 'BudgetSearchBasic',
        },
    
        CustomRecordSearch => {
            'basic' => 'CustomRecordSearchBasic',
            'fileJoin' => 'FileSearchBasic',
            'messagesJoin' => 'MessageSearchBasic',
            'ownerJoin' => 'EmployeeSearchBasic',
            'userJoin' => 'EmployeeSearchBasic',
            'userNotesJoin' => 'NoteSearchBasic',
            'customSearchJoin' => 'CustomSearchJoin',
        },
    
        CustomListSearch => {
            'basic' => 'CustomListSearchBasic',
            'userJoin' => 'EmployeeSearchBasic',
        },
    
        AppDefinitionSearch => {
            'basic' => 'AppDefinitionSearchBasic',
            'appPackageJoin' => 'AppPackageSearchBasic',
            'creatorJoin' => 'EmployeeSearchBasic',
            'userJoin' => 'EmployeeSearchBasic',
        },
    
        AppPackageSearch => {
            'basic' => 'AppPackageSearchBasic',
            'appDefinitionJoin' => 'AppDefinitionSearchBasic',
            'creatorJoin' => 'EmployeeSearchBasic',
            'packageFileJoin' => 'FileSearchBasic',
            'userJoin' => 'EmployeeSearchBasic',
        },
    
        EmployeeSearch => {
            'basic' => 'EmployeeSearchBasic',
            'campaignResponseJoin' => 'CampaignSearchBasic',
            'departmentJoin' => 'DepartmentSearchBasic',
            'fileJoin' => 'FileSearchBasic',
            'locationJoin' => 'LocationSearchBasic',
            'messagesJoin' => 'MessageSearchBasic',
            'messagesFromJoin' => 'MessageSearchBasic',
            'messagesToJoin' => 'MessageSearchBasic',
            'resourceAllocationJoin' => 'ResourceAllocationSearchBasic',
            'subsidiaryJoin' => 'SubsidiarySearchBasic',
            'timeJoin' => 'TimeBillSearchBasic',
            'transactionJoin' => 'TransactionSearchBasic',
            'userJoin' => 'EmployeeSearchBasic',
            'userNotesJoin' => 'NoteSearchBasic',
            'customSearchJoin' => 'CustomSearchJoin',
        },
    
        PayrollItemSearch => {
            'basic' => 'PayrollItemSearchBasic',
            'customSearchJoin' => 'CustomSearchJoin',
        },
    
        FileSearch => {
            'basic' => 'FileSearchBasic',
            'shopperJoin' => 'CustomerSearchBasic',
            'userJoin' => 'EmployeeSearchBasic',
        },
    
        FolderSearch => {
            'basic' => 'FolderSearchBasic',
            'fileJoin' => 'FileSearchBasic',
            'userJoin' => 'EmployeeSearchBasic',
        },
    
        SiteCategorySearch => {
            'basic' => 'SiteCategorySearchBasic',
            'shopperJoin' => 'CustomerSearchBasic',
            'userJoin' => 'EmployeeSearchBasic',
        },
    
        TimeBillSearch => {
            'basic' => 'TimeBillSearchBasic',
            'callJoin' => 'PhoneCallSearchBasic',
            'caseJoin' => 'SupportCaseSearchBasic',
            'classJoin' => 'ClassificationSearchBasic',
            'customerJoin' => 'CustomerSearchBasic',
            'departmentJoin' => 'DepartmentSearchBasic',
            'employeeJoin' => 'EmployeeSearchBasic',
            'eventJoin' => 'CalendarEventSearchBasic',
            'itemJoin' => 'ItemSearchBasic',
            'jobJoin' => 'JobSearchBasic',
            'locationJoin' => 'LocationSearchBasic',
            'projectTaskJoin' => 'ProjectTaskSearchBasic',
            'projectTaskAssignmentJoin' => 'ProjectTaskAssignmentSearchBasic',
            'resourceAllocationJoin' => 'ResourceAllocationSearchBasic',
            'taskJoin' => 'TaskSearchBasic',
            'userJoin' => 'EmployeeSearchBasic',
            'vendorJoin' => 'VendorSearchBasic',
            'customSearchJoin' => 'CustomSearchJoin',
        },
    
        CampaignSearch => {
            'basic' => 'CampaignSearchBasic',
            'campaignRecipientJoin' => 'EntitySearchBasic',
            'fileJoin' => 'FileSearchBasic',
            'messagesJoin' => 'MessageSearchBasic',
            'originatingLeadJoin' => 'OriginatingLeadSearchBasic',
            'promotionCodeJoin' => 'PromotionCodeSearchBasic',
            'transactionJoin' => 'TransactionSearchBasic',
            'userJoin' => 'EmployeeSearchBasic',
            'userNotesJoin' => 'NoteSearchBasic',
            'customSearchJoin' => 'CustomSearchJoin',
        },
    
        PromotionCodeSearch => {
            'basic' => 'PromotionCodeSearchBasic',
            'userJoin' => 'EmployeeSearchBasic',
            'customSearchJoin' => 'CustomSearchJoin',
        },
    
        CouponCodeSearch => {
            'basic' => 'CouponCodeSearchBasic',
            'userJoin' => 'EmployeeSearchBasic',
        },
    
        ItemDemandPlanSearch => {
            'basic' => 'ItemDemandPlanSearchBasic',
            'itemJoin' => 'ItemSearchBasic',
            'lastAlternateSourceItemJoin' => 'ItemSearchBasic',
            'locationJoin' => 'LocationSearchBasic',
            'userJoin' => 'EmployeeSearchBasic',
            'customSearchJoin' => 'CustomSearchJoin',
        },
    
        ItemSupplyPlanSearch => {
            'basic' => 'ItemSupplyPlanSearchBasic',
            'itemJoin' => 'ItemSearchBasic',
            'locationJoin' => 'LocationSearchBasic',
            'userJoin' => 'EmployeeSearchBasic',
            'customSearchJoin' => 'CustomSearchJoin',
        },
    
        ManufacturingCostTemplateSearch => {
            'basic' => 'ManufacturingCostTemplateSearchBasic',
            'itemJoin' => 'ItemSearchBasic',
            'userJoin' => 'EmployeeSearchBasic',
            'customSearchJoin' => 'CustomSearchJoin',
        },
    
        ManufacturingRoutingSearch => {
            'basic' => 'ManufacturingRoutingSearchBasic',
            'itemJoin' => 'ItemSearchBasic',
            'locationJoin' => 'LocationSearchBasic',
            'manufacturingCostTemplateJoin' => 'ManufacturingCostTemplateSearchBasic',
            'manufacturingWorkCenterJoin' => 'EntityGroupSearchBasic',
            'userJoin' => 'EmployeeSearchBasic',
            'customSearchJoin' => 'CustomSearchJoin',
        },
    
        ManufacturingOperationTaskSearch => {
            'basic' => 'ManufacturingOperationTaskSearchBasic',
            'predecessorJoin' => 'ManufacturingOperationTaskSearchBasic',
            'userJoin' => 'EmployeeSearchBasic',
            'workOrderJoin' => 'TransactionSearchBasic',
            'customSearchJoin' => 'CustomSearchJoin',
        },
    
    };
    
}

sub RecordFields {

    return {
    
        CalendarEvent => {
            'company' => 'core_2013_2.platform:RecordRef',
            'contact' => 'core_2013_2.platform:RecordRef',
            'supportCase' => 'core_2013_2.platform:RecordRef',
            'transaction' => 'core_2013_2.platform:RecordRef',
            'period' => 'xsd:long',
            'frequency' => 'common_2013_2.platformTypes:RecurrenceFrequency',
            'recurrenceDowMaskList' => 'common_2013_2.platform:RecurrenceDowMaskList',
            'recurrenceDow' => 'common_2013_2.platformTypes:RecurrenceDow',
            'recurrenceDowim' => 'common_2013_2.platformTypes:RecurrenceDowim',
            'seriesStartDate' => 'xsd:dateTime',
            'endByDate' => 'xsd:dateTime',
            'noEndDate' => 'xsd:boolean',
            'sendEmail' => 'xsd:boolean',
            'customForm' => 'core_2013_2.platform:RecordRef',
            'title' => 'xsd:string',
            'recurrence' => 'xsd:string',
            'location' => 'xsd:string',
            'startDate' => 'xsd:dateTime',
            'allDayEvent' => 'xsd:boolean',
            'timedEvent' => 'xsd:boolean',
            'reminderType' => 'scheduling_2013_2.activitiesTypes:CalendarEventReminderType',
            'reminderMinutes' => 'scheduling_2013_2.activitiesTypes:CalendarEventReminderMinutes',
            'status' => 'scheduling_2013_2.activitiesTypes:CalendarEventStatus',
            'accessLevel' => 'scheduling_2013_2.activitiesTypes:CalendarEventAccessLevel',
            'organizer' => 'core_2013_2.platform:RecordRef',
            'message' => 'xsd:string',
            'createdDate' => 'xsd:dateTime',
            'endDate' => 'xsd:dateTime',
            'exclusionDateList' => 'scheduling_2013_2.activities:ExclusionDateList',
            'lastModifiedDate' => 'xsd:dateTime',
            'owner' => 'core_2013_2.platform:RecordRef',
            'attendeeList' => 'scheduling_2013_2.activities:CalendarEventAttendeeList',
            'resourceList' => 'scheduling_2013_2.activities:CalendarEventResourceList',
            'timeItemList' => 'scheduling_2013_2.activities:CalendarEventTimeItemList',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        ExclusionDateList => {
            'exclusionDate' => 'xsd:dateTime',
        },
    
        CalendarEventAttendee => {
            'sendEmail' => 'xsd:boolean',
            'attendee' => 'core_2013_2.platform:RecordRef',
            'response' => 'core_2013_2.platformTypes:CalendarEventAttendeeResponse',
            'attendance' => 'scheduling_2013_2.activitiesTypes:CalendarEventAttendeeAttendance',
        },
    
        CalendarEventAttendeeList => {
            'attendee' => 'scheduling_2013_2.activities:CalendarEventAttendee',
        },
    
        CalendarEventResource => {
            'resource' => 'core_2013_2.platform:RecordRef',
            'location' => 'xsd:string',
        },
    
        CalendarEventResourceList => {
            'resource' => 'scheduling_2013_2.activities:CalendarEventResource',
        },
    
        CalendarEventSearchAdvanced => {
            'criteria' => 'scheduling_2013_2.activities:CalendarEventSearch',
            'columns' => 'scheduling_2013_2.activities:CalendarEventSearchRow',
        },
    
        CalendarEventSearchRow => {
            'basic' => 'common_2013_2.platform:CalendarEventSearchRowBasic',
            'attendeeJoin' => 'common_2013_2.platform:EntitySearchRowBasic',
            'attendeeContactJoin' => 'common_2013_2.platform:ContactSearchRowBasic',
            'attendeeCustomerJoin' => 'common_2013_2.platform:CustomerSearchRowBasic',
            'caseJoin' => 'common_2013_2.platform:SupportCaseSearchRowBasic',
            'fileJoin' => 'common_2013_2.platform:FileSearchRowBasic',
            'opportunityJoin' => 'common_2013_2.platform:OpportunitySearchRowBasic',
            'originatingLeadJoin' => 'common_2013_2.platform:OriginatingLeadSearchRowBasic',
            'transactionJoin' => 'common_2013_2.platform:TransactionSearchRowBasic',
            'userJoin' => 'common_2013_2.platform:EmployeeSearchRowBasic',
            'userNotesJoin' => 'common_2013_2.platform:NoteSearchRowBasic',
            'customSearchJoin' => 'common_2013_2.platform:CustomSearchRowBasic',
        },
    
        Task => {
            'company' => 'core_2013_2.platform:RecordRef',
            'contact' => 'core_2013_2.platform:RecordRef',
            'supportCase' => 'core_2013_2.platform:RecordRef',
            'transaction' => 'core_2013_2.platform:RecordRef',
            'milestone' => 'core_2013_2.platform:RecordRef',
            'customForm' => 'core_2013_2.platform:RecordRef',
            'title' => 'xsd:string',
            'assigned' => 'core_2013_2.platform:RecordRef',
            'sendEmail' => 'xsd:boolean',
            'timedEvent' => 'xsd:boolean',
            'estimatedTime' => 'core_2013_2.platform:Duration',
            'estimatedTimeOverride' => 'core_2013_2.platform:Duration',
            'actualTime' => 'core_2013_2.platform:Duration',
            'timeRemaining' => 'core_2013_2.platform:Duration',
            'percentTimeComplete' => 'xsd:double',
            'percentComplete' => 'xsd:double',
            'parent' => 'core_2013_2.platform:RecordRef',
            'startDate' => 'xsd:dateTime',
            'endDate' => 'xsd:dateTime',
            'dueDate' => 'xsd:dateTime',
            'completedDate' => 'xsd:dateTime',
            'priority' => 'scheduling_2013_2.activitiesTypes:TaskPriority',
            'status' => 'scheduling_2013_2.activitiesTypes:TaskStatus',
            'message' => 'xsd:string',
            'accessLevel' => 'xsd:boolean',
            'reminderType' => 'scheduling_2013_2.activitiesTypes:TaskReminderType',
            'reminderMinutes' => 'scheduling_2013_2.activitiesTypes:TaskReminderMinutes',
            'createdDate' => 'xsd:dateTime',
            'lastModifiedDate' => 'xsd:dateTime',
            'owner' => 'core_2013_2.platform:RecordRef',
            'contactList' => 'scheduling_2013_2.activities:TaskContactList',
            'timeItemList' => 'scheduling_2013_2.activities:TaskTimeItemList',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        TaskContact => {
            'company' => 'core_2013_2.platform:RecordRef',
            'contact' => 'core_2013_2.platform:RecordRef',
        },
    
        TaskContactList => {
            'contact' => 'scheduling_2013_2.activities:TaskContact',
        },
    
        TaskSearchAdvanced => {
            'criteria' => 'scheduling_2013_2.activities:TaskSearch',
            'columns' => 'scheduling_2013_2.activities:TaskSearchRow',
        },
    
        TaskSearchRow => {
            'basic' => 'common_2013_2.platform:TaskSearchRowBasic',
            'caseJoin' => 'common_2013_2.platform:SupportCaseSearchRowBasic',
            'companyCustomerJoin' => 'common_2013_2.platform:CustomerSearchRowBasic',
            'contactJoin' => 'common_2013_2.platform:ContactSearchRowBasic',
            'employeeJoin' => 'common_2013_2.platform:EmployeeSearchRowBasic',
            'fileJoin' => 'common_2013_2.platform:FileSearchRowBasic',
            'jobJoin' => 'common_2013_2.platform:JobSearchRowBasic',
            'opportunityJoin' => 'common_2013_2.platform:OpportunitySearchRowBasic',
            'originatingLeadJoin' => 'common_2013_2.platform:OriginatingLeadSearchRowBasic',
            'timeJoin' => 'common_2013_2.platform:TimeBillSearchRowBasic',
            'transactionJoin' => 'common_2013_2.platform:TransactionSearchRowBasic',
            'userJoin' => 'common_2013_2.platform:EmployeeSearchRowBasic',
            'userNotesJoin' => 'common_2013_2.platform:NoteSearchRowBasic',
            'customSearchJoin' => 'common_2013_2.platform:CustomSearchRowBasic',
        },
    
        PhoneCall => {
            'message' => 'xsd:string',
            'company' => 'core_2013_2.platform:RecordRef',
            'contact' => 'core_2013_2.platform:RecordRef',
            'supportCase' => 'core_2013_2.platform:RecordRef',
            'transaction' => 'core_2013_2.platform:RecordRef',
            'milestone' => 'core_2013_2.platform:RecordRef',
            'customForm' => 'core_2013_2.platform:RecordRef',
            'title' => 'xsd:string',
            'owner' => 'core_2013_2.platform:RecordRef',
            'assigned' => 'core_2013_2.platform:RecordRef',
            'sendEmail' => 'xsd:boolean',
            'startDate' => 'xsd:dateTime',
            'endDate' => 'xsd:dateTime',
            'timedEvent' => 'xsd:boolean',
            'completedDate' => 'xsd:dateTime',
            'phone' => 'xsd:string',
            'status' => 'scheduling_2013_2.activitiesTypes:PhoneCallStatus',
            'priority' => 'scheduling_2013_2.activitiesTypes:PhoneCallPriority',
            'accessLevel' => 'xsd:boolean',
            'reminderType' => 'scheduling_2013_2.activitiesTypes:PhoneCallReminderType',
            'reminderMinutes' => 'scheduling_2013_2.activitiesTypes:PhoneCallReminderMinutes',
            'createdDate' => 'xsd:dateTime',
            'lastModifiedDate' => 'xsd:dateTime',
            'contactList' => 'scheduling_2013_2.activities:PhoneCallContactList',
            'timeItemList' => 'scheduling_2013_2.activities:PhoneCallTimeItemList',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        PhoneCallContact => {
            'company' => 'core_2013_2.platform:RecordRef',
            'contact' => 'core_2013_2.platform:RecordRef',
            'phone' => 'xsd:string',
            'email' => 'xsd:string',
        },
    
        PhoneCallContactList => {
            'contact' => 'scheduling_2013_2.activities:PhoneCallContact',
        },
    
        PhoneCallSearchAdvanced => {
            'criteria' => 'scheduling_2013_2.activities:PhoneCallSearch',
            'columns' => 'scheduling_2013_2.activities:PhoneCallSearchRow',
        },
    
        PhoneCallSearchRow => {
            'basic' => 'common_2013_2.platform:PhoneCallSearchRowBasic',
            'caseJoin' => 'common_2013_2.platform:SupportCaseSearchRowBasic',
            'companyCustomerJoin' => 'common_2013_2.platform:CustomerSearchRowBasic',
            'contactJoin' => 'common_2013_2.platform:ContactSearchRowBasic',
            'employeeJoin' => 'common_2013_2.platform:EmployeeSearchRowBasic',
            'fileJoin' => 'common_2013_2.platform:FileSearchRowBasic',
            'opportunityJoin' => 'common_2013_2.platform:OpportunitySearchRowBasic',
            'originatingLeadJoin' => 'common_2013_2.platform:OriginatingLeadSearchRowBasic',
            'participantJoin' => 'common_2013_2.platform:EntitySearchRowBasic',
            'transactionJoin' => 'common_2013_2.platform:TransactionSearchRowBasic',
            'userJoin' => 'common_2013_2.platform:EmployeeSearchRowBasic',
            'userNotesJoin' => 'common_2013_2.platform:NoteSearchRowBasic',
            'customSearchJoin' => 'common_2013_2.platform:CustomSearchRowBasic',
        },
    
        ProjectTask => {
            'customForm' => 'core_2013_2.platform:RecordRef',
            'eventId' => 'core_2013_2.platform:RecordRef',
            'percentTimeComplete' => 'xsd:double',
            'title' => 'xsd:string',
            'company' => 'core_2013_2.platform:RecordRef',
            'contact' => 'core_2013_2.platform:RecordRef',
            'order' => 'core_2013_2.platform:RecordRef',
            'owner' => 'core_2013_2.platform:RecordRef',
            'parent' => 'core_2013_2.platform:RecordRef',
            'priority' => 'core_2013_2.platform:RecordRef',
            'estimatedWork' => 'xsd:double',
            'estimatedWorkBaseline' => 'xsd:double',
            'constraintType' => 'scheduling_2013_2.activitiesTypes:ProjectTaskConstraintType',
            'startDate' => 'xsd:dateTime',
            'startDateBaseline' => 'xsd:dateTime',
            'endDate' => 'xsd:dateTime',
            'finishByDate' => 'xsd:dateTime',
            'endDateBaseline' => 'xsd:dateTime',
            'actualWork' => 'xsd:double',
            'remainingWork' => 'xsd:double',
            'message' => 'xsd:string',
            'isMilestone' => 'xsd:boolean',
            'isOnCriticalPath' => 'xsd:string',
            'slackMinutes' => 'xsd:double',
            'lateEnd' => 'xsd:dateTime',
            'lateStart' => 'xsd:dateTime',
            'status' => 'scheduling_2013_2.activitiesTypes:ProjectTaskStatus',
            'assigneeList' => 'scheduling_2013_2.activities:ProjectTaskAssigneeList',
            'predecessorList' => 'scheduling_2013_2.activities:ProjectTaskPredecessorList',
            'timeItemList' => 'scheduling_2013_2.activities:ProjectTaskTimeItemList',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        ProjectTaskPredecessor => {
            'task' => 'core_2013_2.platform:RecordRef',
            'type' => 'scheduling_2013_2.activitiesTypes:ProjectTaskPredecessorPredecessorType',
            'lagDays' => 'xsd:double',
            'startDate' => 'xsd:dateTime',
            'endDate' => 'xsd:dateTime',
        },
    
        ProjectTaskPredecessorList => {
            'projectTaskPredecessor' => 'scheduling_2013_2.activities:ProjectTaskPredecessor',
        },
    
        ProjectTaskAssignee => {
            'resource' => 'core_2013_2.platform:RecordRef',
            'units' => 'xsd:double',
            'serviceItem' => 'core_2013_2.platform:RecordRef',
            'estimatedWork' => 'xsd:double',
            'unitCost' => 'xsd:double',
            'unitPrice' => 'xsd:double',
            'cost' => 'xsd:double',
            'price' => 'xsd:double',
        },
    
        ProjectTaskAssigneeList => {
            'projectTaskAssignee' => 'scheduling_2013_2.activities:ProjectTaskAssignee',
        },
    
        ProjectTaskSearchAdvanced => {
            'criteria' => 'scheduling_2013_2.activities:ProjectTaskSearch',
            'columns' => 'scheduling_2013_2.activities:ProjectTaskSearchRow',
        },
    
        ProjectTaskSearchRow => {
            'basic' => 'common_2013_2.platform:ProjectTaskSearchRowBasic',
            'jobJoin' => 'common_2013_2.platform:JobSearchRowBasic',
            'predecessorJoin' => 'common_2013_2.platform:ProjectTaskSearchRowBasic',
            'projectTaskAssignmentJoin' => 'common_2013_2.platform:ProjectTaskAssignmentSearchRowBasic',
            'successorJoin' => 'common_2013_2.platform:ProjectTaskSearchRowBasic',
            'timeJoin' => 'common_2013_2.platform:TimeBillSearchRowBasic',
            'userJoin' => 'common_2013_2.platform:EmployeeSearchRowBasic',
            'userNotesJoin' => 'common_2013_2.platform:NoteSearchRowBasic',
            'customSearchJoin' => 'common_2013_2.platform:CustomSearchRowBasic',
        },
    
        PhoneCallTimeItemList => {
            'timeItem' => 'common_2013_2.platform:TimeItem',
        },
    
        CalendarEventTimeItemList => {
            'timeItem' => 'common_2013_2.platform:TimeItem',
        },
    
        TaskTimeItemList => {
            'timeItem' => 'common_2013_2.platform:TimeItem',
        },
    
        ProjectTaskTimeItemList => {
            'timeItem' => 'common_2013_2.platform:TimeItem',
        },
    
        ResourceAllocation => {
            'requestedby' => 'core_2013_2.platform:RecordRef',
            'allocationResource' => 'core_2013_2.platform:RecordRef',
            'project' => 'core_2013_2.platform:RecordRef',
            'notes' => 'xsd:string',
            'startDate' => 'xsd:dateTime',
            'endDate' => 'xsd:dateTime',
            'allocationAmount' => 'xsd:double',
            'allocationUnit' => 'scheduling_2013_2.activitiesTypes:ResourceAllocationAllocationUnit',
            'numberHours' => 'xsd:double',
            'percentOfTime' => 'xsd:double',
            'allocationType' => 'core_2013_2.platform:RecordRef',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        ResourceAllocationSearchAdvanced => {
            'criteria' => 'scheduling_2013_2.activities:ResourceAllocationSearch',
            'columns' => 'scheduling_2013_2.activities:ResourceAllocationSearchRow',
        },
    
        ResourceAllocationSearchRow => {
            'basic' => 'common_2013_2.platform:ResourceAllocationSearchRowBasic',
            'customerJoin' => 'common_2013_2.platform:CustomerSearchRowBasic',
            'employeeJoin' => 'common_2013_2.platform:EmployeeSearchRowBasic',
            'jobJoin' => 'common_2013_2.platform:JobSearchRowBasic',
            'requestedByJoin' => 'common_2013_2.platform:EntitySearchRowBasic',
            'resourceJoin' => 'common_2013_2.platform:EntitySearchRowBasic',
            'userJoin' => 'common_2013_2.platform:EmployeeSearchRowBasic',
            'vendorJoin' => 'common_2013_2.platform:VendorSearchRowBasic',
            'customSearchJoin' => 'common_2013_2.platform:CustomSearchRowBasic',
        },
    
        Note => {
            'title' => 'xsd:string',
            'noteType' => 'core_2013_2.platform:RecordRef',
            'direction' => 'communication_2013_2.generalTypes:NoteDirection',
            'noteDate' => 'xsd:dateTime',
            'note' => 'xsd:string',
            'lastModifiedDate' => 'xsd:dateTime',
            'activity' => 'core_2013_2.platform:RecordRef',
            'author' => 'core_2013_2.platform:RecordRef',
            'entity' => 'core_2013_2.platform:RecordRef',
            'folder' => 'core_2013_2.platform:RecordRef',
            'item' => 'core_2013_2.platform:RecordRef',
            'media' => 'core_2013_2.platform:RecordRef',
            'record' => 'core_2013_2.platform:RecordRef',
            'recordType' => 'core_2013_2.platform:RecordRef',
            'topic' => 'core_2013_2.platform:RecordRef',
            'transaction' => 'core_2013_2.platform:RecordRef',
        },
    
        NoteSearchAdvanced => {
            'criteria' => 'communication_2013_2.general:NoteSearch',
            'columns' => 'communication_2013_2.general:NoteSearchRow',
        },
    
        NoteSearchRow => {
            'basic' => 'common_2013_2.platform:NoteSearchRowBasic',
            'authorJoin' => 'common_2013_2.platform:EmployeeSearchRowBasic',
            'callJoin' => 'common_2013_2.platform:PhoneCallSearchRowBasic',
            'campaignJoin' => 'common_2013_2.platform:CampaignSearchRowBasic',
            'caseJoin' => 'common_2013_2.platform:SupportCaseSearchRowBasic',
            'contactJoin' => 'common_2013_2.platform:ContactSearchRowBasic',
            'customerJoin' => 'common_2013_2.platform:CustomerSearchRowBasic',
            'employeeJoin' => 'common_2013_2.platform:EmployeeSearchRowBasic',
            'entityJoin' => 'common_2013_2.platform:EntitySearchRowBasic',
            'eventJoin' => 'common_2013_2.platform:CalendarEventSearchRowBasic',
            'issueJoin' => 'common_2013_2.platform:IssueSearchRowBasic',
            'itemJoin' => 'common_2013_2.platform:ItemSearchRowBasic',
            'opportunityJoin' => 'common_2013_2.platform:OpportunitySearchRowBasic',
            'originatingLeadJoin' => 'common_2013_2.platform:OriginatingLeadSearchRowBasic',
            'partnerJoin' => 'common_2013_2.platform:PartnerSearchRowBasic',
            'solutionJoin' => 'common_2013_2.platform:SolutionSearchRowBasic',
            'taskJoin' => 'common_2013_2.platform:TaskSearchRowBasic',
            'transactionJoin' => 'common_2013_2.platform:TransactionSearchRowBasic',
            'userJoin' => 'common_2013_2.platform:EmployeeSearchRowBasic',
            'vendorJoin' => 'common_2013_2.platform:VendorSearchRowBasic',
        },
    
        Message => {
            'author' => 'core_2013_2.platform:RecordRef',
            'recipient' => 'core_2013_2.platform:RecordRef',
            'cc' => 'xsd:string',
            'bcc' => 'xsd:string',
            'messageDate' => 'xsd:dateTime',
            'recordName' => 'xsd:string',
            'recordTypeName' => 'xsd:string',
            'subject' => 'xsd:string',
            'message' => 'xsd:string',
            'emailed' => 'xsd:boolean',
            'activity' => 'core_2013_2.platform:RecordRef',
            'compressAttachments' => 'xsd:boolean',
            'incoming' => 'xsd:boolean',
            'lastModifiedDate' => 'xsd:dateTime',
            'transaction' => 'core_2013_2.platform:RecordRef',
            'mediaItemList' => 'communication_2013_2.general:MessageMediaItemList',
            'dateTime' => 'xsd:string',
        },
    
        MessageMediaItemList => {
            'mediaItem' => 'communication_2013_2.general:File',
        },
    
        MessageSearchAdvanced => {
            'criteria' => 'communication_2013_2.general:MessageSearch',
            'columns' => 'communication_2013_2.general:MessageSearchRow',
        },
    
        MessageSearchRow => {
            'basic' => 'common_2013_2.platform:MessageSearchRowBasic',
            'attachmentsJoin' => 'common_2013_2.platform:FileSearchRowBasic',
            'authorJoin' => 'common_2013_2.platform:EntitySearchRowBasic',
            'campaignJoin' => 'common_2013_2.platform:CampaignSearchRowBasic',
            'caseJoin' => 'common_2013_2.platform:SupportCaseSearchRowBasic',
            'contactJoin' => 'common_2013_2.platform:ContactSearchRowBasic',
            'customerJoin' => 'common_2013_2.platform:CustomerSearchRowBasic',
            'employeeJoin' => 'common_2013_2.platform:EmployeeSearchRowBasic',
            'entityJoin' => 'common_2013_2.platform:EntitySearchRowBasic',
            'opportunityJoin' => 'common_2013_2.platform:OpportunitySearchRowBasic',
            'originatingLeadJoin' => 'common_2013_2.platform:OriginatingLeadSearchRowBasic',
            'partnerJoin' => 'common_2013_2.platform:PartnerSearchRowBasic',
            'recipientJoin' => 'common_2013_2.platform:EntitySearchRowBasic',
            'transactionJoin' => 'common_2013_2.platform:TransactionSearchRowBasic',
            'userJoin' => 'common_2013_2.platform:EmployeeSearchRowBasic',
            'vendorJoin' => 'common_2013_2.platform:VendorSearchRowBasic',
        },
    
        Subscriptions => {
            'subscribed' => 'xsd:boolean',
            'subscription' => 'core_2013_2.platform:RecordRef',
            'lastModifiedDate' => 'xsd:dateTime',
        },
    
        SubscriptionsList => {
            'subscriptions' => 'relationships_2013_2.lists:Subscriptions',
        },
    
        Contact => {
            'customForm' => 'core_2013_2.platform:RecordRef',
            'entityId' => 'xsd:string',
            'contactSource' => 'core_2013_2.platform:RecordRef',
            'company' => 'core_2013_2.platform:RecordRef',
            'salutation' => 'xsd:string',
            'firstName' => 'xsd:string',
            'middleName' => 'xsd:string',
            'lastName' => 'xsd:string',
            'title' => 'xsd:string',
            'phone' => 'xsd:string',
            'fax' => 'xsd:string',
            'email' => 'xsd:string',
            'defaultAddress' => 'xsd:string',
            'isPrivate' => 'xsd:boolean',
            'isInactive' => 'xsd:boolean',
            'subsidiary' => 'core_2013_2.platform:RecordRef',
            'phoneticName' => 'xsd:string',
            'categoryList' => 'relationships_2013_2.lists:CategoryList',
            'altEmail' => 'xsd:string',
            'officePhone' => 'xsd:string',
            'homePhone' => 'xsd:string',
            'mobilePhone' => 'xsd:string',
            'supervisor' => 'core_2013_2.platform:RecordRef',
            'supervisorPhone' => 'xsd:string',
            'assistant' => 'core_2013_2.platform:RecordRef',
            'assistantPhone' => 'xsd:string',
            'comments' => 'xsd:string',
            'globalSubscriptionStatus' => 'common_2013_2.platformTypes:GlobalSubscriptionStatus',
            'image' => 'core_2013_2.platform:RecordRef',
            'billPay' => 'xsd:boolean',
            'dateCreated' => 'xsd:dateTime',
            'lastModifiedDate' => 'xsd:dateTime',
            'addressbookList' => 'relationships_2013_2.lists:ContactAddressbookList',
            'subscriptionsList' => 'relationships_2013_2.lists:SubscriptionsList',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        CategoryList => {
            'category' => 'core_2013_2.platform:RecordRef',
        },
    
        ContactAddressbook => {
            'defaultShipping' => 'xsd:boolean',
            'defaultBilling' => 'xsd:boolean',
            'label' => 'xsd:string',
            'attention' => 'xsd:string',
            'addressee' => 'xsd:string',
            'phone' => 'xsd:string',
            'addr1' => 'xsd:string',
            'addr2' => 'xsd:string',
            'addr3' => 'xsd:string',
            'city' => 'xsd:string',
            'zip' => 'xsd:string',
            'country' => 'common_2013_2.platformTypes:Country',
            'addrText' => 'xsd:string',
            'override' => 'xsd:boolean',
            'internalId' => 'xsd:string',
            'state' => 'xsd:string',
        },
    
        ContactAddressbookList => {
            'addressbook' => 'relationships_2013_2.lists:ContactAddressbook',
        },
    
        ContactSearchAdvanced => {
            'criteria' => 'relationships_2013_2.lists:ContactSearch',
            'columns' => 'relationships_2013_2.lists:ContactSearchRow',
        },
    
        ContactSearchRow => {
            'basic' => 'common_2013_2.platform:ContactSearchRowBasic',
            'callJoin' => 'common_2013_2.platform:PhoneCallSearchRowBasic',
            'campaignResponseJoin' => 'common_2013_2.platform:CampaignSearchRowBasic',
            'caseJoin' => 'common_2013_2.platform:SupportCaseSearchRowBasic',
            'customerJoin' => 'common_2013_2.platform:CustomerSearchRowBasic',
            'customerPrimaryJoin' => 'common_2013_2.platform:CustomerSearchRowBasic',
            'eventJoin' => 'common_2013_2.platform:CalendarEventSearchRowBasic',
            'fileJoin' => 'common_2013_2.platform:FileSearchRowBasic',
            'jobJoin' => 'common_2013_2.platform:JobSearchRowBasic',
            'jobPrimaryJoin' => 'common_2013_2.platform:JobSearchRowBasic',
            'messagesJoin' => 'common_2013_2.platform:MessageSearchRowBasic',
            'messagesFromJoin' => 'common_2013_2.platform:MessageSearchRowBasic',
            'messagesToJoin' => 'common_2013_2.platform:MessageSearchRowBasic',
            'opportunityJoin' => 'common_2013_2.platform:OpportunitySearchRowBasic',
            'parentCustomerJoin' => 'common_2013_2.platform:CustomerSearchRowBasic',
            'parentJobJoin' => 'common_2013_2.platform:JobSearchRowBasic',
            'parentPartnerJoin' => 'common_2013_2.platform:PartnerSearchRowBasic',
            'parentVendorJoin' => 'common_2013_2.platform:VendorSearchRowBasic',
            'partnerJoin' => 'common_2013_2.platform:PartnerSearchRowBasic',
            'partnerPrimaryJoin' => 'common_2013_2.platform:PartnerSearchRowBasic',
            'purchasedItemJoin' => 'common_2013_2.platform:ItemSearchRowBasic',
            'taskJoin' => 'common_2013_2.platform:TaskSearchRowBasic',
            'transactionJoin' => 'common_2013_2.platform:TransactionSearchRowBasic',
            'upsellItemJoin' => 'common_2013_2.platform:ItemSearchRowBasic',
            'userJoin' => 'common_2013_2.platform:EmployeeSearchRowBasic',
            'userNotesJoin' => 'common_2013_2.platform:NoteSearchRowBasic',
            'vendorJoin' => 'common_2013_2.platform:VendorSearchRowBasic',
            'vendorPrimaryJoin' => 'common_2013_2.platform:VendorSearchRowBasic',
            'customSearchJoin' => 'common_2013_2.platform:CustomSearchRowBasic',
        },
    
        Customer => {
            'customForm' => 'core_2013_2.platform:RecordRef',
            'entityId' => 'xsd:string',
            'altName' => 'xsd:string',
            'isPerson' => 'xsd:boolean',
            'phoneticName' => 'xsd:string',
            'salutation' => 'xsd:string',
            'firstName' => 'xsd:string',
            'middleName' => 'xsd:string',
            'lastName' => 'xsd:string',
            'companyName' => 'xsd:string',
            'entityStatus' => 'core_2013_2.platform:RecordRef',
            'parent' => 'core_2013_2.platform:RecordRef',
            'phone' => 'xsd:string',
            'fax' => 'xsd:string',
            'email' => 'xsd:string',
            'url' => 'xsd:string',
            'defaultAddress' => 'xsd:string',
            'isInactive' => 'xsd:boolean',
            'category' => 'core_2013_2.platform:RecordRef',
            'title' => 'xsd:string',
            'printOnCheckAs' => 'xsd:string',
            'altPhone' => 'xsd:string',
            'homePhone' => 'xsd:string',
            'mobilePhone' => 'xsd:string',
            'altEmail' => 'xsd:string',
            'language' => 'common_2013_2.platformTypes:Language',
            'comments' => 'xsd:string',
            'numberFormat' => 'relationships_2013_2.listsTypes:CustomerNumberFormat',
            'negativeNumberFormat' => 'relationships_2013_2.listsTypes:CustomerNegativeNumberFormat',
            'dateCreated' => 'xsd:dateTime',
            'image' => 'core_2013_2.platform:RecordRef',
            'emailPreference' => 'relationships_2013_2.listsTypes:EmailPreference',
            'subsidiary' => 'core_2013_2.platform:RecordRef',
            'representingSubsidiary' => 'core_2013_2.platform:RecordRef',
            'salesRep' => 'core_2013_2.platform:RecordRef',
            'territory' => 'core_2013_2.platform:RecordRef',
            'contribPct' => 'xsd:string',
            'partner' => 'core_2013_2.platform:RecordRef',
            'salesGroup' => 'core_2013_2.platform:RecordRef',
            'vatRegNumber' => 'xsd:string',
            'accountNumber' => 'xsd:string',
            'taxExempt' => 'xsd:boolean',
            'terms' => 'core_2013_2.platform:RecordRef',
            'creditLimit' => 'xsd:double',
            'creditHoldOverride' => 'relationships_2013_2.listsTypes:CustomerCreditHoldOverride',
            'monthlyClosing' => 'relationships_2013_2.listsTypes:CustomerMonthlyClosing',
            'overrideCurrencyFormat' => 'xsd:boolean',
            'displaySymbol' => 'xsd:string',
            'symbolPlacement' => 'common_2013_2.platformTypes:CurrencySymbolPlacement',
            'balance' => 'xsd:double',
            'overdueBalance' => 'xsd:double',
            'daysOverdue' => 'xsd:long',
            'unbilledOrders' => 'xsd:double',
            'consolUnbilledOrders' => 'xsd:double',
            'consolOverdueBalance' => 'xsd:double',
            'consolDepositBalance' => 'xsd:double',
            'consolBalance' => 'xsd:double',
            'consolAging' => 'xsd:double',
            'consolDaysOverdue' => 'xsd:long',
            'priceLevel' => 'core_2013_2.platform:RecordRef',
            'currency' => 'core_2013_2.platform:RecordRef',
            'prefCCProcessor' => 'core_2013_2.platform:RecordRef',
            'depositBalance' => 'xsd:double',
            'shipComplete' => 'xsd:boolean',
            'taxable' => 'xsd:boolean',
            'taxItem' => 'core_2013_2.platform:RecordRef',
            'resaleNumber' => 'xsd:string',
            'aging' => 'xsd:double',
            'startDate' => 'xsd:dateTime',
            'endDate' => 'xsd:dateTime',
            'reminderDays' => 'xsd:long',
            'shippingItem' => 'core_2013_2.platform:RecordRef',
            'thirdPartyAcct' => 'xsd:string',
            'thirdPartyZipcode' => 'xsd:string',
            'thirdPartyCountry' => 'common_2013_2.platformTypes:Country',
            'giveAccess' => 'xsd:boolean',
            'estimatedBudget' => 'xsd:double',
            'accessRole' => 'core_2013_2.platform:RecordRef',
            'sendEmail' => 'xsd:boolean',
            'password' => 'xsd:string',
            'password2' => 'xsd:string',
            'requirePwdChange' => 'xsd:boolean',
            'campaignCategory' => 'core_2013_2.platform:RecordRef',
            'leadSource' => 'core_2013_2.platform:RecordRef',
            'receivablesAccount' => 'core_2013_2.platform:RecordRef',
            'drAccount' => 'core_2013_2.platform:RecordRef',
            'fxAccount' => 'core_2013_2.platform:RecordRef',
            'defaultOrderPriority' => 'xsd:double',
            'webLead' => 'xsd:string',
            'referrer' => 'xsd:string',
            'keywords' => 'xsd:string',
            'clickStream' => 'xsd:string',
            'lastPageVisited' => 'xsd:string',
            'visits' => 'xsd:long',
            'firstVisit' => 'xsd:dateTime',
            'lastVisit' => 'xsd:dateTime',
            'billPay' => 'xsd:boolean',
            'openingBalance' => 'xsd:double',
            'lastModifiedDate' => 'xsd:dateTime',
            'openingBalanceDate' => 'xsd:dateTime',
            'openingBalanceAccount' => 'core_2013_2.platform:RecordRef',
            'stage' => 'relationships_2013_2.listsTypes:CustomerStage',
            'emailTransactions' => 'xsd:boolean',
            'printTransactions' => 'xsd:boolean',
            'faxTransactions' => 'xsd:boolean',
            'syncPartnerTeams' => 'xsd:boolean',
            'isBudgetApproved' => 'xsd:boolean',
            'globalSubscriptionStatus' => 'common_2013_2.platformTypes:GlobalSubscriptionStatus',
            'salesReadiness' => 'core_2013_2.platform:RecordRef',
            'salesTeamList' => 'relationships_2013_2.lists:CustomerSalesTeamList',
            'buyingReason' => 'core_2013_2.platform:RecordRef',
            'downloadList' => 'relationships_2013_2.lists:CustomerDownloadList',
            'buyingTimeFrame' => 'core_2013_2.platform:RecordRef',
            'addressbookList' => 'relationships_2013_2.lists:CustomerAddressbookList',
            'subscriptionsList' => 'relationships_2013_2.lists:SubscriptionsList',
            'contactRolesList' => 'relationships_2013_2.lists:ContactAccessRolesList',
            'currencyList' => 'relationships_2013_2.lists:CustomerCurrencyList',
            'creditCardsList' => 'relationships_2013_2.lists:CustomerCreditCardsList',
            'partnersList' => 'relationships_2013_2.lists:CustomerPartnersList',
            'groupPricingList' => 'relationships_2013_2.lists:CustomerGroupPricingList',
            'itemPricingList' => 'relationships_2013_2.lists:CustomerItemPricingList',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        CustomerDownload => {
            'file' => 'core_2013_2.platform:RecordRef',
            'licenseCode' => 'xsd:string',
            'remainingDownloads' => 'xsd:long',
            'expiration' => 'xsd:dateTime',
        },
    
        CustomerDownloadList => {
            'download' => 'relationships_2013_2.lists:CustomerDownload',
        },
    
        ContactAccessRoles => {
            'giveAccess' => 'xsd:boolean',
            'contact' => 'core_2013_2.platform:RecordRef',
            'email' => 'xsd:string',
            'role' => 'core_2013_2.platform:RecordRef',
            'password' => 'xsd:string',
            'password2' => 'xsd:string',
            'sendEmail' => 'xsd:boolean',
        },
    
        ContactAccessRolesList => {
            'contactRoles' => 'relationships_2013_2.lists:ContactAccessRoles',
        },
    
        CustomerSalesTeam => {
            'employee' => 'core_2013_2.platform:RecordRef',
            'salesRole' => 'core_2013_2.platform:RecordRef',
            'isPrimary' => 'xsd:boolean',
            'contribution' => 'xsd:double',
        },
    
        CustomerSalesTeamList => {
            'salesTeam' => 'relationships_2013_2.lists:CustomerSalesTeam',
        },
    
        CustomerAddressbook => {
            'defaultShipping' => 'xsd:boolean',
            'defaultBilling' => 'xsd:boolean',
            'isResidential' => 'xsd:boolean',
            'label' => 'xsd:string',
            'attention' => 'xsd:string',
            'addressee' => 'xsd:string',
            'phone' => 'xsd:string',
            'addr1' => 'xsd:string',
            'addr2' => 'xsd:string',
            'addr3' => 'xsd:string',
            'city' => 'xsd:string',
            'zip' => 'xsd:string',
            'country' => 'common_2013_2.platformTypes:Country',
            'addrText' => 'xsd:string',
            'override' => 'xsd:boolean',
            'internalId' => 'xsd:string',
            'state' => 'xsd:string',
        },
    
        CustomerAddressbookList => {
            'addressbook' => 'relationships_2013_2.lists:CustomerAddressbook',
        },
    
        CustomerCreditCards => {
            'internalId' => 'xsd:string',
            'ccNumber' => 'xsd:string',
            'ccExpireDate' => 'xsd:dateTime',
            'ccName' => 'xsd:string',
            'paymentMethod' => 'core_2013_2.platform:RecordRef',
            'debitcardIssueNo' => 'xsd:string',
            'ccMemo' => 'xsd:string',
            'validfrom' => 'xsd:dateTime',
            'ccDefault' => 'xsd:boolean',
        },
    
        CustomerCreditCardsList => {
            'creditCards' => 'relationships_2013_2.lists:CustomerCreditCards',
        },
    
        CustomerGroupPricing => {
            'group' => 'core_2013_2.platform:RecordRef',
            'level' => 'core_2013_2.platform:RecordRef',
        },
    
        CustomerGroupPricingList => {
            'groupPricing' => 'relationships_2013_2.lists:CustomerGroupPricing',
        },
    
        CustomerItemPricing => {
            'item' => 'core_2013_2.platform:RecordRef',
            'level' => 'core_2013_2.platform:RecordRef',
            'currency' => 'core_2013_2.platform:RecordRef',
            'price' => 'xsd:double',
        },
    
        CustomerItemPricingList => {
            'itemPricing' => 'relationships_2013_2.lists:CustomerItemPricing',
        },
    
        CustomerPartnersList => {
            'partners' => 'common_2013_2.platform:Partners',
        },
    
        CustomerSearchAdvanced => {
            'criteria' => 'relationships_2013_2.lists:CustomerSearch',
            'columns' => 'relationships_2013_2.lists:CustomerSearchRow',
        },
    
        CustomerSearchRow => {
            'basic' => 'common_2013_2.platform:CustomerSearchRowBasic',
            'callJoin' => 'common_2013_2.platform:PhoneCallSearchRowBasic',
            'campaignResponseJoin' => 'common_2013_2.platform:CampaignSearchRowBasic',
            'caseJoin' => 'common_2013_2.platform:SupportCaseSearchRowBasic',
            'contactJoin' => 'common_2013_2.platform:ContactSearchRowBasic',
            'contactPrimaryJoin' => 'common_2013_2.platform:ContactSearchRowBasic',
            'eventJoin' => 'common_2013_2.platform:CalendarEventSearchRowBasic',
            'fileJoin' => 'common_2013_2.platform:FileSearchRowBasic',
            'hostedPageJoin' => 'common_2013_2.platform:FileSearchRowBasic',
            'jobJoin' => 'common_2013_2.platform:JobSearchRowBasic',
            'leadSourceJoin' => 'common_2013_2.platform:CampaignSearchRowBasic',
            'messagesJoin' => 'common_2013_2.platform:MessageSearchRowBasic',
            'messagesFromJoin' => 'common_2013_2.platform:MessageSearchRowBasic',
            'messagesToJoin' => 'common_2013_2.platform:MessageSearchRowBasic',
            'opportunityJoin' => 'common_2013_2.platform:OpportunitySearchRowBasic',
            'originatingLeadJoin' => 'common_2013_2.platform:OriginatingLeadSearchRowBasic',
            'parentCustomerJoin' => 'common_2013_2.platform:CustomerSearchRowBasic',
            'partnerJoin' => 'common_2013_2.platform:PartnerSearchRowBasic',
            'purchasedItemJoin' => 'common_2013_2.platform:ItemSearchRowBasic',
            'resourceAllocationJoin' => 'common_2013_2.platform:ResourceAllocationSearchRowBasic',
            'salesRepJoin' => 'common_2013_2.platform:EmployeeSearchRowBasic',
            'subCustomerJoin' => 'common_2013_2.platform:CustomerSearchRowBasic',
            'taskJoin' => 'common_2013_2.platform:TaskSearchRowBasic',
            'timeJoin' => 'common_2013_2.platform:TimeBillSearchRowBasic',
            'topLevelParentJoin' => 'common_2013_2.platform:CustomerSearchRowBasic',
            'transactionJoin' => 'common_2013_2.platform:TransactionSearchRowBasic',
            'upsellItemJoin' => 'common_2013_2.platform:ItemSearchRowBasic',
            'userJoin' => 'common_2013_2.platform:EmployeeSearchRowBasic',
            'userNotesJoin' => 'common_2013_2.platform:NoteSearchRowBasic',
            'webSiteCategoryJoin' => 'common_2013_2.platform:SiteCategorySearchRowBasic',
            'webSiteItemJoin' => 'common_2013_2.platform:ItemSearchRowBasic',
            'customSearchJoin' => 'common_2013_2.platform:CustomSearchRowBasic',
        },
    
        CustomerStatus => {
            'name' => 'xsd:string',
            'stage' => 'relationships_2013_2.listsTypes:CustomerStatusStage',
            'probability' => 'xsd:double',
            'description' => 'xsd:string',
            'includeInLeadReports' => 'xsd:boolean',
            'isInactive' => 'xsd:boolean',
        },
    
        Partner => {
            'customForm' => 'core_2013_2.platform:RecordRef',
            'entityId' => 'xsd:string',
            'altName' => 'xsd:string',
            'partnerCode' => 'xsd:string',
            'isPerson' => 'xsd:boolean',
            'phoneticName' => 'xsd:string',
            'salutation' => 'xsd:string',
            'firstName' => 'xsd:string',
            'middleName' => 'xsd:string',
            'lastName' => 'xsd:string',
            'companyName' => 'xsd:string',
            'parent' => 'core_2013_2.platform:RecordRef',
            'phone' => 'xsd:string',
            'fax' => 'xsd:string',
            'email' => 'xsd:string',
            'url' => 'xsd:string',
            'defaultAddress' => 'xsd:string',
            'isInactive' => 'xsd:boolean',
            'lastModifiedDate' => 'xsd:dateTime',
            'dateCreated' => 'xsd:dateTime',
            'globalSubscriptionStatus' => 'common_2013_2.platformTypes:GlobalSubscriptionStatus',
            'referringUrl' => 'xsd:string',
            'roleList' => 'core_2013_2.platform:RecordRefList',
            'categoryList' => 'relationships_2013_2.lists:CategoryList',
            'title' => 'xsd:string',
            'printOnCheckAs' => 'xsd:string',
            'taxIdNum' => 'xsd:string',
            'vatRegNumber' => 'xsd:string',
            'comments' => 'xsd:string',
            'bcn' => 'xsd:string',
            'image' => 'core_2013_2.platform:RecordRef',
            'taxFractionUnit' => 'relationships_2013_2.listsTypes:TaxFractionUnit',
            'emailPreference' => 'relationships_2013_2.listsTypes:EmailPreference',
            'taxRounding' => 'relationships_2013_2.listsTypes:TaxRounding',
            'department' => 'core_2013_2.platform:RecordRef',
            'location' => 'core_2013_2.platform:RecordRef',
            'class' => 'core_2013_2.platform:RecordRef',
            'subsidiary' => 'core_2013_2.platform:RecordRef',
            'homePhone' => 'xsd:string',
            'mobilePhone' => 'xsd:string',
            'altEmail' => 'xsd:string',
            'giveAccess' => 'xsd:boolean',
            'accessRole' => 'core_2013_2.platform:RecordRef',
            'sendEmail' => 'xsd:boolean',
            'password' => 'xsd:string',
            'password2' => 'xsd:string',
            'requirePwdChange' => 'xsd:boolean',
            'subPartnerLogin' => 'xsd:boolean',
            'loginAs' => 'xsd:string',
            'eligibleForCommission' => 'xsd:boolean',
            'contactRolesList' => 'relationships_2013_2.lists:ContactAccessRolesList',
            'promoCodeList' => 'relationships_2013_2.lists:PartnerPromoCodeList',
            'addressbookList' => 'relationships_2013_2.lists:PartnerAddressbookList',
            'subscriptionsList' => 'relationships_2013_2.lists:SubscriptionsList',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        PartnerPromoCode => {
            'promoCode' => 'core_2013_2.platform:RecordRef',
            'discount' => 'xsd:string',
            'endDate' => 'xsd:dateTime',
        },
    
        PartnerPromoCodeList => {
            'promoCode' => 'relationships_2013_2.lists:PartnerPromoCode',
        },
    
        PartnerAddressbook => {
            'defaultShipping' => 'xsd:boolean',
            'defaultBilling' => 'xsd:boolean',
            'label' => 'xsd:string',
            'attention' => 'xsd:string',
            'addressee' => 'xsd:string',
            'phone' => 'xsd:string',
            'addr1' => 'xsd:string',
            'addr2' => 'xsd:string',
            'addr3' => 'xsd:string',
            'city' => 'xsd:string',
            'zip' => 'xsd:string',
            'country' => 'common_2013_2.platformTypes:Country',
            'addrText' => 'xsd:string',
            'override' => 'xsd:boolean',
            'internalId' => 'xsd:string',
            'state' => 'xsd:string',
        },
    
        PartnerAddressbookList => {
            'addressbook' => 'relationships_2013_2.lists:PartnerAddressbook',
        },
    
        PartnerSearchAdvanced => {
            'criteria' => 'relationships_2013_2.lists:PartnerSearch',
            'columns' => 'relationships_2013_2.lists:PartnerSearchRow',
        },
    
        PartnerSearchRow => {
            'basic' => 'common_2013_2.platform:PartnerSearchRowBasic',
            'campaignResponseJoin' => 'common_2013_2.platform:CampaignSearchRowBasic',
            'contactJoin' => 'common_2013_2.platform:ContactSearchRowBasic',
            'contactPrimaryJoin' => 'common_2013_2.platform:ContactSearchRowBasic',
            'customerJoin' => 'common_2013_2.platform:CustomerSearchRowBasic',
            'fileJoin' => 'common_2013_2.platform:FileSearchRowBasic',
            'messagesJoin' => 'common_2013_2.platform:MessageSearchRowBasic',
            'messagesFromJoin' => 'common_2013_2.platform:MessageSearchRowBasic',
            'messagesToJoin' => 'common_2013_2.platform:MessageSearchRowBasic',
            'opportunityJoin' => 'common_2013_2.platform:OpportunitySearchRowBasic',
            'transactionJoin' => 'common_2013_2.platform:TransactionSearchRowBasic',
            'userJoin' => 'common_2013_2.platform:EmployeeSearchRowBasic',
            'userNotesJoin' => 'common_2013_2.platform:NoteSearchRowBasic',
            'customSearchJoin' => 'common_2013_2.platform:CustomSearchRowBasic',
        },
    
        Vendor => {
            'customForm' => 'core_2013_2.platform:RecordRef',
            'entityId' => 'xsd:string',
            'altName' => 'xsd:string',
            'isPerson' => 'xsd:boolean',
            'phoneticName' => 'xsd:string',
            'salutation' => 'xsd:string',
            'firstName' => 'xsd:string',
            'middleName' => 'xsd:string',
            'lastName' => 'xsd:string',
            'companyName' => 'xsd:string',
            'phone' => 'xsd:string',
            'fax' => 'xsd:string',
            'email' => 'xsd:string',
            'url' => 'xsd:string',
            'defaultAddress' => 'xsd:string',
            'isInactive' => 'xsd:boolean',
            'lastModifiedDate' => 'xsd:dateTime',
            'dateCreated' => 'xsd:dateTime',
            'category' => 'core_2013_2.platform:RecordRef',
            'title' => 'xsd:string',
            'printOnCheckAs' => 'xsd:string',
            'altPhone' => 'xsd:string',
            'homePhone' => 'xsd:string',
            'mobilePhone' => 'xsd:string',
            'altEmail' => 'xsd:string',
            'comments' => 'xsd:string',
            'globalSubscriptionStatus' => 'common_2013_2.platformTypes:GlobalSubscriptionStatus',
            'image' => 'core_2013_2.platform:RecordRef',
            'emailPreference' => 'relationships_2013_2.listsTypes:EmailPreference',
            'subsidiary' => 'core_2013_2.platform:RecordRef',
            'representingSubsidiary' => 'core_2013_2.platform:RecordRef',
            'accountNumber' => 'xsd:string',
            'legalName' => 'xsd:string',
            'vatRegNumber' => 'xsd:string',
            'expenseAccount' => 'core_2013_2.platform:RecordRef',
            'payablesAccount' => 'core_2013_2.platform:RecordRef',
            'terms' => 'core_2013_2.platform:RecordRef',
            'creditLimit' => 'xsd:double',
            'balancePrimary' => 'xsd:double',
            'openingBalance' => 'xsd:double',
            'openingBalanceDate' => 'xsd:dateTime',
            'openingBalanceAccount' => 'core_2013_2.platform:RecordRef',
            'balance' => 'xsd:double',
            'unbilledOrdersPrimary' => 'xsd:double',
            'bcn' => 'xsd:string',
            'unbilledOrders' => 'xsd:double',
            'currency' => 'core_2013_2.platform:RecordRef',
            'is1099Eligible' => 'xsd:boolean',
            'isJobResourceVend' => 'xsd:boolean',
            'laborCost' => 'xsd:double',
            'workCalendar' => 'core_2013_2.platform:RecordRef',
            'taxIdNum' => 'xsd:string',
            'taxItem' => 'core_2013_2.platform:RecordRef',
            'giveAccess' => 'xsd:boolean',
            'sendEmail' => 'xsd:boolean',
            'billPay' => 'xsd:boolean',
            'isAccountant' => 'xsd:boolean',
            'password' => 'xsd:string',
            'password2' => 'xsd:string',
            'requirePwdChange' => 'xsd:boolean',
            'eligibleForCommission' => 'xsd:boolean',
            'emailTransactions' => 'xsd:boolean',
            'printTransactions' => 'xsd:boolean',
            'faxTransactions' => 'xsd:boolean',
            'pricingScheduleList' => 'relationships_2013_2.lists:VendorPricingScheduleList',
            'subscriptionsList' => 'relationships_2013_2.lists:SubscriptionsList',
            'addressbookList' => 'relationships_2013_2.lists:VendorAddressbookList',
            'currencyList' => 'relationships_2013_2.lists:VendorCurrencyList',
            'rolesList' => 'relationships_2013_2.lists:VendorRolesList',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        VendorPricingSchedule => {
            'scheduleName' => 'xsd:string',
            'scheduleDiscount' => 'xsd:double',
        },
    
        VendorPricingScheduleList => {
            'pricingSchedule' => 'relationships_2013_2.lists:VendorPricingSchedule',
        },
    
        VendorAddressbook => {
            'defaultShipping' => 'xsd:boolean',
            'defaultBilling' => 'xsd:boolean',
            'label' => 'xsd:string',
            'attention' => 'xsd:string',
            'addressee' => 'xsd:string',
            'phone' => 'xsd:string',
            'addr1' => 'xsd:string',
            'addr2' => 'xsd:string',
            'addr3' => 'xsd:string',
            'city' => 'xsd:string',
            'zip' => 'xsd:string',
            'country' => 'common_2013_2.platformTypes:Country',
            'addrText' => 'xsd:string',
            'override' => 'xsd:boolean',
            'internalId' => 'xsd:string',
            'state' => 'xsd:string',
        },
    
        VendorAddressbookList => {
            'addressbook' => 'relationships_2013_2.lists:VendorAddressbook',
        },
    
        VendorRoles => {
            'selectedRole' => 'core_2013_2.platform:RecordRef',
        },
    
        VendorRolesList => {
            'roles' => 'relationships_2013_2.lists:VendorRoles',
        },
    
        VendorSearchAdvanced => {
            'criteria' => 'relationships_2013_2.lists:VendorSearch',
            'columns' => 'relationships_2013_2.lists:VendorSearchRow',
        },
    
        VendorSearchRow => {
            'basic' => 'common_2013_2.platform:VendorSearchRowBasic',
            'campaignResponseJoin' => 'common_2013_2.platform:CampaignSearchRowBasic',
            'contactJoin' => 'common_2013_2.platform:ContactSearchRowBasic',
            'contactPrimaryJoin' => 'common_2013_2.platform:ContactSearchRowBasic',
            'fileJoin' => 'common_2013_2.platform:FileSearchRowBasic',
            'messagesJoin' => 'common_2013_2.platform:MessageSearchRowBasic',
            'messagesFromJoin' => 'common_2013_2.platform:MessageSearchRowBasic',
            'messagesToJoin' => 'common_2013_2.platform:MessageSearchRowBasic',
            'transactionJoin' => 'common_2013_2.platform:TransactionSearchRowBasic',
            'userJoin' => 'common_2013_2.platform:EmployeeSearchRowBasic',
            'userNotesJoin' => 'common_2013_2.platform:NoteSearchRowBasic',
            'customSearchJoin' => 'common_2013_2.platform:CustomSearchRowBasic',
        },
    
        EntityGroup => {
            'groupName' => 'xsd:string',
            'groupType' => 'relationships_2013_2.listsTypes:EntityGroupType',
            'email' => 'xsd:string',
            'groupOwner' => 'core_2013_2.platform:RecordRef',
            'isSavedSearch' => 'xsd:boolean',
            'parentGroupType' => 'relationships_2013_2.listsTypes:EntityGroupType',
            'savedSearch' => 'core_2013_2.platform:RecordRef',
            'isSalesTeam' => 'xsd:boolean',
            'comments' => 'xsd:string',
            'isPrivate' => 'xsd:boolean',
            'restrictionGroup' => 'core_2013_2.platform:RecordRef',
            'isInactive' => 'xsd:boolean',
            'isSalesRep' => 'xsd:boolean',
            'isSupportRep' => 'xsd:boolean',
            'isProductTeam' => 'xsd:boolean',
            'isFunctionalTeam' => 'xsd:boolean',
            'issueRole' => 'core_2013_2.platform:RecordRef',
            'isManufacturingWorkCenter' => 'xsd:boolean',
            'calendarName' => 'xsd:string',
            'calendarStartTime' => 'relationships_2013_2.listsTypes:EntityGroupDailyTime',
            'calendarEndTime' => 'relationships_2013_2.listsTypes:EntityGroupDailyTime',
            'calendarDefaultView' => 'relationships_2013_2.listsTypes:EntityGroupDefView',
            'calendarPeriod' => 'relationships_2013_2.listsTypes:EntityGroupPeriodSize',
            'subsidiary' => 'core_2013_2.platform:RecordRef',
            'machineResources' => 'xsd:long',
            'laborResources' => 'xsd:long',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        EntityGroupSearchAdvanced => {
            'criteria' => 'relationships_2013_2.lists:EntityGroupSearch',
            'columns' => 'relationships_2013_2.lists:EntityGroupSearchRow',
        },
    
        EntityGroupSearchRow => {
            'basic' => 'common_2013_2.platform:EntityGroupSearchRowBasic',
            'groupMemberJoin' => 'common_2013_2.platform:EntitySearchRowBasic',
            'userJoin' => 'common_2013_2.platform:EmployeeSearchRowBasic',
            'customSearchJoin' => 'common_2013_2.platform:CustomSearchRowBasic',
        },
    
        Job => {
            'customForm' => 'core_2013_2.platform:RecordRef',
            'entityId' => 'xsd:string',
            'altName' => 'xsd:string',
            'companyName' => 'xsd:string',
            'phoneticName' => 'xsd:string',
            'entityStatus' => 'core_2013_2.platform:RecordRef',
            'defaultAddress' => 'xsd:string',
            'parent' => 'core_2013_2.platform:RecordRef',
            'isInactive' => 'xsd:boolean',
            'lastModifiedDate' => 'xsd:dateTime',
            'billPay' => 'xsd:boolean',
            'dateCreated' => 'xsd:dateTime',
            'category' => 'core_2013_2.platform:RecordRef',
            'workplace' => 'core_2013_2.platform:RecordRef',
            'language' => 'core_2013_2.platform:RecordRef',
            'comments' => 'xsd:string',
            'accountNumber' => 'xsd:string',
            'currency' => 'core_2013_2.platform:RecordRef',
            'fxRate' => 'xsd:double',
            'startDate' => 'xsd:dateTime',
            'endDate' => 'xsd:dateTime',
            'phone' => 'xsd:string',
            'altPhone' => 'xsd:string',
            'calculatedEndDate' => 'xsd:dateTime',
            'calculatedEndDateBaseline' => 'xsd:dateTime',
            'startDateBaseline' => 'xsd:dateTime',
            'projectedEndDate' => 'xsd:dateTime',
            'projectedEndDateBaseline' => 'xsd:dateTime',
            'lastBaselineDate' => 'xsd:dateTime',
            'jobType' => 'core_2013_2.platform:RecordRef',
            'percentComplete' => 'xsd:double',
            'estimatedCost' => 'xsd:double',
            'estimatedRevenue' => 'xsd:double',
            'estimatedTime' => 'core_2013_2.platform:Duration',
            'estimatedTimeOverride' => 'core_2013_2.platform:Duration',
            'fax' => 'xsd:string',
            'email' => 'xsd:string',
            'emailPreference' => 'relationships_2013_2.listsTypes:EmailPreference',
            'openingBalance' => 'xsd:double',
            'openingBalanceDate' => 'xsd:dateTime',
            'openingBalanceAccount' => 'core_2013_2.platform:RecordRef',
            'subsidiary' => 'core_2013_2.platform:RecordRef',
            'jobBillingType' => 'relationships_2013_2.listsTypes:JobBillingType',
            'billingSchedule' => 'core_2013_2.platform:RecordRef',
            'jobItem' => 'core_2013_2.platform:RecordRef',
            'percentTimeComplete' => 'xsd:double',
            'actualTime' => 'core_2013_2.platform:Duration',
            'allowTime' => 'xsd:boolean',
            'timeRemaining' => 'core_2013_2.platform:Duration',
            'limitTimeToAssignees' => 'xsd:boolean',
            'estimatedLaborCost' => 'xsd:double',
            'estimatedLaborCostBaseline' => 'xsd:double',
            'estimateRevRecTemplate' => 'core_2013_2.platform:RecordRef',
            'estimatedLaborRevenue' => 'xsd:double',
            'estimatedGrossProfit' => 'xsd:double',
            'estimatedGrossProfitPercent' => 'xsd:double',
            'projectExpenseType' => 'core_2013_2.platform:RecordRef',
            'applyProjectExpenseTypeToAll' => 'xsd:boolean',
            'allowAllResourcesForTasks' => 'xsd:boolean',
            'jobPrice' => 'xsd:double',
            'isUtilizedTime' => 'xsd:boolean',
            'isProductiveTime' => 'xsd:boolean',
            'isExemptTime' => 'xsd:boolean',
            'materializeTime' => 'xsd:boolean',
            'allowExpenses' => 'xsd:boolean',
            'allocatePayrollExpenses' => 'xsd:boolean',
            'includeCrmTasksInTotals' => 'xsd:boolean',
            'globalSubscriptionStatus' => 'common_2013_2.platformTypes:GlobalSubscriptionStatus',
            'jobResourcesList' => 'relationships_2013_2.lists:JobResourcesList',
            'addressbookList' => 'relationships_2013_2.lists:JobAddressbookList',
            'milestonesList' => 'relationships_2013_2.lists:JobMilestonesList',
            'creditCardsList' => 'relationships_2013_2.lists:JobCreditCardsList',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        JobAddressbook => {
            'defaultShipping' => 'xsd:boolean',
            'defaultBilling' => 'xsd:boolean',
            'isResidential' => 'xsd:boolean',
            'label' => 'xsd:string',
            'attention' => 'xsd:string',
            'addressee' => 'xsd:string',
            'phone' => 'xsd:string',
            'addr1' => 'xsd:string',
            'addr2' => 'xsd:string',
            'addr3' => 'xsd:string',
            'city' => 'xsd:string',
            'zip' => 'xsd:string',
            'country' => 'common_2013_2.platformTypes:Country',
            'addrText' => 'xsd:string',
            'override' => 'xsd:boolean',
            'internalId' => 'xsd:string',
            'state' => 'xsd:string',
        },
    
        JobAddressbookList => {
            'addressbook' => 'relationships_2013_2.lists:JobAddressbook',
        },
    
        JobResources => {
            'jobResource' => 'core_2013_2.platform:RecordRef',
            'email' => 'xsd:string',
            'role' => 'core_2013_2.platform:RecordRef',
        },
    
        JobResourcesList => {
            'jobResources' => 'relationships_2013_2.lists:JobResources',
        },
    
        JobMilestones => {
            'milestoneName' => 'xsd:string',
            'milestoneOrder' => 'xsd:string',
            'milestoneEstComplete' => 'xsd:dateTime',
            'milestoneCompleted' => 'xsd:boolean',
            'milestoneComments' => 'xsd:string',
        },
    
        JobMilestonesList => {
            'milestones' => 'relationships_2013_2.lists:JobMilestones',
        },
    
        JobCreditCards => {
            'internalId' => 'xsd:string',
            'ccNumber' => 'xsd:string',
            'ccExpireDate' => 'xsd:dateTime',
            'ccName' => 'xsd:string',
            'paymentMethod' => 'core_2013_2.platform:RecordRef',
            'ccMemo' => 'xsd:string',
            'ccDefault' => 'xsd:boolean',
            'debitCardIssueNo' => 'xsd:string',
            'validFrom' => 'xsd:dateTime',
        },
    
        JobCreditCardsList => {
            'creditCards' => 'relationships_2013_2.lists:JobCreditCards',
        },
    
        JobSearchAdvanced => {
            'criteria' => 'relationships_2013_2.lists:JobSearch',
            'columns' => 'relationships_2013_2.lists:JobSearchRow',
        },
    
        JobSearchRow => {
            'basic' => 'common_2013_2.platform:JobSearchRowBasic',
            'contactPrimaryJoin' => 'common_2013_2.platform:ContactSearchRowBasic',
            'customerJoin' => 'common_2013_2.platform:CustomerSearchRowBasic',
            'projectTaskJoin' => 'common_2013_2.platform:ProjectTaskSearchRowBasic',
            'resourceAllocationJoin' => 'common_2013_2.platform:ResourceAllocationSearchRowBasic',
            'taskJoin' => 'common_2013_2.platform:TaskSearchRowBasic',
            'timeJoin' => 'common_2013_2.platform:TimeBillSearchRowBasic',
            'customSearchJoin' => 'common_2013_2.platform:CustomSearchRowBasic',
        },
    
        JobType => {
            'name' => 'xsd:string',
            'parent' => 'core_2013_2.platform:RecordRef',
            'isInactive' => 'xsd:boolean',
        },
    
        JobStatus => {
            'name' => 'xsd:string',
            'description' => 'xsd:string',
            'isInactive' => 'xsd:boolean',
        },
    
        CustomerStatusSearchAdvanced => {
            'criteria' => 'relationships_2013_2.lists:CustomerStatusSearch',
            'columns' => 'relationships_2013_2.lists:CustomerStatusSearchRow',
        },
    
        CustomerStatusSearchRow => {
            'basic' => 'common_2013_2.platform:CustomerStatusSearchRowBasic',
            'userJoin' => 'common_2013_2.platform:EmployeeSearchRowBasic',
        },
    
        JobStatusSearchAdvanced => {
            'criteria' => 'relationships_2013_2.lists:JobStatusSearch',
            'columns' => 'relationships_2013_2.lists:JobStatusSearchRow',
        },
    
        JobStatusSearchRow => {
            'basic' => 'common_2013_2.platform:JobStatusSearchRowBasic',
            'userJoin' => 'common_2013_2.platform:EmployeeSearchRowBasic',
        },
    
        JobTypeSearchAdvanced => {
            'criteria' => 'relationships_2013_2.lists:JobTypeSearch',
            'columns' => 'relationships_2013_2.lists:JobTypeSearchRow',
        },
    
        JobTypeSearchRow => {
            'basic' => 'common_2013_2.platform:JobTypeSearchRowBasic',
            'userJoin' => 'common_2013_2.platform:EmployeeSearchRowBasic',
        },
    
        OriginatingLeadSearchRow => {
            'basic' => 'common_2013_2.platform:OriginatingLeadSearchRowBasic',
            'customSearchJoin' => 'common_2013_2.platform:CustomSearchRowBasic',
        },
    
        CustomerCurrency => {
            'currency' => 'core_2013_2.platform:RecordRef',
            'balance' => 'xsd:double',
            'consolBalance' => 'xsd:double',
            'depositBalance' => 'xsd:double',
            'consolDepositBalance' => 'xsd:double',
            'overdueBalance' => 'xsd:double',
            'consolOverdueBalance' => 'xsd:double',
            'unbilledOrders' => 'xsd:double',
            'consolUnbilledOrders' => 'xsd:double',
            'overrideCurrencyFormat' => 'xsd:boolean',
            'displaySymbol' => 'xsd:string',
            'symbolPlacement' => 'common_2013_2.platformTypes:CurrencySymbolPlacement',
        },
    
        CustomerCurrencyList => {
            'currency' => 'relationships_2013_2.lists:CustomerCurrency',
        },
    
        VendorCurrency => {
            'currency' => 'core_2013_2.platform:RecordRef',
            'balance' => 'xsd:double',
            'unbilledOrders' => 'xsd:double',
        },
    
        VendorCurrencyList => {
            'vendorCurrency' => 'relationships_2013_2.lists:VendorCurrency',
        },
    
        SupportCase => {
            'escalationMessage' => 'xsd:string',
            'lastReopenedDate' => 'xsd:dateTime',
            'endDate' => 'xsd:dateTime',
            'incomingMessage' => 'xsd:string',
            'insertSolution' => 'core_2013_2.platform:RecordRef',
            'outgoingMessage' => 'xsd:string',
            'searchSolution' => 'xsd:string',
            'emailForm' => 'xsd:boolean',
            'newSolutionFromMsg' => 'xsd:string',
            'internalOnly' => 'xsd:boolean',
            'customForm' => 'core_2013_2.platform:RecordRef',
            'title' => 'xsd:string',
            'caseNumber' => 'xsd:string',
            'startDate' => 'xsd:dateTime',
            'createdDate' => 'xsd:dateTime',
            'lastModifiedDate' => 'xsd:dateTime',
            'lastMessageDate' => 'xsd:dateTime',
            'company' => 'core_2013_2.platform:RecordRef',
            'subsidiary' => 'core_2013_2.platform:RecordRef',
            'contact' => 'core_2013_2.platform:RecordRef',
            'email' => 'xsd:string',
            'phone' => 'xsd:string',
            'product' => 'core_2013_2.platform:RecordRef',
            'module' => 'core_2013_2.platform:RecordRef',
            'item' => 'core_2013_2.platform:RecordRef',
            'serialNumber' => 'core_2013_2.platform:RecordRef',
            'inboundEmail' => 'xsd:string',
            'issue' => 'core_2013_2.platform:RecordRef',
            'status' => 'core_2013_2.platform:RecordRef',
            'isInactive' => 'xsd:boolean',
            'priority' => 'core_2013_2.platform:RecordRef',
            'origin' => 'core_2013_2.platform:RecordRef',
            'category' => 'core_2013_2.platform:RecordRef',
            'assigned' => 'core_2013_2.platform:RecordRef',
            'helpDesk' => 'xsd:boolean',
            'emailEmployeesList' => 'support_2013_2.lists:EmailEmployeesList',
            'escalateToList' => 'support_2013_2.lists:SupportCaseEscalateToList',
            'timeItemList' => 'support_2013_2.lists:SupportCaseTimeItemList',
            'solutionsList' => 'support_2013_2.lists:SupportCaseSolutionsList',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        EmailEmployeesList => {
            'emailEmployees' => 'core_2013_2.platform:RecordRef',
        },
    
        SupportCaseEscalateTo => {
            'escalatee' => 'core_2013_2.platform:RecordRef',
            'email' => 'xsd:string',
            'phone' => 'xsd:string',
        },
    
        SupportCaseEscalateToList => {
            'escalateTo' => 'support_2013_2.lists:SupportCaseEscalateTo',
        },
    
        SupportCaseSolutions => {
            'solution' => 'core_2013_2.platform:RecordRef',
            'message' => 'xsd:string',
            'dateApplied' => 'xsd:dateTime',
        },
    
        SupportCaseSolutionsList => {
            'solutions' => 'support_2013_2.lists:SupportCaseSolutions',
        },
    
        SupportCaseTimeItemList => {
            'timeItem' => 'common_2013_2.platform:TimeItem',
        },
    
        SupportCaseSearchAdvanced => {
            'criteria' => 'support_2013_2.lists:SupportCaseSearch',
            'columns' => 'support_2013_2.lists:SupportCaseSearchRow',
        },
    
        SupportCaseSearchRow => {
            'basic' => 'common_2013_2.platform:SupportCaseSearchRowBasic',
            'contactJoin' => 'common_2013_2.platform:ContactSearchRowBasic',
            'customerJoin' => 'common_2013_2.platform:CustomerSearchRowBasic',
            'employeeJoin' => 'common_2013_2.platform:EmployeeSearchRowBasic',
            'fileJoin' => 'common_2013_2.platform:FileSearchRowBasic',
            'issueJoin' => 'common_2013_2.platform:IssueSearchRowBasic',
            'itemJoin' => 'common_2013_2.platform:ItemSearchRowBasic',
            'messagesJoin' => 'common_2013_2.platform:MessageSearchRowBasic',
            'timeJoin' => 'common_2013_2.platform:TimeBillSearchRowBasic',
            'userJoin' => 'common_2013_2.platform:EmployeeSearchRowBasic',
            'userNotesJoin' => 'common_2013_2.platform:NoteSearchRowBasic',
            'customSearchJoin' => 'common_2013_2.platform:CustomSearchRowBasic',
        },
    
        SupportCaseStatus => {
            'name' => 'xsd:string',
            'insertBefore' => 'core_2013_2.platform:RecordRef',
            'stage' => 'support_2013_2.listsTypes:SupportCaseStatusStage',
            'caseOnHold' => 'xsd:boolean',
            'autoCloseCase' => 'xsd:boolean',
            'description' => 'xsd:string',
            'isInactive' => 'xsd:boolean',
        },
    
        SupportCaseType => {
            'name' => 'xsd:string',
            'insertBefore' => 'core_2013_2.platform:RecordRef',
            'description' => 'xsd:string',
            'isInactive' => 'xsd:boolean',
        },
    
        SupportCaseOrigin => {
            'name' => 'xsd:string',
            'insertBefore' => 'core_2013_2.platform:RecordRef',
            'description' => 'xsd:string',
            'isInactive' => 'xsd:boolean',
        },
    
        SupportCaseIssue => {
            'name' => 'xsd:string',
            'insertBefore' => 'core_2013_2.platform:RecordRef',
            'description' => 'xsd:string',
            'isInactive' => 'xsd:boolean',
        },
    
        SupportCasePriority => {
            'name' => 'xsd:string',
            'insertBefore' => 'core_2013_2.platform:RecordRef',
            'description' => 'xsd:string',
            'isInactive' => 'xsd:boolean',
        },
    
        Solution => {
            'customForm' => 'core_2013_2.platform:RecordRef',
            'solutionCode' => 'xsd:string',
            'title' => 'xsd:string',
            'message' => 'xsd:string',
            'status' => 'support_2013_2.listsTypes:SolutionStatus',
            'displayOnline' => 'xsd:boolean',
            'assigned' => 'core_2013_2.platform:RecordRef',
            'isInactive' => 'xsd:boolean',
            'longDescription' => 'xsd:string',
            'topicsList' => 'support_2013_2.lists:SolutionTopicsList',
            'createdDate' => 'xsd:dateTime',
            'lastModifiedDate' => 'xsd:dateTime',
            'solutionsList' => 'support_2013_2.lists:SolutionsList',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        SolutionTopics => {
            'topic' => 'core_2013_2.platform:RecordRef',
        },
    
        SolutionTopicsList => {
            'topics' => 'support_2013_2.lists:SolutionTopics',
        },
    
        Solutions => {
            'solution' => 'core_2013_2.platform:RecordRef',
            'message' => 'xsd:string',
        },
    
        SolutionsList => {
            'solutions' => 'support_2013_2.lists:Solutions',
        },
    
        SolutionSearchAdvanced => {
            'criteria' => 'support_2013_2.lists:SolutionSearch',
            'columns' => 'support_2013_2.lists:SolutionSearchRow',
        },
    
        SolutionSearchRow => {
            'basic' => 'common_2013_2.platform:SolutionSearchRowBasic',
            'caseJoin' => 'common_2013_2.platform:SupportCaseSearchRowBasic',
            'relatedSolutionJoin' => 'common_2013_2.platform:SolutionSearchRowBasic',
            'topicJoin' => 'common_2013_2.platform:TopicSearchRowBasic',
            'userJoin' => 'common_2013_2.platform:EmployeeSearchRowBasic',
            'userNotesJoin' => 'common_2013_2.platform:NoteSearchRowBasic',
            'customSearchJoin' => 'common_2013_2.platform:CustomSearchRowBasic',
        },
    
        Topic => {
            'title' => 'xsd:string',
            'parentTopic' => 'core_2013_2.platform:RecordRef',
            'description' => 'xsd:string',
            'isInactive' => 'xsd:boolean',
            'longDescription' => 'xsd:string',
            'solutionList' => 'support_2013_2.lists:TopicSolutionList',
        },
    
        TopicSolution => {
            'solution' => 'core_2013_2.platform:RecordRef',
            'message' => 'xsd:string',
        },
    
        TopicSolutionList => {
            'solution' => 'support_2013_2.lists:TopicSolution',
        },
    
        TopicSearchAdvanced => {
            'criteria' => 'support_2013_2.lists:TopicSearch',
            'columns' => 'support_2013_2.lists:TopicSearchRow',
        },
    
        TopicSearchRow => {
            'basic' => 'common_2013_2.platform:TopicSearchRowBasic',
            'solutionJoin' => 'common_2013_2.platform:SolutionSearchRowBasic',
            'userJoin' => 'common_2013_2.platform:EmployeeSearchRowBasic',
        },
    
        Issue => {
            'customForm' => 'core_2013_2.platform:RecordRef',
            'issueNumber' => 'xsd:string',
            'createdDate' => 'xsd:dateTime',
            'issueType' => 'core_2013_2.platform:RecordRef',
            'product' => 'core_2013_2.platform:RecordRef',
            'module' => 'core_2013_2.platform:RecordRef',
            'item' => 'core_2013_2.platform:RecordRef',
            'productTeam' => 'core_2013_2.platform:RecordRef',
            'source' => 'core_2013_2.platform:RecordRef',
            'reportedBy' => 'core_2013_2.platform:RecordRef',
            'reproduce' => 'core_2013_2.platform:RecordRef',
            'severity' => 'core_2013_2.platform:RecordRef',
            'priority' => 'core_2013_2.platform:RecordRef',
            'isShowStopper' => 'xsd:boolean',
            'assigned' => 'core_2013_2.platform:RecordRef',
            'reviewer' => 'core_2013_2.platform:RecordRef',
            'isReviewed' => 'xsd:boolean',
            'issueStatus' => 'core_2013_2.platform:RecordRef',
            'lastModifiedDate' => 'xsd:dateTime',
            'issueTagsList' => 'core_2013_2.platform:RecordRefList',
            'issueAbstract' => 'xsd:string',
            'newDetails' => 'xsd:string',
            'isOwner' => 'xsd:boolean',
            'trackCode' => 'support_2013_2.listsTypes:IssueTrackCode',
            'emailAssignee' => 'xsd:boolean',
            'emailEmployeesList' => 'support_2013_2.lists:EmailEmployeesList',
            'emailCellsList' => 'core_2013_2.platform:RecordRefList',
            'externalAbstract' => 'xsd:string',
            'externalDetails' => 'xsd:string',
            'brokenInVersionList' => 'support_2013_2.lists:IssueVersionList',
            'targetVersionList' => 'support_2013_2.lists:IssueVersionList',
            'fixedInVersionList' => 'support_2013_2.lists:IssueVersionList',
            'relatedIssuesList' => 'support_2013_2.lists:IssueRelatedIssuesList',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        IssueVersion => {
            'primary' => 'xsd:boolean',
            'version' => 'core_2013_2.platform:RecordRef',
            'build' => 'core_2013_2.platform:RecordRef',
        },
    
        IssueVersionList => {
            'issueVersion' => 'support_2013_2.lists:IssueVersion',
        },
    
        IssueSearchAdvanced => {
            'criteria' => 'support_2013_2.lists:IssueSearch',
            'columns' => 'support_2013_2.lists:IssueSearchRow',
        },
    
        IssueSearchRow => {
            'basic' => 'common_2013_2.platform:IssueSearchRowBasic',
            'caseJoin' => 'common_2013_2.platform:SupportCaseSearchRowBasic',
            'employeeJoin' => 'common_2013_2.platform:EmployeeSearchRowBasic',
            'fileJoin' => 'common_2013_2.platform:FileSearchRowBasic',
            'userJoin' => 'common_2013_2.platform:EmployeeSearchRowBasic',
            'userNotesJoin' => 'common_2013_2.platform:NoteSearchRowBasic',
            'customSearchJoin' => 'common_2013_2.platform:CustomSearchRowBasic',
        },
    
        IssueRelatedIssues => {
            'relationship' => 'support_2013_2.listsTypes:IssueRelationship',
            'issueNumber' => 'core_2013_2.platform:RecordRef',
            'relationshipComment' => 'xsd:string',
        },
    
        IssueRelatedIssuesList => {
            'issueRelatedIssues' => 'support_2013_2.lists:IssueRelatedIssues',
        },
    
        ClassTranslation => {
            'locale' => 'xsd:string',
            'language' => 'xsd:string',
            'name' => 'xsd:string',
        },
    
        ClassTranslationList => {
            'classTranslation' => 'accounting_2013_2.lists:ClassTranslation',
        },
    
        ContactCategory => {
            'name' => 'xsd:string',
            'private' => 'xsd:boolean',
            'sync' => 'xsd:boolean',
            'isInactive' => 'xsd:boolean',
        },
    
        CustomerCategory => {
            'name' => 'xsd:string',
            'isInactive' => 'xsd:boolean',
        },
    
        SalesRole => {
            'name' => 'xsd:string',
            'description' => 'xsd:string',
            'isSalesRep' => 'xsd:boolean',
            'isInactive' => 'xsd:boolean',
        },
    
        PriceLevel => {
            'name' => 'xsd:string',
            'discountpct' => 'xsd:double',
            'updateExistingPrices' => 'xsd:boolean',
            'isOnline' => 'xsd:boolean',
            'isInactive' => 'xsd:boolean',
        },
    
        WinLossReason => {
            'name' => 'xsd:string',
            'isInactive' => 'xsd:boolean',
        },
    
        Term => {
            'name' => 'xsd:string',
            'dateDriven' => 'xsd:boolean',
            'daysUntilNetDue' => 'xsd:long',
            'discountPercent' => 'xsd:double',
            'daysUntilExpiry' => 'xsd:long',
            'dayOfMonthNetDue' => 'xsd:long',
            'dueNextMonthIfWithinDays' => 'xsd:long',
            'discountPercentDateDriven' => 'xsd:double',
            'dayDiscountExpires' => 'xsd:long',
            'preferred' => 'xsd:boolean',
            'isInactive' => 'xsd:boolean',
        },
    
        NoteType => {
            'name' => 'xsd:string',
            'description' => 'xsd:string',
            'isInactive' => 'xsd:boolean',
        },
    
        PaymentMethod => {
            'name' => 'xsd:string',
            'creditCard' => 'xsd:boolean',
            'undepFunds' => 'xsd:boolean',
            'account' => 'core_2013_2.platform:RecordRef',
            'isInactive' => 'xsd:boolean',
            'isOnline' => 'xsd:boolean',
            'isDebitCard' => 'xsd:boolean',
            'merchantAccountsList' => 'core_2013_2.platform:RecordRefList',
            'payPalEmailAddress' => 'xsd:string',
            'expressCheckoutArrangement' => 'xsd:string',
            'useExpressCheckout' => 'xsd:boolean',
        },
    
        LeadSource => {
            'name' => 'xsd:string',
            'description' => 'xsd:string',
            'isInactive' => 'xsd:boolean',
        },
    
        Price => {
            'value' => 'xsd:double',
            'quantity' => 'xsd:double',
        },
    
        PriceList => {
            'price' => 'accounting_2013_2.lists:Price',
        },
    
        Pricing => {
            'currency' => 'core_2013_2.platform:RecordRef',
            'priceLevel' => 'core_2013_2.platform:RecordRef',
            'discount' => 'xsd:double',
            'priceList' => 'accounting_2013_2.lists:PriceList',
        },
    
        PricingMatrix => {
            'pricing' => 'accounting_2013_2.lists:Pricing',
        },
    
        Rate => {
            'value' => 'xsd:double',
            'priceLevel' => 'core_2013_2.platform:RecordRef',
        },
    
        RateList => {
            'rate' => 'accounting_2013_2.lists:Rate',
        },
    
        BillingRates => {
            'currency' => 'core_2013_2.platform:RecordRef',
            'billingClass' => 'core_2013_2.platform:RecordRef',
            'rateList' => 'accounting_2013_2.lists:RateList',
        },
    
        BillingRatesMatrix => {
            'billingRates' => 'accounting_2013_2.lists:BillingRates',
        },
    
        Translation => {
            'locale' => 'common_2013_2.platformTypes:Language',
            'language' => 'xsd:string',
            'displayName' => 'xsd:string',
            'description' => 'xsd:string',
            'salesDescription' => 'xsd:string',
            'storeDisplayName' => 'xsd:string',
            'storeDescription' => 'xsd:string',
            'storeDetailedDescription' => 'xsd:string',
            'featuredDescription' => 'xsd:string',
            'specialsDescription' => 'xsd:string',
            'pageTitle' => 'xsd:string',
            'noPriceMessage' => 'xsd:string',
            'outOfStockMessage' => 'xsd:string',
        },
    
        TranslationList => {
            'translation' => 'accounting_2013_2.lists:Translation',
        },
    
        ItemOptionsList => {
            'itemOptions' => 'core_2013_2.platform:RecordRef',
        },
    
        ItemVendor => {
            'vendor' => 'core_2013_2.platform:RecordRef',
            'vendorCode' => 'xsd:string',
            'vendorCurrencyName' => 'xsd:string',
            'vendorCurrency' => 'core_2013_2.platform:RecordRef',
            'purchasePrice' => 'xsd:double',
            'preferredVendor' => 'xsd:boolean',
            'schedule' => 'core_2013_2.platform:RecordRef',
            'subsidiary' => 'xsd:string',
        },
    
        ItemVendorList => {
            'itemVendor' => 'accounting_2013_2.lists:ItemVendor',
        },
    
        SiteCategory => {
            'website' => 'core_2013_2.platform:RecordRef',
            'category' => 'core_2013_2.platform:RecordRef',
            'isDefault' => 'xsd:boolean',
            'categoryDescription' => 'xsd:string',
        },
    
        SiteCategoryList => {
            'siteCategory' => 'accounting_2013_2.lists:SiteCategory',
        },
    
        ProductFeedList => {
            'productFeed' => 'accounting_2013_2.listsTypes:ItemProductFeed',
        },
    
        ItemMember => {
            'memberDescr' => 'xsd:string',
            'componentYield' => 'xsd:double',
            'bomQuantity' => 'xsd:double',
            'quantity' => 'xsd:double',
            'memberUnit' => 'xsd:string',
            'vsoeDeferral' => 'common_2013_2.platformTypes:VsoeDeferral',
            'vsoePermitDiscount' => 'common_2013_2.platformTypes:VsoePermitDiscount',
            'vsoeDelivered' => 'xsd:boolean',
            'taxSchedule' => 'core_2013_2.platform:RecordRef',
            'taxcode' => 'xsd:string',
            'item' => 'core_2013_2.platform:RecordRef',
            'taxrate' => 'xsd:double',
            'effectiveDate' => 'xsd:dateTime',
            'obsoleteDate' => 'xsd:dateTime',
            'effectiveRevision' => 'core_2013_2.platform:RecordRef',
            'obsoleteRevision' => 'core_2013_2.platform:RecordRef',
            'lineNumber' => 'xsd:long',
        },
    
        ItemMemberList => {
            'itemMember' => 'accounting_2013_2.lists:ItemMember',
        },
    
        InventoryItem => {
            'createdDate' => 'xsd:dateTime',
            'lastModifiedDate' => 'xsd:dateTime',
            'purchaseDescription' => 'xsd:string',
            'copyDescription' => 'xsd:boolean',
            'expenseAccount' => 'core_2013_2.platform:RecordRef',
            'dateConvertedToInv' => 'xsd:dateTime',
            'originalItemType' => 'accounting_2013_2.listsTypes:ItemType',
            'originalItemSubtype' => 'accounting_2013_2.listsTypes:ItemSubType',
            'cogsAccount' => 'core_2013_2.platform:RecordRef',
            'salesDescription' => 'xsd:string',
            'includeChildren' => 'xsd:boolean',
            'incomeAccount' => 'core_2013_2.platform:RecordRef',
            'taxSchedule' => 'core_2013_2.platform:RecordRef',
            'dropshipExpenseAccount' => 'core_2013_2.platform:RecordRef',
            'isTaxable' => 'xsd:boolean',
            'matrixType' => 'accounting_2013_2.listsTypes:ItemMatrixType',
            'assetAccount' => 'core_2013_2.platform:RecordRef',
            'matchBillToReceipt' => 'xsd:boolean',
            'billQtyVarianceAcct' => 'core_2013_2.platform:RecordRef',
            'billPriceVarianceAcct' => 'core_2013_2.platform:RecordRef',
            'billExchRateVarianceAcct' => 'core_2013_2.platform:RecordRef',
            'gainLossAccount' => 'core_2013_2.platform:RecordRef',
            'shippingCost' => 'xsd:double',
            'shippingCostUnits' => 'xsd:string',
            'handlingCost' => 'xsd:double',
            'handlingCostUnits' => 'xsd:string',
            'weight' => 'xsd:double',
            'weightUnit' => 'accounting_2013_2.listsTypes:ItemWeightUnit',
            'weightUnits' => 'xsd:string',
            'costingMethodDisplay' => 'xsd:string',
            'unitsType' => 'core_2013_2.platform:RecordRef',
            'stockUnit' => 'core_2013_2.platform:RecordRef',
            'purchaseUnit' => 'core_2013_2.platform:RecordRef',
            'saleUnit' => 'core_2013_2.platform:RecordRef',
            'issueProduct' => 'core_2013_2.platform:RecordRef',
            'billingSchedule' => 'core_2013_2.platform:RecordRef',
            'trackLandedCost' => 'xsd:boolean',
            'isDropShipItem' => 'xsd:boolean',
            'isSpecialOrderItem' => 'xsd:boolean',
            'stockDescription' => 'xsd:string',
            'deferredRevenueAccount' => 'core_2013_2.platform:RecordRef',
            'producer' => 'xsd:boolean',
            'manufacturer' => 'xsd:string',
            'revRecSchedule' => 'core_2013_2.platform:RecordRef',
            'mpn' => 'xsd:string',
            'multManufactureAddr' => 'xsd:boolean',
            'manufacturerAddr1' => 'xsd:string',
            'manufacturerCity' => 'xsd:string',
            'manufacturerState' => 'xsd:string',
            'manufacturerZip' => 'xsd:string',
            'countryOfManufacture' => 'common_2013_2.platformTypes:Country',
            'roundUpAsComponent' => 'xsd:boolean',
            'defaultItemShipMethod' => 'core_2013_2.platform:RecordRef',
            'itemCarrier' => 'accounting_2013_2.listsTypes:ItemCarrier',
            'itemShipMethodList' => 'core_2013_2.platform:RecordRefList',
            'manufacturerTaxId' => 'xsd:string',
            'scheduleBNumber' => 'xsd:string',
            'scheduleBQuantity' => 'xsd:long',
            'scheduleBCode' => 'accounting_2013_2.listsTypes:ScheduleBCode',
            'manufacturerTariff' => 'xsd:string',
            'preferenceCriterion' => 'accounting_2013_2.listsTypes:ItemPreferenceCriterion',
            'minimumQuantity' => 'xsd:long',
            'enforceMinQtyInternally' => 'xsd:boolean',
            'minimumQuantityUnits' => 'xsd:string',
            'softDescriptor' => 'core_2013_2.platform:RecordRef',
            'shipPackage' => 'core_2013_2.platform:RecordRef',
            'shipIndividually' => 'xsd:boolean',
            'costCategory' => 'core_2013_2.platform:RecordRef',
            'pricesIncludeTax' => 'xsd:boolean',
            'purchasePriceVarianceAcct' => 'core_2013_2.platform:RecordRef',
            'quantityPricingSchedule' => 'core_2013_2.platform:RecordRef',
            'reorderPointUnits' => 'xsd:string',
            'useMarginalRates' => 'xsd:boolean',
            'preferredStockLevelUnits' => 'xsd:string',
            'costEstimateType' => 'common_2013_2.platformTypes:ItemCostEstimateType',
            'costEstimate' => 'xsd:double',
            'transferPrice' => 'xsd:double',
            'overallQuantityPricingType' => 'accounting_2013_2.listsTypes:ItemOverallQuantityPricingType',
            'pricingGroup' => 'core_2013_2.platform:RecordRef',
            'vsoePrice' => 'xsd:double',
            'vsoeSopGroup' => 'common_2013_2.platformTypes:VsoeSopGroup',
            'costEstimateUnits' => 'xsd:string',
            'vsoeDeferral' => 'common_2013_2.platformTypes:VsoeDeferral',
            'vsoePermitDiscount' => 'common_2013_2.platformTypes:VsoePermitDiscount',
            'vsoeDelivered' => 'xsd:boolean',
            'preferredLocation' => 'core_2013_2.platform:RecordRef',
            'reorderMultiple' => 'xsd:long',
            'cost' => 'xsd:double',
            'lastInvtCountDate' => 'xsd:dateTime',
            'nextInvtCountDate' => 'xsd:dateTime',
            'invtCountInterval' => 'xsd:long',
            'invtClassification' => 'accounting_2013_2.listsTypes:ItemInvtClassification',
            'costUnits' => 'xsd:string',
            'totalValue' => 'xsd:double',
            'averageCost' => 'xsd:double',
            'useBins' => 'xsd:boolean',
            'quantityReorderUnits' => 'xsd:string',
            'leadTime' => 'xsd:long',
            'autoLeadTime' => 'xsd:boolean',
            'lastPurchasePrice' => 'xsd:double',
            'autoPreferredStockLevel' => 'xsd:boolean',
            'preferredStockLevelDays' => 'xsd:double',
            'safetyStockLevel' => 'xsd:double',
            'safetyStockLevelDays' => 'xsd:long',
            'backwardConsumptionDays' => 'xsd:long',
            'seasonalDemand' => 'xsd:boolean',
            'safetyStockLevelUnits' => 'xsd:string',
            'demandModifier' => 'xsd:double',
            'autoReorderPoint' => 'xsd:boolean',
            'storeDisplayName' => 'xsd:string',
            'storeDisplayThumbnail' => 'core_2013_2.platform:RecordRef',
            'storeDisplayImage' => 'core_2013_2.platform:RecordRef',
            'storeDescription' => 'xsd:string',
            'storeDetailedDescription' => 'xsd:string',
            'storeItemTemplate' => 'core_2013_2.platform:RecordRef',
            'pageTitle' => 'xsd:string',
            'metaTagHtml' => 'xsd:string',
            'excludeFromSitemap' => 'xsd:boolean',
            'sitemapPriority' => 'common_2013_2.platformTypes:SitemapPriority',
            'searchKeywords' => 'xsd:string',
            'isDonationItem' => 'xsd:boolean',
            'showDefaultDonationAmount' => 'xsd:boolean',
            'maxDonationAmount' => 'xsd:double',
            'dontShowPrice' => 'xsd:boolean',
            'noPriceMessage' => 'xsd:string',
            'outOfStockMessage' => 'xsd:string',
            'onSpecial' => 'xsd:boolean',
            'outOfStockBehavior' => 'accounting_2013_2.listsTypes:ItemOutOfStockBehavior',
            'relatedItemsDescription' => 'xsd:string',
            'specialsDescription' => 'xsd:string',
            'featuredDescription' => 'xsd:string',
            'shoppingDotComCategory' => 'xsd:string',
            'shopzillaCategoryId' => 'xsd:long',
            'nexTagCategory' => 'xsd:string',
            'urlComponent' => 'xsd:string',
            'customForm' => 'core_2013_2.platform:RecordRef',
            'itemId' => 'xsd:string',
            'upcCode' => 'xsd:string',
            'displayName' => 'xsd:string',
            'vendorName' => 'xsd:string',
            'parent' => 'core_2013_2.platform:RecordRef',
            'isOnline' => 'xsd:boolean',
            'isHazmatItem' => 'xsd:boolean',
            'hazmatId' => 'xsd:string',
            'hazmatShippingName' => 'xsd:string',
            'hazmatHazardClass' => 'xsd:string',
            'hazmatPackingGroup' => 'accounting_2013_2.listsTypes:HazmatPackingGroup',
            'hazmatItemUnits' => 'xsd:string',
            'hazmatItemUnitsQty' => 'xsd:double',
            'isGcoCompliant' => 'xsd:boolean',
            'offerSupport' => 'xsd:boolean',
            'isInactive' => 'xsd:boolean',
            'availableToPartners' => 'xsd:boolean',
            'department' => 'core_2013_2.platform:RecordRef',
            'class' => 'core_2013_2.platform:RecordRef',
            'location' => 'core_2013_2.platform:RecordRef',
            'costingMethod' => 'accounting_2013_2.listsTypes:ItemCostingMethod',
            'currency' => 'xsd:string',
            'preferredStockLevel' => 'xsd:double',
            'pricingMatrix' => 'accounting_2013_2.lists:PricingMatrix',
            'purchaseTaxCode' => 'core_2013_2.platform:RecordRef',
            'defaultReturnCost' => 'xsd:double',
            'supplyReplenishmentMethod' => 'core_2013_2.platform:RecordRef',
            'alternateDemandSourceItem' => 'core_2013_2.platform:RecordRef',
            'fixedLotSize' => 'xsd:double',
            'periodicLotSizeType' => 'accounting_2013_2.listsTypes:PeriodicLotSizeType',
            'supplyType' => 'core_2013_2.platform:RecordRef',
            'periodicLotSizeDays' => 'xsd:long',
            'supplyLotSizingMethod' => 'core_2013_2.platform:RecordRef',
            'forwardConsumptionDays' => 'xsd:long',
            'demandSource' => 'core_2013_2.platform:RecordRef',
            'quantityBackOrdered' => 'xsd:double',
            'quantityCommitted' => 'xsd:double',
            'quantityAvailable' => 'xsd:double',
            'quantityOnHand' => 'xsd:double',
            'onHandValueMli' => 'xsd:double',
            'quantityOnOrder' => 'xsd:double',
            'rate' => 'xsd:double',
            'reorderPoint' => 'xsd:double',
            'quantityCommittedUnits' => 'xsd:string',
            'salesTaxCode' => 'core_2013_2.platform:RecordRef',
            'quantityAvailableUnits' => 'xsd:string',
            'quantityOnHandUnits' => 'xsd:string',
            'vendor' => 'core_2013_2.platform:RecordRef',
            'quantityOnOrderUnits' => 'xsd:string',
            'productFeedList' => 'accounting_2013_2.lists:ProductFeedList',
            'subsidiaryList' => 'core_2013_2.platform:RecordRefList',
            'itemOptionsList' => 'accounting_2013_2.lists:ItemOptionsList',
            'itemVendorList' => 'accounting_2013_2.lists:ItemVendorList',
            'siteCategoryList' => 'accounting_2013_2.lists:SiteCategoryList',
            'translationsList' => 'accounting_2013_2.lists:TranslationList',
            'binNumberList' => 'accounting_2013_2.lists:InventoryItemBinNumberList',
            'locationsList' => 'accounting_2013_2.lists:InventoryItemLocationsList',
            'matrixOptionList' => 'accounting_2013_2.lists:MatrixOptionList',
            'presentationItemList' => 'accounting_2013_2.lists:PresentationItemList',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        MatrixOptionList => {
            'matrixOption' => 'core_2013_2.platform:SelectCustomFieldRef',
        },
    
        InventoryItemBinNumber => {
            'binNumber' => 'core_2013_2.platform:RecordRef',
            'onHand' => 'xsd:string',
            'onHandAvail' => 'xsd:string',
            'location' => 'xsd:string',
            'preferredBin' => 'xsd:boolean',
        },
    
        InventoryItemBinNumberList => {
            'binNumber' => 'accounting_2013_2.lists:InventoryItemBinNumber',
        },
    
        InventoryItemLocations => {
            'location' => 'xsd:string',
            'quantityOnHand' => 'xsd:double',
            'onHandValueMli' => 'xsd:double',
            'averageCostMli' => 'xsd:double',
            'lastPurchasePriceMli' => 'xsd:double',
            'reorderPoint' => 'xsd:double',
            'preferredStockLevel' => 'xsd:double',
            'leadTime' => 'xsd:long',
            'defaultReturnCost' => 'xsd:double',
            'safetyStockLevel' => 'xsd:double',
            'cost' => 'xsd:double',
            'inventoryCostTemplate' => 'core_2013_2.platform:RecordRef',
            'buildTime' => 'xsd:double',
            'lastInvtCountDate' => 'xsd:dateTime',
            'nextInvtCountDate' => 'xsd:dateTime',
            'isWip' => 'xsd:boolean',
            'invtCountInterval' => 'xsd:long',
            'invtClassification' => 'accounting_2013_2.listsTypes:ItemInvtClassification',
            'costingLotSize' => 'xsd:double',
            'quantityOnOrder' => 'xsd:double',
            'quantityCommitted' => 'xsd:double',
            'quantityAvailable' => 'xsd:double',
            'quantityBackOrdered' => 'xsd:double',
            'locationId' => 'core_2013_2.platform:RecordRef',
            'supplyReplenishmentMethod' => 'core_2013_2.platform:RecordRef',
            'alternateDemandSourceItem' => 'core_2013_2.platform:RecordRef',
            'fixedLotSize' => 'xsd:double',
            'periodicLotSizeType' => 'accounting_2013_2.listsTypes:PeriodicLotSizeType',
            'periodicLotSizeDays' => 'xsd:long',
            'supplyType' => 'core_2013_2.platform:RecordRef',
            'supplyLotSizingMethod' => 'core_2013_2.platform:RecordRef',
            'demandSource' => 'core_2013_2.platform:RecordRef',
            'backwardConsumptionDays' => 'xsd:long',
            'forwardConsumptionDays' => 'xsd:long',
        },
    
        InventoryItemLocationsList => {
            'locations' => 'accounting_2013_2.lists:InventoryItemLocations',
        },
    
        PresentationItemList => {
            'presentationItem' => 'common_2013_2.platform:PresentationItem',
        },
    
        DescriptionItem => {
            'createdDate' => 'xsd:dateTime',
            'lastModifiedDate' => 'xsd:dateTime',
            'description' => 'xsd:string',
            'includeChildren' => 'xsd:boolean',
            'customForm' => 'core_2013_2.platform:RecordRef',
            'itemId' => 'xsd:string',
            'issueProduct' => 'core_2013_2.platform:RecordRef',
            'isInactive' => 'xsd:boolean',
            'availableToPartners' => 'xsd:boolean',
            'department' => 'core_2013_2.platform:RecordRef',
            'class' => 'core_2013_2.platform:RecordRef',
            'location' => 'core_2013_2.platform:RecordRef',
            'subsidiaryList' => 'core_2013_2.platform:RecordRefList',
            'translationsList' => 'accounting_2013_2.lists:TranslationList',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        DiscountItem => {
            'createdDate' => 'xsd:dateTime',
            'lastModifiedDate' => 'xsd:dateTime',
            'description' => 'xsd:string',
            'nonPosting' => 'xsd:boolean',
            'account' => 'core_2013_2.platform:RecordRef',
            'includeChildren' => 'xsd:boolean',
            'rate' => 'xsd:string',
            'isPreTax' => 'xsd:boolean',
            'customForm' => 'core_2013_2.platform:RecordRef',
            'itemId' => 'xsd:string',
            'issueProduct' => 'core_2013_2.platform:RecordRef',
            'upcCode' => 'xsd:string',
            'displayName' => 'xsd:string',
            'vendorName' => 'xsd:string',
            'parent' => 'core_2013_2.platform:RecordRef',
            'isInactive' => 'xsd:boolean',
            'availableToPartners' => 'xsd:boolean',
            'department' => 'core_2013_2.platform:RecordRef',
            'class' => 'core_2013_2.platform:RecordRef',
            'location' => 'core_2013_2.platform:RecordRef',
            'subsidiaryList' => 'core_2013_2.platform:RecordRefList',
            'taxSchedule' => 'core_2013_2.platform:RecordRef',
            'deferredRevenueAccount' => 'core_2013_2.platform:RecordRef',
            'expenseAccount' => 'core_2013_2.platform:RecordRef',
            'incomeAccount' => 'core_2013_2.platform:RecordRef',
            'revRecSchedule' => 'core_2013_2.platform:RecordRef',
            'salesTaxCode' => 'core_2013_2.platform:RecordRef',
            'translationsList' => 'accounting_2013_2.lists:TranslationList',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        DownloadItem => {
            'createdDate' => 'xsd:dateTime',
            'lastModifiedDate' => 'xsd:dateTime',
            'customForm' => 'core_2013_2.platform:RecordRef',
            'salesDescription' => 'xsd:string',
            'quantityPricingSchedule' => 'core_2013_2.platform:RecordRef',
            'deferredRevenueAccount' => 'core_2013_2.platform:RecordRef',
            'onSpecial' => 'xsd:boolean',
            'itemId' => 'xsd:string',
            'upcCode' => 'xsd:string',
            'displayName' => 'xsd:string',
            'parent' => 'core_2013_2.platform:RecordRef',
            'isOnline' => 'xsd:boolean',
            'isGcoCompliant' => 'xsd:boolean',
            'offerSupport' => 'xsd:boolean',
            'isInactive' => 'xsd:boolean',
            'availableToPartners' => 'xsd:boolean',
            'subsidiaryList' => 'core_2013_2.platform:RecordRefList',
            'department' => 'core_2013_2.platform:RecordRef',
            'includeChildren' => 'xsd:boolean',
            'class' => 'core_2013_2.platform:RecordRef',
            'location' => 'core_2013_2.platform:RecordRef',
            'incomeAccount' => 'core_2013_2.platform:RecordRef',
            'numOfAllowedDownloads' => 'xsd:long',
            'daysBeforeExpiration' => 'xsd:long',
            'immediateDownload' => 'xsd:boolean',
            'isTaxable' => 'xsd:boolean',
            'issueProduct' => 'core_2013_2.platform:RecordRef',
            'taxSchedule' => 'core_2013_2.platform:RecordRef',
            'costEstimateType' => 'common_2013_2.platformTypes:ItemCostEstimateType',
            'costEstimate' => 'xsd:double',
            'billingSchedule' => 'core_2013_2.platform:RecordRef',
            'isFulfillable' => 'xsd:boolean',
            'useMarginalRates' => 'xsd:boolean',
            'overallQuantityPricingType' => 'accounting_2013_2.listsTypes:ItemOverallQuantityPricingType',
            'pricingGroup' => 'core_2013_2.platform:RecordRef',
            'revRecSchedule' => 'core_2013_2.platform:RecordRef',
            'vsoePrice' => 'xsd:double',
            'vsoeSopGroup' => 'common_2013_2.platformTypes:VsoeSopGroup',
            'vsoeDeferral' => 'common_2013_2.platformTypes:VsoeDeferral',
            'vsoePermitDiscount' => 'common_2013_2.platformTypes:VsoePermitDiscount',
            'vsoeDelivered' => 'xsd:boolean',
            'storeDisplayName' => 'xsd:string',
            'storeDisplayThumbnail' => 'core_2013_2.platform:RecordRef',
            'storeDisplayImage' => 'core_2013_2.platform:RecordRef',
            'featuredDescription' => 'xsd:string',
            'storeDescription' => 'xsd:string',
            'storeDetailedDescription' => 'xsd:string',
            'storeItemTemplate' => 'core_2013_2.platform:RecordRef',
            'pageTitle' => 'xsd:string',
            'metaTagHtml' => 'xsd:string',
            'excludeFromSitemap' => 'xsd:boolean',
            'sitemapPriority' => 'common_2013_2.platformTypes:SitemapPriority',
            'searchKeywords' => 'xsd:string',
            'isDonationItem' => 'xsd:boolean',
            'showDefaultDonationAmount' => 'xsd:boolean',
            'maxDonationAmount' => 'xsd:double',
            'dontShowPrice' => 'xsd:boolean',
            'noPriceMessage' => 'xsd:string',
            'outOfStockMessage' => 'xsd:string',
            'outOfStockBehavior' => 'accounting_2013_2.listsTypes:ItemOutOfStockBehavior',
            'relatedItemsDescription' => 'xsd:string',
            'specialsDescription' => 'xsd:string',
            'pricingMatrix' => 'accounting_2013_2.lists:PricingMatrix',
            'siteCategoryList' => 'accounting_2013_2.lists:SiteCategoryList',
            'presentationItemList' => 'accounting_2013_2.lists:PresentationItemList',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        MarkupItem => {
            'createdDate' => 'xsd:dateTime',
            'lastModifiedDate' => 'xsd:dateTime',
            'description' => 'xsd:string',
            'nonPosting' => 'xsd:boolean',
            'account' => 'core_2013_2.platform:RecordRef',
            'includeChildren' => 'xsd:boolean',
            'rate' => 'xsd:string',
            'isPreTax' => 'xsd:boolean',
            'customForm' => 'core_2013_2.platform:RecordRef',
            'itemId' => 'xsd:string',
            'issueProduct' => 'core_2013_2.platform:RecordRef',
            'upcCode' => 'xsd:string',
            'displayName' => 'xsd:string',
            'vendorName' => 'xsd:string',
            'parent' => 'core_2013_2.platform:RecordRef',
            'isInactive' => 'xsd:boolean',
            'availableToPartners' => 'xsd:boolean',
            'department' => 'core_2013_2.platform:RecordRef',
            'class' => 'core_2013_2.platform:RecordRef',
            'location' => 'core_2013_2.platform:RecordRef',
            'subsidiaryList' => 'core_2013_2.platform:RecordRefList',
            'taxSchedule' => 'core_2013_2.platform:RecordRef',
            'deferredRevenueAccount' => 'core_2013_2.platform:RecordRef',
            'expenseAccount' => 'core_2013_2.platform:RecordRef',
            'incomeAccount' => 'core_2013_2.platform:RecordRef',
            'revRecSchedule' => 'core_2013_2.platform:RecordRef',
            'salesTaxCode' => 'core_2013_2.platform:RecordRef',
            'translationsList' => 'accounting_2013_2.lists:TranslationList',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        PaymentItem => {
            'createdDate' => 'xsd:dateTime',
            'lastModifiedDate' => 'xsd:dateTime',
            'description' => 'xsd:string',
            'paymentMethod' => 'core_2013_2.platform:RecordRef',
            'undepFunds' => 'xsd:boolean',
            'includeChildren' => 'xsd:boolean',
            'issueProduct' => 'core_2013_2.platform:RecordRef',
            'account' => 'core_2013_2.platform:RecordRef',
            'customForm' => 'core_2013_2.platform:RecordRef',
            'itemId' => 'xsd:string',
            'displayName' => 'xsd:string',
            'isInactive' => 'xsd:boolean',
            'availableToPartners' => 'xsd:boolean',
            'department' => 'core_2013_2.platform:RecordRef',
            'class' => 'core_2013_2.platform:RecordRef',
            'location' => 'core_2013_2.platform:RecordRef',
            'subsidiaryList' => 'core_2013_2.platform:RecordRefList',
            'translationsList' => 'accounting_2013_2.lists:TranslationList',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        SubtotalItem => {
            'createdDate' => 'xsd:dateTime',
            'lastModifiedDate' => 'xsd:dateTime',
            'displayName' => 'xsd:string',
            'issueProduct' => 'core_2013_2.platform:RecordRef',
            'description' => 'xsd:string',
            'includeChildren' => 'xsd:boolean',
            'customForm' => 'core_2013_2.platform:RecordRef',
            'itemId' => 'xsd:string',
            'isInactive' => 'xsd:boolean',
            'availableToPartners' => 'xsd:boolean',
            'department' => 'core_2013_2.platform:RecordRef',
            'class' => 'core_2013_2.platform:RecordRef',
            'location' => 'core_2013_2.platform:RecordRef',
            'subsidiaryList' => 'core_2013_2.platform:RecordRefList',
            'translationsList' => 'accounting_2013_2.lists:TranslationList',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        NonInventoryPurchaseItem => {
            'createdDate' => 'xsd:dateTime',
            'lastModifiedDate' => 'xsd:dateTime',
            'purchaseDescription' => 'xsd:string',
            'cost' => 'xsd:double',
            'costUnits' => 'xsd:string',
            'expenseAccount' => 'core_2013_2.platform:RecordRef',
            'issueProduct' => 'core_2013_2.platform:RecordRef',
            'isTaxable' => 'xsd:boolean',
            'matrixType' => 'accounting_2013_2.listsTypes:ItemMatrixType',
            'unitsType' => 'core_2013_2.platform:RecordRef',
            'purchaseUnit' => 'core_2013_2.platform:RecordRef',
            'customForm' => 'core_2013_2.platform:RecordRef',
            'itemId' => 'xsd:string',
            'upcCode' => 'xsd:string',
            'displayName' => 'xsd:string',
            'includeChildren' => 'xsd:boolean',
            'vendorName' => 'xsd:string',
            'parent' => 'core_2013_2.platform:RecordRef',
            'isInactive' => 'xsd:boolean',
            'availableToPartners' => 'xsd:boolean',
            'department' => 'core_2013_2.platform:RecordRef',
            'class' => 'core_2013_2.platform:RecordRef',
            'location' => 'core_2013_2.platform:RecordRef',
            'subsidiaryList' => 'core_2013_2.platform:RecordRefList',
            'taxSchedule' => 'core_2013_2.platform:RecordRef',
            'deferralAccount' => 'core_2013_2.platform:RecordRef',
            'amortizationTemplate' => 'core_2013_2.platform:RecordRef',
            'residual' => 'xsd:string',
            'amortizationPeriod' => 'xsd:long',
            'isFulfillable' => 'xsd:boolean',
            'costCategory' => 'core_2013_2.platform:RecordRef',
            'currency' => 'xsd:string',
            'itemOptionsList' => 'accounting_2013_2.lists:ItemOptionsList',
            'matrixOptionList' => 'accounting_2013_2.lists:MatrixOptionList',
            'itemVendorList' => 'accounting_2013_2.lists:ItemVendorList',
            'purchaseTaxCode' => 'core_2013_2.platform:RecordRef',
            'salesTaxCode' => 'core_2013_2.platform:RecordRef',
            'translationsList' => 'accounting_2013_2.lists:TranslationList',
            'vendor' => 'core_2013_2.platform:RecordRef',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        NonInventorySaleItem => {
            'createdDate' => 'xsd:dateTime',
            'lastModifiedDate' => 'xsd:dateTime',
            'salesDescription' => 'xsd:string',
            'includeChildren' => 'xsd:boolean',
            'incomeAccount' => 'core_2013_2.platform:RecordRef',
            'isTaxable' => 'xsd:boolean',
            'matrixType' => 'accounting_2013_2.listsTypes:ItemMatrixType',
            'taxSchedule' => 'core_2013_2.platform:RecordRef',
            'shippingCost' => 'xsd:double',
            'shippingCostUnits' => 'xsd:string',
            'handlingCost' => 'xsd:double',
            'handlingCostUnits' => 'xsd:string',
            'costEstimateType' => 'common_2013_2.platformTypes:ItemCostEstimateType',
            'costEstimate' => 'xsd:double',
            'weight' => 'xsd:double',
            'weightUnit' => 'accounting_2013_2.listsTypes:ItemWeightUnit',
            'weightUnits' => 'xsd:string',
            'costEstimateUnits' => 'xsd:string',
            'unitsType' => 'core_2013_2.platform:RecordRef',
            'saleUnit' => 'core_2013_2.platform:RecordRef',
            'issueProduct' => 'core_2013_2.platform:RecordRef',
            'billingSchedule' => 'core_2013_2.platform:RecordRef',
            'deferredRevenueAccount' => 'core_2013_2.platform:RecordRef',
            'revRecSchedule' => 'core_2013_2.platform:RecordRef',
            'stockDescription' => 'xsd:string',
            'isHazmatItem' => 'xsd:boolean',
            'hazmatId' => 'xsd:string',
            'hazmatShippingName' => 'xsd:string',
            'hazmatHazardClass' => 'xsd:string',
            'hazmatPackingGroup' => 'accounting_2013_2.listsTypes:HazmatPackingGroup',
            'hazmatItemUnits' => 'xsd:string',
            'hazmatItemUnitsQty' => 'xsd:double',
            'producer' => 'xsd:boolean',
            'manufacturer' => 'xsd:string',
            'mpn' => 'xsd:string',
            'multManufactureAddr' => 'xsd:boolean',
            'manufacturerAddr1' => 'xsd:string',
            'manufacturerCity' => 'xsd:string',
            'manufacturerState' => 'xsd:string',
            'manufacturerZip' => 'xsd:string',
            'countryOfManufacture' => 'common_2013_2.platformTypes:Country',
            'manufacturerTaxId' => 'xsd:string',
            'scheduleBNumber' => 'xsd:string',
            'scheduleBQuantity' => 'xsd:long',
            'scheduleBCode' => 'accounting_2013_2.listsTypes:ScheduleBCode',
            'manufacturerTariff' => 'xsd:string',
            'preferenceCriterion' => 'accounting_2013_2.listsTypes:ItemPreferenceCriterion',
            'minimumQuantity' => 'xsd:long',
            'enforceMinQtyInternally' => 'xsd:boolean',
            'softDescriptor' => 'xsd:string',
            'shipPackage' => 'core_2013_2.platform:RecordRef',
            'shipIndividually' => 'xsd:boolean',
            'isFulfillable' => 'xsd:boolean',
            'costCategory' => 'core_2013_2.platform:RecordRef',
            'pricesIncludeTax' => 'xsd:boolean',
            'quantityPricingSchedule' => 'core_2013_2.platform:RecordRef',
            'useMarginalRates' => 'xsd:boolean',
            'overallQuantityPricingType' => 'accounting_2013_2.listsTypes:ItemOverallQuantityPricingType',
            'pricingGroup' => 'core_2013_2.platform:RecordRef',
            'minimumQuantityUnits' => 'xsd:string',
            'vsoePrice' => 'xsd:double',
            'vsoeSopGroup' => 'common_2013_2.platformTypes:VsoeSopGroup',
            'vsoeDeferral' => 'common_2013_2.platformTypes:VsoeDeferral',
            'vsoePermitDiscount' => 'common_2013_2.platformTypes:VsoePermitDiscount',
            'vsoeDelivered' => 'xsd:boolean',
            'storeDisplayName' => 'xsd:string',
            'storeDisplayThumbnail' => 'core_2013_2.platform:RecordRef',
            'storeDisplayImage' => 'core_2013_2.platform:RecordRef',
            'storeDescription' => 'xsd:string',
            'storeDetailedDescription' => 'xsd:string',
            'storeItemTemplate' => 'core_2013_2.platform:RecordRef',
            'pageTitle' => 'xsd:string',
            'metaTagHtml' => 'xsd:string',
            'excludeFromSitemap' => 'xsd:boolean',
            'sitemapPriority' => 'common_2013_2.platformTypes:SitemapPriority',
            'searchKeywords' => 'xsd:string',
            'isDonationItem' => 'xsd:boolean',
            'showDefaultDonationAmount' => 'xsd:boolean',
            'maxDonationAmount' => 'xsd:double',
            'dontShowPrice' => 'xsd:boolean',
            'noPriceMessage' => 'xsd:string',
            'outOfStockMessage' => 'xsd:string',
            'onSpecial' => 'xsd:boolean',
            'outOfStockBehavior' => 'accounting_2013_2.listsTypes:ItemOutOfStockBehavior',
            'relatedItemsDescription' => 'xsd:string',
            'specialsDescription' => 'xsd:string',
            'featuredDescription' => 'xsd:string',
            'shoppingDotComCategory' => 'xsd:string',
            'shopzillaCategoryId' => 'xsd:long',
            'nexTagCategory' => 'xsd:string',
            'productFeedList' => 'accounting_2013_2.lists:ProductFeedList',
            'urlComponent' => 'xsd:string',
            'customForm' => 'core_2013_2.platform:RecordRef',
            'itemId' => 'xsd:string',
            'upcCode' => 'xsd:string',
            'displayName' => 'xsd:string',
            'parent' => 'core_2013_2.platform:RecordRef',
            'isOnline' => 'xsd:boolean',
            'isGcoCompliant' => 'xsd:boolean',
            'offerSupport' => 'xsd:boolean',
            'isInactive' => 'xsd:boolean',
            'availableToPartners' => 'xsd:boolean',
            'department' => 'core_2013_2.platform:RecordRef',
            'class' => 'core_2013_2.platform:RecordRef',
            'location' => 'core_2013_2.platform:RecordRef',
            'defaultItemShipMethod' => 'core_2013_2.platform:RecordRef',
            'itemCarrier' => 'accounting_2013_2.listsTypes:ItemCarrier',
            'itemShipMethodList' => 'core_2013_2.platform:RecordRefList',
            'subsidiaryList' => 'core_2013_2.platform:RecordRefList',
            'itemOptionsList' => 'accounting_2013_2.lists:ItemOptionsList',
            'matrixOptionList' => 'accounting_2013_2.lists:MatrixOptionList',
            'pricingMatrix' => 'accounting_2013_2.lists:PricingMatrix',
            'purchaseTaxCode' => 'core_2013_2.platform:RecordRef',
            'rate' => 'xsd:double',
            'salesTaxCode' => 'core_2013_2.platform:RecordRef',
            'siteCategoryList' => 'accounting_2013_2.lists:SiteCategoryList',
            'translationsList' => 'accounting_2013_2.lists:TranslationList',
            'presentationItemList' => 'accounting_2013_2.lists:PresentationItemList',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        NonInventoryResaleItem => {
            'createdDate' => 'xsd:dateTime',
            'lastModifiedDate' => 'xsd:dateTime',
            'purchaseDescription' => 'xsd:string',
            'copyDescription' => 'xsd:boolean',
            'cost' => 'xsd:double',
            'costUnits' => 'xsd:string',
            'expenseAccount' => 'core_2013_2.platform:RecordRef',
            'salesDescription' => 'xsd:string',
            'includeChildren' => 'xsd:boolean',
            'incomeAccount' => 'core_2013_2.platform:RecordRef',
            'isTaxable' => 'xsd:boolean',
            'matrixType' => 'accounting_2013_2.listsTypes:ItemMatrixType',
            'taxSchedule' => 'core_2013_2.platform:RecordRef',
            'dropshipExpenseAccount' => 'core_2013_2.platform:RecordRef',
            'isDropShipItem' => 'xsd:boolean',
            'isSpecialOrderItem' => 'xsd:boolean',
            'shippingCost' => 'xsd:double',
            'shippingCostUnits' => 'xsd:string',
            'handlingCost' => 'xsd:double',
            'handlingCostUnits' => 'xsd:string',
            'costEstimateType' => 'common_2013_2.platformTypes:ItemCostEstimateType',
            'costEstimate' => 'xsd:double',
            'weight' => 'xsd:double',
            'weightUnit' => 'accounting_2013_2.listsTypes:ItemWeightUnit',
            'weightUnits' => 'xsd:string',
            'costEstimateUnits' => 'xsd:string',
            'unitsType' => 'core_2013_2.platform:RecordRef',
            'purchaseUnit' => 'core_2013_2.platform:RecordRef',
            'saleUnit' => 'core_2013_2.platform:RecordRef',
            'issueProduct' => 'core_2013_2.platform:RecordRef',
            'billingSchedule' => 'core_2013_2.platform:RecordRef',
            'deferredRevenueAccount' => 'core_2013_2.platform:RecordRef',
            'revRecSchedule' => 'core_2013_2.platform:RecordRef',
            'deferralAccount' => 'core_2013_2.platform:RecordRef',
            'amortizationTemplate' => 'core_2013_2.platform:RecordRef',
            'residual' => 'xsd:string',
            'amortizationPeriod' => 'xsd:long',
            'stockDescription' => 'xsd:string',
            'producer' => 'xsd:boolean',
            'manufacturer' => 'xsd:string',
            'mpn' => 'xsd:string',
            'multManufactureAddr' => 'xsd:boolean',
            'manufacturerAddr1' => 'xsd:string',
            'manufacturerCity' => 'xsd:string',
            'manufacturerState' => 'xsd:string',
            'manufacturerZip' => 'xsd:string',
            'countryOfManufacture' => 'common_2013_2.platformTypes:Country',
            'manufacturerTaxId' => 'xsd:string',
            'scheduleBNumber' => 'xsd:string',
            'scheduleBQuantity' => 'xsd:long',
            'scheduleBCode' => 'accounting_2013_2.listsTypes:ScheduleBCode',
            'manufacturerTariff' => 'xsd:string',
            'preferenceCriterion' => 'accounting_2013_2.listsTypes:ItemPreferenceCriterion',
            'minimumQuantity' => 'xsd:long',
            'enforceMinQtyInternally' => 'xsd:boolean',
            'softDescriptor' => 'xsd:string',
            'shipPackage' => 'core_2013_2.platform:RecordRef',
            'shipIndividually' => 'xsd:boolean',
            'isFulfillable' => 'xsd:boolean',
            'costCategory' => 'core_2013_2.platform:RecordRef',
            'pricesIncludeTax' => 'xsd:boolean',
            'quantityPricingSchedule' => 'core_2013_2.platform:RecordRef',
            'useMarginalRates' => 'xsd:boolean',
            'overallQuantityPricingType' => 'accounting_2013_2.listsTypes:ItemOverallQuantityPricingType',
            'pricingGroup' => 'core_2013_2.platform:RecordRef',
            'minimumQuantityUnits' => 'xsd:string',
            'vsoePrice' => 'xsd:double',
            'vsoeSopGroup' => 'common_2013_2.platformTypes:VsoeSopGroup',
            'vsoeDeferral' => 'common_2013_2.platformTypes:VsoeDeferral',
            'vsoePermitDiscount' => 'common_2013_2.platformTypes:VsoePermitDiscount',
            'vsoeDelivered' => 'xsd:boolean',
            'storeDisplayName' => 'xsd:string',
            'storeDisplayThumbnail' => 'core_2013_2.platform:RecordRef',
            'storeDisplayImage' => 'core_2013_2.platform:RecordRef',
            'storeDescription' => 'xsd:string',
            'storeDetailedDescription' => 'xsd:string',
            'storeItemTemplate' => 'core_2013_2.platform:RecordRef',
            'pageTitle' => 'xsd:string',
            'metaTagHtml' => 'xsd:string',
            'excludeFromSitemap' => 'xsd:boolean',
            'sitemapPriority' => 'common_2013_2.platformTypes:SitemapPriority',
            'searchKeywords' => 'xsd:string',
            'isDonationItem' => 'xsd:boolean',
            'showDefaultDonationAmount' => 'xsd:boolean',
            'maxDonationAmount' => 'xsd:double',
            'dontShowPrice' => 'xsd:boolean',
            'noPriceMessage' => 'xsd:string',
            'outOfStockMessage' => 'xsd:string',
            'onSpecial' => 'xsd:boolean',
            'outOfStockBehavior' => 'accounting_2013_2.listsTypes:ItemOutOfStockBehavior',
            'relatedItemsDescription' => 'xsd:string',
            'specialsDescription' => 'xsd:string',
            'featuredDescription' => 'xsd:string',
            'shoppingDotComCategory' => 'xsd:string',
            'shopzillaCategoryId' => 'xsd:long',
            'nexTagCategory' => 'xsd:string',
            'productFeedList' => 'accounting_2013_2.lists:ProductFeedList',
            'urlComponent' => 'xsd:string',
            'customForm' => 'core_2013_2.platform:RecordRef',
            'itemId' => 'xsd:string',
            'upcCode' => 'xsd:string',
            'displayName' => 'xsd:string',
            'vendorName' => 'xsd:string',
            'parent' => 'core_2013_2.platform:RecordRef',
            'isOnline' => 'xsd:boolean',
            'isHazmatItem' => 'xsd:boolean',
            'hazmatId' => 'xsd:string',
            'hazmatShippingName' => 'xsd:string',
            'hazmatHazardClass' => 'xsd:string',
            'hazmatPackingGroup' => 'accounting_2013_2.listsTypes:HazmatPackingGroup',
            'hazmatItemUnits' => 'xsd:string',
            'hazmatItemUnitsQty' => 'xsd:double',
            'isGcoCompliant' => 'xsd:boolean',
            'offerSupport' => 'xsd:boolean',
            'isInactive' => 'xsd:boolean',
            'availableToPartners' => 'xsd:boolean',
            'department' => 'core_2013_2.platform:RecordRef',
            'class' => 'core_2013_2.platform:RecordRef',
            'location' => 'core_2013_2.platform:RecordRef',
            'defaultItemShipMethod' => 'core_2013_2.platform:RecordRef',
            'itemCarrier' => 'accounting_2013_2.listsTypes:ItemCarrier',
            'itemShipMethodList' => 'core_2013_2.platform:RecordRefList',
            'subsidiaryList' => 'core_2013_2.platform:RecordRefList',
            'currency' => 'xsd:string',
            'itemOptionsList' => 'accounting_2013_2.lists:ItemOptionsList',
            'matrixOptionList' => 'accounting_2013_2.lists:MatrixOptionList',
            'itemVendorList' => 'accounting_2013_2.lists:ItemVendorList',
            'pricingMatrix' => 'accounting_2013_2.lists:PricingMatrix',
            'purchaseTaxCode' => 'core_2013_2.platform:RecordRef',
            'rate' => 'xsd:double',
            'salesTaxCode' => 'core_2013_2.platform:RecordRef',
            'siteCategoryList' => 'accounting_2013_2.lists:SiteCategoryList',
            'translationsList' => 'accounting_2013_2.lists:TranslationList',
            'vendor' => 'core_2013_2.platform:RecordRef',
            'presentationItemList' => 'accounting_2013_2.lists:PresentationItemList',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        OtherChargeResaleItem => {
            'createdDate' => 'xsd:dateTime',
            'lastModifiedDate' => 'xsd:dateTime',
            'purchaseDescription' => 'xsd:string',
            'manufacturingChargeItem' => 'xsd:boolean',
            'cost' => 'xsd:double',
            'costUnits' => 'xsd:string',
            'expenseAccount' => 'core_2013_2.platform:RecordRef',
            'salesDescription' => 'xsd:string',
            'includeChildren' => 'xsd:boolean',
            'incomeAccount' => 'core_2013_2.platform:RecordRef',
            'isTaxable' => 'xsd:boolean',
            'matrixType' => 'accounting_2013_2.listsTypes:ItemMatrixType',
            'taxSchedule' => 'core_2013_2.platform:RecordRef',
            'costEstimateType' => 'common_2013_2.platformTypes:ItemCostEstimateType',
            'costEstimate' => 'xsd:double',
            'unitsType' => 'core_2013_2.platform:RecordRef',
            'purchaseUnit' => 'core_2013_2.platform:RecordRef',
            'saleUnit' => 'core_2013_2.platform:RecordRef',
            'costEstimateUnits' => 'xsd:string',
            'issueProduct' => 'core_2013_2.platform:RecordRef',
            'billingSchedule' => 'core_2013_2.platform:RecordRef',
            'deferredRevenueAccount' => 'core_2013_2.platform:RecordRef',
            'revRecSchedule' => 'core_2013_2.platform:RecordRef',
            'deferralAccount' => 'core_2013_2.platform:RecordRef',
            'amortizationTemplate' => 'core_2013_2.platform:RecordRef',
            'residual' => 'xsd:string',
            'amortizationPeriod' => 'xsd:long',
            'minimumQuantity' => 'xsd:long',
            'minimumQuantityUnits' => 'xsd:string',
            'enforceMinQtyInternally' => 'xsd:boolean',
            'softDescriptor' => 'xsd:string',
            'isFulfillable' => 'xsd:boolean',
            'costCategory' => 'core_2013_2.platform:RecordRef',
            'pricesIncludeTax' => 'xsd:boolean',
            'quantityPricingSchedule' => 'core_2013_2.platform:RecordRef',
            'useMarginalRates' => 'xsd:boolean',
            'overallQuantityPricingType' => 'accounting_2013_2.listsTypes:ItemOverallQuantityPricingType',
            'pricingGroup' => 'core_2013_2.platform:RecordRef',
            'customForm' => 'core_2013_2.platform:RecordRef',
            'itemId' => 'xsd:string',
            'upcCode' => 'xsd:string',
            'displayName' => 'xsd:string',
            'vendorName' => 'xsd:string',
            'parent' => 'core_2013_2.platform:RecordRef',
            'isOnline' => 'xsd:boolean',
            'isGcoCompliant' => 'xsd:boolean',
            'offerSupport' => 'xsd:boolean',
            'isInactive' => 'xsd:boolean',
            'availableToPartners' => 'xsd:boolean',
            'department' => 'core_2013_2.platform:RecordRef',
            'class' => 'core_2013_2.platform:RecordRef',
            'location' => 'core_2013_2.platform:RecordRef',
            'subsidiaryList' => 'core_2013_2.platform:RecordRefList',
            'vsoePrice' => 'xsd:double',
            'vsoeSopGroup' => 'common_2013_2.platformTypes:VsoeSopGroup',
            'vsoeDeferral' => 'common_2013_2.platformTypes:VsoeDeferral',
            'vsoePermitDiscount' => 'common_2013_2.platformTypes:VsoePermitDiscount',
            'vsoeDelivered' => 'xsd:boolean',
            'currency' => 'xsd:string',
            'itemOptionsList' => 'accounting_2013_2.lists:ItemOptionsList',
            'matrixOptionList' => 'accounting_2013_2.lists:MatrixOptionList',
            'itemVendorList' => 'accounting_2013_2.lists:ItemVendorList',
            'pricingMatrix' => 'accounting_2013_2.lists:PricingMatrix',
            'purchaseTaxCode' => 'core_2013_2.platform:RecordRef',
            'rate' => 'xsd:double',
            'salesTaxCode' => 'core_2013_2.platform:RecordRef',
            'translationsList' => 'accounting_2013_2.lists:TranslationList',
            'vendor' => 'core_2013_2.platform:RecordRef',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        OtherChargePurchaseItem => {
            'createdDate' => 'xsd:dateTime',
            'lastModifiedDate' => 'xsd:dateTime',
            'purchaseDescription' => 'xsd:string',
            'manufacturingChargeItem' => 'xsd:boolean',
            'cost' => 'xsd:double',
            'costUnits' => 'xsd:string',
            'expenseAccount' => 'core_2013_2.platform:RecordRef',
            'isTaxable' => 'xsd:boolean',
            'matrixType' => 'accounting_2013_2.listsTypes:ItemMatrixType',
            'unitsType' => 'core_2013_2.platform:RecordRef',
            'purchaseUnit' => 'core_2013_2.platform:RecordRef',
            'includeChildren' => 'xsd:boolean',
            'issueProduct' => 'core_2013_2.platform:RecordRef',
            'customForm' => 'core_2013_2.platform:RecordRef',
            'itemId' => 'xsd:string',
            'upcCode' => 'xsd:string',
            'displayName' => 'xsd:string',
            'vendorName' => 'xsd:string',
            'parent' => 'core_2013_2.platform:RecordRef',
            'isInactive' => 'xsd:boolean',
            'availableToPartners' => 'xsd:boolean',
            'department' => 'core_2013_2.platform:RecordRef',
            'class' => 'core_2013_2.platform:RecordRef',
            'subsidiaryList' => 'core_2013_2.platform:RecordRefList',
            'location' => 'core_2013_2.platform:RecordRef',
            'taxSchedule' => 'core_2013_2.platform:RecordRef',
            'deferralAccount' => 'core_2013_2.platform:RecordRef',
            'amortizationTemplate' => 'core_2013_2.platform:RecordRef',
            'residual' => 'xsd:string',
            'amortizationPeriod' => 'xsd:long',
            'isFulfillable' => 'xsd:boolean',
            'costCategory' => 'core_2013_2.platform:RecordRef',
            'overheadType' => 'accounting_2013_2.listsTypes:ItemOverheadType',
            'currency' => 'xsd:string',
            'itemOptionsList' => 'accounting_2013_2.lists:ItemOptionsList',
            'matrixOptionList' => 'accounting_2013_2.lists:MatrixOptionList',
            'itemVendorList' => 'accounting_2013_2.lists:ItemVendorList',
            'purchaseTaxCode' => 'core_2013_2.platform:RecordRef',
            'salesTaxCode' => 'core_2013_2.platform:RecordRef',
            'translationsList' => 'accounting_2013_2.lists:TranslationList',
            'vendor' => 'core_2013_2.platform:RecordRef',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        ServiceResaleItem => {
            'createdDate' => 'xsd:dateTime',
            'lastModifiedDate' => 'xsd:dateTime',
            'purchaseDescription' => 'xsd:string',
            'manufacturingChargeItem' => 'xsd:boolean',
            'cost' => 'xsd:double',
            'costUnits' => 'xsd:string',
            'expenseAccount' => 'core_2013_2.platform:RecordRef',
            'salesDescription' => 'xsd:string',
            'includeChildren' => 'xsd:boolean',
            'incomeAccount' => 'core_2013_2.platform:RecordRef',
            'taxSchedule' => 'core_2013_2.platform:RecordRef',
            'matrixType' => 'accounting_2013_2.listsTypes:ItemMatrixType',
            'isTaxable' => 'xsd:boolean',
            'costEstimateType' => 'common_2013_2.platformTypes:ItemCostEstimateType',
            'costEstimate' => 'xsd:double',
            'unitsType' => 'core_2013_2.platform:RecordRef',
            'purchaseUnit' => 'core_2013_2.platform:RecordRef',
            'saleUnit' => 'core_2013_2.platform:RecordRef',
            'costEstimateUnits' => 'xsd:string',
            'issueProduct' => 'core_2013_2.platform:RecordRef',
            'billingSchedule' => 'core_2013_2.platform:RecordRef',
            'deferredRevenueAccount' => 'core_2013_2.platform:RecordRef',
            'revRecSchedule' => 'core_2013_2.platform:RecordRef',
            'deferralAccount' => 'core_2013_2.platform:RecordRef',
            'amortizationTemplate' => 'core_2013_2.platform:RecordRef',
            'residual' => 'xsd:string',
            'amortizationPeriod' => 'xsd:long',
            'minimumQuantity' => 'xsd:long',
            'enforceMinQtyInternally' => 'xsd:boolean',
            'softDescriptor' => 'xsd:string',
            'pricesIncludeTax' => 'xsd:boolean',
            'quantityPricingSchedule' => 'core_2013_2.platform:RecordRef',
            'useMarginalRates' => 'xsd:boolean',
            'overallQuantityPricingType' => 'accounting_2013_2.listsTypes:ItemOverallQuantityPricingType',
            'isFulfillable' => 'xsd:boolean',
            'costCategory' => 'core_2013_2.platform:RecordRef',
            'pricingGroup' => 'core_2013_2.platform:RecordRef',
            'minimumQuantityUnits' => 'xsd:string',
            'vsoePrice' => 'xsd:double',
            'vsoeSopGroup' => 'common_2013_2.platformTypes:VsoeSopGroup',
            'vsoeDeferral' => 'common_2013_2.platformTypes:VsoeDeferral',
            'vsoePermitDiscount' => 'common_2013_2.platformTypes:VsoePermitDiscount',
            'vsoeDelivered' => 'xsd:boolean',
            'createJob' => 'xsd:boolean',
            'storeDisplayName' => 'xsd:string',
            'storeDisplayThumbnail' => 'core_2013_2.platform:RecordRef',
            'storeDisplayImage' => 'core_2013_2.platform:RecordRef',
            'storeDescription' => 'xsd:string',
            'storeDetailedDescription' => 'xsd:string',
            'storeItemTemplate' => 'core_2013_2.platform:RecordRef',
            'pageTitle' => 'xsd:string',
            'urlComponent' => 'xsd:string',
            'metaTagHtml' => 'xsd:string',
            'excludeFromSitemap' => 'xsd:boolean',
            'sitemapPriority' => 'common_2013_2.platformTypes:SitemapPriority',
            'searchKeywords' => 'xsd:string',
            'isDonationItem' => 'xsd:boolean',
            'showDefaultDonationAmount' => 'xsd:boolean',
            'maxDonationAmount' => 'xsd:double',
            'dontShowPrice' => 'xsd:boolean',
            'noPriceMessage' => 'xsd:string',
            'outOfStockMessage' => 'xsd:string',
            'onSpecial' => 'xsd:boolean',
            'outOfStockBehavior' => 'accounting_2013_2.listsTypes:ItemOutOfStockBehavior',
            'relatedItemsDescription' => 'xsd:string',
            'specialsDescription' => 'xsd:string',
            'itemTaskTemplatesList' => 'accounting_2013_2.lists:ServiceItemTaskTemplatesList',
            'featuredDescription' => 'xsd:string',
            'customForm' => 'core_2013_2.platform:RecordRef',
            'itemId' => 'xsd:string',
            'upcCode' => 'xsd:string',
            'displayName' => 'xsd:string',
            'vendorName' => 'xsd:string',
            'parent' => 'core_2013_2.platform:RecordRef',
            'isOnline' => 'xsd:boolean',
            'isGcoCompliant' => 'xsd:boolean',
            'offerSupport' => 'xsd:boolean',
            'isInactive' => 'xsd:boolean',
            'availableToPartners' => 'xsd:boolean',
            'department' => 'core_2013_2.platform:RecordRef',
            'class' => 'core_2013_2.platform:RecordRef',
            'location' => 'core_2013_2.platform:RecordRef',
            'subsidiaryList' => 'core_2013_2.platform:RecordRefList',
            'currency' => 'xsd:string',
            'billingRatesMatrix' => 'accounting_2013_2.lists:BillingRatesMatrix',
            'itemOptionsList' => 'accounting_2013_2.lists:ItemOptionsList',
            'matrixOptionList' => 'accounting_2013_2.lists:MatrixOptionList',
            'itemVendorList' => 'accounting_2013_2.lists:ItemVendorList',
            'pricingMatrix' => 'accounting_2013_2.lists:PricingMatrix',
            'purchaseTaxCode' => 'core_2013_2.platform:RecordRef',
            'rate' => 'xsd:double',
            'salesTaxCode' => 'core_2013_2.platform:RecordRef',
            'siteCategoryList' => 'accounting_2013_2.lists:SiteCategoryList',
            'translationsList' => 'accounting_2013_2.lists:TranslationList',
            'vendor' => 'core_2013_2.platform:RecordRef',
            'presentationItemList' => 'accounting_2013_2.lists:PresentationItemList',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        ServicePurchaseItem => {
            'createdDate' => 'xsd:dateTime',
            'lastModifiedDate' => 'xsd:dateTime',
            'purchaseDescription' => 'xsd:string',
            'manufacturingChargeItem' => 'xsd:boolean',
            'cost' => 'xsd:double',
            'costUnits' => 'xsd:string',
            'issueProduct' => 'core_2013_2.platform:RecordRef',
            'includeChildren' => 'xsd:boolean',
            'expenseAccount' => 'core_2013_2.platform:RecordRef',
            'isTaxable' => 'xsd:boolean',
            'matrixType' => 'accounting_2013_2.listsTypes:ItemMatrixType',
            'unitsType' => 'core_2013_2.platform:RecordRef',
            'purchaseUnit' => 'core_2013_2.platform:RecordRef',
            'customForm' => 'core_2013_2.platform:RecordRef',
            'itemId' => 'xsd:string',
            'upcCode' => 'xsd:string',
            'displayName' => 'xsd:string',
            'vendorName' => 'xsd:string',
            'parent' => 'core_2013_2.platform:RecordRef',
            'isInactive' => 'xsd:boolean',
            'availableToPartners' => 'xsd:boolean',
            'department' => 'core_2013_2.platform:RecordRef',
            'class' => 'core_2013_2.platform:RecordRef',
            'location' => 'core_2013_2.platform:RecordRef',
            'subsidiaryList' => 'core_2013_2.platform:RecordRefList',
            'taxSchedule' => 'core_2013_2.platform:RecordRef',
            'deferralAccount' => 'core_2013_2.platform:RecordRef',
            'amortizationTemplate' => 'core_2013_2.platform:RecordRef',
            'residual' => 'xsd:string',
            'amortizationPeriod' => 'xsd:long',
            'isFulfillable' => 'xsd:boolean',
            'costCategory' => 'core_2013_2.platform:RecordRef',
            'currency' => 'xsd:string',
            'itemOptionsList' => 'accounting_2013_2.lists:ItemOptionsList',
            'matrixOptionList' => 'accounting_2013_2.lists:MatrixOptionList',
            'itemVendorList' => 'accounting_2013_2.lists:ItemVendorList',
            'purchaseTaxCode' => 'core_2013_2.platform:RecordRef',
            'salesTaxCode' => 'core_2013_2.platform:RecordRef',
            'translationsList' => 'accounting_2013_2.lists:TranslationList',
            'vendor' => 'core_2013_2.platform:RecordRef',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        ServiceSaleItem => {
            'createdDate' => 'xsd:dateTime',
            'lastModifiedDate' => 'xsd:dateTime',
            'salesDescription' => 'xsd:string',
            'includeChildren' => 'xsd:boolean',
            'incomeAccount' => 'core_2013_2.platform:RecordRef',
            'isTaxable' => 'xsd:boolean',
            'matrixType' => 'accounting_2013_2.listsTypes:ItemMatrixType',
            'taxSchedule' => 'core_2013_2.platform:RecordRef',
            'costEstimateType' => 'common_2013_2.platformTypes:ItemCostEstimateType',
            'costEstimate' => 'xsd:double',
            'unitsType' => 'core_2013_2.platform:RecordRef',
            'saleUnit' => 'core_2013_2.platform:RecordRef',
            'issueProduct' => 'core_2013_2.platform:RecordRef',
            'costEstimateUnits' => 'xsd:string',
            'billingSchedule' => 'core_2013_2.platform:RecordRef',
            'deferredRevenueAccount' => 'core_2013_2.platform:RecordRef',
            'revRecSchedule' => 'core_2013_2.platform:RecordRef',
            'minimumQuantity' => 'xsd:long',
            'enforceMinQtyInternally' => 'xsd:boolean',
            'softDescriptor' => 'xsd:string',
            'pricesIncludeTax' => 'xsd:boolean',
            'quantityPricingSchedule' => 'core_2013_2.platform:RecordRef',
            'useMarginalRates' => 'xsd:boolean',
            'overallQuantityPricingType' => 'accounting_2013_2.listsTypes:ItemOverallQuantityPricingType',
            'isFulfillable' => 'xsd:boolean',
            'costCategory' => 'core_2013_2.platform:RecordRef',
            'pricingGroup' => 'core_2013_2.platform:RecordRef',
            'minimumQuantityUnits' => 'xsd:string',
            'vsoePrice' => 'xsd:double',
            'vsoeSopGroup' => 'common_2013_2.platformTypes:VsoeSopGroup',
            'vsoeDeferral' => 'common_2013_2.platformTypes:VsoeDeferral',
            'vsoePermitDiscount' => 'common_2013_2.platformTypes:VsoePermitDiscount',
            'vsoeDelivered' => 'xsd:boolean',
            'createJob' => 'xsd:boolean',
            'storeDisplayName' => 'xsd:string',
            'storeDisplayThumbnail' => 'core_2013_2.platform:RecordRef',
            'storeDisplayImage' => 'core_2013_2.platform:RecordRef',
            'storeDescription' => 'xsd:string',
            'storeDetailedDescription' => 'xsd:string',
            'storeItemTemplate' => 'core_2013_2.platform:RecordRef',
            'pageTitle' => 'xsd:string',
            'urlComponent' => 'xsd:string',
            'metaTagHtml' => 'xsd:string',
            'excludeFromSitemap' => 'xsd:boolean',
            'sitemapPriority' => 'common_2013_2.platformTypes:SitemapPriority',
            'searchKeywords' => 'xsd:string',
            'isDonationItem' => 'xsd:boolean',
            'showDefaultDonationAmount' => 'xsd:boolean',
            'maxDonationAmount' => 'xsd:double',
            'dontShowPrice' => 'xsd:boolean',
            'noPriceMessage' => 'xsd:string',
            'outOfStockMessage' => 'xsd:string',
            'onSpecial' => 'xsd:boolean',
            'outOfStockBehavior' => 'accounting_2013_2.listsTypes:ItemOutOfStockBehavior',
            'relatedItemsDescription' => 'xsd:string',
            'specialsDescription' => 'xsd:string',
            'itemTaskTemplatesList' => 'accounting_2013_2.lists:ServiceItemTaskTemplatesList',
            'featuredDescription' => 'xsd:string',
            'customForm' => 'core_2013_2.platform:RecordRef',
            'itemId' => 'xsd:string',
            'upcCode' => 'xsd:string',
            'displayName' => 'xsd:string',
            'parent' => 'core_2013_2.platform:RecordRef',
            'isOnline' => 'xsd:boolean',
            'isGcoCompliant' => 'xsd:boolean',
            'offerSupport' => 'xsd:boolean',
            'isInactive' => 'xsd:boolean',
            'availableToPartners' => 'xsd:boolean',
            'department' => 'core_2013_2.platform:RecordRef',
            'class' => 'core_2013_2.platform:RecordRef',
            'location' => 'core_2013_2.platform:RecordRef',
            'subsidiaryList' => 'core_2013_2.platform:RecordRefList',
            'billingRatesMatrix' => 'accounting_2013_2.lists:BillingRatesMatrix',
            'itemOptionsList' => 'accounting_2013_2.lists:ItemOptionsList',
            'matrixOptionList' => 'accounting_2013_2.lists:MatrixOptionList',
            'pricingMatrix' => 'accounting_2013_2.lists:PricingMatrix',
            'purchaseTaxCode' => 'core_2013_2.platform:RecordRef',
            'rate' => 'xsd:double',
            'salesTaxCode' => 'core_2013_2.platform:RecordRef',
            'siteCategoryList' => 'accounting_2013_2.lists:SiteCategoryList',
            'translationsList' => 'accounting_2013_2.lists:TranslationList',
            'presentationItemList' => 'accounting_2013_2.lists:PresentationItemList',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        OtherChargeSaleItem => {
            'createdDate' => 'xsd:dateTime',
            'lastModifiedDate' => 'xsd:dateTime',
            'salesDescription' => 'xsd:string',
            'includeChildren' => 'xsd:boolean',
            'incomeAccount' => 'core_2013_2.platform:RecordRef',
            'isTaxable' => 'xsd:boolean',
            'matrixType' => 'accounting_2013_2.listsTypes:ItemMatrixType',
            'taxSchedule' => 'core_2013_2.platform:RecordRef',
            'costEstimateType' => 'common_2013_2.platformTypes:ItemCostEstimateType',
            'costEstimate' => 'xsd:double',
            'unitsType' => 'core_2013_2.platform:RecordRef',
            'saleUnit' => 'core_2013_2.platform:RecordRef',
            'issueProduct' => 'core_2013_2.platform:RecordRef',
            'costEstimateUnits' => 'xsd:string',
            'billingSchedule' => 'core_2013_2.platform:RecordRef',
            'deferredRevenueAccount' => 'core_2013_2.platform:RecordRef',
            'revRecSchedule' => 'core_2013_2.platform:RecordRef',
            'minimumQuantity' => 'xsd:long',
            'minimumQuantityUnits' => 'xsd:string',
            'enforceMinQtyInternally' => 'xsd:boolean',
            'softDescriptor' => 'xsd:string',
            'isFulfillable' => 'xsd:boolean',
            'costCategory' => 'core_2013_2.platform:RecordRef',
            'pricesIncludeTax' => 'xsd:boolean',
            'quantityPricingSchedule' => 'core_2013_2.platform:RecordRef',
            'useMarginalRates' => 'xsd:boolean',
            'overallQuantityPricingType' => 'accounting_2013_2.listsTypes:ItemOverallQuantityPricingType',
            'pricingGroup' => 'core_2013_2.platform:RecordRef',
            'customForm' => 'core_2013_2.platform:RecordRef',
            'itemId' => 'xsd:string',
            'upcCode' => 'xsd:string',
            'displayName' => 'xsd:string',
            'parent' => 'core_2013_2.platform:RecordRef',
            'isOnline' => 'xsd:boolean',
            'isGcoCompliant' => 'xsd:boolean',
            'offerSupport' => 'xsd:boolean',
            'isInactive' => 'xsd:boolean',
            'availableToPartners' => 'xsd:boolean',
            'department' => 'core_2013_2.platform:RecordRef',
            'class' => 'core_2013_2.platform:RecordRef',
            'location' => 'core_2013_2.platform:RecordRef',
            'vsoePrice' => 'xsd:double',
            'vsoeSopGroup' => 'common_2013_2.platformTypes:VsoeSopGroup',
            'vsoeDeferral' => 'common_2013_2.platformTypes:VsoeDeferral',
            'vsoePermitDiscount' => 'common_2013_2.platformTypes:VsoePermitDiscount',
            'vsoeDelivered' => 'xsd:boolean',
            'subsidiaryList' => 'core_2013_2.platform:RecordRefList',
            'itemOptionsList' => 'accounting_2013_2.lists:ItemOptionsList',
            'matrixOptionList' => 'accounting_2013_2.lists:MatrixOptionList',
            'pricingMatrix' => 'accounting_2013_2.lists:PricingMatrix',
            'purchaseTaxCode' => 'core_2013_2.platform:RecordRef',
            'rate' => 'xsd:double',
            'salesTaxCode' => 'core_2013_2.platform:RecordRef',
            'translationsList' => 'accounting_2013_2.lists:TranslationList',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        Currency => {
            'name' => 'xsd:string',
            'symbol' => 'xsd:string',
            'isBaseCurrency' => 'xsd:boolean',
            'isInactive' => 'xsd:boolean',
            'overrideCurrencyFormat' => 'xsd:boolean',
            'displaySymbol' => 'xsd:string',
            'symbolPlacement' => 'common_2013_2.platformTypes:CurrencySymbolPlacement',
            'locale' => 'accounting_2013_2.listsTypes:CurrencyLocale',
            'formatSample' => 'xsd:string',
            'exchangeRate' => 'xsd:double',
            'fxRateUpdateTimezone' => 'accounting_2013_2.listsTypes:CurrencyFxRateUpdateTimezone',
            'inclInFxRateUpdates' => 'xsd:boolean',
            'currencyPrecision' => 'accounting_2013_2.listsTypes:CurrencyCurrencyPrecision',
        },
    
        ExpenseCategory => {
            'customForm' => 'core_2013_2.platform:RecordRef',
            'name' => 'xsd:string',
            'description' => 'xsd:string',
            'expenseAcct' => 'core_2013_2.platform:RecordRef',
            'isInactive' => 'xsd:boolean',
            'rateRequired' => 'xsd:boolean',
            'defaultRate' => 'xsd:double',
            'ratesList' => 'accounting_2013_2.lists:ExpenseCategoryRatesList',
            'translationsList' => 'accounting_2013_2.lists:TranslationList',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        Account => {
            'acctType' => 'accounting_2013_2.listsTypes:AccountType',
            'acctNumber' => 'xsd:string',
            'acctName' => 'xsd:string',
            'includeChildren' => 'xsd:boolean',
            'currency' => 'core_2013_2.platform:RecordRef',
            'exchangeRate' => 'xsd:string',
            'generalRate' => 'accounting_2013_2.listsTypes:ConsolidatedRate',
            'parent' => 'core_2013_2.platform:RecordRef',
            'cashFlowRate' => 'accounting_2013_2.listsTypes:ConsolidatedRate',
            'billableExpensesAcct' => 'core_2013_2.platform:RecordRef',
            'deferralAcct' => 'core_2013_2.platform:RecordRef',
            'description' => 'xsd:string',
            'curDocNum' => 'xsd:long',
            'isInactive' => 'xsd:boolean',
            'department' => 'core_2013_2.platform:RecordRef',
            'class' => 'core_2013_2.platform:RecordRef',
            'location' => 'core_2013_2.platform:RecordRef',
            'inventory' => 'xsd:boolean',
            'eliminate' => 'xsd:boolean',
            'subsidiaryList' => 'core_2013_2.platform:RecordRefList',
            'category1099misc' => 'core_2013_2.platform:RecordRef',
            'openingBalance' => 'xsd:double',
            'tranDate' => 'xsd:dateTime',
            'revalue' => 'xsd:boolean',
            'translationsList' => 'accounting_2013_2.lists:AccountTranslationList',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        AccountTranslationList => {
            'translation' => 'accounting_2013_2.lists:ClassTranslation',
        },
    
        AccountSearchAdvanced => {
            'criteria' => 'accounting_2013_2.lists:AccountSearch',
            'columns' => 'accounting_2013_2.lists:AccountSearchRow',
        },
    
        AccountSearchRow => {
            'basic' => 'common_2013_2.platform:AccountSearchRowBasic',
            'userJoin' => 'common_2013_2.platform:EmployeeSearchRowBasic',
            'customSearchJoin' => 'common_2013_2.platform:CustomSearchRowBasic',
        },
    
        Department => {
            'name' => 'xsd:string',
            'includeChildren' => 'xsd:boolean',
            'parent' => 'core_2013_2.platform:RecordRef',
            'isInactive' => 'xsd:boolean',
            'classTranslationList' => 'accounting_2013_2.lists:ClassTranslationList',
            'subsidiaryList' => 'core_2013_2.platform:RecordRefList',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        DepartmentSearchAdvanced => {
            'criteria' => 'accounting_2013_2.lists:DepartmentSearch',
            'columns' => 'accounting_2013_2.lists:DepartmentSearchRow',
        },
    
        DepartmentSearchRow => {
            'basic' => 'common_2013_2.platform:DepartmentSearchRowBasic',
            'userJoin' => 'common_2013_2.platform:EmployeeSearchRowBasic',
            'customSearchJoin' => 'common_2013_2.platform:CustomSearchRowBasic',
        },
    
        Classification => {
            'name' => 'xsd:string',
            'includeChildren' => 'xsd:boolean',
            'parent' => 'core_2013_2.platform:RecordRef',
            'isInactive' => 'xsd:boolean',
            'classTranslationList' => 'accounting_2013_2.lists:ClassTranslationList',
            'subsidiaryList' => 'core_2013_2.platform:RecordRefList',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        ClassificationSearchAdvanced => {
            'criteria' => 'accounting_2013_2.lists:ClassificationSearch',
            'columns' => 'accounting_2013_2.lists:ClassificationSearchRow',
        },
    
        ClassificationSearchRow => {
            'basic' => 'common_2013_2.platform:ClassificationSearchRowBasic',
            'userJoin' => 'common_2013_2.platform:EmployeeSearchRowBasic',
            'customSearchJoin' => 'common_2013_2.platform:CustomSearchRowBasic',
        },
    
        Location => {
            'name' => 'xsd:string',
            'parent' => 'core_2013_2.platform:RecordRef',
            'includeChildren' => 'xsd:boolean',
            'subsidiaryList' => 'core_2013_2.platform:RecordRefList',
            'isInactive' => 'xsd:boolean',
            'tranPrefix' => 'xsd:string',
            'attention' => 'xsd:string',
            'addressee' => 'xsd:string',
            'addrPhone' => 'xsd:string',
            'addr1' => 'xsd:string',
            'addr2' => 'xsd:string',
            'addr3' => 'xsd:string',
            'city' => 'xsd:string',
            'state' => 'xsd:string',
            'zip' => 'xsd:string',
            'country' => 'common_2013_2.platformTypes:Country',
            'addrText' => 'xsd:string',
            'override' => 'xsd:boolean',
            'logo' => 'core_2013_2.platform:RecordRef',
            'makeInventoryAvailable' => 'xsd:boolean',
            'makeInventoryAvailableStore' => 'xsd:boolean',
            'classTranslationList' => 'accounting_2013_2.lists:ClassTranslationList',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        LocationSearchAdvanced => {
            'criteria' => 'accounting_2013_2.lists:LocationSearch',
            'columns' => 'accounting_2013_2.lists:LocationSearchRow',
        },
    
        LocationSearchRow => {
            'basic' => 'common_2013_2.platform:LocationSearchRowBasic',
            'userJoin' => 'common_2013_2.platform:EmployeeSearchRowBasic',
            'customSearchJoin' => 'common_2013_2.platform:CustomSearchRowBasic',
        },
    
        UnitsType => {
            'name' => 'xsd:string',
            'isInactive' => 'xsd:boolean',
            'uomList' => 'accounting_2013_2.lists:UnitsTypeUomList',
        },
    
        UnitsTypeUom => {
            'internalId' => 'xsd:string',
            'unitName' => 'xsd:string',
            'pluralName' => 'xsd:string',
            'abbreviation' => 'xsd:string',
            'pluralAbbreviation' => 'xsd:string',
            'conversionRate' => 'xsd:double',
            'baseUnit' => 'xsd:boolean',
        },
    
        UnitsTypeUomList => {
            'uom' => 'accounting_2013_2.lists:UnitsTypeUom',
        },
    
        ItemSearchAdvanced => {
            'criteria' => 'accounting_2013_2.lists:ItemSearch',
            'columns' => 'accounting_2013_2.lists:ItemSearchRow',
        },
    
        ItemSearchRow => {
            'basic' => 'common_2013_2.platform:ItemSearchRowBasic',
            'binNumberJoin' => 'common_2013_2.platform:BinSearchRowBasic',
            'binOnHandJoin' => 'common_2013_2.platform:ItemBinNumberSearchRowBasic',
            'correlatedItemJoin' => 'common_2013_2.platform:ItemSearchRowBasic',
            'effectiveRevisionJoin' => 'common_2013_2.platform:ItemRevisionSearchRowBasic',
            'fileJoin' => 'common_2013_2.platform:FileSearchRowBasic',
            'inventoryDetailJoin' => 'common_2013_2.platform:InventoryDetailSearchRowBasic',
            'inventoryLocationJoin' => 'common_2013_2.platform:LocationSearchRowBasic',
            'inventoryNumberJoin' => 'common_2013_2.platform:InventoryNumberSearchRowBasic',
            'inventoryNumberBinOnHandJoin' => 'common_2013_2.platform:InventoryNumberBinSearchRowBasic',
            'memberItemJoin' => 'common_2013_2.platform:ItemSearchRowBasic',
            'obsoleteRevisionJoin' => 'common_2013_2.platform:ItemRevisionSearchRowBasic',
            'parentJoin' => 'common_2013_2.platform:ItemSearchRowBasic',
            'preferredLocationJoin' => 'common_2013_2.platform:LocationSearchRowBasic',
            'preferredVendorJoin' => 'common_2013_2.platform:VendorSearchRowBasic',
            'shopperJoin' => 'common_2013_2.platform:CustomerSearchRowBasic',
            'transactionJoin' => 'common_2013_2.platform:TransactionSearchRowBasic',
            'userJoin' => 'common_2013_2.platform:EmployeeSearchRowBasic',
            'userNotesJoin' => 'common_2013_2.platform:NoteSearchRowBasic',
            'vendorJoin' => 'common_2013_2.platform:VendorSearchRowBasic',
            'customSearchJoin' => 'common_2013_2.platform:CustomSearchRowBasic',
        },
    
        ContactRole => {
            'name' => 'xsd:string',
            'description' => 'xsd:string',
            'isInactive' => 'xsd:boolean',
        },
    
        Bin => {
            'binNumber' => 'xsd:string',
            'location' => 'core_2013_2.platform:RecordRef',
            'memo' => 'xsd:string',
            'isInactive' => 'xsd:boolean',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        BinSearchAdvanced => {
            'criteria' => 'accounting_2013_2.lists:BinSearch',
            'columns' => 'accounting_2013_2.lists:BinSearchRow',
        },
    
        BinSearchRow => {
            'basic' => 'common_2013_2.platform:BinSearchRowBasic',
            'userJoin' => 'common_2013_2.platform:EmployeeSearchRowBasic',
            'customSearchJoin' => 'common_2013_2.platform:CustomSearchRowBasic',
        },
    
        SalesTaxItem => {
            'itemId' => 'xsd:string',
            'displayName' => 'xsd:string',
            'description' => 'xsd:string',
            'rate' => 'xsd:string',
            'taxType' => 'core_2013_2.platform:RecordRef',
            'taxAgency' => 'core_2013_2.platform:RecordRef',
            'purchaseAccount' => 'core_2013_2.platform:RecordRef',
            'saleAccount' => 'core_2013_2.platform:RecordRef',
            'isInactive' => 'xsd:boolean',
            'effectiveFrom' => 'xsd:dateTime',
            'validUntil' => 'xsd:dateTime',
            'subsidiaryList' => 'core_2013_2.platform:RecordRefList',
            'includeChildren' => 'xsd:boolean',
            'eccode' => 'xsd:boolean',
            'reverseCharge' => 'xsd:boolean',
            'parent' => 'core_2013_2.platform:RecordRef',
            'service' => 'xsd:boolean',
            'exempt' => 'xsd:boolean',
            'isDefault' => 'xsd:boolean',
            'excludeFromTaxReports' => 'xsd:boolean',
            'available' => 'accounting_2013_2.listsTypes:SalesTaxItemAvailable',
            'export' => 'xsd:boolean',
            'taxAccount' => 'core_2013_2.platform:RecordRef',
            'county' => 'xsd:string',
            'city' => 'xsd:string',
            'state' => 'xsd:string',
            'zip' => 'xsd:string',
            'nexusCountry' => 'core_2013_2.platform:RecordRef',
        },
    
        TaxGroup => {
            'itemId' => 'xsd:string',
            'description' => 'xsd:string',
            'state' => 'xsd:string',
            'subsidiaryList' => 'core_2013_2.platform:RecordRefList',
            'taxitem1' => 'core_2013_2.platform:RecordRef',
            'unitprice1' => 'xsd:string',
            'taxitem2' => 'core_2013_2.platform:RecordRef',
            'unitprice2' => 'xsd:string',
            'piggyback' => 'xsd:boolean',
            'isInactive' => 'xsd:boolean',
            'rate' => 'xsd:double',
            'taxType' => 'core_2013_2.platform:RecordRef',
            'includeChildren' => 'xsd:boolean',
            'county' => 'xsd:string',
            'city' => 'xsd:string',
            'zip' => 'xsd:string',
            'nexusCountry' => 'core_2013_2.platform:RecordRef',
            'isDefault' => 'xsd:boolean',
            'taxItemList' => 'accounting_2013_2.lists:TaxGroupTaxItemList',
        },
    
        TaxGroupTaxItem => {
            'taxName' => 'core_2013_2.platform:RecordRef',
            'rate' => 'xsd:double',
            'basis' => 'xsd:double',
            'taxType' => 'xsd:string',
        },
    
        TaxGroupTaxItemList => {
            'taxItem' => 'accounting_2013_2.lists:TaxGroupTaxItem',
        },
    
        TaxType => {
            'name' => 'xsd:string',
            'description' => 'xsd:string',
            'nexusesTaxList' => 'accounting_2013_2.lists:TaxTypeNexusesTaxList',
        },
    
        TaxTypeNexusesTax => {
            'nexus' => 'core_2013_2.platform:RecordRef',
            'description' => 'xsd:string',
            'saleTaxAcct' => 'core_2013_2.platform:RecordRef',
            'purchTaxAcct' => 'core_2013_2.platform:RecordRef',
        },
    
        TaxTypeNexusesTaxList => {
            'nexusesTax' => 'accounting_2013_2.lists:TaxTypeNexusesTax',
        },
    
        SerializedInventoryItem => {
            'createdDate' => 'xsd:dateTime',
            'lastModifiedDate' => 'xsd:dateTime',
            'customForm' => 'core_2013_2.platform:RecordRef',
            'itemId' => 'xsd:string',
            'upcCode' => 'xsd:string',
            'displayName' => 'xsd:string',
            'matrixType' => 'accounting_2013_2.listsTypes:ItemMatrixType',
            'includeChildren' => 'xsd:boolean',
            'vendorName' => 'xsd:string',
            'parent' => 'core_2013_2.platform:RecordRef',
            'isOnline' => 'xsd:boolean',
            'isHazmatItem' => 'xsd:boolean',
            'hazmatId' => 'xsd:string',
            'hazmatShippingName' => 'xsd:string',
            'hazmatHazardClass' => 'xsd:string',
            'hazmatPackingGroup' => 'accounting_2013_2.listsTypes:HazmatPackingGroup',
            'hazmatItemUnits' => 'xsd:string',
            'hazmatItemUnitsQty' => 'xsd:double',
            'isGcoCompliant' => 'xsd:boolean',
            'offerSupport' => 'xsd:boolean',
            'isInactive' => 'xsd:boolean',
            'availableToPartners' => 'xsd:boolean',
            'department' => 'core_2013_2.platform:RecordRef',
            'class' => 'core_2013_2.platform:RecordRef',
            'location' => 'core_2013_2.platform:RecordRef',
            'costingMethod' => 'accounting_2013_2.listsTypes:ItemCostingMethod',
            'subsidiaryList' => 'core_2013_2.platform:RecordRefList',
            'purchaseDescription' => 'xsd:string',
            'copyDescription' => 'xsd:boolean',
            'issueProduct' => 'core_2013_2.platform:RecordRef',
            'currency' => 'xsd:string',
            'cogsAccount' => 'core_2013_2.platform:RecordRef',
            'vendor' => 'core_2013_2.platform:RecordRef',
            'salesDescription' => 'xsd:string',
            'lastInvtCountDate' => 'xsd:dateTime',
            'nextInvtCountDate' => 'xsd:dateTime',
            'invtCountInterval' => 'xsd:long',
            'invtClassification' => 'accounting_2013_2.listsTypes:ItemInvtClassification',
            'incomeAccount' => 'core_2013_2.platform:RecordRef',
            'isTaxable' => 'xsd:boolean',
            'taxSchedule' => 'core_2013_2.platform:RecordRef',
            'dropshipExpenseAccount' => 'core_2013_2.platform:RecordRef',
            'assetAccount' => 'core_2013_2.platform:RecordRef',
            'matchBillToReceipt' => 'xsd:boolean',
            'billQtyVarianceAcct' => 'core_2013_2.platform:RecordRef',
            'billPriceVarianceAcct' => 'core_2013_2.platform:RecordRef',
            'billExchRateVarianceAcct' => 'core_2013_2.platform:RecordRef',
            'gainLossAccount' => 'core_2013_2.platform:RecordRef',
            'shippingCost' => 'xsd:double',
            'handlingCost' => 'xsd:double',
            'weight' => 'xsd:double',
            'costingMethodDisplay' => 'xsd:string',
            'shippingCostUnits' => 'xsd:string',
            'handlingCostUnits' => 'xsd:string',
            'unitsType' => 'core_2013_2.platform:RecordRef',
            'stockUnit' => 'core_2013_2.platform:RecordRef',
            'purchaseUnit' => 'core_2013_2.platform:RecordRef',
            'saleUnit' => 'core_2013_2.platform:RecordRef',
            'minimumQuantityUnits' => 'xsd:string',
            'safetyStockLevelUnits' => 'xsd:string',
            'billingSchedule' => 'core_2013_2.platform:RecordRef',
            'trackLandedCost' => 'xsd:boolean',
            'isDropShipItem' => 'xsd:boolean',
            'isSpecialOrderItem' => 'xsd:boolean',
            'stockDescription' => 'xsd:string',
            'deferredRevenueAccount' => 'core_2013_2.platform:RecordRef',
            'producer' => 'xsd:boolean',
            'manufacturer' => 'xsd:string',
            'revRecSchedule' => 'core_2013_2.platform:RecordRef',
            'mpn' => 'xsd:string',
            'multManufactureAddr' => 'xsd:boolean',
            'manufacturerAddr1' => 'xsd:string',
            'manufacturerCity' => 'xsd:string',
            'manufacturerState' => 'xsd:string',
            'manufacturerZip' => 'xsd:string',
            'countryOfManufacture' => 'common_2013_2.platformTypes:Country',
            'defaultItemShipMethod' => 'core_2013_2.platform:RecordRef',
            'itemCarrier' => 'accounting_2013_2.listsTypes:ItemCarrier',
            'roundUpAsComponent' => 'xsd:boolean',
            'itemShipMethodList' => 'core_2013_2.platform:RecordRefList',
            'manufacturerTaxId' => 'xsd:string',
            'scheduleBNumber' => 'xsd:string',
            'scheduleBQuantity' => 'xsd:long',
            'scheduleBCode' => 'accounting_2013_2.listsTypes:ScheduleBCode',
            'manufacturerTariff' => 'xsd:string',
            'preferenceCriterion' => 'accounting_2013_2.listsTypes:ItemPreferenceCriterion',
            'minimumQuantity' => 'xsd:long',
            'enforceMinQtyInternally' => 'xsd:boolean',
            'shipPackage' => 'core_2013_2.platform:RecordRef',
            'shipIndividually' => 'xsd:boolean',
            'softDescriptor' => 'core_2013_2.platform:RecordRef',
            'costCategory' => 'core_2013_2.platform:RecordRef',
            'pricesIncludeTax' => 'xsd:boolean',
            'quantityPricingSchedule' => 'core_2013_2.platform:RecordRef',
            'useMarginalRates' => 'xsd:boolean',
            'costEstimateType' => 'common_2013_2.platformTypes:ItemCostEstimateType',
            'costEstimate' => 'xsd:double',
            'transferPrice' => 'xsd:double',
            'overallQuantityPricingType' => 'accounting_2013_2.listsTypes:ItemOverallQuantityPricingType',
            'pricingGroup' => 'core_2013_2.platform:RecordRef',
            'preferredLocation' => 'core_2013_2.platform:RecordRef',
            'vsoePrice' => 'xsd:double',
            'vsoeSopGroup' => 'common_2013_2.platformTypes:VsoeSopGroup',
            'vsoeDeferral' => 'common_2013_2.platformTypes:VsoeDeferral',
            'vsoePermitDiscount' => 'common_2013_2.platformTypes:VsoePermitDiscount',
            'vsoeDelivered' => 'xsd:boolean',
            'cost' => 'xsd:double',
            'costUnits' => 'xsd:string',
            'quantityReorderUnits' => 'xsd:string',
            'reorderMultiple' => 'xsd:long',
            'totalValue' => 'xsd:double',
            'useBins' => 'xsd:boolean',
            'leadTime' => 'xsd:long',
            'autoLeadTime' => 'xsd:boolean',
            'autoReorderPoint' => 'xsd:boolean',
            'autoPreferredStockLevel' => 'xsd:boolean',
            'preferredStockLevelDays' => 'xsd:double',
            'averageCost' => 'xsd:double',
            'safetyStockLevel' => 'xsd:double',
            'lastPurchasePrice' => 'xsd:double',
            'safetyStockLevelDays' => 'xsd:long',
            'backwardConsumptionDays' => 'xsd:long',
            'seasonalDemand' => 'xsd:boolean',
            'demandModifier' => 'xsd:double',
            'storeDisplayName' => 'xsd:string',
            'storeDisplayThumbnail' => 'core_2013_2.platform:RecordRef',
            'weightUnit' => 'accounting_2013_2.listsTypes:ItemWeightUnit',
            'weightUnits' => 'xsd:string',
            'storeDisplayImage' => 'core_2013_2.platform:RecordRef',
            'storeDescription' => 'xsd:string',
            'storeDetailedDescription' => 'xsd:string',
            'storeItemTemplate' => 'core_2013_2.platform:RecordRef',
            'pageTitle' => 'xsd:string',
            'metaTagHtml' => 'xsd:string',
            'excludeFromSitemap' => 'xsd:boolean',
            'sitemapPriority' => 'common_2013_2.platformTypes:SitemapPriority',
            'searchKeywords' => 'xsd:string',
            'isDonationItem' => 'xsd:boolean',
            'showDefaultDonationAmount' => 'xsd:boolean',
            'maxDonationAmount' => 'xsd:double',
            'shoppingDotComCategory' => 'xsd:string',
            'shopzillaCategoryId' => 'xsd:long',
            'nexTagCategory' => 'xsd:string',
            'quantityOnHand' => 'xsd:double',
            'quantityOnHandUnits' => 'xsd:string',
            'onHandValueMli' => 'xsd:double',
            'serialNumbers' => 'xsd:string',
            'reorderPoint' => 'xsd:double',
            'preferredStockLevel' => 'xsd:double',
            'reorderPointUnits' => 'xsd:string',
            'defaultReturnCost' => 'xsd:double',
            'supplyReplenishmentMethod' => 'core_2013_2.platform:RecordRef',
            'alternateDemandSourceItem' => 'core_2013_2.platform:RecordRef',
            'fixedLotSize' => 'xsd:double',
            'periodicLotSizeType' => 'accounting_2013_2.listsTypes:PeriodicLotSizeType',
            'supplyType' => 'core_2013_2.platform:RecordRef',
            'periodicLotSizeDays' => 'xsd:long',
            'supplyLotSizingMethod' => 'core_2013_2.platform:RecordRef',
            'forwardConsumptionDays' => 'xsd:long',
            'demandSource' => 'core_2013_2.platform:RecordRef',
            'quantityOnOrder' => 'xsd:double',
            'preferredStockLevelUnits' => 'xsd:string',
            'quantityCommitted' => 'xsd:double',
            'quantityAvailable' => 'xsd:double',
            'quantityBackOrdered' => 'xsd:double',
            'purchaseTaxCode' => 'core_2013_2.platform:RecordRef',
            'purchasePriceVarianceAcct' => 'core_2013_2.platform:RecordRef',
            'rate' => 'xsd:double',
            'salesTaxCode' => 'core_2013_2.platform:RecordRef',
            'onSpecial' => 'xsd:boolean',
            'dontShowPrice' => 'xsd:boolean',
            'noPriceMessage' => 'xsd:string',
            'outOfStockMessage' => 'xsd:string',
            'specialsDescription' => 'xsd:string',
            'outOfStockBehavior' => 'accounting_2013_2.listsTypes:ItemOutOfStockBehavior',
            'relatedItemsDescription' => 'xsd:string',
            'featuredDescription' => 'xsd:string',
            'productFeedList' => 'accounting_2013_2.lists:ProductFeedList',
            'urlComponent' => 'xsd:string',
            'itemOptionsList' => 'accounting_2013_2.lists:ItemOptionsList',
            'matrixOptionList' => 'accounting_2013_2.lists:MatrixOptionList',
            'itemVendorList' => 'accounting_2013_2.lists:ItemVendorList',
            'pricingMatrix' => 'accounting_2013_2.lists:PricingMatrix',
            'itemNumberOptionsList' => 'core_2013_2.platform:RecordRefList',
            'numbersList' => 'accounting_2013_2.lists:SerializedInventoryItemNumbersList',
            'binNumberList' => 'accounting_2013_2.lists:InventoryItemBinNumberList',
            'siteCategoryList' => 'accounting_2013_2.lists:SiteCategoryList',
            'locationsList' => 'accounting_2013_2.lists:SerializedInventoryItemLocationsList',
            'translationsList' => 'accounting_2013_2.lists:TranslationList',
            'presentationItemList' => 'accounting_2013_2.lists:PresentationItemList',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        SerializedInventoryItemLocations => {
            'location' => 'xsd:string',
            'quantityOnHand' => 'xsd:double',
            'onHandValueMli' => 'xsd:double',
            'serialNumbers' => 'xsd:string',
            'averageCostMli' => 'xsd:double',
            'lastPurchasePriceMli' => 'xsd:double',
            'reorderPoint' => 'xsd:double',
            'preferredStockLevel' => 'xsd:double',
            'leadTime' => 'xsd:long',
            'defaultReturnCost' => 'xsd:double',
            'isWip' => 'xsd:boolean',
            'safetyStockLevel' => 'xsd:double',
            'cost' => 'xsd:double',
            'inventoryCostTemplate' => 'core_2013_2.platform:RecordRef',
            'buildTime' => 'xsd:double',
            'lastInvtCountDate' => 'xsd:dateTime',
            'nextInvtCountDate' => 'xsd:dateTime',
            'invtCountInterval' => 'xsd:long',
            'invtClassification' => 'accounting_2013_2.listsTypes:ItemInvtClassification',
            'costingLotSize' => 'xsd:double',
            'quantityOnOrder' => 'xsd:double',
            'quantityCommitted' => 'xsd:double',
            'quantityAvailable' => 'xsd:double',
            'quantityBackOrdered' => 'xsd:double',
            'locationId' => 'core_2013_2.platform:RecordRef',
            'supplyReplenishmentMethod' => 'core_2013_2.platform:RecordRef',
            'alternateDemandSourceItem' => 'core_2013_2.platform:RecordRef',
            'fixedLotSize' => 'xsd:double',
            'periodicLotSizeType' => 'accounting_2013_2.listsTypes:PeriodicLotSizeType',
            'periodicLotSizeDays' => 'xsd:long',
            'supplyType' => 'core_2013_2.platform:RecordRef',
            'supplyLotSizingMethod' => 'core_2013_2.platform:RecordRef',
            'demandSource' => 'core_2013_2.platform:RecordRef',
            'backwardConsumptionDays' => 'xsd:long',
            'forwardConsumptionDays' => 'xsd:long',
        },
    
        SerializedInventoryItemLocationsList => {
            'locations' => 'accounting_2013_2.lists:SerializedInventoryItemLocations',
        },
    
        SerializedInventoryItemNumbers => {
            'serialNumber' => 'core_2013_2.platform:RecordRef',
        },
    
        SerializedInventoryItemNumbersList => {
            'numbers' => 'accounting_2013_2.lists:SerializedInventoryItemNumbers',
        },
    
        LotNumberedInventoryItem => {
            'createdDate' => 'xsd:dateTime',
            'lastModifiedDate' => 'xsd:dateTime',
            'customForm' => 'core_2013_2.platform:RecordRef',
            'itemId' => 'xsd:string',
            'upcCode' => 'xsd:string',
            'displayName' => 'xsd:string',
            'matrixType' => 'accounting_2013_2.listsTypes:ItemMatrixType',
            'includeChildren' => 'xsd:boolean',
            'vendorName' => 'xsd:string',
            'parent' => 'core_2013_2.platform:RecordRef',
            'isOnline' => 'xsd:boolean',
            'isHazmatItem' => 'xsd:boolean',
            'hazmatId' => 'xsd:string',
            'hazmatShippingName' => 'xsd:string',
            'hazmatHazardClass' => 'xsd:string',
            'hazmatPackingGroup' => 'accounting_2013_2.listsTypes:HazmatPackingGroup',
            'hazmatItemUnits' => 'xsd:string',
            'hazmatItemUnitsQty' => 'xsd:double',
            'isGcoCompliant' => 'xsd:boolean',
            'offerSupport' => 'xsd:boolean',
            'isInactive' => 'xsd:boolean',
            'availableToPartners' => 'xsd:boolean',
            'department' => 'core_2013_2.platform:RecordRef',
            'class' => 'core_2013_2.platform:RecordRef',
            'location' => 'core_2013_2.platform:RecordRef',
            'costingMethod' => 'accounting_2013_2.listsTypes:ItemCostingMethod',
            'subsidiaryList' => 'core_2013_2.platform:RecordRefList',
            'purchaseDescription' => 'xsd:string',
            'copyDescription' => 'xsd:boolean',
            'currency' => 'xsd:string',
            'cogsAccount' => 'core_2013_2.platform:RecordRef',
            'vendor' => 'core_2013_2.platform:RecordRef',
            'salesDescription' => 'xsd:string',
            'incomeAccount' => 'core_2013_2.platform:RecordRef',
            'issueProduct' => 'core_2013_2.platform:RecordRef',
            'taxSchedule' => 'core_2013_2.platform:RecordRef',
            'dropshipExpenseAccount' => 'core_2013_2.platform:RecordRef',
            'isTaxable' => 'xsd:boolean',
            'assetAccount' => 'core_2013_2.platform:RecordRef',
            'matchBillToReceipt' => 'xsd:boolean',
            'billQtyVarianceAcct' => 'core_2013_2.platform:RecordRef',
            'billPriceVarianceAcct' => 'core_2013_2.platform:RecordRef',
            'billExchRateVarianceAcct' => 'core_2013_2.platform:RecordRef',
            'gainLossAccount' => 'core_2013_2.platform:RecordRef',
            'shippingCost' => 'xsd:double',
            'handlingCost' => 'xsd:double',
            'weight' => 'xsd:double',
            'costingMethodDisplay' => 'xsd:string',
            'shippingCostUnits' => 'xsd:string',
            'handlingCostUnits' => 'xsd:string',
            'unitsType' => 'core_2013_2.platform:RecordRef',
            'stockUnit' => 'core_2013_2.platform:RecordRef',
            'purchaseUnit' => 'core_2013_2.platform:RecordRef',
            'saleUnit' => 'core_2013_2.platform:RecordRef',
            'minimumQuantityUnits' => 'xsd:string',
            'safetyStockLevelUnits' => 'xsd:string',
            'billingSchedule' => 'core_2013_2.platform:RecordRef',
            'trackLandedCost' => 'xsd:boolean',
            'isDropShipItem' => 'xsd:boolean',
            'isSpecialOrderItem' => 'xsd:boolean',
            'stockDescription' => 'xsd:string',
            'deferredRevenueAccount' => 'core_2013_2.platform:RecordRef',
            'producer' => 'xsd:boolean',
            'manufacturer' => 'xsd:string',
            'revRecSchedule' => 'core_2013_2.platform:RecordRef',
            'mpn' => 'xsd:string',
            'multManufactureAddr' => 'xsd:boolean',
            'manufacturerAddr1' => 'xsd:string',
            'manufacturerCity' => 'xsd:string',
            'manufacturerState' => 'xsd:string',
            'manufacturerZip' => 'xsd:string',
            'countryOfManufacture' => 'common_2013_2.platformTypes:Country',
            'defaultItemShipMethod' => 'core_2013_2.platform:RecordRef',
            'itemCarrier' => 'accounting_2013_2.listsTypes:ItemCarrier',
            'roundUpAsComponent' => 'xsd:boolean',
            'itemShipMethodList' => 'core_2013_2.platform:RecordRefList',
            'manufacturerTaxId' => 'xsd:string',
            'scheduleBNumber' => 'xsd:string',
            'scheduleBQuantity' => 'xsd:long',
            'scheduleBCode' => 'accounting_2013_2.listsTypes:ScheduleBCode',
            'manufacturerTariff' => 'xsd:string',
            'preferenceCriterion' => 'accounting_2013_2.listsTypes:ItemPreferenceCriterion',
            'minimumQuantity' => 'xsd:long',
            'enforceMinQtyInternally' => 'xsd:boolean',
            'shipPackage' => 'core_2013_2.platform:RecordRef',
            'shipIndividually' => 'xsd:boolean',
            'softDescriptor' => 'core_2013_2.platform:RecordRef',
            'costCategory' => 'core_2013_2.platform:RecordRef',
            'pricesIncludeTax' => 'xsd:boolean',
            'purchasePriceVarianceAcct' => 'core_2013_2.platform:RecordRef',
            'quantityPricingSchedule' => 'core_2013_2.platform:RecordRef',
            'useMarginalRates' => 'xsd:boolean',
            'costEstimateType' => 'common_2013_2.platformTypes:ItemCostEstimateType',
            'costEstimate' => 'xsd:double',
            'transferPrice' => 'xsd:double',
            'overallQuantityPricingType' => 'accounting_2013_2.listsTypes:ItemOverallQuantityPricingType',
            'pricingGroup' => 'core_2013_2.platform:RecordRef',
            'preferredLocation' => 'core_2013_2.platform:RecordRef',
            'vsoePrice' => 'xsd:double',
            'vsoeSopGroup' => 'common_2013_2.platformTypes:VsoeSopGroup',
            'vsoeDeferral' => 'common_2013_2.platformTypes:VsoeDeferral',
            'vsoePermitDiscount' => 'common_2013_2.platformTypes:VsoePermitDiscount',
            'vsoeDelivered' => 'xsd:boolean',
            'cost' => 'xsd:double',
            'costUnits' => 'xsd:string',
            'reorderMultiple' => 'xsd:long',
            'quantityReorderUnits' => 'xsd:string',
            'totalValue' => 'xsd:double',
            'useBins' => 'xsd:boolean',
            'averageCost' => 'xsd:double',
            'leadTime' => 'xsd:long',
            'autoLeadTime' => 'xsd:boolean',
            'lastPurchasePrice' => 'xsd:double',
            'autoReorderPoint' => 'xsd:boolean',
            'autoPreferredStockLevel' => 'xsd:boolean',
            'preferredStockLevelDays' => 'xsd:double',
            'safetyStockLevel' => 'xsd:double',
            'safetyStockLevelDays' => 'xsd:long',
            'backwardConsumptionDays' => 'xsd:long',
            'seasonalDemand' => 'xsd:boolean',
            'demandModifier' => 'xsd:double',
            'storeDisplayName' => 'xsd:string',
            'storeDisplayThumbnail' => 'core_2013_2.platform:RecordRef',
            'weightUnit' => 'accounting_2013_2.listsTypes:ItemWeightUnit',
            'weightUnits' => 'xsd:string',
            'storeDisplayImage' => 'core_2013_2.platform:RecordRef',
            'storeDescription' => 'xsd:string',
            'storeDetailedDescription' => 'xsd:string',
            'storeItemTemplate' => 'core_2013_2.platform:RecordRef',
            'pageTitle' => 'xsd:string',
            'metaTagHtml' => 'xsd:string',
            'excludeFromSitemap' => 'xsd:boolean',
            'sitemapPriority' => 'common_2013_2.platformTypes:SitemapPriority',
            'searchKeywords' => 'xsd:string',
            'isDonationItem' => 'xsd:boolean',
            'showDefaultDonationAmount' => 'xsd:boolean',
            'maxDonationAmount' => 'xsd:double',
            'shoppingDotComCategory' => 'xsd:string',
            'shopzillaCategoryId' => 'xsd:long',
            'nexTagCategory' => 'xsd:string',
            'quantityOnHand' => 'xsd:double',
            'quantityOnHandUnits' => 'xsd:string',
            'expirationDate' => 'xsd:dateTime',
            'lastInvtCountDate' => 'xsd:dateTime',
            'nextInvtCountDate' => 'xsd:dateTime',
            'invtCountInterval' => 'xsd:long',
            'invtClassification' => 'accounting_2013_2.listsTypes:ItemInvtClassification',
            'onHandValueMli' => 'xsd:double',
            'serialNumbers' => 'xsd:string',
            'reorderPoint' => 'xsd:double',
            'preferredStockLevel' => 'xsd:double',
            'reorderPointUnits' => 'xsd:string',
            'defaultReturnCost' => 'xsd:double',
            'supplyReplenishmentMethod' => 'core_2013_2.platform:RecordRef',
            'alternateDemandSourceItem' => 'core_2013_2.platform:RecordRef',
            'fixedLotSize' => 'xsd:double',
            'periodicLotSizeType' => 'accounting_2013_2.listsTypes:PeriodicLotSizeType',
            'supplyType' => 'core_2013_2.platform:RecordRef',
            'periodicLotSizeDays' => 'xsd:long',
            'supplyLotSizingMethod' => 'core_2013_2.platform:RecordRef',
            'forwardConsumptionDays' => 'xsd:long',
            'demandSource' => 'core_2013_2.platform:RecordRef',
            'quantityOnOrder' => 'xsd:double',
            'preferredStockLevelUnits' => 'xsd:string',
            'quantityCommitted' => 'xsd:double',
            'quantityAvailable' => 'xsd:double',
            'quantityBackOrdered' => 'xsd:double',
            'purchaseTaxCode' => 'core_2013_2.platform:RecordRef',
            'rate' => 'xsd:double',
            'salesTaxCode' => 'core_2013_2.platform:RecordRef',
            'dontShowPrice' => 'xsd:boolean',
            'noPriceMessage' => 'xsd:string',
            'outOfStockMessage' => 'xsd:string',
            'onSpecial' => 'xsd:boolean',
            'outOfStockBehavior' => 'accounting_2013_2.listsTypes:ItemOutOfStockBehavior',
            'specialsDescription' => 'xsd:string',
            'relatedItemsDescription' => 'xsd:string',
            'featuredDescription' => 'xsd:string',
            'productFeedList' => 'accounting_2013_2.lists:ProductFeedList',
            'urlComponent' => 'xsd:string',
            'itemOptionsList' => 'accounting_2013_2.lists:ItemOptionsList',
            'matrixOptionList' => 'accounting_2013_2.lists:MatrixOptionList',
            'itemVendorList' => 'accounting_2013_2.lists:ItemVendorList',
            'pricingMatrix' => 'accounting_2013_2.lists:PricingMatrix',
            'itemNumberOptionsList' => 'core_2013_2.platform:RecordRefList',
            'numbersList' => 'accounting_2013_2.lists:LotNumberedInventoryItemNumbersList',
            'binNumberList' => 'accounting_2013_2.lists:InventoryItemBinNumberList',
            'siteCategoryList' => 'accounting_2013_2.lists:SiteCategoryList',
            'locationsList' => 'accounting_2013_2.lists:LotNumberedInventoryItemLocationsList',
            'translationsList' => 'accounting_2013_2.lists:TranslationList',
            'presentationItemList' => 'accounting_2013_2.lists:PresentationItemList',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        LotNumberedInventoryItemLocations => {
            'location' => 'xsd:string',
            'quantityOnHand' => 'xsd:double',
            'onHandValueMli' => 'xsd:double',
            'serialNumbers' => 'xsd:string',
            'expirationDate' => 'xsd:dateTime',
            'averageCostMli' => 'xsd:double',
            'lastPurchasePriceMli' => 'xsd:double',
            'reorderPoint' => 'xsd:double',
            'preferredStockLevel' => 'xsd:double',
            'leadTime' => 'xsd:long',
            'defaultReturnCost' => 'xsd:double',
            'safetyStockLevel' => 'xsd:double',
            'cost' => 'xsd:double',
            'inventoryCostTemplate' => 'core_2013_2.platform:RecordRef',
            'buildTime' => 'xsd:double',
            'lastInvtCountDate' => 'xsd:dateTime',
            'nextInvtCountDate' => 'xsd:dateTime',
            'isWip' => 'xsd:boolean',
            'invtCountInterval' => 'xsd:long',
            'invtClassification' => 'accounting_2013_2.listsTypes:ItemInvtClassification',
            'costingLotSize' => 'xsd:double',
            'quantityOnOrder' => 'xsd:double',
            'quantityCommitted' => 'xsd:double',
            'quantityAvailable' => 'xsd:double',
            'quantityBackOrdered' => 'xsd:double',
            'locationId' => 'core_2013_2.platform:RecordRef',
            'locationlookup' => 'core_2013_2.platform:RecordRef',
            'location_display' => 'xsd:string',
            'supplyReplenishmentMethod' => 'core_2013_2.platform:RecordRef',
            'alternateDemandSourceItem' => 'core_2013_2.platform:RecordRef',
            'fixedLotSize' => 'xsd:double',
            'periodicLotSizeType' => 'accounting_2013_2.listsTypes:PeriodicLotSizeType',
            'periodicLotSizeDays' => 'xsd:long',
            'supplyType' => 'core_2013_2.platform:RecordRef',
            'supplyLotSizingMethod' => 'core_2013_2.platform:RecordRef',
            'demandSource' => 'core_2013_2.platform:RecordRef',
            'backwardConsumptionDays' => 'xsd:long',
            'forwardConsumptionDays' => 'xsd:long',
        },
    
        LotNumberedInventoryItemLocationsList => {
            'locations' => 'accounting_2013_2.lists:LotNumberedInventoryItemLocations',
        },
    
        LotNumberedInventoryItemNumbers => {
            'serialNumber' => 'core_2013_2.platform:RecordRef',
            'quantityOnHand' => 'xsd:double',
            'expirationDate' => 'xsd:dateTime',
        },
    
        LotNumberedInventoryItemNumbersList => {
            'numbers' => 'accounting_2013_2.lists:LotNumberedInventoryItemNumbers',
        },
    
        GiftCertificateItem => {
            'createdDate' => 'xsd:dateTime',
            'lastModifiedDate' => 'xsd:dateTime',
            'customForm' => 'core_2013_2.platform:RecordRef',
            'itemId' => 'xsd:string',
            'upcCode' => 'xsd:string',
            'displayName' => 'xsd:string',
            'includeChildren' => 'xsd:boolean',
            'parent' => 'core_2013_2.platform:RecordRef',
            'isOnline' => 'xsd:boolean',
            'isGcoCompliant' => 'xsd:boolean',
            'offerSupport' => 'xsd:boolean',
            'isInactive' => 'xsd:boolean',
            'availableToPartners' => 'xsd:boolean',
            'department' => 'core_2013_2.platform:RecordRef',
            'class' => 'core_2013_2.platform:RecordRef',
            'location' => 'core_2013_2.platform:RecordRef',
            'subsidiaryList' => 'core_2013_2.platform:RecordRefList',
            'salesDescription' => 'xsd:string',
            'incomeAccount' => 'core_2013_2.platform:RecordRef',
            'liabilityAccount' => 'core_2013_2.platform:RecordRef',
            'daysBeforeExpiration' => 'xsd:long',
            'isTaxable' => 'xsd:boolean',
            'rate' => 'xsd:double',
            'urlComponent' => 'xsd:string',
            'salesTaxCode' => 'core_2013_2.platform:RecordRef',
            'pricesIncludeTax' => 'xsd:boolean',
            'taxSchedule' => 'core_2013_2.platform:RecordRef',
            'costEstimate' => 'xsd:double',
            'costEstimateType' => 'common_2013_2.platformTypes:ItemCostEstimateType',
            'billingSchedule' => 'core_2013_2.platform:RecordRef',
            'issueProduct' => 'core_2013_2.platform:RecordRef',
            'isFulfillable' => 'xsd:boolean',
            'storeDisplayName' => 'xsd:string',
            'storeDisplayThumbnail' => 'core_2013_2.platform:RecordRef',
            'storeDisplayImage' => 'core_2013_2.platform:RecordRef',
            'storeDescription' => 'xsd:string',
            'storeDetailedDescription' => 'xsd:string',
            'storeItemTemplate' => 'core_2013_2.platform:RecordRef',
            'pageTitle' => 'xsd:string',
            'metaTagHtml' => 'xsd:string',
            'excludeFromSitemap' => 'xsd:boolean',
            'sitemapPriority' => 'common_2013_2.platformTypes:SitemapPriority',
            'searchKeywords' => 'xsd:string',
            'isDonationItem' => 'xsd:boolean',
            'showDefaultDonationAmount' => 'xsd:boolean',
            'maxDonationAmount' => 'xsd:double',
            'dontShowPrice' => 'xsd:boolean',
            'noPriceMessage' => 'xsd:string',
            'outOfStockMessage' => 'xsd:string',
            'onSpecial' => 'xsd:boolean',
            'outOfStockBehavior' => 'accounting_2013_2.listsTypes:ItemOutOfStockBehavior',
            'specialsDescription' => 'xsd:string',
            'featuredDescription' => 'xsd:string',
            'relatedItemsDescription' => 'xsd:string',
            'pricingMatrix' => 'accounting_2013_2.lists:PricingMatrix',
            'authCodesList' => 'accounting_2013_2.lists:GiftCertificateItemAuthCodesList',
            'siteCategoryList' => 'accounting_2013_2.lists:SiteCategoryList',
            'translationsList' => 'accounting_2013_2.lists:TranslationList',
            'itemOptionsList' => 'accounting_2013_2.lists:ItemOptionsList',
            'presentationItemList' => 'accounting_2013_2.lists:PresentationItemList',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        GiftCertificateItemAuthCodes => {
            'authCode' => 'xsd:string',
            'used' => 'xsd:boolean',
        },
    
        GiftCertificateItemAuthCodesList => {
            'authCodes' => 'accounting_2013_2.lists:GiftCertificateItemAuthCodes',
        },
    
        Subsidiary => {
            'name' => 'xsd:string',
            'parent' => 'core_2013_2.platform:RecordRef',
            'isInactive' => 'xsd:boolean',
            'showSubsidiaryName' => 'xsd:boolean',
            'url' => 'xsd:string',
            'logo' => 'core_2013_2.platform:RecordRef',
            'tranPrefix' => 'xsd:string',
            'pageLogo' => 'core_2013_2.platform:RecordRef',
            'attention' => 'xsd:string',
            'addressee' => 'xsd:string',
            'addrPhone' => 'xsd:string',
            'addr1' => 'xsd:string',
            'addr2' => 'xsd:string',
            'addr3' => 'xsd:string',
            'city' => 'xsd:string',
            'state' => 'xsd:string',
            'zip' => 'xsd:string',
            'country' => 'common_2013_2.platformTypes:Country',
            'addrText' => 'xsd:string',
            'override' => 'xsd:boolean',
            'shipAddr' => 'xsd:string',
            'returnAddr' => 'xsd:string',
            'companyNameForSupportMessages' => 'xsd:string',
            'mainSupportEmailAddress' => 'xsd:string',
            'anonymousCustomerInboundEmail' => 'core_2013_2.platform:RecordRef',
            'anonymousCustomerOnlineForms' => 'core_2013_2.platform:RecordRef',
            'caseCreationTemplate' => 'core_2013_2.platform:RecordRef',
            'caseUpdateTemplate' => 'core_2013_2.platform:RecordRef',
            'caseAutomaticClosureTemplate' => 'core_2013_2.platform:RecordRef',
            'caseAssignmentTemplate' => 'core_2013_2.platform:RecordRef',
            'employeeCaseUpdateTemplate' => 'core_2013_2.platform:RecordRef',
            'caseCopyEmployeeTemplate' => 'core_2013_2.platform:RecordRef',
            'caseEscalationTemplate' => 'core_2013_2.platform:RecordRef',
            'returnAddress1' => 'xsd:string',
            'returnAddress2' => 'xsd:string',
            'returnCity' => 'xsd:string',
            'returnState' => 'xsd:string',
            'returnCountry' => 'common_2013_2.platformTypes:Country',
            'returnZip' => 'xsd:string',
            'legalName' => 'xsd:string',
            'isElimination' => 'xsd:boolean',
            'fiscalCalendar' => 'core_2013_2.platform:RecordRef',
            'taxFiscalCalendar' => 'core_2013_2.platform:RecordRef',
            'allowPayroll' => 'xsd:boolean',
            'email' => 'xsd:string',
            'currency' => 'core_2013_2.platform:RecordRef',
            'fax' => 'xsd:string',
            'edition' => 'xsd:string',
            'federalIdNumber' => 'xsd:string',
            'addrLanguage' => 'xsd:string',
            'nonConsol' => 'xsd:string',
            'consol' => 'xsd:string',
            'shipAddress1' => 'xsd:string',
            'shipAddress2' => 'xsd:string',
            'shipCity' => 'xsd:string',
            'shipState' => 'xsd:string',
            'shipCountry' => 'common_2013_2.platformTypes:Country',
            'shipZip' => 'xsd:string',
            'state1TaxNumber' => 'xsd:string',
            'ssnOrTin' => 'xsd:string',
            'interCoAccount' => 'core_2013_2.platform:RecordRef',
            'nexusList' => 'accounting_2013_2.lists:SubsidiaryNexusList',
            'checkLayout' => 'core_2013_2.platform:RecordRef',
            'inboundEmail' => 'xsd:string',
            'classTranslationList' => 'accounting_2013_2.lists:ClassTranslationList',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        SubsidiaryNexus => {
            'nexusId' => 'core_2013_2.platform:RecordRef',
            'country' => 'xsd:string',
        },
    
        SubsidiaryNexusList => {
            'nexus' => 'accounting_2013_2.lists:SubsidiaryNexus',
        },
    
        SubsidiarySearchAdvanced => {
            'criteria' => 'accounting_2013_2.lists:SubsidiarySearch',
            'columns' => 'accounting_2013_2.lists:SubsidiarySearchRow',
        },
    
        SubsidiarySearchRow => {
            'basic' => 'common_2013_2.platform:SubsidiarySearchRowBasic',
            'userJoin' => 'common_2013_2.platform:EmployeeSearchRowBasic',
            'customSearchJoin' => 'common_2013_2.platform:CustomSearchRowBasic',
        },
    
        GiftCertificate => {
            'giftCertCode' => 'xsd:string',
            'sender' => 'xsd:string',
            'name' => 'xsd:string',
            'email' => 'xsd:string',
            'message' => 'xsd:string',
            'expirationDate' => 'xsd:dateTime',
            'createdDate' => 'xsd:dateTime',
            'lastModifiedDate' => 'xsd:dateTime',
            'originalAmount' => 'xsd:double',
            'amountRemaining' => 'xsd:double',
        },
    
        GiftCertificateSearchAdvanced => {
            'criteria' => 'accounting_2013_2.lists:GiftCertificateSearch',
            'columns' => 'accounting_2013_2.lists:GiftCertificateSearchRow',
        },
    
        GiftCertificateSearchRow => {
            'basic' => 'common_2013_2.platform:GiftCertificateSearchRowBasic',
            'userJoin' => 'common_2013_2.platform:EmployeeSearchRowBasic',
            'customSearchJoin' => 'common_2013_2.platform:CustomSearchRowBasic',
        },
    
        PartnerCategory => {
            'name' => 'xsd:string',
            'parent' => 'core_2013_2.platform:RecordRef',
            'isInactive' => 'xsd:boolean',
        },
    
        VendorCategory => {
            'name' => 'xsd:string',
            'isTaxAgency' => 'xsd:boolean',
            'isInactive' => 'xsd:boolean',
        },
    
        KitItem => {
            'createdDate' => 'xsd:dateTime',
            'lastModifiedDate' => 'xsd:dateTime',
            'customForm' => 'core_2013_2.platform:RecordRef',
            'itemId' => 'xsd:string',
            'upcCode' => 'xsd:string',
            'displayName' => 'xsd:string',
            'parent' => 'core_2013_2.platform:RecordRef',
            'printItems' => 'xsd:boolean',
            'isOnline' => 'xsd:boolean',
            'isGcoCompliant' => 'xsd:boolean',
            'offerSupport' => 'xsd:boolean',
            'isInactive' => 'xsd:boolean',
            'availableToPartners' => 'xsd:boolean',
            'department' => 'core_2013_2.platform:RecordRef',
            'subsidiaryList' => 'core_2013_2.platform:RecordRefList',
            'class' => 'core_2013_2.platform:RecordRef',
            'includeChildren' => 'xsd:boolean',
            'location' => 'core_2013_2.platform:RecordRef',
            'description' => 'xsd:string',
            'incomeAccount' => 'core_2013_2.platform:RecordRef',
            'taxSchedule' => 'core_2013_2.platform:RecordRef',
            'shippingCost' => 'xsd:double',
            'handlingCost' => 'xsd:double',
            'isTaxable' => 'xsd:boolean',
            'salesTaxCode' => 'core_2013_2.platform:RecordRef',
            'weight' => 'xsd:double',
            'weightUnit' => 'core_2013_2.platform:RecordRef',
            'rate' => 'xsd:double',
            'billingSchedule' => 'core_2013_2.platform:RecordRef',
            'deferredRevenueAccount' => 'core_2013_2.platform:RecordRef',
            'revRecSchedule' => 'core_2013_2.platform:RecordRef',
            'stockDescription' => 'xsd:string',
            'producer' => 'xsd:boolean',
            'manufacturer' => 'xsd:string',
            'mpn' => 'xsd:string',
            'multManufactureAddr' => 'xsd:boolean',
            'manufactureraddr1' => 'xsd:string',
            'manufacturerCity' => 'xsd:string',
            'manufacturerState' => 'xsd:string',
            'manufacturerZip' => 'xsd:string',
            'countryOfManufacture' => 'common_2013_2.platformTypes:Country',
            'defaultItemShipMethod' => 'core_2013_2.platform:RecordRef',
            'itemCarrier' => 'accounting_2013_2.listsTypes:ItemCarrier',
            'itemShipMethodList' => 'core_2013_2.platform:RecordRefList',
            'manufacturerTaxId' => 'xsd:string',
            'scheduleBNumber' => 'xsd:string',
            'scheduleBQuantity' => 'xsd:long',
            'scheduleBCode' => 'core_2013_2.platform:RecordRef',
            'manufacturerTariff' => 'xsd:string',
            'preferenceCriterion' => 'accounting_2013_2.listsTypes:ItemPreferenceCriterion',
            'issueProduct' => 'core_2013_2.platform:RecordRef',
            'minimumQuantity' => 'xsd:long',
            'enforceMinQtyInternally' => 'xsd:boolean',
            'softDescriptor' => 'core_2013_2.platform:RecordRef',
            'isFulfillable' => 'xsd:boolean',
            'pricesIncludeTax' => 'xsd:boolean',
            'quantityPricingSchedule' => 'core_2013_2.platform:RecordRef',
            'useMarginalRates' => 'xsd:boolean',
            'costEstimateType' => 'common_2013_2.platformTypes:ItemCostEstimateType',
            'isHazmatItem' => 'xsd:boolean',
            'hazmatId' => 'xsd:string',
            'hazmatShippingName' => 'xsd:string',
            'hazmatHazardClass' => 'xsd:string',
            'hazmatPackingGroup' => 'accounting_2013_2.listsTypes:HazmatPackingGroup',
            'hazmatItemUnits' => 'xsd:string',
            'hazmatItemUnitsQty' => 'xsd:double',
            'costEstimate' => 'xsd:double',
            'overallQuantityPricingType' => 'accounting_2013_2.listsTypes:ItemOverallQuantityPricingType',
            'pricingGroup' => 'core_2013_2.platform:RecordRef',
            'vsoePrice' => 'xsd:double',
            'vsoeSopGroup' => 'common_2013_2.platformTypes:VsoeSopGroup',
            'vsoeDeferral' => 'common_2013_2.platformTypes:VsoeDeferral',
            'vsoePermitDiscount' => 'common_2013_2.platformTypes:VsoePermitDiscount',
            'vsoeDelivered' => 'xsd:boolean',
            'shipIndividually' => 'xsd:boolean',
            'shipPackage' => 'core_2013_2.platform:RecordRef',
            'storeDisplayName' => 'xsd:string',
            'storeDisplayThumbnail' => 'core_2013_2.platform:RecordRef',
            'outOfStockMessage' => 'xsd:string',
            'storeDisplayImage' => 'core_2013_2.platform:RecordRef',
            'storeDescription' => 'xsd:string',
            'storeDetailedDescription' => 'xsd:string',
            'storeItemTemplate' => 'core_2013_2.platform:RecordRef',
            'pageTitle' => 'xsd:string',
            'urlComponent' => 'xsd:string',
            'metaTagHtml' => 'xsd:string',
            'excludeFromSitemap' => 'xsd:boolean',
            'sitemapPriority' => 'common_2013_2.platformTypes:SitemapPriority',
            'searchKeywords' => 'xsd:string',
            'itemOptionsList' => 'accounting_2013_2.lists:ItemOptionsList',
            'isDonationItem' => 'xsd:boolean',
            'showDefaultDonationAmount' => 'xsd:boolean',
            'maxDonationAmount' => 'xsd:double',
            'dontShowPrice' => 'xsd:boolean',
            'noPriceMessage' => 'xsd:string',
            'shoppingDotComCategory' => 'xsd:string',
            'shopzillaCategoryId' => 'xsd:long',
            'outOfStockBehavior' => 'accounting_2013_2.listsTypes:ItemOutOfStockBehavior',
            'nexTagCategory' => 'xsd:string',
            'productFeedList' => 'accounting_2013_2.lists:ProductFeedList',
            'relatedItemsDescription' => 'xsd:string',
            'onSpecial' => 'xsd:boolean',
            'specialsDescription' => 'xsd:string',
            'featuredDescription' => 'xsd:string',
            'pricingMatrix' => 'accounting_2013_2.lists:PricingMatrix',
            'siteCategoryList' => 'accounting_2013_2.lists:SiteCategoryList',
            'memberList' => 'accounting_2013_2.lists:ItemMemberList',
            'translationsList' => 'accounting_2013_2.lists:TranslationList',
            'presentationItemList' => 'accounting_2013_2.lists:PresentationItemList',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        AssemblyItem => {
            'createdDate' => 'xsd:dateTime',
            'lastModifiedDate' => 'xsd:dateTime',
            'customForm' => 'core_2013_2.platform:RecordRef',
            'itemId' => 'xsd:string',
            'upcCode' => 'xsd:string',
            'displayName' => 'xsd:string',
            'vendorName' => 'xsd:string',
            'parent' => 'core_2013_2.platform:RecordRef',
            'printItems' => 'xsd:boolean',
            'isOnline' => 'xsd:boolean',
            'isGcoCompliant' => 'xsd:boolean',
            'offerSupport' => 'xsd:boolean',
            'isInactive' => 'xsd:boolean',
            'availableToPartners' => 'xsd:boolean',
            'subsidiaryList' => 'core_2013_2.platform:RecordRefList',
            'department' => 'core_2013_2.platform:RecordRef',
            'includeChildren' => 'xsd:boolean',
            'class' => 'core_2013_2.platform:RecordRef',
            'location' => 'core_2013_2.platform:RecordRef',
            'description' => 'xsd:string',
            'cogsAccount' => 'core_2013_2.platform:RecordRef',
            'incomeAccount' => 'core_2013_2.platform:RecordRef',
            'assetAccount' => 'core_2013_2.platform:RecordRef',
            'matchBillToReceipt' => 'xsd:boolean',
            'billQtyVarianceAcct' => 'core_2013_2.platform:RecordRef',
            'billPriceVarianceAcct' => 'core_2013_2.platform:RecordRef',
            'billExchRateVarianceAcct' => 'core_2013_2.platform:RecordRef',
            'gainLossAccount' => 'core_2013_2.platform:RecordRef',
            'salesTaxCode' => 'core_2013_2.platform:RecordRef',
            'useComponentYield' => 'xsd:boolean',
            'wipVarianceAcct' => 'core_2013_2.platform:RecordRef',
            'purchaseTaxCode' => 'core_2013_2.platform:RecordRef',
            'scrapAcct' => 'core_2013_2.platform:RecordRef',
            'taxSchedule' => 'core_2013_2.platform:RecordRef',
            'wipAcct' => 'core_2013_2.platform:RecordRef',
            'shippingCost' => 'xsd:double',
            'handlingCost' => 'xsd:double',
            'weight' => 'xsd:double',
            'weightUnit' => 'accounting_2013_2.listsTypes:ItemWeightUnit',
            'isTaxable' => 'xsd:boolean',
            'costingMethod' => 'accounting_2013_2.listsTypes:ItemCostingMethod',
            'rate' => 'xsd:double',
            'costingMethodDisplay' => 'xsd:string',
            'unitsType' => 'core_2013_2.platform:RecordRef',
            'stockUnit' => 'core_2013_2.platform:RecordRef',
            'purchaseUnit' => 'core_2013_2.platform:RecordRef',
            'saleUnit' => 'core_2013_2.platform:RecordRef',
            'trackLandedCost' => 'xsd:boolean',
            'billingSchedule' => 'core_2013_2.platform:RecordRef',
            'deferredRevenueAccount' => 'core_2013_2.platform:RecordRef',
            'revRecSchedule' => 'core_2013_2.platform:RecordRef',
            'stockDescription' => 'xsd:string',
            'producer' => 'xsd:boolean',
            'manufacturer' => 'xsd:string',
            'mpn' => 'xsd:string',
            'multManufactureAddr' => 'xsd:boolean',
            'manufactureraddr1' => 'xsd:string',
            'manufacturerCity' => 'xsd:string',
            'manufacturerState' => 'xsd:string',
            'manufacturerZip' => 'xsd:string',
            'countryOfManufacture' => 'common_2013_2.platformTypes:Country',
            'effectiveBomControl' => 'accounting_2013_2.listsTypes:AssemblyItemEffectiveBomControl',
            'defaultRevision' => 'xsd:string',
            'roundUpAsComponent' => 'xsd:boolean',
            'defaultItemShipMethod' => 'core_2013_2.platform:RecordRef',
            'itemCarrier' => 'accounting_2013_2.listsTypes:ItemCarrier',
            'itemShipMethodList' => 'core_2013_2.platform:RecordRefList',
            'manufacturerTaxId' => 'xsd:string',
            'scheduleBNumber' => 'xsd:string',
            'scheduleBQuantity' => 'xsd:long',
            'scheduleBCode' => 'core_2013_2.platform:RecordRef',
            'manufacturerTariff' => 'xsd:string',
            'preferenceCriterion' => 'accounting_2013_2.listsTypes:ItemPreferenceCriterion',
            'issueProduct' => 'core_2013_2.platform:RecordRef',
            'minimumQuantity' => 'xsd:long',
            'lastInvtCountDate' => 'xsd:dateTime',
            'nextInvtCountDate' => 'xsd:dateTime',
            'invtCountInterval' => 'xsd:long',
            'invtClassification' => 'accounting_2013_2.listsTypes:ItemInvtClassification',
            'enforceMinQtyInternally' => 'xsd:boolean',
            'softDescriptor' => 'core_2013_2.platform:RecordRef',
            'isSpecialWorkOrderItem' => 'xsd:boolean',
            'costCategory' => 'core_2013_2.platform:RecordRef',
            'pricesIncludeTax' => 'xsd:boolean',
            'prodQtyVarianceAcct' => 'core_2013_2.platform:RecordRef',
            'prodPriceVarianceAcct' => 'core_2013_2.platform:RecordRef',
            'purchasePriceVarianceAcct' => 'core_2013_2.platform:RecordRef',
            'quantityPricingSchedule' => 'core_2013_2.platform:RecordRef',
            'buildEntireAssembly' => 'xsd:boolean',
            'quantityOnHand' => 'xsd:double',
            'useMarginalRates' => 'xsd:boolean',
            'costEstimateType' => 'common_2013_2.platformTypes:ItemCostEstimateType',
            'isHazmatItem' => 'xsd:boolean',
            'hazmatId' => 'xsd:string',
            'hazmatShippingName' => 'xsd:string',
            'hazmatHazardClass' => 'xsd:string',
            'hazmatPackingGroup' => 'accounting_2013_2.listsTypes:HazmatPackingGroup',
            'hazmatItemUnits' => 'xsd:string',
            'hazmatItemUnitsQty' => 'xsd:double',
            'costEstimate' => 'xsd:double',
            'transferPrice' => 'xsd:double',
            'overallQuantityPricingType' => 'accounting_2013_2.listsTypes:ItemOverallQuantityPricingType',
            'pricingGroup' => 'core_2013_2.platform:RecordRef',
            'vsoePrice' => 'xsd:double',
            'vsoeSopGroup' => 'common_2013_2.platformTypes:VsoeSopGroup',
            'vsoeDeferral' => 'common_2013_2.platformTypes:VsoeDeferral',
            'vsoePermitDiscount' => 'common_2013_2.platformTypes:VsoePermitDiscount',
            'vsoeDelivered' => 'xsd:boolean',
            'unbuildVarianceAccount' => 'core_2013_2.platform:RecordRef',
            'dropshipExpenseAccount' => 'core_2013_2.platform:RecordRef',
            'preferredLocation' => 'core_2013_2.platform:RecordRef',
            'totalValue' => 'xsd:double',
            'useBins' => 'xsd:boolean',
            'averageCost' => 'xsd:double',
            'leadTime' => 'xsd:long',
            'autoLeadTime' => 'xsd:boolean',
            'buildTime' => 'xsd:long',
            'lastPurchasePrice' => 'xsd:double',
            'purchaseDescription' => 'xsd:string',
            'safetyStockLevel' => 'xsd:double',
            'safetyStockLevelDays' => 'xsd:long',
            'seasonalDemand' => 'xsd:boolean',
            'reorderMultiple' => 'xsd:long',
            'cost' => 'xsd:double',
            'reorderPoint' => 'xsd:double',
            'demandModifier' => 'xsd:double',
            'preferredStockLevel' => 'xsd:double',
            'autoReorderPoint' => 'xsd:boolean',
            'autoPreferredStockLevel' => 'xsd:boolean',
            'preferredStockLevelDays' => 'xsd:double',
            'quantityCommitted' => 'xsd:double',
            'shipIndividually' => 'xsd:boolean',
            'quantityAvailable' => 'xsd:double',
            'shipPackage' => 'core_2013_2.platform:RecordRef',
            'quantityBackOrdered' => 'xsd:double',
            'storeDisplayName' => 'xsd:string',
            'defaultReturnCost' => 'xsd:double',
            'supplyReplenishmentMethod' => 'core_2013_2.platform:RecordRef',
            'alternateDemandSourceItem' => 'core_2013_2.platform:RecordRef',
            'fixedLotSize' => 'xsd:double',
            'supplyType' => 'core_2013_2.platform:RecordRef',
            'supplyLotSizingMethod' => 'core_2013_2.platform:RecordRef',
            'demandSource' => 'core_2013_2.platform:RecordRef',
            'quantityOnOrder' => 'xsd:double',
            'storeDisplayThumbnail' => 'core_2013_2.platform:RecordRef',
            'storeDisplayImage' => 'core_2013_2.platform:RecordRef',
            'storeDescription' => 'xsd:string',
            'storeDetailedDescription' => 'xsd:string',
            'storeItemTemplate' => 'core_2013_2.platform:RecordRef',
            'pageTitle' => 'xsd:string',
            'urlComponent' => 'xsd:string',
            'metaTagHtml' => 'xsd:string',
            'excludeFromSitemap' => 'xsd:boolean',
            'sitemapPriority' => 'common_2013_2.platformTypes:SitemapPriority',
            'searchKeywords' => 'xsd:string',
            'isDonationItem' => 'xsd:boolean',
            'showDefaultDonationAmount' => 'xsd:boolean',
            'maxDonationAmount' => 'xsd:double',
            'dontShowPrice' => 'xsd:boolean',
            'noPriceMessage' => 'xsd:string',
            'outOfStockMessage' => 'xsd:string',
            'shoppingDotComCategory' => 'xsd:string',
            'outOfStockBehavior' => 'accounting_2013_2.listsTypes:ItemOutOfStockBehavior',
            'shopzillaCategoryId' => 'xsd:long',
            'nexTagCategory' => 'xsd:string',
            'productFeedList' => 'accounting_2013_2.lists:ProductFeedList',
            'relatedItemsDescription' => 'xsd:string',
            'onSpecial' => 'xsd:boolean',
            'specialsDescription' => 'xsd:string',
            'featuredDescription' => 'xsd:string',
            'itemOptionsList' => 'accounting_2013_2.lists:ItemOptionsList',
            'itemNumberOptionsList' => 'core_2013_2.platform:RecordRefList',
            'itemVendorList' => 'accounting_2013_2.lists:ItemVendorList',
            'pricingMatrix' => 'accounting_2013_2.lists:PricingMatrix',
            'memberList' => 'accounting_2013_2.lists:ItemMemberList',
            'locationsList' => 'accounting_2013_2.lists:InventoryItemLocationsList',
            'siteCategoryList' => 'accounting_2013_2.lists:SiteCategoryList',
            'binNumberList' => 'accounting_2013_2.lists:InventoryItemBinNumberList',
            'translationsList' => 'accounting_2013_2.lists:TranslationList',
            'presentationItemList' => 'accounting_2013_2.lists:PresentationItemList',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        SerializedAssemblyItem => {
            'createdDate' => 'xsd:dateTime',
            'lastModifiedDate' => 'xsd:dateTime',
            'customForm' => 'core_2013_2.platform:RecordRef',
            'itemId' => 'xsd:string',
            'upcCode' => 'xsd:string',
            'displayName' => 'xsd:string',
            'vendorName' => 'xsd:string',
            'parent' => 'core_2013_2.platform:RecordRef',
            'printItems' => 'xsd:boolean',
            'isOnline' => 'xsd:boolean',
            'lastInvtCountDate' => 'xsd:dateTime',
            'nextInvtCountDate' => 'xsd:dateTime',
            'invtCountInterval' => 'xsd:long',
            'invtClassification' => 'accounting_2013_2.listsTypes:ItemInvtClassification',
            'isGcoCompliant' => 'xsd:boolean',
            'offerSupport' => 'xsd:boolean',
            'useComponentYield' => 'xsd:boolean',
            'isInactive' => 'xsd:boolean',
            'subsidiaryList' => 'core_2013_2.platform:RecordRefList',
            'availableToPartners' => 'xsd:boolean',
            'includeChildren' => 'xsd:boolean',
            'department' => 'core_2013_2.platform:RecordRef',
            'class' => 'core_2013_2.platform:RecordRef',
            'location' => 'core_2013_2.platform:RecordRef',
            'description' => 'xsd:string',
            'cogsAccount' => 'core_2013_2.platform:RecordRef',
            'incomeAccount' => 'core_2013_2.platform:RecordRef',
            'assetAccount' => 'core_2013_2.platform:RecordRef',
            'matchBillToReceipt' => 'xsd:boolean',
            'billQtyVarianceAcct' => 'core_2013_2.platform:RecordRef',
            'billPriceVarianceAcct' => 'core_2013_2.platform:RecordRef',
            'billExchRateVarianceAcct' => 'core_2013_2.platform:RecordRef',
            'gainLossAccount' => 'core_2013_2.platform:RecordRef',
            'salesTaxCode' => 'core_2013_2.platform:RecordRef',
            'costCategory' => 'core_2013_2.platform:RecordRef',
            'purchaseTaxCode' => 'core_2013_2.platform:RecordRef',
            'prodQtyVarianceAcct' => 'core_2013_2.platform:RecordRef',
            'prodPriceVarianceAcct' => 'core_2013_2.platform:RecordRef',
            'purchasePriceVarianceAcct' => 'core_2013_2.platform:RecordRef',
            'wipVarianceAcct' => 'core_2013_2.platform:RecordRef',
            'taxSchedule' => 'core_2013_2.platform:RecordRef',
            'scrapAcct' => 'core_2013_2.platform:RecordRef',
            'shippingCost' => 'xsd:double',
            'wipAcct' => 'core_2013_2.platform:RecordRef',
            'shippingCostUnits' => 'xsd:string',
            'handlingCost' => 'xsd:double',
            'weight' => 'xsd:double',
            'handlingCostUnits' => 'xsd:string',
            'weightUnit' => 'accounting_2013_2.listsTypes:ItemWeightUnit',
            'weightUnits' => 'xsd:string',
            'costingMethod' => 'accounting_2013_2.listsTypes:ItemCostingMethod',
            'isTaxable' => 'xsd:boolean',
            'costingMethodDisplay' => 'xsd:string',
            'rate' => 'xsd:double',
            'unitsType' => 'core_2013_2.platform:RecordRef',
            'stockUnit' => 'core_2013_2.platform:RecordRef',
            'purchaseUnit' => 'core_2013_2.platform:RecordRef',
            'saleUnit' => 'core_2013_2.platform:RecordRef',
            'trackLandedCost' => 'xsd:boolean',
            'billingSchedule' => 'core_2013_2.platform:RecordRef',
            'deferredRevenueAccount' => 'core_2013_2.platform:RecordRef',
            'revRecSchedule' => 'core_2013_2.platform:RecordRef',
            'stockDescription' => 'xsd:string',
            'producer' => 'xsd:boolean',
            'manufacturer' => 'xsd:string',
            'mpn' => 'xsd:string',
            'multManufactureAddr' => 'xsd:boolean',
            'manufactureraddr1' => 'xsd:string',
            'manufacturerCity' => 'xsd:string',
            'manufacturerState' => 'xsd:string',
            'manufacturerZip' => 'xsd:string',
            'countryOfManufacture' => 'common_2013_2.platformTypes:Country',
            'effectiveBomControl' => 'accounting_2013_2.listsTypes:AssemblyItemEffectiveBomControl',
            'minimumQuantityUnits' => 'xsd:string',
            'defaultRevision' => 'xsd:string',
            'defaultItemShipMethod' => 'core_2013_2.platform:RecordRef',
            'itemCarrier' => 'accounting_2013_2.listsTypes:ItemCarrier',
            'roundUpAsComponent' => 'xsd:boolean',
            'itemShipMethodList' => 'core_2013_2.platform:RecordRefList',
            'manufacturerTaxId' => 'xsd:string',
            'scheduleBNumber' => 'xsd:string',
            'scheduleBQuantity' => 'xsd:long',
            'scheduleBCode' => 'core_2013_2.platform:RecordRef',
            'manufacturerTariff' => 'xsd:string',
            'preferenceCriterion' => 'accounting_2013_2.listsTypes:ItemPreferenceCriterion',
            'issueProduct' => 'core_2013_2.platform:RecordRef',
            'minimumQuantity' => 'xsd:long',
            'enforceMinQtyInternally' => 'xsd:boolean',
            'softDescriptor' => 'core_2013_2.platform:RecordRef',
            'isSpecialWorkOrderItem' => 'xsd:boolean',
            'pricesIncludeTax' => 'xsd:boolean',
            'quantityPricingSchedule' => 'core_2013_2.platform:RecordRef',
            'buildEntireAssembly' => 'xsd:boolean',
            'quantityOnHand' => 'xsd:double',
            'quantityOnHandUnits' => 'xsd:string',
            'useMarginalRates' => 'xsd:boolean',
            'reorderMultiple' => 'xsd:long',
            'cost' => 'xsd:double',
            'costEstimateType' => 'common_2013_2.platformTypes:ItemCostEstimateType',
            'isHazmatItem' => 'xsd:boolean',
            'hazmatId' => 'xsd:string',
            'hazmatShippingName' => 'xsd:string',
            'hazmatHazardClass' => 'xsd:string',
            'hazmatPackingGroup' => 'accounting_2013_2.listsTypes:HazmatPackingGroup',
            'hazmatItemUnits' => 'xsd:string',
            'hazmatItemUnitsQty' => 'xsd:double',
            'costEstimate' => 'xsd:double',
            'transferPrice' => 'xsd:double',
            'overallQuantityPricingType' => 'accounting_2013_2.listsTypes:ItemOverallQuantityPricingType',
            'pricingGroup' => 'core_2013_2.platform:RecordRef',
            'vsoePrice' => 'xsd:double',
            'vsoeSopGroup' => 'common_2013_2.platformTypes:VsoeSopGroup',
            'vsoeDeferral' => 'common_2013_2.platformTypes:VsoeDeferral',
            'vsoePermitDiscount' => 'common_2013_2.platformTypes:VsoePermitDiscount',
            'vsoeDelivered' => 'xsd:boolean',
            'unbuildVarianceAccount' => 'core_2013_2.platform:RecordRef',
            'dropshipExpenseAccount' => 'core_2013_2.platform:RecordRef',
            'preferredLocation' => 'core_2013_2.platform:RecordRef',
            'totalValue' => 'xsd:double',
            'useBins' => 'xsd:boolean',
            'averageCost' => 'xsd:double',
            'lastPurchasePrice' => 'xsd:double',
            'purchaseDescription' => 'xsd:string',
            'leadTime' => 'xsd:long',
            'autoLeadTime' => 'xsd:boolean',
            'buildTime' => 'xsd:long',
            'safetyStockLevel' => 'xsd:double',
            'safetyStockLevelUnits' => 'xsd:string',
            'safetyStockLevelDays' => 'xsd:long',
            'seasonalDemand' => 'xsd:boolean',
            'serialNumbers' => 'xsd:string',
            'reorderPoint' => 'xsd:double',
            'reorderPointUnits' => 'xsd:string',
            'preferredStockLevel' => 'xsd:double',
            'preferredStockLevelUnits' => 'xsd:string',
            'demandModifier' => 'xsd:double',
            'autoReorderPoint' => 'xsd:boolean',
            'autoPreferredStockLevel' => 'xsd:boolean',
            'preferredStockLevelDays' => 'xsd:double',
            'defaultReturnCost' => 'xsd:double',
            'supplyReplenishmentMethod' => 'core_2013_2.platform:RecordRef',
            'alternateDemandSourceItem' => 'core_2013_2.platform:RecordRef',
            'fixedLotSize' => 'xsd:double',
            'supplyType' => 'core_2013_2.platform:RecordRef',
            'supplyLotSizingMethod' => 'core_2013_2.platform:RecordRef',
            'demandSource' => 'core_2013_2.platform:RecordRef',
            'shipIndividually' => 'xsd:boolean',
            'quantityCommitted' => 'xsd:double',
            'quantityAvailable' => 'xsd:double',
            'quantityBackOrdered' => 'xsd:double',
            'quantityOnOrder' => 'xsd:double',
            'shipPackage' => 'core_2013_2.platform:RecordRef',
            'storeDisplayName' => 'xsd:string',
            'storeDisplayThumbnail' => 'core_2013_2.platform:RecordRef',
            'storeDisplayImage' => 'core_2013_2.platform:RecordRef',
            'storeDescription' => 'xsd:string',
            'storeDetailedDescription' => 'xsd:string',
            'storeItemTemplate' => 'core_2013_2.platform:RecordRef',
            'pageTitle' => 'xsd:string',
            'metaTagHtml' => 'xsd:string',
            'excludeFromSitemap' => 'xsd:boolean',
            'sitemapPriority' => 'common_2013_2.platformTypes:SitemapPriority',
            'urlComponent' => 'xsd:string',
            'searchKeywords' => 'xsd:string',
            'isDonationItem' => 'xsd:boolean',
            'showDefaultDonationAmount' => 'xsd:boolean',
            'maxDonationAmount' => 'xsd:double',
            'dontShowPrice' => 'xsd:boolean',
            'noPriceMessage' => 'xsd:string',
            'shoppingDotComCategory' => 'xsd:string',
            'shopzillaCategoryId' => 'xsd:long',
            'outOfStockMessage' => 'xsd:string',
            'nexTagCategory' => 'xsd:string',
            'outOfStockBehavior' => 'accounting_2013_2.listsTypes:ItemOutOfStockBehavior',
            'productFeedList' => 'accounting_2013_2.lists:ProductFeedList',
            'relatedItemsDescription' => 'xsd:string',
            'onSpecial' => 'xsd:boolean',
            'specialsDescription' => 'xsd:string',
            'featuredDescription' => 'xsd:string',
            'itemOptionsList' => 'accounting_2013_2.lists:ItemOptionsList',
            'itemNumberOptionsList' => 'core_2013_2.platform:RecordRefList',
            'itemVendorList' => 'accounting_2013_2.lists:ItemVendorList',
            'pricingMatrix' => 'accounting_2013_2.lists:PricingMatrix',
            'memberList' => 'accounting_2013_2.lists:ItemMemberList',
            'locationsList' => 'accounting_2013_2.lists:SerializedInventoryItemLocationsList',
            'siteCategoryList' => 'accounting_2013_2.lists:SiteCategoryList',
            'binNumberList' => 'accounting_2013_2.lists:InventoryItemBinNumberList',
            'numbersList' => 'accounting_2013_2.lists:SerializedInventoryItemNumbersList',
            'translationsList' => 'accounting_2013_2.lists:TranslationList',
            'presentationItemList' => 'accounting_2013_2.lists:PresentationItemList',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        LotNumberedAssemblyItem => {
            'createdDate' => 'xsd:dateTime',
            'lastModifiedDate' => 'xsd:dateTime',
            'customForm' => 'core_2013_2.platform:RecordRef',
            'itemId' => 'xsd:string',
            'upcCode' => 'xsd:string',
            'displayName' => 'xsd:string',
            'vendorName' => 'xsd:string',
            'parent' => 'core_2013_2.platform:RecordRef',
            'printItems' => 'xsd:boolean',
            'isOnline' => 'xsd:boolean',
            'isGcoCompliant' => 'xsd:boolean',
            'offerSupport' => 'xsd:boolean',
            'useComponentYield' => 'xsd:boolean',
            'isInactive' => 'xsd:boolean',
            'availableToPartners' => 'xsd:boolean',
            'subsidiaryList' => 'core_2013_2.platform:RecordRefList',
            'department' => 'core_2013_2.platform:RecordRef',
            'includeChildren' => 'xsd:boolean',
            'class' => 'core_2013_2.platform:RecordRef',
            'location' => 'core_2013_2.platform:RecordRef',
            'costCategory' => 'core_2013_2.platform:RecordRef',
            'description' => 'xsd:string',
            'cogsAccount' => 'core_2013_2.platform:RecordRef',
            'incomeAccount' => 'core_2013_2.platform:RecordRef',
            'assetAccount' => 'core_2013_2.platform:RecordRef',
            'matchBillToReceipt' => 'xsd:boolean',
            'billQtyVarianceAcct' => 'core_2013_2.platform:RecordRef',
            'billPriceVarianceAcct' => 'core_2013_2.platform:RecordRef',
            'billExchRateVarianceAcct' => 'core_2013_2.platform:RecordRef',
            'gainLossAccount' => 'core_2013_2.platform:RecordRef',
            'salesTaxCode' => 'core_2013_2.platform:RecordRef',
            'purchaseTaxCode' => 'core_2013_2.platform:RecordRef',
            'prodQtyVarianceAcct' => 'core_2013_2.platform:RecordRef',
            'prodPriceVarianceAcct' => 'core_2013_2.platform:RecordRef',
            'purchasePriceVarianceAcct' => 'core_2013_2.platform:RecordRef',
            'wipVarianceAcct' => 'core_2013_2.platform:RecordRef',
            'taxSchedule' => 'core_2013_2.platform:RecordRef',
            'scrapAcct' => 'core_2013_2.platform:RecordRef',
            'shippingCost' => 'xsd:double',
            'wipAcct' => 'core_2013_2.platform:RecordRef',
            'handlingCost' => 'xsd:double',
            'weight' => 'xsd:double',
            'weightUnit' => 'accounting_2013_2.listsTypes:ItemWeightUnit',
            'costingMethod' => 'accounting_2013_2.listsTypes:ItemCostingMethod',
            'isTaxable' => 'xsd:boolean',
            'costingMethodDisplay' => 'xsd:string',
            'rate' => 'xsd:double',
            'unitsType' => 'core_2013_2.platform:RecordRef',
            'stockUnit' => 'core_2013_2.platform:RecordRef',
            'purchaseUnit' => 'core_2013_2.platform:RecordRef',
            'saleUnit' => 'core_2013_2.platform:RecordRef',
            'trackLandedCost' => 'xsd:boolean',
            'billingSchedule' => 'core_2013_2.platform:RecordRef',
            'deferredRevenueAccount' => 'core_2013_2.platform:RecordRef',
            'revRecSchedule' => 'core_2013_2.platform:RecordRef',
            'stockDescription' => 'xsd:string',
            'producer' => 'xsd:boolean',
            'manufacturer' => 'xsd:string',
            'mpn' => 'xsd:string',
            'multManufactureAddr' => 'xsd:boolean',
            'manufactureraddr1' => 'xsd:string',
            'manufacturerCity' => 'xsd:string',
            'manufacturerState' => 'xsd:string',
            'manufacturerZip' => 'xsd:string',
            'countryOfManufacture' => 'common_2013_2.platformTypes:Country',
            'effectiveBomControl' => 'accounting_2013_2.listsTypes:AssemblyItemEffectiveBomControl',
            'manufacturerTaxId' => 'xsd:string',
            'defaultRevision' => 'xsd:string',
            'defaultItemShipMethod' => 'core_2013_2.platform:RecordRef',
            'itemCarrier' => 'accounting_2013_2.listsTypes:ItemCarrier',
            'roundUpAsComponent' => 'xsd:boolean',
            'itemShipMethodList' => 'core_2013_2.platform:RecordRefList',
            'scheduleBNumber' => 'xsd:string',
            'scheduleBQuantity' => 'xsd:long',
            'scheduleBCode' => 'core_2013_2.platform:RecordRef',
            'manufacturerTariff' => 'xsd:string',
            'preferenceCriterion' => 'accounting_2013_2.listsTypes:ItemPreferenceCriterion',
            'issueProduct' => 'core_2013_2.platform:RecordRef',
            'minimumQuantity' => 'xsd:long',
            'enforceMinQtyInternally' => 'xsd:boolean',
            'softDescriptor' => 'core_2013_2.platform:RecordRef',
            'isSpecialWorkOrderItem' => 'xsd:boolean',
            'pricesIncludeTax' => 'xsd:boolean',
            'quantityPricingSchedule' => 'core_2013_2.platform:RecordRef',
            'buildEntireAssembly' => 'xsd:boolean',
            'quantityOnHand' => 'xsd:double',
            'useMarginalRates' => 'xsd:boolean',
            'reorderMultiple' => 'xsd:long',
            'cost' => 'xsd:double',
            'costEstimateType' => 'common_2013_2.platformTypes:ItemCostEstimateType',
            'isHazmatItem' => 'xsd:boolean',
            'hazmatId' => 'xsd:string',
            'hazmatShippingName' => 'xsd:string',
            'hazmatHazardClass' => 'xsd:string',
            'hazmatPackingGroup' => 'accounting_2013_2.listsTypes:HazmatPackingGroup',
            'hazmatItemUnits' => 'xsd:string',
            'hazmatItemUnitsQty' => 'xsd:double',
            'costEstimate' => 'xsd:double',
            'transferPrice' => 'xsd:double',
            'overallQuantityPricingType' => 'accounting_2013_2.listsTypes:ItemOverallQuantityPricingType',
            'pricingGroup' => 'core_2013_2.platform:RecordRef',
            'vsoePrice' => 'xsd:double',
            'vsoeSopGroup' => 'common_2013_2.platformTypes:VsoeSopGroup',
            'vsoeDeferral' => 'common_2013_2.platformTypes:VsoeDeferral',
            'vsoePermitDiscount' => 'common_2013_2.platformTypes:VsoePermitDiscount',
            'vsoeDelivered' => 'xsd:boolean',
            'unbuildVarianceAccount' => 'core_2013_2.platform:RecordRef',
            'dropshipExpenseAccount' => 'core_2013_2.platform:RecordRef',
            'preferredLocation' => 'core_2013_2.platform:RecordRef',
            'totalValue' => 'xsd:double',
            'useBins' => 'xsd:boolean',
            'averageCost' => 'xsd:double',
            'lastPurchasePrice' => 'xsd:double',
            'purchaseDescription' => 'xsd:string',
            'leadTime' => 'xsd:long',
            'autoLeadTime' => 'xsd:boolean',
            'buildTime' => 'xsd:long',
            'safetyStockLevel' => 'xsd:double',
            'safetyStockLevelDays' => 'xsd:long',
            'seasonalDemand' => 'xsd:boolean',
            'serialNumbers' => 'xsd:string',
            'reorderPoint' => 'xsd:double',
            'preferredStockLevel' => 'xsd:double',
            'expirationDate' => 'xsd:dateTime',
            'lastInvtCountDate' => 'xsd:dateTime',
            'nextInvtCountDate' => 'xsd:dateTime',
            'invtCountInterval' => 'xsd:long',
            'invtClassification' => 'accounting_2013_2.listsTypes:ItemInvtClassification',
            'demandModifier' => 'xsd:double',
            'autoReorderPoint' => 'xsd:boolean',
            'autoPreferredStockLevel' => 'xsd:boolean',
            'preferredStockLevelDays' => 'xsd:double',
            'shipIndividually' => 'xsd:boolean',
            'shipPackage' => 'core_2013_2.platform:RecordRef',
            'defaultReturnCost' => 'xsd:double',
            'supplyReplenishmentMethod' => 'core_2013_2.platform:RecordRef',
            'alternateDemandSourceItem' => 'core_2013_2.platform:RecordRef',
            'fixedLotSize' => 'xsd:double',
            'supplyType' => 'core_2013_2.platform:RecordRef',
            'supplyLotSizingMethod' => 'core_2013_2.platform:RecordRef',
            'demandSource' => 'core_2013_2.platform:RecordRef',
            'quantityCommitted' => 'xsd:double',
            'quantityAvailable' => 'xsd:double',
            'quantityBackOrdered' => 'xsd:double',
            'quantityOnOrder' => 'xsd:double',
            'storeDisplayName' => 'xsd:string',
            'storeDisplayThumbnail' => 'core_2013_2.platform:RecordRef',
            'storeDisplayImage' => 'core_2013_2.platform:RecordRef',
            'storeDescription' => 'xsd:string',
            'storeDetailedDescription' => 'xsd:string',
            'storeItemTemplate' => 'core_2013_2.platform:RecordRef',
            'pageTitle' => 'xsd:string',
            'metaTagHtml' => 'xsd:string',
            'excludeFromSitemap' => 'xsd:boolean',
            'sitemapPriority' => 'common_2013_2.platformTypes:SitemapPriority',
            'urlComponent' => 'xsd:string',
            'searchKeywords' => 'xsd:string',
            'isDonationItem' => 'xsd:boolean',
            'showDefaultDonationAmount' => 'xsd:boolean',
            'maxDonationAmount' => 'xsd:double',
            'dontShowPrice' => 'xsd:boolean',
            'noPriceMessage' => 'xsd:string',
            'outOfStockMessage' => 'xsd:string',
            'shoppingDotComCategory' => 'xsd:string',
            'outOfStockBehavior' => 'accounting_2013_2.listsTypes:ItemOutOfStockBehavior',
            'shopzillaCategoryId' => 'xsd:long',
            'nexTagCategory' => 'xsd:string',
            'productFeedList' => 'accounting_2013_2.lists:ProductFeedList',
            'relatedItemsDescription' => 'xsd:string',
            'onSpecial' => 'xsd:boolean',
            'specialsDescription' => 'xsd:string',
            'featuredDescription' => 'xsd:string',
            'itemOptionsList' => 'accounting_2013_2.lists:ItemOptionsList',
            'itemNumberOptionsList' => 'core_2013_2.platform:RecordRefList',
            'itemVendorList' => 'accounting_2013_2.lists:ItemVendorList',
            'pricingMatrix' => 'accounting_2013_2.lists:PricingMatrix',
            'memberList' => 'accounting_2013_2.lists:ItemMemberList',
            'locationsList' => 'accounting_2013_2.lists:LotNumberedInventoryItemLocationsList',
            'siteCategoryList' => 'accounting_2013_2.lists:SiteCategoryList',
            'binNumberList' => 'accounting_2013_2.lists:InventoryItemBinNumberList',
            'numbersList' => 'accounting_2013_2.lists:LotNumberedInventoryItemNumbersList',
            'translationsList' => 'accounting_2013_2.lists:TranslationList',
            'presentationItemList' => 'accounting_2013_2.lists:PresentationItemList',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        ServiceItemTaskTemplates => {
            'taskName' => 'xsd:string',
            'taskStartOffset' => 'xsd:long',
            'taskDuration' => 'core_2013_2.platform:Duration',
        },
    
        ServiceItemTaskTemplatesList => {
            'taskTemplates' => 'accounting_2013_2.lists:ServiceItemTaskTemplates',
        },
    
        State => {
            'country' => 'common_2013_2.platformTypes:Country',
            'fullName' => 'xsd:string',
            'shortname' => 'xsd:string',
        },
    
        AccountingPeriod => {
            'periodName' => 'xsd:string',
            'parent' => 'core_2013_2.platform:RecordRef',
            'startDate' => 'xsd:dateTime',
            'endDate' => 'xsd:dateTime',
            'fiscalCalendar' => 'core_2013_2.platform:RecordRef',
            'closedOnDate' => 'xsd:dateTime',
            'isAdjust' => 'xsd:boolean',
            'fiscalCalendarsList' => 'accounting_2013_2.lists:AccountingPeriodFiscalCalendarsList',
            'isQuarter' => 'xsd:boolean',
            'isYear' => 'xsd:boolean',
            'closed' => 'xsd:boolean',
            'apLocked' => 'xsd:boolean',
            'arLocked' => 'xsd:boolean',
            'payrollLocked' => 'xsd:boolean',
            'allLocked' => 'xsd:boolean',
            'allowNonGLChanges' => 'xsd:boolean',
        },
    
        BudgetCategory => {
            'name' => 'xsd:string',
            'budgetType' => 'xsd:boolean',
            'isInactive' => 'xsd:boolean',
        },
    
        AccountingPeriodSearchAdvanced => {
            'criteria' => 'accounting_2013_2.lists:AccountingPeriodSearch',
            'columns' => 'accounting_2013_2.lists:AccountingPeriodSearchRow',
        },
    
        AccountingPeriodSearchRow => {
            'basic' => 'common_2013_2.platform:AccountingPeriodSearchRowBasic',
            'userJoin' => 'common_2013_2.platform:EmployeeSearchRowBasic',
            'userNotesJoin' => 'common_2013_2.platform:NoteSearchRowBasic',
        },
    
        ContactCategorySearchAdvanced => {
            'criteria' => 'accounting_2013_2.lists:ContactCategorySearch',
            'columns' => 'accounting_2013_2.lists:ContactCategorySearchRow',
        },
    
        ContactCategorySearchRow => {
            'basic' => 'common_2013_2.platform:ContactCategorySearchRowBasic',
            'userJoin' => 'common_2013_2.platform:EmployeeSearchRowBasic',
        },
    
        ContactRoleSearchAdvanced => {
            'criteria' => 'accounting_2013_2.lists:ContactRoleSearch',
            'columns' => 'accounting_2013_2.lists:ContactRoleSearchRow',
        },
    
        ContactRoleSearchRow => {
            'basic' => 'common_2013_2.platform:ContactRoleSearchRowBasic',
            'userJoin' => 'common_2013_2.platform:EmployeeSearchRowBasic',
        },
    
        CustomerCategorySearchAdvanced => {
            'criteria' => 'accounting_2013_2.lists:CustomerCategorySearch',
            'columns' => 'accounting_2013_2.lists:CustomerCategorySearchRow',
        },
    
        CustomerCategorySearchRow => {
            'basic' => 'common_2013_2.platform:CustomerCategorySearchRowBasic',
            'userJoin' => 'common_2013_2.platform:EmployeeSearchRowBasic',
        },
    
        ExpenseCategorySearchAdvanced => {
            'criteria' => 'accounting_2013_2.lists:ExpenseCategorySearch',
            'columns' => 'accounting_2013_2.lists:ExpenseCategorySearchRow',
        },
    
        ExpenseCategorySearchRow => {
            'basic' => 'common_2013_2.platform:ExpenseCategorySearchRowBasic',
            'userJoin' => 'common_2013_2.platform:EmployeeSearchRowBasic',
            'customSearchJoin' => 'common_2013_2.platform:CustomSearchRowBasic',
        },
    
        NoteTypeSearchAdvanced => {
            'criteria' => 'accounting_2013_2.lists:NoteTypeSearch',
            'columns' => 'accounting_2013_2.lists:NoteTypeSearchRow',
        },
    
        NoteTypeSearchRow => {
            'basic' => 'common_2013_2.platform:NoteTypeSearchRowBasic',
            'userJoin' => 'common_2013_2.platform:EmployeeSearchRowBasic',
        },
    
        PartnerCategorySearchAdvanced => {
            'criteria' => 'accounting_2013_2.lists:PartnerCategorySearch',
            'columns' => 'accounting_2013_2.lists:PartnerCategorySearchRow',
        },
    
        PartnerCategorySearchRow => {
            'basic' => 'common_2013_2.platform:PartnerCategorySearchRowBasic',
            'userJoin' => 'common_2013_2.platform:EmployeeSearchRowBasic',
        },
    
        PaymentMethodSearchAdvanced => {
            'criteria' => 'accounting_2013_2.lists:PaymentMethodSearch',
            'columns' => 'accounting_2013_2.lists:PaymentMethodSearchRow',
        },
    
        PaymentMethodSearchRow => {
            'basic' => 'common_2013_2.platform:PaymentMethodSearchRowBasic',
            'userJoin' => 'common_2013_2.platform:EmployeeSearchRowBasic',
        },
    
        PriceLevelSearchAdvanced => {
            'criteria' => 'accounting_2013_2.lists:PriceLevelSearch',
            'columns' => 'accounting_2013_2.lists:PriceLevelSearchRow',
        },
    
        PriceLevelSearchRow => {
            'basic' => 'common_2013_2.platform:PriceLevelSearchRowBasic',
            'userJoin' => 'common_2013_2.platform:EmployeeSearchRowBasic',
        },
    
        SalesRoleSearchAdvanced => {
            'criteria' => 'accounting_2013_2.lists:SalesRoleSearch',
            'columns' => 'accounting_2013_2.lists:SalesRoleSearchRow',
        },
    
        SalesRoleSearchRow => {
            'basic' => 'common_2013_2.platform:SalesRoleSearchRowBasic',
            'userJoin' => 'common_2013_2.platform:EmployeeSearchRowBasic',
        },
    
        TermSearchAdvanced => {
            'criteria' => 'accounting_2013_2.lists:TermSearch',
            'columns' => 'accounting_2013_2.lists:TermSearchRow',
        },
    
        TermSearchRow => {
            'basic' => 'common_2013_2.platform:TermSearchRowBasic',
            'userJoin' => 'common_2013_2.platform:EmployeeSearchRowBasic',
        },
    
        VendorCategorySearchAdvanced => {
            'criteria' => 'accounting_2013_2.lists:VendorCategorySearch',
            'columns' => 'accounting_2013_2.lists:VendorCategorySearchRow',
        },
    
        VendorCategorySearchRow => {
            'basic' => 'common_2013_2.platform:VendorCategorySearchRowBasic',
            'userJoin' => 'common_2013_2.platform:EmployeeSearchRowBasic',
        },
    
        WinLossReasonSearchAdvanced => {
            'criteria' => 'accounting_2013_2.lists:WinLossReasonSearch',
            'columns' => 'accounting_2013_2.lists:WinLossReasonSearchRow',
        },
    
        WinLossReasonSearchRow => {
            'basic' => 'common_2013_2.platform:WinLossReasonSearchRowBasic',
            'userJoin' => 'common_2013_2.platform:EmployeeSearchRowBasic',
        },
    
        UnitsTypeSearchAdvanced => {
            'criteria' => 'accounting_2013_2.lists:UnitsTypeSearch',
            'columns' => 'accounting_2013_2.lists:UnitsTypeSearchRow',
        },
    
        UnitsTypeSearchRow => {
            'basic' => 'common_2013_2.platform:UnitsTypeSearchRowBasic',
            'userJoin' => 'common_2013_2.platform:EmployeeSearchRowBasic',
        },
    
        PricingGroup => {
            'name' => 'xsd:string',
            'isInactive' => 'xsd:boolean',
        },
    
        PricingGroupSearchAdvanced => {
            'criteria' => 'accounting_2013_2.lists:PricingGroupSearch',
            'columns' => 'accounting_2013_2.lists:PricingGroupSearchRow',
        },
    
        PricingGroupSearchRow => {
            'basic' => 'common_2013_2.platform:PricingGroupSearchRowBasic',
            'userJoin' => 'common_2013_2.platform:EmployeeSearchRowBasic',
        },
    
        InventoryNumber => {
            'inventoryNumber' => 'xsd:string',
            'item' => 'core_2013_2.platform:RecordRef',
            'status' => 'xsd:string',
            'units' => 'xsd:string',
            'expirationDate' => 'xsd:dateTime',
            'memo' => 'xsd:string',
            'locationsList' => 'accounting_2013_2.lists:InventoryNumberLocationsList',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        InventoryNumberLocations => {
            'location' => 'xsd:string',
            'quantityOnHand' => 'xsd:double',
            'quantityAvailable' => 'xsd:double',
            'quantityOnOrder' => 'xsd:double',
            'quantityInTransit' => 'xsd:double',
        },
    
        InventoryNumberLocationsList => {
            'locations' => 'accounting_2013_2.lists:InventoryNumberLocations',
        },
    
        InventoryNumberSearchAdvanced => {
            'criteria' => 'accounting_2013_2.lists:InventoryNumberSearch',
            'columns' => 'accounting_2013_2.lists:InventoryNumberSearchRow',
        },
    
        InventoryNumberSearchRow => {
            'basic' => 'common_2013_2.platform:InventoryNumberSearchRowBasic',
            'itemJoin' => 'common_2013_2.platform:ItemSearchRowBasic',
            'userJoin' => 'common_2013_2.platform:EmployeeSearchRowBasic',
            'customSearchJoin' => 'common_2013_2.platform:CustomSearchRowBasic',
        },
    
        RevRecSchedule => {
            'name' => 'xsd:string',
            'amortizationType' => 'accounting_2013_2.listsTypes:RevRecScheduleAmortizationType',
            'recurrenceType' => 'accounting_2013_2.listsTypes:RevRecScheduleRecurrenceType',
            'recogIntervalSrc' => 'accounting_2013_2.listsTypes:RevRecScheduleRecogIntervalSrc',
            'amortizationPeriod' => 'xsd:long',
            'periodOffset' => 'xsd:long',
            'revRecOffset' => 'xsd:long',
            'initialAmount' => 'xsd:double',
            'isInactive' => 'xsd:boolean',
            'recurrenceList' => 'accounting_2013_2.lists:RevRecScheduleRecurrenceList',
        },
    
        RevRecScheduleRecurrence => {
            'incomeaccount' => 'core_2013_2.platform:RecordRef',
            'periodOffset' => 'xsd:long',
            'recamount' => 'xsd:string',
        },
    
        RevRecScheduleRecurrenceList => {
            'revRecScheduleRecurrence' => 'accounting_2013_2.lists:RevRecScheduleRecurrence',
        },
    
        RevRecTemplate => {
            'name' => 'xsd:string',
            'amortizationType' => 'accounting_2013_2.listsTypes:RevRecScheduleAmortizationType',
            'recurrenceType' => 'accounting_2013_2.listsTypes:RevRecScheduleRecurrenceType',
            'recogIntervalSrc' => 'accounting_2013_2.listsTypes:RevRecScheduleRecogIntervalSrc',
            'amortizationPeriod' => 'xsd:long',
            'periodOffset' => 'xsd:long',
            'revRecOffset' => 'xsd:long',
            'initialAmount' => 'xsd:double',
            'isInactive' => 'xsd:boolean',
            'recurrenceList' => 'accounting_2013_2.lists:RevRecTemplateRecurrenceList',
        },
    
        RevRecTemplateRecurrence => {
            'incomeaccount' => 'core_2013_2.platform:RecordRef',
            'periodOffset' => 'xsd:long',
            'recamount' => 'xsd:string',
        },
    
        RevRecTemplateRecurrenceList => {
            'revRecTemplateRecurrence' => 'accounting_2013_2.lists:RevRecTemplateRecurrence',
        },
    
        RevRecScheduleSearchAdvanced => {
            'criteria' => 'accounting_2013_2.lists:RevRecScheduleSearch',
            'columns' => 'accounting_2013_2.lists:RevRecScheduleSearchRow',
        },
    
        RevRecScheduleSearchRow => {
            'basic' => 'common_2013_2.platform:RevRecScheduleSearchRowBasic',
            'userJoin' => 'common_2013_2.platform:EmployeeSearchRowBasic',
        },
    
        RevRecTemplateSearchAdvanced => {
            'criteria' => 'accounting_2013_2.lists:RevRecTemplateSearch',
            'columns' => 'accounting_2013_2.lists:RevRecTemplateSearchRow',
        },
    
        RevRecTemplateSearchRow => {
            'basic' => 'common_2013_2.platform:RevRecTemplateSearchRowBasic',
            'userJoin' => 'common_2013_2.platform:EmployeeSearchRowBasic',
        },
    
        CostCategory => {
            'name' => 'xsd:string',
            'account' => 'core_2013_2.platform:RecordRef',
            'itemCostType' => 'accounting_2013_2.listsTypes:CostCategoryItemCostType',
            'isInactive' => 'xsd:boolean',
        },
    
        Nexus => {
            'country' => 'common_2013_2.platformTypes:Country',
            'state' => 'core_2013_2.platform:RecordRef',
            'taxAgency' => 'core_2013_2.platform:RecordRef',
            'taxAgencyPst' => 'core_2013_2.platform:RecordRef',
            'taxCode' => 'core_2013_2.platform:RecordRef',
            'description' => 'xsd:string',
        },
    
        NexusSearchAdvanced => {
            'criteria' => 'accounting_2013_2.lists:NexusSearch',
            'columns' => 'accounting_2013_2.lists:NexusSearchRow',
        },
    
        NexusSearchRow => {
            'basic' => 'common_2013_2.platform:NexusSearchRowBasic',
            'userJoin' => 'common_2013_2.platform:EmployeeSearchRowBasic',
        },
    
        CustomerMessage => {
            'name' => 'xsd:string',
            'description' => 'xsd:string',
            'preferred' => 'xsd:boolean',
            'isInactive' => 'xsd:boolean',
        },
    
        OtherNameCategory => {
            'name' => 'xsd:string',
            'isInactive' => 'xsd:boolean',
        },
    
        OtherNameCategorySearchAdvanced => {
            'criteria' => 'accounting_2013_2.lists:OtherNameCategorySearch',
            'columns' => 'accounting_2013_2.lists:OtherNameCategorySearchRow',
        },
    
        OtherNameCategorySearchRow => {
            'basic' => 'common_2013_2.platform:OtherNameCategorySearchRowBasic',
            'userJoin' => 'common_2013_2.platform:EmployeeSearchRowBasic',
        },
    
        CustomerMessageSearchAdvanced => {
            'criteria' => 'accounting_2013_2.lists:CustomerMessageSearch',
            'columns' => 'accounting_2013_2.lists:CustomerMessageSearchRow',
        },
    
        CustomerMessageSearchRow => {
            'basic' => 'common_2013_2.platform:CustomerMessageSearchRowBasic',
            'userJoin' => 'common_2013_2.platform:EmployeeSearchRowBasic',
        },
    
        ItemGroup => {
            'createdDate' => 'xsd:dateTime',
            'lastModifiedDate' => 'xsd:dateTime',
            'customForm' => 'core_2013_2.platform:RecordRef',
            'includeStartEndLines' => 'xsd:boolean',
            'isVsoeBundle' => 'xsd:boolean',
            'defaultItemShipMethod' => 'core_2013_2.platform:RecordRef',
            'availableToPartners' => 'xsd:boolean',
            'isInactive' => 'xsd:boolean',
            'itemId' => 'xsd:string',
            'upcCode' => 'xsd:string',
            'displayName' => 'xsd:string',
            'vendorName' => 'xsd:string',
            'issueProduct' => 'core_2013_2.platform:RecordRef',
            'parent' => 'core_2013_2.platform:RecordRef',
            'description' => 'xsd:string',
            'subsidiaryList' => 'core_2013_2.platform:RecordRefList',
            'includeChildren' => 'xsd:boolean',
            'department' => 'core_2013_2.platform:RecordRef',
            'class' => 'core_2013_2.platform:RecordRef',
            'location' => 'core_2013_2.platform:RecordRef',
            'itemCarrier' => 'accounting_2013_2.listsTypes:ItemCarrier',
            'itemShipMethodList' => 'core_2013_2.platform:RecordRefList',
            'printItems' => 'xsd:boolean',
            'memberList' => 'accounting_2013_2.lists:ItemMemberList',
            'translationsList' => 'accounting_2013_2.lists:TranslationList',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        CurrencyRate => {
            'baseCurrency' => 'core_2013_2.platform:RecordRef',
            'transactionCurrency' => 'core_2013_2.platform:RecordRef',
            'exchangeRate' => 'xsd:double',
            'effectiveDate' => 'xsd:dateTime',
        },
    
        CurrencyRateSearchAdvanced => {
            'criteria' => 'accounting_2013_2.lists:CurrencyRateSearch',
            'columns' => 'accounting_2013_2.lists:CurrencyRateSearchRow',
        },
    
        CurrencyRateSearchRow => {
            'basic' => 'common_2013_2.platform:CurrencyRateSearchRowBasic',
            'userJoin' => 'common_2013_2.platform:EmployeeSearchRowBasic',
        },
    
        ItemRevision => {
            'item' => 'core_2013_2.platform:RecordRef',
            'name' => 'xsd:string',
            'effectiveDate' => 'xsd:dateTime',
            'obsoleteDate' => 'xsd:dateTime',
            'memo' => 'xsd:string',
            'inactive' => 'xsd:boolean',
        },
    
        ItemRevisionSearchAdvanced => {
            'criteria' => 'accounting_2013_2.lists:ItemRevisionSearch',
            'columns' => 'accounting_2013_2.lists:ItemRevisionSearchRow',
        },
    
        ItemRevisionSearchRow => {
            'basic' => 'common_2013_2.platform:ItemRevisionSearchRowBasic',
            'itemJoin' => 'common_2013_2.platform:ItemSearchRowBasic',
            'userJoin' => 'common_2013_2.platform:EmployeeSearchRowBasic',
        },
    
        AccountingPeriodFiscalCalendars => {
            'fiscalCalendar' => 'core_2013_2.platform:RecordRef',
            'parent' => 'core_2013_2.platform:RecordRef',
        },
    
        AccountingPeriodFiscalCalendarsList => {
            'accountingPeriodFiscalCalendars' => 'accounting_2013_2.lists:AccountingPeriodFiscalCalendars',
        },
    
        TaxAcct => {
            'name' => 'xsd:string',
            'description' => 'xsd:string',
            'nexus' => 'core_2013_2.platform:RecordRef',
            'country' => 'common_2013_2.platformTypes:Country',
            'taxAcctType' => 'accounting_2013_2.listsTypes:TaxAcctType',
            'isInactive' => 'xsd:boolean',
        },
    
        ExpenseCategoryRates => {
            'subsidiary' => 'core_2013_2.platform:RecordRef',
            'currency' => 'core_2013_2.platform:RecordRef',
            'defaultRate' => 'xsd:double',
        },
    
        ExpenseCategoryRatesList => {
            'expenseCategoryRates' => 'accounting_2013_2.lists:ExpenseCategoryRates',
        },
    
        Opportunity => {
            'customForm' => 'core_2013_2.platform:RecordRef',
            'currency' => 'core_2013_2.platform:RecordRef',
            'estimatedBudget' => 'xsd:double',
            'entity' => 'core_2013_2.platform:RecordRef',
            'job' => 'core_2013_2.platform:RecordRef',
            'title' => 'xsd:string',
            'tranId' => 'xsd:string',
            'source' => 'xsd:string',
            'salesRep' => 'core_2013_2.platform:RecordRef',
            'contribPct' => 'xsd:string',
            'partner' => 'core_2013_2.platform:RecordRef',
            'salesGroup' => 'core_2013_2.platform:RecordRef',
            'syncSalesTeams' => 'xsd:boolean',
            'leadSource' => 'core_2013_2.platform:RecordRef',
            'entityStatus' => 'core_2013_2.platform:RecordRef',
            'probability' => 'xsd:double',
            'tranDate' => 'xsd:dateTime',
            'expectedCloseDate' => 'xsd:dateTime',
            'daysOpen' => 'xsd:long',
            'forecastType' => 'core_2013_2.platform:RecordRef',
            'currencyName' => 'xsd:string',
            'exchangeRate' => 'xsd:double',
            'projectedTotal' => 'xsd:double',
            'rangeLow' => 'xsd:double',
            'rangeHigh' => 'xsd:double',
            'projAltSalesAmt' => 'xsd:double',
            'altSalesRangeLow' => 'xsd:double',
            'altSalesRangeHigh' => 'xsd:double',
            'weightedTotal' => 'xsd:double',
            'actionItem' => 'xsd:string',
            'winLossReason' => 'core_2013_2.platform:RecordRef',
            'memo' => 'xsd:string',
            'taxTotal' => 'xsd:double',
            'isBudgetApproved' => 'xsd:boolean',
            'tax2Total' => 'xsd:double',
            'salesReadiness' => 'core_2013_2.platform:RecordRef',
            'totalCostEstimate' => 'xsd:double',
            'buyingTimeFrame' => 'core_2013_2.platform:RecordRef',
            'estGrossProfit' => 'xsd:double',
            'buyingReason' => 'core_2013_2.platform:RecordRef',
            'estGrossProfitPercent' => 'xsd:double',
            'transactionBillAddress' => 'common_2013_2.platform:BillAddress',
            'billAddressList' => 'core_2013_2.platform:RecordRef',
            'billAddress' => 'xsd:string',
            'transactionShipAddress' => 'common_2013_2.platform:ShipAddress',
            'shipAddressList' => 'core_2013_2.platform:RecordRef',
            'shipAddress' => 'xsd:string',
            'class' => 'core_2013_2.platform:RecordRef',
            'closeDate' => 'xsd:dateTime',
            'createdDate' => 'xsd:dateTime',
            'lastModifiedDate' => 'xsd:dateTime',
            'department' => 'core_2013_2.platform:RecordRef',
            'location' => 'core_2013_2.platform:RecordRef',
            'subsidiary' => 'core_2013_2.platform:RecordRef',
            'status' => 'xsd:string',
            'vatRegNum' => 'xsd:string',
            'syncPartnerTeams' => 'xsd:boolean',
            'salesTeamList' => 'sales_2013_2.transactions:OpportunitySalesTeamList',
            'partnersList' => 'sales_2013_2.transactions:OpportunityPartnersList',
            'itemList' => 'sales_2013_2.transactions:OpportunityItemList',
            'competitorsList' => 'sales_2013_2.transactions:OpportunityCompetitorsList',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        OpportunitySalesTeam => {
            'employee' => 'core_2013_2.platform:RecordRef',
            'salesRole' => 'core_2013_2.platform:RecordRef',
            'isPrimary' => 'xsd:boolean',
            'contribution' => 'xsd:double',
        },
    
        OpportunitySalesTeamList => {
            'salesTeam' => 'sales_2013_2.transactions:OpportunitySalesTeam',
        },
    
        OpportunityItem => {
            'job' => 'core_2013_2.platform:RecordRef',
            'item' => 'core_2013_2.platform:RecordRef',
            'line' => 'xsd:long',
            'quantityAvailable' => 'xsd:double',
            'quantityOnHand' => 'xsd:double',
            'quantity' => 'xsd:double',
            'units' => 'core_2013_2.platform:RecordRef',
            'description' => 'xsd:string',
            'price' => 'core_2013_2.platform:RecordRef',
            'rate' => 'xsd:string',
            'amount' => 'xsd:double',
            'altSalesAmt' => 'xsd:double',
            'revRecTermInMonths' => 'xsd:long',
            'options' => 'core_2013_2.platform:CustomFieldList',
            'fromJob' => 'xsd:boolean',
            'department' => 'core_2013_2.platform:RecordRef',
            'isEstimate' => 'xsd:boolean',
            'location' => 'core_2013_2.platform:RecordRef',
            'class' => 'core_2013_2.platform:RecordRef',
            'costEstimateType' => 'common_2013_2.platformTypes:ItemCostEstimateType',
            'costEstimate' => 'xsd:double',
            'grossAmt' => 'xsd:double',
            'tax1Amt' => 'xsd:double',
            'taxCode' => 'core_2013_2.platform:RecordRef',
            'taxRate1' => 'xsd:double',
            'taxRate2' => 'xsd:double',
            'expectedShipDate' => 'xsd:dateTime',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        OpportunityItemList => {
            'item' => 'sales_2013_2.transactions:OpportunityItem',
        },
    
        OpportunityCompetitors => {
            'competitor' => 'core_2013_2.platform:RecordRef',
            'url' => 'xsd:string',
            'notes' => 'xsd:string',
            'strategy' => 'xsd:string',
            'winner' => 'xsd:boolean',
        },
    
        OpportunityCompetitorsList => {
            'competitors' => 'sales_2013_2.transactions:OpportunityCompetitors',
        },
    
        OpportunitySearchAdvanced => {
            'criteria' => 'sales_2013_2.transactions:OpportunitySearch',
            'columns' => 'sales_2013_2.transactions:OpportunitySearchRow',
        },
    
        OpportunitySearchRow => {
            'basic' => 'common_2013_2.platform:OpportunitySearchRowBasic',
            'actualJoin' => 'common_2013_2.platform:TransactionSearchRowBasic',
            'callJoin' => 'common_2013_2.platform:PhoneCallSearchRowBasic',
            'customerJoin' => 'common_2013_2.platform:CustomerSearchRowBasic',
            'decisionMakerJoin' => 'common_2013_2.platform:ContactSearchRowBasic',
            'estimateJoin' => 'common_2013_2.platform:TransactionSearchRowBasic',
            'eventJoin' => 'common_2013_2.platform:CalendarEventSearchRowBasic',
            'fileJoin' => 'common_2013_2.platform:FileSearchRowBasic',
            'itemJoin' => 'common_2013_2.platform:ItemSearchRowBasic',
            'leadSourceJoin' => 'common_2013_2.platform:CampaignSearchRowBasic',
            'messagesJoin' => 'common_2013_2.platform:MessageSearchRowBasic',
            'orderJoin' => 'common_2013_2.platform:TransactionSearchRowBasic',
            'originatingLeadJoin' => 'common_2013_2.platform:OriginatingLeadSearchRowBasic',
            'partnerJoin' => 'common_2013_2.platform:PartnerSearchRowBasic',
            'salesRepJoin' => 'common_2013_2.platform:EmployeeSearchRowBasic',
            'taskJoin' => 'common_2013_2.platform:TaskSearchRowBasic',
            'userNotesJoin' => 'common_2013_2.platform:NoteSearchRowBasic',
            'customSearchJoin' => 'common_2013_2.platform:CustomSearchRowBasic',
        },
    
        OpportunityPartnersList => {
            'partners' => 'common_2013_2.platform:Partners',
        },
    
        SalesOrder => {
            'createdDate' => 'xsd:dateTime',
            'customForm' => 'core_2013_2.platform:RecordRef',
            'entity' => 'core_2013_2.platform:RecordRef',
            'job' => 'core_2013_2.platform:RecordRef',
            'currency' => 'core_2013_2.platform:RecordRef',
            'drAccount' => 'core_2013_2.platform:RecordRef',
            'fxAccount' => 'core_2013_2.platform:RecordRef',
            'tranDate' => 'xsd:dateTime',
            'tranId' => 'xsd:string',
            'source' => 'xsd:string',
            'createdFrom' => 'core_2013_2.platform:RecordRef',
            'orderStatus' => 'sales_2013_2.transactionsTypes:SalesOrderOrderStatus',
            'opportunity' => 'core_2013_2.platform:RecordRef',
            'salesRep' => 'core_2013_2.platform:RecordRef',
            'contribPct' => 'xsd:string',
            'partner' => 'core_2013_2.platform:RecordRef',
            'salesGroup' => 'core_2013_2.platform:RecordRef',
            'syncSalesTeams' => 'xsd:boolean',
            'leadSource' => 'core_2013_2.platform:RecordRef',
            'startDate' => 'xsd:dateTime',
            'endDate' => 'xsd:dateTime',
            'otherRefNum' => 'xsd:string',
            'memo' => 'xsd:string',
            'salesEffectiveDate' => 'xsd:dateTime',
            'excludeCommission' => 'xsd:boolean',
            'totalCostEstimate' => 'xsd:double',
            'estGrossProfit' => 'xsd:double',
            'estGrossProfitPercent' => 'xsd:double',
            'exchangeRate' => 'xsd:double',
            'promoCode' => 'core_2013_2.platform:RecordRef',
            'currencyName' => 'xsd:string',
            'discountItem' => 'core_2013_2.platform:RecordRef',
            'discountRate' => 'xsd:string',
            'isTaxable' => 'xsd:boolean',
            'taxItem' => 'core_2013_2.platform:RecordRef',
            'taxRate' => 'xsd:double',
            'toBePrinted' => 'xsd:boolean',
            'toBeEmailed' => 'xsd:boolean',
            'email' => 'xsd:string',
            'toBeFaxed' => 'xsd:boolean',
            'fax' => 'xsd:string',
            'messageSel' => 'core_2013_2.platform:RecordRef',
            'message' => 'xsd:string',
            'transactionBillAddress' => 'common_2013_2.platform:BillAddress',
            'billAddressList' => 'core_2013_2.platform:RecordRef',
            'billAddress' => 'xsd:string',
            'transactionShipAddress' => 'common_2013_2.platform:ShipAddress',
            'shipAddressList' => 'core_2013_2.platform:RecordRef',
            'shipAddress' => 'xsd:string',
            'fob' => 'xsd:string',
            'shipDate' => 'xsd:dateTime',
            'actualShipDate' => 'xsd:dateTime',
            'shipMethod' => 'core_2013_2.platform:RecordRef',
            'shippingCost' => 'xsd:double',
            'shippingTax1Rate' => 'xsd:double',
            'isMultiShipTo' => 'xsd:boolean',
            'shippingTax2Rate' => 'xsd:string',
            'shippingTaxCode' => 'core_2013_2.platform:RecordRef',
            'handlingTaxCode' => 'core_2013_2.platform:RecordRef',
            'handlingTax1Rate' => 'xsd:double',
            'handlingTax2Rate' => 'xsd:string',
            'handlingCost' => 'xsd:double',
            'trackingNumbers' => 'xsd:string',
            'linkedTrackingNumbers' => 'xsd:string',
            'shipComplete' => 'xsd:boolean',
            'paymentMethod' => 'core_2013_2.platform:RecordRef',
            'shopperIpAddress' => 'xsd:string',
            'saveOnAuthDecline' => 'xsd:boolean',
            'creditCard' => 'core_2013_2.platform:RecordRef',
            'revenueStatus' => 'common_2013_2.platformTypes:RevenueStatus',
            'recognizedRevenue' => 'xsd:double',
            'deferredRevenue' => 'xsd:double',
            'revRecOnRevCommitment' => 'xsd:boolean',
            'revCommitStatus' => 'common_2013_2.platformTypes:RevenueCommitStatus',
            'ccNumber' => 'xsd:string',
            'ccExpireDate' => 'xsd:dateTime',
            'ccName' => 'xsd:string',
            'ccStreet' => 'xsd:string',
            'ccZipCode' => 'xsd:string',
            'payPalStatus' => 'xsd:string',
            'creditCardProcessor' => 'core_2013_2.platform:RecordRef',
            'payPalTranId' => 'xsd:string',
            'ccApproved' => 'xsd:boolean',
            'getAuth' => 'xsd:boolean',
            'authCode' => 'xsd:string',
            'ccAvsStreetMatch' => 'common_2013_2.platformTypes:AvsMatchCode',
            'ccAvsZipMatch' => 'common_2013_2.platformTypes:AvsMatchCode',
            'ccSecurityCodeMatch' => 'common_2013_2.platformTypes:AvsMatchCode',
            'altSalesTotal' => 'xsd:double',
            'ignoreAvs' => 'xsd:boolean',
            'paymentEventResult' => 'sales_2013_2.transactionsTypes:TransactionPaymentEventResult',
            'paymentEventHoldReason' => 'sales_2013_2.transactionsTypes:TransactionPaymentEventHoldReason',
            'paymentEventType' => 'sales_2013_2.transactionsTypes:TransactionPaymentEventType',
            'paymentEventDate' => 'xsd:dateTime',
            'paymentEventUpdatedBy' => 'xsd:string',
            'subTotal' => 'xsd:double',
            'discountTotal' => 'xsd:double',
            'taxTotal' => 'xsd:double',
            'altShippingCost' => 'xsd:double',
            'altHandlingCost' => 'xsd:double',
            'total' => 'xsd:double',
            'revRecSchedule' => 'core_2013_2.platform:RecordRef',
            'revRecStartDate' => 'xsd:dateTime',
            'revRecEndDate' => 'xsd:dateTime',
            'paypalAuthId' => 'xsd:string',
            'balance' => 'xsd:double',
            'paypalProcess' => 'xsd:boolean',
            'billingSchedule' => 'core_2013_2.platform:RecordRef',
            'ccSecurityCode' => 'xsd:string',
            'threeDStatusCode' => 'xsd:string',
            'class' => 'core_2013_2.platform:RecordRef',
            'department' => 'core_2013_2.platform:RecordRef',
            'subsidiary' => 'core_2013_2.platform:RecordRef',
            'intercoTransaction' => 'core_2013_2.platform:RecordRef',
            'intercoStatus' => 'common_2013_2.platformTypes:IntercoStatus',
            'debitCardIssueNo' => 'xsd:string',
            'lastModifiedDate' => 'xsd:dateTime',
            'location' => 'core_2013_2.platform:RecordRef',
            'pnRefNum' => 'xsd:string',
            'status' => 'xsd:string',
            'tax2Total' => 'xsd:double',
            'terms' => 'core_2013_2.platform:RecordRef',
            'validFrom' => 'xsd:dateTime',
            'vatRegNum' => 'xsd:string',
            'giftCertApplied' => 'xsd:double',
            'tranIsVsoeBundle' => 'xsd:boolean',
            'vsoeAutoCalc' => 'xsd:boolean',
            'syncPartnerTeams' => 'xsd:boolean',
            'salesTeamList' => 'sales_2013_2.transactions:SalesOrderSalesTeamList',
            'partnersList' => 'sales_2013_2.transactions:SalesOrderPartnersList',
            'giftCertRedemptionList' => 'sales_2013_2.transactions:GiftCertRedemptionList',
            'itemList' => 'sales_2013_2.transactions:SalesOrderItemList',
            'shipGroupList' => 'sales_2013_2.transactions:SalesOrderShipGroupList',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        SalesOrderSalesTeam => {
            'employee' => 'core_2013_2.platform:RecordRef',
            'salesRole' => 'core_2013_2.platform:RecordRef',
            'isPrimary' => 'xsd:boolean',
            'contribution' => 'xsd:double',
        },
    
        SalesOrderSalesTeamList => {
            'salesTeam' => 'sales_2013_2.transactions:SalesOrderSalesTeam',
        },
    
        SalesOrderItem => {
            'job' => 'core_2013_2.platform:RecordRef',
            'item' => 'core_2013_2.platform:RecordRef',
            'quantityAvailable' => 'xsd:double',
            'quantityOnHand' => 'xsd:double',
            'quantity' => 'xsd:double',
            'units' => 'core_2013_2.platform:RecordRef',
            'inventoryDetail' => 'common_2013_2.platform:InventoryDetail',
            'description' => 'xsd:string',
            'price' => 'core_2013_2.platform:RecordRef',
            'rate' => 'xsd:string',
            'serialNumbers' => 'xsd:string',
            'amount' => 'xsd:double',
            'isTaxable' => 'xsd:boolean',
            'commitInventory' => 'sales_2013_2.transactionsTypes:SalesOrderItemCommitInventory',
            'orderPriority' => 'xsd:double',
            'licenseCode' => 'xsd:string',
            'options' => 'core_2013_2.platform:CustomFieldList',
            'department' => 'core_2013_2.platform:RecordRef',
            'class' => 'core_2013_2.platform:RecordRef',
            'location' => 'core_2013_2.platform:RecordRef',
            'createPo' => 'sales_2013_2.transactionsTypes:SalesOrderItemCreatePo',
            'createdPo' => 'core_2013_2.platform:RecordRef',
            'altSalesAmt' => 'xsd:double',
            'createWo' => 'xsd:boolean',
            'poVendor' => 'core_2013_2.platform:RecordRef',
            'poCurrency' => 'xsd:string',
            'poRate' => 'xsd:double',
            'revRecSchedule' => 'core_2013_2.platform:RecordRef',
            'revRecStartDate' => 'xsd:dateTime',
            'revRecTermInMonths' => 'xsd:long',
            'revRecEndDate' => 'xsd:dateTime',
            'deferRevRec' => 'xsd:boolean',
            'isClosed' => 'xsd:boolean',
            'billingSchedule' => 'core_2013_2.platform:RecordRef',
            'fromJob' => 'xsd:boolean',
            'grossAmt' => 'xsd:double',
            'excludeFromRateRequest' => 'xsd:boolean',
            'isEstimate' => 'xsd:boolean',
            'line' => 'xsd:long',
            'percentComplete' => 'xsd:double',
            'costEstimateType' => 'common_2013_2.platformTypes:ItemCostEstimateType',
            'costEstimate' => 'xsd:double',
            'quantityBackOrdered' => 'xsd:double',
            'quantityBilled' => 'xsd:double',
            'quantityCommitted' => 'xsd:double',
            'quantityFulfilled' => 'xsd:double',
            'quantityPacked' => 'xsd:double',
            'quantityPicked' => 'xsd:double',
            'tax1Amt' => 'xsd:double',
            'taxCode' => 'core_2013_2.platform:RecordRef',
            'taxRate1' => 'xsd:double',
            'taxRate2' => 'xsd:double',
            'giftCertFrom' => 'xsd:string',
            'giftCertRecipientName' => 'xsd:string',
            'giftCertRecipientEmail' => 'xsd:string',
            'giftCertMessage' => 'xsd:string',
            'giftCertNumber' => 'xsd:string',
            'shipGroup' => 'xsd:long',
            'itemIsFulfilled' => 'xsd:boolean',
            'shipAddress' => 'core_2013_2.platform:RecordRef',
            'shipMethod' => 'core_2013_2.platform:RecordRef',
            'vsoeSopGroup' => 'common_2013_2.platformTypes:VsoeSopGroup',
            'vsoeIsEstimate' => 'xsd:boolean',
            'vsoePrice' => 'xsd:double',
            'vsoeAmount' => 'xsd:double',
            'vsoeAllocation' => 'xsd:double',
            'vsoeDeferral' => 'common_2013_2.platformTypes:VsoeDeferral',
            'vsoePermitDiscount' => 'common_2013_2.platformTypes:VsoePermitDiscount',
            'vsoeDelivered' => 'xsd:boolean',
            'expectedShipDate' => 'xsd:dateTime',
            'chargeType' => 'common_2013_2.platformTypes:ChargeRuleType',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        SalesOrderItemList => {
            'item' => 'sales_2013_2.transactions:SalesOrderItem',
        },
    
        SalesOrderPartnersList => {
            'partners' => 'common_2013_2.platform:Partners',
        },
    
        SalesOrderShipGroupList => {
            'shipGroup' => 'sales_2013_2.transactions:TransactionShipGroup',
        },
    
        TransactionSearchAdvanced => {
            'criteria' => 'sales_2013_2.transactions:TransactionSearch',
            'columns' => 'sales_2013_2.transactions:TransactionSearchRow',
        },
    
        TransactionSearchRow => {
            'basic' => 'common_2013_2.platform:TransactionSearchRowBasic',
            'accountJoin' => 'common_2013_2.platform:AccountSearchRowBasic',
            'accountingPeriodJoin' => 'common_2013_2.platform:AccountingPeriodSearchRowBasic',
            'appliedToTransactionJoin' => 'common_2013_2.platform:TransactionSearchRowBasic',
            'applyingTransactionJoin' => 'common_2013_2.platform:TransactionSearchRowBasic',
            'billingTransactionJoin' => 'common_2013_2.platform:TransactionSearchRowBasic',
            'binNumberJoin' => 'common_2013_2.platform:BinSearchRowBasic',
            'callJoin' => 'common_2013_2.platform:PhoneCallSearchRowBasic',
            'classJoin' => 'common_2013_2.platform:ClassificationSearchRowBasic',
            'cogsPurchaseJoin' => 'common_2013_2.platform:TransactionSearchRowBasic',
            'cogsSaleJoin' => 'common_2013_2.platform:TransactionSearchRowBasic',
            'contactPrimaryJoin' => 'common_2013_2.platform:ContactSearchRowBasic',
            'createdFromJoin' => 'common_2013_2.platform:TransactionSearchRowBasic',
            'customerJoin' => 'common_2013_2.platform:CustomerSearchRowBasic',
            'customerMainJoin' => 'common_2013_2.platform:CustomerSearchRowBasic',
            'departmentJoin' => 'common_2013_2.platform:DepartmentSearchRowBasic',
            'depositTransactionJoin' => 'common_2013_2.platform:TransactionSearchRowBasic',
            'employeeJoin' => 'common_2013_2.platform:EmployeeSearchRowBasic',
            'eventJoin' => 'common_2013_2.platform:CalendarEventSearchRowBasic',
            'expenseCategoryJoin' => 'common_2013_2.platform:ExpenseCategorySearchRowBasic',
            'fileJoin' => 'common_2013_2.platform:FileSearchRowBasic',
            'fulfillingTransactionJoin' => 'common_2013_2.platform:TransactionSearchRowBasic',
            'inventoryDetailJoin' => 'common_2013_2.platform:InventoryDetailSearchRowBasic',
            'itemJoin' => 'common_2013_2.platform:ItemSearchRowBasic',
            'itemNumberJoin' => 'common_2013_2.platform:InventoryNumberSearchRowBasic',
            'jobJoin' => 'common_2013_2.platform:JobSearchRowBasic',
            'jobMainJoin' => 'common_2013_2.platform:JobSearchRowBasic',
            'leadSourceJoin' => 'common_2013_2.platform:CampaignSearchRowBasic',
            'locationJoin' => 'common_2013_2.platform:LocationSearchRowBasic',
            'messagesJoin' => 'common_2013_2.platform:MessageSearchRowBasic',
            'opportunityJoin' => 'common_2013_2.platform:OpportunitySearchRowBasic',
            'paidTransactionJoin' => 'common_2013_2.platform:TransactionSearchRowBasic',
            'partnerJoin' => 'common_2013_2.platform:PartnerSearchRowBasic',
            'payingTransactionJoin' => 'common_2013_2.platform:TransactionSearchRowBasic',
            'payrollItemJoin' => 'common_2013_2.platform:PayrollItemSearchRowBasic',
            'purchaseOrderJoin' => 'common_2013_2.platform:TransactionSearchRowBasic',
            'requestorJoin' => 'common_2013_2.platform:EmployeeSearchRowBasic',
            'revCommittingTransactionJoin' => 'common_2013_2.platform:TransactionSearchRowBasic',
            'revisionJoin' => 'common_2013_2.platform:ItemRevisionSearchRowBasic',
            'rgPostingTransactionJoin' => 'common_2013_2.platform:TransactionSearchRowBasic',
            'salesOrderJoin' => 'common_2013_2.platform:TransactionSearchRowBasic',
            'salesRepJoin' => 'common_2013_2.platform:EmployeeSearchRowBasic',
            'subsidiaryJoin' => 'common_2013_2.platform:SubsidiarySearchRowBasic',
            'taskJoin' => 'common_2013_2.platform:TaskSearchRowBasic',
            'userJoin' => 'common_2013_2.platform:EmployeeSearchRowBasic',
            'userNotesJoin' => 'common_2013_2.platform:NoteSearchRowBasic',
            'vendorJoin' => 'common_2013_2.platform:VendorSearchRowBasic',
            'customSearchJoin' => 'common_2013_2.platform:CustomSearchRowBasic',
        },
    
        ItemFulfillment => {
            'createdDate' => 'xsd:dateTime',
            'lastModifiedDate' => 'xsd:dateTime',
            'customForm' => 'core_2013_2.platform:RecordRef',
            'postingPeriod' => 'core_2013_2.platform:RecordRef',
            'entity' => 'core_2013_2.platform:RecordRef',
            'createdFrom' => 'core_2013_2.platform:RecordRef',
            'createdFromShipGroup' => 'xsd:long',
            'partner' => 'core_2013_2.platform:RecordRef',
            'transactionShipAddress' => 'common_2013_2.platform:ShipAddress',
            'shipAddressList' => 'core_2013_2.platform:RecordRef',
            'shipAddress' => 'xsd:string',
            'shipStatus' => 'sales_2013_2.transactionsTypes:ItemFulfillmentShipStatus',
            'saturdayDeliveryUps' => 'xsd:boolean',
            'sendShipNotifyEmailUps' => 'xsd:boolean',
            'sendBackupEmailUps' => 'xsd:boolean',
            'shipNotifyEmailAddressUps' => 'xsd:string',
            'shipNotifyEmailAddress2Ups' => 'xsd:string',
            'backupEmailAddressUps' => 'xsd:string',
            'shipNotifyEmailMessageUps' => 'xsd:string',
            'thirdPartyAcctUps' => 'xsd:string',
            'thirdPartyZipcodeUps' => 'xsd:string',
            'thirdPartyCountryUps' => 'common_2013_2.platformTypes:Country',
            'thirdPartyTypeUps' => 'sales_2013_2.transactionsTypes:ItemFulfillmentThirdPartyTypeUps',
            'partiesToTransactionUps' => 'xsd:boolean',
            'exportTypeUps' => 'sales_2013_2.transactionsTypes:ItemFulfillmentExportTypeUps',
            'methodOfTransportUps' => 'sales_2013_2.transactionsTypes:ItemFulfillmentMethodOfTransportUps',
            'carrierIdUps' => 'xsd:string',
            'entryNumberUps' => 'xsd:string',
            'inbondCodeUps' => 'xsd:string',
            'isRoutedExportTransactionUps' => 'xsd:boolean',
            'licenseNumberUps' => 'xsd:string',
            'licenseDateUps' => 'xsd:dateTime',
            'licenseExceptionUps' => 'sales_2013_2.transactionsTypes:ItemFulfillmentLicenseExceptionUps',
            'eccNumberUps' => 'xsd:string',
            'recipientTaxIdUps' => 'xsd:string',
            'blanketStartDateUps' => 'xsd:dateTime',
            'blanketEndDateUps' => 'xsd:dateTime',
            'shipmentWeightUps' => 'xsd:double',
            'saturdayDeliveryFedEx' => 'xsd:boolean',
            'saturdayPickupFedex' => 'xsd:boolean',
            'sendShipNotifyEmailFedEx' => 'xsd:boolean',
            'sendBackupEmailFedEx' => 'xsd:boolean',
            'signatureHomeDeliveryFedEx' => 'xsd:boolean',
            'shipNotifyEmailAddressFedEx' => 'xsd:string',
            'backupEmailAddressFedEx' => 'xsd:string',
            'shipDateFedEx' => 'xsd:dateTime',
            'homeDeliveryTypeFedEx' => 'sales_2013_2.transactionsTypes:ItemFulfillmentHomeDeliveryTypeFedEx',
            'homeDeliveryDateFedEx' => 'xsd:dateTime',
            'bookingConfirmationNumFedEx' => 'xsd:string',
            'intlExemptionNumFedEx' => 'xsd:string',
            'b13aFilingOptionFedEx' => 'sales_2013_2.transactionsTypes:ItemFulfillmentB13AFilingOptionFedEx',
            'b13aStatementDataFedEx' => 'xsd:string',
            'thirdPartyAcctFedEx' => 'xsd:string',
            'thirdPartyCountryFedEx' => 'common_2013_2.platformTypes:Country',
            'thirdPartyTypeFedEx' => 'sales_2013_2.transactionsTypes:ItemFulfillmentThirdPartyTypeFedEx',
            'shipmentWeightFedEx' => 'xsd:double',
            'termsOfSaleFedEx' => 'sales_2013_2.transactionsTypes:ItemFulfillmentTermsOfSaleFedEx',
            'termsFreightChargeFedEx' => 'xsd:double',
            'termsInsuranceChargeFedEx' => 'xsd:double',
            'insideDeliveryFedEx' => 'xsd:boolean',
            'insidePickupFedEx' => 'xsd:boolean',
            'ancillaryEndorsementFedEx' => 'sales_2013_2.transactionsTypes:ItemFulfillmentAncillaryEndorsementFedEx',
            'holdAtLocationFedEx' => 'xsd:boolean',
            'halPhoneFedEx' => 'xsd:string',
            'halAddr1FedEx' => 'xsd:string',
            'halAddr2FedEx' => 'xsd:string',
            'halAddr3FedEx' => 'xsd:string',
            'halCityFedEx' => 'xsd:string',
            'halZipFedEx' => 'xsd:string',
            'halStateFedEx' => 'xsd:string',
            'halCountryFedEx' => 'xsd:string',
            'hazmatTypeFedEx' => 'sales_2013_2.transactionsTypes:ItemFulfillmentHazmatTypeFedEx',
            'accessibilityTypeFedEx' => 'sales_2013_2.transactionsTypes:ItemFulfillmentAccessibilityTypeFedEx',
            'isCargoAircraftOnlyFedEx' => 'xsd:boolean',
            'tranDate' => 'xsd:dateTime',
            'tranId' => 'xsd:string',
            'shipMethod' => 'core_2013_2.platform:RecordRef',
            'generateIntegratedShipperLabel' => 'xsd:boolean',
            'shippingCost' => 'xsd:double',
            'handlingCost' => 'xsd:double',
            'memo' => 'xsd:string',
            'transferLocation' => 'core_2013_2.platform:RecordRef',
            'packageList' => 'sales_2013_2.transactions:ItemFulfillmentPackageList',
            'packageUpsList' => 'sales_2013_2.transactions:ItemFulfillmentPackageUpsList',
            'packageUspsList' => 'sales_2013_2.transactions:ItemFulfillmentPackageUspsList',
            'packageFedExList' => 'sales_2013_2.transactions:ItemFulfillmentPackageFedExList',
            'itemList' => 'sales_2013_2.transactions:ItemFulfillmentItemList',
            'shipGroupList' => 'sales_2013_2.transactions:ItemFulfillmentShipGroupList',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        ItemFulfillmentItem => {
            'jobName' => 'xsd:string',
            'itemReceive' => 'xsd:boolean',
            'itemName' => 'xsd:string',
            'description' => 'xsd:string',
            'location' => 'core_2013_2.platform:RecordRef',
            'onHand' => 'xsd:double',
            'quantity' => 'xsd:double',
            'unitsDisplay' => 'xsd:string',
            'createPo' => 'xsd:string',
            'inventoryDetail' => 'common_2013_2.platform:InventoryDetail',
            'binNumbers' => 'xsd:string',
            'serialNumbers' => 'xsd:string',
            'poNum' => 'xsd:string',
            'item' => 'core_2013_2.platform:RecordRef',
            'orderLine' => 'xsd:long',
            'quantityRemaining' => 'xsd:double',
            'options' => 'core_2013_2.platform:CustomFieldList',
            'shipGroup' => 'xsd:long',
            'itemIsFulfilled' => 'xsd:boolean',
            'shipAddress' => 'core_2013_2.platform:RecordRef',
            'shipMethod' => 'core_2013_2.platform:RecordRef',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        ItemFulfillmentItemList => {
            'item' => 'sales_2013_2.transactions:ItemFulfillmentItem',
        },
    
        ItemFulfillmentPackage => {
            'packageWeight' => 'xsd:double',
            'packageDescr' => 'xsd:string',
            'packageTrackingNumber' => 'xsd:string',
        },
    
        ItemFulfillmentPackageList => {
            'package' => 'sales_2013_2.transactions:ItemFulfillmentPackage',
        },
    
        ItemFulfillmentPackageUps => {
            'packageWeightUps' => 'xsd:double',
            'packageDescrUps' => 'xsd:string',
            'packageTrackingNumberUps' => 'xsd:string',
            'packagingUps' => 'sales_2013_2.transactionsTypes:ItemFulfillmentPackageUpsPackagingUps',
            'useInsuredValueUps' => 'xsd:boolean',
            'insuredValueUps' => 'xsd:double',
            'reference1Ups' => 'xsd:string',
            'reference2Ups' => 'xsd:string',
            'packageLengthUps' => 'xsd:long',
            'packageWidthUps' => 'xsd:long',
            'packageHeightUps' => 'xsd:long',
            'additionalHandlingUps' => 'xsd:boolean',
            'useCodUps' => 'xsd:boolean',
            'codAmountUps' => 'xsd:double',
            'codMethodUps' => 'sales_2013_2.transactionsTypes:ItemFulfillmentPackageUpsCodMethodUps',
            'deliveryConfUps' => 'sales_2013_2.transactionsTypes:ItemFulfillmentPackageUpsDeliveryConfUps',
        },
    
        ItemFulfillmentPackageUpsList => {
            'packageUps' => 'sales_2013_2.transactions:ItemFulfillmentPackageUps',
        },
    
        ItemFulfillmentPackageUsps => {
            'packageWeightUsps' => 'xsd:double',
            'packageDescrUsps' => 'xsd:string',
            'packageTrackingNumberUsps' => 'xsd:string',
            'packagingUsps' => 'sales_2013_2.transactionsTypes:ItemFulfillmentPackageUspsPackagingUsps',
            'useInsuredValueUsps' => 'xsd:boolean',
            'insuredValueUsps' => 'xsd:double',
            'reference1Usps' => 'xsd:string',
            'reference2Usps' => 'xsd:string',
            'packageLengthUsps' => 'xsd:long',
            'packageWidthUsps' => 'xsd:long',
            'packageHeightUsps' => 'xsd:long',
            'deliveryConfUsps' => 'sales_2013_2.transactionsTypes:ItemFulfillmentPackageUspsDeliveryConfUsps',
        },
    
        ItemFulfillmentPackageUspsList => {
            'packageUsps' => 'sales_2013_2.transactions:ItemFulfillmentPackageUsps',
        },
    
        ItemFulfillmentPackageFedEx => {
            'packageWeightFedEx' => 'xsd:double',
            'dryIceWeightFedEx' => 'xsd:double',
            'packageTrackingNumberFedEx' => 'xsd:string',
            'packagingFedEx' => 'sales_2013_2.transactionsTypes:ItemFulfillmentPackageFedExPackagingFedEx',
            'admPackageTypeFedEx' => 'sales_2013_2.transactionsTypes:ItemFulfillmentPackageFedExAdmPackageTypeFedEx',
            'isNonStandardContainerFedEx' => 'xsd:boolean',
            'isAlcoholFedEx' => 'xsd:boolean',
            'isNonHazLithiumFedEx' => 'xsd:boolean',
            'insuredValueFedEx' => 'xsd:double',
            'useInsuredValueFedEx' => 'xsd:boolean',
            'reference1FedEx' => 'xsd:string',
            'priorityAlertTypeFedEx' => 'sales_2013_2.transactionsTypes:ItemFulfillmentPackageFedExPriorityAlertTypeFedEx',
            'priorityAlertContentFedEx' => 'xsd:string',
            'packageLengthFedEx' => 'xsd:long',
            'packageWidthFedEx' => 'xsd:long',
            'packageHeightFedEx' => 'xsd:long',
            'useCodFedEx' => 'xsd:boolean',
            'codAmountFedEx' => 'xsd:double',
            'codMethodFedEx' => 'sales_2013_2.transactionsTypes:ItemFulfillmentPackageFedExCodMethodFedEx',
            'codFreightTypeFedEx' => 'sales_2013_2.transactionsTypes:ItemFulfillmentPackageFedExCodFreightTypeFedEx',
            'deliveryConfFedEx' => 'sales_2013_2.transactionsTypes:ItemFulfillmentPackageFedExDeliveryConfFedEx',
            'signatureOptionsFedEx' => 'sales_2013_2.transactionsTypes:ItemFulfillmentPackageFedExSignatureOptionsFedEx',
            'signatureReleaseFedEx' => 'xsd:string',
            'authorizationNumberFedEx' => 'xsd:string',
        },
    
        ItemFulfillmentPackageFedExList => {
            'packageFedEx' => 'sales_2013_2.transactions:ItemFulfillmentPackageFedEx',
        },
    
        ItemFulfillmentShipGroupList => {
            'shipGroup' => 'sales_2013_2.transactions:TransactionShipGroup',
        },
    
        Invoice => {
            'createdDate' => 'xsd:dateTime',
            'lastModifiedDate' => 'xsd:dateTime',
            'customForm' => 'core_2013_2.platform:RecordRef',
            'entity' => 'core_2013_2.platform:RecordRef',
            'tranDate' => 'xsd:dateTime',
            'tranId' => 'xsd:string',
            'source' => 'xsd:string',
            'createdFrom' => 'core_2013_2.platform:RecordRef',
            'postingPeriod' => 'core_2013_2.platform:RecordRef',
            'opportunity' => 'core_2013_2.platform:RecordRef',
            'department' => 'core_2013_2.platform:RecordRef',
            'class' => 'core_2013_2.platform:RecordRef',
            'terms' => 'core_2013_2.platform:RecordRef',
            'location' => 'core_2013_2.platform:RecordRef',
            'subsidiary' => 'core_2013_2.platform:RecordRef',
            'currency' => 'core_2013_2.platform:RecordRef',
            'dueDate' => 'xsd:dateTime',
            'discountDate' => 'xsd:dateTime',
            'discountAmount' => 'xsd:double',
            'salesRep' => 'core_2013_2.platform:RecordRef',
            'contribPct' => 'xsd:string',
            'partner' => 'core_2013_2.platform:RecordRef',
            'leadSource' => 'core_2013_2.platform:RecordRef',
            'startDate' => 'xsd:dateTime',
            'endDate' => 'xsd:dateTime',
            'otherRefNum' => 'xsd:string',
            'memo' => 'xsd:string',
            'salesEffectiveDate' => 'xsd:dateTime',
            'excludeCommission' => 'xsd:boolean',
            'totalCostEstimate' => 'xsd:double',
            'estGrossProfit' => 'xsd:double',
            'estGrossProfitPercent' => 'xsd:double',
            'revRecSchedule' => 'core_2013_2.platform:RecordRef',
            'revRecStartDate' => 'xsd:dateTime',
            'revRecEndDate' => 'xsd:dateTime',
            'amountPaid' => 'xsd:double',
            'amountRemaining' => 'xsd:double',
            'balance' => 'xsd:double',
            'account' => 'core_2013_2.platform:RecordRef',
            'onCreditHold' => 'xsd:string',
            'exchangeRate' => 'xsd:double',
            'currencyName' => 'xsd:string',
            'promoCode' => 'core_2013_2.platform:RecordRef',
            'discountItem' => 'core_2013_2.platform:RecordRef',
            'discountRate' => 'xsd:string',
            'isTaxable' => 'xsd:boolean',
            'taxItem' => 'core_2013_2.platform:RecordRef',
            'taxRate' => 'xsd:double',
            'toBePrinted' => 'xsd:boolean',
            'toBeEmailed' => 'xsd:boolean',
            'toBeFaxed' => 'xsd:boolean',
            'fax' => 'xsd:string',
            'messageSel' => 'core_2013_2.platform:RecordRef',
            'message' => 'xsd:string',
            'transactionBillAddress' => 'common_2013_2.platform:BillAddress',
            'billAddressList' => 'core_2013_2.platform:RecordRef',
            'billAddress' => 'xsd:string',
            'transactionShipAddress' => 'common_2013_2.platform:ShipAddress',
            'shipAddressList' => 'core_2013_2.platform:RecordRef',
            'shipAddress' => 'xsd:string',
            'fob' => 'xsd:string',
            'shipDate' => 'xsd:dateTime',
            'shipMethod' => 'core_2013_2.platform:RecordRef',
            'shippingCost' => 'xsd:double',
            'shippingTax1Rate' => 'xsd:double',
            'shippingTax2Rate' => 'xsd:string',
            'shippingTaxCode' => 'core_2013_2.platform:RecordRef',
            'handlingTaxCode' => 'core_2013_2.platform:RecordRef',
            'handlingTax1Rate' => 'xsd:double',
            'handlingCost' => 'xsd:double',
            'handlingTax2Rate' => 'xsd:string',
            'trackingNumbers' => 'xsd:string',
            'linkedTrackingNumbers' => 'xsd:string',
            'salesGroup' => 'core_2013_2.platform:RecordRef',
            'subTotal' => 'xsd:double',
            'revenueStatus' => 'common_2013_2.platformTypes:RevenueStatus',
            'recognizedRevenue' => 'xsd:double',
            'deferredRevenue' => 'xsd:double',
            'revRecOnRevCommitment' => 'xsd:boolean',
            'syncSalesTeams' => 'xsd:boolean',
            'discountTotal' => 'xsd:double',
            'taxTotal' => 'xsd:double',
            'altShippingCost' => 'xsd:double',
            'altHandlingCost' => 'xsd:double',
            'total' => 'xsd:double',
            'status' => 'xsd:string',
            'job' => 'core_2013_2.platform:RecordRef',
            'billingSchedule' => 'core_2013_2.platform:RecordRef',
            'email' => 'xsd:string',
            'tax2Total' => 'xsd:double',
            'vatRegNum' => 'xsd:string',
            'expCostDiscount' => 'core_2013_2.platform:RecordRef',
            'itemCostDiscount' => 'core_2013_2.platform:RecordRef',
            'timeDiscount' => 'core_2013_2.platform:RecordRef',
            'expCostDiscRate' => 'xsd:string',
            'itemCostDiscRate' => 'xsd:string',
            'timeDiscRate' => 'xsd:string',
            'expCostDiscAmount' => 'xsd:double',
            'expCostTaxRate1' => 'xsd:double',
            'expCostTaxRate2' => 'xsd:double',
            'itemCostDiscAmount' => 'xsd:double',
            'expCostTaxCode' => 'core_2013_2.platform:RecordRef',
            'expCostDiscTax1Amt' => 'xsd:double',
            'itemCostTaxRate1' => 'xsd:double',
            'timeDiscAmount' => 'xsd:double',
            'itemCostTaxCode' => 'core_2013_2.platform:RecordRef',
            'expCostDiscTaxable' => 'xsd:boolean',
            'itemCostDiscTaxable' => 'xsd:boolean',
            'itemCostTaxRate2' => 'xsd:double',
            'itemCostDiscTax1Amt' => 'xsd:double',
            'itemCostDiscPrint' => 'xsd:boolean',
            'timeDiscTaxable' => 'xsd:boolean',
            'timeTaxRate1' => 'xsd:double',
            'expCostDiscPrint' => 'xsd:boolean',
            'timeTaxCode' => 'core_2013_2.platform:RecordRef',
            'timeDiscPrint' => 'xsd:boolean',
            'giftCertApplied' => 'xsd:double',
            'timeDiscTax1Amt' => 'xsd:double',
            'tranIsVsoeBundle' => 'xsd:boolean',
            'timeTaxRate2' => 'xsd:double',
            'vsoeAutoCalc' => 'xsd:boolean',
            'syncPartnerTeams' => 'xsd:boolean',
            'salesTeamList' => 'sales_2013_2.transactions:InvoiceSalesTeamList',
            'partnersList' => 'sales_2013_2.transactions:InvoicePartnersList',
            'itemList' => 'sales_2013_2.transactions:InvoiceItemList',
            'itemCostList' => 'sales_2013_2.transactions:InvoiceItemCostList',
            'giftCertRedemptionList' => 'sales_2013_2.transactions:GiftCertRedemptionList',
            'expCostList' => 'sales_2013_2.transactions:InvoiceExpCostList',
            'timeList' => 'sales_2013_2.transactions:InvoiceTimeList',
            'shipGroupList' => 'sales_2013_2.transactions:InvoiceShipGroupList',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        InvoiceSalesTeam => {
            'employee' => 'core_2013_2.platform:RecordRef',
            'salesRole' => 'core_2013_2.platform:RecordRef',
            'isPrimary' => 'xsd:boolean',
            'contribution' => 'xsd:double',
        },
    
        InvoiceSalesTeamList => {
            'salesTeam' => 'sales_2013_2.transactions:InvoiceSalesTeam',
        },
    
        InvoiceItem => {
            'job' => 'core_2013_2.platform:RecordRef',
            'item' => 'core_2013_2.platform:RecordRef',
            'line' => 'xsd:long',
            'description' => 'xsd:string',
            'amount' => 'xsd:double',
            'isTaxable' => 'xsd:boolean',
            'options' => 'core_2013_2.platform:CustomFieldList',
            'deferRevRec' => 'xsd:boolean',
            'quantity' => 'xsd:double',
            'currentPercent' => 'xsd:double',
            'units' => 'core_2013_2.platform:RecordRef',
            'inventoryDetail' => 'common_2013_2.platform:InventoryDetail',
            'serialNumbers' => 'xsd:string',
            'binNumbers' => 'xsd:string',
            'price' => 'core_2013_2.platform:RecordRef',
            'rate' => 'xsd:string',
            'percentComplete' => 'xsd:double',
            'quantityOnHand' => 'xsd:double',
            'quantityAvailable' => 'xsd:double',
            'quantityOrdered' => 'xsd:double',
            'quantityRemaining' => 'xsd:double',
            'quantityFulfilled' => 'xsd:double',
            'amountOrdered' => 'xsd:double',
            'department' => 'core_2013_2.platform:RecordRef',
            'orderLine' => 'xsd:long',
            'licenseCode' => 'xsd:string',
            'class' => 'core_2013_2.platform:RecordRef',
            'location' => 'core_2013_2.platform:RecordRef',
            'revRecSchedule' => 'core_2013_2.platform:RecordRef',
            'revRecStartDate' => 'xsd:dateTime',
            'revRecEndDate' => 'xsd:dateTime',
            'grossAmt' => 'xsd:double',
            'costEstimateType' => 'common_2013_2.platformTypes:ItemCostEstimateType',
            'costEstimate' => 'xsd:double',
            'tax1Amt' => 'xsd:double',
            'taxCode' => 'core_2013_2.platform:RecordRef',
            'taxRate1' => 'xsd:double',
            'taxRate2' => 'xsd:double',
            'giftCertFrom' => 'xsd:string',
            'giftCertRecipientName' => 'xsd:string',
            'giftCertRecipientEmail' => 'xsd:string',
            'giftCertMessage' => 'xsd:string',
            'giftCertNumber' => 'xsd:string',
            'shipGroup' => 'xsd:long',
            'itemIsFulfilled' => 'xsd:boolean',
            'shipAddress' => 'core_2013_2.platform:RecordRef',
            'shipMethod' => 'core_2013_2.platform:RecordRef',
            'vsoeSopGroup' => 'common_2013_2.platformTypes:VsoeSopGroup',
            'vsoeIsEstimate' => 'xsd:boolean',
            'vsoePrice' => 'xsd:double',
            'vsoeAmount' => 'xsd:double',
            'vsoeAllocation' => 'xsd:double',
            'vsoeDeferral' => 'common_2013_2.platformTypes:VsoeDeferral',
            'vsoePermitDiscount' => 'common_2013_2.platformTypes:VsoePermitDiscount',
            'vsoeDelivered' => 'xsd:boolean',
            'chargeType' => 'common_2013_2.platformTypes:ChargeRuleType',
            'chargesList' => 'core_2013_2.platform:RecordRefList',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        InvoiceItemList => {
            'item' => 'sales_2013_2.transactions:InvoiceItem',
        },
    
        InvoiceItemCost => {
            'apply' => 'xsd:boolean',
            'doc' => 'xsd:long',
            'line' => 'xsd:long',
            'billedDate' => 'xsd:dateTime',
            'itemDisp' => 'xsd:string',
            'memo' => 'xsd:string',
            'jobDisp' => 'xsd:string',
            'department' => 'xsd:string',
            'class' => 'xsd:string',
            'location' => 'xsd:string',
            'unitDisp' => 'xsd:string',
            'options' => 'core_2013_2.platform:CustomFieldList',
            'itemCostCount' => 'xsd:string',
            'quantity' => 'xsd:string',
            'serialNumbers' => 'xsd:string',
            'cost' => 'xsd:double',
            'amount' => 'xsd:double',
            'revRecSchedule' => 'core_2013_2.platform:RecordRef',
            'revRecStartDate' => 'xsd:dateTime',
            'revRecEndDate' => 'xsd:dateTime',
            'grossAmt' => 'xsd:double',
            'tax1Amt' => 'xsd:double',
            'taxCode' => 'core_2013_2.platform:RecordRef',
            'taxRate1' => 'xsd:double',
            'taxRate2' => 'xsd:double',
        },
    
        InvoiceItemCostList => {
            'itemCost' => 'sales_2013_2.transactions:InvoiceItemCost',
        },
    
        InvoiceExpCost => {
            'apply' => 'xsd:boolean',
            'doc' => 'xsd:long',
            'line' => 'xsd:long',
            'billedDate' => 'xsd:dateTime',
            'jobDisp' => 'xsd:string',
            'employeeDisp' => 'xsd:string',
            'categoryDisp' => 'xsd:string',
            'memo' => 'xsd:string',
            'department' => 'xsd:string',
            'class' => 'xsd:string',
            'location' => 'xsd:string',
            'originalAmount' => 'xsd:double',
            'amount' => 'xsd:double',
            'taxableDisp' => 'xsd:string',
            'revRecSchedule' => 'core_2013_2.platform:RecordRef',
            'revRecStartDate' => 'xsd:dateTime',
            'revRecEndDate' => 'xsd:dateTime',
            'grossAmt' => 'xsd:double',
            'tax1Amt' => 'xsd:double',
            'taxCode' => 'core_2013_2.platform:RecordRef',
            'taxRate1' => 'xsd:double',
            'taxRate2' => 'xsd:double',
        },
    
        InvoiceExpCostList => {
            'expCost' => 'sales_2013_2.transactions:InvoiceExpCost',
        },
    
        InvoiceTime => {
            'apply' => 'xsd:boolean',
            'doc' => 'xsd:long',
            'line' => 'xsd:long',
            'billedDate' => 'xsd:dateTime',
            'employeeDisp' => 'xsd:string',
            'itemDisp' => 'xsd:string',
            'jobDisp' => 'xsd:string',
            'department' => 'xsd:string',
            'class' => 'xsd:string',
            'location' => 'xsd:string',
            'quantity' => 'xsd:string',
            'rate' => 'xsd:double',
            'unitDisp' => 'xsd:string',
            'amount' => 'xsd:double',
            'memo' => 'xsd:string',
            'revRecSchedule' => 'core_2013_2.platform:RecordRef',
            'revRecStartDate' => 'xsd:dateTime',
            'revRecEndDate' => 'xsd:dateTime',
            'grossAmt' => 'xsd:double',
            'tax1Amt' => 'xsd:double',
            'taxCode' => 'core_2013_2.platform:RecordRef',
            'taxRate1' => 'xsd:double',
            'taxRate2' => 'xsd:double',
        },
    
        InvoiceTimeList => {
            'time' => 'sales_2013_2.transactions:InvoiceTime',
        },
    
        InvoicePartnersList => {
            'partners' => 'common_2013_2.platform:Partners',
        },
    
        InvoiceShipGroupList => {
            'shipGroup' => 'sales_2013_2.transactions:TransactionShipGroup',
        },
    
        CashSale => {
            'createdDate' => 'xsd:dateTime',
            'lastModifiedDate' => 'xsd:dateTime',
            'customForm' => 'core_2013_2.platform:RecordRef',
            'entity' => 'core_2013_2.platform:RecordRef',
            'tranDate' => 'xsd:dateTime',
            'tranId' => 'xsd:string',
            'source' => 'xsd:string',
            'postingPeriod' => 'core_2013_2.platform:RecordRef',
            'createdFrom' => 'core_2013_2.platform:RecordRef',
            'opportunity' => 'core_2013_2.platform:RecordRef',
            'department' => 'core_2013_2.platform:RecordRef',
            'class' => 'core_2013_2.platform:RecordRef',
            'location' => 'core_2013_2.platform:RecordRef',
            'subsidiary' => 'core_2013_2.platform:RecordRef',
            'salesRep' => 'core_2013_2.platform:RecordRef',
            'contribPct' => 'xsd:string',
            'partner' => 'core_2013_2.platform:RecordRef',
            'leadSource' => 'core_2013_2.platform:RecordRef',
            'startDate' => 'xsd:dateTime',
            'endDate' => 'xsd:dateTime',
            'otherRefNum' => 'xsd:string',
            'memo' => 'xsd:string',
            'salesEffectiveDate' => 'xsd:dateTime',
            'excludeCommission' => 'xsd:boolean',
            'revRecSchedule' => 'core_2013_2.platform:RecordRef',
            'undepFunds' => 'xsd:boolean',
            'currency' => 'core_2013_2.platform:RecordRef',
            'account' => 'core_2013_2.platform:RecordRef',
            'revRecStartDate' => 'xsd:dateTime',
            'revRecEndDate' => 'xsd:dateTime',
            'totalCostEstimate' => 'xsd:double',
            'estGrossProfit' => 'xsd:double',
            'estGrossProfitPercent' => 'xsd:double',
            'exchangeRate' => 'xsd:double',
            'currencyName' => 'xsd:string',
            'promoCode' => 'core_2013_2.platform:RecordRef',
            'discountItem' => 'core_2013_2.platform:RecordRef',
            'discountRate' => 'xsd:string',
            'isTaxable' => 'xsd:boolean',
            'taxItem' => 'core_2013_2.platform:RecordRef',
            'taxRate' => 'xsd:double',
            'toBePrinted' => 'xsd:boolean',
            'toBeEmailed' => 'xsd:boolean',
            'toBeFaxed' => 'xsd:boolean',
            'fax' => 'xsd:string',
            'messageSel' => 'core_2013_2.platform:RecordRef',
            'message' => 'xsd:string',
            'transactionBillAddress' => 'common_2013_2.platform:BillAddress',
            'billAddressList' => 'core_2013_2.platform:RecordRef',
            'billAddress' => 'xsd:string',
            'transactionShipAddress' => 'common_2013_2.platform:ShipAddress',
            'shipAddressList' => 'core_2013_2.platform:RecordRef',
            'shipAddress' => 'xsd:string',
            'fob' => 'xsd:string',
            'shipDate' => 'xsd:dateTime',
            'shipMethod' => 'core_2013_2.platform:RecordRef',
            'shippingCost' => 'xsd:double',
            'shippingTax1Rate' => 'xsd:double',
            'shippingTax2Rate' => 'xsd:string',
            'shippingTaxCode' => 'core_2013_2.platform:RecordRef',
            'handlingTaxCode' => 'core_2013_2.platform:RecordRef',
            'handlingTax1Rate' => 'xsd:double',
            'handlingCost' => 'xsd:double',
            'handlingTax2Rate' => 'xsd:string',
            'linkedTrackingNumbers' => 'xsd:string',
            'trackingNumbers' => 'xsd:string',
            'salesGroup' => 'core_2013_2.platform:RecordRef',
            'revenueStatus' => 'common_2013_2.platformTypes:RevenueStatus',
            'recognizedRevenue' => 'xsd:double',
            'deferredRevenue' => 'xsd:double',
            'revRecOnRevCommitment' => 'xsd:boolean',
            'syncSalesTeams' => 'xsd:boolean',
            'paymentMethod' => 'core_2013_2.platform:RecordRef',
            'payPalStatus' => 'xsd:string',
            'creditCard' => 'core_2013_2.platform:RecordRef',
            'ccNumber' => 'xsd:string',
            'ccExpireDate' => 'xsd:dateTime',
            'ccName' => 'xsd:string',
            'ccStreet' => 'xsd:string',
            'ccZipCode' => 'xsd:string',
            'creditCardProcessor' => 'core_2013_2.platform:RecordRef',
            'ccApproved' => 'xsd:boolean',
            'authCode' => 'xsd:string',
            'ccAvsStreetMatch' => 'common_2013_2.platformTypes:AvsMatchCode',
            'ccAvsZipMatch' => 'common_2013_2.platformTypes:AvsMatchCode',
            'payPalTranId' => 'xsd:string',
            'subTotal' => 'xsd:double',
            'ccIsPurchaseCardBin' => 'xsd:boolean',
            'ignoreAvs' => 'xsd:boolean',
            'ccProcessAsPurchaseCard' => 'xsd:boolean',
            'itemCostDiscount' => 'core_2013_2.platform:RecordRef',
            'itemCostDiscRate' => 'xsd:string',
            'itemCostDiscAmount' => 'xsd:double',
            'itemCostTaxRate1' => 'xsd:double',
            'itemCostTaxRate2' => 'xsd:double',
            'itemCostDiscTaxable' => 'xsd:boolean',
            'itemCostTaxCode' => 'core_2013_2.platform:RecordRef',
            'itemCostDiscTax1Amt' => 'xsd:double',
            'itemCostDiscPrint' => 'xsd:boolean',
            'expCostDiscount' => 'core_2013_2.platform:RecordRef',
            'expCostDiscRate' => 'xsd:string',
            'expCostDiscAmount' => 'xsd:double',
            'expCostDiscTaxable' => 'xsd:boolean',
            'expCostDiscprint' => 'xsd:boolean',
            'expCostTaxRate1' => 'xsd:double',
            'timeDiscount' => 'core_2013_2.platform:RecordRef',
            'expCostTaxCode' => 'core_2013_2.platform:RecordRef',
            'timeDiscRate' => 'xsd:string',
            'expCostTaxRate2' => 'xsd:double',
            'expCostDiscTax1Amt' => 'xsd:double',
            'timeDiscAmount' => 'xsd:double',
            'timeDiscTaxable' => 'xsd:boolean',
            'timeDiscPrint' => 'xsd:boolean',
            'discountTotal' => 'xsd:double',
            'taxTotal' => 'xsd:double',
            'timeTaxRate1' => 'xsd:double',
            'altShippingCost' => 'xsd:double',
            'timeTaxCode' => 'core_2013_2.platform:RecordRef',
            'altHandlingCost' => 'xsd:double',
            'total' => 'xsd:double',
            'timeDiscTax1Amt' => 'xsd:double',
            'ccSecurityCode' => 'xsd:string',
            'timeTaxRate2' => 'xsd:double',
            'ccSecurityCodeMatch' => 'common_2013_2.platformTypes:AvsMatchCode',
            'chargeIt' => 'xsd:boolean',
            'debitCardIssueNo' => 'xsd:string',
            'threeDStatusCode' => 'xsd:string',
            'pnRefNum' => 'xsd:string',
            'paypalAuthId' => 'xsd:string',
            'status' => 'xsd:string',
            'paypalProcess' => 'xsd:boolean',
            'job' => 'core_2013_2.platform:RecordRef',
            'billingSchedule' => 'core_2013_2.platform:RecordRef',
            'email' => 'xsd:string',
            'tax2Total' => 'xsd:double',
            'validFrom' => 'xsd:dateTime',
            'vatRegNum' => 'xsd:string',
            'giftCertApplied' => 'xsd:double',
            'tranIsVsoeBundle' => 'xsd:boolean',
            'vsoeAutoCalc' => 'xsd:boolean',
            'syncPartnerTeams' => 'xsd:boolean',
            'salesTeamList' => 'sales_2013_2.transactions:CashSaleSalesTeamList',
            'partnersList' => 'sales_2013_2.transactions:CashSalePartnersList',
            'itemList' => 'sales_2013_2.transactions:CashSaleItemList',
            'itemCostList' => 'sales_2013_2.transactions:CashSaleItemCostList',
            'giftCertRedemptionList' => 'sales_2013_2.transactions:GiftCertRedemptionList',
            'expCostList' => 'sales_2013_2.transactions:CashSaleExpCostList',
            'timeList' => 'sales_2013_2.transactions:CashSaleTimeList',
            'shipGroupList' => 'sales_2013_2.transactions:CashSaleShipGroupList',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        CashSaleSalesTeam => {
            'employee' => 'core_2013_2.platform:RecordRef',
            'salesRole' => 'core_2013_2.platform:RecordRef',
            'isPrimary' => 'xsd:boolean',
            'contribution' => 'xsd:double',
        },
    
        CashSaleSalesTeamList => {
            'salesTeam' => 'sales_2013_2.transactions:CashSaleSalesTeam',
        },
    
        CashSaleItem => {
            'job' => 'core_2013_2.platform:RecordRef',
            'item' => 'core_2013_2.platform:RecordRef',
            'line' => 'xsd:long',
            'quantityAvailable' => 'xsd:double',
            'quantityOnHand' => 'xsd:double',
            'quantityFulfilled' => 'xsd:double',
            'quantity' => 'xsd:double',
            'units' => 'core_2013_2.platform:RecordRef',
            'inventoryDetail' => 'common_2013_2.platform:InventoryDetail',
            'serialNumbers' => 'xsd:string',
            'binNumbers' => 'xsd:string',
            'description' => 'xsd:string',
            'price' => 'core_2013_2.platform:RecordRef',
            'rate' => 'xsd:string',
            'amount' => 'xsd:double',
            'orderLine' => 'xsd:long',
            'licenseCode' => 'xsd:string',
            'isTaxable' => 'xsd:boolean',
            'options' => 'core_2013_2.platform:CustomFieldList',
            'deferRevRec' => 'xsd:boolean',
            'currentPercent' => 'xsd:double',
            'department' => 'core_2013_2.platform:RecordRef',
            'percentComplete' => 'xsd:double',
            'class' => 'core_2013_2.platform:RecordRef',
            'location' => 'core_2013_2.platform:RecordRef',
            'revRecSchedule' => 'core_2013_2.platform:RecordRef',
            'revRecStartDate' => 'xsd:dateTime',
            'revRecEndDate' => 'xsd:dateTime',
            'grossAmt' => 'xsd:double',
            'costEstimateType' => 'common_2013_2.platformTypes:ItemCostEstimateType',
            'costEstimate' => 'xsd:double',
            'amountOrdered' => 'xsd:double',
            'tax1Amt' => 'xsd:double',
            'quantityOrdered' => 'xsd:double',
            'quantityRemaining' => 'xsd:double',
            'taxCode' => 'core_2013_2.platform:RecordRef',
            'taxRate1' => 'xsd:double',
            'taxRate2' => 'xsd:double',
            'giftCertFrom' => 'xsd:string',
            'giftCertRecipientName' => 'xsd:string',
            'giftCertRecipientEmail' => 'xsd:string',
            'giftCertMessage' => 'xsd:string',
            'giftCertNumber' => 'xsd:string',
            'shipGroup' => 'xsd:long',
            'itemIsFulfilled' => 'xsd:boolean',
            'shipAddress' => 'core_2013_2.platform:RecordRef',
            'shipMethod' => 'core_2013_2.platform:RecordRef',
            'vsoeSopGroup' => 'common_2013_2.platformTypes:VsoeSopGroup',
            'vsoeIsEstimate' => 'xsd:boolean',
            'vsoePrice' => 'xsd:double',
            'vsoeAmount' => 'xsd:double',
            'vsoeAllocation' => 'xsd:double',
            'vsoeDeferral' => 'common_2013_2.platformTypes:VsoeDeferral',
            'vsoePermitDiscount' => 'common_2013_2.platformTypes:VsoePermitDiscount',
            'vsoeDelivered' => 'xsd:boolean',
            'chargeType' => 'common_2013_2.platformTypes:ChargeRuleType',
            'chargesList' => 'core_2013_2.platform:RecordRefList',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        CashSaleItemList => {
            'item' => 'sales_2013_2.transactions:CashSaleItem',
        },
    
        CashSaleItemCost => {
            'apply' => 'xsd:boolean',
            'doc' => 'xsd:long',
            'line' => 'xsd:long',
            'billedDate' => 'xsd:dateTime',
            'itemDisp' => 'xsd:string',
            'memo' => 'xsd:string',
            'jobDisp' => 'xsd:string',
            'department' => 'xsd:string',
            'class' => 'xsd:string',
            'location' => 'xsd:string',
            'unitDisp' => 'xsd:string',
            'options' => 'core_2013_2.platform:CustomFieldList',
            'itemCostCount' => 'xsd:string',
            'quantity' => 'xsd:string',
            'serialNumbers' => 'xsd:string',
            'cost' => 'xsd:double',
            'amount' => 'xsd:double',
            'revRecSchedule' => 'core_2013_2.platform:RecordRef',
            'revRecStartDate' => 'xsd:dateTime',
            'revRecEndDate' => 'xsd:dateTime',
            'grossAmt' => 'xsd:double',
            'tax1Amt' => 'xsd:double',
            'taxCode' => 'core_2013_2.platform:RecordRef',
            'taxRate1' => 'xsd:double',
            'taxRate2' => 'xsd:double',
        },
    
        CashSaleItemCostList => {
            'itemCost' => 'sales_2013_2.transactions:CashSaleItemCost',
        },
    
        CashSaleExpCost => {
            'apply' => 'xsd:boolean',
            'doc' => 'xsd:long',
            'line' => 'xsd:long',
            'billedDate' => 'xsd:dateTime',
            'jobDisp' => 'xsd:string',
            'employeeDisp' => 'xsd:string',
            'categoryDisp' => 'xsd:string',
            'memo' => 'xsd:string',
            'department' => 'xsd:string',
            'class' => 'xsd:string',
            'location' => 'xsd:string',
            'originalAmount' => 'xsd:double',
            'amount' => 'xsd:double',
            'taxableDisp' => 'xsd:string',
            'revRecSchedule' => 'core_2013_2.platform:RecordRef',
            'revRecStartDate' => 'xsd:dateTime',
            'revRecEndDate' => 'xsd:dateTime',
            'grossAmt' => 'xsd:double',
            'tax1Amt' => 'xsd:double',
            'taxCode' => 'core_2013_2.platform:RecordRef',
            'taxRate1' => 'xsd:double',
            'taxRate2' => 'xsd:double',
        },
    
        CashSaleExpCostList => {
            'expCost' => 'sales_2013_2.transactions:CashSaleExpCost',
        },
    
        CashSaleTime => {
            'apply' => 'xsd:boolean',
            'doc' => 'xsd:long',
            'line' => 'xsd:long',
            'billedDate' => 'xsd:dateTime',
            'employeeDisp' => 'xsd:string',
            'itemDisp' => 'xsd:string',
            'jobDisp' => 'xsd:string',
            'department' => 'xsd:string',
            'class' => 'xsd:string',
            'location' => 'xsd:string',
            'quantity' => 'xsd:string',
            'rate' => 'xsd:double',
            'unitDisp' => 'xsd:string',
            'amount' => 'xsd:double',
            'memo' => 'xsd:string',
            'revRecSchedule' => 'core_2013_2.platform:RecordRef',
            'revRecStartDate' => 'xsd:dateTime',
            'revRecEndDate' => 'xsd:dateTime',
            'grossAmt' => 'xsd:double',
            'tax1Amt' => 'xsd:double',
            'taxCode' => 'core_2013_2.platform:RecordRef',
            'taxRate1' => 'xsd:double',
            'taxRate2' => 'xsd:double',
        },
    
        CashSaleTimeList => {
            'time' => 'sales_2013_2.transactions:CashSaleTime',
        },
    
        CashSalePartnersList => {
            'partners' => 'common_2013_2.platform:Partners',
        },
    
        CashSaleShipGroupList => {
            'shipGroup' => 'sales_2013_2.transactions:TransactionShipGroup',
        },
    
        Estimate => {
            'createdDate' => 'xsd:dateTime',
            'lastModifiedDate' => 'xsd:dateTime',
            'entity' => 'core_2013_2.platform:RecordRef',
            'job' => 'core_2013_2.platform:RecordRef',
            'tranDate' => 'xsd:dateTime',
            'tranId' => 'xsd:string',
            'source' => 'xsd:string',
            'customForm' => 'core_2013_2.platform:RecordRef',
            'currency' => 'core_2013_2.platform:RecordRef',
            'title' => 'xsd:string',
            'entityStatus' => 'core_2013_2.platform:RecordRef',
            'probability' => 'xsd:double',
            'includeInForecast' => 'xsd:boolean',
            'forecastType' => 'core_2013_2.platform:RecordRef',
            'opportunity' => 'core_2013_2.platform:RecordRef',
            'department' => 'core_2013_2.platform:RecordRef',
            'class' => 'core_2013_2.platform:RecordRef',
            'terms' => 'core_2013_2.platform:RecordRef',
            'dueDate' => 'xsd:dateTime',
            'location' => 'core_2013_2.platform:RecordRef',
            'subsidiary' => 'core_2013_2.platform:RecordRef',
            'billingSchedule' => 'core_2013_2.platform:RecordRef',
            'status' => 'xsd:string',
            'salesRep' => 'core_2013_2.platform:RecordRef',
            'partner' => 'core_2013_2.platform:RecordRef',
            'contribPct' => 'xsd:string',
            'leadSource' => 'core_2013_2.platform:RecordRef',
            'expectedCloseDate' => 'xsd:dateTime',
            'otherRefNum' => 'xsd:string',
            'memo' => 'xsd:string',
            'endDate' => 'xsd:dateTime',
            'startDate' => 'xsd:dateTime',
            'totalCostEstimate' => 'xsd:double',
            'estGrossProfit' => 'xsd:double',
            'estGrossProfitPercent' => 'xsd:double',
            'createdFrom' => 'core_2013_2.platform:RecordRef',
            'exchangeRate' => 'xsd:double',
            'currencyName' => 'xsd:string',
            'promoCode' => 'core_2013_2.platform:RecordRef',
            'discountItem' => 'core_2013_2.platform:RecordRef',
            'discountRate' => 'xsd:string',
            'isTaxable' => 'xsd:boolean',
            'taxItem' => 'core_2013_2.platform:RecordRef',
            'taxRate' => 'xsd:double',
            'vatRegNum' => 'xsd:string',
            'toBePrinted' => 'xsd:boolean',
            'toBeEmailed' => 'xsd:boolean',
            'email' => 'xsd:string',
            'toBeFaxed' => 'xsd:boolean',
            'fax' => 'xsd:string',
            'visibleToCustomer' => 'xsd:boolean',
            'messageSel' => 'core_2013_2.platform:RecordRef',
            'message' => 'xsd:string',
            'transactionBillAddress' => 'common_2013_2.platform:BillAddress',
            'billAddressList' => 'core_2013_2.platform:RecordRef',
            'billAddress' => 'xsd:string',
            'transactionShipAddress' => 'common_2013_2.platform:ShipAddress',
            'shipAddressList' => 'core_2013_2.platform:RecordRef',
            'shipAddress' => 'xsd:string',
            'fob' => 'xsd:string',
            'shipDate' => 'xsd:dateTime',
            'shipMethod' => 'core_2013_2.platform:RecordRef',
            'shippingCost' => 'xsd:double',
            'shippingTax1Rate' => 'xsd:double',
            'shippingTaxCode' => 'core_2013_2.platform:RecordRef',
            'shippingTax2Rate' => 'xsd:string',
            'handlingTaxCode' => 'core_2013_2.platform:RecordRef',
            'handlingTax1Rate' => 'xsd:double',
            'handlingCost' => 'xsd:double',
            'trackingNumbers' => 'xsd:string',
            'handlingTax2Rate' => 'xsd:string',
            'linkedTrackingNumbers' => 'xsd:string',
            'salesGroup' => 'core_2013_2.platform:RecordRef',
            'syncSalesTeams' => 'xsd:boolean',
            'altSalesTotal' => 'xsd:double',
            'subTotal' => 'xsd:double',
            'discountTotal' => 'xsd:double',
            'taxTotal' => 'xsd:double',
            'altShippingCost' => 'xsd:double',
            'altHandlingCost' => 'xsd:double',
            'total' => 'xsd:double',
            'tax2Total' => 'xsd:double',
            'itemList' => 'sales_2013_2.transactions:EstimateItemList',
            'salesTeamList' => 'sales_2013_2.transactions:EstimateSalesTeamList',
            'syncPartnerTeams' => 'xsd:boolean',
            'partnersList' => 'sales_2013_2.transactions:EstimatePartnersList',
            'shipGroupList' => 'sales_2013_2.transactions:EstimateShipGroupList',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        EstimateItem => {
            'job' => 'core_2013_2.platform:RecordRef',
            'item' => 'core_2013_2.platform:RecordRef',
            'line' => 'xsd:long',
            'quantityAvailable' => 'xsd:double',
            'quantityOnHand' => 'xsd:double',
            'quantity' => 'xsd:double',
            'units' => 'core_2013_2.platform:RecordRef',
            'description' => 'xsd:string',
            'serialNumbers' => 'xsd:string',
            'price' => 'core_2013_2.platform:RecordRef',
            'rate' => 'xsd:string',
            'amount' => 'xsd:double',
            'options' => 'core_2013_2.platform:CustomFieldList',
            'revRecTermInMonths' => 'xsd:long',
            'department' => 'core_2013_2.platform:RecordRef',
            'class' => 'core_2013_2.platform:RecordRef',
            'location' => 'core_2013_2.platform:RecordRef',
            'isTaxable' => 'xsd:boolean',
            'altSalesAmt' => 'xsd:double',
            'fromJob' => 'xsd:boolean',
            'grossAmt' => 'xsd:double',
            'isEstimate' => 'xsd:boolean',
            'tax1Amt' => 'xsd:double',
            'taxCode' => 'core_2013_2.platform:RecordRef',
            'costEstimateType' => 'common_2013_2.platformTypes:ItemCostEstimateType',
            'costEstimate' => 'xsd:double',
            'taxRate1' => 'xsd:double',
            'taxRate2' => 'xsd:double',
            'shipGroup' => 'xsd:long',
            'itemIsFulfilled' => 'xsd:boolean',
            'shipAddress' => 'core_2013_2.platform:RecordRef',
            'shipMethod' => 'core_2013_2.platform:RecordRef',
            'expectedShipDate' => 'xsd:dateTime',
            'chargeType' => 'common_2013_2.platformTypes:ChargeRuleType',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        EstimateItemList => {
            'item' => 'sales_2013_2.transactions:EstimateItem',
        },
    
        EstimateSalesTeam => {
            'employee' => 'core_2013_2.platform:RecordRef',
            'salesRole' => 'core_2013_2.platform:RecordRef',
            'isPrimary' => 'xsd:boolean',
            'contribution' => 'xsd:double',
        },
    
        EstimateSalesTeamList => {
            'salesTeam' => 'sales_2013_2.transactions:EstimateSalesTeam',
        },
    
        EstimatePartnersList => {
            'partners' => 'common_2013_2.platform:Partners',
        },
    
        EstimateShipGroupList => {
            'shipGroup' => 'sales_2013_2.transactions:TransactionShipGroup',
        },
    
        GiftCertRedemption => {
            'authCode' => 'core_2013_2.platform:RecordRef',
            'authCodeApplied' => 'xsd:double',
            'authCodeAmtRemaining' => 'xsd:double',
            'giftCertAvailable' => 'xsd:double',
        },
    
        GiftCertRedemptionList => {
            'giftCertRedemption' => 'sales_2013_2.transactions:GiftCertRedemption',
        },
    
        TransactionShipGroup => {
            'id' => 'xsd:long',
            'isFulfilled' => 'xsd:boolean',
            'weight' => 'xsd:double',
            'sourceAddressRef' => 'core_2013_2.platform:RecordRef',
            'sourceAddress' => 'xsd:string',
            'destinationAddressRef' => 'core_2013_2.platform:RecordRef',
            'destinationAddress' => 'xsd:string',
            'shippingMethodRef' => 'core_2013_2.platform:RecordRef',
            'shippingMethod' => 'xsd:string',
            'isHandlingTaxable' => 'xsd:boolean',
            'handlingTaxCode' => 'core_2013_2.platform:RecordRef',
            'handlingTaxRate' => 'xsd:string',
            'handlingTax2Rate' => 'xsd:string',
            'handlingRate' => 'xsd:double',
            'handlingTaxAmt' => 'xsd:double',
            'handlingTax2Amt' => 'xsd:double',
            'isShippingTaxable' => 'xsd:boolean',
            'shippingTaxCode' => 'core_2013_2.platform:RecordRef',
            'shippingTaxRate' => 'xsd:string',
            'shippingTax2Rate' => 'xsd:string',
            'shippingRate' => 'xsd:double',
            'shippingTaxAmt' => 'xsd:double',
            'shippingTax2Amt' => 'xsd:double',
        },
    
        PurchLandedCostList => {
            'landedCost' => 'common_2013_2.platform:LandedCostSummary',
        },
    
        VendorBill => {
            'createdDate' => 'xsd:dateTime',
            'lastModifiedDate' => 'xsd:dateTime',
            'customForm' => 'core_2013_2.platform:RecordRef',
            'account' => 'core_2013_2.platform:RecordRef',
            'entity' => 'core_2013_2.platform:RecordRef',
            'subsidiary' => 'core_2013_2.platform:RecordRef',
            'approvalStatus' => 'core_2013_2.platform:RecordRef',
            'nextApprover' => 'core_2013_2.platform:RecordRef',
            'vatRegNum' => 'xsd:string',
            'postingPeriod' => 'core_2013_2.platform:RecordRef',
            'tranDate' => 'xsd:dateTime',
            'currencyName' => 'xsd:string',
            'exchangeRate' => 'xsd:double',
            'terms' => 'core_2013_2.platform:RecordRef',
            'dueDate' => 'xsd:dateTime',
            'discountDate' => 'xsd:dateTime',
            'tranId' => 'xsd:string',
            'userTotal' => 'xsd:double',
            'discountAmount' => 'xsd:double',
            'taxTotal' => 'xsd:double',
            'memo' => 'xsd:string',
            'tax2Total' => 'xsd:double',
            'creditLimit' => 'xsd:double',
            'currency' => 'core_2013_2.platform:RecordRef',
            'class' => 'core_2013_2.platform:RecordRef',
            'department' => 'core_2013_2.platform:RecordRef',
            'location' => 'core_2013_2.platform:RecordRef',
            'status' => 'xsd:string',
            'landedCostMethod' => 'common_2013_2.platformTypes:LandedCostMethod',
            'landedCostPerLine' => 'xsd:boolean',
            'expenseList' => 'purchases_2013_2.transactions:VendorBillExpenseList',
            'itemList' => 'purchases_2013_2.transactions:VendorBillItemList',
            'landedCostsList' => 'purchases_2013_2.transactions:PurchLandedCostList',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
            'purchaseOrderList' => 'core_2013_2.platform:RecordRefList',
        },
    
        VendorBillExpense => {
            'orderDoc' => 'xsd:long',
            'orderLine' => 'xsd:long',
            'line' => 'xsd:long',
            'category' => 'core_2013_2.platform:RecordRef',
            'account' => 'core_2013_2.platform:RecordRef',
            'amount' => 'xsd:double',
            'tax1Amt' => 'xsd:double',
            'memo' => 'xsd:string',
            'grossAmt' => 'xsd:double',
            'department' => 'core_2013_2.platform:RecordRef',
            'class' => 'core_2013_2.platform:RecordRef',
            'location' => 'core_2013_2.platform:RecordRef',
            'customer' => 'core_2013_2.platform:RecordRef',
            'isBillable' => 'xsd:boolean',
            'taxCode' => 'core_2013_2.platform:RecordRef',
            'taxRate1' => 'xsd:double',
            'taxRate2' => 'xsd:double',
            'amortizationSched' => 'core_2013_2.platform:RecordRef',
            'amortizStartDate' => 'xsd:dateTime',
            'amortizationEndDate' => 'xsd:dateTime',
            'amortizationResidual' => 'xsd:string',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        VendorBillExpenseList => {
            'expense' => 'purchases_2013_2.transactions:VendorBillExpense',
        },
    
        VendorBillItem => {
            'item' => 'core_2013_2.platform:RecordRef',
            'vendorName' => 'xsd:string',
            'line' => 'xsd:long',
            'orderDoc' => 'xsd:long',
            'orderLine' => 'xsd:long',
            'quantity' => 'xsd:double',
            'units' => 'core_2013_2.platform:RecordRef',
            'inventoryDetail' => 'common_2013_2.platform:InventoryDetail',
            'description' => 'xsd:string',
            'serialNumbers' => 'xsd:string',
            'binNumbers' => 'xsd:string',
            'expirationDate' => 'xsd:dateTime',
            'taxCode' => 'core_2013_2.platform:RecordRef',
            'taxRate1' => 'xsd:double',
            'taxRate2' => 'xsd:double',
            'grossAmt' => 'xsd:double',
            'tax1Amt' => 'xsd:double',
            'rate' => 'xsd:string',
            'amount' => 'xsd:double',
            'options' => 'core_2013_2.platform:CustomFieldList',
            'department' => 'core_2013_2.platform:RecordRef',
            'class' => 'core_2013_2.platform:RecordRef',
            'location' => 'core_2013_2.platform:RecordRef',
            'customer' => 'core_2013_2.platform:RecordRef',
            'landedCostCategory' => 'core_2013_2.platform:RecordRef',
            'isBillable' => 'xsd:boolean',
            'billVarianceStatus' => 'purchases_2013_2.transactionsTypes:TransactionBillVarianceStatus',
            'billreceiptsList' => 'core_2013_2.platform:RecordRefList',
            'amortizationSched' => 'core_2013_2.platform:RecordRef',
            'amortizStartDate' => 'xsd:dateTime',
            'amortizationEndDate' => 'xsd:dateTime',
            'amortizationResidual' => 'xsd:string',
            'landedCost' => 'common_2013_2.platform:LandedCost',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        VendorBillItemList => {
            'item' => 'purchases_2013_2.transactions:VendorBillItem',
        },
    
        PurchaseOrder => {
            'createdDate' => 'xsd:dateTime',
            'lastModifiedDate' => 'xsd:dateTime',
            'customForm' => 'core_2013_2.platform:RecordRef',
            'entity' => 'core_2013_2.platform:RecordRef',
            'vatRegNum' => 'xsd:string',
            'employee' => 'core_2013_2.platform:RecordRef',
            'supervisorApproval' => 'xsd:boolean',
            'tranDate' => 'xsd:dateTime',
            'tranId' => 'xsd:string',
            'createdFrom' => 'core_2013_2.platform:RecordRef',
            'terms' => 'core_2013_2.platform:RecordRef',
            'dueDate' => 'xsd:dateTime',
            'otherRefNum' => 'xsd:string',
            'memo' => 'xsd:string',
            'approvalStatus' => 'core_2013_2.platform:RecordRef',
            'exchangeRate' => 'xsd:double',
            'nextApprover' => 'core_2013_2.platform:RecordRef',
            'source' => 'xsd:string',
            'currencyName' => 'xsd:string',
            'toBePrinted' => 'xsd:boolean',
            'toBeEmailed' => 'xsd:boolean',
            'email' => 'xsd:string',
            'toBeFaxed' => 'xsd:boolean',
            'fax' => 'xsd:string',
            'message' => 'xsd:string',
            'transactionBillAddress' => 'common_2013_2.platform:BillAddress',
            'billAddressList' => 'core_2013_2.platform:RecordRef',
            'billAddress' => 'xsd:string',
            'currency' => 'core_2013_2.platform:RecordRef',
            'shipTo' => 'core_2013_2.platform:RecordRef',
            'subTotal' => 'xsd:double',
            'taxTotal' => 'xsd:double',
            'tax2Total' => 'xsd:double',
            'transactionShipAddress' => 'common_2013_2.platform:ShipAddress',
            'shipAddressList' => 'core_2013_2.platform:RecordRef',
            'shipAddress' => 'xsd:string',
            'fob' => 'xsd:string',
            'shipDate' => 'xsd:dateTime',
            'shipMethod' => 'core_2013_2.platform:RecordRef',
            'trackingNumbers' => 'xsd:string',
            'linkedTrackingNumbers' => 'xsd:string',
            'total' => 'xsd:double',
            'class' => 'core_2013_2.platform:RecordRef',
            'department' => 'core_2013_2.platform:RecordRef',
            'location' => 'core_2013_2.platform:RecordRef',
            'subsidiary' => 'core_2013_2.platform:RecordRef',
            'intercoTransaction' => 'core_2013_2.platform:RecordRef',
            'intercoStatus' => 'common_2013_2.platformTypes:IntercoStatus',
            'status' => 'xsd:string',
            'orderStatus' => 'purchases_2013_2.transactionsTypes:PurchaseOrderOrderStatus',
            'itemList' => 'purchases_2013_2.transactions:PurchaseOrderItemList',
            'expenseList' => 'purchases_2013_2.transactions:PurchaseOrderExpenseList',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        PurchaseOrderExpense => {
            'line' => 'xsd:long',
            'category' => 'core_2013_2.platform:RecordRef',
            'account' => 'core_2013_2.platform:RecordRef',
            'amount' => 'xsd:double',
            'memo' => 'xsd:string',
            'department' => 'core_2013_2.platform:RecordRef',
            'class' => 'core_2013_2.platform:RecordRef',
            'location' => 'core_2013_2.platform:RecordRef',
            'customer' => 'core_2013_2.platform:RecordRef',
            'isClosed' => 'xsd:boolean',
            'isBillable' => 'xsd:boolean',
            'taxCode' => 'core_2013_2.platform:RecordRef',
            'taxRate1' => 'xsd:double',
            'taxRate2' => 'xsd:double',
            'tax1Amt' => 'xsd:double',
            'grossAmt' => 'xsd:double',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        PurchaseOrderExpenseList => {
            'expense' => 'purchases_2013_2.transactions:PurchaseOrderExpense',
        },
    
        PurchaseOrderItem => {
            'item' => 'core_2013_2.platform:RecordRef',
            'line' => 'xsd:long',
            'vendorName' => 'xsd:string',
            'quantityReceived' => 'xsd:double',
            'quantityBilled' => 'xsd:double',
            'quantityAvailable' => 'xsd:double',
            'quantityOnHand' => 'xsd:double',
            'taxCode' => 'core_2013_2.platform:RecordRef',
            'taxRate1' => 'xsd:double',
            'taxRate2' => 'xsd:double',
            'quantity' => 'xsd:double',
            'tax1Amt' => 'xsd:double',
            'grossAmt' => 'xsd:double',
            'units' => 'core_2013_2.platform:RecordRef',
            'inventoryDetail' => 'common_2013_2.platform:InventoryDetail',
            'serialNumbers' => 'xsd:string',
            'description' => 'xsd:string',
            'rate' => 'xsd:string',
            'amount' => 'xsd:double',
            'options' => 'core_2013_2.platform:CustomFieldList',
            'department' => 'core_2013_2.platform:RecordRef',
            'class' => 'core_2013_2.platform:RecordRef',
            'location' => 'core_2013_2.platform:RecordRef',
            'landedCostCategory' => 'core_2013_2.platform:RecordRef',
            'customer' => 'core_2013_2.platform:RecordRef',
            'isBillable' => 'xsd:boolean',
            'billVarianceStatus' => 'purchases_2013_2.transactionsTypes:TransactionBillVarianceStatus',
            'matchBillToReceipt' => 'xsd:boolean',
            'expectedReceiptDate' => 'xsd:dateTime',
            'isClosed' => 'xsd:boolean',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        PurchaseOrderItemList => {
            'item' => 'purchases_2013_2.transactions:PurchaseOrderItem',
        },
    
        ItemReceipt => {
            'createdDate' => 'xsd:dateTime',
            'lastModifiedDate' => 'xsd:dateTime',
            'customForm' => 'core_2013_2.platform:RecordRef',
            'exchangeRate' => 'xsd:double',
            'entity' => 'core_2013_2.platform:RecordRef',
            'currencyName' => 'xsd:string',
            'subsidiary' => 'core_2013_2.platform:RecordRef',
            'createdFrom' => 'core_2013_2.platform:RecordRef',
            'tranDate' => 'xsd:dateTime',
            'partner' => 'core_2013_2.platform:RecordRef',
            'postingPeriod' => 'core_2013_2.platform:RecordRef',
            'tranId' => 'xsd:string',
            'memo' => 'xsd:string',
            'currency' => 'core_2013_2.platform:RecordRef',
            'landedCostMethod' => 'common_2013_2.platformTypes:LandedCostMethod',
            'landedCostPerLine' => 'xsd:boolean',
            'itemList' => 'purchases_2013_2.transactions:ItemReceiptItemList',
            'expenseList' => 'purchases_2013_2.transactions:ItemReceiptExpenseList',
            'landedCostsList' => 'purchases_2013_2.transactions:PurchLandedCostList',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        ItemReceiptItem => {
            'itemReceive' => 'xsd:boolean',
            'jobName' => 'xsd:string',
            'item' => 'core_2013_2.platform:RecordRef',
            'orderLine' => 'xsd:long',
            'line' => 'xsd:long',
            'itemName' => 'xsd:string',
            'description' => 'xsd:string',
            'location' => 'core_2013_2.platform:RecordRef',
            'onHand' => 'xsd:double',
            'quantityRemaining' => 'xsd:double',
            'quantity' => 'xsd:double',
            'unitsDisplay' => 'xsd:string',
            'unitCostOverride' => 'xsd:double',
            'inventoryDetail' => 'common_2013_2.platform:InventoryDetail',
            'serialNumbers' => 'xsd:string',
            'binNumbers' => 'xsd:string',
            'expirationDate' => 'xsd:dateTime',
            'rate' => 'xsd:string',
            'currency' => 'xsd:string',
            'restock' => 'xsd:boolean',
            'billVarianceStatus' => 'purchases_2013_2.transactionsTypes:TransactionBillVarianceStatus',
            'isDropShipment' => 'xsd:boolean',
            'options' => 'core_2013_2.platform:CustomFieldList',
            'landedCost' => 'common_2013_2.platform:LandedCost',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        ItemReceiptItemList => {
            'item' => 'purchases_2013_2.transactions:ItemReceiptItem',
        },
    
        ItemReceiptExpense => {
            'markReceived' => 'xsd:boolean',
            'orderLine' => 'xsd:long',
            'line' => 'xsd:long',
            'account' => 'xsd:string',
            'memo' => 'xsd:string',
            'amount' => 'xsd:double',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        ItemReceiptExpenseList => {
            'expense' => 'purchases_2013_2.transactions:ItemReceiptExpense',
        },
    
        VendorPayment => {
            'createdDate' => 'xsd:dateTime',
            'lastModifiedDate' => 'xsd:dateTime',
            'customForm' => 'core_2013_2.platform:RecordRef',
            'account' => 'core_2013_2.platform:RecordRef',
            'balance' => 'xsd:double',
            'apAcct' => 'core_2013_2.platform:RecordRef',
            'entity' => 'core_2013_2.platform:RecordRef',
            'address' => 'xsd:string',
            'tranDate' => 'xsd:dateTime',
            'voidJournal' => 'core_2013_2.platform:RecordRef',
            'postingPeriod' => 'core_2013_2.platform:RecordRef',
            'currencyName' => 'xsd:string',
            'exchangeRate' => 'xsd:double',
            'toAch' => 'xsd:boolean',
            'toBePrinted' => 'xsd:boolean',
            'printVoucher' => 'xsd:boolean',
            'tranId' => 'xsd:string',
            'total' => 'xsd:double',
            'currency' => 'core_2013_2.platform:RecordRef',
            'department' => 'core_2013_2.platform:RecordRef',
            'memo' => 'xsd:string',
            'subsidiary' => 'core_2013_2.platform:RecordRef',
            'class' => 'core_2013_2.platform:RecordRef',
            'location' => 'core_2013_2.platform:RecordRef',
            'status' => 'xsd:string',
            'applyList' => 'purchases_2013_2.transactions:VendorPaymentApplyList',
            'creditList' => 'purchases_2013_2.transactions:VendorPaymentCreditList',
            'billPay' => 'xsd:boolean',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        VendorPaymentApply => {
            'apply' => 'xsd:boolean',
            'doc' => 'xsd:long',
            'line' => 'xsd:long',
            'job' => 'xsd:string',
            'applyDate' => 'xsd:dateTime',
            'type' => 'xsd:string',
            'refNum' => 'xsd:string',
            'total' => 'xsd:double',
            'due' => 'xsd:double',
            'currency' => 'xsd:string',
            'discDate' => 'xsd:dateTime',
            'discAmt' => 'xsd:double',
            'disc' => 'xsd:double',
            'amount' => 'xsd:double',
        },
    
        VendorPaymentApplyList => {
            'apply' => 'purchases_2013_2.transactions:VendorPaymentApply',
        },
    
        VendorPaymentCredit => {
            'apply' => 'xsd:boolean',
            'doc' => 'xsd:long',
            'line' => 'xsd:long',
            'creditDate' => 'xsd:dateTime',
            'type' => 'xsd:string',
            'refNum' => 'xsd:string',
            'appliedTo' => 'xsd:string',
            'total' => 'xsd:double',
            'due' => 'xsd:double',
            'currency' => 'xsd:string',
            'amount' => 'xsd:double',
        },
    
        VendorPaymentCreditList => {
            'credit' => 'purchases_2013_2.transactions:VendorPaymentCredit',
        },
    
        VendorCredit => {
            'createdDate' => 'xsd:dateTime',
            'lastModifiedDate' => 'xsd:dateTime',
            'customForm' => 'core_2013_2.platform:RecordRef',
            'account' => 'core_2013_2.platform:RecordRef',
            'unApplied' => 'xsd:double',
            'autoApply' => 'xsd:boolean',
            'applied' => 'xsd:double',
            'tranId' => 'xsd:string',
            'createdFrom' => 'core_2013_2.platform:RecordRef',
            'entity' => 'core_2013_2.platform:RecordRef',
            'total' => 'xsd:double',
            'userTotal' => 'xsd:double',
            'currency' => 'core_2013_2.platform:RecordRef',
            'currencyName' => 'xsd:string',
            'tranDate' => 'xsd:dateTime',
            'exchangeRate' => 'xsd:double',
            'postingPeriod' => 'core_2013_2.platform:RecordRef',
            'memo' => 'xsd:string',
            'department' => 'core_2013_2.platform:RecordRef',
            'class' => 'core_2013_2.platform:RecordRef',
            'location' => 'core_2013_2.platform:RecordRef',
            'subsidiary' => 'core_2013_2.platform:RecordRef',
            'expenseList' => 'purchases_2013_2.transactions:VendorCreditExpenseList',
            'itemList' => 'purchases_2013_2.transactions:VendorCreditItemList',
            'applyList' => 'purchases_2013_2.transactions:VendorCreditApplyList',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        VendorCreditExpense => {
            'orderLine' => 'xsd:long',
            'line' => 'xsd:long',
            'category' => 'core_2013_2.platform:RecordRef',
            'account' => 'core_2013_2.platform:RecordRef',
            'amount' => 'xsd:double',
            'taxCode' => 'core_2013_2.platform:RecordRef',
            'taxRate1' => 'xsd:double',
            'taxRate2' => 'xsd:double',
            'tax1Amt' => 'xsd:double',
            'grossAmt' => 'xsd:double',
            'memo' => 'xsd:string',
            'department' => 'core_2013_2.platform:RecordRef',
            'class' => 'core_2013_2.platform:RecordRef',
            'location' => 'core_2013_2.platform:RecordRef',
            'customer' => 'core_2013_2.platform:RecordRef',
            'isBillable' => 'xsd:boolean',
            'amortizationSched' => 'core_2013_2.platform:RecordRef',
            'amortizStartDate' => 'xsd:dateTime',
            'amortizationEndDate' => 'xsd:dateTime',
            'amortizationResidual' => 'xsd:string',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        VendorCreditExpenseList => {
            'expense' => 'purchases_2013_2.transactions:VendorCreditExpense',
        },
    
        VendorCreditItem => {
            'item' => 'core_2013_2.platform:RecordRef',
            'vendorName' => 'xsd:string',
            'line' => 'xsd:long',
            'orderLine' => 'xsd:long',
            'quantity' => 'xsd:double',
            'units' => 'core_2013_2.platform:RecordRef',
            'inventoryDetail' => 'common_2013_2.platform:InventoryDetail',
            'serialNumbersList' => 'core_2013_2.platform:RecordRefList',
            'description' => 'xsd:string',
            'rate' => 'xsd:string',
            'amount' => 'xsd:double',
            'binNumbers' => 'xsd:string',
            'taxCode' => 'core_2013_2.platform:RecordRef',
            'taxRate1' => 'xsd:double',
            'taxRate2' => 'xsd:double',
            'grossAmt' => 'xsd:double',
            'tax1Amt' => 'xsd:double',
            'options' => 'core_2013_2.platform:CustomFieldList',
            'department' => 'core_2013_2.platform:RecordRef',
            'class' => 'core_2013_2.platform:RecordRef',
            'location' => 'core_2013_2.platform:RecordRef',
            'customer' => 'core_2013_2.platform:RecordRef',
            'isBillable' => 'xsd:boolean',
            'amortizationSched' => 'core_2013_2.platform:RecordRef',
            'amortizStartDate' => 'xsd:dateTime',
            'amortizationEndDate' => 'xsd:dateTime',
            'amortizationResidual' => 'xsd:string',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        VendorCreditItemList => {
            'item' => 'purchases_2013_2.transactions:VendorCreditItem',
        },
    
        VendorCreditApply => {
            'apply' => 'xsd:boolean',
            'applyDate' => 'xsd:dateTime',
            'doc' => 'xsd:long',
            'line' => 'xsd:long',
            'type' => 'xsd:string',
            'refNum' => 'xsd:string',
            'total' => 'xsd:double',
            'due' => 'xsd:double',
            'currency' => 'xsd:string',
            'amount' => 'xsd:double',
        },
    
        VendorCreditApplyList => {
            'apply' => 'purchases_2013_2.transactions:VendorCreditApply',
        },
    
        VendorReturnAuthorization => {
            'createdDate' => 'xsd:dateTime',
            'lastModifiedDate' => 'xsd:dateTime',
            'customForm' => 'core_2013_2.platform:RecordRef',
            'tranId' => 'xsd:string',
            'createdFrom' => 'core_2013_2.platform:RecordRef',
            'entity' => 'core_2013_2.platform:RecordRef',
            'orderStatus' => 'purchases_2013_2.transactionsTypes:VendorReturnAuthorizationOrderStatus',
            'tranDate' => 'xsd:dateTime',
            'userTotal' => 'xsd:double',
            'currency' => 'core_2013_2.platform:RecordRef',
            'currencyName' => 'xsd:string',
            'memo' => 'xsd:string',
            'exchangeRate' => 'xsd:double',
            'department' => 'core_2013_2.platform:RecordRef',
            'class' => 'core_2013_2.platform:RecordRef',
            'location' => 'core_2013_2.platform:RecordRef',
            'subsidiary' => 'core_2013_2.platform:RecordRef',
            'intercoTransaction' => 'core_2013_2.platform:RecordRef',
            'intercoStatus' => 'common_2013_2.platformTypes:IntercoStatus',
            'expenseList' => 'purchases_2013_2.transactions:VendorReturnAuthorizationExpenseList',
            'itemList' => 'purchases_2013_2.transactions:VendorReturnAuthorizationItemList',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        VendorReturnAuthorizationExpense => {
            'orderLine' => 'xsd:long',
            'line' => 'xsd:long',
            'category' => 'core_2013_2.platform:RecordRef',
            'account' => 'core_2013_2.platform:RecordRef',
            'amount' => 'xsd:double',
            'taxCode' => 'core_2013_2.platform:RecordRef',
            'taxRate1' => 'xsd:double',
            'taxRate2' => 'xsd:double',
            'tax1Amt' => 'xsd:double',
            'grossAmt' => 'xsd:double',
            'memo' => 'xsd:string',
            'department' => 'core_2013_2.platform:RecordRef',
            'class' => 'core_2013_2.platform:RecordRef',
            'location' => 'core_2013_2.platform:RecordRef',
            'customer' => 'core_2013_2.platform:RecordRef',
            'isBillable' => 'xsd:boolean',
            'amortizationSched' => 'core_2013_2.platform:RecordRef',
            'amortizStartDate' => 'xsd:dateTime',
            'amortizationEndDate' => 'xsd:dateTime',
            'amortizationResidual' => 'xsd:string',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        VendorReturnAuthorizationExpenseList => {
            'expense' => 'purchases_2013_2.transactions:VendorReturnAuthorizationExpense',
        },
    
        VendorReturnAuthorizationItem => {
            'item' => 'core_2013_2.platform:RecordRef',
            'vendorName' => 'xsd:string',
            'line' => 'xsd:long',
            'orderLine' => 'xsd:long',
            'quantity' => 'xsd:double',
            'units' => 'core_2013_2.platform:RecordRef',
            'inventoryDetail' => 'common_2013_2.platform:InventoryDetail',
            'serialNumbersList' => 'core_2013_2.platform:RecordRefList',
            'description' => 'xsd:string',
            'binNumbers' => 'xsd:string',
            'rate' => 'xsd:string',
            'amount' => 'xsd:double',
            'taxCode' => 'core_2013_2.platform:RecordRef',
            'taxRate1' => 'xsd:double',
            'taxRate2' => 'xsd:double',
            'grossAmt' => 'xsd:double',
            'tax1Amt' => 'xsd:double',
            'options' => 'core_2013_2.platform:CustomFieldList',
            'department' => 'core_2013_2.platform:RecordRef',
            'class' => 'core_2013_2.platform:RecordRef',
            'location' => 'core_2013_2.platform:RecordRef',
            'customer' => 'core_2013_2.platform:RecordRef',
            'isBillable' => 'xsd:boolean',
            'isClosed' => 'xsd:boolean',
            'amortizationSched' => 'core_2013_2.platform:RecordRef',
            'isDropShipment' => 'xsd:boolean',
            'amortizStartDate' => 'xsd:dateTime',
            'amortizationEndDate' => 'xsd:dateTime',
            'amortizationResidual' => 'xsd:string',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        VendorReturnAuthorizationItemList => {
            'item' => 'purchases_2013_2.transactions:VendorReturnAuthorizationItem',
        },
    
        CashRefund => {
            'createdDate' => 'xsd:dateTime',
            'lastModifiedDate' => 'xsd:dateTime',
            'customForm' => 'core_2013_2.platform:RecordRef',
            'entity' => 'core_2013_2.platform:RecordRef',
            'vatRegNum' => 'xsd:string',
            'tranDate' => 'xsd:dateTime',
            'tranId' => 'xsd:string',
            'source' => 'xsd:string',
            'createdFrom' => 'core_2013_2.platform:RecordRef',
            'postingPeriod' => 'core_2013_2.platform:RecordRef',
            'department' => 'core_2013_2.platform:RecordRef',
            'class' => 'core_2013_2.platform:RecordRef',
            'location' => 'core_2013_2.platform:RecordRef',
            'leadSource' => 'core_2013_2.platform:RecordRef',
            'subsidiary' => 'core_2013_2.platform:RecordRef',
            'salesRep' => 'core_2013_2.platform:RecordRef',
            'partner' => 'core_2013_2.platform:RecordRef',
            'contribPct' => 'xsd:string',
            'otherRefNum' => 'xsd:string',
            'memo' => 'xsd:string',
            'salesEffectiveDate' => 'xsd:dateTime',
            'refundCheck' => 'xsd:boolean',
            'toPrint2' => 'xsd:boolean',
            'excludeCommission' => 'xsd:boolean',
            'totalCostEstimate' => 'xsd:double',
            'estGrossProfit' => 'xsd:double',
            'estGrossProfitPercent' => 'xsd:double',
            'account' => 'core_2013_2.platform:RecordRef',
            'currency' => 'core_2013_2.platform:RecordRef',
            'exchangeRate' => 'xsd:double',
            'currencyName' => 'xsd:string',
            'promoCode' => 'core_2013_2.platform:RecordRef',
            'discountItem' => 'core_2013_2.platform:RecordRef',
            'discountRate' => 'xsd:string',
            'isTaxable' => 'xsd:boolean',
            'taxItem' => 'core_2013_2.platform:RecordRef',
            'taxRate' => 'xsd:double',
            'toBePrinted' => 'xsd:boolean',
            'toBeEmailed' => 'xsd:boolean',
            'email' => 'xsd:string',
            'toBeFaxed' => 'xsd:boolean',
            'fax' => 'xsd:string',
            'messageSel' => 'core_2013_2.platform:RecordRef',
            'message' => 'xsd:string',
            'transactionBillAddress' => 'common_2013_2.platform:BillAddress',
            'billAddressList' => 'core_2013_2.platform:RecordRef',
            'billAddress' => 'xsd:string',
            'shipMethod' => 'core_2013_2.platform:RecordRef',
            'shippingTaxCode' => 'core_2013_2.platform:RecordRef',
            'shippingTax1Rate' => 'xsd:double',
            'shippingTax2Rate' => 'xsd:string',
            'shippingCost' => 'xsd:double',
            'handlingTaxCode' => 'core_2013_2.platform:RecordRef',
            'handlingTax1Rate' => 'xsd:double',
            'handlingTax2Rate' => 'xsd:string',
            'handlingCost' => 'xsd:double',
            'salesGroup' => 'core_2013_2.platform:RecordRef',
            'syncSalesTeams' => 'xsd:boolean',
            'paymentMethod' => 'core_2013_2.platform:RecordRef',
            'revenueStatus' => 'common_2013_2.platformTypes:RevenueStatus',
            'recognizedRevenue' => 'xsd:double',
            'deferredRevenue' => 'xsd:double',
            'revRecOnRevCommitment' => 'xsd:boolean',
            'creditCard' => 'core_2013_2.platform:RecordRef',
            'chargeIt' => 'xsd:boolean',
            'ccNumber' => 'xsd:string',
            'ccExpireDate' => 'xsd:dateTime',
            'ccName' => 'xsd:string',
            'ccStreet' => 'xsd:string',
            'ccZipCode' => 'xsd:string',
            'ccApproved' => 'xsd:boolean',
            'creditCardProcessor' => 'core_2013_2.platform:RecordRef',
            'debitCardIssueNo' => 'xsd:string',
            'pnRefNum' => 'xsd:string',
            'validFrom' => 'xsd:dateTime',
            'payPalTranId' => 'xsd:string',
            'subTotal' => 'xsd:double',
            'ccIsPurchaseCardBin' => 'xsd:boolean',
            'discountTotal' => 'xsd:double',
            'ccProcessAsPurchaseCard' => 'xsd:boolean',
            'taxTotal' => 'xsd:double',
            'tax2Total' => 'xsd:double',
            'altShippingCost' => 'xsd:double',
            'payPalStatus' => 'xsd:string',
            'altHandlingCost' => 'xsd:double',
            'total' => 'xsd:double',
            'payPalAuthId' => 'xsd:string',
            'status' => 'xsd:string',
            'job' => 'core_2013_2.platform:RecordRef',
            'giftCert' => 'core_2013_2.platform:RecordRef',
            'giftCertTotal' => 'xsd:double',
            'giftCertApplied' => 'xsd:double',
            'giftCertAvailable' => 'xsd:double',
            'tranIsVsoeBundle' => 'xsd:boolean',
            'payPalProcess' => 'xsd:boolean',
            'vsoeAutoCalc' => 'xsd:boolean',
            'syncPartnerTeams' => 'xsd:boolean',
            'itemList' => 'customers_2013_2.transactions:CashRefundItemList',
            'salesTeamList' => 'customers_2013_2.transactions:CashRefundSalesTeamList',
            'partnersList' => 'customers_2013_2.transactions:CashRefundPartnersList',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        CashRefundItem => {
            'job' => 'core_2013_2.platform:RecordRef',
            'item' => 'core_2013_2.platform:RecordRef',
            'line' => 'xsd:long',
            'orderLine' => 'xsd:long',
            'quantity' => 'xsd:double',
            'units' => 'core_2013_2.platform:RecordRef',
            'inventoryDetail' => 'common_2013_2.platform:InventoryDetail',
            'binNumbers' => 'xsd:string',
            'serialNumbers' => 'xsd:string',
            'description' => 'xsd:string',
            'price' => 'core_2013_2.platform:RecordRef',
            'rate' => 'xsd:string',
            'amount' => 'xsd:double',
            'taxCode' => 'core_2013_2.platform:RecordRef',
            'taxRate1' => 'xsd:string',
            'taxRate2' => 'xsd:string',
            'tax1Amt' => 'xsd:double',
            'grossAmt' => 'xsd:double',
            'isTaxable' => 'xsd:boolean',
            'options' => 'core_2013_2.platform:CustomFieldList',
            'department' => 'core_2013_2.platform:RecordRef',
            'class' => 'core_2013_2.platform:RecordRef',
            'location' => 'core_2013_2.platform:RecordRef',
            'revRecSchedule' => 'core_2013_2.platform:RecordRef',
            'revRecStartDate' => 'xsd:dateTime',
            'revRecEndDate' => 'xsd:dateTime',
            'giftCertFrom' => 'xsd:string',
            'costEstimateType' => 'common_2013_2.platformTypes:ItemCostEstimateType',
            'costEstimate' => 'xsd:double',
            'giftCertRecipientName' => 'xsd:string',
            'giftCertRecipientEmail' => 'xsd:string',
            'giftCertMessage' => 'xsd:string',
            'giftCertNumber' => 'xsd:string',
            'vsoeSopGroup' => 'common_2013_2.platformTypes:VsoeSopGroup',
            'vsoeIsEstimate' => 'xsd:boolean',
            'vsoePrice' => 'xsd:double',
            'vsoeAmount' => 'xsd:double',
            'vsoeAllocation' => 'xsd:double',
            'vsoeDeferral' => 'common_2013_2.platformTypes:VsoeDeferral',
            'vsoePermitDiscount' => 'common_2013_2.platformTypes:VsoePermitDiscount',
            'vsoeDelivered' => 'xsd:boolean',
            'chargeType' => 'common_2013_2.platformTypes:ChargeRuleType',
            'chargesList' => 'core_2013_2.platform:RecordRefList',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        CashRefundItemList => {
            'item' => 'customers_2013_2.transactions:CashRefundItem',
        },
    
        CashRefundSalesTeam => {
            'employee' => 'core_2013_2.platform:RecordRef',
            'salesRole' => 'core_2013_2.platform:RecordRef',
            'isPrimary' => 'xsd:boolean',
            'contribution' => 'xsd:double',
        },
    
        CashRefundSalesTeamList => {
            'salesTeam' => 'customers_2013_2.transactions:CashRefundSalesTeam',
        },
    
        CashRefundPartnersList => {
            'partners' => 'common_2013_2.platform:Partners',
        },
    
        CustomerPayment => {
            'createdDate' => 'xsd:dateTime',
            'lastModifiedDate' => 'xsd:dateTime',
            'customForm' => 'core_2013_2.platform:RecordRef',
            'arAcct' => 'core_2013_2.platform:RecordRef',
            'customer' => 'core_2013_2.platform:RecordRef',
            'balance' => 'xsd:double',
            'pending' => 'xsd:double',
            'currency' => 'core_2013_2.platform:RecordRef',
            'payment' => 'xsd:double',
            'autoApply' => 'xsd:boolean',
            'tranDate' => 'xsd:dateTime',
            'postingPeriod' => 'core_2013_2.platform:RecordRef',
            'paymentMethod' => 'core_2013_2.platform:RecordRef',
            'ccIsPurchaseCardBin' => 'xsd:boolean',
            'memo' => 'xsd:string',
            'ccProcessAsPurchaseCard' => 'xsd:boolean',
            'checkNum' => 'xsd:string',
            'currencyName' => 'xsd:string',
            'exchangeRate' => 'xsd:double',
            'creditCard' => 'core_2013_2.platform:RecordRef',
            'chargeIt' => 'xsd:boolean',
            'ccNumber' => 'xsd:string',
            'ccExpireDate' => 'xsd:dateTime',
            'ccName' => 'xsd:string',
            'ccStreet' => 'xsd:string',
            'ccZipCode' => 'xsd:string',
            'ccApproved' => 'xsd:boolean',
            'authCode' => 'xsd:string',
            'ccAvsStreetMatch' => 'common_2013_2.platformTypes:AvsMatchCode',
            'ccAvsZipMatch' => 'common_2013_2.platformTypes:AvsMatchCode',
            'ccSecurityCode' => 'xsd:string',
            'ignoreAvs' => 'xsd:boolean',
            'ccSecurityCodeMatch' => 'common_2013_2.platformTypes:AvsMatchCode',
            'threeDStatusCode' => 'xsd:string',
            'pnRefNum' => 'xsd:string',
            'creditCardProcessor' => 'core_2013_2.platform:RecordRef',
            'debitCardIssueNo' => 'xsd:string',
            'validFrom' => 'xsd:dateTime',
            'undepFunds' => 'xsd:boolean',
            'account' => 'core_2013_2.platform:RecordRef',
            'total' => 'xsd:double',
            'subsidiary' => 'core_2013_2.platform:RecordRef',
            'applied' => 'xsd:double',
            'unapplied' => 'xsd:double',
            'class' => 'core_2013_2.platform:RecordRef',
            'department' => 'core_2013_2.platform:RecordRef',
            'location' => 'core_2013_2.platform:RecordRef',
            'status' => 'xsd:string',
            'applyList' => 'customers_2013_2.transactions:CustomerPaymentApplyList',
            'creditList' => 'customers_2013_2.transactions:CustomerPaymentCreditList',
            'depositList' => 'customers_2013_2.transactions:CustomerPaymentDepositList',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        CustomerPaymentApply => {
            'apply' => 'xsd:boolean',
            'doc' => 'xsd:long',
            'line' => 'xsd:long',
            'applyDate' => 'xsd:dateTime',
            'job' => 'xsd:string',
            'type' => 'xsd:string',
            'refNum' => 'xsd:string',
            'total' => 'xsd:double',
            'due' => 'xsd:double',
            'currency' => 'xsd:string',
            'discDate' => 'xsd:dateTime',
            'discAmt' => 'xsd:double',
            'disc' => 'xsd:double',
            'amount' => 'xsd:double',
        },
    
        CustomerPaymentApplyList => {
            'apply' => 'customers_2013_2.transactions:CustomerPaymentApply',
        },
    
        CustomerPaymentCredit => {
            'apply' => 'xsd:boolean',
            'doc' => 'xsd:long',
            'line' => 'xsd:long',
            'creditDate' => 'xsd:dateTime',
            'type' => 'xsd:string',
            'refNum' => 'xsd:string',
            'appliedTo' => 'xsd:string',
            'total' => 'xsd:double',
            'due' => 'xsd:double',
            'currency' => 'xsd:string',
            'amount' => 'xsd:double',
        },
    
        CustomerPaymentCreditList => {
            'credit' => 'customers_2013_2.transactions:CustomerPaymentCredit',
        },
    
        CustomerPaymentDeposit => {
            'apply' => 'xsd:boolean',
            'doc' => 'xsd:long',
            'line' => 'xsd:long',
            'depositDate' => 'xsd:dateTime',
            'refNum' => 'xsd:string',
            'total' => 'xsd:double',
            'remaining' => 'xsd:double',
            'currency' => 'xsd:string',
            'amount' => 'xsd:double',
        },
    
        CustomerPaymentDepositList => {
            'deposit' => 'customers_2013_2.transactions:CustomerPaymentDeposit',
        },
    
        ReturnAuthorization => {
            'createdDate' => 'xsd:dateTime',
            'lastModifiedDate' => 'xsd:dateTime',
            'customForm' => 'core_2013_2.platform:RecordRef',
            'currency' => 'core_2013_2.platform:RecordRef',
            'entity' => 'core_2013_2.platform:RecordRef',
            'vatRegNum' => 'xsd:string',
            'tranDate' => 'xsd:dateTime',
            'tranId' => 'xsd:string',
            'source' => 'xsd:string',
            'department' => 'core_2013_2.platform:RecordRef',
            'class' => 'core_2013_2.platform:RecordRef',
            'location' => 'core_2013_2.platform:RecordRef',
            'subsidiary' => 'core_2013_2.platform:RecordRef',
            'intercoTransaction' => 'core_2013_2.platform:RecordRef',
            'intercoStatus' => 'common_2013_2.platformTypes:IntercoStatus',
            'job' => 'core_2013_2.platform:RecordRef',
            'partner' => 'core_2013_2.platform:RecordRef',
            'otherRefNum' => 'xsd:string',
            'leadSource' => 'core_2013_2.platform:RecordRef',
            'memo' => 'xsd:string',
            'drAccount' => 'core_2013_2.platform:RecordRef',
            'fxAccount' => 'core_2013_2.platform:RecordRef',
            'salesEffectiveDate' => 'xsd:dateTime',
            'createdFrom' => 'core_2013_2.platform:RecordRef',
            'revRecSchedule' => 'core_2013_2.platform:RecordRef',
            'totalCostEstimate' => 'xsd:double',
            'estGrossProfit' => 'xsd:double',
            'estGrossProfitPercent' => 'xsd:double',
            'revRecStartDate' => 'xsd:dateTime',
            'revRecEndDate' => 'xsd:dateTime',
            'excludeCommission' => 'xsd:boolean',
            'exchangeRate' => 'xsd:double',
            'currencyName' => 'xsd:string',
            'discountItem' => 'core_2013_2.platform:RecordRef',
            'discountRate' => 'xsd:string',
            'taxItem' => 'core_2013_2.platform:RecordRef',
            'taxRate' => 'xsd:double',
            'toBePrinted' => 'xsd:boolean',
            'toBeEmailed' => 'xsd:boolean',
            'toBeFaxed' => 'xsd:boolean',
            'messageSel' => 'core_2013_2.platform:RecordRef',
            'message' => 'xsd:string',
            'transactionBillAddress' => 'common_2013_2.platform:BillAddress',
            'billAddressList' => 'core_2013_2.platform:RecordRef',
            'billAddress' => 'xsd:string',
            'shipAddressList' => 'core_2013_2.platform:RecordRef',
            'shipAddress' => 'xsd:string',
            'salesGroup' => 'core_2013_2.platform:RecordRef',
            'syncSalesTeams' => 'xsd:boolean',
            'revenueStatus' => 'common_2013_2.platformTypes:RevenueStatus',
            'recognizedRevenue' => 'xsd:double',
            'deferredRevenue' => 'xsd:double',
            'revRecOnRevCommitment' => 'xsd:boolean',
            'revCommitStatus' => 'common_2013_2.platformTypes:RevenueCommitStatus',
            'paymentMethod' => 'core_2013_2.platform:RecordRef',
            'creditCard' => 'core_2013_2.platform:RecordRef',
            'ccNumber' => 'xsd:string',
            'altSalesTotal' => 'xsd:double',
            'ccExpireDate' => 'xsd:dateTime',
            'ccName' => 'xsd:string',
            'ccStreet' => 'xsd:string',
            'ccZipCode' => 'xsd:string',
            'ccApproved' => 'xsd:boolean',
            'pnRefNum' => 'xsd:string',
            'subTotal' => 'xsd:double',
            'discountTotal' => 'xsd:double',
            'total' => 'xsd:double',
            'creditCardProcessor' => 'core_2013_2.platform:RecordRef',
            'payPalAuthId' => 'xsd:string',
            'payPalProcess' => 'xsd:boolean',
            'email' => 'xsd:string',
            'fax' => 'xsd:string',
            'debitCardIssueNo' => 'xsd:string',
            'isTaxable' => 'xsd:boolean',
            'promoCode' => 'core_2013_2.platform:RecordRef',
            'status' => 'xsd:string',
            'taxTotal' => 'xsd:double',
            'tax2Total' => 'xsd:double',
            'validFrom' => 'xsd:dateTime',
            'orderStatus' => 'customers_2013_2.transactionsTypes:ReturnAuthorizationOrderStatus',
            'salesRep' => 'core_2013_2.platform:RecordRef',
            'giftCert' => 'core_2013_2.platform:RecordRef',
            'contribPct' => 'xsd:string',
            'giftCertTotal' => 'xsd:double',
            'giftCertApplied' => 'xsd:double',
            'giftCertAvailable' => 'xsd:double',
            'tranIsVsoeBundle' => 'xsd:boolean',
            'vsoeAutoCalc' => 'xsd:boolean',
            'syncPartnerTeams' => 'xsd:boolean',
            'itemList' => 'customers_2013_2.transactions:ReturnAuthorizationItemList',
            'salesTeamList' => 'customers_2013_2.transactions:ReturnAuthorizationSalesTeamList',
            'partnersList' => 'customers_2013_2.transactions:ReturnAuthorizationPartnersList',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        ReturnAuthorizationItem => {
            'job' => 'core_2013_2.platform:RecordRef',
            'item' => 'core_2013_2.platform:RecordRef',
            'orderLine' => 'xsd:long',
            'line' => 'xsd:long',
            'quantity' => 'xsd:double',
            'quantityReceived' => 'xsd:double',
            'quantityBilled' => 'xsd:double',
            'units' => 'core_2013_2.platform:RecordRef',
            'inventoryDetail' => 'common_2013_2.platform:InventoryDetail',
            'description' => 'xsd:string',
            'serialNumbers' => 'xsd:string',
            'price' => 'core_2013_2.platform:RecordRef',
            'rate' => 'xsd:string',
            'amount' => 'xsd:double',
            'options' => 'core_2013_2.platform:CustomFieldList',
            'revRecTermInMonths' => 'xsd:long',
            'deferRevRec' => 'xsd:boolean',
            'isClosed' => 'xsd:boolean',
            'isDropShipment' => 'xsd:boolean',
            'department' => 'core_2013_2.platform:RecordRef',
            'costEstimateType' => 'common_2013_2.platformTypes:ItemCostEstimateType',
            'costEstimate' => 'xsd:double',
            'class' => 'core_2013_2.platform:RecordRef',
            'location' => 'core_2013_2.platform:RecordRef',
            'revRecSchedule' => 'core_2013_2.platform:RecordRef',
            'revRecStartDate' => 'xsd:dateTime',
            'revRecEndDate' => 'xsd:dateTime',
            'taxCode' => 'core_2013_2.platform:RecordRef',
            'taxRate1' => 'xsd:double',
            'taxRate2' => 'xsd:double',
            'tax1Amt' => 'xsd:double',
            'grossAmt' => 'xsd:double',
            'isTaxable' => 'xsd:boolean',
            'giftCertFrom' => 'xsd:string',
            'giftCertRecipientName' => 'xsd:string',
            'giftCertRecipientEmail' => 'xsd:string',
            'giftCertMessage' => 'xsd:string',
            'giftCertNumber' => 'xsd:string',
            'vsoeSopGroup' => 'common_2013_2.platformTypes:VsoeSopGroup',
            'vsoeIsEstimate' => 'xsd:boolean',
            'vsoePrice' => 'xsd:double',
            'vsoeAmount' => 'xsd:double',
            'altSalesAmt' => 'xsd:double',
            'vsoeAllocation' => 'xsd:double',
            'vsoeDeferral' => 'common_2013_2.platformTypes:VsoeDeferral',
            'vsoePermitDiscount' => 'common_2013_2.platformTypes:VsoePermitDiscount',
            'vsoeDelivered' => 'xsd:boolean',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        ReturnAuthorizationItemList => {
            'item' => 'customers_2013_2.transactions:ReturnAuthorizationItem',
        },
    
        ReturnAuthorizationSalesTeam => {
            'employee' => 'core_2013_2.platform:RecordRef',
            'salesRole' => 'core_2013_2.platform:RecordRef',
            'isPrimary' => 'xsd:boolean',
            'contribution' => 'xsd:double',
        },
    
        ReturnAuthorizationSalesTeamList => {
            'salesTeam' => 'customers_2013_2.transactions:ReturnAuthorizationSalesTeam',
        },
    
        ReturnAuthorizationPartnersList => {
            'partners' => 'common_2013_2.platform:Partners',
        },
    
        CreditMemo => {
            'createdDate' => 'xsd:dateTime',
            'lastModifiedDate' => 'xsd:dateTime',
            'customForm' => 'core_2013_2.platform:RecordRef',
            'currency' => 'core_2013_2.platform:RecordRef',
            'entity' => 'core_2013_2.platform:RecordRef',
            'vatRegNum' => 'xsd:string',
            'tranDate' => 'xsd:dateTime',
            'tranId' => 'xsd:string',
            'createdFrom' => 'core_2013_2.platform:RecordRef',
            'postingPeriod' => 'core_2013_2.platform:RecordRef',
            'department' => 'core_2013_2.platform:RecordRef',
            'class' => 'core_2013_2.platform:RecordRef',
            'location' => 'core_2013_2.platform:RecordRef',
            'subsidiary' => 'core_2013_2.platform:RecordRef',
            'job' => 'core_2013_2.platform:RecordRef',
            'salesRep' => 'core_2013_2.platform:RecordRef',
            'partner' => 'core_2013_2.platform:RecordRef',
            'contribPct' => 'xsd:string',
            'otherRefNum' => 'xsd:string',
            'memo' => 'xsd:string',
            'excludeCommission' => 'xsd:boolean',
            'leadSource' => 'core_2013_2.platform:RecordRef',
            'balance' => 'xsd:double',
            'account' => 'core_2013_2.platform:RecordRef',
            'exchangeRate' => 'xsd:double',
            'onCreditHold' => 'xsd:string',
            'amountPaid' => 'xsd:double',
            'salesEffectiveDate' => 'xsd:dateTime',
            'totalCostEstimate' => 'xsd:double',
            'estGrossProfit' => 'xsd:double',
            'estGrossProfitPercent' => 'xsd:double',
            'currencyName' => 'xsd:string',
            'promoCode' => 'core_2013_2.platform:RecordRef',
            'amountRemaining' => 'xsd:double',
            'discountItem' => 'core_2013_2.platform:RecordRef',
            'source' => 'xsd:string',
            'discountRate' => 'xsd:string',
            'isTaxable' => 'xsd:boolean',
            'taxItem' => 'core_2013_2.platform:RecordRef',
            'taxRate' => 'xsd:double',
            'unapplied' => 'xsd:double',
            'autoApply' => 'xsd:boolean',
            'applied' => 'xsd:double',
            'toBePrinted' => 'xsd:boolean',
            'toBeEmailed' => 'xsd:boolean',
            'email' => 'xsd:string',
            'toBeFaxed' => 'xsd:boolean',
            'fax' => 'xsd:string',
            'messageSel' => 'core_2013_2.platform:RecordRef',
            'message' => 'xsd:string',
            'transactionBillAddress' => 'common_2013_2.platform:BillAddress',
            'billAddressList' => 'core_2013_2.platform:RecordRef',
            'billAddress' => 'xsd:string',
            'shipMethod' => 'core_2013_2.platform:RecordRef',
            'shippingCost' => 'xsd:double',
            'shippingTax1Rate' => 'xsd:double',
            'shippingTaxCode' => 'core_2013_2.platform:RecordRef',
            'handlingTaxCode' => 'core_2013_2.platform:RecordRef',
            'shippingTax2Rate' => 'xsd:string',
            'handlingTax1Rate' => 'xsd:double',
            'handlingTax2Rate' => 'xsd:string',
            'handlingCost' => 'xsd:double',
            'subTotal' => 'xsd:double',
            'discountTotal' => 'xsd:double',
            'revenueStatus' => 'common_2013_2.platformTypes:RevenueStatus',
            'recognizedRevenue' => 'xsd:double',
            'deferredRevenue' => 'xsd:double',
            'revRecOnRevCommitment' => 'xsd:boolean',
            'taxTotal' => 'xsd:double',
            'tax2Total' => 'xsd:double',
            'altShippingCost' => 'xsd:double',
            'altHandlingCost' => 'xsd:double',
            'total' => 'xsd:double',
            'salesGroup' => 'core_2013_2.platform:RecordRef',
            'syncSalesTeams' => 'xsd:boolean',
            'status' => 'xsd:string',
            'giftCert' => 'core_2013_2.platform:RecordRef',
            'giftCertTotal' => 'xsd:double',
            'giftCertApplied' => 'xsd:double',
            'giftCertAvailable' => 'xsd:double',
            'tranIsVsoeBundle' => 'xsd:boolean',
            'vsoeAutoCalc' => 'xsd:boolean',
            'syncPartnerTeams' => 'xsd:boolean',
            'salesTeamList' => 'customers_2013_2.transactions:CreditMemoSalesTeamList',
            'itemList' => 'customers_2013_2.transactions:CreditMemoItemList',
            'partnersList' => 'customers_2013_2.transactions:CreditMemoPartnersList',
            'applyList' => 'customers_2013_2.transactions:CreditMemoApplyList',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        CreditMemoSalesTeam => {
            'employee' => 'core_2013_2.platform:RecordRef',
            'salesRole' => 'core_2013_2.platform:RecordRef',
            'isPrimary' => 'xsd:boolean',
            'contribution' => 'xsd:double',
        },
    
        CreditMemoSalesTeamList => {
            'salesTeam' => 'customers_2013_2.transactions:CreditMemoSalesTeam',
        },
    
        CreditMemoItem => {
            'job' => 'core_2013_2.platform:RecordRef',
            'item' => 'core_2013_2.platform:RecordRef',
            'orderLine' => 'xsd:long',
            'line' => 'xsd:long',
            'quantity' => 'xsd:double',
            'description' => 'xsd:string',
            'binNumbers' => 'xsd:string',
            'price' => 'core_2013_2.platform:RecordRef',
            'rate' => 'xsd:string',
            'amount' => 'xsd:double',
            'isTaxable' => 'xsd:boolean',
            'options' => 'core_2013_2.platform:CustomFieldList',
            'taxCode' => 'core_2013_2.platform:RecordRef',
            'taxRate1' => 'xsd:double',
            'taxRate2' => 'xsd:double',
            'tax1Amt' => 'xsd:double',
            'grossAmt' => 'xsd:double',
            'department' => 'core_2013_2.platform:RecordRef',
            'class' => 'core_2013_2.platform:RecordRef',
            'location' => 'core_2013_2.platform:RecordRef',
            'costEstimateType' => 'common_2013_2.platformTypes:ItemCostEstimateType',
            'costEstimate' => 'xsd:double',
            'revRecSchedule' => 'core_2013_2.platform:RecordRef',
            'revRecStartDate' => 'xsd:dateTime',
            'revRecTermInMonths' => 'xsd:long',
            'revRecEndDate' => 'xsd:dateTime',
            'units' => 'core_2013_2.platform:RecordRef',
            'inventoryDetail' => 'common_2013_2.platform:InventoryDetail',
            'serialNumbers' => 'xsd:string',
            'deferRevRec' => 'xsd:boolean',
            'giftCertFrom' => 'xsd:string',
            'giftCertRecipientName' => 'xsd:string',
            'giftCertRecipientEmail' => 'xsd:string',
            'giftCertMessage' => 'xsd:string',
            'giftCertNumber' => 'xsd:string',
            'vsoeSopGroup' => 'common_2013_2.platformTypes:VsoeSopGroup',
            'vsoeIsEstimate' => 'xsd:boolean',
            'vsoePrice' => 'xsd:double',
            'vsoeAmount' => 'xsd:double',
            'vsoeAllocation' => 'xsd:double',
            'vsoeDeferral' => 'common_2013_2.platformTypes:VsoeDeferral',
            'vsoePermitDiscount' => 'common_2013_2.platformTypes:VsoePermitDiscount',
            'vsoeDelivered' => 'xsd:boolean',
            'chargeType' => 'common_2013_2.platformTypes:ChargeRuleType',
            'chargesList' => 'core_2013_2.platform:RecordRefList',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        CreditMemoItemList => {
            'item' => 'customers_2013_2.transactions:CreditMemoItem',
        },
    
        CreditMemoApply => {
            'apply' => 'xsd:boolean',
            'doc' => 'xsd:long',
            'applyDate' => 'xsd:dateTime',
            'job' => 'xsd:string',
            'type' => 'xsd:string',
            'refNum' => 'xsd:string',
            'total' => 'xsd:double',
            'due' => 'xsd:double',
            'currency' => 'xsd:string',
            'amount' => 'xsd:double',
            'line' => 'xsd:long',
        },
    
        CreditMemoApplyList => {
            'apply' => 'customers_2013_2.transactions:CreditMemoApply',
        },
    
        CreditMemoPartnersList => {
            'partners' => 'common_2013_2.platform:Partners',
        },
    
        CustomerRefund => {
            'createdDate' => 'xsd:dateTime',
            'lastModifiedDate' => 'xsd:dateTime',
            'status' => 'xsd:string',
            'customer' => 'core_2013_2.platform:RecordRef',
            'customForm' => 'core_2013_2.platform:RecordRef',
            'balance' => 'xsd:double',
            'arAcct' => 'core_2013_2.platform:RecordRef',
            'currencyName' => 'xsd:string',
            'exchangeRate' => 'xsd:double',
            'address' => 'xsd:string',
            'total' => 'xsd:double',
            'currency' => 'core_2013_2.platform:RecordRef',
            'tranDate' => 'xsd:dateTime',
            'voidJournal' => 'core_2013_2.platform:RecordRef',
            'postingPeriod' => 'core_2013_2.platform:RecordRef',
            'memo' => 'xsd:string',
            'paymentMethod' => 'core_2013_2.platform:RecordRef',
            'account' => 'core_2013_2.platform:RecordRef',
            'toBePrinted' => 'xsd:boolean',
            'tranId' => 'xsd:string',
            'debitCardIssueNo' => 'xsd:string',
            'creditCardProcessor' => 'core_2013_2.platform:RecordRef',
            'chargeIt' => 'xsd:boolean',
            'pnRefNum' => 'xsd:string',
            'validFrom' => 'xsd:dateTime',
            'subsidiary' => 'core_2013_2.platform:RecordRef',
            'department' => 'core_2013_2.platform:RecordRef',
            'class' => 'core_2013_2.platform:RecordRef',
            'location' => 'core_2013_2.platform:RecordRef',
            'creditCard' => 'core_2013_2.platform:RecordRef',
            'ccIsPurchaseCardBin' => 'xsd:boolean',
            'ccNumber' => 'xsd:string',
            'ccProcessAsPurchaseCard' => 'xsd:boolean',
            'ccExpireDate' => 'xsd:dateTime',
            'ccName' => 'xsd:string',
            'ccStreet' => 'xsd:string',
            'ccZipCode' => 'xsd:string',
            'ccApproved' => 'xsd:boolean',
            'applyList' => 'customers_2013_2.transactions:CustomerRefundApplyList',
            'depositList' => 'customers_2013_2.transactions:CustomerRefundDepositList',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        CustomerRefundApply => {
            'apply' => 'xsd:boolean',
            'doc' => 'xsd:long',
            'line' => 'xsd:long',
            'applyDate' => 'xsd:dateTime',
            'type' => 'xsd:string',
            'refNum' => 'xsd:string',
            'total' => 'xsd:double',
            'due' => 'xsd:double',
            'currency' => 'xsd:string',
            'amount' => 'xsd:double',
        },
    
        CustomerRefundApplyList => {
            'apply' => 'customers_2013_2.transactions:CustomerRefundApply',
        },
    
        CustomerRefundDeposit => {
            'apply' => 'xsd:boolean',
            'doc' => 'xsd:long',
            'line' => 'xsd:long',
            'depositDate' => 'xsd:dateTime',
            'refNum' => 'xsd:string',
            'total' => 'xsd:double',
            'remaining' => 'xsd:double',
            'currency' => 'xsd:string',
            'amount' => 'xsd:double',
        },
    
        CustomerRefundDepositList => {
            'customerRefundDeposit' => 'customers_2013_2.transactions:CustomerRefundDeposit',
        },
    
        CustomerDeposit => {
            'createdDate' => 'xsd:dateTime',
            'lastModifiedDate' => 'xsd:dateTime',
            'status' => 'xsd:string',
            'customer' => 'core_2013_2.platform:RecordRef',
            'salesOrder' => 'core_2013_2.platform:RecordRef',
            'customForm' => 'core_2013_2.platform:RecordRef',
            'payment' => 'xsd:double',
            'currency' => 'core_2013_2.platform:RecordRef',
            'tranDate' => 'xsd:dateTime',
            'postingPeriod' => 'core_2013_2.platform:RecordRef',
            'paymentMethod' => 'core_2013_2.platform:RecordRef',
            'ccIsPurchaseCardBin' => 'xsd:boolean',
            'memo' => 'xsd:string',
            'ccProcessAsPurchaseCard' => 'xsd:boolean',
            'currencyName' => 'xsd:string',
            'exchangeRate' => 'xsd:double',
            'checkNum' => 'xsd:string',
            'creditCardProcessor' => 'core_2013_2.platform:RecordRef',
            'creditCard' => 'core_2013_2.platform:RecordRef',
            'ccSecurityCode' => 'xsd:string',
            'ccNumber' => 'xsd:string',
            'subsidiary' => 'core_2013_2.platform:RecordRef',
            'department' => 'core_2013_2.platform:RecordRef',
            'class' => 'core_2013_2.platform:RecordRef',
            'location' => 'core_2013_2.platform:RecordRef',
            'ccExpireDate' => 'xsd:dateTime',
            'debitCardIssueNo' => 'xsd:string',
            'validFrom' => 'xsd:dateTime',
            'ccName' => 'xsd:string',
            'ccStreet' => 'xsd:string',
            'ccZipCode' => 'xsd:string',
            'chargeIt' => 'xsd:boolean',
            'ccApproved' => 'xsd:boolean',
            'pnRefNum' => 'xsd:string',
            'authCode' => 'xsd:string',
            'ccAvsStreetMatch' => 'common_2013_2.platformTypes:AvsMatchCode',
            'softDescriptor' => 'xsd:string',
            'ccAvsZipMatch' => 'common_2013_2.platformTypes:AvsMatchCode',
            'ccSecurityCodeMatch' => 'common_2013_2.platformTypes:AvsMatchCode',
            'threeDStatusCode' => 'xsd:string',
            'ignoreAvs' => 'xsd:boolean',
            'account' => 'core_2013_2.platform:RecordRef',
            'undepFunds' => 'xsd:boolean',
            'applyList' => 'customers_2013_2.transactions:CustomerDepositApplyList',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        CustomerDepositApply => {
            'doc' => 'xsd:long',
            'line' => 'xsd:long',
            'apply' => 'xsd:boolean',
            'applyDate' => 'xsd:dateTime',
            'type' => 'xsd:string',
            'refNum' => 'xsd:string',
            'total' => 'xsd:double',
            'amount' => 'xsd:double',
            'job' => 'xsd:string',
        },
    
        CustomerDepositApplyList => {
            'customerDepositApply' => 'customers_2013_2.transactions:CustomerDepositApply',
        },
    
        DepositApplication => {
            'createdDate' => 'xsd:dateTime',
            'lastModifiedDate' => 'xsd:dateTime',
            'arAcct' => 'xsd:string',
            'status' => 'xsd:string',
            'customer' => 'core_2013_2.platform:RecordRef',
            'tranDate' => 'xsd:dateTime',
            'postingPeriod' => 'core_2013_2.platform:RecordRef',
            'deposit' => 'core_2013_2.platform:RecordRef',
            'depDate' => 'xsd:dateTime',
            'currency' => 'core_2013_2.platform:RecordRef',
            'exchangeRate' => 'xsd:double',
            'memo' => 'xsd:string',
            'subsidiary' => 'core_2013_2.platform:RecordRef',
            'total' => 'xsd:double',
            'department' => 'core_2013_2.platform:RecordRef',
            'applied' => 'xsd:double',
            'class' => 'core_2013_2.platform:RecordRef',
            'unapplied' => 'xsd:double',
            'location' => 'core_2013_2.platform:RecordRef',
            'tranId' => 'xsd:string',
            'applyList' => 'customers_2013_2.transactions:DepositApplicationApplyList',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        DepositApplicationApply => {
            'doc' => 'xsd:long',
            'line' => 'xsd:long',
            'apply' => 'xsd:boolean',
            'applyDate' => 'xsd:dateTime',
            'job' => 'xsd:string',
            'type' => 'xsd:string',
            'refNum' => 'xsd:string',
            'total' => 'xsd:double',
            'due' => 'xsd:double',
            'currency' => 'xsd:string',
            'amount' => 'xsd:double',
        },
    
        DepositApplicationApplyList => {
            'apply' => 'customers_2013_2.transactions:DepositApplicationApply',
        },
    
        Charge => {
            'customForm' => 'core_2013_2.platform:RecordRef',
            'salesOrder' => 'core_2013_2.platform:RecordRef',
            'billTo' => 'core_2013_2.platform:RecordRef',
            'stage' => 'customers_2013_2.transactionsTypes:ChargeStage',
            'chargeDate' => 'xsd:dateTime',
            'use' => 'customers_2013_2.transactionsTypes:ChargeUse',
            'chargeType' => 'common_2013_2.platformTypes:ChargeRuleType',
            'projectTask' => 'core_2013_2.platform:RecordRef',
            'description' => 'xsd:string',
            'createdDate' => 'xsd:dateTime',
            'timeRecord' => 'core_2013_2.platform:RecordRef',
            'rate' => 'xsd:string',
            'quantity' => 'xsd:double',
            'amount' => 'xsd:double',
            'billingItem' => 'core_2013_2.platform:RecordRef',
            'currency' => 'core_2013_2.platform:RecordRef',
            'salesOrderLine' => 'core_2013_2.platform:RecordRef',
            'invoice' => 'core_2013_2.platform:RecordRef',
            'invoiceLine' => 'core_2013_2.platform:RecordRef',
            'runId' => 'xsd:string',
        },
    
        ChargeSearchAdvanced => {
            'criteria' => 'customers_2013_2.transactions:ChargeSearch',
            'columns' => 'customers_2013_2.transactions:ChargeSearchRow',
        },
    
        ChargeSearchRow => {
            'basic' => 'common_2013_2.platform:ChargeSearchRowBasic',
            'jobJoin' => 'common_2013_2.platform:JobSearchRowBasic',
            'timeJoin' => 'common_2013_2.platform:TimeBillSearchRowBasic',
            'userJoin' => 'common_2013_2.platform:EmployeeSearchRowBasic',
            'customSearchJoin' => 'common_2013_2.platform:CustomSearchRowBasic',
        },
    
        Budget => {
            'year' => 'core_2013_2.platform:RecordRef',
            'customer' => 'core_2013_2.platform:RecordRef',
            'item' => 'core_2013_2.platform:RecordRef',
            'class' => 'core_2013_2.platform:RecordRef',
            'department' => 'core_2013_2.platform:RecordRef',
            'location' => 'core_2013_2.platform:RecordRef',
            'account' => 'core_2013_2.platform:RecordRef',
            'subsidiary' => 'core_2013_2.platform:RecordRef',
            'category' => 'core_2013_2.platform:RecordRef',
            'budgetType' => 'financial_2013_2.transactionsTypes:BudgetBudgetType',
            'currency' => 'core_2013_2.platform:RecordRef',
            'periodAmount1' => 'xsd:double',
            'periodAmount2' => 'xsd:double',
            'periodAmount3' => 'xsd:double',
            'periodAmount4' => 'xsd:double',
            'periodAmount5' => 'xsd:double',
            'periodAmount6' => 'xsd:double',
            'periodAmount7' => 'xsd:double',
            'periodAmount8' => 'xsd:double',
            'periodAmount9' => 'xsd:double',
            'periodAmount10' => 'xsd:double',
            'periodAmount11' => 'xsd:double',
            'periodAmount12' => 'xsd:double',
            'amount' => 'xsd:double',
        },
    
        BudgetSearchAdvanced => {
            'criteria' => 'financial_2013_2.transactions:BudgetSearch',
            'columns' => 'financial_2013_2.transactions:BudgetSearchRow',
        },
    
        BudgetSearchRow => {
            'basic' => 'common_2013_2.platform:BudgetSearchRowBasic',
        },
    
        CheckLandedCostList => {
            'landedCost' => 'common_2013_2.platform:LandedCostSummary',
        },
    
        Check => {
            'createdDate' => 'xsd:dateTime',
            'lastModifiedDate' => 'xsd:dateTime',
            'status' => 'xsd:string',
            'customForm' => 'core_2013_2.platform:RecordRef',
            'account' => 'core_2013_2.platform:RecordRef',
            'balance' => 'xsd:double',
            'entity' => 'core_2013_2.platform:RecordRef',
            'address' => 'xsd:string',
            'subsidiary' => 'core_2013_2.platform:RecordRef',
            'postingPeriod' => 'core_2013_2.platform:RecordRef',
            'tranDate' => 'xsd:dateTime',
            'currency' => 'core_2013_2.platform:RecordRef',
            'voidJournal' => 'core_2013_2.platform:RecordRef',
            'exchangeRate' => 'xsd:double',
            'toBePrinted' => 'xsd:boolean',
            'tranId' => 'xsd:string',
            'memo' => 'xsd:string',
            'department' => 'core_2013_2.platform:RecordRef',
            'taxTotal' => 'xsd:double',
            'class' => 'core_2013_2.platform:RecordRef',
            'tax2Total' => 'xsd:double',
            'location' => 'core_2013_2.platform:RecordRef',
            'userTotal' => 'xsd:double',
            'landedCostMethod' => 'common_2013_2.platformTypes:LandedCostMethod',
            'landedCostPerLine' => 'xsd:boolean',
            'expenseList' => 'bank_2013_2.transactions:CheckExpenseList',
            'itemList' => 'bank_2013_2.transactions:CheckItemList',
            'landedCostsList' => 'bank_2013_2.transactions:CheckLandedCostList',
            'billPay' => 'xsd:boolean',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        CheckExpense => {
            'line' => 'xsd:long',
            'category' => 'core_2013_2.platform:RecordRef',
            'account' => 'core_2013_2.platform:RecordRef',
            'amount' => 'xsd:double',
            'memo' => 'xsd:string',
            'department' => 'core_2013_2.platform:RecordRef',
            'class' => 'core_2013_2.platform:RecordRef',
            'location' => 'core_2013_2.platform:RecordRef',
            'customer' => 'core_2013_2.platform:RecordRef',
            'isBillable' => 'xsd:boolean',
            'taxCode' => 'core_2013_2.platform:RecordRef',
            'taxRate1' => 'xsd:double',
            'tax1Amt' => 'xsd:double',
            'taxRate2' => 'xsd:double',
            'grossAmt' => 'xsd:double',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        CheckExpenseList => {
            'expense' => 'bank_2013_2.transactions:CheckExpense',
        },
    
        CheckItem => {
            'item' => 'core_2013_2.platform:RecordRef',
            'vendorName' => 'xsd:string',
            'line' => 'xsd:long',
            'quantity' => 'xsd:double',
            'units' => 'core_2013_2.platform:RecordRef',
            'inventoryDetail' => 'common_2013_2.platform:InventoryDetail',
            'description' => 'xsd:string',
            'binNumbers' => 'xsd:string',
            'serialNumbers' => 'xsd:string',
            'expirationDate' => 'xsd:dateTime',
            'rate' => 'xsd:string',
            'taxCode' => 'core_2013_2.platform:RecordRef',
            'amount' => 'xsd:double',
            'options' => 'core_2013_2.platform:CustomFieldList',
            'taxRate1' => 'xsd:double',
            'taxRate2' => 'xsd:double',
            'department' => 'core_2013_2.platform:RecordRef',
            'grossAmt' => 'xsd:double',
            'class' => 'core_2013_2.platform:RecordRef',
            'tax1Amt' => 'xsd:double',
            'location' => 'core_2013_2.platform:RecordRef',
            'customer' => 'core_2013_2.platform:RecordRef',
            'isBillable' => 'xsd:boolean',
            'landedCost' => 'common_2013_2.platform:LandedCost',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        CheckItemList => {
            'item' => 'bank_2013_2.transactions:CheckItem',
        },
    
        InventoryAdjustment => {
            'postingPeriod' => 'core_2013_2.platform:RecordRef',
            'tranDate' => 'xsd:dateTime',
            'createdDate' => 'xsd:dateTime',
            'tranId' => 'xsd:string',
            'lastModifiedDate' => 'xsd:dateTime',
            'subsidiary' => 'core_2013_2.platform:RecordRef',
            'account' => 'core_2013_2.platform:RecordRef',
            'customForm' => 'core_2013_2.platform:RecordRef',
            'estimatedTotalValue' => 'xsd:double',
            'customer' => 'core_2013_2.platform:RecordRef',
            'department' => 'core_2013_2.platform:RecordRef',
            'class' => 'core_2013_2.platform:RecordRef',
            'adjLocation' => 'core_2013_2.platform:RecordRef',
            'location' => 'core_2013_2.platform:RecordRef',
            'memo' => 'xsd:string',
            'inventoryList' => 'inventory_2013_2.transactions:InventoryAdjustmentInventoryList',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        InventoryAdjustmentInventory => {
            'item' => 'core_2013_2.platform:RecordRef',
            'line' => 'xsd:long',
            'inventoryDetail' => 'common_2013_2.platform:InventoryDetail',
            'description' => 'xsd:string',
            'location' => 'core_2013_2.platform:RecordRef',
            'units' => 'core_2013_2.platform:RecordRef',
            'quantityOnHand' => 'xsd:double',
            'currentValue' => 'xsd:double',
            'adjustQtyBy' => 'xsd:double',
            'binNumbers' => 'xsd:string',
            'serialNumbers' => 'xsd:string',
            'newQuantity' => 'xsd:double',
            'unitCost' => 'xsd:double',
            'foreignCurrencyUnitCost' => 'xsd:double',
            'memo' => 'xsd:string',
            'currency' => 'xsd:string',
            'expirationDate' => 'xsd:dateTime',
            'exchangeRate' => 'xsd:double',
        },
    
        InventoryAdjustmentInventoryList => {
            'inventory' => 'inventory_2013_2.transactions:InventoryAdjustmentInventory',
        },
    
        AssemblyBuild => {
            'createdDate' => 'xsd:dateTime',
            'expirationDate' => 'xsd:dateTime',
            'lastModifiedDate' => 'xsd:dateTime',
            'customForm' => 'core_2013_2.platform:RecordRef',
            'createdFrom' => 'core_2013_2.platform:RecordRef',
            'tranDate' => 'xsd:dateTime',
            'postingPeriod' => 'core_2013_2.platform:RecordRef',
            'tranId' => 'xsd:string',
            'item' => 'core_2013_2.platform:RecordRef',
            'buildable' => 'xsd:double',
            'quantity' => 'xsd:double',
            'units' => 'core_2013_2.platform:RecordRef',
            'total' => 'xsd:double',
            'inventoryDetail' => 'common_2013_2.platform:InventoryDetail',
            'serialNumbers' => 'xsd:string',
            'binNumbers' => 'xsd:string',
            'subsidiary' => 'core_2013_2.platform:RecordRef',
            'department' => 'core_2013_2.platform:RecordRef',
            'class' => 'core_2013_2.platform:RecordRef',
            'location' => 'core_2013_2.platform:RecordRef',
            'revision' => 'core_2013_2.platform:RecordRef',
            'memo' => 'xsd:string',
            'componentList' => 'inventory_2013_2.transactions:AssemblyComponentList',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        AssemblyUnbuild => {
            'createdDate' => 'xsd:dateTime',
            'lastModifiedDate' => 'xsd:dateTime',
            'customForm' => 'core_2013_2.platform:RecordRef',
            'tranDate' => 'xsd:dateTime',
            'postingPeriod' => 'core_2013_2.platform:RecordRef',
            'tranId' => 'xsd:string',
            'item' => 'core_2013_2.platform:RecordRef',
            'built' => 'xsd:double',
            'quantity' => 'xsd:double',
            'units' => 'core_2013_2.platform:RecordRef',
            'total' => 'xsd:double',
            'serialNumbers' => 'xsd:string',
            'inventoryDetail' => 'common_2013_2.platform:InventoryDetail',
            'binNumbers' => 'xsd:string',
            'subsidiary' => 'core_2013_2.platform:RecordRef',
            'department' => 'core_2013_2.platform:RecordRef',
            'class' => 'core_2013_2.platform:RecordRef',
            'location' => 'core_2013_2.platform:RecordRef',
            'memo' => 'xsd:string',
            'componentList' => 'inventory_2013_2.transactions:AssemblyComponentList',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        AssemblyComponent => {
            'item' => 'core_2013_2.platform:RecordRef',
            'quantity' => 'xsd:double',
            'quantityOnHand' => 'xsd:double',
            'componentInventoryDetail' => 'common_2013_2.platform:InventoryDetail',
            'componentNumbers' => 'xsd:string',
            'binNumbers' => 'xsd:string',
        },
    
        AssemblyComponentList => {
            'component' => 'inventory_2013_2.transactions:AssemblyComponent',
        },
    
        TransferOrder => {
            'createdDate' => 'xsd:dateTime',
            'lastModifiedDate' => 'xsd:dateTime',
            'customForm' => 'core_2013_2.platform:RecordRef',
            'shippingCost' => 'xsd:double',
            'subTotal' => 'xsd:double',
            'status' => 'xsd:string',
            'transactionShipAddress' => 'common_2013_2.platform:ShipAddress',
            'shipAddressList' => 'core_2013_2.platform:RecordRef',
            'shipAddress' => 'xsd:string',
            'fob' => 'xsd:string',
            'tranDate' => 'xsd:dateTime',
            'tranId' => 'xsd:string',
            'source' => 'xsd:string',
            'orderStatus' => 'inventory_2013_2.transactionsTypes:TransferOrderOrderStatus',
            'subsidiary' => 'core_2013_2.platform:RecordRef',
            'employee' => 'core_2013_2.platform:RecordRef',
            'department' => 'core_2013_2.platform:RecordRef',
            'class' => 'core_2013_2.platform:RecordRef',
            'location' => 'core_2013_2.platform:RecordRef',
            'transferLocation' => 'core_2013_2.platform:RecordRef',
            'memo' => 'xsd:string',
            'shipDate' => 'xsd:dateTime',
            'shipMethod' => 'core_2013_2.platform:RecordRef',
            'trackingNumbers' => 'xsd:string',
            'linkedTrackingNumbers' => 'xsd:string',
            'shipComplete' => 'xsd:boolean',
            'altShippingCost' => 'xsd:double',
            'shippingTax1Rate' => 'xsd:double',
            'shippingTax2Rate' => 'xsd:double',
            'handlingTax1Rate' => 'xsd:double',
            'handlingTax2Rate' => 'xsd:double',
            'shippingTaxCode' => 'core_2013_2.platform:RecordRef',
            'handlingTaxCode' => 'core_2013_2.platform:RecordRef',
            'total' => 'xsd:double',
            'itemList' => 'inventory_2013_2.transactions:TransferOrderItemList',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        TransferOrderItem => {
            'item' => 'core_2013_2.platform:RecordRef',
            'line' => 'xsd:long',
            'quantityAvailable' => 'xsd:double',
            'quantityOnHand' => 'xsd:double',
            'quantityBackOrdered' => 'xsd:double',
            'quantityCommitted' => 'xsd:double',
            'quantityFulfilled' => 'xsd:double',
            'quantityPacked' => 'xsd:double',
            'quantityPicked' => 'xsd:double',
            'quantityReceived' => 'xsd:double',
            'quantity' => 'xsd:double',
            'rate' => 'xsd:double',
            'units' => 'core_2013_2.platform:RecordRef',
            'amount' => 'xsd:double',
            'description' => 'xsd:string',
            'inventoryDetail' => 'common_2013_2.platform:InventoryDetail',
            'serialNumbers' => 'xsd:string',
            'commitInventory' => 'inventory_2013_2.transactionsTypes:TransferOrderItemCommitInventory',
            'orderPriority' => 'xsd:double',
            'options' => 'core_2013_2.platform:CustomFieldList',
            'isClosed' => 'xsd:boolean',
            'department' => 'core_2013_2.platform:RecordRef',
            'class' => 'core_2013_2.platform:RecordRef',
            'lastPurchasePrice' => 'xsd:double',
            'averageCost' => 'xsd:double',
            'expectedShipDate' => 'xsd:dateTime',
            'expectedReceiptDate' => 'xsd:dateTime',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        TransferOrderItemList => {
            'item' => 'inventory_2013_2.transactions:TransferOrderItem',
        },
    
        InterCompanyTransferOrder => {
            'createdDate' => 'xsd:dateTime',
            'lastModifiedDate' => 'xsd:dateTime',
            'customForm' => 'core_2013_2.platform:RecordRef',
            'shippingCost' => 'xsd:double',
            'subTotal' => 'xsd:double',
            'status' => 'xsd:string',
            'transactionShipAddress' => 'common_2013_2.platform:ShipAddress',
            'shipAddressList' => 'core_2013_2.platform:RecordRef',
            'shipAddress' => 'xsd:string',
            'fob' => 'xsd:string',
            'tranDate' => 'xsd:dateTime',
            'tranId' => 'xsd:string',
            'source' => 'xsd:string',
            'orderStatus' => 'inventory_2013_2.transactionsTypes:TransferOrderOrderStatus',
            'subsidiary' => 'core_2013_2.platform:RecordRef',
            'toSubsidiary' => 'core_2013_2.platform:RecordRef',
            'employee' => 'core_2013_2.platform:RecordRef',
            'department' => 'core_2013_2.platform:RecordRef',
            'class' => 'core_2013_2.platform:RecordRef',
            'location' => 'core_2013_2.platform:RecordRef',
            'transferLocation' => 'core_2013_2.platform:RecordRef',
            'memo' => 'xsd:string',
            'shipDate' => 'xsd:dateTime',
            'shipMethod' => 'core_2013_2.platform:RecordRef',
            'trackingNumbers' => 'xsd:string',
            'linkedTrackingNumbers' => 'xsd:string',
            'shipComplete' => 'xsd:boolean',
            'altShippingCost' => 'xsd:double',
            'shippingTax1Rate' => 'xsd:double',
            'handlingTax1Rate' => 'xsd:double',
            'shippingTax2Rate' => 'xsd:double',
            'handlingTax2Rate' => 'xsd:double',
            'shippingTaxCode' => 'core_2013_2.platform:RecordRef',
            'handlingTaxCode' => 'core_2013_2.platform:RecordRef',
            'total' => 'xsd:double',
            'itemList' => 'inventory_2013_2.transactions:InterCompanyTransferOrderItemList',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        InterCompanyTransferOrderItem => {
            'item' => 'core_2013_2.platform:RecordRef',
            'line' => 'xsd:long',
            'quantityAvailable' => 'xsd:double',
            'quantityOnHand' => 'xsd:double',
            'quantityBackOrdered' => 'xsd:double',
            'quantityCommitted' => 'xsd:double',
            'quantityFulfilled' => 'xsd:double',
            'quantityReceived' => 'xsd:double',
            'quantity' => 'xsd:double',
            'rate' => 'xsd:double',
            'units' => 'core_2013_2.platform:RecordRef',
            'amount' => 'xsd:double',
            'description' => 'xsd:string',
            'inventoryDetail' => 'common_2013_2.platform:InventoryDetail',
            'commitInventory' => 'inventory_2013_2.transactionsTypes:TransferOrderItemCommitInventory',
            'options' => 'core_2013_2.platform:CustomFieldList',
            'department' => 'core_2013_2.platform:RecordRef',
            'class' => 'core_2013_2.platform:RecordRef',
            'lastPurchasePrice' => 'xsd:double',
            'averageCost' => 'xsd:double',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        InterCompanyTransferOrderItemList => {
            'item' => 'inventory_2013_2.transactions:InterCompanyTransferOrderItem',
        },
    
        WorkOrder => {
            'createdDate' => 'xsd:dateTime',
            'lastModifiedDate' => 'xsd:dateTime',
            'customForm' => 'core_2013_2.platform:RecordRef',
            'manufacturingRouting' => 'core_2013_2.platform:RecordRef',
            'status' => 'xsd:string',
            'tranId' => 'xsd:string',
            'entity' => 'core_2013_2.platform:RecordRef',
            'job' => 'core_2013_2.platform:RecordRef',
            'assemblyItem' => 'core_2013_2.platform:RecordRef',
            'expandAssembly' => 'xsd:boolean',
            'isWip' => 'xsd:boolean',
            'quantity' => 'xsd:double',
            'units' => 'core_2013_2.platform:RecordRef',
            'tranDate' => 'xsd:dateTime',
            'memo' => 'xsd:string',
            'department' => 'core_2013_2.platform:RecordRef',
            'class' => 'core_2013_2.platform:RecordRef',
            'itemList' => 'inventory_2013_2.transactions:WorkOrderItemList',
            'location' => 'core_2013_2.platform:RecordRef',
            'salesTeamList' => 'inventory_2013_2.transactions:SalesTeamList',
            'partnersList' => 'inventory_2013_2.transactions:PartnersList',
            'createdFrom' => 'core_2013_2.platform:RecordRef',
            'buildable' => 'xsd:double',
            'options' => 'core_2013_2.platform:CustomFieldList',
            'built' => 'xsd:double',
            'startDate' => 'xsd:dateTime',
            'endDate' => 'xsd:dateTime',
            'revision' => 'core_2013_2.platform:RecordRef',
            'subsidiary' => 'core_2013_2.platform:RecordRef',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        WorkOrderItem => {
            'line' => 'xsd:long',
            'item' => 'core_2013_2.platform:RecordRef',
            'componentYield' => 'xsd:double',
            'bomQuantity' => 'xsd:double',
            'quantityCommitted' => 'xsd:double',
            'quantityBackOrdered' => 'xsd:double',
            'quantityAvailable' => 'xsd:double',
            'averageCost' => 'xsd:double',
            'lastPurchasePrice' => 'xsd:double',
            'quantityOnHand' => 'xsd:double',
            'quantity' => 'xsd:double',
            'units' => 'core_2013_2.platform:RecordRef',
            'inventoryDetail' => 'common_2013_2.platform:InventoryDetail',
            'serialNumbers' => 'xsd:string',
            'orderPriority' => 'xsd:double',
            'options' => 'core_2013_2.platform:CustomFieldList',
            'department' => 'core_2013_2.platform:RecordRef',
            'class' => 'core_2013_2.platform:RecordRef',
            'location' => 'core_2013_2.platform:RecordRef',
            'poVendor' => 'core_2013_2.platform:RecordRef',
            'poRate' => 'xsd:double',
            'percentComplete' => 'xsd:double',
            'contribution' => 'xsd:double',
            'description' => 'xsd:string',
            'commit' => 'inventory_2013_2.transactionsTypes:WorkOrderItemItemCommitInventory',
            'createPo' => 'inventory_2013_2.transactionsTypes:WorkOrderItemItemCreatePo',
            'createWo' => 'xsd:boolean',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        WorkOrderItemList => {
            'item' => 'inventory_2013_2.transactions:WorkOrderItem',
        },
    
        SalesTeamList => {
            'salesTeam' => 'common_2013_2.platform:CustomerSalesTeam',
        },
    
        PartnersList => {
            'partners' => 'common_2013_2.platform:Partners',
        },
    
        InventoryTransfer => {
            'createdDate' => 'xsd:dateTime',
            'lastModifiedDate' => 'xsd:dateTime',
            'tranDate' => 'xsd:dateTime',
            'postingPeriod' => 'core_2013_2.platform:RecordRef',
            'tranId' => 'xsd:string',
            'memo' => 'xsd:string',
            'location' => 'core_2013_2.platform:RecordRef',
            'transferLocation' => 'core_2013_2.platform:RecordRef',
            'department' => 'core_2013_2.platform:RecordRef',
            'class' => 'core_2013_2.platform:RecordRef',
            'subsidiary' => 'core_2013_2.platform:RecordRef',
            'inventoryList' => 'inventory_2013_2.transactions:InventoryTransferInventoryList',
        },
    
        InventoryTransferInventory => {
            'line' => 'xsd:long',
            'item' => 'core_2013_2.platform:RecordRef',
            'description' => 'xsd:string',
            'units' => 'core_2013_2.platform:RecordRef',
            'quantityOnHand' => 'xsd:double',
            'adjustQtyBy' => 'xsd:double',
            'serialNumbers' => 'xsd:string',
            'fromBinNumbers' => 'xsd:string',
            'toBinNumbers' => 'xsd:string',
            'inventoryDetail' => 'common_2013_2.platform:InventoryDetail',
        },
    
        InventoryTransferInventoryList => {
            'inventory' => 'inventory_2013_2.transactions:InventoryTransferInventory',
        },
    
        BinTransfer => {
            'createdDate' => 'xsd:dateTime',
            'lastModifiedDate' => 'xsd:dateTime',
            'tranDate' => 'xsd:dateTime',
            'memo' => 'xsd:string',
            'location' => 'core_2013_2.platform:RecordRef',
            'inventoryList' => 'inventory_2013_2.transactions:BinTransferInventoryList',
            'subsidiary' => 'core_2013_2.platform:RecordRef',
            'tranId' => 'xsd:string',
        },
    
        BinTransferInventory => {
            'line' => 'xsd:long',
            'item' => 'core_2013_2.platform:RecordRef',
            'description' => 'xsd:string',
            'preferredBin' => 'xsd:string',
            'quantity' => 'xsd:double',
            'itemUnitsLabel' => 'xsd:string',
            'inventoryDetail' => 'common_2013_2.platform:InventoryDetail',
            'fromBins' => 'xsd:string',
            'toBins' => 'xsd:string',
        },
    
        BinTransferInventoryList => {
            'inventory' => 'inventory_2013_2.transactions:BinTransferInventory',
        },
    
        BinWorksheet => {
            'createdDate' => 'xsd:dateTime',
            'lastModifiedDate' => 'xsd:dateTime',
            'tranDate' => 'xsd:dateTime',
            'memo' => 'xsd:string',
            'location' => 'core_2013_2.platform:RecordRef',
            'tranId' => 'xsd:string',
            'itemList' => 'inventory_2013_2.transactions:BinWorksheetItemList',
        },
    
        BinWorksheetItem => {
            'item' => 'core_2013_2.platform:RecordRef',
            'itemName' => 'xsd:string',
            'description' => 'xsd:string',
            'quantity' => 'xsd:double',
            'itemOnHand' => 'xsd:string',
            'itemUnitsLabel' => 'xsd:string',
            'inventoryDetail' => 'common_2013_2.platform:InventoryDetail',
            'itemBins' => 'xsd:string',
            'itemBinNumbers' => 'xsd:string',
            'itemBinList' => 'xsd:string',
            'itemPreferBin' => 'xsd:string',
            'itemBlank' => 'xsd:string',
        },
    
        BinWorksheetItemList => {
            'item' => 'inventory_2013_2.transactions:BinWorksheetItem',
        },
    
        WorkOrderIssue => {
            'createdDate' => 'xsd:dateTime',
            'lastModifiedDate' => 'xsd:dateTime',
            'customForm' => 'core_2013_2.platform:RecordRef',
            'tranId' => 'xsd:string',
            'item' => 'core_2013_2.platform:RecordRef',
            'createdFrom' => 'core_2013_2.platform:RecordRef',
            'tranDate' => 'xsd:dateTime',
            'postingPeriod' => 'core_2013_2.platform:RecordRef',
            'memo' => 'xsd:string',
            'subsidiary' => 'core_2013_2.platform:RecordRef',
            'department' => 'core_2013_2.platform:RecordRef',
            'class' => 'core_2013_2.platform:RecordRef',
            'location' => 'core_2013_2.platform:RecordRef',
            'revision' => 'core_2013_2.platform:RecordRef',
            'componentList' => 'inventory_2013_2.transactions:WorkOrderIssueComponentList',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        WorkOrderIssueComponent => {
            'item' => 'core_2013_2.platform:RecordRef',
            'quantity' => 'xsd:double',
            'componentInventoryDetail' => 'common_2013_2.platform:InventoryDetail',
            'lineNumber' => 'xsd:long',
        },
    
        WorkOrderIssueComponentList => {
            'workOrderIssueComponent' => 'inventory_2013_2.transactions:WorkOrderIssueComponent',
        },
    
        WorkOrderCompletion => {
            'createdDate' => 'xsd:dateTime',
            'lastModifiedDate' => 'xsd:dateTime',
            'customForm' => 'core_2013_2.platform:RecordRef',
            'tranId' => 'xsd:string',
            'item' => 'core_2013_2.platform:RecordRef',
            'quantity' => 'xsd:double',
            'scrapQuantity' => 'xsd:double',
            'units' => 'core_2013_2.platform:RecordRef',
            'isBackflush' => 'xsd:boolean',
            'orderQuantity' => 'xsd:double',
            'total' => 'xsd:double',
            'createdFrom' => 'core_2013_2.platform:RecordRef',
            'inventoryDetail' => 'common_2013_2.platform:InventoryDetail',
            'tranDate' => 'xsd:dateTime',
            'postingPeriod' => 'core_2013_2.platform:RecordRef',
            'memo' => 'xsd:string',
            'subsidiary' => 'core_2013_2.platform:RecordRef',
            'department' => 'core_2013_2.platform:RecordRef',
            'class' => 'core_2013_2.platform:RecordRef',
            'location' => 'core_2013_2.platform:RecordRef',
            'revision' => 'core_2013_2.platform:RecordRef',
            'startOperation' => 'core_2013_2.platform:RecordRef',
            'endOperation' => 'core_2013_2.platform:RecordRef',
            'completedQuantity' => 'xsd:double',
            'manufacturingRouting' => 'core_2013_2.platform:RecordRef',
            'componentList' => 'inventory_2013_2.transactions:WorkOrderCompletionComponentList',
            'operationList' => 'inventory_2013_2.transactions:WorkOrderCompletionOperationList',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        WorkOrderCompletionComponent => {
            'item' => 'core_2013_2.platform:RecordRef',
            'quantityPer' => 'xsd:double',
            'quantity' => 'xsd:double',
            'componentInventoryDetail' => 'common_2013_2.platform:InventoryDetail',
            'lineNumber' => 'xsd:long',
        },
    
        WorkOrderCompletionComponentList => {
            'workOrderCompletionComponent' => 'inventory_2013_2.transactions:WorkOrderCompletionComponent',
        },
    
        WorkOrderClose => {
            'createdDate' => 'xsd:dateTime',
            'lastModifiedDate' => 'xsd:dateTime',
            'customForm' => 'core_2013_2.platform:RecordRef',
            'tranId' => 'xsd:string',
            'item' => 'core_2013_2.platform:RecordRef',
            'quantity' => 'xsd:double',
            'orderQuantity' => 'xsd:double',
            'scrapQuantity' => 'xsd:double',
            'createdFrom' => 'core_2013_2.platform:RecordRef',
            'tranDate' => 'xsd:dateTime',
            'postingPeriod' => 'core_2013_2.platform:RecordRef',
            'memo' => 'xsd:string',
            'subsidiary' => 'core_2013_2.platform:RecordRef',
            'department' => 'core_2013_2.platform:RecordRef',
            'class' => 'core_2013_2.platform:RecordRef',
            'location' => 'core_2013_2.platform:RecordRef',
            'revision' => 'core_2013_2.platform:RecordRef',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        WorkOrderCompletionOperation => {
            'operationSequence' => 'xsd:long',
            'operationName' => 'xsd:string',
            'workCenter' => 'xsd:string',
            'machineResources' => 'xsd:long',
            'laborResources' => 'xsd:long',
            'inputQuantity' => 'xsd:double',
            'quantityRemaining' => 'xsd:double',
            'predecessorCompletedQuantity' => 'xsd:double',
            'completedQuantity' => 'xsd:double',
            'recordSetup' => 'xsd:boolean',
            'machineSetupTime' => 'xsd:double',
            'laborSetupTime' => 'xsd:double',
            'machineRunTime' => 'xsd:double',
            'laborRunTime' => 'xsd:double',
        },
    
        WorkOrderCompletionOperationList => {
            'workOrderCompletionOperation' => 'inventory_2013_2.transactions:WorkOrderCompletionOperation',
        },
    
        InventoryCostRevaluation => {
            'createdDate' => 'xsd:dateTime',
            'lastModifiedDate' => 'xsd:dateTime',
            'customForm' => 'core_2013_2.platform:RecordRef',
            'subsidiary' => 'core_2013_2.platform:RecordRef',
            'tranDate' => 'xsd:dateTime',
            'postingPeriod' => 'core_2013_2.platform:RecordRef',
            'tranId' => 'xsd:string',
            'account' => 'core_2013_2.platform:RecordRef',
            'item' => 'core_2013_2.platform:RecordRef',
            'department' => 'core_2013_2.platform:RecordRef',
            'class' => 'core_2013_2.platform:RecordRef',
            'location' => 'core_2013_2.platform:RecordRef',
            'memo' => 'xsd:string',
            'total' => 'xsd:double',
            'inventoryValue' => 'xsd:double',
            'unitCost' => 'xsd:double',
            'costComponentList' => 'inventory_2013_2.transactions:InventoryCostRevaluationCostComponentList',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        InventoryCostRevaluationCostComponent => {
            'cost' => 'xsd:double',
            'componentItem' => 'core_2013_2.platform:RecordRef',
            'quantity' => 'xsd:double',
            'units' => 'core_2013_2.platform:RecordRef',
            'costCategory' => 'core_2013_2.platform:RecordRef',
        },
    
        InventoryCostRevaluationCostComponentList => {
            'costComponent' => 'inventory_2013_2.transactions:InventoryCostRevaluationCostComponent',
        },
    
        JournalEntry => {
            'postingPeriod' => 'core_2013_2.platform:RecordRef',
            'tranDate' => 'xsd:dateTime',
            'currency' => 'core_2013_2.platform:RecordRef',
            'exchangeRate' => 'xsd:double',
            'tranId' => 'xsd:string',
            'reversalDate' => 'xsd:dateTime',
            'reversalDefer' => 'xsd:boolean',
            'parentExpenseAlloc' => 'core_2013_2.platform:RecordRef',
            'reversalEntry' => 'xsd:string',
            'createdFrom' => 'core_2013_2.platform:RecordRef',
            'department' => 'core_2013_2.platform:RecordRef',
            'class' => 'core_2013_2.platform:RecordRef',
            'location' => 'core_2013_2.platform:RecordRef',
            'subsidiary' => 'core_2013_2.platform:RecordRef',
            'toSubsidiary' => 'core_2013_2.platform:RecordRef',
            'approved' => 'xsd:boolean',
            'createdDate' => 'xsd:dateTime',
            'lastModifiedDate' => 'xsd:dateTime',
            'customForm' => 'core_2013_2.platform:RecordRef',
            'lineList' => 'general_2013_2.transactions:JournalEntryLineList',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        JournalEntryLine => {
            'account' => 'core_2013_2.platform:RecordRef',
            'debit' => 'xsd:double',
            'credit' => 'xsd:double',
            'taxCode' => 'core_2013_2.platform:RecordRef',
            'memo' => 'xsd:string',
            'taxRate1' => 'xsd:double',
            'entity' => 'core_2013_2.platform:RecordRef',
            'grossAmt' => 'xsd:double',
            'department' => 'core_2013_2.platform:RecordRef',
            'class' => 'core_2013_2.platform:RecordRef',
            'location' => 'core_2013_2.platform:RecordRef',
            'eliminate' => 'xsd:boolean',
            'schedule' => 'core_2013_2.platform:RecordRef',
            'startDate' => 'xsd:dateTime',
            'endDate' => 'xsd:dateTime',
            'residual' => 'xsd:string',
            'scheduleNum' => 'core_2013_2.platform:RecordRef',
            'tax1Amt' => 'xsd:double',
            'tax1Acct' => 'core_2013_2.platform:RecordRef',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        JournalEntryLineList => {
            'line' => 'general_2013_2.transactions:JournalEntryLine',
        },
    
        InterCompanyJournalEntry => {
            'postingPeriod' => 'core_2013_2.platform:RecordRef',
            'customForm' => 'core_2013_2.platform:RecordRef',
            'tranDate' => 'xsd:dateTime',
            'currency' => 'core_2013_2.platform:RecordRef',
            'exchangeRate' => 'xsd:double',
            'tranId' => 'xsd:string',
            'reversalDate' => 'xsd:dateTime',
            'reversalDefer' => 'xsd:boolean',
            'parentExpenseAlloc' => 'core_2013_2.platform:RecordRef',
            'reversalEntry' => 'xsd:string',
            'createdFrom' => 'core_2013_2.platform:RecordRef',
            'department' => 'core_2013_2.platform:RecordRef',
            'class' => 'core_2013_2.platform:RecordRef',
            'location' => 'core_2013_2.platform:RecordRef',
            'subsidiary' => 'core_2013_2.platform:RecordRef',
            'toSubsidiary' => 'core_2013_2.platform:RecordRef',
            'approved' => 'xsd:boolean',
            'createdDate' => 'xsd:dateTime',
            'lastModifiedDate' => 'xsd:dateTime',
            'lineList' => 'general_2013_2.transactions:InterCompanyJournalEntryLineList',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        InterCompanyJournalEntryLine => {
            'lineSubsidiary' => 'core_2013_2.platform:RecordRef',
            'account' => 'core_2013_2.platform:RecordRef',
            'debit' => 'xsd:double',
            'credit' => 'xsd:double',
            'taxCode' => 'core_2013_2.platform:RecordRef',
            'memo' => 'xsd:string',
            'taxRate1' => 'xsd:double',
            'entity' => 'core_2013_2.platform:RecordRef',
            'grossAmt' => 'xsd:double',
            'schedule' => 'core_2013_2.platform:RecordRef',
            'department' => 'core_2013_2.platform:RecordRef',
            'startDate' => 'xsd:dateTime',
            'class' => 'core_2013_2.platform:RecordRef',
            'endDate' => 'xsd:dateTime',
            'location' => 'core_2013_2.platform:RecordRef',
            'eliminate' => 'xsd:boolean',
            'residual' => 'xsd:string',
            'amortizationSched' => 'core_2013_2.platform:RecordRef',
            'scheduleNum' => 'core_2013_2.platform:RecordRef',
            'amortizStartDate' => 'xsd:dateTime',
            'amortizationEndDate' => 'xsd:dateTime',
            'amortizationResidual' => 'xsd:string',
            'tax1Amt' => 'xsd:double',
            'tax1Acct' => 'core_2013_2.platform:RecordRef',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        InterCompanyJournalEntryLineList => {
            'line' => 'general_2013_2.transactions:InterCompanyJournalEntryLine',
        },
    
        CustomRecord => {
            'customRecordId' => 'xsd:string',
            'customForm' => 'core_2013_2.platform:RecordRef',
            'isInactive' => 'xsd:boolean',
            'disclaimer' => 'xsd:string',
            'created' => 'xsd:dateTime',
            'lastModified' => 'xsd:dateTime',
            'name' => 'xsd:string',
            'owner' => 'core_2013_2.platform:RecordRef',
            'recType' => 'core_2013_2.platform:RecordRef',
            'enableNumbering' => 'xsd:boolean',
            'numberingPrefix' => 'xsd:string',
            'numberingSuffix' => 'xsd:string',
            'numberingMinDigits' => 'xsd:long',
            'description' => 'xsd:string',
            'numberingInit' => 'xsd:long',
            'numberingCurrentNumber' => 'xsd:long',
            'allowNumberingOverride' => 'xsd:boolean',
            'isNumberingUpdateable' => 'xsd:boolean',
            'translationsList' => 'customization_2013_2.setup:CustomRecordTranslationsList',
            'includeName' => 'xsd:boolean',
            'showId' => 'xsd:boolean',
            'showCreationDate' => 'xsd:boolean',
            'showCreationDateOnList' => 'xsd:boolean',
            'showLastModified' => 'xsd:boolean',
            'showLastModifiedOnList' => 'xsd:boolean',
            'showOwner' => 'xsd:boolean',
            'showOwnerOnList' => 'xsd:boolean',
            'showOwnerAllowChange' => 'xsd:boolean',
            'usePermissions' => 'xsd:boolean',
            'allowAttachments' => 'xsd:boolean',
            'showNotes' => 'xsd:boolean',
            'enablEmailMerge' => 'xsd:boolean',
            'isOrdered' => 'xsd:boolean',
            'allowInlineEditing' => 'xsd:boolean',
            'isAvailableOffline' => 'xsd:boolean',
            'allowQuickSearch' => 'xsd:boolean',
            'recordName' => 'xsd:string',
            'scriptId' => 'xsd:string',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        CustomRecordSearchAdvanced => {
            'criteria' => 'customization_2013_2.setup:CustomRecordSearch',
            'columns' => 'customization_2013_2.setup:CustomRecordSearchRow',
        },
    
        CustomRecordSearchRow => {
            'basic' => 'common_2013_2.platform:CustomRecordSearchRowBasic',
            'fileJoin' => 'common_2013_2.platform:FileSearchRowBasic',
            'messagesJoin' => 'common_2013_2.platform:MessageSearchRowBasic',
            'ownerJoin' => 'common_2013_2.platform:EmployeeSearchRowBasic',
            'userJoin' => 'common_2013_2.platform:EmployeeSearchRowBasic',
            'userNotesJoin' => 'common_2013_2.platform:NoteSearchRowBasic',
            'customSearchJoin' => 'common_2013_2.platform:CustomSearchRowBasic',
        },
    
        CustomList => {
            'name' => 'xsd:string',
            'owner' => 'core_2013_2.platform:RecordRef',
            'isOrdered' => 'xsd:boolean',
            'description' => 'xsd:string',
            'isMatrixOption' => 'xsd:boolean',
            'scriptId' => 'xsd:string',
            'convertToCustomRecord' => 'xsd:boolean',
            'isInactive' => 'xsd:boolean',
            'customValueList' => 'customization_2013_2.setup:CustomListCustomValueList',
            'translationsList' => 'customization_2013_2.setup:CustomListTranslationsList',
        },
    
        CustomListCustomValue => {
            'value' => 'xsd:string',
            'abbreviation' => 'xsd:string',
            'isInactive' => 'xsd:boolean',
            'valueId' => 'xsd:long',
            'valueLanguageValueList' => 'customization_2013_2.setup:LanguageValueList',
        },
    
        CustomListCustomValueList => {
            'customValue' => 'customization_2013_2.setup:CustomListCustomValue',
        },
    
        CustomListTranslations => {
            'locale' => 'common_2013_2.platformTypes:Language',
            'localeDescription' => 'xsd:string',
            'name' => 'xsd:string',
        },
    
        CustomListTranslationsList => {
            'translations' => 'customization_2013_2.setup:CustomListTranslations',
        },
    
        CustomRecordType => {
            'recordName' => 'xsd:string',
            'includeName' => 'xsd:boolean',
            'showId' => 'xsd:boolean',
            'showCreationDate' => 'xsd:boolean',
            'showCreationDateOnList' => 'xsd:boolean',
            'showLastModified' => 'xsd:boolean',
            'showLastModifiedOnList' => 'xsd:boolean',
            'showOwner' => 'xsd:boolean',
            'showOwnerOnList' => 'xsd:boolean',
            'showOwnerAllowChange' => 'xsd:boolean',
            'accessType' => 'customization_2013_2.setupTypes:CustomRecordTypeAccessType',
            'allowAttachments' => 'xsd:boolean',
            'showNotes' => 'xsd:boolean',
            'enableMailMerge' => 'xsd:boolean',
            'isOrdered' => 'xsd:boolean',
            'isAvailableOffline' => 'xsd:boolean',
            'allowQuickSearch' => 'xsd:boolean',
            'enableDle' => 'xsd:boolean',
            'enableNameTranslation' => 'xsd:boolean',
            'isInactive' => 'xsd:boolean',
            'disclaimer' => 'xsd:string',
            'enableNumbering' => 'xsd:boolean',
            'numberingPrefix' => 'xsd:string',
            'numberingSuffix' => 'xsd:string',
            'numberingMinDigits' => 'xsd:long',
            'numberingInit' => 'xsd:long',
            'numberingCurrentNumber' => 'xsd:long',
            'allowNumberingOverride' => 'xsd:boolean',
            'isNumberingUpdateable' => 'xsd:boolean',
            'owner' => 'core_2013_2.platform:RecordRef',
            'description' => 'xsd:string',
            'tabsList' => 'customization_2013_2.setup:CustomRecordTypeTabsList',
            'sublistsList' => 'customization_2013_2.setup:CustomRecordTypeSublistsList',
            'formsList' => 'customization_2013_2.setup:CustomRecordTypeFormsList',
            'onlineFormsList' => 'customization_2013_2.setup:CustomRecordTypeOnlineFormsList',
            'permissionsList' => 'customization_2013_2.setup:CustomRecordTypePermissionsList',
            'linksList' => 'customization_2013_2.setup:CustomRecordTypeLinksList',
            'managersList' => 'customization_2013_2.setup:CustomRecordTypeManagersList',
            'childrenList' => 'customization_2013_2.setup:CustomRecordTypeChildrenList',
            'parentsList' => 'customization_2013_2.setup:CustomRecordTypeParentsList',
            'translationsList' => 'customization_2013_2.setup:CustomRecordTypeTranslationsList',
            'scriptId' => 'xsd:string',
            'customFieldList' => 'customization_2013_2.setup:CustomRecordTypeFieldList',
        },
    
        CustomRecordTypeFieldList => {
            'customField' => 'customization_2013_2.setup:CustomRecordCustomField',
        },
    
        CustomRecordTypeTabs => {
            'tabTitle' => 'xsd:string',
            'tabParent' => 'core_2013_2.platform:RecordRef',
            'tabTitleLanguageValueList' => 'customization_2013_2.setup:LanguageValueList',
        },
    
        CustomRecordTypeTabsList => {
            'tabs' => 'customization_2013_2.setup:CustomRecordTypeTabs',
        },
    
        CustomRecordTypeForms => {
            'formEdit' => 'xsd:string',
            'formName' => 'xsd:string',
            'formPref' => 'xsd:boolean',
        },
    
        CustomRecordTypeFormsList => {
            'forms' => 'customization_2013_2.setup:CustomRecordTypeForms',
        },
    
        CustomRecordTypeOnlineForms => {
            'onlineFormName' => 'xsd:string',
            'isOnline' => 'xsd:string',
            'templateName' => 'xsd:string',
        },
    
        CustomRecordTypeOnlineFormsList => {
            'onlineForms' => 'customization_2013_2.setup:CustomRecordTypeOnlineForms',
        },
    
        CustomRecordTypePermissions => {
            'permittedRole' => 'core_2013_2.platform:RecordRef',
            'permittedLevel' => 'customization_2013_2.setupTypes:CustomRecordTypePermissionsPermittedLevel',
            'restriction' => 'customization_2013_2.setupTypes:CustomRecordTypePermissionsRestriction',
            'defaultForm' => 'core_2013_2.platform:RecordRef',
            'restrictForm' => 'xsd:boolean',
            'searchForm' => 'core_2013_2.platform:RecordRef',
            'searchResults' => 'core_2013_2.platform:RecordRef',
            'listView' => 'core_2013_2.platform:RecordRef',
            'listViewRestricted' => 'xsd:boolean',
            'dashboardView' => 'core_2013_2.platform:RecordRef',
            'restrictDashboardView' => 'xsd:boolean',
            'sublistView' => 'core_2013_2.platform:RecordRef',
            'restrictSublistView' => 'xsd:boolean',
        },
    
        CustomRecordTypePermissionsList => {
            'permissions' => 'customization_2013_2.setup:CustomRecordTypePermissions',
        },
    
        CustomRecordTypeLinks => {
            'linkCenter' => 'core_2013_2.platform:RecordRef',
            'linkSection' => 'core_2013_2.platform:RecordRef',
            'linkLabel' => 'xsd:string',
        },
    
        CustomRecordTypeLinksList => {
            'links' => 'customization_2013_2.setup:CustomRecordTypeLinks',
        },
    
        CustomRecordTypeManagers => {
            'managerEmp' => 'core_2013_2.platform:RecordRef',
        },
    
        CustomRecordTypeManagersList => {
            'managers' => 'customization_2013_2.setup:CustomRecordTypeManagers',
        },
    
        CustomRecordTypeChildren => {
            'childDescr' => 'xsd:string',
            'childTab' => 'core_2013_2.platform:RecordRef',
        },
    
        CustomRecordTypeChildrenList => {
            'children' => 'customization_2013_2.setup:CustomRecordTypeChildren',
        },
    
        CustomRecordTypeParents => {
            'childDescr' => 'xsd:string',
        },
    
        CustomRecordTypeParentsList => {
            'parents' => 'customization_2013_2.setup:CustomRecordTypeParents',
        },
    
        CustomRecordTypeTranslations => {
            'locale' => 'common_2013_2.platformTypes:Language',
            'localeDescription' => 'xsd:string',
            'name' => 'xsd:string',
        },
    
        CustomRecordTypeTranslationsList => {
            'translations' => 'customization_2013_2.setup:CustomRecordTypeTranslations',
        },
    
        CustomRecordTypeSublists => {
            'recordSearch' => 'core_2013_2.platform:RecordRef',
            'recordDescr' => 'xsd:string',
            'recordDescrLanguageValueList' => 'customization_2013_2.setup:LanguageValueList',
            'recordTab' => 'core_2013_2.platform:RecordRef',
            'recordId' => 'xsd:string',
        },
    
        CustomRecordTypeSublistsList => {
            'sublists' => 'customization_2013_2.setup:CustomRecordTypeSublists',
        },
    
        CustomFieldType => {
            'fieldType' => 'customization_2013_2.setupTypes:CustomizationFieldType',
            'scriptId' => 'xsd:string',
        },
    
        EntityCustomField => {
            'label' => 'xsd:string',
            'owner' => 'core_2013_2.platform:RecordRef',
            'description' => 'xsd:string',
            'selectRecordType' => 'core_2013_2.platform:RecordRef',
            'storeValue' => 'xsd:boolean',
            'showInList' => 'xsd:boolean',
            'globalSearch' => 'xsd:boolean',
            'isParent' => 'xsd:boolean',
            'insertBefore' => 'core_2013_2.platform:RecordRef',
            'availableToSso' => 'xsd:boolean',
            'subtab' => 'core_2013_2.platform:RecordRef',
            'displayType' => 'customization_2013_2.setupTypes:CustomizationDisplayType',
            'displayWidth' => 'xsd:long',
            'displayHeight' => 'xsd:long',
            'help' => 'xsd:string',
            'parentSubtab' => 'core_2013_2.platform:RecordRef',
            'linkText' => 'xsd:string',
            'isMandatory' => 'xsd:boolean',
            'checkSpelling' => 'xsd:boolean',
            'maxLength' => 'xsd:long',
            'minValue' => 'xsd:double',
            'maxValue' => 'xsd:double',
            'defaultChecked' => 'xsd:boolean',
            'defaultValue' => 'xsd:string',
            'isFormula' => 'xsd:boolean',
            'defaultSelection' => 'core_2013_2.platform:RecordRef',
            'dynamicDefault' => 'customization_2013_2.setupTypes:CustomizationDynamicDefault',
            'searchDefault' => 'core_2013_2.platform:RecordRef',
            'searchCompareField' => 'core_2013_2.platform:RecordRef',
            'sourceList' => 'core_2013_2.platform:RecordRef',
            'sourceFrom' => 'core_2013_2.platform:RecordRef',
            'sourceFilterBy' => 'core_2013_2.platform:RecordRef',
            'appliesToCustomer' => 'xsd:boolean',
            'appliesToProject' => 'xsd:boolean',
            'appliesToVendor' => 'xsd:boolean',
            'appliesToEmployee' => 'xsd:boolean',
            'appliesToOtherName' => 'xsd:boolean',
            'appliesToContact' => 'xsd:boolean',
            'appliesToPartner' => 'xsd:boolean',
            'appliesToWebSite' => 'xsd:boolean',
            'appliesToGroup' => 'xsd:boolean',
            'availableExternally' => 'xsd:boolean',
            'filterList' => 'customization_2013_2.setup:EntityCustomFieldFilterList',
            'accessLevel' => 'customization_2013_2.setupTypes:CustomizationAccessLevel',
            'appliesToStatement' => 'xsd:boolean',
            'searchLevel' => 'customization_2013_2.setupTypes:CustomizationSearchLevel',
            'appliesToPriceList' => 'xsd:boolean',
            'roleAccessList' => 'customization_2013_2.setup:CustomFieldRoleAccessList',
            'deptAccessList' => 'customization_2013_2.setup:CustomFieldDepartmentAccessList',
            'subAccessList' => 'customization_2013_2.setup:CustomFieldSubAccessList',
            'translationsList' => 'customization_2013_2.setup:CustomFieldTranslationsList',
        },
    
        EntityCustomFieldFilter => {
            'fldFilter' => 'core_2013_2.platform:RecordRef',
            'fldFilterChecked' => 'xsd:boolean',
            'fldFilterCompareType' => 'customization_2013_2.setupTypes:CustomizationFilterCompareType',
            'fldFilterVal' => 'xsd:string',
            'fldFilterSelList' => 'customization_2013_2.setup:FldFilterSelList',
            'fldFilterNotNull' => 'xsd:boolean',
        },
    
        EntityCustomFieldFilterList => {
            'filter' => 'customization_2013_2.setup:EntityCustomFieldFilter',
        },
    
        FldFilterSelList => {
            'fldFilterSel' => 'core_2013_2.platform:RecordRef',
        },
    
        CrmCustomField => {
            'label' => 'xsd:string',
            'owner' => 'core_2013_2.platform:RecordRef',
            'description' => 'xsd:string',
            'selectRecordType' => 'core_2013_2.platform:RecordRef',
            'storeValue' => 'xsd:boolean',
            'showInList' => 'xsd:boolean',
            'globalSearch' => 'xsd:boolean',
            'isParent' => 'xsd:boolean',
            'insertBefore' => 'core_2013_2.platform:RecordRef',
            'subtab' => 'core_2013_2.platform:RecordRef',
            'displayType' => 'customization_2013_2.setupTypes:CustomizationDisplayType',
            'displayWidth' => 'xsd:long',
            'displayHeight' => 'xsd:long',
            'help' => 'xsd:string',
            'parentSubtab' => 'core_2013_2.platform:RecordRef',
            'linkText' => 'xsd:string',
            'isMandatory' => 'xsd:boolean',
            'checkSpelling' => 'xsd:boolean',
            'maxLength' => 'xsd:long',
            'minValue' => 'xsd:double',
            'maxValue' => 'xsd:double',
            'defaultChecked' => 'xsd:boolean',
            'defaultValue' => 'xsd:string',
            'isFormula' => 'xsd:boolean',
            'defaultSelection' => 'core_2013_2.platform:RecordRef',
            'dynamicDefault' => 'customization_2013_2.setupTypes:CustomizationDynamicDefault',
            'searchDefault' => 'core_2013_2.platform:RecordRef',
            'searchCompareField' => 'core_2013_2.platform:RecordRef',
            'sourceList' => 'core_2013_2.platform:RecordRef',
            'sourceFrom' => 'core_2013_2.platform:RecordRef',
            'sourceFilterBy' => 'core_2013_2.platform:RecordRef',
            'appliesToTask' => 'xsd:boolean',
            'appliesToMfgProjectTask' => 'xsd:boolean',
            'appliesToProjectTask' => 'xsd:boolean',
            'appliesToPhoneCall' => 'xsd:boolean',
            'appliesToEvent' => 'xsd:boolean',
            'appliesToCase' => 'xsd:boolean',
            'appliesToCampaign' => 'xsd:boolean',
            'appliesPerKeyword' => 'xsd:boolean',
            'appliesToSolution' => 'xsd:boolean',
            'appliesToIssue' => 'xsd:boolean',
            'availableExternally' => 'xsd:boolean',
            'availableToSso' => 'xsd:boolean',
            'showIssueChanges' => 'xsd:boolean',
            'filterList' => 'customization_2013_2.setup:CrmCustomFieldFilterList',
            'accessLevel' => 'customization_2013_2.setupTypes:CustomizationAccessLevel',
            'searchLevel' => 'customization_2013_2.setupTypes:CustomizationSearchLevel',
            'roleAccessList' => 'customization_2013_2.setup:CustomFieldRoleAccessList',
            'deptAccessList' => 'customization_2013_2.setup:CustomFieldDepartmentAccessList',
            'subAccessList' => 'customization_2013_2.setup:CustomFieldSubAccessList',
            'translationsList' => 'customization_2013_2.setup:CustomFieldTranslationsList',
        },
    
        CrmCustomFieldFilter => {
            'fldFilter' => 'core_2013_2.platform:RecordRef',
            'fldFilterChecked' => 'xsd:boolean',
            'fldFilterCompareType' => 'customization_2013_2.setupTypes:CustomizationFilterCompareType',
            'fldFilterVal' => 'xsd:string',
            'fldFilterSelList' => 'customization_2013_2.setup:FldFilterSelList',
            'fldFilterNotNull' => 'xsd:boolean',
        },
    
        CrmCustomFieldFilterList => {
            'filter' => 'customization_2013_2.setup:CrmCustomFieldFilter',
        },
    
        OtherCustomField => {
            'recType' => 'core_2013_2.platform:RecordRef',
            'label' => 'xsd:string',
            'owner' => 'core_2013_2.platform:RecordRef',
            'description' => 'xsd:string',
            'selectRecordType' => 'core_2013_2.platform:RecordRef',
            'storeValue' => 'xsd:boolean',
            'showInList' => 'xsd:boolean',
            'insertBefore' => 'core_2013_2.platform:RecordRef',
            'displayType' => 'customization_2013_2.setupTypes:CustomizationDisplayType',
            'displayWidth' => 'xsd:long',
            'displayHeight' => 'xsd:long',
            'help' => 'xsd:string',
            'linkText' => 'xsd:string',
            'isMandatory' => 'xsd:boolean',
            'checkSpelling' => 'xsd:boolean',
            'maxLength' => 'xsd:long',
            'minValue' => 'xsd:double',
            'maxValue' => 'xsd:double',
            'defaultChecked' => 'xsd:boolean',
            'defaultValue' => 'xsd:string',
            'isFormula' => 'xsd:boolean',
            'defaultSelection' => 'core_2013_2.platform:RecordRef',
            'dynamicDefault' => 'customization_2013_2.setupTypes:CustomizationDynamicDefault',
            'searchDefault' => 'core_2013_2.platform:RecordRef',
            'searchCompareField' => 'core_2013_2.platform:RecordRef',
            'sourceList' => 'core_2013_2.platform:RecordRef',
            'sourceFrom' => 'core_2013_2.platform:RecordRef',
            'sourceFilterBy' => 'core_2013_2.platform:RecordRef',
            'filterList' => 'customization_2013_2.setup:OtherCustomFieldFilterList',
            'accessLevel' => 'customization_2013_2.setupTypes:CustomizationAccessLevel',
            'searchLevel' => 'customization_2013_2.setupTypes:CustomizationSearchLevel',
            'roleAccessList' => 'customization_2013_2.setup:CustomFieldRoleAccessList',
            'deptAccessList' => 'customization_2013_2.setup:CustomFieldDepartmentAccessList',
            'subAccessList' => 'customization_2013_2.setup:CustomFieldSubAccessList',
            'translationsList' => 'customization_2013_2.setup:CustomFieldTranslationsList',
        },
    
        OtherCustomFieldFilter => {
            'fldFilter' => 'core_2013_2.platform:RecordRef',
            'fldFilterChecked' => 'xsd:boolean',
            'fldFilterCompareType' => 'customization_2013_2.setupTypes:CustomizationFilterCompareType',
            'fldFilterVal' => 'xsd:string',
            'fldFilterSelList' => 'customization_2013_2.setup:FldFilterSelList',
            'fldFilterNotNull' => 'xsd:boolean',
        },
    
        OtherCustomFieldFilterList => {
            'filter' => 'customization_2013_2.setup:OtherCustomFieldFilter',
        },
    
        ItemCustomField => {
            'label' => 'xsd:string',
            'owner' => 'core_2013_2.platform:RecordRef',
            'itemMatrix' => 'xsd:boolean',
            'description' => 'xsd:string',
            'selectRecordType' => 'core_2013_2.platform:RecordRef',
            'storeValue' => 'xsd:boolean',
            'showInList' => 'xsd:boolean',
            'globalSearch' => 'xsd:boolean',
            'isParent' => 'xsd:boolean',
            'insertBefore' => 'core_2013_2.platform:RecordRef',
            'subtab' => 'core_2013_2.platform:RecordRef',
            'displayType' => 'customization_2013_2.setupTypes:CustomizationDisplayType',
            'displayWidth' => 'xsd:long',
            'displayHeight' => 'xsd:long',
            'help' => 'xsd:string',
            'parentSubtab' => 'core_2013_2.platform:RecordRef',
            'linkText' => 'xsd:string',
            'isMandatory' => 'xsd:boolean',
            'checkSpelling' => 'xsd:boolean',
            'maxLength' => 'xsd:long',
            'minValue' => 'xsd:double',
            'maxValue' => 'xsd:double',
            'defaultChecked' => 'xsd:boolean',
            'defaultValue' => 'xsd:string',
            'isFormula' => 'xsd:boolean',
            'defaultSelection' => 'core_2013_2.platform:RecordRef',
            'dynamicDefault' => 'customization_2013_2.setupTypes:CustomizationDynamicDefault',
            'searchDefault' => 'core_2013_2.platform:RecordRef',
            'searchCompareField' => 'core_2013_2.platform:RecordRef',
            'sourceList' => 'core_2013_2.platform:RecordRef',
            'sourceFrom' => 'core_2013_2.platform:RecordRef',
            'sourceFilterBy' => 'core_2013_2.platform:RecordRef',
            'appliesToInventory' => 'xsd:boolean',
            'appliesToNonInventory' => 'xsd:boolean',
            'appliesToService' => 'xsd:boolean',
            'appliesToOtherCharge' => 'xsd:boolean',
            'appliesToGroup' => 'xsd:boolean',
            'appliesToKit' => 'xsd:boolean',
            'appliesToItemAssembly' => 'xsd:boolean',
            'availableToSso' => 'xsd:boolean',
            'itemSubType' => 'customization_2013_2.setupTypes:ItemCustomFieldItemSubType',
            'filterList' => 'customization_2013_2.setup:ItemCustomFieldFilterList',
            'appliesToPriceList' => 'xsd:boolean',
            'accessLevel' => 'customization_2013_2.setupTypes:CustomizationAccessLevel',
            'searchLevel' => 'customization_2013_2.setupTypes:CustomizationSearchLevel',
            'roleAccessList' => 'customization_2013_2.setup:CustomFieldRoleAccessList',
            'deptAccessList' => 'customization_2013_2.setup:CustomFieldDepartmentAccessList',
            'subAccessList' => 'customization_2013_2.setup:CustomFieldSubAccessList',
            'translationsList' => 'customization_2013_2.setup:CustomFieldTranslationsList',
        },
    
        ItemCustomFieldFilter => {
            'fldFilter' => 'core_2013_2.platform:RecordRef',
            'fldFilterChecked' => 'xsd:boolean',
            'fldFilterCompareType' => 'customization_2013_2.setupTypes:CustomizationFilterCompareType',
            'fldFilterVal' => 'xsd:string',
            'fldFilterSelList' => 'customization_2013_2.setup:FldFilterSelList',
            'fldFilterNotNull' => 'xsd:boolean',
        },
    
        ItemCustomFieldFilterList => {
            'filter' => 'customization_2013_2.setup:ItemCustomFieldFilter',
        },
    
        TransactionBodyCustomField => {
            'label' => 'xsd:string',
            'owner' => 'core_2013_2.platform:RecordRef',
            'description' => 'xsd:string',
            'selectRecordType' => 'core_2013_2.platform:RecordRef',
            'storeValue' => 'xsd:boolean',
            'showInList' => 'xsd:boolean',
            'globalSearch' => 'xsd:boolean',
            'isParent' => 'xsd:boolean',
            'insertBefore' => 'core_2013_2.platform:RecordRef',
            'subtab' => 'core_2013_2.platform:RecordRef',
            'availableToSso' => 'xsd:boolean',
            'displayType' => 'customization_2013_2.setupTypes:CustomizationDisplayType',
            'displayWidth' => 'xsd:long',
            'displayHeight' => 'xsd:long',
            'help' => 'xsd:string',
            'parentSubtab' => 'core_2013_2.platform:RecordRef',
            'linkText' => 'xsd:string',
            'isMandatory' => 'xsd:boolean',
            'checkSpelling' => 'xsd:boolean',
            'maxLength' => 'xsd:long',
            'minValue' => 'xsd:double',
            'maxValue' => 'xsd:double',
            'defaultChecked' => 'xsd:boolean',
            'defaultValue' => 'xsd:string',
            'isFormula' => 'xsd:boolean',
            'defaultSelection' => 'core_2013_2.platform:RecordRef',
            'dynamicDefault' => 'customization_2013_2.setupTypes:CustomizationDynamicDefault',
            'searchDefault' => 'core_2013_2.platform:RecordRef',
            'searchCompareField' => 'core_2013_2.platform:RecordRef',
            'sourceList' => 'core_2013_2.platform:RecordRef',
            'sourceFrom' => 'core_2013_2.platform:RecordRef',
            'sourceFilterBy' => 'core_2013_2.platform:RecordRef',
            'bodyPurchase' => 'xsd:boolean',
            'bodySale' => 'xsd:boolean',
            'bodyOpportunity' => 'xsd:boolean',
            'bodyJournal' => 'xsd:boolean',
            'bodyExpenseReport' => 'xsd:boolean',
            'bodyStore' => 'xsd:boolean',
            'bodyTransferOrder' => 'xsd:boolean',
            'bodyItemReceipt' => 'xsd:boolean',
            'bodyItemReceiptOrder' => 'xsd:boolean',
            'bodyItemFulfillment' => 'xsd:boolean',
            'bodyItemFulfillmentOrder' => 'xsd:boolean',
            'bodyInventoryAdjustment' => 'xsd:boolean',
            'bodyBTegata' => 'xsd:boolean',
            'bodyAssemblyBuild' => 'xsd:boolean',
            'bodyPrintFlag' => 'xsd:boolean',
            'bodyPickingTicket' => 'xsd:boolean',
            'bodyPrintPackingSlip' => 'xsd:boolean',
            'bodyCustomerPayment' => 'xsd:boolean',
            'bodyVendorPayment' => 'xsd:boolean',
            'bodyDeposit' => 'xsd:boolean',
            'bodyBom' => 'xsd:boolean',
            'bodyPrintStatement' => 'xsd:boolean',
            'filterList' => 'customization_2013_2.setup:TransactionBodyCustomFieldFilterList',
            'accessLevel' => 'customization_2013_2.setupTypes:CustomizationAccessLevel',
            'searchLevel' => 'customization_2013_2.setupTypes:CustomizationSearchLevel',
            'roleAccessList' => 'customization_2013_2.setup:CustomFieldRoleAccessList',
            'deptAccessList' => 'customization_2013_2.setup:CustomFieldDepartmentAccessList',
            'subAccessList' => 'customization_2013_2.setup:CustomFieldSubAccessList',
            'translationsList' => 'customization_2013_2.setup:CustomFieldTranslationsList',
        },
    
        TransactionBodyCustomFieldFilter => {
            'fldFilter' => 'core_2013_2.platform:RecordRef',
            'fldFilterChecked' => 'xsd:boolean',
            'fldFilterCompareType' => 'customization_2013_2.setupTypes:CustomizationFilterCompareType',
            'fldFilterVal' => 'xsd:string',
            'fldFilterSelList' => 'customization_2013_2.setup:FldFilterSelList',
            'fldFilterNotNull' => 'xsd:boolean',
        },
    
        TransactionBodyCustomFieldFilterList => {
            'filter' => 'customization_2013_2.setup:TransactionBodyCustomFieldFilter',
        },
    
        TransactionColumnCustomField => {
            'label' => 'xsd:string',
            'owner' => 'core_2013_2.platform:RecordRef',
            'description' => 'xsd:string',
            'selectRecordType' => 'core_2013_2.platform:RecordRef',
            'storeValue' => 'xsd:boolean',
            'insertBefore' => 'core_2013_2.platform:RecordRef',
            'availableToSso' => 'xsd:boolean',
            'displayType' => 'customization_2013_2.setupTypes:CustomizationDisplayType',
            'displayWidth' => 'xsd:long',
            'displayHeight' => 'xsd:long',
            'help' => 'xsd:string',
            'linkText' => 'xsd:string',
            'isMandatory' => 'xsd:boolean',
            'maxLength' => 'xsd:long',
            'minValue' => 'xsd:double',
            'maxValue' => 'xsd:double',
            'defaultChecked' => 'xsd:boolean',
            'defaultValue' => 'xsd:string',
            'isFormula' => 'xsd:boolean',
            'defaultSelection' => 'core_2013_2.platform:RecordRef',
            'dynamicDefault' => 'customization_2013_2.setupTypes:CustomizationDynamicDefault',
            'sourceList' => 'core_2013_2.platform:RecordRef',
            'sourceFrom' => 'core_2013_2.platform:RecordRef',
            'sourceFilterBy' => 'core_2013_2.platform:RecordRef',
            'colExpense' => 'xsd:boolean',
            'colPurchase' => 'xsd:boolean',
            'colSale' => 'xsd:boolean',
            'colOpportunity' => 'xsd:boolean',
            'colStore' => 'xsd:boolean',
            'colStoreHidden' => 'xsd:boolean',
            'colJournal' => 'xsd:boolean',
            'colBuild' => 'xsd:boolean',
            'colExpenseReport' => 'xsd:boolean',
            'colTime' => 'xsd:boolean',
            'colTransferOrder' => 'xsd:boolean',
            'colTimeGroup' => 'xsd:boolean',
            'colItemReceipt' => 'xsd:boolean',
            'colItemReceiptOrder' => 'xsd:boolean',
            'colItemFulfillment' => 'xsd:boolean',
            'colItemFulfillmentOrder' => 'xsd:boolean',
            'colPrintFlag' => 'xsd:boolean',
            'colPickingTicket' => 'xsd:boolean',
            'colPackingSlip' => 'xsd:boolean',
            'colReturnForm' => 'xsd:boolean',
            'colStoreWithGroups' => 'xsd:boolean',
            'colGroupOnInvoices' => 'xsd:boolean',
            'colKitItem' => 'xsd:boolean',
            'filterList' => 'customization_2013_2.setup:TransactionColumnCustomFieldFilterList',
            'accessLevel' => 'customization_2013_2.setupTypes:CustomizationAccessLevel',
            'searchLevel' => 'customization_2013_2.setupTypes:CustomizationSearchLevel',
            'roleAccessList' => 'customization_2013_2.setup:CustomFieldRoleAccessList',
            'deptAccessList' => 'customization_2013_2.setup:CustomFieldDepartmentAccessList',
            'subAccessList' => 'customization_2013_2.setup:CustomFieldSubAccessList',
            'translationsList' => 'customization_2013_2.setup:CustomFieldTranslationsList',
        },
    
        TransactionColumnCustomFieldFilter => {
            'fldFilter' => 'core_2013_2.platform:RecordRef',
            'fldFilterChecked' => 'xsd:boolean',
            'fldFilterCompareType' => 'customization_2013_2.setupTypes:CustomizationFilterCompareType',
            'fldFilterVal' => 'xsd:string',
            'fldFilterSelList' => 'customization_2013_2.setup:FldFilterSelList',
            'fldFilterNotNull' => 'xsd:boolean',
        },
    
        TransactionColumnCustomFieldFilterList => {
            'filter' => 'customization_2013_2.setup:TransactionColumnCustomFieldFilter',
        },
    
        ItemOptionCustomField => {
            'label' => 'xsd:string',
            'owner' => 'core_2013_2.platform:RecordRef',
            'description' => 'xsd:string',
            'selectRecordType' => 'core_2013_2.platform:RecordRef',
            'storeValue' => 'xsd:boolean',
            'insertBefore' => 'core_2013_2.platform:RecordRef',
            'displayType' => 'customization_2013_2.setupTypes:CustomizationDisplayType',
            'displayWidth' => 'xsd:long',
            'displayHeight' => 'xsd:long',
            'help' => 'xsd:string',
            'linkText' => 'xsd:string',
            'isMandatory' => 'xsd:boolean',
            'maxLength' => 'xsd:long',
            'minValue' => 'xsd:double',
            'maxValue' => 'xsd:double',
            'defaultChecked' => 'xsd:boolean',
            'defaultValue' => 'xsd:string',
            'isFormula' => 'xsd:boolean',
            'defaultSelection' => 'core_2013_2.platform:RecordRef',
            'dynamicDefault' => 'customization_2013_2.setupTypes:CustomizationDynamicDefault',
            'searchDefault' => 'core_2013_2.platform:RecordRef',
            'searchCompareField' => 'core_2013_2.platform:RecordRef',
            'sourceList' => 'core_2013_2.platform:RecordRef',
            'sourceFrom' => 'core_2013_2.platform:RecordRef',
            'sourceFilterBy' => 'core_2013_2.platform:RecordRef',
            'colPurchase' => 'xsd:boolean',
            'colSale' => 'xsd:boolean',
            'colOpportunity' => 'xsd:boolean',
            'colStore' => 'xsd:boolean',
            'colStoreHidden' => 'xsd:boolean',
            'colTransferOrder' => 'xsd:boolean',
            'colAllItems' => 'xsd:boolean',
            'itemsList' => 'customization_2013_2.setup:ItemsList',
            'colKitItem' => 'xsd:boolean',
            'filterList' => 'customization_2013_2.setup:ItemOptionCustomFieldFilterList',
            'colOptionLabel' => 'xsd:string',
            'accessLevel' => 'customization_2013_2.setupTypes:CustomizationAccessLevel',
            'searchLevel' => 'customization_2013_2.setupTypes:CustomizationSearchLevel',
            'roleAccessList' => 'customization_2013_2.setup:CustomFieldRoleAccessList',
            'deptAccessList' => 'customization_2013_2.setup:CustomFieldDepartmentAccessList',
            'subAccessList' => 'customization_2013_2.setup:CustomFieldSubAccessList',
            'translationsList' => 'customization_2013_2.setup:CustomFieldTranslationsList',
        },
    
        ItemsList => {
            'items' => 'core_2013_2.platform:RecordRef',
        },
    
        ItemOptionCustomFieldFilter => {
            'fldFilter' => 'core_2013_2.platform:RecordRef',
            'fldFilterChecked' => 'xsd:boolean',
            'fldFilterCompareType' => 'customization_2013_2.setupTypes:CustomizationFilterCompareType',
            'fldFilterVal' => 'xsd:string',
            'fldFilterSelList' => 'customization_2013_2.setup:FldFilterSelList',
            'fldFilterNotNull' => 'xsd:boolean',
        },
    
        ItemOptionCustomFieldFilterList => {
            'filter' => 'customization_2013_2.setup:ItemOptionCustomFieldFilter',
        },
    
        CustomRecordCustomField => {
            'label' => 'xsd:string',
            'owner' => 'core_2013_2.platform:RecordRef',
            'description' => 'xsd:string',
            'selectRecordType' => 'core_2013_2.platform:RecordRef',
            'storeValue' => 'xsd:boolean',
            'showInList' => 'xsd:boolean',
            'globalSearch' => 'xsd:boolean',
            'isParent' => 'xsd:boolean',
            'insertBefore' => 'core_2013_2.platform:RecordRef',
            'subtab' => 'core_2013_2.platform:RecordRef',
            'displayType' => 'customization_2013_2.setupTypes:CustomizationDisplayType',
            'displayWidth' => 'xsd:long',
            'displayHeight' => 'xsd:long',
            'help' => 'xsd:string',
            'parentSubtab' => 'core_2013_2.platform:RecordRef',
            'linkText' => 'xsd:string',
            'isMandatory' => 'xsd:boolean',
            'checkSpelling' => 'xsd:boolean',
            'maxLength' => 'xsd:long',
            'minValue' => 'xsd:double',
            'maxValue' => 'xsd:double',
            'defaultChecked' => 'xsd:boolean',
            'defaultValue' => 'xsd:string',
            'isFormula' => 'xsd:boolean',
            'defaultSelection' => 'core_2013_2.platform:RecordRef',
            'dynamicDefault' => 'customization_2013_2.setupTypes:CustomizationDynamicDefault',
            'searchDefault' => 'core_2013_2.platform:RecordRef',
            'searchCompareField' => 'core_2013_2.platform:RecordRef',
            'sourceList' => 'core_2013_2.platform:RecordRef',
            'sourceFrom' => 'core_2013_2.platform:RecordRef',
            'sourcefilterby' => 'core_2013_2.platform:RecordRef',
            'recType' => 'xsd:string',
            'roleRestrict' => 'xsd:boolean',
            'filterList' => 'customization_2013_2.setup:CustomRecordCustomFieldFilterList',
            'accessLevel' => 'customization_2013_2.setupTypes:CustomizationAccessLevel',
            'searchLevel' => 'customization_2013_2.setupTypes:CustomizationSearchLevel',
            'roleAccessList' => 'customization_2013_2.setup:CustomFieldRoleAccessList',
            'deptAccessList' => 'customization_2013_2.setup:CustomFieldDepartmentAccessList',
            'subAccessList' => 'customization_2013_2.setup:CustomFieldSubAccessList',
            'translationsList' => 'customization_2013_2.setup:CustomFieldTranslationsList',
        },
    
        CustomRecordCustomFieldFilter => {
            'fldFilter' => 'core_2013_2.platform:RecordRef',
            'fldFilterChecked' => 'xsd:boolean',
            'fldFilterCompareType' => 'customization_2013_2.setupTypes:CustomizationFilterCompareType',
            'fldFilterVal' => 'xsd:string',
            'fldFilterSelList' => 'customization_2013_2.setup:FldFilterSelList',
            'fldFilterNotNull' => 'xsd:boolean',
        },
    
        CustomRecordCustomFieldFilterList => {
            'filter' => 'customization_2013_2.setup:CustomRecordCustomFieldFilter',
        },
    
        CustomFieldRoleAccess => {
            'role' => 'core_2013_2.platform:RecordRef',
            'accessLevel' => 'customization_2013_2.setupTypes:CustomizationAccessLevel',
            'searchLevel' => 'customization_2013_2.setupTypes:CustomizationSearchLevel',
        },
    
        CustomFieldRoleAccessList => {
            'roleAccess' => 'customization_2013_2.setup:CustomFieldRoleAccess',
        },
    
        CustomFieldDepartmentAccess => {
            'dept' => 'core_2013_2.platform:RecordRef',
            'accessLevel' => 'customization_2013_2.setupTypes:CustomizationAccessLevel',
            'searchLevel' => 'customization_2013_2.setupTypes:CustomizationSearchLevel',
        },
    
        CustomFieldDepartmentAccessList => {
            'deptAccess' => 'customization_2013_2.setup:CustomFieldDepartmentAccess',
        },
    
        CustomFieldSubAccess => {
            'sub' => 'core_2013_2.platform:RecordRef',
            'accessLevel' => 'customization_2013_2.setupTypes:CustomizationAccessLevel',
            'searchLevel' => 'customization_2013_2.setupTypes:CustomizationSearchLevel',
        },
    
        CustomFieldSubAccessList => {
            'subAccess' => 'customization_2013_2.setup:CustomFieldSubAccess',
        },
    
        LanguageValue => {
            'locale' => 'common_2013_2.platformTypes:Language',
            'value' => 'xsd:string',
        },
    
        LanguageValueList => {
            'languageValue' => 'customization_2013_2.setup:LanguageValue',
        },
    
        CustomFieldTranslations => {
            'locale' => 'common_2013_2.platformTypes:Language',
            'localeDescription' => 'xsd:string',
            'label' => 'xsd:string',
            'help' => 'xsd:string',
        },
    
        CustomFieldTranslationsList => {
            'translations' => 'customization_2013_2.setup:CustomFieldTranslations',
        },
    
        ItemNumberCustomField => {
            'label' => 'xsd:string',
            'owner' => 'core_2013_2.platform:RecordRef',
            'description' => 'xsd:string',
            'selectRecordType' => 'core_2013_2.platform:RecordRef',
            'storeValue' => 'xsd:boolean',
            'showInList' => 'xsd:boolean',
            'insertBefore' => 'core_2013_2.platform:RecordRef',
            'displayType' => 'customization_2013_2.setupTypes:CustomizationDisplayType',
            'displayWidth' => 'xsd:long',
            'displayHeight' => 'xsd:long',
            'help' => 'xsd:string',
            'linkText' => 'xsd:string',
            'isMandatory' => 'xsd:boolean',
            'checkSpelling' => 'xsd:boolean',
            'maxLength' => 'xsd:long',
            'minValue' => 'xsd:double',
            'maxValue' => 'xsd:double',
            'defaultChecked' => 'xsd:boolean',
            'defaultValue' => 'xsd:string',
            'isFormula' => 'xsd:boolean',
            'defaultSelection' => 'core_2013_2.platform:RecordRef',
            'dynamicDefault' => 'customization_2013_2.setupTypes:CustomizationDynamicDefault',
            'searchDefault' => 'core_2013_2.platform:RecordRef',
            'searchCompareField' => 'core_2013_2.platform:RecordRef',
            'sourceList' => 'core_2013_2.platform:RecordRef',
            'sourceFrom' => 'core_2013_2.platform:RecordRef',
            'sourceFilterBy' => 'core_2013_2.platform:RecordRef',
            'accessLevel' => 'customization_2013_2.setupTypes:CustomizationAccessLevel',
            'searchLevel' => 'customization_2013_2.setupTypes:CustomizationSearchLevel',
            'filterList' => 'customization_2013_2.setup:ItemNumberCustomFieldFilterList',
            'roleAccessList' => 'customization_2013_2.setup:CustomFieldRoleAccessList',
            'deptAccessList' => 'customization_2013_2.setup:CustomFieldDepartmentAccessList',
            'appliesToAllItems' => 'xsd:boolean',
            'appliesToSerialized' => 'xsd:boolean',
            'appliesToLots' => 'xsd:boolean',
            'appliesToGiftCerts' => 'xsd:boolean',
            'itemsList' => 'core_2013_2.platform:RecordRefList',
            'translationsList' => 'customization_2013_2.setup:CustomFieldTranslationsList',
        },
    
        ItemNumberCustomFieldFilter => {
            'fldFilter' => 'core_2013_2.platform:RecordRef',
            'fldFilterChecked' => 'xsd:boolean',
            'fldFilterCompareType' => 'customization_2013_2.setupTypes:CustomizationFilterCompareType',
            'fldFilterVal' => 'xsd:string',
            'fldFilterNotNull' => 'xsd:boolean',
            'fldfilterNull' => 'xsd:boolean',
            'fldCompareField' => 'core_2013_2.platform:RecordRef',
        },
    
        ItemNumberCustomFieldFilterList => {
            'filter' => 'customization_2013_2.setup:ItemNumberCustomFieldFilter',
        },
    
        CustomListSearchAdvanced => {
            'criteria' => 'customization_2013_2.setup:CustomListSearch',
            'columns' => 'customization_2013_2.setup:CustomListSearchRow',
        },
    
        CustomListSearchRow => {
            'basic' => 'common_2013_2.platform:CustomListSearchRowBasic',
            'userJoin' => 'common_2013_2.platform:EmployeeSearchRowBasic',
        },
    
        AppDefinition => {
            'name' => 'xsd:string',
            'description' => 'xsd:string',
            'packagesList' => 'customization_2013_2.setup:AppDefinitionPackagesList',
        },
    
        AppDefinitionPackages => {
        },
    
        AppDefinitionPackagesList => {
            'packages' => 'customization_2013_2.setup:AppDefinitionPackages',
        },
    
        AppDefinitionSearchAdvanced => {
            'criteria' => 'customization_2013_2.setup:AppDefinitionSearch',
            'columns' => 'customization_2013_2.setup:AppDefinitionSearchRow',
        },
    
        AppDefinitionSearchRow => {
            'basic' => 'common_2013_2.platform:AppDefinitionSearchRowBasic',
            'appPackageJoin' => 'common_2013_2.platform:AppPackageSearchRowBasic',
            'creatorJoin' => 'common_2013_2.platform:EmployeeSearchRowBasic',
            'userJoin' => 'common_2013_2.platform:EmployeeSearchRowBasic',
        },
    
        AppPackage => {
            'appDefinition' => 'core_2013_2.platform:RecordRef',
            'version' => 'xsd:string',
            'packageFile' => 'core_2013_2.platform:RecordRef',
            'bundle' => 'core_2013_2.platform:RecordRef',
            'description' => 'xsd:string',
        },
    
        AppPackageSearchAdvanced => {
            'criteria' => 'customization_2013_2.setup:AppPackageSearch',
            'columns' => 'customization_2013_2.setup:AppPackageSearchRow',
        },
    
        AppPackageSearchRow => {
            'basic' => 'common_2013_2.platform:AppPackageSearchRowBasic',
            'appDefinitionJoin' => 'common_2013_2.platform:AppDefinitionSearchRowBasic',
            'creatorJoin' => 'common_2013_2.platform:EmployeeSearchRowBasic',
            'packageFileJoin' => 'common_2013_2.platform:FileSearchRowBasic',
            'userJoin' => 'common_2013_2.platform:EmployeeSearchRowBasic',
        },
    
        CustomRecordTranslations => {
            'locale' => 'common_2013_2.platformTypes:Language',
            'language' => 'xsd:string',
            'label' => 'xsd:string',
        },
    
        CustomRecordTranslationsList => {
            'customRecordTranslations' => 'customization_2013_2.setup:CustomRecordTranslations',
        },
    
        Employee => {
            'customForm' => 'core_2013_2.platform:RecordRef',
            'template' => 'core_2013_2.platform:RecordRef',
            'entityId' => 'xsd:string',
            'salutation' => 'xsd:string',
            'firstName' => 'xsd:string',
            'middleName' => 'xsd:string',
            'lastName' => 'xsd:string',
            'altName' => 'xsd:string',
            'phone' => 'xsd:string',
            'fax' => 'xsd:string',
            'email' => 'xsd:string',
            'defaultAddress' => 'xsd:string',
            'isInactive' => 'xsd:boolean',
            'phoneticName' => 'xsd:string',
            'lastModifiedDate' => 'xsd:dateTime',
            'dateCreated' => 'xsd:dateTime',
            'initials' => 'xsd:string',
            'officePhone' => 'xsd:string',
            'homePhone' => 'xsd:string',
            'mobilePhone' => 'xsd:string',
            'department' => 'core_2013_2.platform:RecordRef',
            'class' => 'core_2013_2.platform:RecordRef',
            'location' => 'core_2013_2.platform:RecordRef',
            'subsidiary' => 'core_2013_2.platform:RecordRef',
            'billingClass' => 'core_2013_2.platform:RecordRef',
            'accountNumber' => 'xsd:string',
            'comments' => 'xsd:string',
            'globalSubscriptionStatus' => 'common_2013_2.platformTypes:GlobalSubscriptionStatus',
            'image' => 'core_2013_2.platform:RecordRef',
            'payFrequency' => 'employees_2013_2.listsTypes:EmployeePayFrequency',
            'lastPaidDate' => 'xsd:dateTime',
            'currency' => 'core_2013_2.platform:RecordRef',
            'useTimeData' => 'employees_2013_2.listsTypes:EmployeeUseTimeData',
            'usePerquest' => 'xsd:boolean',
            'workplace' => 'core_2013_2.platform:RecordRef',
            'adpId' => 'xsd:string',
            'directDeposit' => 'xsd:boolean',
            'expenseLimit' => 'xsd:double',
            'purchaseOrderLimit' => 'xsd:double',
            'purchaseOrderApprovalLimit' => 'xsd:double',
            'socialSecurityNumber' => 'xsd:string',
            'supervisor' => 'core_2013_2.platform:RecordRef',
            'approver' => 'core_2013_2.platform:RecordRef',
            'approvalLimit' => 'xsd:double',
            'timeApprover' => 'core_2013_2.platform:RecordRef',
            'employeeType' => 'core_2013_2.platform:RecordRef',
            'isSalesRep' => 'xsd:boolean',
            'salesRole' => 'core_2013_2.platform:RecordRef',
            'isSupportRep' => 'xsd:boolean',
            'isJobResource' => 'xsd:boolean',
            'laborCost' => 'xsd:double',
            'birthDate' => 'xsd:dateTime',
            'hireDate' => 'xsd:dateTime',
            'releaseDate' => 'xsd:dateTime',
            'lastReviewDate' => 'xsd:dateTime',
            'nextReviewDate' => 'xsd:dateTime',
            'title' => 'xsd:string',
            'employeeStatus' => 'core_2013_2.platform:RecordRef',
            'jobDescription' => 'xsd:string',
            'maritalStatus' => 'core_2013_2.platform:RecordRef',
            'ethnicity' => 'core_2013_2.platform:RecordRef',
            'gender' => 'employees_2013_2.listsTypes:Gender',
            'purchaseOrderApprover' => 'core_2013_2.platform:RecordRef',
            'workCalendar' => 'core_2013_2.platform:RecordRef',
            'giveAccess' => 'xsd:boolean',
            'concurrentWebServicesUser' => 'xsd:boolean',
            'sendEmail' => 'xsd:boolean',
            'hasOfflineAccess' => 'xsd:boolean',
            'password' => 'xsd:string',
            'password2' => 'xsd:string',
            'requirePwdChange' => 'xsd:boolean',
            'inheritIPRules' => 'xsd:boolean',
            'IPAddressRule' => 'xsd:string',
            'commissionPaymentPreference' => 'employees_2013_2.listsTypes:EmployeeCommissionPaymentPreference',
            'billPay' => 'xsd:boolean',
            'eligibleForCommission' => 'xsd:boolean',
            'subscriptionsList' => 'employees_2013_2.lists:EmployeeSubscriptionsList',
            'addressbookList' => 'employees_2013_2.lists:EmployeeAddressbookList',
            'rolesList' => 'employees_2013_2.lists:EmployeeRolesList',
            'hrEducationList' => 'employees_2013_2.lists:EmployeeHrEducationList',
            'accruedTimeList' => 'employees_2013_2.lists:EmployeeAccruedTimeList',
            'directDepositList' => 'employees_2013_2.lists:EmployeeDirectDepositList',
            'companyContributionList' => 'employees_2013_2.lists:EmployeeCompanyContributionList',
            'earningList' => 'employees_2013_2.lists:EmployeeEarningList',
            'emergencyContactList' => 'employees_2013_2.lists:EmployeeEmergencyContactList',
            'deductionList' => 'employees_2013_2.lists:EmployeeDeductionList',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        EmployeeSubscriptions => {
            'subscribed' => 'xsd:string',
            'subscription' => 'xsd:string',
            'lastModifiedDate' => 'xsd:dateTime',
        },
    
        EmployeeSubscriptionsList => {
            'subscriptions' => 'employees_2013_2.lists:EmployeeSubscriptions',
        },
    
        EmployeeAddressbook => {
            'defaultShipping' => 'xsd:boolean',
            'defaultBilling' => 'xsd:boolean',
            'label' => 'xsd:string',
            'attention' => 'xsd:string',
            'addressee' => 'xsd:string',
            'phone' => 'xsd:string',
            'addr1' => 'xsd:string',
            'addr2' => 'xsd:string',
            'addr3' => 'xsd:string',
            'city' => 'xsd:string',
            'state' => 'xsd:string',
            'zip' => 'xsd:string',
            'country' => 'common_2013_2.platformTypes:Country',
            'addrText' => 'xsd:string',
            'override' => 'xsd:boolean',
            'internalId' => 'xsd:string',
        },
    
        EmployeeAddressbookList => {
            'addressbook' => 'employees_2013_2.lists:EmployeeAddressbook',
        },
    
        EmployeeRoles => {
            'selectedRole' => 'core_2013_2.platform:RecordRef',
        },
    
        EmployeeRolesList => {
            'roles' => 'employees_2013_2.lists:EmployeeRoles',
        },
    
        EmployeeSearchAdvanced => {
            'criteria' => 'employees_2013_2.lists:EmployeeSearch',
            'columns' => 'employees_2013_2.lists:EmployeeSearchRow',
        },
    
        EmployeeSearchRow => {
            'basic' => 'common_2013_2.platform:EmployeeSearchRowBasic',
            'campaignResponseJoin' => 'common_2013_2.platform:CampaignSearchRowBasic',
            'departmentJoin' => 'common_2013_2.platform:DepartmentSearchRowBasic',
            'fileJoin' => 'common_2013_2.platform:FileSearchRowBasic',
            'locationJoin' => 'common_2013_2.platform:LocationSearchRowBasic',
            'messagesJoin' => 'common_2013_2.platform:MessageSearchRowBasic',
            'messagesFromJoin' => 'common_2013_2.platform:MessageSearchRowBasic',
            'messagesToJoin' => 'common_2013_2.platform:MessageSearchRowBasic',
            'resourceAllocationJoin' => 'common_2013_2.platform:ResourceAllocationSearchRowBasic',
            'subsidiaryJoin' => 'common_2013_2.platform:SubsidiarySearchRowBasic',
            'timeJoin' => 'common_2013_2.platform:TimeBillSearchRowBasic',
            'transactionJoin' => 'common_2013_2.platform:TransactionSearchRowBasic',
            'userJoin' => 'common_2013_2.platform:EmployeeSearchRowBasic',
            'userNotesJoin' => 'common_2013_2.platform:NoteSearchRowBasic',
            'customSearchJoin' => 'common_2013_2.platform:CustomSearchRowBasic',
        },
    
        EmployeeEmergencyContact => {
            'id' => 'xsd:long',
            'contact' => 'xsd:string',
            'relationship' => 'xsd:string',
            'address' => 'xsd:string',
            'phone' => 'xsd:string',
        },
    
        EmployeeEmergencyContactList => {
            'employeeEmergencyContact' => 'employees_2013_2.lists:EmployeeEmergencyContact',
        },
    
        EmployeeHrEducation => {
            'education' => 'core_2013_2.platform:RecordRef',
            'degree' => 'xsd:string',
            'degreeDate' => 'xsd:dateTime',
        },
    
        EmployeeHrEducationList => {
            'employeeHrEducation' => 'employees_2013_2.lists:EmployeeHrEducation',
        },
    
        EmployeeAccruedTime => {
            'payrollItem' => 'core_2013_2.platform:RecordRef',
            'accruedHours' => 'xsd:double',
            'accrualRate' => 'xsd:double',
            'monetaryRate' => 'xsd:double',
            'resetAccruedHoursAtYearEnd' => 'xsd:boolean',
            'accrualMethod' => 'employees_2013_2.listsTypes:EmployeeAccruedTimeAccrualMethod',
            'maximumAccruedHours' => 'xsd:double',
            'inactive' => 'xsd:boolean',
            'effectiveDate' => 'xsd:dateTime',
            'expirationDate' => 'xsd:dateTime',
        },
    
        EmployeeAccruedTimeList => {
            'employeeAccruedTime' => 'employees_2013_2.lists:EmployeeAccruedTime',
        },
    
        EmployeeDeduction => {
            'payrollItem' => 'core_2013_2.platform:RecordRef',
            'rate' => 'xsd:string',
            'limit' => 'xsd:double',
            'inactive' => 'xsd:boolean',
            'effectiveDate' => 'xsd:dateTime',
            'expirationDate' => 'xsd:dateTime',
        },
    
        EmployeeDeductionList => {
            'employeeDeduction' => 'employees_2013_2.lists:EmployeeDeduction',
        },
    
        EmployeeCompanyContribution => {
            'payrollItem' => 'core_2013_2.platform:RecordRef',
            'rate' => 'xsd:string',
            'limit' => 'xsd:double',
            'inactive' => 'xsd:boolean',
            'effectiveDate' => 'xsd:dateTime',
            'expirationDate' => 'xsd:dateTime',
        },
    
        EmployeeCompanyContributionList => {
            'employeeCompanyContribution' => 'employees_2013_2.lists:EmployeeCompanyContribution',
        },
    
        EmployeeEarning => {
            'payrollItem' => 'core_2013_2.platform:RecordRef',
            'payRate' => 'xsd:string',
            'primaryEarning' => 'xsd:boolean',
            'defaultHours' => 'xsd:double',
            'inactive' => 'xsd:boolean',
            'defaultEarning' => 'xsd:boolean',
            'effectiveDate' => 'xsd:dateTime',
            'expirationDate' => 'xsd:dateTime',
        },
    
        EmployeeEarningList => {
            'employeeEarning' => 'employees_2013_2.lists:EmployeeEarning',
        },
    
        EmployeeDirectDeposit => {
            'id' => 'xsd:long',
            'netAccount' => 'xsd:boolean',
            'savingsAccount' => 'xsd:boolean',
            'accountPrenoted' => 'xsd:boolean',
            'accountStatus' => 'employees_2013_2.listsTypes:EmployeeDirectDepositAccountStatus',
            'bankName' => 'xsd:string',
            'bankId' => 'xsd:string',
            'bankNumber' => 'xsd:string',
            'bankRoutingNumber' => 'xsd:string',
            'bankAccountNumber' => 'xsd:string',
            'amount' => 'xsd:double',
            'inactive' => 'xsd:boolean',
        },
    
        EmployeeDirectDepositList => {
            'employeeDirectDeposit' => 'employees_2013_2.lists:EmployeeDirectDeposit',
        },
    
        PayrollItem => {
            'subsidiary' => 'core_2013_2.platform:RecordRef',
            'itemType' => 'core_2013_2.platform:RecordRef',
            'name' => 'xsd:string',
            'vendor' => 'core_2013_2.platform:RecordRef',
            'expenseAccount' => 'core_2013_2.platform:RecordRef',
            'liabilityAccount' => 'core_2013_2.platform:RecordRef',
            'employeePaid' => 'xsd:boolean',
            'inactive' => 'xsd:boolean',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        PayrollItemSearchAdvanced => {
            'criteria' => 'employees_2013_2.lists:PayrollItemSearch',
            'columns' => 'employees_2013_2.lists:PayrollItemSearchRow',
        },
    
        PayrollItemSearchRow => {
            'basic' => 'common_2013_2.platform:PayrollItemSearchRowBasic',
            'customSearchJoin' => 'common_2013_2.platform:CustomSearchRowBasic',
        },
    
        File => {
            'name' => 'xsd:string',
            'attachFrom' => 'filecabinet_2013_2.documentsTypes:FileAttachFrom',
            'mediaTypeName' => 'xsd:string',
            'fileType' => 'filecabinet_2013_2.documentsTypes:MediaType',
            'content' => 'xsd:base64Binary',
            'folder' => 'core_2013_2.platform:RecordRef',
            'fileSize' => 'xsd:double',
            'url' => 'xsd:string',
            'urlComponent' => 'xsd:string',
            'mediaFile' => 'core_2013_2.platform:RecordRef',
            'textFileEncoding' => 'filecabinet_2013_2.documentsTypes:TextFileEncoding',
            'description' => 'xsd:string',
            'encoding' => 'filecabinet_2013_2.documentsTypes:FileEncoding',
            'altTagCaption' => 'xsd:string',
            'isOnline' => 'xsd:boolean',
            'isInactive' => 'xsd:boolean',
            'class' => 'xsd:string',
            'bundleable' => 'xsd:boolean',
            'department' => 'xsd:string',
            'hideInBundle' => 'xsd:boolean',
            'isPrivate' => 'xsd:boolean',
            'owner' => 'core_2013_2.platform:RecordRef',
            'caption' => 'xsd:string',
            'storeDisplayThumbnail' => 'core_2013_2.platform:RecordRef',
            'siteDescription' => 'xsd:string',
            'featuredDescription' => 'xsd:string',
            'lastModifiedDate' => 'xsd:dateTime',
            'createdDate' => 'xsd:dateTime',
            'siteCategoryList' => 'filecabinet_2013_2.documents:FileSiteCategoryList',
        },
    
        FileSiteCategory => {
            'isDefault' => 'xsd:boolean',
            'category' => 'core_2013_2.platform:RecordRef',
            'categoryDescription' => 'xsd:string',
            'website' => 'core_2013_2.platform:RecordRef',
        },
    
        FileSiteCategoryList => {
            'siteCategory' => 'filecabinet_2013_2.documents:FileSiteCategory',
        },
    
        FileSearchAdvanced => {
            'criteria' => 'filecabinet_2013_2.documents:FileSearch',
            'columns' => 'filecabinet_2013_2.documents:FileSearchRow',
        },
    
        FileSearchRow => {
            'basic' => 'common_2013_2.platform:FileSearchRowBasic',
            'shopperJoin' => 'common_2013_2.platform:CustomerSearchRowBasic',
            'userJoin' => 'common_2013_2.platform:EmployeeSearchRowBasic',
        },
    
        Folder => {
            'name' => 'xsd:string',
            'department' => 'core_2013_2.platform:RecordRef',
            'description' => 'xsd:string',
            'isInactive' => 'xsd:boolean',
            'isPrivate' => 'xsd:boolean',
            'bundleable' => 'xsd:boolean',
            'hideInBundle' => 'xsd:boolean',
            'isOnline' => 'xsd:boolean',
            'group' => 'core_2013_2.platform:RecordRef',
            'parent' => 'core_2013_2.platform:RecordRef',
            'class' => 'core_2013_2.platform:RecordRef',
            'location' => 'core_2013_2.platform:RecordRef',
            'subsidiary' => 'core_2013_2.platform:RecordRef',
        },
    
        FolderSearchAdvanced => {
            'criteria' => 'filecabinet_2013_2.documents:FolderSearch',
            'columns' => 'filecabinet_2013_2.documents:FolderSearchRow',
        },
    
        FolderSearchRow => {
            'basic' => 'common_2013_2.platform:FolderSearchRowBasic',
            'fileJoin' => 'common_2013_2.platform:FileSearchRowBasic',
            'userJoin' => 'common_2013_2.platform:EmployeeSearchRowBasic',
        },
    
        SiteCategory => {
            'website' => 'core_2013_2.platform:RecordRef',
            'itemId' => 'xsd:string',
            'parentCategory' => 'core_2013_2.platform:RecordRef',
            'categoryListLayout' => 'core_2013_2.platform:RecordRef',
            'itemListLayout' => 'core_2013_2.platform:RecordRef',
            'relatedItemsListLayout' => 'core_2013_2.platform:RecordRef',
            'correlatedItemsListLayout' => 'core_2013_2.platform:RecordRef',
            'isOnline' => 'xsd:boolean',
            'isInactive' => 'xsd:boolean',
            'description' => 'xsd:string',
            'storeDetailedDescription' => 'xsd:string',
            'storeDisplayThumbnail' => 'core_2013_2.platform:RecordRef',
            'storeDisplayImage' => 'core_2013_2.platform:RecordRef',
            'pageTitle' => 'xsd:string',
            'metaTagHtml' => 'xsd:string',
            'excludeFromSitemap' => 'xsd:boolean',
            'urlComponent' => 'xsd:string',
            'sitemapPriority' => 'common_2013_2.platformTypes:SitemapPriority',
            'searchKeywords' => 'xsd:string',
            'presentationItemList' => 'website_2013_2.lists:SiteCategoryPresentationItemList',
            'translationsList' => 'website_2013_2.lists:SiteCategoryTranslationList',
        },
    
        SiteCategoryTranslation => {
            'locale' => 'common_2013_2.platformTypes:Language',
            'language' => 'xsd:string',
            'displayName' => 'xsd:string',
            'description' => 'xsd:string',
            'storeDetailedDescription' => 'xsd:string',
            'pageTitle' => 'xsd:string',
        },
    
        SiteCategoryTranslationList => {
            'translation' => 'website_2013_2.lists:SiteCategoryTranslation',
        },
    
        SiteCategoryPresentationItemList => {
            'presentationItem' => 'common_2013_2.platform:PresentationItem',
        },
    
        SiteCategorySearchAdvanced => {
            'criteria' => 'website_2013_2.lists:SiteCategorySearch',
            'columns' => 'website_2013_2.lists:SiteCategorySearchRow',
        },
    
        SiteCategorySearchRow => {
            'basic' => 'common_2013_2.platform:SiteCategorySearchRowBasic',
            'shopperJoin' => 'common_2013_2.platform:CustomerSearchRowBasic',
            'userJoin' => 'common_2013_2.platform:EmployeeSearchRowBasic',
        },
    
        TimeBill => {
            'customForm' => 'core_2013_2.platform:RecordRef',
            'employee' => 'core_2013_2.platform:RecordRef',
            'tranDate' => 'xsd:dateTime',
            'customer' => 'core_2013_2.platform:RecordRef',
            'caseTaskEvent' => 'core_2013_2.platform:RecordRef',
            'isBillable' => 'xsd:boolean',
            'payrollItem' => 'core_2013_2.platform:RecordRef',
            'paidExternally' => 'xsd:boolean',
            'workplace' => 'core_2013_2.platform:RecordRef',
            'item' => 'core_2013_2.platform:RecordRef',
            'department' => 'core_2013_2.platform:RecordRef',
            'class' => 'core_2013_2.platform:RecordRef',
            'location' => 'core_2013_2.platform:RecordRef',
            'hours' => 'core_2013_2.platform:Duration',
            'price' => 'core_2013_2.platform:RecordRef',
            'timeType' => 'employees_2013_2.transactionsTypes:TimeBillTimeType',
            'rate' => 'xsd:double',
            'overrideRate' => 'xsd:boolean',
            'temporaryLocalJurisdiction' => 'core_2013_2.platform:RecordRef',
            'temporaryStateJurisdiction' => 'core_2013_2.platform:RecordRef',
            'memo' => 'xsd:string',
            'subsidiary' => 'core_2013_2.platform:RecordRef',
            'supervisorApproval' => 'xsd:boolean',
            'createdDate' => 'xsd:dateTime',
            'lastModifiedDate' => 'xsd:dateTime',
            'status' => 'xsd:string',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        TimeBillSearchAdvanced => {
            'criteria' => 'employees_2013_2.transactions:TimeBillSearch',
            'columns' => 'employees_2013_2.transactions:TimeBillSearchRow',
        },
    
        TimeBillSearchRow => {
            'basic' => 'common_2013_2.platform:TimeBillSearchRowBasic',
            'callJoin' => 'common_2013_2.platform:PhoneCallSearchRowBasic',
            'caseJoin' => 'common_2013_2.platform:SupportCaseSearchRowBasic',
            'classJoin' => 'common_2013_2.platform:ClassificationSearchRowBasic',
            'customerJoin' => 'common_2013_2.platform:CustomerSearchRowBasic',
            'departmentJoin' => 'common_2013_2.platform:DepartmentSearchRowBasic',
            'employeeJoin' => 'common_2013_2.platform:EmployeeSearchRowBasic',
            'eventJoin' => 'common_2013_2.platform:CalendarEventSearchRowBasic',
            'itemJoin' => 'common_2013_2.platform:ItemSearchRowBasic',
            'jobJoin' => 'common_2013_2.platform:JobSearchRowBasic',
            'locationJoin' => 'common_2013_2.platform:LocationSearchRowBasic',
            'projectTaskJoin' => 'common_2013_2.platform:ProjectTaskSearchRowBasic',
            'projectTaskAssignmentJoin' => 'common_2013_2.platform:ProjectTaskAssignmentSearchRowBasic',
            'resourceAllocationJoin' => 'common_2013_2.platform:ResourceAllocationSearchRowBasic',
            'taskJoin' => 'common_2013_2.platform:TaskSearchRowBasic',
            'userJoin' => 'common_2013_2.platform:EmployeeSearchRowBasic',
            'vendorJoin' => 'common_2013_2.platform:VendorSearchRowBasic',
            'customSearchJoin' => 'common_2013_2.platform:CustomSearchRowBasic',
        },
    
        ExpenseReport => {
            'createdDate' => 'xsd:dateTime',
            'lastModifiedDate' => 'xsd:dateTime',
            'status' => 'xsd:string',
            'customForm' => 'core_2013_2.platform:RecordRef',
            'account' => 'core_2013_2.platform:RecordRef',
            'entity' => 'core_2013_2.platform:RecordRef',
            'subsidiary' => 'core_2013_2.platform:RecordRef',
            'tranId' => 'xsd:string',
            'postingPeriod' => 'core_2013_2.platform:RecordRef',
            'tranDate' => 'xsd:dateTime',
            'dueDate' => 'xsd:dateTime',
            'approvalStatus' => 'core_2013_2.platform:RecordRef',
            'total' => 'xsd:double',
            'nextApprover' => 'core_2013_2.platform:RecordRef',
            'advance' => 'xsd:double',
            'tax1Amt' => 'xsd:double',
            'amount' => 'xsd:double',
            'memo' => 'xsd:string',
            'complete' => 'xsd:boolean',
            'supervisorApproval' => 'xsd:boolean',
            'accountingApproval' => 'xsd:boolean',
            'useMultiCurrency' => 'xsd:boolean',
            'tax2Amt' => 'xsd:double',
            'department' => 'core_2013_2.platform:RecordRef',
            'class' => 'core_2013_2.platform:RecordRef',
            'location' => 'core_2013_2.platform:RecordRef',
            'expenseList' => 'employees_2013_2.transactions:ExpenseReportExpenseList',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        ExpenseReportExpense => {
            'line' => 'xsd:long',
            'expenseDate' => 'xsd:dateTime',
            'category' => 'core_2013_2.platform:RecordRef',
            'quantity' => 'xsd:double',
            'rate' => 'xsd:double',
            'foreignAmount' => 'xsd:double',
            'currency' => 'core_2013_2.platform:RecordRef',
            'exchangeRate' => 'xsd:double',
            'amount' => 'xsd:double',
            'taxCode' => 'core_2013_2.platform:RecordRef',
            'memo' => 'xsd:string',
            'taxRate1' => 'xsd:double',
            'tax1Amt' => 'xsd:double',
            'department' => 'core_2013_2.platform:RecordRef',
            'grossAmt' => 'xsd:double',
            'taxRate2' => 'xsd:double',
            'class' => 'core_2013_2.platform:RecordRef',
            'customer' => 'core_2013_2.platform:RecordRef',
            'location' => 'core_2013_2.platform:RecordRef',
            'isBillable' => 'xsd:boolean',
            'expMediaItem' => 'core_2013_2.platform:RecordRef',
            'isNonReimbursable' => 'xsd:boolean',
            'receipt' => 'xsd:boolean',
            'refNumber' => 'xsd:long',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        ExpenseReportExpenseList => {
            'expense' => 'employees_2013_2.transactions:ExpenseReportExpense',
        },
    
        PaycheckJournal => {
            'subsidiary' => 'core_2013_2.platform:RecordRef',
            'currency' => 'core_2013_2.platform:RecordRef',
            'exchangeRate' => 'xsd:double',
            'createdDate' => 'xsd:dateTime',
            'lastModifiedDate' => 'xsd:dateTime',
            'customForm' => 'core_2013_2.platform:RecordRef',
            'employee' => 'core_2013_2.platform:RecordRef',
            'tranDate' => 'xsd:dateTime',
            'postingPeriod' => 'core_2013_2.platform:RecordRef',
            'account' => 'core_2013_2.platform:RecordRef',
            'department' => 'core_2013_2.platform:RecordRef',
            'class' => 'core_2013_2.platform:RecordRef',
            'location' => 'core_2013_2.platform:RecordRef',
            'companyContributionList' => 'employees_2013_2.transactions:PaycheckJournalCompanyContributionList',
            'deductionList' => 'employees_2013_2.transactions:PaycheckJournalDeductionList',
            'employeeTaxList' => 'employees_2013_2.transactions:PaycheckJournalEmployeeTaxList',
            'companyTaxList' => 'employees_2013_2.transactions:PaycheckJournalCompanyTaxList',
            'earningList' => 'employees_2013_2.transactions:PaycheckJournalEarningList',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        PaycheckJournalCompanyTax => {
            'id' => 'xsd:long',
            'payrollItem' => 'core_2013_2.platform:RecordRef',
            'amount' => 'xsd:double',
            'department' => 'core_2013_2.platform:RecordRef',
            'class' => 'core_2013_2.platform:RecordRef',
            'location' => 'core_2013_2.platform:RecordRef',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        PaycheckJournalCompanyTaxList => {
            'paycheckJournalCompanyTax' => 'employees_2013_2.transactions:PaycheckJournalCompanyTax',
        },
    
        PaycheckJournalDeduction => {
            'id' => 'xsd:long',
            'payrollItem' => 'core_2013_2.platform:RecordRef',
            'amount' => 'xsd:double',
            'department' => 'core_2013_2.platform:RecordRef',
            'class' => 'core_2013_2.platform:RecordRef',
            'location' => 'core_2013_2.platform:RecordRef',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        PaycheckJournalDeductionList => {
            'paycheckJournalDeduction' => 'employees_2013_2.transactions:PaycheckJournalDeduction',
        },
    
        PaycheckJournalCompanyContribution => {
            'id' => 'xsd:long',
            'payrollItem' => 'core_2013_2.platform:RecordRef',
            'amount' => 'xsd:double',
            'department' => 'core_2013_2.platform:RecordRef',
            'class' => 'core_2013_2.platform:RecordRef',
            'location' => 'core_2013_2.platform:RecordRef',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        PaycheckJournalCompanyContributionList => {
            'paycheckJournalCompanyContribution' => 'employees_2013_2.transactions:PaycheckJournalCompanyContribution',
        },
    
        PaycheckJournalEarning => {
            'id' => 'xsd:long',
            'payrollItem' => 'core_2013_2.platform:RecordRef',
            'hours' => 'xsd:double',
            'amount' => 'xsd:double',
            'department' => 'core_2013_2.platform:RecordRef',
            'class' => 'core_2013_2.platform:RecordRef',
            'location' => 'core_2013_2.platform:RecordRef',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        PaycheckJournalEarningList => {
            'paycheckJournalEarning' => 'employees_2013_2.transactions:PaycheckJournalEarning',
        },
    
        PaycheckJournalEmployeeTax => {
            'id' => 'xsd:long',
            'payrollItem' => 'core_2013_2.platform:RecordRef',
            'amount' => 'xsd:double',
            'department' => 'core_2013_2.platform:RecordRef',
            'class' => 'core_2013_2.platform:RecordRef',
            'location' => 'core_2013_2.platform:RecordRef',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        PaycheckJournalEmployeeTaxList => {
            'paycheckJournalEmployeeTax' => 'employees_2013_2.transactions:PaycheckJournalEmployeeTax',
        },
    
        Campaign => {
            'customForm' => 'core_2013_2.platform:RecordRef',
            'campaignId' => 'xsd:string',
            'title' => 'xsd:string',
            'category' => 'core_2013_2.platform:RecordRef',
            'owner' => 'core_2013_2.platform:RecordRef',
            'startDate' => 'xsd:dateTime',
            'endDate' => 'xsd:dateTime',
            'url' => 'xsd:string',
            'baseCost' => 'xsd:double',
            'cost' => 'xsd:double',
            'expectedRevenue' => 'xsd:double',
            'message' => 'xsd:string',
            'isInactive' => 'xsd:boolean',
            'local' => 'xsd:boolean',
            'totalRevenue' => 'xsd:double',
            'roi' => 'xsd:double',
            'profit' => 'xsd:double',
            'costPerCustomer' => 'xsd:double',
            'convCostPerCustomer' => 'xsd:double',
            'conversions' => 'xsd:long',
            'leadsGenerated' => 'xsd:long',
            'uniqueVisitors' => 'xsd:long',
            'vertical' => 'core_2013_2.platform:RecordRef',
            'audience' => 'core_2013_2.platform:RecordRef',
            'offer' => 'core_2013_2.platform:RecordRef',
            'promotionCode' => 'core_2013_2.platform:RecordRef',
            'itemList' => 'core_2013_2.platform:RecordRefList',
            'family' => 'core_2013_2.platform:RecordRef',
            'searchEngine' => 'core_2013_2.platform:RecordRef',
            'keyword' => 'xsd:string',
            'campaignEmailList' => 'marketing_2013_2.lists:CampaignEmailList',
            'campaignDirectMailList' => 'marketing_2013_2.lists:CampaignDirectMailList',
            'campaignEventList' => 'marketing_2013_2.lists:CampaignEventList',
            'eventResponseList' => 'marketing_2013_2.lists:CampaignEventResponseList',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        CampaignEmail => {
            'internalId' => 'xsd:string',
            'campaignGroup' => 'core_2013_2.platform:RecordRef',
            'template' => 'core_2013_2.platform:RecordRef',
            'description' => 'xsd:string',
            'subscription' => 'core_2013_2.platform:RecordRef',
            'channel' => 'core_2013_2.platform:RecordRef',
            'cost' => 'xsd:double',
            'status' => 'marketing_2013_2.listsTypes:CampaignCampaignEmailStatus',
            'dateScheduled' => 'xsd:dateTime',
            'promoCode' => 'core_2013_2.platform:RecordRef',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        CampaignEmailList => {
            'campaignEmail' => 'marketing_2013_2.lists:CampaignEmail',
        },
    
        CampaignDirectMail => {
            'internalId' => 'xsd:string',
            'campaignGroup' => 'core_2013_2.platform:RecordRef',
            'template' => 'core_2013_2.platform:RecordRef',
            'description' => 'xsd:string',
            'subscription' => 'core_2013_2.platform:RecordRef',
            'channel' => 'core_2013_2.platform:RecordRef',
            'cost' => 'xsd:double',
            'status' => 'marketing_2013_2.listsTypes:CampaignCampaignDirectMailStatus',
            'dateScheduled' => 'xsd:dateTime',
            'promoCode' => 'core_2013_2.platform:RecordRef',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        CampaignDirectMailList => {
            'campaignDirectMail' => 'marketing_2013_2.lists:CampaignDirectMail',
        },
    
        CampaignEvent => {
            'internalId' => 'xsd:string',
            'campaignGroup' => 'core_2013_2.platform:RecordRef',
            'description' => 'xsd:string',
            'subscription' => 'core_2013_2.platform:RecordRef',
            'channel' => 'core_2013_2.platform:RecordRef',
            'cost' => 'xsd:double',
            'status' => 'marketing_2013_2.listsTypes:CampaignCampaignEventStatus',
            'dateScheduled' => 'xsd:dateTime',
            'promoCode' => 'core_2013_2.platform:RecordRef',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        CampaignEventList => {
            'campaignEvent' => 'marketing_2013_2.lists:CampaignEvent',
        },
    
        CampaignEventResponse => {
            'name' => 'xsd:string',
            'type' => 'xsd:string',
            'dateSent' => 'xsd:dateTime',
            'sent' => 'xsd:double',
            'opened' => 'xsd:double',
            'openedRatio' => 'xsd:double',
            'clickedThru' => 'xsd:double',
            'clickedThruRatio' => 'xsd:double',
            'responded' => 'xsd:long',
            'respondedRatio' => 'xsd:double',
            'unsubscribed' => 'xsd:long',
            'unsubscribedRatio' => 'xsd:double',
            'bounced' => 'xsd:long',
            'bouncedRatio' => 'xsd:double',
        },
    
        CampaignEventResponseList => {
            'eventResponse' => 'marketing_2013_2.lists:CampaignEventResponse',
        },
    
        CampaignSearchAdvanced => {
            'criteria' => 'marketing_2013_2.lists:CampaignSearch',
            'columns' => 'marketing_2013_2.lists:CampaignSearchRow',
        },
    
        CampaignSearchRow => {
            'basic' => 'common_2013_2.platform:CampaignSearchRowBasic',
            'campaignRecipientJoin' => 'common_2013_2.platform:EntitySearchRowBasic',
            'fileJoin' => 'common_2013_2.platform:FileSearchRowBasic',
            'messagesJoin' => 'common_2013_2.platform:MessageSearchRowBasic',
            'originatingLeadJoin' => 'common_2013_2.platform:OriginatingLeadSearchRowBasic',
            'promotionCodeJoin' => 'common_2013_2.platform:PromotionCodeSearchRowBasic',
            'transactionJoin' => 'common_2013_2.platform:TransactionSearchRowBasic',
            'userJoin' => 'common_2013_2.platform:EmployeeSearchRowBasic',
            'userNotesJoin' => 'common_2013_2.platform:NoteSearchRowBasic',
            'customSearchJoin' => 'common_2013_2.platform:CustomSearchRowBasic',
        },
    
        CampaignCategory => {
            'name' => 'xsd:string',
            'parent' => 'core_2013_2.platform:RecordRef',
            'leadSource' => 'core_2013_2.platform:RecordRef',
            'description' => 'xsd:string',
            'isexternal' => 'xsd:boolean',
            'isInactive' => 'xsd:boolean',
        },
    
        CampaignAudience => {
            'name' => 'xsd:string',
            'description' => 'xsd:string',
            'isInactive' => 'xsd:boolean',
        },
    
        CampaignFamily => {
            'name' => 'xsd:string',
            'description' => 'xsd:string',
            'isInactive' => 'xsd:boolean',
        },
    
        CampaignSearchEngine => {
            'name' => 'xsd:string',
            'description' => 'xsd:string',
            'isInactive' => 'xsd:boolean',
        },
    
        CampaignChannel => {
            'name' => 'xsd:string',
            'eventType' => 'marketing_2013_2.listsTypes:CampaignChannelEventType',
            'description' => 'xsd:string',
            'isInactive' => 'xsd:boolean',
        },
    
        CampaignOffer => {
            'name' => 'xsd:string',
            'description' => 'xsd:string',
            'isInactive' => 'xsd:boolean',
        },
    
        CampaignResponse => {
            'entity' => 'core_2013_2.platform:RecordRef',
            'leadSource' => 'core_2013_2.platform:RecordRef',
            'campaignEvent' => 'core_2013_2.platform:RecordRef',
            'campaignResponseDate' => 'xsd:dateTime',
            'channel' => 'xsd:string',
            'response' => 'marketing_2013_2.listsTypes:CampaignResponseResponse',
            'note' => 'xsd:string',
            'responsesList' => 'marketing_2013_2.lists:CampaignResponseResponsesList',
        },
    
        CampaignResponseResponses => {
            'response' => 'xsd:string',
            'responseDate' => 'xsd:string',
            'author' => 'xsd:string',
            'note' => 'xsd:string',
        },
    
        CampaignResponseResponsesList => {
            'responses' => 'marketing_2013_2.lists:CampaignResponseResponses',
        },
    
        CampaignVertical => {
            'name' => 'xsd:string',
            'description' => 'xsd:string',
            'isInactive' => 'xsd:boolean',
        },
    
        CampaignSubscription => {
            'name' => 'xsd:string',
            'description' => 'xsd:string',
            'subscribedByDefault' => 'xsd:boolean',
            'unsubscribed' => 'xsd:boolean',
            'externalName' => 'xsd:string',
            'externalDescription' => 'xsd:string',
            'isInactive' => 'xsd:boolean',
        },
    
        PromotionCode => {
            'implementation' => 'core_2013_2.platform:RecordRef',
            'customForm' => 'core_2013_2.platform:RecordRef',
            'useType' => 'marketing_2013_2.listsTypes:PromotionCodeUseType',
            'displayLineDiscounts' => 'xsd:boolean',
            'code' => 'xsd:string',
            'codePattern' => 'xsd:string',
            'numberToGenerate' => 'xsd:long',
            'description' => 'xsd:string',
            'isInactive' => 'xsd:boolean',
            'discount' => 'core_2013_2.platform:RecordRef',
            'rate' => 'xsd:string',
            'discountType' => 'xsd:boolean',
            'applyDiscountTo' => 'marketing_2013_2.listsTypes:PromotionCodeApplyDiscountTo',
            'freeShipMethod' => 'core_2013_2.platform:RecordRef',
            'minimumOrderAmount' => 'xsd:double',
            'startDate' => 'xsd:dateTime',
            'endDate' => 'xsd:dateTime',
            'isPublic' => 'xsd:boolean',
            'currencyList' => 'marketing_2013_2.lists:PromotionCodeCurrencyList',
            'excludeItems' => 'xsd:boolean',
            'name' => 'xsd:string',
            'itemsList' => 'marketing_2013_2.lists:PromotionCodeItemsList',
            'partnersList' => 'marketing_2013_2.lists:PromotionCodePartnersList',
        },
    
        PromotionCodePartners => {
            'partner' => 'core_2013_2.platform:RecordRef',
            'code' => 'xsd:string',
        },
    
        PromotionCodePartnersList => {
            'partners' => 'marketing_2013_2.lists:PromotionCodePartners',
        },
    
        PromotionCodeItems => {
            'item' => 'core_2013_2.platform:RecordRef',
        },
    
        PromotionCodeItemsList => {
            'items' => 'marketing_2013_2.lists:PromotionCodeItems',
        },
    
        PromotionCodeSearchAdvanced => {
            'criteria' => 'marketing_2013_2.lists:PromotionCodeSearch',
            'columns' => 'marketing_2013_2.lists:PromotionCodeSearchRow',
        },
    
        PromotionCodeSearchRow => {
            'basic' => 'common_2013_2.platform:PromotionCodeSearchRowBasic',
            'userJoin' => 'common_2013_2.platform:EmployeeSearchRowBasic',
            'customSearchJoin' => 'common_2013_2.platform:CustomSearchRowBasic',
        },
    
        PromotionCodeCurrency => {
            'currency' => 'core_2013_2.platform:RecordRef',
            'minimumOrderAmount' => 'xsd:double',
        },
    
        PromotionCodeCurrencyList => {
            'currency' => 'marketing_2013_2.lists:PromotionCodeCurrency',
        },
    
        CouponCode => {
            'promotion' => 'core_2013_2.platform:RecordRef',
            'code' => 'xsd:string',
            'recipient' => 'core_2013_2.platform:RecordRef',
            'dateSent' => 'xsd:dateTime',
            'used' => 'xsd:boolean',
            'useCount' => 'xsd:long',
        },
    
        CouponCodeSearchAdvanced => {
            'criteria' => 'marketing_2013_2.lists:CouponCodeSearch',
            'columns' => 'marketing_2013_2.lists:CouponCodeSearchRow',
        },
    
        CouponCodeSearchRow => {
            'basic' => 'common_2013_2.platform:CouponCodeSearchRowBasic',
            'userJoin' => 'common_2013_2.platform:EmployeeSearchRowBasic',
        },
    
        ItemDemandPlan => {
            'customForm' => 'core_2013_2.platform:RecordRef',
            'subsidiary' => 'core_2013_2.platform:RecordRef',
            'location' => 'core_2013_2.platform:RecordRef',
            'item' => 'core_2013_2.platform:RecordRef',
            'units' => 'core_2013_2.platform:RecordRef',
            'memo' => 'xsd:string',
            'year' => 'xsd:long',
            'month' => 'demandplanning_2013_2.transactionsTypes:DemandPlanMonth',
            'startDate' => 'xsd:dateTime',
            'endDate' => 'xsd:dateTime',
            'demandPlanCalendarType' => 'demandplanning_2013_2.transactionsTypes:DemandPlanCalendarType',
            'demandPlanMatrix' => 'demandplanning_2013_2.transactions:DemandPlanMatrix',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        DemandPlan => {
            'startDate' => 'xsd:dateTime',
            'endDate' => 'xsd:dateTime',
            'calculatedQuantity' => 'xsd:double',
            'periodDemandPlanList' => 'demandplanning_2013_2.transactions:PeriodDemandPlanList',
        },
    
        DemandPlanMatrix => {
            'demandPlan' => 'demandplanning_2013_2.transactions:DemandPlan',
        },
    
        PeriodDemandPlanList => {
            'periodDemandPlan' => 'demandplanning_2013_2.transactions:PeriodDemandPlan',
        },
    
        PeriodDemandPlan => {
            'quantity' => 'xsd:double',
            'dayOfTheWeek' => 'demandplanning_2013_2.transactionsTypes:DayOfTheWeek',
        },
    
        ItemDemandPlanSearchAdvanced => {
            'criteria' => 'demandplanning_2013_2.transactions:ItemDemandPlanSearch',
            'columns' => 'demandplanning_2013_2.transactions:ItemDemandPlanSearchRow',
        },
    
        ItemDemandPlanSearchRow => {
            'basic' => 'common_2013_2.platform:ItemDemandPlanSearchRowBasic',
            'itemJoin' => 'common_2013_2.platform:ItemSearchRowBasic',
            'lastAlternateSourceItemJoin' => 'common_2013_2.platform:ItemSearchRowBasic',
            'locationJoin' => 'common_2013_2.platform:LocationSearchRowBasic',
            'userJoin' => 'common_2013_2.platform:EmployeeSearchRowBasic',
            'customSearchJoin' => 'common_2013_2.platform:CustomSearchRowBasic',
        },
    
        ItemSupplyPlan => {
            'customForm' => 'core_2013_2.platform:RecordRef',
            'subsidiary' => 'core_2013_2.platform:RecordRef',
            'location' => 'core_2013_2.platform:RecordRef',
            'item' => 'core_2013_2.platform:RecordRef',
            'units' => 'core_2013_2.platform:RecordRef',
            'memo' => 'xsd:string',
            'orderList' => 'demandplanning_2013_2.transactions:ItemSupplyPlanOrderList',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        ItemSupplyPlanOrder => {
            'orderLineId' => 'xsd:long',
            'orderDate' => 'xsd:dateTime',
            'receiptDate' => 'xsd:dateTime',
            'quantity' => 'xsd:double',
            'orderCreated' => 'xsd:boolean',
            'orderType' => 'demandplanning_2013_2.transactionsTypes:ItemSupplyPlanOrderType',
        },
    
        ItemSupplyPlanOrderList => {
            'itemSupplyPlanOrder' => 'demandplanning_2013_2.transactions:ItemSupplyPlanOrder',
        },
    
        ItemSupplyPlanSearchAdvanced => {
            'criteria' => 'demandplanning_2013_2.transactions:ItemSupplyPlanSearch',
            'columns' => 'demandplanning_2013_2.transactions:ItemSupplyPlanSearchRow',
        },
    
        ItemSupplyPlanSearchRow => {
            'basic' => 'common_2013_2.platform:ItemSupplyPlanSearchRowBasic',
            'itemJoin' => 'common_2013_2.platform:ItemSearchRowBasic',
            'locationJoin' => 'common_2013_2.platform:LocationSearchRowBasic',
            'userJoin' => 'common_2013_2.platform:EmployeeSearchRowBasic',
            'customSearchJoin' => 'common_2013_2.platform:CustomSearchRowBasic',
        },
    
        ManufacturingCostTemplate => {
            'customForm' => 'core_2013_2.platform:RecordRef',
            'subsidiary' => 'core_2013_2.platform:RecordRef',
            'name' => 'xsd:string',
            'memo' => 'xsd:string',
            'isInactive' => 'xsd:boolean',
            'costDetailList' => 'supplychain_2013_2.lists:ManufacturingCostDetailList',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        ManufacturingCostDetail => {
            'costCategory' => 'core_2013_2.platform:RecordRef',
            'item' => 'core_2013_2.platform:RecordRef',
            'fixedRate' => 'xsd:double',
            'runRate' => 'xsd:double',
        },
    
        ManufacturingCostDetailList => {
            'manufacturingCostDetail' => 'supplychain_2013_2.lists:ManufacturingCostDetail',
        },
    
        ManufacturingCostTemplateSearchAdvanced => {
            'criteria' => 'supplychain_2013_2.lists:ManufacturingCostTemplateSearch',
            'columns' => 'supplychain_2013_2.lists:ManufacturingCostTemplateSearchRow',
        },
    
        ManufacturingCostTemplateSearchRow => {
            'basic' => 'common_2013_2.platform:ManufacturingCostTemplateSearchRowBasic',
            'itemJoin' => 'common_2013_2.platform:ItemSearchRowBasic',
            'userJoin' => 'common_2013_2.platform:EmployeeSearchRowBasic',
            'customSearchJoin' => 'common_2013_2.platform:CustomSearchRowBasic',
        },
    
        ManufacturingRouting => {
            'customForm' => 'core_2013_2.platform:RecordRef',
            'subsidiary' => 'core_2013_2.platform:RecordRef',
            'item' => 'core_2013_2.platform:RecordRef',
            'locationList' => 'core_2013_2.platform:RecordRefList',
            'name' => 'xsd:string',
            'memo' => 'xsd:string',
            'isDefault' => 'xsd:boolean',
            'isInactive' => 'xsd:boolean',
            'routingStepList' => 'supplychain_2013_2.lists:ManufacturingRoutingRoutingStepList',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        ManufacturingRoutingRoutingStep => {
            'operationSequence' => 'xsd:long',
            'operationName' => 'xsd:string',
            'manufacturingWorkCenter' => 'core_2013_2.platform:RecordRef',
            'machineResources' => 'xsd:long',
            'laborResources' => 'xsd:long',
            'manufacturingCostTemplate' => 'core_2013_2.platform:RecordRef',
            'setupTime' => 'xsd:double',
            'runRate' => 'xsd:double',
        },
    
        ManufacturingRoutingRoutingStepList => {
            'manufacturingRoutingRoutingStep' => 'supplychain_2013_2.lists:ManufacturingRoutingRoutingStep',
        },
    
        ManufacturingRoutingSearchAdvanced => {
            'criteria' => 'supplychain_2013_2.lists:ManufacturingRoutingSearch',
            'columns' => 'supplychain_2013_2.lists:ManufacturingRoutingSearchRow',
        },
    
        ManufacturingRoutingSearchRow => {
            'basic' => 'common_2013_2.platform:ManufacturingRoutingSearchRowBasic',
            'itemJoin' => 'common_2013_2.platform:ItemSearchRowBasic',
            'locationJoin' => 'common_2013_2.platform:LocationSearchRowBasic',
            'manufacturingCostTemplateJoin' => 'common_2013_2.platform:ManufacturingCostTemplateSearchRowBasic',
            'manufacturingWorkCenterJoin' => 'common_2013_2.platform:EntityGroupSearchRowBasic',
            'userJoin' => 'common_2013_2.platform:EmployeeSearchRowBasic',
            'customSearchJoin' => 'common_2013_2.platform:CustomSearchRowBasic',
        },
    
        ManufacturingOperationTask => {
            'customForm' => 'core_2013_2.platform:RecordRef',
            'manufacturingWorkCenter' => 'core_2013_2.platform:RecordRef',
            'manufacturingCostTemplate' => 'core_2013_2.platform:RecordRef',
            'title' => 'xsd:string',
            'operationSequence' => 'xsd:long',
            'workOrder' => 'core_2013_2.platform:RecordRef',
            'order' => 'core_2013_2.platform:RecordRef',
            'status' => 'supplychain_2013_2.listsTypes:ManufacturingOperationTaskStatus',
            'message' => 'xsd:string',
            'estimatedWork' => 'xsd:double',
            'actualWork' => 'xsd:double',
            'remainingWork' => 'xsd:double',
            'inputQuantity' => 'xsd:double',
            'completedQuantity' => 'xsd:double',
            'setupTime' => 'xsd:double',
            'runRate' => 'xsd:double',
            'startDate' => 'xsd:dateTime',
            'endDate' => 'xsd:dateTime',
            'machineResources' => 'xsd:long',
            'laborResources' => 'xsd:long',
            'costDetailList' => 'supplychain_2013_2.lists:ManufacturingCostDetailList',
            'customFieldList' => 'core_2013_2.platform:CustomFieldList',
        },
    
        ManufacturingOperationTaskSearchAdvanced => {
            'criteria' => 'supplychain_2013_2.lists:ManufacturingOperationTaskSearch',
            'columns' => 'supplychain_2013_2.lists:ManufacturingOperationTaskSearchRow',
        },
    
        ManufacturingOperationTaskSearchRow => {
            'basic' => 'common_2013_2.platform:ManufacturingOperationTaskSearchRowBasic',
            'predecessorJoin' => 'common_2013_2.platform:ManufacturingOperationTaskSearchRowBasic',
            'userJoin' => 'common_2013_2.platform:EmployeeSearchRowBasic',
            'workOrderJoin' => 'common_2013_2.platform:TransactionSearchRowBasic',
            'customSearchJoin' => 'common_2013_2.platform:CustomSearchRowBasic',
        },
    
    };
    
}

sub RecordNamespaces {

    return {
        'calendarEvent' => 'scheduling_2013_2.activities',
        'task' => 'scheduling_2013_2.activities',
        'phoneCall' => 'scheduling_2013_2.activities',
        'projectTask' => 'scheduling_2013_2.activities',
        'resourceAllocation' => 'scheduling_2013_2.activities',
        'note' => 'communication_2013_2.general',
        'message' => 'communication_2013_2.general',
        'contact' => 'relationships_2013_2.lists',
        'customer' => 'relationships_2013_2.lists',
        'customerStatus' => 'relationships_2013_2.lists',
        'partner' => 'relationships_2013_2.lists',
        'vendor' => 'relationships_2013_2.lists',
        'entityGroup' => 'relationships_2013_2.lists',
        'job' => 'relationships_2013_2.lists',
        'jobType' => 'relationships_2013_2.lists',
        'jobStatus' => 'relationships_2013_2.lists',
        'supportCase' => 'support_2013_2.lists',
        'supportCaseStatus' => 'support_2013_2.lists',
        'supportCaseType' => 'support_2013_2.lists',
        'supportCaseOrigin' => 'support_2013_2.lists',
        'supportCaseIssue' => 'support_2013_2.lists',
        'supportCasePriority' => 'support_2013_2.lists',
        'solution' => 'support_2013_2.lists',
        'topic' => 'support_2013_2.lists',
        'issue' => 'support_2013_2.lists',
        'contactCategory' => 'accounting_2013_2.lists',
        'customerCategory' => 'accounting_2013_2.lists',
        'salesRole' => 'accounting_2013_2.lists',
        'priceLevel' => 'accounting_2013_2.lists',
        'winLossReason' => 'accounting_2013_2.lists',
        'term' => 'accounting_2013_2.lists',
        'noteType' => 'accounting_2013_2.lists',
        'paymentMethod' => 'accounting_2013_2.lists',
        'leadSource' => 'accounting_2013_2.lists',
        'inventoryItem' => 'accounting_2013_2.lists',
        'descriptionItem' => 'accounting_2013_2.lists',
        'discountItem' => 'accounting_2013_2.lists',
        'downloadItem' => 'accounting_2013_2.lists',
        'markupItem' => 'accounting_2013_2.lists',
        'paymentItem' => 'accounting_2013_2.lists',
        'subtotalItem' => 'accounting_2013_2.lists',
        'nonInventoryPurchaseItem' => 'accounting_2013_2.lists',
        'nonInventorySaleItem' => 'accounting_2013_2.lists',
        'nonInventoryResaleItem' => 'accounting_2013_2.lists',
        'otherChargeResaleItem' => 'accounting_2013_2.lists',
        'otherChargePurchaseItem' => 'accounting_2013_2.lists',
        'serviceResaleItem' => 'accounting_2013_2.lists',
        'servicePurchaseItem' => 'accounting_2013_2.lists',
        'serviceSaleItem' => 'accounting_2013_2.lists',
        'otherChargeSaleItem' => 'accounting_2013_2.lists',
        'currency' => 'accounting_2013_2.lists',
        'expenseCategory' => 'accounting_2013_2.lists',
        'account' => 'accounting_2013_2.lists',
        'department' => 'accounting_2013_2.lists',
        'classification' => 'accounting_2013_2.lists',
        'location' => 'accounting_2013_2.lists',
        'unitsType' => 'accounting_2013_2.lists',
        'contactRole' => 'accounting_2013_2.lists',
        'bin' => 'accounting_2013_2.lists',
        'salesTaxItem' => 'accounting_2013_2.lists',
        'taxGroup' => 'accounting_2013_2.lists',
        'taxType' => 'accounting_2013_2.lists',
        'serializedInventoryItem' => 'accounting_2013_2.lists',
        'lotNumberedInventoryItem' => 'accounting_2013_2.lists',
        'giftCertificateItem' => 'accounting_2013_2.lists',
        'subsidiary' => 'accounting_2013_2.lists',
        'giftCertificate' => 'accounting_2013_2.lists',
        'partnerCategory' => 'accounting_2013_2.lists',
        'vendorCategory' => 'accounting_2013_2.lists',
        'kitItem' => 'accounting_2013_2.lists',
        'assemblyItem' => 'accounting_2013_2.lists',
        'serializedAssemblyItem' => 'accounting_2013_2.lists',
        'lotNumberedAssemblyItem' => 'accounting_2013_2.lists',
        'state' => 'accounting_2013_2.lists',
        'accountingPeriod' => 'accounting_2013_2.lists',
        'budgetCategory' => 'accounting_2013_2.lists',
        'pricingGroup' => 'accounting_2013_2.lists',
        'inventoryNumber' => 'accounting_2013_2.lists',
        'revRecSchedule' => 'accounting_2013_2.lists',
        'revRecTemplate' => 'accounting_2013_2.lists',
        'costCategory' => 'accounting_2013_2.lists',
        'nexus' => 'accounting_2013_2.lists',
        'customerMessage' => 'accounting_2013_2.lists',
        'otherNameCategory' => 'accounting_2013_2.lists',
        'itemGroup' => 'accounting_2013_2.lists',
        'currencyRate' => 'accounting_2013_2.lists',
        'itemRevision' => 'accounting_2013_2.lists',
        'taxAcct' => 'accounting_2013_2.lists',
        'opportunity' => 'sales_2013_2.transactions',
        'salesOrder' => 'sales_2013_2.transactions',
        'itemFulfillment' => 'sales_2013_2.transactions',
        'invoice' => 'sales_2013_2.transactions',
        'cashSale' => 'sales_2013_2.transactions',
        'estimate' => 'sales_2013_2.transactions',
        'vendorBill' => 'purchases_2013_2.transactions',
        'purchaseOrder' => 'purchases_2013_2.transactions',
        'itemReceipt' => 'purchases_2013_2.transactions',
        'vendorPayment' => 'purchases_2013_2.transactions',
        'vendorCredit' => 'purchases_2013_2.transactions',
        'vendorReturnAuthorization' => 'purchases_2013_2.transactions',
        'cashRefund' => 'customers_2013_2.transactions',
        'customerPayment' => 'customers_2013_2.transactions',
        'returnAuthorization' => 'customers_2013_2.transactions',
        'creditMemo' => 'customers_2013_2.transactions',
        'customerRefund' => 'customers_2013_2.transactions',
        'customerDeposit' => 'customers_2013_2.transactions',
        'depositApplication' => 'customers_2013_2.transactions',
        'charge' => 'customers_2013_2.transactions',
        'budget' => 'financial_2013_2.transactions',
        'check' => 'bank_2013_2.transactions',
        'inventoryAdjustment' => 'inventory_2013_2.transactions',
        'assemblyBuild' => 'inventory_2013_2.transactions',
        'assemblyUnbuild' => 'inventory_2013_2.transactions',
        'transferOrder' => 'inventory_2013_2.transactions',
        'interCompanyTransferOrder' => 'inventory_2013_2.transactions',
        'workOrder' => 'inventory_2013_2.transactions',
        'inventoryTransfer' => 'inventory_2013_2.transactions',
        'binTransfer' => 'inventory_2013_2.transactions',
        'binWorksheet' => 'inventory_2013_2.transactions',
        'workOrderIssue' => 'inventory_2013_2.transactions',
        'workOrderCompletion' => 'inventory_2013_2.transactions',
        'workOrderClose' => 'inventory_2013_2.transactions',
        'inventoryCostRevaluation' => 'inventory_2013_2.transactions',
        'journalEntry' => 'general_2013_2.transactions',
        'interCompanyJournalEntry' => 'general_2013_2.transactions',
        'customRecord' => 'customization_2013_2.setup',
        'customList' => 'customization_2013_2.setup',
        'customRecordType' => 'customization_2013_2.setup',
        'customFieldType' => 'customization_2013_2.setup',
        'entityCustomField' => 'customization_2013_2.setup',
        'crmCustomField' => 'customization_2013_2.setup',
        'otherCustomField' => 'customization_2013_2.setup',
        'itemCustomField' => 'customization_2013_2.setup',
        'transactionBodyCustomField' => 'customization_2013_2.setup',
        'transactionColumnCustomField' => 'customization_2013_2.setup',
        'itemOptionCustomField' => 'customization_2013_2.setup',
        'customRecordCustomField' => 'customization_2013_2.setup',
        'itemNumberCustomField' => 'customization_2013_2.setup',
        'appDefinition' => 'customization_2013_2.setup',
        'appPackage' => 'customization_2013_2.setup',
        'employee' => 'employees_2013_2.lists',
        'payrollItem' => 'employees_2013_2.lists',
        'file' => 'filecabinet_2013_2.documents',
        'folder' => 'filecabinet_2013_2.documents',
        'siteCategory' => 'website_2013_2.lists',
        'timeBill' => 'employees_2013_2.transactions',
        'expenseReport' => 'employees_2013_2.transactions',
        'paycheckJournal' => 'employees_2013_2.transactions',
        'campaign' => 'marketing_2013_2.lists',
        'campaignCategory' => 'marketing_2013_2.lists',
        'campaignAudience' => 'marketing_2013_2.lists',
        'campaignFamily' => 'marketing_2013_2.lists',
        'campaignSearchEngine' => 'marketing_2013_2.lists',
        'campaignChannel' => 'marketing_2013_2.lists',
        'campaignOffer' => 'marketing_2013_2.lists',
        'campaignResponse' => 'marketing_2013_2.lists',
        'campaignVertical' => 'marketing_2013_2.lists',
        'campaignSubscription' => 'marketing_2013_2.lists',
        'promotionCode' => 'marketing_2013_2.lists',
        'couponCode' => 'marketing_2013_2.lists',
        'itemDemandPlan' => 'demandplanning_2013_2.transactions',
        'itemSupplyPlan' => 'demandplanning_2013_2.transactions',
        'manufacturingCostTemplate' => 'supplychain_2013_2.lists',
        'manufacturingRouting' => 'supplychain_2013_2.lists',
        'manufacturingOperationTask' => 'supplychain_2013_2.lists',
    };

}

sub SearchNamespaces {

    return {
        'CalendarEventSearch' => 'scheduling_2013_2.activities',
        'TaskSearch' => 'scheduling_2013_2.activities',
        'PhoneCallSearch' => 'scheduling_2013_2.activities',
        'ProjectTaskSearch' => 'scheduling_2013_2.activities',
        'ResourceAllocationSearch' => 'scheduling_2013_2.activities',
        'NoteSearch' => 'communication_2013_2.general',
        'MessageSearch' => 'communication_2013_2.general',
        'ContactSearch' => 'relationships_2013_2.lists',
        'CustomerSearch' => 'relationships_2013_2.lists',
        'PartnerSearch' => 'relationships_2013_2.lists',
        'VendorSearch' => 'relationships_2013_2.lists',
        'EntityGroupSearch' => 'relationships_2013_2.lists',
        'JobSearch' => 'relationships_2013_2.lists',
        'CustomerStatusSearch' => 'relationships_2013_2.lists',
        'JobStatusSearch' => 'relationships_2013_2.lists',
        'JobTypeSearch' => 'relationships_2013_2.lists',
        'OriginatingLeadSearch' => 'relationships_2013_2.lists',
        'SupportCaseSearch' => 'support_2013_2.lists',
        'SolutionSearch' => 'support_2013_2.lists',
        'TopicSearch' => 'support_2013_2.lists',
        'IssueSearch' => 'support_2013_2.lists',
        'AccountSearch' => 'accounting_2013_2.lists',
        'DepartmentSearch' => 'accounting_2013_2.lists',
        'ClassificationSearch' => 'accounting_2013_2.lists',
        'LocationSearch' => 'accounting_2013_2.lists',
        'ItemSearch' => 'accounting_2013_2.lists',
        'BinSearch' => 'accounting_2013_2.lists',
        'SubsidiarySearch' => 'accounting_2013_2.lists',
        'GiftCertificateSearch' => 'accounting_2013_2.lists',
        'AccountingPeriodSearch' => 'accounting_2013_2.lists',
        'ContactCategorySearch' => 'accounting_2013_2.lists',
        'ContactRoleSearch' => 'accounting_2013_2.lists',
        'CustomerCategorySearch' => 'accounting_2013_2.lists',
        'ExpenseCategorySearch' => 'accounting_2013_2.lists',
        'NoteTypeSearch' => 'accounting_2013_2.lists',
        'PartnerCategorySearch' => 'accounting_2013_2.lists',
        'PaymentMethodSearch' => 'accounting_2013_2.lists',
        'PriceLevelSearch' => 'accounting_2013_2.lists',
        'SalesRoleSearch' => 'accounting_2013_2.lists',
        'TermSearch' => 'accounting_2013_2.lists',
        'VendorCategorySearch' => 'accounting_2013_2.lists',
        'WinLossReasonSearch' => 'accounting_2013_2.lists',
        'UnitsTypeSearch' => 'accounting_2013_2.lists',
        'PricingGroupSearch' => 'accounting_2013_2.lists',
        'InventoryNumberSearch' => 'accounting_2013_2.lists',
        'RevRecScheduleSearch' => 'accounting_2013_2.lists',
        'RevRecTemplateSearch' => 'accounting_2013_2.lists',
        'NexusSearch' => 'accounting_2013_2.lists',
        'OtherNameCategorySearch' => 'accounting_2013_2.lists',
        'CustomerMessageSearch' => 'accounting_2013_2.lists',
        'CurrencyRateSearch' => 'accounting_2013_2.lists',
        'ItemRevisionSearch' => 'accounting_2013_2.lists',
        'OpportunitySearch' => 'sales_2013_2.transactions',
        'TransactionSearch' => 'sales_2013_2.transactions',
        'ChargeSearch' => 'customers_2013_2.transactions',
        'BudgetSearch' => 'financial_2013_2.transactions',
        'CustomRecordSearch' => 'customization_2013_2.setup',
        'CustomListSearch' => 'customization_2013_2.setup',
        'AppDefinitionSearch' => 'customization_2013_2.setup',
        'AppPackageSearch' => 'customization_2013_2.setup',
        'EmployeeSearch' => 'employees_2013_2.lists',
        'PayrollItemSearch' => 'employees_2013_2.lists',
        'FileSearch' => 'filecabinet_2013_2.documents',
        'FolderSearch' => 'filecabinet_2013_2.documents',
        'SiteCategorySearch' => 'website_2013_2.lists',
        'TimeBillSearch' => 'employees_2013_2.transactions',
        'CampaignSearch' => 'marketing_2013_2.lists',
        'PromotionCodeSearch' => 'marketing_2013_2.lists',
        'CouponCodeSearch' => 'marketing_2013_2.lists',
        'ItemDemandPlanSearch' => 'demandplanning_2013_2.transactions',
        'ItemSupplyPlanSearch' => 'demandplanning_2013_2.transactions',
        'ManufacturingCostTemplateSearch' => 'supplychain_2013_2.lists',
        'ManufacturingRoutingSearch' => 'supplychain_2013_2.lists',
        'ManufacturingOperationTaskSearch' => 'supplychain_2013_2.lists',
    };

}

sub SystemNamespaces {

    return {
        'general_2013_2.transactions' => 'urn:general_2013_2.transactions.webservices.netsuite.com',
        'employees_2013_2.lists' => 'urn:employees_2013_2.lists.webservices.netsuite.com',
        'scheduling_2013_2.activities' => 'urn:scheduling_2013_2.activities.webservices.netsuite.com',
        'inventory_2013_2.transactions' => 'urn:inventory_2013_2.transactions.webservices.netsuite.com',
        'purchases_2013_2.transactions' => 'urn:purchases_2013_2.transactions.webservices.netsuite.com',
        'financial_2013_2.transactions' => 'urn:financial_2013_2.transactions.webservices.netsuite.com',
        'messages_2013_2.platform' => 'urn:messages_2013_2.platform.webservices.netsuite.com',
        'relationships_2013_2.lists' => 'urn:relationships_2013_2.lists.webservices.netsuite.com',
        'core_2013_2.platform' => 'urn:core_2013_2.platform.webservices.netsuite.com',
        'website_2013_2.lists' => 'urn:website_2013_2.lists.webservices.netsuite.com',
        'communication_2013_2.general' => 'urn:communication_2013_2.general.webservices.netsuite.com',
        'common_2013_2.platform' => 'urn:common_2013_2.platform.webservices.netsuite.com',
        'supplychain_2013_2.lists' => 'urn:supplychain_2013_2.lists.webservices.netsuite.com',
        'bank_2013_2.transactions' => 'urn:bank_2013_2.transactions.webservices.netsuite.com',
        'demandplanning_2013_2.transactions' => 'urn:demandplanning_2013_2.transactions.webservices.netsuite.com',
        'sales_2013_2.transactions' => 'urn:sales_2013_2.transactions.webservices.netsuite.com',
        'marketing_2013_2.lists' => 'urn:marketing_2013_2.lists.webservices.netsuite.com',
        'customization_2013_2.setup' => 'urn:customization_2013_2.setup.webservices.netsuite.com',
        'customers_2013_2.transactions' => 'urn:customers_2013_2.transactions.webservices.netsuite.com',
        'support_2013_2.lists' => 'urn:support_2013_2.lists.webservices.netsuite.com',
        'accounting_2013_2.lists' => 'urn:accounting_2013_2.lists.webservices.netsuite.com',
        'faults_2013_2.platform' => 'urn:faults_2013_2.platform.webservices.netsuite.com',
        'filecabinet_2013_2.documents' => 'urn:filecabinet_2013_2.documents.webservices.netsuite.com',
        'employees_2013_2.transactions' => 'urn:employees_2013_2.transactions.webservices.netsuite.com',
    };

}

sub StateEnumerations {

    return {
        'AL' => 'Alabama', 
        'AK' => 'Alaska', 
        'AB' => 'Alberta', 
        'AR' => 'Arizona', 
        'AZ' => 'Arkansas', 
        'BC' => 'British Columbia', 
        'CA' => 'California', 
        'CO' => 'Colorado', 
        'CT' => 'Connecticut', 
        'DE' => 'Delaware', 
        'DC' => 'District of Columbia', 
        'FL' => 'Florida', 
        'GA' => 'Georgia', 
        'HI' => 'Hawaii', 
        'ID' => 'Idaho', 
        'IL' => 'Illinois', 
        'IN' => 'Indiana', 
        'IA' => 'Iowa', 
        'KS' => 'Kansas', 
        'KY' => 'Kentucky', 
        'LA' => 'Louisiana', 
        'ME' => 'Maine', 
        'MB' => 'Manitoba', 
        'MD' => 'Maryland', 
        'MA' => 'Massachusetts', 
        'MI' => 'Michigan', 
        'MN' => 'Minnesota', 
        'MS' => 'Mississippi', 
        'MO' => 'Missouri', 
        'MT' => 'Montana', 
        'NE' => 'Nebraska', 
        'NV' => 'Nevada', 
        'NB' => 'New Brunswick', 
        'NH' => 'New Hampshire', 
        'NJ' => 'New Jersey', 
        'NM' => 'New Mexico', 
        'NY' => 'New York', 
        'NL' => 'Newfoundland', 
        'NC' => 'North Carolina', 
        'ND' => 'North Dakota', 
        'NT' => 'North West Territories', 
        'NS' => 'Nova Scotia', 
        'NU' => 'Nunavut', 
        'OH' => 'Ohio', 
        'OK' => 'Oklahoma', 
        'ON' => 'Ontario', 
        'OR' => 'Oregon', 
        'PA' => 'Pennsylvania', 
        'PE' => 'Prince Edward Island', 
        'PR' => 'Puertorico', 
        'QC' => 'Quebec', 
        'RI' => 'Rhode Island', 
        'SK' => 'Saskatchewan', 
        'SC' => 'South Carolina', 
        'SD' => 'South Dakota', 
        'TN' => 'Tennessee', 
        'TX' => 'Texas', 
        'UT' => 'Utah', 
        'VT' => 'Vermont', 
        'VA' => 'Virginia', 
        'WA' => 'Washington', 
        'WV' => 'West Virginia', 
        'WI' => 'Wisconsin', 
        'WY' => 'Wyoming', 
        'YT' => 'Yukon'
    };


}

sub CountryEnumerations {

    return {
        '_afghanistan' => 'Afghanistan', 
        '_albania' => 'Albania', 
        '_algeria' => 'Algeria', 
        '_americanSamoa' => 'American Samoa', 
        '_andorra' => 'Andorra', 
        '_angola' => 'Angola', 
        '_anguilla' => 'Anguilla', 
        '_antarctica' => 'Antarctica', 
        '_antiguaAndBarbuda' => 'Antigua and Barbuda', 
        '_argentina' => 'Argentina', 
        '_armenia' => 'Armenia', 
        '_aruba' => 'Aruba', 
        '_australia' => 'Austrailia', 
        '_austria' => 'Austria', 
        '_azerbaijan' => 'Azerbaijan', 
        '_bahamas' => 'Bahamas', 
        '_bahrain' => 'Bahrain', 
        '_bangladesh' => 'Bangladesh', 
        '_barbados' => 'Barbados', 
        '_belarus' => 'Belarus', 
        '_belgium' => 'Belgium', 
        '_belize' => 'Belize', 
        '_benin' => 'Benin', 
        '_bermuda' => 'Bermuda', 
        '_bhutan' => 'Bhutan', 
        '_bolivia' => 'Bolivia', 
        '_bosniaAndHerzegovina' => 'Bosnia and Herzegobina', 
        '_botswana' => 'Botswana', 
        '_bouvetIsland' => 'Bouvet Island', 
        '_brazil' => 'Brazil', 
        '_britishIndianOceanTerritory' => 'British Indian Ocean Territory', 
        '_bruneiDarussalam' => 'Brunei Darussalam', 
        '_bulgaria' => 'Bulgaria', 
        '_burkinaFaso' => 'Burkina Faso', 
        '_burundi' => 'Burundi', 
        '_cambodia' => 'Cambodia', 
        '_cameroon' => 'Cameroon', 
        '_canada' => 'Canada', 
        '_capVerde' => 'Cap Verde', 
        '_caymanIslands' => 'Cayman Islands', 
        '_centralAfricanRepublic' => 'Central African Republic', 
        '_chad' => 'Chad', 
        '_chile' => 'Chile', 
        '_china' => 'China', 
        '_christmasIsland' => 'Christmas Island', 
        '_cocosKeelingIslands' => 'Cocos (Keeling) Islands', 
        '_colombia' => 'Colombia', 
        '_comoros' => 'Comoros', 
        '_congoDemocraticPeoplesRepublic' => 'Congo, Democratic People.s Republic', 
        '_congoRepublicOf' => 'Congo, Republic of', 
        '_cookIslands' => 'Cook Islands', 
        '_costaRica' => 'Costa Rica', 
        '_coteDIvoire' => 'Cote d.Ivoire', 
        '_croatiaHrvatska' => 'Croatia/Hrvatska', 
        '_cuba' => 'Cuba', 
        '_cyprus' => 'Cyprus', 
        '_czechRepublic' => 'Czech Republic', 
        '_denmark' => 'Denmark', 
        '_djibouti' => 'Djibouti', 
        '_dominica' => 'Domenica', 
        '_dominicanRepublic' => 'Dominican Republic', 
        '_eastTimor' => 'East Timor', 
        '_ecuador' => 'Ecuador', 
        '_egypt' => 'Egypt', 
        '_elSalvador' => 'El Salvador', 
        '_equatorialGuinea' => 'Equatorial Guinea', 
        '_eritrea' => 'Eritrea', 
        '_estonia' => 'Estonia', 
        '_ethiopia' => 'Ethiopia', 
        '_falklandIslandsMalvina' => 'Falkland Islands (Malvina)', 
        '_faroeIslands' => 'Faroe Islands', 
        '_fiji' => 'Fiji', 
        '_finland' => 'Finland', 
        '_france' => 'France', 
        '_frenchGuiana' => 'French Guiana', 
        '_frenchPolynesia' => 'French Polynesia', 
        '_frenchSouthernTerritories' => 'French Southern Territories', 
        '_gabon' => 'Gabon', 
        '_gambia' => 'Gambia', 
        '_georgia' => 'Georgia', 
        '_germany' => 'Germany', 
        '_ghana' => 'Ghana', 
        '_gibraltar' => 'Gibraltar', 
        '_greece' => 'Greece', 
        '_greenland' => 'Greenland', 
        '_grenada' => 'Grenada', 
        '_guadeloupe' => 'Guadeloupe', 
        '_guam' => 'Guam', 
        '_guatemala' => 'Guatemala', 
        '_guernsey' => 'Guernsey', 
        '_guinea' => 'Guinea', 
        '_guineaBissau' => 'Guinea-Bissau', 
        '_guyana' => 'Guyana', 
        '_haiti' => 'Haiti', 
        '_heardAndMcDonaldIslands' => 'Heard and McDonald Is.', 
        '_holySeeCityVaticanState' => 'Holy See (City Vatican State)', 
        '_honduras' => 'Honduras', 
        '_hongKong' => 'Hong Kong', 
        '_hungary' => 'Hungary', 
        '_iceland' => 'Iceland', 
        '_india' => 'India', 
        '_indonesia' => 'Indonesia', 
        '_iranIslamicRepublicOf' => 'Iran, Islamic Republic of', 
        '_iraq' => 'Iraq', 
        '_ireland' => 'Ireland', 
        '_isleOfMan' => 'Isle of Man', 
        '_israel' => 'Israel', 
        '_italy' => 'Italy', 
        '_jamaica' => 'Jamaica', 
        '_japan' => 'Japan', 
        '_jersey' => 'Jersey', 
        '_jordan' => 'Jordan', 
        '_kazakhstan' => 'Kazakhstan', 
        '_kenya' => 'Kenya', 
        '_kiribati' => 'Kiribati', 
        '_koreaDemocraticPeoplesRepublic' => 'Korea, Democratic People.s Republic', 
        '_koreaRepublicOf' => 'Korea, Republic of', 
        '_kuwait' => 'Kuwait', 
        '_kyrgyzstan' => 'Krgyzstan', 
        '_laoPeoplesDemocraticRepublic' => 'Lao, People.s Democratic Republic', 
        '_latvia' => 'Latvia', 
        '_lebanon' => 'Lebanon', 
        '_lesotho' => 'Lesotho', 
        '_liberia' => 'Liberia', 
        '_libyanArabJamahiriya' => 'Libyan Arab Jamahiriya', 
        '_liechtenstein' => 'Liechtenstein', 
        '_lithuania' => 'Lithuania', 
        '_luxembourg' => 'Luxembourg', 
        '_macau' => 'Macau', 
        '_macedonia' => 'Macedonia', 
        '_madagascar' => 'Madagascar', 
        '_malawi' => 'Malawi', 
        '_malaysia' => 'Malaysia', 
        '_maldives' => 'Maldives', 
        '_mali' => 'Mali', 
        '_malta' => 'Malta', 
        '_marshallIslands' => 'Marshall Islands', 
        '_martinique' => 'Martinique', 
        '_mauritania' => 'Mauritania', 
        '_mauritius' => 'Mauritius', 
        '_mayotte' => 'Mayotte', 
        '_mexico' => 'Mexico', 
        '_micronesiaFederalStateOf' => 'Micronesia, Federal State of', 
        '_moldovaRepublicOf' => 'Moldova, Republic of', 
        '_monaco' => 'Monaco', 
        '_mongolia' => 'Mongolia', 
        '_montserrat' => 'Montserrat', 
        '_morocco' => 'Morocco', 
        '_mozambique' => 'Mozambique', 
        '_myanmar' => 'Myanmar', 
        '_namibia' => 'Namibia', 
        '_nauru' => 'Nauru', 
        '_nepal' => 'Nepal', 
        '_netherlands' => 'Netherlands', 
        '_netherlandsAntilles' => 'Netherlands Antilles', 
        '_newCaledonia' => 'New Caledonia', 
        '_newZealand' => 'New Zealand', 
        '_nicaragua' => 'Nicaragua', 
        '_niger' => 'Niger', 
        '_nigeria' => 'Nigeria', 
        '_niue' => 'Niue', 
        '_norfolkIsland' => 'Norfolk Island', 
        '_northernMarianaIslands' => 'Northern Mariana Islands', 
        '_norway' => 'Norway', 
        '_oman' => 'Oman', 
        '_pakistan' => 'Pakistan', 
        '_palau' => 'Palau', 
        '_palestinianTerritories' => 'Palestinian Territories', 
        '_panama' => 'Panama', 
        '_papuaNewGuinea' => 'Papua New Guinea', 
        '_paraguay' => 'Paraguay', 
        '_peru' => 'Peru', 
        '_philippines' => 'Philppines', 
        '_pitcairnIsland' => 'Pitcairn Island', 
        '_poland' => 'Poland', 
        '_portugal' => 'Portugal', 
        '_puertoRico' => 'Puerto Rico', 
        '_qatar' => 'Qatar', 
        '_reunionIsland' => 'Reunion Island', 
        '_romania' => 'Romania', 
        '_russianFederation' => 'Russian Federation', 
        '_rwanda' => 'Rwanda', 
        '_saintKittsAndNevis' => 'Saint Kitts and Nevis', 
        '_saintLucia' => 'Saint Lucia', 
        '_saintVincentAndTheGrenadines' => 'Saint Vincent and the Grenadines', 
        '_sanMarino' => 'San Marino', 
        '_saoTomeAndPrincipe' => 'Sao Tome and Principe', 
        '_saudiArabia' => 'Saudi Arabia', 
        '_senegal' => 'Senegal', 
        '_serbiaAndMontenegro' => 'Serbia And Montenegro', 
        '_seychelles' => 'Seychelles', 
        '_sierraLeone' => 'Sierra Leone', 
        '_singapore' => 'Singapore', 
        '_slovakRepublic' => 'Slovak Republic', 
        '_slovenia' => 'Slovenia', 
        '_solomonIslands' => 'Solomon Islands', 
        '_somalia' => 'Somalia', 
        '_southAfrica' => 'South Africa', 
        '_southGeorgia' => 'South Georgia', 
        '_spain' => 'Spain', 
        '_sriLanka' => 'Sri Lanka', 
        '_stHelena' => 'St. Helena', 
        '_stPierreAndMiquelon' => 'St. Pierre and Miquelon', 
        '_sudan' => 'Sudan', 
        '_suriname' => 'Suriname', 
        '_svalbardAndJanMayenIslands' => 'Svalbard and Jan Mayen Islands', 
        '_swaziland' => 'Swaziland', 
        '_sweden' => 'Sweden', 
        '_switzerland' => 'Switzerland', 
        '_syrianArabRepublic' => 'Syrian Arab Republic', 
        '_taiwan' => 'Taiwan', 
        '_tajikistan' => 'Tajikistan', 
        '_tanzania' => 'Tanzania', 
        '_thailand' => 'Thailand', 
        '_togo' => 'Togo', 
        '_tokelau' => 'Tokelau', 
        '_tonga' => 'Tonga', 
        '_trinidadAndTobago' => 'Trinidad and Tobago', 
        '_tunisia' => 'Tunisia', 
        '_turkey' => 'Turkey', 
        '_turkmenistan' => 'Turkmenistan', 
        '_turksAndCiacosIslands' => 'Turks and Ciacos Islands', 
        '_tuvalu' => 'Tuvalu', 
        '_uganda' => 'Uganda', 
        '_ukraine' => 'Ukraine', 
        '_unitedArabEmirates' => 'United Arab Emirates', 
        '_unitedKingdom' => 'United Kingdom', 
        '_unitedKingdomGB' => 'United Kingdom (GB)', 
        '_unitedStates' => 'United States', 
        '_uruguay' => 'Uruguay', 
        '_uSMinorOutlyingIslands' => 'US Minor Outlying Islands', 
        '_uzbekistan' => 'Uzbekistan', 
        '_vanuatu' => 'Vanuatu', 
        '_venezuela' => 'Venezuela', 
        '_vietnam' => 'Vietnam', 
        '_virginIslandsBritish' => 'Virgin Islands, British', 
        '_virginIslandsUSA' => 'Virgin Islands, USA', 
        '_wallisAndFutunaIslands' => 'Wallis and Futuna Islands', 
        '_westernSahara' => 'Western Sahara', 
        '_westernSamoa' => 'Western Samoa', 
        '_yemen' => 'Yemen', 
        '_yugoslavia' => 'Yugoslavia', 
        '_zambia' => 'Zambia', 
        '_zimbabwe' => 'Zimbabwe'
    };

}
1;
